/*
 Copyright 2009-2020 Rumma & Ko Ltd
 License: BSD (see file COPYING for details)
*/

// lino.js --- generated Wed Aug 24 21:04:30 2022 by Lino Welfare Eupen 21.3.1 for 910 (Security advisor).
Ext.BLANK_IMAGE_URL = '/static/ext-3.3.1/resources/images/default/s.gif';
LANGUAGE_CHOICES = [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ];
MEDIA_URL = "/media/";
GEN_TIMESTAMP = 1661374171.5951035;

// hack to add a toCamel function, inspired by
// http://jamesroberts.name/blog/2010/02/22/string-functions-for-javascript-trim-to-camel-case-to-dashed-and-to-underscore/
String.prototype.toCamel = function(){
  //~ return this.replace(/(\-[a-z])/g, function($1){return $1.toUpperCase().replace('-','');});
  //~ return this;
  return this.replace(/([A-Z])([A-Z]+)/g, function(match,p1,p2,offset,string){
      //~ console.log("20131005 got ",arguments);
      return p1 + p2.toLowerCase();});
};

if (!Array.prototype.last) {
    Array.prototype.last = function () {
        return this[this.length - 1];
    }
}


// 20151126 hack to modify Ext.EventObjectImpl.isSpecialKey() which
// returned false for Ctrl-S when called from a keyup handler (namely
// ComboBox.onLoad)

Ext.EventObjectImpl.prototype.isSpecialKey = function(){
    // same as original except for one line
    var k = this.normalizeKey(this.keyCode);
    // return (this.type == 'keypress' && this.ctrlKey) ||
    return (this.ctrlKey) ||
        this.isNavKeyPress() ||
        (k == this.BACKSPACE) ||
        (k >= 16 && k <= 20) ||
        (k >= 44 && k <= 46);
};





/* MonthPickerPlugin: thanks to keypoint @ sencha forum
   http://www.sencha.com/forum/showthread.php?74002-3.x-Ext.ux.MonthMenu&p=356860#post356860
*/
Ext.namespace('Ext.ux');

Ext.ux.MonthPickerPlugin = function() {
    var picker;
    var oldDateDefaults;

    this.init = function(pk) {
        picker = pk;
        picker.onTriggerClick = picker.onTriggerClick.createSequence(onClick);
        picker.getValue = picker.getValue.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
        picker.beforeBlur = picker.beforeBlur.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
    };

    function setDefaultMonthDay() {
        oldDateDefaults = Date.defaults.d;
        Date.defaults.d = 1;
        return true;
    }

    function restoreDefaultMonthDay(ret) {
        Date.defaults.d = oldDateDefaults;
        return ret;
    }

    function onClick(e, el, opt) {
        var p = picker.menu.picker;
        p.activeDate = p.activeDate.getFirstDateOfMonth();
        if (p.value) {
            p.value = p.value.getFirstDateOfMonth();
        }

        p.showMonthPicker();

        if (!p.disabled) {
            p.monthPicker.stopFx();
            p.monthPicker.show();

            p.mun(p.monthPicker, 'click', p.onMonthClick, p);
            p.mun(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
            p.onMonthClick = p.onMonthClick.createSequence(pickerClick);
            p.onMonthDblClick = p.onMonthDblClick.createSequence(pickerDblclick);
            p.mon(p.monthPicker, 'click', p.onMonthClick, p);
            p.mon(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
        }
    }

    function pickerClick(e, t) {
        var el = new Ext.Element(t);
        if (el.is('button.x-date-mp-cancel')) {
            picker.menu.hide();
        } else if(el.is('button.x-date-mp-ok')) {
            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }

    function pickerDblclick(e, t) {
        var el = new Ext.Element(t);
        if (el.parent()
            && (el.parent().is('td.x-date-mp-month')
            || el.parent().is('td.x-date-mp-year'))) {

            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }
};

Ext.preg('monthPickerPlugin', Ext.ux.MonthPickerPlugin);

// Override this function to put the listeners always on the keydown event regardless of the browser.See #2887
Ext.EventManager.getKeyEvent = function() {
  return 'keydown';
};

/**
JC Watsons solution (adapted to ExtJS 3.3.1 by LS) is elegant and simple:
`A "fix" for unchecked checkbox submission  behaviour
<http://www.sencha.com/forum/showthread.php?28449>`_

Added special handling for checkbox inputs.
ExtJS defines disabled checkboxes `readonly`, not `disabled` as for other inputs.

*/
Ext.lib.Ajax.serializeForm = function(form) {
    // console.log('20170731 linolib.js serializeForm', form);
    var fElements = form.elements || (document.forms[form] || Ext.getDom(form)).elements,
        hasSubmit = false,
        encoder = encodeURIComponent,
        name,
        data = '',
        type,
        hasValue;

    Ext.each(fElements, function(element){
        name = element.name;
        type = element.type;

        if (!element.disabled && name && !(type == 'checkbox' && element.readonly)) {
            if (/select-(one|multiple)/i.test(type)) {
                Ext.each(element.options, function(opt){
                    if (opt.selected) {
                        hasValue = opt.hasAttribute ? opt.hasAttribute('value') : opt.getAttributeNode('value').specified;
                        data += String.format("{0}={1}&", encoder(name), encoder(hasValue ? opt.value : opt.text));
                    }
                });
            } else if (!(/file|undefined|reset|button/i.test(type))) {
                //~ if (!(/radio|checkbox/i.test(type) && !element.checked) && !(type == 'submit' && hasSubmit)) {
                if (!(type == 'submit' && hasSubmit)) {
                    if (type == 'checkbox') {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&');
                        data += encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&';
                    } else {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + encoder(element.value) + '&');
                        data += encoder(name) + '=' + encoder(element.value) + '&';
                    }
                    hasSubmit = /submit/i.test(type);
                }
            }
        //~ } else {
            //~ console.log(name,type,element.readonly);
        }
    });
    return data.substr(0, data.length - 1);
};



/*
Set a long timeout of fifteen minutes.
See /blog/2012/0307
*/
Ext.Ajax.timeout = 15 * 60 * 1000;

/*
 * Thanks to
 * `huuze <http://stackoverflow.com/users/10040/huuuze>`_ for the question
 * and to
 * `chrisv <http://stackoverflow.com/users/683808/chrisv>`_
 * for the answer on
 * http://stackoverflow.com/questions/3764589/how-do-i-include-django-1-2s-csrf-token-in-a-javascript-generated-html-form/5485616#5485616
 *
 * */

Ext.Ajax.on('beforerequest', function (conn, options) {
   if (!(/^http:.*/.test(options.url) || /^https:.*/.test(options.url))) {
     if (typeof(options.headers) == "undefined") {
       options.headers = {'X-CSRFToken': Ext.util.Cookies.get('csrftoken')};
     } else {
       options.headers['X-CSRFToken'] = Ext.util.Cookies.get('csrftoken');
     }
   }
}, this);

// Ext.apply(Ext.EventManager, function(){
//     return{
//         getKeyEvent : function(){
//                //return useKeydown ? 'keydown' : 'keypress';
//            return 'keydown';
//            },
// }});

/* This probably worked, but was not used in real world.
My fix for the "Cannot set QuickTips dismissDelay to 0" bug,
see http://www.sencha.com/forum/showthread.php?183515

*/
// Ext.override(Ext.QuickTip,{
//   showAt : function(xy){
//         var t = this.activeTarget;
//         // console.log("20171024 QuickTip.showAt",this.title,this.dismissDelay,t.dismissDelay);
//         if(t){
//             if(!this.rendered){
//                 this.render(Ext.getBody());
//                 this.activeTarget = t;
//             }
//             if(t.width){
//                 this.setWidth(t.width);
//                 this.body.setWidth(this.adjustBodyWidth(t.width - this.getFrameWidth()));
//                 this.measureWidth = false;
//             } else{
//                 this.measureWidth = true;
//             }
//             this.setTitle(t.title || '');
//             this.body.update(t.text);
//             this.autoHide = t.autoHide;
//             // bugfix by Luc 20120226
//             if (t.dismissDelay != undefined) this.dismissDelay = t.dismissDelay;
//             //~ this.dismissDelay = t.dismissDelay || this.dismissDelay;
//             if(this.lastCls){
//                 this.el.removeClass(this.lastCls);
//                 delete this.lastCls;
//             }
//             if(t.cls){
//                 this.el.addClass(t.cls);
//                 this.lastCls = t.cls;
//             }
//             if(this.anchor){
//                 this.constrainPosition = false;
//             }else if(t.align){
//                 xy = this.el.getAlignToXY(t.el, t.align);
//                 this.constrainPosition = false;
//             }else{
//                 this.constrainPosition = true;
//             }
//         }
//         Ext.QuickTip.superclass.showAt.call(this, xy);
//     }
// });

/*
Another hack. See /docs/blog/2012/0228
*/
Ext.Element.addMethods(
    function() {
        var VISIBILITY      = "visibility",
            DISPLAY         = "display",
            HIDDEN          = "hidden",
            NONE            = "none",
            XMASKED         = "x-masked",
            XMASKEDRELATIVE = "x-masked-relative",
            data            = Ext.Element.data;

        return {

            mask : function(msg, msgCls) {
                var me  = this,
                    dom = me.dom,
                    dh  = Ext.DomHelper,
                    EXTELMASKMSG = "ext-el-mask-msg",
                    el,
                    mask;
                // removed the following lines. See /docs/blog/2012/0228
                //~ if (!(/^body/i.test(dom.tagName) && me.getStyle('position') == 'static')) {
                    //~ console.log(20120228,dom.tagName,me);
                    //~ me.addClass(XMASKEDRELATIVE);
                //~ }
                if (el = data(dom, 'maskMsg')) {
                    el.remove();
                }
                if (el = data(dom, 'mask')) {
                    el.remove();
                }

                mask = dh.append(dom, {cls : "ext-el-mask"}, true);
                data(dom, 'mask', mask);

                me.addClass(XMASKED);
                mask.setDisplayed(true);

                if (typeof msg == 'string') {
                    var mm = dh.append(dom, {cls : EXTELMASKMSG, cn:{tag:'div'}}, true);
                    data(dom, 'maskMsg', mm);
                    mm.dom.className = msgCls ? EXTELMASKMSG + " " + msgCls : EXTELMASKMSG;
                    mm.dom.firstChild.innerHTML = msg;
                    mm.setDisplayed(true);
                    mm.center(me);
                }


                if (Ext.isIE && !(Ext.isIE7 && Ext.isStrict) && me.getStyle('height') == 'auto') {
                    mask.setSize(undefined, me.getHeight());
                }

                return mask;
            }


        };
    }()
);



Ext.namespace('Lino');

Lino.insert_linoweb_version = function(p){
    p.lv = GEN_TIMESTAMP;
};


//~ Lino.subst_user_field = new Ext.form.ComboBox({});
//~ Lino.subst_user = null;
Lino.insert_subst_user = function(p){
    Lino.insert_linoweb_version(p);
    //~ console.log('20120714 insert_subst_user',Lino.subst_user,p);
    if (!p.ul)
      if (Lino.user_language)
        p.ul = Lino.user_language;

    if (p.su) return;
    if (Lino.subst_user) {
        //~ p.su = Lino.subst_user_field.getValue();
        p.su = Lino.subst_user;
    //~ } else {
        //~ delete p.su;
    }
    //~ console.log('20120714 insert_subst_user -->',Lino.subst_user,p);
}

// Lino.login_window = null;

Lino.autorefresh = function() {
  if (Lino.current_window == null) {
      Lino.viewport.refresh();
      Lino.autorefresh.defer(5000);
  }
}

Lino.set_subst_user = function(id, name) {
    //~ console.log(20130723,'Lino.set_subst_user',id,name,Lino.current_window,Lino.viewport);
    Lino.subst_user = id;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("su",id);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.set_user_language = function(lang) {
    Lino.user_language = lang;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("ul", lang);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.goto_record_id = function(pk) {

    if (Lino.current_window)
        Lino.current_window.main_item.goto_record_id(pk);
}


//~ Lino.select_subst_user = function(cmp,rec,value){
    //~ Lino.subst_user=value;
    //~ console.log(20120713,rec);
//~ }

Lino.current_window = null;
Lino.window_history = Array();

Lino.chars2width = function(cols) {  return cols * 9; }
Lino.rows2height = function(cols) {  return cols * 20; }
Lino.perc2width = function(perc) {
    // var w = Math.max(document.documentElement.clientWidth, window.innerWidth);
    // console.log("20151226", document, window, w);
    var w = Lino.viewport.getWidth();
    return w * perc / 100;
}



Lino.MainPanel = {
  is_home_page: false
  ,auto_apply_params: true
  ,setting_param_values : false
  ,config_containing_window : function(wincfg) { }
  ,init_containing_window : function(win) { }
  ,is_loading : function() {
      if (!this.rendered) return true;
      //~ return (Ext.select('.x-loading-msg').elements.length > 0);
      return true;
    }
  ,do_when_clean : function(auto_save,todo) { todo() }
  ,get_master_params : function() {
    var p = {}
    p['mt'] = this.content_type;
    rec = this.get_current_record()
    if (rec) {
      if (rec.phantom) {
          p['mk'] = undefined;
      }else{
          p['mk'] = rec.id;
      }
    } else {
      p['mk'] = undefined;
    }
    //~ console.log('get_master_params returns',p,'using record',rec);
    return p;
  }
  ,get_permalink : function() {
    var p = Ext.apply({}, this.get_base_params());
    delete p.fmt;
    delete p.lv;
    Ext.apply(p, this.get_permalink_params());

    if (this.toggle_params_panel_btn) {
        p.sp = this.toggle_params_panel_btn.pressed;
        //~ if (this.toggle_params_panel_btn.pressed == this.params_panel_hidden) {
          //~ p.sp = true;
        //~ }
    }

    //~ Lino.insert_subst_user(p);
     //~ p.fmt = 'html';
    //~ console.log('get_permalink',p,this.get_permalink_params());
    if (this.is_home_page)
        //~ var url = '';
        var url = '/';
    else
        var url = this.get_permalink_url();
    if (p.su == null)
        delete p.su;
    if (Ext.urlEncode(p)) url = url + "?" + Ext.urlEncode(p);
    return url;
  }
  ,get_record_url : function(record_id) {
      var url = '/api' + this.ls_url
      //~ var url = this.containing_window.config.url_data; // ls_url;
      url += '/' + (record_id === undefined ? this.default_record_id : String(record_id));
      //~ if (record_id !== undefined) url += '/' + String(record_id);
      //~ url += '/' + String(record_id);
      return url;
  }
  ,get_permalink_url : function() {
      return '/api' + this.ls_url;
  }
  ,get_permalink_params : function() {
      //~ return {an:'grid'};
      var p = {};
      if (this.action_name)
          p.an = this.action_name;
      this.add_param_values(p,false)
      return p;
  }
  /*

  Lino.MainPanel.set_status() : the status can have the following keys:

  - param_values : values of parameter fields
  - field_values : values of action parameter fields
  - base_params
  - record_id
  - active_tab
  - data_record
  - show_params_panel
  - current_page

   */
  ,set_status : function(status, requesting_panel) {}
  ,get_status : function() { return {}}
  ,refresh : function() {}
  ,get_base_params : function() {  // Lino.MainPanel
    var p = {};
    Lino.insert_subst_user(p);
    Lino.insert_linoweb_version(p);
    return p;
  }
  ,add_params_panel : function (tbar) {
      if (this.params_panel) {
        //~  20130923b
        //~ this.params_panel.autoHeight = true; // 20130924
        var t = this;
        var update = function() {
            var p = t.params_panel;
            //~ console.log("update", p.getSize().height,p.forceLayout,p.autoHeight);
            var w = t.get_containing_window();
            Lino.do_when_visible(w, function() {
                //~ p.doLayout(true); // doLayout(shallow, force)
                w.doLayout(true); // doLayout(shallow, force)
                //~ t.params_panel.on('afterlayout',update,t,{single:true});
            });
        };
        Lino.do_when_visible(this.params_panel, update);
        this.params_panel.on('show',update);
        this.params_panel.on('hide',update);
        //~ this.params_panel.on('bodyresize',update);
        this.params_panel.on('afterlayout',update);
        //~ this.params_panel.on('afterlayout',update,this,{single:true});
        //~ this.params_panel.on('bodyresize',update,this,{single:true});
        //~ this.params_panel.on('resize',update,this,{single:true});
        //~ this.params_panel.on('render',update,this,{single:true});

        // this.params_panel.on('render',
        //~ this.params_panel.on('afterlayout',update,this,{single:true,delay:200});
        //~ this.params_panel.on('bodyresize',update,this,{single:true,delay:200});
        this.toggle_params_panel_btn = new Ext.Button({ scope:this,
          //~ text: "$_("[parameters]")", // gear
          iconCls: 'x-tbar-database_gear',
          tooltip:"Parameter-Panel ein- bzw. ausblenden",
          enableToggle: true,
          //~ pressed: ! this.params_panel.hidden,
          pressed: ! this.params_panel_hidden,
          toggleHandler: function(btn,state) {
            //~ console.log("20120210 add_params_panel",state,this.params_panel);
            if (state) {
                this.params_panel.show();
            } else {
                this.params_panel.hide();
            }
            //~ this.params_panel.on('afterlayout',update,this,{single:true});
            //~ t.get_containing_window().doLayout();
            //~ this.params_panel.on('afterlayout',function() {
                //~ console.log("20130918 afterlayout");
                //~ t.get_containing_window().doLayout(); // doLayout(shallow, force)
            //~ },this,{single:true});
          }
        });
        tbar = tbar.concat([this.toggle_params_panel_btn]);

        if (this.auto_apply_params) {
            var refresh = function() {
                if (!t.setting_param_values) {
                    t._force_dirty = true;
                    t.refresh();
                }
            }
            Ext.each(this.params_panel.fields,function(f) {
              //~ f.on('valid',function() {t.refresh()});
              if (f instanceof Ext.form.Checkbox) {
                  f.on('check',refresh);
//              } else if (f instanceof Ext.DatePicker) {
//                  f.on('select',refresh);
//                  console.log('Ext.DatePicker');
              } else if (f instanceof Ext.form.DateField) {
                  f.on('change',refresh);
              } else if (f instanceof Ext.form.TriggerField) {
                  f.on('select',refresh);
                  //~ f.on('change',refresh);
                  //~ f.on('valid',refresh);
              } else {
                  if (! f.on)
                      console.log("20121010 no method 'on'",f);
                  else
                      f.on('change',refresh);
                }
              });
        }
      }
      return tbar;
  }
  ,add_param_values : function (p,force_dirty) {
    if (this.params_panel) {
      /*
      * 20120918 add param_values to the request string
      * *only if the params_form is dirty*.
      * Otherwise Actor.default_params() would never be used.
      *
      * 20121023 But IntegClients.params_default has non-empty default values.
      * Users must have the possibility to make them empty.
      *
      * 20130605 : added `force_dirty` parameter because Checkbox fields don't
      * mark their form as dirty when check is fired.
      *
      * 20130721 : `force_dirty` not as a parameter but as
      * `this._force_dirty` because
      *
      * 20130915 : both _force_dirty and force_dirty parameter are needed.
      *
      */
      if (force_dirty || this._force_dirty || this.params_panel.form.isDirty()) {
      //~ if (this._force_dirty || this.params_panel.form.isDirty()) {
        p.pv = this.get_param_values();
        //~ console.log("20130923 form is dirty (",force_dirty,this._force_dirty,this.params_panel.form.isDirty(),")");
        //~ console.log("20130923 form is dirty",p);
      }else{
        //~ console.log("20130923 form not dirty:",this.params_panel.form);
        if (this.status_param_values)
          p.pv = Lino.fields2array(
            this.params_panel.fields,this.status_param_values);
      }
      //~ if (!this.params_panel.form.isDirty()) return;
      //~ p.pv = this.get_param_values();
      //~ console.log("20120203 add_param_values added pv",p.pv,"to",p);
    }
    else if(this.use_detail_params_value){
      let params_panel = this.ownerCt.ownerCt.ownerCt.params_panel || this.ownerCt.ownerCt.params_panel
      p.pv = Lino.fields2array(params_panel.fields);
      }
  },
  get_param_values : function() { // similar to get_field_values()
      return Lino.fields2array(this.params_panel.fields);
  },
  set_param_values : function(pv) {
    if (this.params_panel) {
      //~ console.log('20120203 MainPanel.set_param_values', pv);
      this.status_param_values = pv;
      //~ this.params_panel.form.suspendEvents(false);
      this.setting_param_values = true;
      if (pv) {
          this.params_panel.form.my_loadRecord(pv);
      } else {
        this.params_panel.form.reset();
      }
      this.setting_param_values = false;
      this._force_dirty = false;
      //~ this.params_panel.form.resumeEvents();
    }
  }
};




Lino.Viewport = Ext.extend(Ext.Viewport, Lino.MainPanel);
Lino.Viewport = Ext.extend(Lino.Viewport, {
  layout : "fit"
  ,is_home_page : true
  ,initComponent : function(){
    Lino.Viewport.superclass.initComponent.call(this);
    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.el,{msg:"Bitte warten..."});
      //~ console.log("20121118 Lino.viewport.loadMask",this.loadMask);
    },this);
  }
  ,refresh : function() {
      var caller = this;
      // console.log("20140829 Lino.Viewport.refresh()");
      if (caller.loadMask) caller.loadMask.show();
      var success = function(response) {
        if (caller.loadMask) caller.loadMask.hide();
        if (response.responseText) {
          var result = Ext.decode(response.responseText);
          //~ console.log('Lino.do_action()',action.name,'result is',result);
          if (result.html) {
              var cmp = Ext.getCmp('dashboard');
              // cmp.removeAll(true);  // 20140829
              cmp.update(result.html, true);
          }

        if (result.message) {
            //~ if (result.alert && ! gridmode) {
            if (result.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',result.alert_msg);
                if (result.alert === true) result.alert = "Alarm";
                Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
            } else {
                Lino.notify(result.message);
            }
        }
          if (result.notify_msg) Lino.notify(result.notify_msg);
          if (result.js_code) {
            var jsr = result.js_code(caller);
            //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
          };
        }
      };
      var p = {}
      Lino.insert_linoweb_version(p);
      var action = {
        url : '/api/main_html',
        waitMsg: "Bitte warten...",
        failure: Lino.ajax_error_handler(caller),
        success: success,
        method: 'GET',
        params: {}
      };
      Lino.insert_subst_user(action.params);
      Ext.Ajax.request(action);

  }
});




Lino.open_window = function(win, st, requesting_panel) {
  // console.log("20140831 Lino.open_window()", win, win.el.getBox());
  var cw = Lino.current_window;
  if (cw) {
    // console.log("20140829 Lino.open_window() save current status",
    //             cw.main_item.get_status());
    Lino.window_history.push({
      window:cw,
      status:cw.main_item.get_status()
    });
  }
  Lino.current_window = win;
  //~ if (st.su)
      //~ Lino.subst_user_field.setValue(st.su);
  win.main_item.set_status(st, requesting_panel);
  // win.toFront();
  win.show();
};

Lino.load_url = function(url) {
    //~ foo.bar.baz = 2;
    //~ console.log("20121120 Lino.load_url()");
    //~ Lino.body_loadMask.show();
    Lino.viewport.loadMask.show();
    //~ location.replace(url);
    document.location = url;
}

Lino.close_window = function(status_update, norestore) {
  // norestore is true when called by handle_action_result() who
  // will call set_status() itself later
  var cw = Lino.current_window;
  var ww = Lino.window_history.pop();
  var retval = cw.main_item.requesting_panel;
  // console.log(
  //     "20150514 Lino.close_window() going to close", cw.title,
  //     "previous is", ww,
  //     "norestore is", norestore,
  //     "retval is", retval);
  if (ww) {
    //~ if (status_update) Ext.apply(ww.status,status_update);
    if(!norestore) {
        if (status_update) status_update(ww);
        // 20180725 ww.window.main_item.set_status(ww.status , cw.id);
        ww.window.main_item.set_status(ww.status , retval);
    }
    Lino.current_window = ww.window;
  } else {
      Lino.current_window = null;
      // new since 20140829:
      if(!norestore) { Lino.viewport.refresh(); }
  }
  if (cw) cw.hide_really();
  return retval;
};

Lino.kill_current_window = function() {
  // console.log("20140418 Lino.kill_current_window()");
  var cw = Lino.current_window;
  Lino.current_window = null;
  if (cw) cw.hide_really();
};

Lino.reload = function() {
    // First close all windows to ensure all changes are saved
    Lino.close_all_windows();

    // Then reload current view
    var url =  "/"

    var p = {};
    Lino.insert_subst_user(p)
    if (Ext.urlEncode(p))
        url = url + "?" + Ext.urlEncode(p);

    Lino.load_url(url);
}

Lino.handle_home_button = function() {
  if (Lino.window_history.length == 0)
      Lino.reload();
  else
      Lino.close_all_windows();
}

Lino.close_all_windows = function() {
    while (Lino.window_history.length > 0) {
        Lino.close_window();
    }
}

Lino.calling_window = function() {
    if (Lino.window_history.length)
        return Lino.window_history[Lino.window_history.length-1];
}

//~ Lino.WindowAction = function(mainItemClass,windowConfig,mainConfig,ppf) {
Lino.WindowAction = function(windowConfig,main_item_fn) {
    //~ if(!mainConfig) mainConfig = {};
    //~ mainConfig.is_main_window = true;
    this.windowConfig = windowConfig;
    this.main_item_fn = main_item_fn;
    //~ if (ppf) mainConfig.params_panel.fields = ppf;
    //~ this.mainConfig = mainConfig;
    //~ this.mainItemClass = mainItemClass;
};

Lino.WindowAction = Ext.extend(Lino.WindowAction,{
    window : null,
    //~ mainItemClass: null,
    get_window : function() {
      //~ if(mainConfig) Ext.apply(this.mainConfig,mainConfig);
      // if (this.window == null || this.window.isDestroyed)  { // 20140829
      // if (this.window == null || this.window.getBox().width == 0)  { // 20140829
      if (this.window == null)  {
      // if (true)  {
          //~ this.windowConfig.main_item = new this.mainItemClass(this.mainConfig);
          this.windowConfig.main_item = this.main_item_fn();
          this.window = new Lino.Window(this.windowConfig);
      }
      return this.window;
    },
    run : function(requesting_panel, status) {
      // console.log('20140829 window_action.run()', this)
      Lino.open_window(this.get_window(), status, requesting_panel);
    }

});


Lino.PanelMixin = {
  get_containing_window : function (){
      if (this.containing_window) return this.containing_window;
      return this.containing_panel.get_containing_window();
  }
  ,set_window_title : function(title) {
    //~ this.setTitle(title);
    var cw = this.get_containing_window();

    //~ if (cw) {
    //~ if (cw && cw.closable) {
    if (cw && !cw.main_item.hide_window_title) {
      //~ console.log('20111202 set_window_title(',title,') for',this.containing_window);
      //~ if (! this.containing_window.rendered) console.log("WARNING: not rendered!");
      cw.setTitle(title);
    //~ } else {
      //~ document.title = title;
    }
    //~ else console.log('20111202 not set_window_title(',title,') for',this);
  }

};


// Lino.status_bar = new Ext.ux.StatusBar({defaultText:'Lino version 22.8.0.'});






/*
  Originally copied from Ext JS Library 3.3.1
  Modifications by Luc Saffre :
  - rendering of phantom records
  - fire afteredit event
  - react on dblclcik, not on single click

 */
Lino.CheckColumn = Ext.extend(Ext.grid.Column, {

    processEvent : function(name, e, grid, rowIndex, colIndex){
        //~ console.log('20110713 Lino.CheckColumn.processEvent',name)
        if (name == 'click') {
        //~ if (name == 'mousedown') {
        //~ if (name == 'dblclick') {
            return this.toggleValue(grid, rowIndex, colIndex);
        } else {
            return Ext.grid.ActionColumn.superclass.processEvent.apply(this, arguments);
        }
    },

    toggleValue : function (grid,rowIndex,colIndex) {
        var record = grid.store.getAt(rowIndex);
        var dataIndex = grid.colModel.getDataIndex(colIndex);
        // 20120514
        //~ if(record.data.disabled_fields && record.data.disabled_fields[dataIndex]) {
          //~ Lino.notify("Dieses Feld ist deaktiviert");
          //~ return false;
        //~ }

        //~ if (dataIndex in record.data['disabled_fields']) {
            //~ Lino.notify("This field is disabled.");
            //~ return false;
        //~ }
        var startValue = record.data[dataIndex];
        var value = !startValue;
        //~ record.set(this.dataIndex, value);
        var e = {
            grid: grid,
            record: record,
            field: dataIndex,
            originalValue: startValue,
            value: value,
            row: rowIndex,
            column: colIndex,
            cancel: false
        };
        if(grid.fireEvent("beforeedit", e) !== false && !e.cancel){
        //~ if(grid.fireEvent("validateedit", e) !== false && !e.cancel){
            record.set(dataIndex, value);
            delete e.cancel;
            grid.fireEvent("afteredit", e);
        }
        return false; // Cancel event propagation
    },

    renderer : function(v, p, record){
        if (record.phantom) return '';
        p.css += ' x-grid3-check-col-td';
        return String.format('<div class="x-grid3-check-col{0}">&#160;</div>', v ? '-on' : '');
    }

    // Deprecate use as a plugin. Remove in 4.0
    // init: Ext.emptyFn
});

// register ptype. Deprecate. Remove in 4.0
// Ext.preg('checkcolumn', Lino.CheckColumn);

// backwards compat. Remove in 4.0
// Ext.grid.CheckColumn = Lino.CheckColumn;

// register Column xtype
Ext.grid.Column.types.checkcolumn = Lino.CheckColumn;


/* 20110725 :
Lino.on_tab_activate is necessary
in contacts.Person.2.dtl
(but don't ask me why...)
*/
Lino.on_tab_activate = function(item) {
  //~ console.log('activate',item);
  if (item.rendered && item.doLayout) item.doLayout();
  //~ if (item.rendered) item.doLayout();
}

Lino.TimeField = Ext.extend(Ext.form.TimeField,{
  format: 'H:i',
  altFormats: 'g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H|gi a|hi a|giA|hiA|gi A|hi A|Hi|g.ia|g.iA|g.i a|g.i A|h.i|g.i|H.i',
  increment: 15
  });
Lino.DateField = Ext.extend(Ext.form.DateField,{
  //~ boxMinWidth: Lino.chars2width(15), // 20131005 changed from 11 to 15
  format: 'd.m.Y',
  altFormats: 'd/m/Y|Y-m-d'
  });
Lino.DatePickerField = Ext.extend(Ext.DatePicker,{
  //~ boxMinWidth: Lino.chars2width(11),
  format: 'd.m.Y',
  //~ altFormats: 'd/m/Y|Y-m-d'
  formatDate : function(date){
      //~ console.log("20121203 formatDate",this.name,date);
      return Ext.isDate(date) ? date.dateFormat(this.format) : date;
  }
  });
Lino.DateTimeField = Ext.extend(Ext.ux.form.DateTime,{
  dateFormat: 'd.m.Y',
  timeFormat: 'H:i'
  //~ ,hiddenFormat: 'd.m.Y H:i'
  });
Lino.URLField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  //~ triggerClass : 'x-form-world-trigger',
  vtype: 'url',
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    window.open(this.getValue(),'_blank');
  }
});
Lino.IncompleteDateField = Ext.extend(Ext.form.TextField,{
  //~ regex: /^-?\d+-[01]\d-[0123]\d$/,
  //~ regex: /^[0123]\d\.[01]\d\.-?\d+$/,
  maxLength: 10,
  boxMinWidth: Lino.chars2width(10),
  regex: /^[0123]?\d\.[01]?\d\.-?\d+$/,
  regexText: 'Datum im Format JJJJ-MM-TT eingeben (Nullen für unbekannte Teile)'
  });


//~ Lino.make_dropzone = function(cmp) {
    //~ cmp.on('render', function(ct, position){
      //~ ct.el.on({
        //~ dragenter:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ return true;
        //~ }
        //~ ,dragover:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ event.stopEvent();
          //~ return true;
        //~ }
        //~ ,drop:{
          //~ scope:this
          //~ ,fn:function(event){
            //~ event.stopEvent();
            //~ console.log(20110516);
            //~ var files = event.browserEvent.dataTransfer.files;
            //~ if(files === undefined){
              //~ return true;
            //~ }
            //~ var len = files.length;
            //~ while(--len >= 0){
              //~ console.log(files[len]);
              //~ // this.processDragAndDropFileUpload(files[len]);
            //~ }
          //~ }
        //~ }
      //~ });
    //~ });
//~ };

//~ Lino.FileUploadField = Ext.ux.form.FileUploadField;

Lino.FileUploadField = Ext.extend(Ext.ux.form.FileUploadField,{
    ctCls :"field-margin",
    unused_onRender : function(ct, position){
      Lino.FileUploadField.superclass.onRender.call(this, ct, position);
      this.el.on({
        dragenter:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          return true;
        }
        ,dragover:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          event.stopEvent();
          return true;
        }
        ,drop:{
          scope:this
          ,fn:function(event){
            event.stopEvent();
            //~ console.log(20110516);
            var files = event.browserEvent.dataTransfer.files;
            if(files === undefined){
              return true;
            }
            var len = files.length;
            while(--len >= 0){
              console.log(files[len]);
              //~ this.processDragAndDropFileUpload(files[len]);
            }
          }
        }
      });
    }
});

Lino.FileField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  editable: false,
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    if (this.getValue()) window.open(MEDIA_URL + '/'+this.getValue(),'_blank');
  }
});

Lino.file_field_handler = function(panel,config) {
  if (panel.action_name == 'insert') {
      panel.has_file_upload = true;


      // config.value = '<br/><br/>';

      var f = new Lino.FileUploadField(config);
      //~ Lino.make_dropzone(f);
      return f;
      //~ return new Ext.ux.form.FileUploadField(config);
      //~ return new Lino.FileField(config);

  } else {
      //~ return new Lino.URLField(config);
      return new Lino.FileField(config);
  }
}

Lino.VBorderPanel = Ext.extend(Ext.Panel,{
    constructor : function(config) {
      config.layout = 'border';
      delete config.layoutConfig;
      Lino.VBorderPanel.superclass.constructor.call(this,config);
      for(var i=0; i < this.items.length;i++) {
        var item = this.items.get(i);
        if (this.isVertical(item) && item.collapsible) {
          item.on('collapse',this.onBodyResize,this);
          item.on('expand',this.onBodyResize,this);
        }
      }
    },
    isVertical : function(item) {
       return (item.region == 'north' || item.region == 'south' || item.region == 'center');
    },
    onBodyResize: function(w, h){
        //~ console.log('VBorderPanel.onBodyResize',this.title)
      if (this.isVisible()) { // to avoid "Uncaught TypeError: Cannot call method 'getHeight' of undefined."
        var sumflex = 0;
        var availableHeight = this.getInnerHeight();
        var me = this;
        this.items.each(function(item){
          if (me.isVertical(item)) {
              if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  if (item.rendered) availableHeight -= item.getHeight();
              } else {
                  sumflex += item.flex;
              }
          }

        });
        //~ for(var i=0; i < this.items.length;i++) {
          //~ var item = this.items.get(i);
          //~ // if (this.isVertical(item) && item.getResizeEl()) {
          //~ if (this.isVertical(item)) {
              //~ if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  //~ // item.syncSize()
                  //~ // item.doLayout()
                  //~ // if (item.region == "north") console.log('region north',item.getHeight(),item.id, item);
                  //~ // if (item.getHeight() == 0) console.log(20100921,'both flex and getHeight() are 0!');
                  //~ availableHeight -= item.getHeight();
              //~ } else {
                  //~ sumflex += item.flex;
                  //~ // console.log(item.flex);
              //~ }
          //~ }
          //~ // else console.log('non-vertical item in VBoderPanel:',item)
        //~ }
        var hunit = availableHeight / sumflex;
        //~ console.log('sumflex=',sumflex,'hunit=',hunit, 'availableHeight=',availableHeight);
        for(var i=0; i < this.items.length;i++) {
          var item = this.items.get(i);
          if (this.isVertical(item)) {
              if (item.flex != 0 && ! item.collapsed) {
                  item.setHeight(hunit * item.flex);
                  //~ console.log(item.region,' : height set to',item.getHeight());
              }
          }
          //~ else console.log('non-vertical item in VBoderPanel:',item)
        }
      }
      Lino.VBorderPanel.superclass.onBodyResize.call(this, w, h);
    }
});


/*
  modifications to the standard behaviour of a CellSelectionModel:

*/
Ext.override(Ext.grid.CellSelectionModel, {
//~ var dummy = {

    getRowFrompx : function(px){
        g = this.grid;
        rows = g.getView().getRows();
        total_height = 0,
        searched_row = 0;
        for (row in rows){
            if (total_height < px){
                searched_row += 1;
                total_height += rows[row].clientHeight;
                }
            else{
                return searched_row;
            }
        }

    },
    handleKeyDown : function(e){
        /* removed because F2 wouldn't pass
        if(!e.isNavKeyPress()){
            return;
        }
        */
        //~ console.log('handleKeyDown',e)
        var k = e.getKey(),
            g = this.grid,
            s = this.selection,
            sm = this,
            walk = function(row, col, step){
                return g.walkCells(
                    row,
                    col,
                    step,
                    g.isEditor && g.editing ? sm.acceptsNav : sm.isSelectable,
                    sm
                );
            },
            cell, newCell, r, c, ae;
            t = g.getTopToolbar();
            if (t != undefined){
                d = t.getPageData();
            }
            else{
                d = undefined;
            }

        switch(k){
            case e.ESC:
                break;
            default:
                // e.stopEvent(); // removed because Browser keys like Alt-Home, Ctrl-R wouldn't work
                break;
        }

        if(!s){
            cell = walk(0, 0, 1);
            if(cell){
                this.select(cell[0], cell[1]);
            }
            return;
        }

        cell = s.cell;
        r = cell[0];
        c = cell[1];

        switch(k){
            case e.TAB:
                if(e.shiftKey){
                    newCell = walk(r, c - 1, -1);
                    // prev + [-1 -1]
                }else{
                    newCell = walk(r, c + 1, 1);
                }
                e.stopEvent(); // Don't allow tab to cause grid to loose focus
                if(!newCell && d != undefined){
                    var self = this;
                    var new_page = e.shiftKey? Math.max(1, d.activePage -1) : Math.min(d.pages, d.activePage +1) ;
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            if (e.shiftKey) {
                                self.select(
                                    Math.min(r, g.store.getCount() - 1),
                                    g.getColumnModel().getColumnsBy(function (col) {return !col.hidden}).last().colIndex
                                );
                            }else {
                                self.select(0,0);
                            }
                            //~ console.log('change',r,c);
                        }, this, {single: true});

                        if (e.shiftKey) {
                            t.movePrevious();
                        } else {
                            t.moveNext();
                        }
                        return;}
                }
                break;
            case e.HOME:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, 0];
                        //~ console.log('home',newCell);
                        break;
                    } else {
                        var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
                        if (e.ctrlKey && activePage > 1) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                self.select(0, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});

                            t.moveFirst();
                            return;
                        }
                        newCell = [0, c];
                        break;
                    }
                }
            case e.END:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, g.getColumnModel().getColumnsBy(function (col) {
                            return !col.hidden
                        }).last().colIndex];
                        //~ console.log('end',newCell);
                        break;
                    } else if (d != undefined){
                        if (e.ctrlKey && d.activePage < d.pages) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                var r = g.store.getCount() - 1;
                                self.select(r, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});
                            t.moveLast();
                            return;
                        } else {
                            newCell = [g.store.getCount() - 1, c];
                            //~ console.log('ctrl-end',newCell);
                            break;
                        }
                    }
                }
            case e.PAGE_UP:
            case e.PAGE_DOWN:
                e.stopEvent();
                var self = this;
                var scroller = g.getView().scroller;
                var box = scroller.getBox();
                //console.log('box',box);
                var viewSize = scroller.getSize(); // EXP {width: 547, height: 500}
//                console.log('viewSize',viewSize);
                var scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('scrollPosition',scrollPosition);
//                if (box.height < box.bottom){
                var direction  = e.PAGE_DOWN === k ? 'b' : 'u';
                scroller.scroll(direction, box.y,false);
//                }
                var new_scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('new_scrollPosition',new_scrollPosition);
                if (new_scrollPosition.top != scrollPosition.top){
                    newcellpx = e.PAGE_DOWN === k ? box.height : new_scrollPosition.top;
                    var newx = this.getRowFrompx(newcellpx);
//                    console.log('newx',newx);
                    newCell = walk(newx,c,1)
                    break;
                }
//                g.getView().scroller.scroll('b', 99999,true);
//                g.getView().scroller.isScrollable();
                if (d != undefined){
                    var new_page = e.PAGE_DOWN === k ? Math.min(d.pages, d.activePage +1) : Math.max(1, d.activePage -1);
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            self.select(Math.min(r, g.store.getCount() - 1), c);
                            //~ console.log('change',r,c);
                        }, this, {single: true});
                        if(k === e.PAGE_DOWN){
                            t.moveNext();
                        }else{
                            t.movePrevious();
    //                        Go to the bottom of the new page
                            var scroller = g.getView().scroller;
                            var newbox = scroller.getBox();
                            scroller.scroll('b', newbox.bottom,false);
                        }
                    }
                    return;
                }else{ // same page, goto top / bottom row, keep c same
                    r = e.PAGE_DOWN === k ? g.store.getCount() - 1 : 0;
                    newCell = [r, c]
                }
                break;
            case e.DOWN:
                newCell = walk(r + 1, c, 1);
                break;
            case e.UP:
                newCell = walk(r - 1, c, -1);
                break;
            case e.RIGHT:
                newCell = walk(r, c + 1, 1);
                break;
            case e.LEFT:
                newCell = walk(r, c - 1, -1);
                break;
            case e.F2:
                if (!e.hasModifier()) {
                    if (g.isEditor && !g.editing) {
                        g.startEditing(r, c);
                        e.stopEvent();
                        return;
                    }
                    break;
                }
            case e.INSERT:
                if (!e.hasModifier()) {
                    if (g.ls_insert_handler && !g.editing) {
                        e.stopEvent();
                        Lino.show_insert(g);
                        return;
                    }
                    break;
                }
            case e.DELETE:
                if (!e.hasModifier()) {
                    if (!g.editing) {
                        e.stopEvent();
                        // Lino.delete_selected(g);
                        Lino.row_action_handler('delete_selected','GET',null)(g);
                        return;
                    }
                    break;
                }

            case e.ENTER:
                e.stopEvent();
                g.onCellDblClick(g,r,c);
                break;

            default:
                g.handle_key_event(e);

        }


        if(newCell){
          e.stopEvent();
          r = newCell[0];
          c = newCell[1];
          this.select(r, c);
          if(g.isEditor && g.editing){
            ae = g.activeEditor;
            if(ae && ae.field.triggerBlur){
                ae.field.triggerBlur();
            }
            g.startEditing(r, c);
          }
        //~ } else if (g.isEditor && !g.editing && e.charCode) {
        //~ // } else if (!e.isSpecialKey() && g.isEditor && !g.editing) {
            //~ g.set_start_value(String.fromCharCode(e.charCode));
            //~ // g.set_start_value(String.fromCharCode(k));
            //~ // g.set_start_value(e.charCode);
            //~ g.startEditing(r, c);
            //~ // e.stopEvent();
            //~ return;
        // } else {
          // console.log('20120513',e,g);
        }

    }


//~ };
});



function PseudoConsole() {
    this.log = function() {};
};
if (typeof(console) == 'undefined') console = new PseudoConsole();

Lino.notify = function(msg) {
  if (msg == undefined) msg = ''; else console.log(msg);
  
    if (msg == undefined) return;
    // Lino.alert(msg);
  
};

Lino.alert = function(msg) {
  Ext.MessageBox.alert('Notify',msg);
};


//~ Lino.show_about = function() {
  //~ new Ext.Window({
    //~ width: 400, height: 400,
    //~ title: "About",
    //~ html: '<a href="http://www.extjs.com" target="_blank">ExtJS</a> version ' + Ext.version
  //~ }).show();
//~ };

function obj2str(o) {
  if (typeof o != 'object') return String(o);
  var s = '';
  for (var p in o) {
    s += p + ': ' + obj2str(o[p]) + '\n';
  }
  return s;
}

Lino.on_store_exception = function (store,type,action,options,response,arg) {
  //~ throw response;
  console.log("on_store_exception: store=",store,
    "type=",type,
    "action=",action,
    "options=",options,
    "response=",response,
    "arg=",arg);
    if (arg != undefined && arg) { console.log(arg.stack)};
    var msg = "Problem mit der Verbindung zur Datenbank";
    if (response.responseText)
        msg += '<br/>' + response.responseText
    msg += '<br/>' + "Falls der Fehler sich wiederholt, laden Sie die Seite im Browser neu ([SHIFT+CTRL+R] in Firefox)."
    Ext.Msg.alert("Datenbank-Problem", msg );

};

//~ Lino.on_submit_success = function(form, action) {
   //~ Lino.notify(action.result.message);
   //~ this.close();
//~ };

Lino.on_submit_failure = function(form, action) {
    //~ Lino.notify();
  // action may be undefined
    switch (action.failureType) {
        case Ext.form.Action.CLIENT_INVALID:
            Ext.Msg.alert("Client-side failure", "Bitte überprüfe alle Felder im Formular vor dem Speichern");
            break;
        case Ext.form.Action.CONNECT_FAILURE:
            Ext.Msg.alert("Connection failure", "Ajax communication failed");
            break;
        case Ext.form.Action.SERVER_INVALID:
            Ext.Msg.alert("Server-side failure", action.result.message);
   }
};



/*
Lino.save_wc_handler = function(ww) {
  return function(event,toolEl,panel,tc) {
    var pos = panel.getPosition();
    var size = panel.getSize();
    wc = ww.get_window_config();
    Ext.applyIf(wc,{
      x:pos[0],y:pos[1],height:size.height,width:size.width,
      maximized:panel.maximized});
    Lino.do_action(ww,{url:'/window_configs/'+ww.config.permalink_name,params:wc,method:'POST'});
  }
};

*/

Lino.show_in_own_window_button = function(handler) {
  return {
    qtip: "Dieses Panel in eigenem Fenster öffnen",
    id: "up",
    handler: function(event,toolEl,panel, tc) {
      //~ console.log('20111206 report_window_button',panel,handler);
      handler.run(null,{base_params:panel.containing_panel.get_master_params()});
    }
  }
}

Lino.action_handler = function (panel, on_success, on_confirm) {
  return function (response) {
      if (!panel) {
          if (Lino.current_window)
              panel = Lino.current_window.main_item;
          else panel = Lino.viewport;
      }

    if (panel.loadMask) panel.loadMask.hide(); // 20120211
    if (!response.responseText) return ;
    var result = Ext.decode(response.responseText);
    Lino.handle_action_result(panel, result, on_success, on_confirm);
  }
};

Lino.handle_action_result = function (panel, result, on_success, on_confirm) {

    // console.log('20150514 Lino.handle_action_result()', result);

    // if (panel instanceof Lino.GridPanel) {
    //     gridmode = true;
    // } else {
    //     gridmode = false;
    // }

    //~ if (result.goto_record) {
        //~ var js = "Lino." + result.goto_record[0] + '.detail.run';
        //~ var h = eval(js);
        //~ h(panel,{record_id:result.goto_record[1]});
    //~ }

    if (result.goto_url) {
        document.location = result.goto_url;
        if (result.close_window) Lino.close_window();
        return;
    }

    if (result.xcallback) {
        //~ var config = {title:"Bestätigung"};
        var config = {cls:"l-confirmation", title:result.xcallback.title};
        //~ config.buttons = Ext.MessageBox.YESNOCANCEL;
        //~ config.buttons = Ext.MessageBox.YESNO;
        var p = {};
        Lino.insert_subst_user(p);
        config.buttons = {};
        result.xcallback.buttons.forEach((button) => config.buttons[button[0]] = button[1]);
        config.msg = result.message;
        config.fn = function(buttonId, text, opt) {
          eval(result.xcallback[buttonId + "_resendEvalJs"])
        }
        Ext.MessageBox.show(config);
        return;
    }

    // `record_id` and/or `data_record` both mean "display the detail
    // of this record".

    if(result.detail_handler_name) {
        // TODO: make sure that result.detail_handler_name is secure
        var detail_handler = eval("Lino." + result.detail_handler_name);
    }
    var ns = {};  // new status
    if (result.close_window) {

        // Subsequent processing expects that `panel` is "the current
        // panel". But if we close the window, `panel` must point
        // to the previous window. Note the case of an insert window
        // that has been invoked by double-clicking on the phantom row
        // of a slave table in a detail window. In that case we want
        // `panel` to become the grid panel of the slave table who
        // called the insert window, not the master's detail form
        // panel.  When the insert window has been called by an action
        // link (e.g. generated using ar.insert_button), then
        // Lino.close_window can return `undefined`.

        if(result.record_id || result.data_record) {
            var ww = Lino.calling_window();
            if (ww && ww.window.main_item instanceof Lino.FormPanel) {
                if (ww.window.main_item.ls_detail_handler == detail_handler) {
                    ns.record_id = result.record_id;
                    ns.data_record = result.data_record;
                    // console.log("20150514 use new status.");
                }
            }
        }

        panel = Lino.close_window(
            function(ww) { Ext.apply(ww.status, ns) });
        if (!panel)
            // console.log("20150514 close_window returned no panel.");
            if (Lino.current_window)
                panel = Lino.current_window.main_item;

    }

    if(result.record_id || result.data_record) {
        if (! (ns.record_id || ns.data_record)) {
          // no close_window, so we must update record data in current
          // panel (if it is the detail_handler for this record) or
          // open the detail handler.
          var st = {
              record_id: result.record_id,
              data_record: result.data_record
          };
          if (result.active_tab) st.active_tab = result.active_tab;
          if (panel instanceof Lino.FormPanel
              && panel.ls_detail_handler == detail_handler)
            {
              // console.log("20210106 use panel.set_status().");
              st.base_params = panel.get_base_params();
              panel.set_status(st);
          } else {
              // console.log("20210106 run detail_handler.");
              if (panel !== undefined && panel.ls_detail_handler == detail_handler){
                st.base_params = panel.get_base_params();}
              detail_handler.run(null, st);
          }

          // if (panel instanceof Lino.FormPanel
          //     && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 2 it's a FormPanel:", panel);
          //     panel.set_status({
          //         record_id: result.record_id,
          //         data_record: result.data_record});
          // } else if (panel.ls_detail_handler
          //            && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 4");
          //     panel.ls_detail_handler.run(null, {
          //         record_id: result.record_id,
          //         data_record: result.data_record,
          //         base_params: panel.get_base_params()});
          // } else {
          //     result.refresh_all = true;
          //     console.log("20140604 case 6", result.actor_url);
          // }
        }
    }

    // `eval_js` must get handled after `close_window` because it
    // might ask to open a new window (and we don't want to close that
    // new window).  It must execute *before* any MessageBox,
    // otherwise the box would get hidden by a window that opens
    // afterwards.

    if (result.eval_js) {
        //~ console.log(20120618,result.eval_js);
        eval(result.eval_js);
    }

    if (on_success && result.success) {
        // console.log("20140430 handle_action_result calls on_success",
        //             on_success);
        on_success(result);
    }

    if (result.info_message) {
        console.log(result.info_message);
    }

    if (result.warning_message) {
        if (!result.alert) result.alert = "Warnung";
        Ext.MessageBox.alert(result.alert, result.warning_message);
    }

    if (result.message) {
        //~ if (result.alert && ! gridmode) {
        if (result.alert) { // 20120628b
            //~ Ext.MessageBox.alert('Alert',result.alert_msg);
            if (result.alert === true) result.alert = "Alarm";
            Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
        } else {
            Lino.notify(result.message);
        }
    }

    if(result.record_deleted && panel.ls_detail_handler == detail_handler) {
        panel.after_delete();
        return;  // added 20200717 to fix #3715
    }

    if (result.refresh_all) {
        var cw = Lino.current_window;
        // var cw = panel.get_containing_window();
        if (cw) {
            // console.log("20140917 refresh_all calls refresh on", cw.main_item);
            cw.main_item.refresh();
        } else { Lino.viewport.refresh(); }
        // else console.log("20140917 cannot refresh_all because ",
        //                  "there is no current_window");
    } else {
        if (result.refresh) {
            // console.log("20140917 Gonna call panel.refresh()", panel);
            panel.refresh();
            panel.focus();
        }
    }if (result.open_url) {
        //~ console.log(20111126,result.open_url);
        //~ if (!result.message)
            //~ Lino.notify('Open new window <a href="'+result.open_url+'" target="_blank">'+result.open_url+'</a>');
        window.open(result.open_url,'foo',"");
        //~ document.location = result.open_url;
    }
};

// obsolete but still used for deleting records.
Lino.do_action = function(caller,action) {
  action.success = function(response) {
    if (caller.loadMask) caller.loadMask.hide();
    //~ console.log('Lino.do_action()',action,'action success',response);
    if (action.after_success) {
        //~ console.log('Lino.do_action() calling after_success');
        action.after_success();
    }
    if (response.responseText) {
      var result = Ext.decode(response.responseText);
      //~ console.log('Lino.do_action()',action.name,'result is',result);
      if (result.message) {
          if (result.alert) {
              //~ Ext.MessageBox.alert('Alert',result.alert_msg);
              Ext.MessageBox.alert('Alert',result.message);
          } else {
              Lino.notify(result.message);
          }
      }

      //~ if (result.alert_msg) Ext.MessageBox.alert('Alert',result.alert_msg);
      //~ if (result.message) Lino.notify(result.message);
      if (result.notify_msg) Lino.notify(result.notify_msg);
      if (result.js_code) {
        //~ console.log('Lino.do_action()',action,'gonna call js_code in',result);
        var jsr = result.js_code(caller);
        //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
        if (action.after_js_code) {
          //~ console.log('Lino.do_action()',action,'gonna call after_js_code');
          action.after_js_code(jsr);
          //~ console.log('Lino.do_action()',action,'returned from after_js_code');
        //~ } else {
          //~ console.log('Lino.do_action()',action,' : after_js_code is false');
        }
      };
    }
  };
  Ext.applyIf(action,{
    waitMsg: "Bitte warten...",
    failure: Lino.ajax_error_handler(caller),
    params: {}
  });
  //~ action.params.su = Lino.subst_user;
  Lino.insert_subst_user(action.params);

  Ext.Ajax.request(action);
};

//~ Lino.gup = function( name )
//~ {
  //~ // Thanks to http://www.netlobo.com/url_query_string_javascript.html
  //~ name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  //~ var regexS = "[\\?&]"+name+"=([^&#]*)";
  //~ var regex = new RegExp( regexS );
  //~ var results = regex.exec( window.location.href );
  //~ if( results == null )
    //~ return "";
  //~ else
    //~ return results[1];
//~ };

//~ Lino.refresh_handler = function (ww) {
  //~ return function() {
      //~ console.log('refresh',ww);
      //~ ww.main_item.doLayout(false,true);
      //~ ww.main_item.syncSize();
  //~ }
//~ };

//~ Lino.tools_close_handler = function (ww) {
  //~ return function() {
      //~ ww.close();
  //~ }
//~ };
Lino.permalink_handler = function (ww) {
  return function() {
    //~ document.location = ww.main_item.get_permalink();
    //~ console.log('20130723 Lino.permalink_handler',ww);

    /* Uncaught TypeError: Cannot read property 'main_item' of null  */
    if (ww) {
        var url = ww.main_item.get_permalink();
    } else {
        var url = Lino.viewport.get_permalink();
    }
    Lino.load_url(url);
  }
};
//~ Lino.run_permalink = function() {
  //~ var plink = Lino.gup('permalink');
  //~ if(plink) { eval('Lino.'+plink); }
//~ }

Lino.close_and_save_handler =  function (ww){
    return function(){
    if (ww) {
        ww.main_item.do_when_clean(true,function() {
        Lino.close_window(); });
        }
    }
};

Lino.ajax_error_handler = function(panel) {
  return function(response,options) {
    console.log('Ajax failure:', response, options);
    if (panel.loadMask) panel.loadMask.hide();
    if (response.responseText) {
      var lines = response.responseText.split('\n');
      if (lines.length > 10) {
          line = lines.splice(5, lines.length-10, "(...)");
      }
      //~ console.log(20131005, response.statusText.toCamel());
      Ext.MessageBox.alert(
        response.statusText.toCamel(),
        lines.join('<br/>')
        //~ response.responseText.replace(/\n/g,'<br/>'))
      )
    } else {
      Ext.MessageBox.alert('Action failed',
        'Lino server did not respond to Ajax request');
    }
  }
}
// Ext.Ajax.on('requestexception',Lino.ajax_error_handler)



Ext.QuickTips.init();

/* setting QuickTips dismissDelay to 0 */
// Apply a set of config properties to the singleton
//~ Ext.apply(Ext.QuickTips.getQuickTip(), {
//~ Ext.apply(Ext.ToolTip, {
    //~ dismissDelay: 0
    //~ autoHide: false,
    //~ closable: true,
    //~ maxWidth: 200,
    //~ minWidth: 100,
    //~ showDelay: 50      // Show 50ms after entering target
    //~ ,trackMouse: true
//~ });


// Ext.apply(Ext.QuickTips.getQuickTip(), {
//     dismissDelay: 500,
//     showDelay: 20      // Show 10ms after entering target
// });

Lino.quicktip_renderer = function(title, body) {
  return function(c) {
    //~ if (c instanceof Ext.Panel) var t = c.bwrap; else // 20130129
      if (c instanceof Ext.Panel) {
          var t = c.header;
      } else if (c instanceof Ext.Button) {
          var t = c.btnEl;
      } else  {
          var t = c.getEl();
      }
    // console.log(20171024, c, t, body);
    //~ t.dismissDelay = 0;
    Ext.QuickTips.register({
      target: t,
      //~ cls: 'lino-quicktip-classical',
      dismissDelay: 10000,
      //~ autoHide: false,
      showDelay: 30,      // Show X ms after entering target
      //~ title: title,
      text: body
    });
  }
};



Lino.help_text_editor = function() {
  //~ var bp = {
      //~ mk:this.content_type,
      //~ mt:1
    //~ };
    //~ console.log(20120202,bp);
  //~ Lino.lino.ContentTypes.detail({},{base_params:bp});
  //~ Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
  Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
}

// Path to the blank image should point to a valid location on your server
//~ Ext.BLANK_IMAGE_URL = MEDIA_URL + '/extjs/resources/images/default/s.gif';


// used as Ext.grid.Column.renderer for id columns in order to hide the special id value -99999
Lino.id_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ if (record.phantom) return '';
  return value;
}

Lino.raw_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  return value;
}

Lino.text_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ return "not implemented";
  return value;
}

Lino.NullNumberColumn = Ext.extend(Ext.grid.Column, {
    align : 'right',
    format : '0,000.00/i',
    renderer : function(value, metaData, record, rowIndex, colIndex, store) {
        // if( colIndex == 3)
        //     console.log(20130128,"NullNumberColumn.renderer",value);
        if (value === null) return '';
        return Ext.util.Format.number(value, this.format);
    }
});


Lino.link_button = function(url) {
    // return '<a href="' + url + '"><img src="/media/lino/extjs/images/xsite/link.png" alt="link_button"></a>'
    return '<a href="' + url + '" style="text-decoration:none;">&#10138;</a>'
}

Lino.fk_renderer = function(fkname,handlername) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    //~ if (record.phantom) return '';
    if (value) {
        return Lino.link_button('javascript:'+handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})")') + value;
        // until 20140822 (clickable foreign keys):
        // var s = '<a href="javascript:' ;
        // s += handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})">';
        // s += value + '</a>';
        // return s
    }
    return '';
  }
};

Lino.lfk_renderer = function(panel,fkname) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  var handlername = 'console.log';
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    if (record.phantom) return '';
    if (value) {
        var s = '<a href="javascript:' ;
        s += handlername + '({},{record_id:\'' + String(record.data[fkname]) + '\'})">';
        s += value + '</a>';
        //~ console.log('Lino.fk_renderer',value,'-->',s);
        return s
    }
    return '';
  }
};

//~ Lino.gfk_renderer = function() {
  //~ return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ if (record.phantom) return '';
    //~ console.log('Lino.gfk_renderer',value,colIndex,record,metaData,store);
    //~ return value;
  //~ }
//~ };


Lino.build_buttons = function(panel,actions) {
  //~ console.log("20121006 Lino.build_buttons",actions);
  if (actions) {
    var buttons = Array(actions.length);
    var cmenu = Array(actions.length);
    var keyhandlers = [];
    for (var i=0; i < actions.length; i++) {
      var a = actions[i];
      if (a.menu) a.menu = Lino.build_buttons(panel,a.menu).bbar;
      buttons[i] = a;
      cmenu[i] = {
            text : a.menu_item_text,
            iconCls : a.iconCls,
            menu : a.menu,
            itemId : a.itemId
          };
      if (a.panel_btn_handler) {
          var h = a.panel_btn_handler.createCallback(panel);
          if (a.auto_save == true) {
              h = panel.do_when_clean.createDelegate(panel,[true,h]);
          } else if (a.auto_save == null) {
              h = panel.do_when_clean.createDelegate(panel,[false,h]);
          } else if (a.auto_save == false) {
              // h = h;
          } else {
              console.log("20120703 unhandled auto_save value",a)
          }
          buttons[i].handler = h;
          cmenu[i].handler = h;
          if (a.keycode) {
                keyhandlers.push({
                key : a.keycode,
                fn : h});
//              keyhandlers[a.keycode] = h;
          }
          //~ if (buttons[i].xtype == 'splitbutton') {
              //~ cmenu[i].menu = a.menu;
          //~ } else {
              //~ cmenu[i].handler = h;
          //~ }
      } else {
          console.log("action without panel_btn_handler",a)
          // cmenu[i].handler = a.handler;
      }
    }
//    if (keyhandlers.length > 0){
//        var keys = new Ext.KeyMap(panel,keyhandlers);
//    }
    return {
        bbar:buttons,
        cmenu:new Ext.menu.Menu(cmenu),
        keyhandlers: keyhandlers
    };
  }
}

Lino.do_when_visible = function(cmp,todo) {
  //~ if (cmp.el && cmp.el.dom)
  if (cmp.isVisible()) {
    // 'visible' means 'rendered and not hidden'
    //~ console.log(cmp.title,'-> cmp is visible now');
    todo();
  //~ } else {
      //~ cmp.on('resize',todo,cmp,{single:true});
  //~ }
  //~ if (false) { // 20120213
  } else {
    //~ console.log('Lino.do_when_visible() must defer because not isVisible()',todo,cmp);
    if (cmp.rendered) {
      //~ console.log(cmp,'-> cmp is rendered but not visible: and now?');
      //~ console.log(cmp.title,'-> cmp is rendered but not visible: try again in a moment...');
      //~ var fn = function() {Lino.do_when_visible(cmp,todo)};
      //~ fn.defer(100);

      Lino.do_when_visible.defer(50,this,[cmp,todo]);
      //~ Lino.do_when_visible.defer(100,this,[cmp,todo]);

    } else {
      //~ console.log(cmp.title,'-> after render');
      cmp.on('afterrender',todo,cmp,{single:true});
    }
  }

};

/*
*/
Lino.do_on_current_record = function(panel, fn, phantom_fn) {
  // console.log('20140930 do_on_current_record', arguments);
  var rec = panel.get_current_record();
  if (rec == undefined) {
    Lino.notify("There's no selected record.");
    return;
  }
  // 20120307 A VirtualTable with a Detail (lino.Models) has only "phantom" records.
  if (rec.phantom) {
    //~ if (!panel.editable) { console.log("20120312 not editable:",panel)}
    if (phantom_fn) {
      phantom_fn(panel);
    } else {
      Lino.notify("Aktion nicht verfügbar auf dem Phantom-Record.");
    }
    return;
  }
  return fn(rec);
};


Lino.call_ajax_action = function(
    panel, method, url, p, actionName, step, on_confirm, on_success) {
  p.an = actionName;
  if (!panel || !panel.isVisible()) {
  //~ if (true) { // 20131026 : workflow_actions of a newly created record detail executed but did't refresh the screen because their requesting panel was the insert (not the detail) formpanel.
      if (Lino.current_window)
          panel = Lino.current_window.main_item;
      else panel = Lino.viewport;
  }
  // console.log("20150130 a", p.pv);
  // Ext.apply(p, panel.get_base_params());
  // console.log("20150130 b", p.pv);

  if (panel.get_selected && p.sr === undefined) {
      var selected_recs = panel.get_selected();
      //~ console.log("20130831",selected_recs);
      var rs = Array(selected_recs.length);
      for(var i=0; i < selected_recs.length;i++) {
          rs[i] = selected_recs[i].data[panel.ls_id_property];
      };
      p.sr = rs;
  }

  // console.log("20170731 Lino.call_ajax_action", Ext.Ajax, p, actionName, step);

  if (panel.loadMask) panel.loadMask.show();
  Lino.insert_linoweb_version(p)
  // Ext.Ajax.params = {};
  Ext.Ajax.request({
    method: method
    ,url: url
    ,params: p
    ,success: Lino.action_handler(panel, on_success, on_confirm)
    ,failure: Lino.ajax_error_handler(panel)
  });
};




Lino.row_action_handler = function(actionName, hm, pp,rqData,xcallback ) {
  var fn = function(panel, btn, step) {
      var p = {};
      // console.log('20150514 row_action_handler');
      if (pp) { p = pp(panel); if (! p) return; }
      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (!panel || panel.get_current_record == undefined) { // AFTER_20130725
        // console.log('20140930 row_action_handler 2', panel);
        panel = Ext.getCmp(panel);
        if (panel == undefined) {
          console.log("20160410 Invalid panel spec.", actionName, hm, pp);
          Lino.notify("Invalid panel spec.");
          return;
        }
      }

      Lino.do_on_current_record(panel, function(rec) {
          //~ console.log(panel);
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
          Lino.call_ajax_action(
              panel, hm, panel.get_record_url(rec.id),
              p, actionName, step, fn);
      });
  };
  return fn;
};

Lino.list_action_handler = function(ls_url,actionName,hm,pp, rqData, xcallback) {
  var url = '/api' + ls_url
  var fn = function(panel,btn,step) {
      var p = {};
      //~ console.log("20121210 Lino.list_action_handler",arguments);
      if (pp) { p = pp(panel);  if (! p) return; }

      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (panel) { // may be undefined when called e.g. from quicklink
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
      }
      // Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn);
      var runFn = function () { Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn); };
      setTimeout(runFn, p.timeout ? p.timeout : 0);

  };
  return fn;
};

Lino.param_action_handler = function(window_action) { // 20121012
  var fn = function(panel,btn,step) {
    Lino.do_on_current_record(panel,function(rec) {
      window_action.run(panel.getId(),{});
    });
  };
  return fn;
};



Lino.run_row_action = function(
    requesting_panel, is_on_main_actor, url, meth, pk,
    actionName, params, preprocessor) {
  //~ var panel = action.get_window().main_item;
  // console.log("20140930 Lino.run_row_action", params);
  url = '/api' + url;
  if (Array.isArray(pk) && pk.length) { url += '/' + pk[0]}
  else if (!Array.isArray(pk)) {url += '/' + pk}
  var panel = Ext.getCmp(requesting_panel);
  // var params = {}
  // if (init_params) Ext.apply(params, init_params);
  if (!params) params = {};
  if (preprocessor) {
      var p = preprocessor();
      Ext.apply(params, p);
  }
  if (panel && is_on_main_actor) {
      Ext.apply(params, panel.get_base_params())
  }else {
     params.sr = pk
  }
  Lino.insert_subst_user(params);

  if (params.rqdata) {
      Ext.apply(params, params.rqdata);
      delete(params.rqdata)
  }
  if (params.xcallback){
      params["xcallback__"+params.xcallback.xcallback_id] =params.xcallback.choice;
      delete(params.xcallback)
  }

  var fn = function(panel, btn, step) {
    Lino.call_ajax_action(panel, meth, url, params, actionName, step, fn);
  }
  // fn(panel, null, null);

  var runFn = function () { fn(panel, null, null); };
  setTimeout(runFn, params.timeout ? params.timeout : 0);


}


Lino.wrapped_action_handler = function(func) {
    var fn = function(panel, btn, step) {
        func += "(panel, btn, step)"
        eval(func)
    }
    return fn;
}


Lino.show_detail = function(panel, btn) {
  Lino.do_on_current_record(panel,
    function(rec) {
      //~ panel.loadMask.show();
      Lino.run_detail_handler(panel, rec.id);
    },
    Lino.show_insert
  );
};

Lino.run_detail_handler = function(panel,pk) {
  var bp = panel.get_base_params();
  panel.add_param_values(bp); // 20120918
  var status = {
    record_id:pk,
    base_params:bp
  }
  //~ console.log("20120918 Lino.show_detail",status);
  panel.ls_detail_handler.run(null,status);
}

Lino.show_fk_detail = function(combo,detail_action,insert_action) {
    //~ console.log("Lino.show_fk_detail",combo,handler);
    pk = combo.getValue();
    if (pk) {
        detail_action.run(null,{record_id: pk})
      } else {
        insert_action.run(null);
        //~ Lino.notify("Cannot show detail for empty foreign key.");
      }
};

Lino.show_insert = function(panel,btn) {
  var bp = panel.get_base_params();
  // ~ console.log('20120125 Lino.show_insert',bp)
  //~ panel.ls_insert_handler.run(null,{record_id:-99999,base_params:bp});
  panel.ls_insert_handler.run(panel.getId(),{base_params:bp});
};



if (Ext.ux.grid !== undefined) {
    Lino.GridFilters = Ext.extend(Ext.ux.grid.GridFilters,{
      encode:true,
      local:false
    });
} else {
    Lino.GridFilters = function() {}; // dummy
    Ext.override(Lino.GridFilters,{
      init : function() {}
    });
};



Lino.FieldBoxMixin = {
  before_init : function(config,params) {
    if (params) Ext.apply(config,params);
    var actions = Lino.build_buttons(this, config.ls_bbar_actions);
    if (actions) config.bbar = actions.bbar;
  },
  //~ constructor : function(ww,config,params){
    //~ this.containing_window = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  do_when_clean : function(auto_save,todo) { todo() },
  //~ format_data : function(html) { return '<div class="htmlText">' + html + '</div>' },
  format_data : function(html) { return html },
  get_base_params : function() {
    // needed for insert action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  },
  set_base_params : function(p) {
    this.base_params = Ext.apply({},p);
    //~ if (p.param_values) this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  },
  set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
};

Ext.override(Ext.form.HtmlEditor, {
    fixKeys : function(){
        if(Ext.isIE){
            return function(e){
                var k = e.getKey(),
                    doc = this.getDoc(),
                        r;
                if(k == e.TAB){
                    e.stopEvent();
                    r = doc.selection.createRange();
                    if(r){
                        r.collapse(true);
                        r.pasteHTML('&nbsp;&nbsp;&nbsp;&nbsp;');
                        this.deferFocus();
                    }
                }else if(k == e.ENTER){
                    r = doc.selection.createRange();
                    if(r){
                        var target = r.parentElement();
                        if(!target || target.tagName.toLowerCase() != 'li'){
                            e.stopEvent();
                            r.pasteHTML('<br />');
                            r.collapse(false);
                            r.select();
                        }
                    }
                }
            };
        }else if(Ext.isOpera){
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.win.focus();
                    this.execCmd('InsertHTML','&nbsp;&nbsp;&nbsp;&nbsp;');
                    this.deferFocus();
                }
            };
        }else if(Ext.isWebKit){
            // HKC : this is probably our most used case.
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.execCmd('InsertText','\t');
                    this.deferFocus();
                }else if(k == e.ENTER){
                    e.stopEvent();
                    this.execCmd('InsertHtml','<br /><br />');
                    this.deferFocus();
                }
             //   HKC
               else if (k == e.S && e.ctrlKey){
                    e.stopEvent();
                    e.preventDefault();
                    //this.getWin.fireEvent('keyup');
                    // this.fireKey(e);
                    console.log('HTMLEditor is saving...');
                }
             };
        }
    }(),
    // bubbleEvents : ['keypress']
    // initComponent : function() {
    //     Ext.form.HtmlEditor.superclass.initComponent.call(this);
    //     this.addEvents('submit');
    // },
    // submit : function (event) {
    //     console.log("rrrrr");
    // },
    // initEditor : function() {
    //     Ext.form.HtmlEditor.superclass.initEditor.call(this);
    //     if (Ext.isGecko) {
    //         Ext.EventManager.on(this, 'keypress', this.fireSubmit, this);
    //     }
    //     if (Ext.isIE || Ext.isWebKit || Ext.isOpera) {
    //         Ext.EventManager.on(this, 'keydown', this.fireSubmit,
    //             this);
    //     }
    // },
    fireSubmit : function(e) {
        console.log("fireSubmit ...");
    }
});

Lino.HtmlBoxPanel = Ext.extend(Ext.Panel, Lino.PanelMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, Lino.FieldBoxMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, {
  disabled_in_insert_window : true,
  constructor : function(config,params) {
    this.before_init(config,params);
    Lino.HtmlBoxPanel.superclass.constructor.call(this, config);
  },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.constructor.call(this, ww,config,params);
  //~ },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  //~ disable : function() { var tb = this.getBottomToolbar(); if(tb) tb.disable()},
  //~ enable : function() { var tb = this.getBottomToolbar(); if(tb) tb.enable()},
  onRender : function(ct, position){
    Lino.HtmlBoxPanel.superclass.onRender.call(this, ct, position);
    Ext.getDoc().addKeyListener(Ext.EventObject.ESC, function(k,e) {
      // this.get_containing_window().close();
      this.get_containing_window().main_item.do_when_clean(false,function() {
        if (Lino.current_window ) {
          Lino.close_window();
        }
      });
    },this);
    //~ console.log(20111125,this.containing_window);
    if (this.containing_panel) {
      this.containing_panel.on('enable',this.enable,this);
      this.containing_panel.on('disable',this.disable,this);
    }
    this.el.on({
      dragenter:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        return true;
      }
      ,dragover:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        event.stopEvent();
        return true;
      }
      ,drop:{
        scope:this
        ,fn:function(event){
          event.stopEvent();
          //~ console.log(20110516);
          var files = event.browserEvent.dataTransfer.files;
          if(files === undefined){
            return true;
          }
          var len = files.length;
          while(--len >= 0){
            console.log(files[len]);
            //~ this.processDragAndDropFileUpload(files[len]);
          }
          Lino.show_insert(this);
        }
      }
    });
  },
  refresh : function(unused) {
      // this.containing_panel.refresh();
      this.refresh_with_after();
  },
  /* HtmlBoxPanel */
  refresh_with_after : function(after) {
      // var todo = this.containing_panel.refresh();
      var box = this.items.get(0);
      var todo = function() {
        if (this.disabled) { return; }
        this.set_base_params(this.containing_panel.get_master_params());

        var el = box.getEl();
        if (el) {
            var record = this.containing_panel.get_current_record();
            var newcontent = record ?
                this.format_data(record.data[this.name]) : '';
            // console.log('20140917 HtmlBox.refresh()',
            //             this.name, record.data.LinksByHuman);
            el.update(newcontent, true);
        // } else {
        //     console.log('20140502 cannot HtmlBox.refresh()',this.name);
        }
      };

      Lino.do_when_visible(box, todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.HtmlBoxPanel,Lino.FieldBoxMixin);


Lino.ActionFormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.PanelMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.FieldBoxMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, {
  //~ layout:'fit'
  //~ ,autoHeight: true
  //~ ,frame: true
  window_title : "Action Parameters",
  cls : "l-ActionFormPanel",
  constructor : function(config){
    config.buttons = [
        {text: 'OK', handler: this.on_ok, scope: this, cls:"l-ok"},
        {text: 'Cancel', handler: this.on_cancel, scope: this, cls:"l-cancel"}
    ];
    Lino.ActionFormPanel.superclass.constructor.call(this, config);
  }
  ,initComponent : function(){
      this.on('render',function(){
          this.loadMask = new Ext.LoadMask(
              this.bwrap,{msg:"Bitte warten..."});
      },this);
      Lino.ActionFormPanel.superclass.initComponent.call(this);
  }
  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
    var panel = this.requesting_panel;
    // var panel = this.get_containing_window().main_item;
    // console.log("20131004 on_ok",this,panel,arguments);
    var actionName = this.action_name;
    var pk = this.record_id || this.default_record_id;
    if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
    if (pk == undefined && panel) {
        pk = panel.get_current_record().id;
    }
    if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
    }
    var self = this;
    // self.loadMask.show();  // 20180727
    // function on_success() { self.get_containing_window().close(); };
    // see 20131004 and 20140430
    var url = '/api';

    // 20150119 : The OK button on AgentsByClient.create_visit went to
    // /api/pcsw/Clients/ instead of /api/pcsw/Coachings/
    // if (panel)
    //     url += panel.ls_url;
    // else
    //     url += this.ls_url;

    if (this.ls_url)
        url += this.ls_url;
    else
        url += panel.ls_url;
    url += '/' + pk;
    // wrap into function to prepare possible recursive call
    var fn = function(panel, btn, step) {
      var p = {};
      self.add_field_values(p);
      if (self.xcallback && self.rqdata ) {
          Ext.apply(p, self.rqdata);
          Ext.apply(p, self.xcallback);
      }
      if (panel) Ext.apply(p, panel.get_base_params());
      delete p.pv;
      // console.log("20150130", p.pv);
      Lino.call_ajax_action(
          self, self.http_method || "GET", url, p, actionName, step, fn); //  , on_success);
        // panel, 'GET', url, p, actionName, step, fn); //  , on_success);
        // 20180802 : passing self instead of panel fixes #2474
    }
    fn(panel, null, null);


  }
  /* ActionFormPanel*/
  ,set_status : function(status, rp){
    if (rp) this.requesting_panel = Ext.getCmp(rp);
    //~ console.log('20120918 ActionFormPanel.set_status()',status,rp,this.requesting_panel);
    this.clear_base_params();
    this.set_field_values();
    this.set_base_params({});
    this.record_id = undefined;
    // this.loadMask.hide();  // 20180727
    if (status == undefined) status = {};
    //~ if (status.param_values)
    // 20180725 : do not set field values and record id if status
    // doesn't have them.
    if (status.field_values) this.set_field_values(status.field_values);
    if (status.base_params) this.set_base_params(status.base_params);
    if (status.record_id) this.record_id = status.record_id;
    if (status.xcallback && status.rqdata) {
      this.xcallback = {["xcallback__"+status.xcallback.xcallback_id] : status.xcallback.choice};
      this.rqdata = status.rqdata;
      this.on_ok()
    } else {
        delete this.xcallback // insure no callback data if not in status
        delete this.rqdata
    }
  }

  ,before_row_edit : function(record) {}
  ,add_field_values : function (p) { // similar to add_param_values()
      /* LS 20160517 : Until now Lino tested whether the form is
       dirty, and if not, submitted only the values which had been set
       by set_status. But now status_field_values can be empty because
       Action.keep_user_values is True. In that case we must submit
       the current values even if the form is not dirty.  I don't
       remember why we had this feature of not submitting unmodified
       field values, so I remove this feature for now. */
      p.fv = this.get_field_values();
      // if (this.form.isDirty()) {
      //   p.fv = this.get_field_values();
      // }else{
      //   // console.log("20160517 add_param_values not dirty, status_field_values",
      //   //             this.status_field_values);
      //   if (this.status_field_values)
      //     p.fv = Lino.fields2array(
      //         this.fields, this.status_field_values);
      // }
      //~ console.log("20120203 add_param_values added pv",pv,"to",p);
  }
  ,get_field_values : function() {
      return Lino.fields2array(this.fields);
  }
  ,set_field_values : function(pv) {
      // console.log('20160516 MainPanel.set_param_values', pv);
      // if Action.keep_user_values, we receive an empty dict ({})
      this.status_field_values = pv;
      if (pv) {
          this.form.my_loadRecord(pv);
          var record = { data: pv };
          this.before_row_edit(record);
      } else {
          this.form.reset();
          this.before_row_edit();
      }
  }
  ,config_containing_window : function(wincfg) {
      wincfg.title = this.window_title;
      wincfg.keys = [
        { key: Ext.EventObject.ENTER, fn: this.on_ok, scope: this }
        ,{ key: 's', ctrl: true, fn: this.on_ok, scope: this, stopEvent: true  }
      ];

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              return false;
          }
      });

  }
});


Lino.fields2array = function(fields, values) {
    // console.log('20160517 fields2array gonna loop on', fields, values);
    var pv = Array(fields.length);
    for(var i=0; i < fields.length;i++) {
        var f = fields[i]
        if (values)
          var v = values[f.name];
        else
          var v = f.getValue();
        if (f.formatDate) {
            pv[i] = f.formatDate(v);
        } else {
            pv[i] = v; // f.getValue();
        }
    }
    // console.log('20160517 fields2array returns', pv);
    return pv;
}


Lino.FormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.FormPanel = Ext.extend(Lino.FormPanel,Lino.PanelMixin);
Lino.FormPanel = Ext.extend(Lino.FormPanel,{
  params_panel_hidden : false,
  save_action_name : null,
  //~ base_params : {},
  //~ trackResetOnLoad : true,
  //~ query_params : {},
  //~ 20110119b quick_search_text : '',
  constructor : function(config,params){
    if (params) Ext.apply(config,params);
    this.base_params = {};
    //~ ww.config.base_params.query = ''; // 20111018
    //~ console.log(config);
    //~ console.log('FormPanel.constructor() 1',config)
    //~ Ext.applyIf(config,{base_params:{}});
    //~ console.log('FormPanel.constructor() 2',config)

    config.trackResetOnLoad = true;

    Lino.FormPanel.superclass.constructor.call(this, config);

    //~ this.set_base_param('$URL_PARAM_FILTER',null); // 20111018
    //~ this.set_base_param('$URL_PARAM_FILTER',''); // 20111018

  },
  initComponent : function(){

    this.containing_panel = this;

    //~ console.log("20111201 containing_window",this.containing_window,this);
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    if (actions) {
        this.bbar = actions.bbar;
        // console.log("20160829 tooltip", actions.bbar);
    //~ } else {
        //~ this.bbar = [];
    }
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ var config = this;

    //~ if (this.containing_window instanceof Lino.DetailWrapper) {

    //~ console.log('20120121 initComponent', this.action_name);
    //~ if (this.action_name == 'detail' | this.action_name == 'show') {
    //~ if (this.action_name != 'insert') {
    if (! this.hide_top_toolbar) {
      this.tbar = [];
      // 20111015
      if (! this.hide_navigator) {
        this.record_selector = new Lino.RemoteComboFieldElement({
          store: new Lino.ComplexRemoteComboStore({
            //~ baseParams: this.containing_window.config.base_params,
            baseParams: this.get_base_params(),
            //~ value: this.containing_window.config.base_params.query,
            proxy: new Ext.data.HttpProxy({
              url: '/choices' + this.ls_url,
              method:'GET'
            })
          }),
          pageSize:25,
          listeners: {
            scope:this,
            select:function(combo,record,index) {
                // console.log('20180719 select', combo);
                this.set_base_param('query',
                                    combo.lastQuery);
              this.goto_record_id(record.id);
            }
          },
          emptyText: "Gehe zu Datensatz"
        })
        this.tbar = this.tbar.concat([this.record_selector]);

        this.tbar = this.tbar.concat([
          this.first = new Ext.Toolbar.Button({
              tooltip:"Erster",disabled:true,
              handler:this.moveFirst,scope:this,iconCls:'x-tbar-page-first'}),
          this.prev = new Ext.Toolbar.Button({
              tooltip:"Voriger",disabled:true,
              handler:this.movePrev,scope:this,iconCls:'x-tbar-page-prev'}),
          this.next = new Ext.Toolbar.Button({
              tooltip:"Nächster",disabled:true,
              handler:this.moveNext,scope:this,iconCls:'x-tbar-page-next'}),
          this.last = new Ext.Toolbar.Button({
              tooltip:"Letzter",disabled:true,
              handler:this.moveLast,scope:this,iconCls:'x-tbar-page-last'})
        ]);
      }
      this.tbar = this.add_params_panel(this.tbar);

      this.tbar = this.tbar.concat([
        {
            handler:function(){ this.do_when_clean(
                false, this.refresh.createDelegate(this)) },
          iconCls: 'x-tbar-loading',
          tooltip:"Datensatz neu laden",
          scope:this}
      ]);

      if (this.bbar) { // since 20121016
        if (this.tbar) {
            this.tbar = this.tbar.concat(['-']) ;
        } else {
          this.tbar = [];
        }
        this.tbar = this.tbar.concat(this.bbar) ;
        this.bbar = undefined;
      }

      this.tbar = this.tbar.concat([
          '->',
          this.displayItem = new Ext.Toolbar.TextItem({})
      ]);

    }
    //~ if (this.content_type && this.action_name != 'insert') {
      //~ this.bbar = this.bbar.concat([
        //~ '->',
        //~ { text: "[$_('Help Text Editor')]",
          //~ handler: Lino.help_text_editor,
          //~ qtip: "$_('Edit help texts for fields on this model.')",
          //~ scope: this}
      //~ ])
    //~ }
    //~ this.before_row_edit = config.before_row_edit.createDelegate(this);

    //~ if (this.master_panel) {
        //~ this.set_base_params(this.master_panel.get_master_params());
    //~ }

    Lino.FormPanel.superclass.initComponent.call(this);

    // this.on('show',
    //         function(){ this.init_focus();},
    //         this);

    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.bwrap,{msg:"Bitte warten..."});
    },this);


    if (this.action_name == 'insert') {
      this.cascade(function(cmp){
        if (cmp.disabled_in_insert_window) {
            // console.log('20110613 disabled_in_insert_window', cmp);
            //~ cmp.disable();
            cmp.hide();
        }
      });

    }

  },

  unused_init_focus : function(){
    // set focus to the first field
    console.log("20140205 Lino.FormPanel.init_focus");
    // Lino.FormPanel.superclass.focus.call(this);
    this.getForm().items.each(function(f){
        if(f.isFormField && f.rendered){
            f.focus();
            console.log("20140205 focus", f);
            return false;
        }
    });
  },

  /* FormPanel */
  get_status : function(){
      var st = {
        base_params: this.get_base_params(),
        // data_record : this.get_current_record()
      }
      var rec = this.get_current_record();
      if (rec) st.record_id = rec.id;
      // 20140917 : get_status must not store the whole data_record
      // because that would prevent the form to actually reload
      // when set_status is called after a child window closed.

      var tp = this.items.get(0);
      if (tp instanceof Ext.TabPanel) {
        st.active_tab = tp.getActiveTab();
      }
      st.param_values = this.status_param_values;
      return st;
  },

  /* FormPanel */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log('20140917 FormPanel.set_status()', status);
    this.clear_base_params();
    if (status == undefined) status = {};
    //~ if (status.param_values)
    this.set_param_values(status.param_values);
    if (status.base_params) this.set_base_params(status.base_params);
    var tp = this.items.get(0);
    if (tp instanceof Ext.TabPanel) {
      if (status.active_tab) {
        //~ console.log('20111201 active_tab',this.active_tab,this.items.get(0));
        //~ tp.activeTab = status.active_tab;
        tp.setActiveTab(status.active_tab);
        //~ this.main_item.items.get(0).activate(status.active_tab);
      } else {
        if (! status.data_record) {  // 20141206
            tp.setActiveTab(0);
        }
      }
    }

    if (status.data_record) {
      /* defer because set_window_title() didn't work otherwise */
      // 20140421 removed defer for bughunting to simplify side effects
      // this.set_current_record.createDelegate(
      //     this, [status.data_record]).defer(100);
      this.set_current_record(status.data_record);
      //~ return;
    } else {
        var record_id = status.record_id != undefined ? status.record_id : this.default_record_id;
        if (record_id != undefined) {
          /* possible values include 0 and null, 0 being a valid record id,
          null the equivalent of undefined
          */
          this.load_record_id(record_id);
        } else {
            this.set_current_record(undefined);
        }
    }
    // this.init_focus()
  }
  ,get_base_params : function() {  /* FormPanel */
    // needed for insert_action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  }
  ,set_base_params : function(p) {
    //~ this.base_params = Ext.apply({},this.base_params); // make sure it is an instance variable
    delete p['query'] // 20120725
    Ext.apply(this.base_params,p);
    if (this.record_selector) {
        var store = this.record_selector.getStore();
        for (k in p) store.setBaseParam(k,p[k]);
        delete this.record_selector.lastQuery;
        //~ console.log("20120725 record_selector.setBaseParam",p)
    }
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
  ,after_delete : function() {
    console.log("20200717", this.current_record.navinfo);
    if (this.current_record.navinfo.next)
      this.moveNext();
    else if (this.current_record.navinfo.prev)
      this.movePrev();
    else
      this.abandon();
  }
  ,moveFirst : function() {this.goto_record_id(
      this.current_record.navinfo.first)}
  ,movePrev : function() {this.goto_record_id(
      this.current_record.navinfo.prev)}
  ,moveNext : function() {this.goto_record_id(
      this.current_record.navinfo.next)}
  ,moveLast : function() {this.goto_record_id(
      this.current_record.navinfo.last)}

  ,refresh : function(unused) {
      this.refresh_with_after();
  }
  /* FormPanel */
  ,refresh_with_after : function(after) {
    // console.log('20140917 Lino.FormPanel.refresh_with_after()',this);
    if (this.current_record) {
        this.load_record_id(this.current_record.id, after);
    } else {
        this.set_current_record(undefined, after);
    }
  }

  ,do_when_clean : function(auto_save, todo) {
    var this_ = this;
    if (this.form.isDirty()) {
        // console.log('20140421 do_when_clean : form is dirty')
        if (auto_save) {
            this_.save(todo);
        } else {
          //~ console.log('20111217 do_when_clean() form is dirty',this.form);
          var config = {cls:"l-confirmation", title:"Bestätigung"};
          config.buttons = Ext.MessageBox.YESNOCANCEL;
          config.msg = "Änderungen in diesem Datensatz speichern?";
          config.fn = function(buttonId,text,opt) {
            //~ console.log('do_when_clean',buttonId)
            if (buttonId == "yes") {
                //~ Lino.submit_detail(this_,undefined,todo);
                //~ this_.containing_window.save(todo);
                this_.save(todo);
            } else if (buttonId == "no") {
              todo();
            }
          }
          Ext.MessageBox.show(config);
        }
    }else{
      // console.log('20140421 do_when_clean : now!')
      todo();
    }
  }

  ,goto_record_id : function(record_id) {
    // console.log('20140917 Lino.FormPanel.goto_record_id()',record_id);
    //~ var this_ = this;
    //~ this.do_when_clean(function() { this_.load_record_id(record_id) }
    this.do_when_clean(
        true, this.load_record_id.createDelegate(this, [record_id]));
  }

  ,load_record_id : function(record_id, after) {
    var this_ = this;
    var p = Ext.apply({}, this.get_base_params());
    if (this.action_name)
        p.an = this.action_name;
    p.rp = this.getId();
    p.fmt = 'json';
    this.add_param_values(p);
    Lino.insert_linoweb_version(p);
    if (this.loadMask) this.loadMask.show();
    Ext.Ajax.request({
      waitMsg: 'Loading record...',
      method: 'GET',
      params: p,
      scope: this,
      url: this.get_record_url(record_id),
      success: function(response) {
        // todo: convert to Lino.action_handler.... but result
        if (this.loadMask) this.loadMask.hide();
        if (response.responseText) {
          var rec = Ext.decode(response.responseText);
          // console.log('20150905 load_record_id success', rec);
          this.set_param_values(rec.param_values);
          this.set_current_record(rec, after);
          if (rec.message) {
            //~ if (rec.alert && ! gridmode) {
            if (rec.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',rec.alert_msg);
                if (rec.alert === true) rec.alert = "Alarm";
                Ext.MessageBox.alert(rec.alert, rec.message, function(){eval(rec.alert_eval_js)});
            } else {
                Lino.notify(rec.message);
            }
          }
        }
      },
      failure: Lino.ajax_error_handler(this)
    });
  }

  ,abandon : function () {
    Ext.MessageBox.alert('Note',
      "Keine weiteren Datensätze zu sehen. Detail-Fenster wird geschlossen.");
    Lino.close_window();
  }

  ,set_current_record : function(record, after) {
    // console.log('20160825 set_current_record', record);
    if (this.record_selector) {
        this.record_selector.clearValue();
        // e.g. InsertWrapper FormPanel doesn't have a record_selector
    }
    this.current_record = record;
    if (record && record.data) {
      this.enable();
      // After this method focus is moved to the panel.
      this.form.my_loadRecord(record.data);
      this.set_window_title(record.title);
      //~ this.getBottomToolbar().enable();
      var da = record.data.disabled_fields;
      if (da) {
          //~ console.log('20120528 disabled_fields =',da,this.getBottomToolbar());
          //~ 20121016 this.getBottomToolbar().items.each(function(item,index,length){
          if(this.hide_top_toolbar) {
              var tb = this.getBottomToolbar();
          } else {
              var tb = this.getTopToolbar();
          }
          if (tb) tb.items.each(function(item,index,length){
              //~ console.log('20120528 ',item.itemId,'-->',da[item.itemId]);
              // if (da[item.itemId]) item.disable(); else item.enable();
              if (da[item.itemId]) item.hide(); else item.show();
          });
      };
      if (this.disable_editing | record.data.disable_editing) {
          //~ console.log("20120202 disable_editing",record.title);
          this.form.items.each(function(cmp){
            if (!cmp.always_enabled) cmp.disable();
          },this);
      } else {
          this.form.items.each(function(cmp){
            //~ console.log("20120202",cmp);
            if (record.data.disabled_fields[cmp.name]) cmp.disable();
            else cmp.enable();
          },this);

          //~ if (record.data.disabled_fields) {
              //~ for (i = 0; i < record.data.disabled_fields.length; i++) {
                  //~ var flds = this.find('name',record.data.disabled_fields[i]);
                  //~ if (flds.length == 1) {
                    //~ flds[0].disable();
                  //~ }
              //~ }
          //~ }
      };
      if (this.first) {
        if (record.navinfo  && ! this.hide_navigator) {
          this.first.setDisabled(record.navinfo.first == null);
          this.prev.setDisabled(record.navinfo.prev == null);
          this.next.setDisabled(record.navinfo.next == null);
          this.last.setDisabled(record.navinfo.last == null);
          this.displayItem.setText(record.navinfo.message);
        } else {
          this.first.setDisabled(true);
          this.prev.setDisabled(true);
          this.next.setDisabled(true);
          this.last.setDisabled(true);
        }
      }
    } else {
      if (this.form.rendered)
        this.form.reset(); /* FileUploadField would fail when resetting a non-rendered form */
      //~ this.disable();
      //~ this.getBottomToolbar().disable();
      this.form.items.each(function(cmp){
        cmp.disable();
      },this);
      this.set_window_title(this.empty_title);
      //~ this.containing_window.window.setTitle(this.empty_title);
      if (!this.hide_navigator) {
        this.first.disable();
        this.prev.disable();
        this.next.disable();
        this.last.disable();
      }
    }
    // console.log('20140917 gonna call before_row_edit', record);
        var current_focus_fields = false;
        for (var i = 0; i < this.form.items.items.length;i++) {
            if (this.form.items.items[i].hasFocus) current_focus_fields = i;
        }
    this.before_row_edit(record);
        if (current_focus_fields != false){
            this.form.items.items[current_focus_fields].focus();
        }
    // console.log('20140917 gonna call after', after);
    this.containing_window.focus(); // ticket: 2509 regain focus on reload
    if (after) after();
  },

  /* FormPanel */
  before_row_edit : function(record) {},
  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.refresh();
  },

//  get_selected : function() { return [ this.current_record ] },
  get_current_record : function() {
    //~ console.log(20100714,this.current_record);
    return this.current_record
  },

  get_permalink_url : function() {
      var rec = this.get_current_record();
      if (rec && ! rec.phantom && rec.id != -99998)
          return '/api'
              + this.ls_url + '/' + rec.id;
      return '/api' + this.ls_url;

  },
  add_param_tab : function(p) {
    var main = this.items.get(0);
    if (main.activeTab) {
      var tab = main.items.indexOf(main.activeTab);
      // console.log('20150130 main.activeTab', tab, main.activeTab);
      if (tab) p.tab = tab;
    // } else {
    //   console.log('20150130 no main.activeTab');
    }
  },
  get_permalink_params : function() {
    var p = {};
    //~ var p = {an:'detail'};
    if (this.action_name)
        p.an = this.action_name;
    this.add_param_tab(p)
    this.add_param_values(p)
    return p;
  }

  ,validate_form : function() {  // not used. see actions.ValidateForm
      // var ov = {};
      // this.form.items.each(function(f){
      //     ov[f.name] = f.originalValue
      // });

      // console.log('20140509 FormPanel.validate_form', ov);
      // var after = function() {
      //     this.form.items.each(function(f){
      //         f.originalValue = ov[f.name];
      //     });
      // }
      // this.save2(null, 'validate', after);
      this.save2(null, 'validate');
  }

  /* Lino.FormPanel */
  ,save : function(after) {
    var action_name = this.save_action_name;
    if (!action_name)
        action_name = this.action_name;
    // console.log('20140503 FormPanel.save', action_name);
    this.save2(after, action_name);
  }

  ,save2 : function(after, action_name) {
    var rec = this.get_current_record();
    var p = {};
    var panel = this;

    if (!rec) {
        Lino.notify("Sorry, no current record.");
        return;
    }
    if (this.has_file_upload) {
        p.csrfmiddlewaretoken = Ext.util.Cookies.get('csrftoken');
        document.domain = document.domain;
        p._document_domain = document.domain;
        this.form.fileUpload = true;
    }
    this.loadMask.show();
    Ext.apply(p, this.get_base_params());
    p.rp = this.getId();
    p.an = action_name;
    this.add_param_tab(p)
    // console.log('20150216 FormPanel.save()', rec, this.form);
    var submit_config = {
        params: p,
        scope: this,
        success: function(form, action) {
          this.loadMask.hide();
          Lino.notify(action.result.message);
          Lino.handle_action_result(this, action.result, after);
        },
        failure: function(form,action) {
          this.loadMask.hide();
          Lino.on_submit_failure(form, action);
        },
        clientValidation: true
    };
    if (rec.phantom) {  // it's a new record
      Ext.apply(submit_config, {
        url: '/api' + this.ls_url,
        method: 'POST'
      });
      // panel.refresh();
      // temporarily disabled. See 20151002
    } else {  // submit on existing row
      Ext.apply(submit_config, {
        url: '/api'
              + this.ls_url + '/' + rec.id,
        method: 'PUT'
      })
    }
    this.form.submit(submit_config);
  }

  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
      // console.log("20140424");
      // this.save(null, true, this.save_action_name);
      this.save();
  }
  ,run_action_hotkeys : function(k ,e){
    var result = this.actions_hotkeys.filter(obj => {
      return obj.key.toUpperCase() === String.fromCharCode(k).toUpperCase()
    })
    if (result != undefined){
      if (result.length != undefined){
        result = result[0];
      }
      // this.actions_hotkeys[i].ba
      var pk = this.current_record.id || this.default_record_id;
      if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
//          if (pk == undefined && this.containing_panel) {
//             pk = this.containing_panel.get_current_record().id;
//          }
      if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
        }
        eval(result.ba)(this.containing_panel,
                                              this.is_main_window,
                                              pk, {});
                                            }
      e.stopEvent();
      e.stopPropagation();

  }
  ,config_containing_window : function(wincfg) {

      // Note that defaultButton means: which component should receive
      // focus when Window is focussed.  If no defaultButton set,
      // specify the first form field.

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              // console.log("20140205 defaultButton", f);
              return false;
          }
      });

      wincfg.keys = [];

      wincfg.keys.push({
          key: Ext.EventObject.ESCAPE,
          // this is not called sometimes.
          handler: this.on_cancel, scope:this });
      wincfg.keys.push({
          key: 's', ctrl: true,
             stopEvent: true, handler: this.on_ok, scope:this });
      if (this.actions_hotkeys) {
          for (var i = 0; i < this.actions_hotkeys.length;i++) {
            wincfg.keys.push({
              key: this.actions_hotkeys[i].key,
              ctrl: this.actions_hotkeys[i].ctrl,
              shift : this.actions_hotkeys[i].shift,
              stopEvent: true,
              handler:
                function(k, e){
                  this.run_action_hotkeys(k,e);
                },
              scope:this });
          }
      }
  }

});



Lino.getRowClass = function(record, rowIndex, rowParams, store) {
    //~ console.log(20130816,record);
    //~ return 'x-grid3-row-green';
    //~ return record.data.row_class + ' auto-height';
    return record.data.row_class;
  //~ if (true) {
      //~ return 'x-grid3-row-red';
  //~ }
  //~ if (record.phantom) {
    //~ console.log(20101009,record);
    //~ rowParams.bodyStyle = "color:red;background-color:blue";
    //~ return 'lino-phantom-row';
    //~ }
  //~ console.log('20101009 not a phantom:',record);
  //~ return '';
}

//~ FOO = 0;



Lino.GridStore = Ext.extend(Ext.data.ArrayStore,{
  autoLoad: false
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
    if (!options) options = {};
    if (!options.params) options.params = {};
    options.params.fmt = 'json';
    options.params.rp = this.grid_panel.getId();
    Lino.insert_subst_user(options.params); // since 20121016

    var start = this.grid_panel.start_at_bottom ? -1 : 0;
    if (this.grid_panel.hide_top_toolbar) {
        //~ console.log("20120206 GridStore.load() toolbar is hidden");
        options.params.start = start;
        if (this.grid_panel.preview_limit) {
          options.params.limit = this.grid_panel.preview_limit;
        }
    } else {
        var ps = this.grid_panel.calculatePageSize();
        if (!ps) {
          // console.log("GridStore.load() failed to calculate pagesize");
          return false;
        }
        options.params.limit = ps;

        this.grid_panel.getTopToolbar().pageSize =  ps;
        if (options.params.start == undefined)
            // if (start != -1)
            //     start = this.grid_panel.getTopToolbar().cursor
            options.params.start = start;

        // console.log("20141108 GridStore.load() ", options.params);
    }

    this.grid_panel.add_param_values(options.params);
    //~ Lino.insert_subst_user(options.params);
    //~ console.log("20120814 GridStore.load()",options.params,this.baseParams);
    return Lino.GridStore.superclass.load.call(this, options);
  }
  // ,insert : function(index, records) {
  //   return Ext.data.Store.prototype.insert.call(this, index, records)
    // return Lino.GridStore.superclass.insert.call(this, index, records);
  // }
});

Lino.get_current_grid_config = function(panel) {
    return panel.get_current_grid_config();
}


// Like the default value for GridView.cellTpl but adds a class "lino-auto-height"
Lino.auto_height_cell_template = new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
    '<div class="lino-auto-height x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" {attr}>{value}</div>',
'</td>'
);

Lino.GridPanel = Ext.extend(Ext.grid.EditorGridPanel, Lino.MainPanel);
Lino.GridPanel = Ext.extend(Lino.GridPanel, Lino.PanelMixin);
Lino.GridPanel = Ext.extend(Lino.GridPanel, {
  quick_search_text : '',
  start_at_bottom : false,
  is_searching : false,
  disabled_in_insert_window : true,
  clicksToEdit:2,
  enableColLock: false,
  autoHeight: false,
  params_panel_hidden : false,
  preview_limit : undefined,
  // fake_row_content: '<br>',
  row_height: 1,
  //~ loadMask: true,
  //~ viewConfig: {
          //~ getRowClass: Lino.getRowClass,
          //~ emptyText:"$_('No data to display.')"
        //~ },


  loadMask: {msg:"Bitte warten..."},

  constructor : function(config){

    config.plugins = [new Lino.GridFilters()];


    Lino.GridPanel.superclass.constructor.call(this,config);

    //~ if (this.containing_window) {
        //~ console.log("20111206 install refresh");
        //~ this.containing_window.on('show',this.refresh,this);
    //~ }

  },

  // private
  initEvents : function(){
    Ext.grid.GridPanel.superclass.initEvents.call(this);

    // modifed from Ext.grid.GridPanel
    // Override the function to replace the element to be covered by the mask to the body.
    if(this.loadMask){
        this.loadMask = new Ext.LoadMask(this.body,
                Ext.apply({store:this.store}, this.loadMask));
    }

    // unmodified from Ext.grid.EditorGridPanel
    this.getGridEl().on('mousewheel', this.stopEditing.createDelegate(this, [true]), this);
    this.on('columnresize', this.stopEditing, this, [true]);

    if(this.clicksToEdit == 1){
        this.on("cellclick", this.onCellDblClick, this);
    }else {
        var view = this.getView();
        if(this.clicksToEdit == 'auto' && view.mainBody){
            view.mainBody.on('mousedown', this.onAutoEditClick, this);
        }
        this.on('celldblclick', this.onCellDblClick, this);
    }
},

  init_containing_window : function(win) {
    //~ console.log("20111206 install refresh");
    //~ win.on('show',this.refresh,this);
  }

  ,handle_key_event : function(e) {
    // console.log("20140514 handle_key_event", e, this.keyhandlers);
    if (this.keyhandlers){
        var h = this.keyhandlers[e.keyCode];
        }
    else if (this.keys !== undefined){
        var h = this.keys[e.keyCode];
        }
    if (h) {
        h(this);
        e.stopEvent();
    }
  }

  ,initComponent : function(){

    /*
    Problem 20111206:
    When a GridPanel is the main item of the window, then it doesn't
    have it's own header but uses the window's header bar.
    We must do this in initComponent because e.g. in beforerender
    it's already to late: a header element has been created because
    there was a title.
    But Lino.Window adds itself as `this.containing_window`
    only after the GridPanel has been initialized.
    Workaround is to generate a line "params.containing_window = true;"
    in the handler function.
    */
    if (this.is_main_window) {
        //~ console.log(20111206, 'delete title',this.title,'from',this);
        this.tools = undefined;
        this.title = undefined;  /* simply deleting it
          isn't enough because that would only
          unhide the title defined in some base class. */
    }
    //~ else console.log(20111206, 'dont delete title',this.title,'from',this);

    /* e.g. when slave gridwindow called from a permalink */
    //~ if (this.base_params) Ext.apply(bp,this.base_params);

    var proxy = new Ext.data.HttpProxy({
      // 20120814
      url: '/api' + this.ls_url
      ,method: "GET"
      //~ ,url: ADMIN_URL + '/restful' + this.ls_url
      //~ ,restful: true
      ,listeners: {load: function (proxy, req, optps) {
            var result = req.reader.arrayData;
            // Used for lino version validation
            if (result.message) { //
                if (result.alert) { // 20120628b
                    if (result.alert === true) result.alert = "Alarm";
                    Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
                } else {
                    Lino.notify(result.message);
                }
            }
            } }
      //~ ,listeners: {write:on_proxy_write}
    });
    //~ config.store = new Ext.data.JsonStore({
    //~ this.store = new Ext.data.ArrayStore({
    this.store = new Lino.GridStore({
      grid_panel: this
      ,listeners: { exception: Lino.on_store_exception }
      ,remoteSort: true
      ,totalProperty: "count"
      ,root: "rows"
      //~ ,id: "id"
      ,proxy: proxy
      //~ autoLoad: this.containing_window ? true : false
      ,idIndex: this.pk_index
      //~ ,baseParams: bp
      ,fields: this.ls_store_fields
      ,idProperty: this.ls_id_property
      // 20120814
      //~ ,writer : new Ext.data.JsonWriter({
        //~ writeAllFields: false
        //~ ,listful: true
      //~ })
      //~ ,restful : true
    });

    //~ console.log('config.pk_index',config.pk_index,config.store),
    delete this.ls_store_fields;

    var this_ = this;
    //~ var grid = this;
    this.store.on('load', function() {
        //~ console.log('20120814 GridStore.on(load)',this_.store);
        this_.set_param_values(this_.store.reader.arrayData.param_values);
        //~ this_.set_status(this_.store.reader.arrayData.status);
        //~ 20120918
        this.getView().getRowClass = Lino.getRowClass;

        if (this_.store.reader.arrayData.no_data_text) {
            //~ this.viewConfig.emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().refresh();
        }
        if (this_.containing_window)
            this_.set_window_title(this_.store.reader.arrayData.title);
            //~ this_.containing_window.setTitle(this_.store.reader.arrayData.title);
        // 20190704 add open_in_own_window button after title of slave panel
        // else if (! (this_ instanceof Ext.TabPanel)) this_.setTitle(this_.store.reader.arrayData.title);

        if (!this.is_searching) { // disabled 20121025: quick_search_field may not lose focus
          this.is_searching = false;
          if (this_.selModel.getSelectedCell){
              if (this_.getStore().getCount()) // there may be no data
                  this_.selModel.select(0,0);
          } else {
              this_.selModel.selectFirstRow();
              this_.getView().focusEl.focus();
          }
        }
        //~ else console.log("is_searching -> no focussing");
        //~ var t = this.getTopToolbar();
        //~ var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
        //~ this.quick_search_field.focus(); // 20121024
      }, this
    );
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar, this.cmenu = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ this.cmenu = new Ext.menu.Menu({items: config.bbar});
    delete this.ls_bbar_actions
    if (actions) {
        this.cmenu = actions.cmenu;
//        this.keyhandlers = actions.keyhandlers;
        this.keys = new Ext.KeyMap(this.elements,actions.keyhandlers);
    }

    // TODO: hide_top_toolbar currently also acts as if hide_navigator was true,
    // IOW In ExtJS you cannot have the toolbar on the bottom without also
    // disabling navigation.

    if (!this.hide_top_toolbar) {
      var tbar = [
        this.quick_search_field = new Ext.form.TextField({
            //~ fieldLabel: "Search"
          emptyText: "Schnellsuche",
          listeners: {
            scope:this_
            //~ ,change:this_.search_change
            
            ,render: Lino.quicktip_renderer("Schnellsuche","Hier Text eingeben für Schnellsuche.")
            
            //~ ,keypress: this.search_keypress
            ,blur: function() { this.is_searching = false}
            ,afterrender: function(field) {
                if (this.focus_on_quick_search){
                    field.focus(false, 1000);
                    }
              }
          }
          ,validator:function(value) { return this_.search_validate(value) }
          //~ ,tooltip: "Enter a quick search text, then press TAB"
          //~ value: text
          //~ scope:this,
          //~ ,enableKeyEvents: true
          //~ listeners: { keypress: this.search_keypress },
          //~ id: "seachString"
      })];
      tbar = this.add_params_panel(tbar);
      // var menu = [];
      // var set_gc = function(index) {
      //   return function() {
      //     //~ console.log('set_gc() 20100812');
      //     this.getColumnModel().setConfig(this.ls_columns);
      //   }
      // }
      // for (var i = 0; i < this.ls_grid_configs.length;i++) {
      //   var gc = this.ls_grid_configs[i];
      //   menu.push({text:gc.label,handler:set_gc(i),scope:this})
      // }
      // if(menu.length > 1) {
      //   tbar = tbar.concat([
      //     { text:"Ansicht",
      //       menu: menu,
      //       tooltip:"Andere Ansicht auswählen"
      //     }
      //   ]);
      // }

      if (actions) {
        tbar = tbar.concat(actions.bbar);
          //~ this.bbar = actions.bbar;
      }

      this.tbar = new Ext.PagingToolbar({
        store: this.store,
        prependButtons: true,
        //~ pageSize: this.page_length,
        pageSize: 1,
        displayInfo: true,
        beforePageText: "Seite",
        afterPageText: "von {0}",
        displayMsg: "Zeilen {0} bis {1} von {2}",
        firstText: "Erste Seite",
        lastText: "Letzte Seite",
        prevText: "Vorige Seite",
        nextText: "Nächste Seite",
        items: tbar
      });
    }

    if (this.cell_edit) {
      this.selModel = new Ext.grid.CellSelectionModel()
      this.get_selected = function() {
        //~ console.log(this.getSelectionModel().selection);
        if (this.selModel.selection)
            return [ this.selModel.selection.record ];
        return [this.store.getAt(0)];
      };
      this.get_current_record = function() {
        if (this.getSelectionModel().selection)
          return this.selModel.selection.record;
        return this.store.getAt(0);
      };
    } else {
      this.selModel = new Ext.grid.RowSelectionModel()
      this.get_selected = function() {
        var sels = this.selModel.getSelections();
        if (sels.length == 0) sels = [this.store.getAt(0)];
        return sels
      };
      this.get_current_record = function() {
        var rec = this.selModel.getSelected();
        if (rec == undefined) rec = this.store.getAt(0);
        return rec
      };
    };
    this.columns  = this.ls_columns;

    Lino.GridPanel.superclass.initComponent.call(this);

    this.on('resize', function(){
      //~ console.log("20120213 resize",arguments)
      this.refresh();
      },this);
    this.on('viewready', function(){
      //~ console.log("20120213 resize",arguments);
      this.view_is_ready = true;
      this.refresh(); // removed 20130911
      },this);
    this.on('afteredit', this.on_afteredit); // 20120814
    this.on('beforeedit', this.on_beforeedit);
    this.on('beforeedit',function(e) { this.before_row_edit(e.record)},this);
    if (this.cell_edit) {
        this.on('cellcontextmenu', Lino.cell_context_menu, this);
    } else {
        this.on('rowcontextmenu', Lino.row_context_menu, this);
    }
    //~ this.on('contextmenu', Lino.grid_context_menu, this);

    delete this.cell_edit;

  },

  //~ onResize : function(){
      //~ console.log("20120206 GridPanel.onResize",arguments);
      //~ Lino.GridPanel.superclass.onResize.apply(this, arguments);
      //~ this.refresh();
  //~ },


  get_status : function(){
    var st = { base_params : this.get_base_params()};
    if (!this.hide_top_toolbar) {
        // #866
        if (this.getStore().lastOptions != undefined && this.getStore().lastOptions.params != undefined){
            st.current_page = Math.round(this.getStore().lastOptions.params.start / this.getStore().lastOptions.params.limit ) + 1 ;
        }
    }
    st.param_values = this.status_param_values;
    //~ console.log("20120213 GridPanel.get_status",st);
    return st;
  },

  /*
  Lino.GridPanel.set_status()
  */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log("20140527 GridPanel.set_status", status);
    this.clear_base_params();
    if (status == undefined) status = {base_params:{}};
    this.set_param_values(status.param_values);
    if (status.base_params) {
      this.set_base_params(status.base_params);
    }
    if (status.show_params_panel != undefined) {
        if (this.toggle_params_panel_btn) {
            //~ this.toggle_params_panel_btn.toggle(status.show_params_panel=='true');
            this.toggle_params_panel_btn.toggle(status.show_params_panel);
        }
    }
    if (!this.hide_top_toolbar) {
      //~ console.log("20120213 GridPanel.getTopToolbar().changePage",
          //~ status.current_page || 1);
      this.getTopToolbar().changePage(status.current_page || 1);
    }
    //~ this.fireEvent('resize');
    //~ this.refresh.defer(100,this);
    //~ this.onResize.defer(100,this);
    //~ this.refresh();
    //~ this.doLayout();
    //~ this.onResize();
    //~ this.store.load();
  },

  refresh : function(unused) {
    this.refresh_with_after();
  },
  /* GridPanel */
  refresh_with_after : function(after) {
    // console.log('20140504 Lino.GridPanel.refresh '+ this.store.proxy.url);
    //~ var bp = { fmt:'json' }
    if (! this.view_is_ready) return;

    if (this.containing_panel) {
        //~ Ext.apply(p,this.master_panel.get_master_params());
        //~ Ext.apply(options.params,this.containing_panel.get_master_params());
        this.set_base_params(this.containing_panel.get_master_params());
        // 20130911
        if (this.store.baseParams.mk === undefined ) {
            return;
        }
    }

    //~ console.log('20130911 Lino.GridPanel.refresh_with_after',this.containing_panel.get_master_params());

    var options = {};
    if (after) {
        options.callback = function(r,options,success) {if(success) after()}
    }

    //~ if (!this.rendered) {
        //~ console.log("20120206 GridPanel.refresh() must wait until rendered",options);
        //~ this.grid_panel.on('render',this.load.createDelegate(this,options))
        //~ return;
    //~ }
    // Ticket 802
    if (this.store.lastOptions != undefined){
        var params = {};
        params.limit = this.store.lastOptions.params.limit;
        params.start = this.store.lastOptions.params.start;
        options.params = params;
    }
    this.store.load(options);
  },

  /* pageSize depends on grid height (Trying to remove scrollbar)
  Thanks to
  - Christophe Badoit on http://www.sencha.com/forum/showthread.php?82647
  - http://www.sencha.com/forum/archive/index.php/t-37231.html
  */
  calculatePageSize : function(second_attempt) {
    //~ if (!this.rendered) {
    if (!this.view_is_ready) {
      //~ console.log('Cannot calculatePageSize() : not rendered');
      return false; }
    //~ if (!this.isVisible()) {
      //~ console.log('calculatePageSize : not visible');
      //~ return false; }

    //~ console.log('getFrameHeight() is',this.getFrameHeight());
    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('mainBody.getHeight() is',this.getView().mainBody.getHeight());
    //~ console.log('getInnerHeight() is',this.getInnerHeight());
    //~ console.log('getHeight() is',this.getHeight());
    //~ console.log('el.getHeight() is',this.getEl().getHeight());
    //~ console.log('getGridEl().getHeight() is',this.getGridEl().getHeight());
    //~ console.log('getOuterSize().height is',this.getOuterSize().height);
    //~ console.log('getBox().height is',this.getBox().height);
    //~ console.log('getResizeEl.getHeight() is',this.getResizeEl().getHeight());
    //~ console.log('getLayoutTarget().getHeight() is',this.getLayoutTarget().getHeight());

    // var rowHeight = this.row_height * 11; experimental value 11
    // same as in ext_renderer.py that's not enough because it is the
    // height of one text line. But here we need the outer height of a
    // grid row containing that many text lines.

    var row_content = '&nbsp;'
    for (var i = 0; i < this.row_height;i++) {
        row_content += '<br>';
    }

    var Element = Ext.Element;
    var gv = this.view;
    var fakeBody = new Element(Element.fly(gv.scroller).child('div.x-grid3-body'));
    var rowTemplate = gv.templates.row;
    var cellTemplate = gv.templates.cell;
    var tstyle  = 'width:' + gv.getGridInnerWidth() + 'px;';
    // console.log("20160615", this.fake_row_content);
    var cells = cellTemplate.apply({value:row_content});
    var markup = rowTemplate.apply({
            tstyle: tstyle,
            cols  : 1,
            cells : cells,
            alt   : ''
        });
    fakeBody.dom.innerHTML = gv.templates.body.apply({rows: markup});
    var row = fakeBody.dom.childNodes[0];
    var rowHeight = Ext.get(row).getHeight();

    //~ console.log('rowHeight is ',rowHeight,this,caller);
    //~ this.getView().syncScroll();
    //~ this.getView().initTemplates();
    var height = this.getView().scroller.getHeight();

    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('getInnerHeight() - getFrameHeight() is',
      //~ this.getInnerHeight(), '-',
      //~ this.getFrameHeight(), '=',
      //~ this.getInnerHeight() - this.getFrameHeight());
    //~ var height = this.getView().mainBody.getHeight();
    //~ var height = this.getView().mainWrap.getHeight();
    //~ var height = this.getView().resizeMarker.getHeight();
    //~ this.syncSize();
    //~ var height = this.getInnerHeight() - this.getFrameHeight();
    //~ var height = this.getHeight() - this.getFrameHeight();
    height -= Ext.getScrollBarWidth(); // leave room for a possible horizontal scrollbar...
    //~ height -= this.getView().scrollOffset;
    var ps = Math.floor(height / rowHeight);
    //~ console.log('20130816 calculatePageSize():',height,'/',rowHeight,'->',ps);
    ps -= 1; // leave room for a possible phantom row
    //~ return (ps > 1 ? ps : false);
    if (ps > 1) return ps;
    //~ console.log('calculatePageSize() found less than 1 row:',height,'/',rowHeight,'->',ps);
    //~ foo.bar = baz; // 20120213
    return 5; // preview_limit
    //~ if (second_attempt) {
        //~ console.log('calculatePageSize() abandons after second attempt:',
          //~ height,'/',rowHeight,'->',ps);
      //~ return 5;
    //~ }
    //~ return this.calculatePageSize.defer(500,this,[true]);
  },

  onCellDblClick : function(grid, row, col){
      //~ console.log("20120307 onCellDblClick",this,grid, row, col);
      if (this.ls_detail_handler) {
          //~ Lino.notify('show detail');
          Lino.show_detail(this);
          return false;
      }else{
        //~ console.log('startEditing');
        this.startEditing(row,col);
      }
  },
  get_base_params : function() {  /* Lino.GridPanel */
    var p = Ext.apply({}, this.store.baseParams);
    Lino.insert_subst_user(p);
    // if (this.quick_search_field)
    //     if (this.quick_search_field.getValue())
    //         p.query = this.quick_search_field.getValue();
    return p;
  },
  set_base_params : function(p) {
    // console.log('20130911 GridPanel.set_base_params',p)
    for (k in p) this.store.setBaseParam(k,p[k]);
    //~ this.store.baseParams = p;
    if (this.quick_search_field)
      this.quick_search_field.setValue(p.query || "");
    //~ if (p.param_values)
        //~ this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.store.baseParams = {};
      Lino.insert_subst_user(this.store.baseParams);
  },
  set_base_param : function(k,v) {
    this.store.setBaseParam(k,v);
  },

  //~ get_permalink_params : function() {
    //~ var p = {};
    //~ return p;
  //~ },

  before_row_edit : function(record) {},

  //~ search_keypress : function(){
    //~ console.log("2012124 search_keypress",arguments);
  //~ },
  search_validate : function(value) {
      if (value == this.quick_search_text) return true;

      /**
      *  Cancel the previous request when do a new load request.
      *  Prevents Ajax race conditions. Ticket #2136
      **/
      var c = this.store.proxy.getConnection();
      c.abort(c.transId);


    this.is_searching = true;
    //~ console.log('search_validate',value)
    this.quick_search_text = value;
    this.set_base_param('query',value);
    //~ this.getTopToolbar().changePage(1);
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
    return true;
  },

  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
  },

  get_current_grid_config : function () {
    var cm = this.getColumnModel();
    var widths = Array(cm.config.length);
    var hiddens = Array(cm.config.length);
    //~ var hiddens = Array(cm.config.length);
    var columns = Array(cm.config.length);
    //~ var columns = Array(cm.config.length);
    //~ var hidden_cols = [];
    //~ var filters = this.filters.getFilterValues();
    var p = this.filters.buildQuery(this.filters.getFilterData())
    for (var i = 0; i < cm.config.length; i++) {
      var col = cm.config[i];
      columns[i] = col.dataIndex;
      //~ hiddens[i] = col.hidden;
      widths[i] = col.width;
      hiddens[i] = col.hidden;
      //~ if (col.hidden) hidden_cols.push(col.dataIndex);
    }
    //~ p['hidden_cols'] = hidden_cols;
    p.cw = widths;
    p.ch = hiddens;
    p.ci = columns;
    //~ p['widths'] = widths;
    //~ p['hiddens'] = hiddens;
    //~ p['columns'] = columns;
    // p['name'] = this.gc_name;
    //~ var gc = this.ls_grid_configs[this.gc_name];
    //~ if (gc !== undefined)
        //~ p['label'] = gc.label
    //~ console.log('20100810 save_grid_config',p);
    return p;
  },

  on_beforeedit : function(e) {
    //~ console.log('20130128 GridPanel.on_beforeedit()',e,e.record.data.disable_editing);
    if(this.disable_editing | e.record.data.disable_editing) {
      e.cancel = true;
      Lino.notify("Dieser Datensatz ist deaktiviert");
      return;
    }
    if(e.record.data.disabled_fields && e.record.data.disabled_fields[e.field]) {
      e.cancel = true;
      Lino.notify("Dieses Feld ist deaktiviert");
      return;
    }
    //~ if (e.record.data.disabled_fields) {
      //~ for (i in e.record.data.disabled_fields) {
        //~ if(e.record.data.disabled_fields[i] == e.field) {
          //~ e.cancel = true;
          //~ Lino.notify(String.format('Field "{0}" is disabled for this record',e.field));
          //~ return
        //~ }
      //~ }
    //~ }
  },
  save_grid_data : function() {
      //~ console.log("20120814 save_grid_data");
      this.getStore().commitChanges();
  },
  on_afteredit : function(e) {
    /*
    e.grid - The grid that fired the event
    e.record - The record being edited
    e.field - The field name being edited
    e.value - The value being set
    e.originalValue - The original value for the field, before the edit.
    e.row - The grid row index
    e.column - The grid column index
    */
    var p = {};
    // console.log('20140403 afteredit: ',e.record);
    //~ console.log('20101130 value: ',e.value);
    //~ var p = e.record.getChanges();
    //~ console.log('20101130 getChanges: ',e.record.getChanges());
    //~ this.before_row_edit(e.record);

    for(k in e.record.getChanges()) {
        var v = e.record.get(k);
    //~ for(k in e.record.modified) {
        //~ console.log('20101130',k,'=',v);
        //~ var cm = e.grid.getColumnModel();
        //~ var di = cm.getDataIndex(k);
        var f = e.record.fields.get(k);
        //~ console.log('20101130 f = ',f);
        //~ var v = e.record.get(di);
        if (f.type.type == 'date') {
            p[k] = Ext.util.Format.date(v, f.dateFormat);
        }else{
            p[k] = v;
            var v = e.record.get(k+'Hidden');
            if (v !== undefined) {
              p[k+'Hidden'] = v;
            }
        }
    }
    // add value used by ForeignKeyStoreField CHOICES_HIDDEN_SUFFIX
    // not sure whether this is still needed:
    p[e.field+'Hidden'] = e.value;
    //~ p.su = Lino.subst_user;
    Lino.insert_subst_user(p);
    // this one is needed so that this field can serve as choice context:
    e.record.data[e.field+'Hidden'] = e.value;
    // p[pk] = e.record.data[pk];
    // console.log("grid_afteredit:",e.field,'=',e.value);
    Ext.apply(p, this.get_base_params()); // needed for POST, ignored for PUT
    //~ Ext.apply(p,this.containing_window.config.base_params);
    //~ 20121109 p['$constants.URL_PARAM_ACTION_NAME'] = 'grid';
    var self = this;
    var req = {
        params: p,
        waitMsg: 'Saving your data...',
        success: Lino.action_handler(this, function (result) {
            // console.log("20140728 afteredit.success got ", result);
            //~ if (result.data_record) {
            if (result.refresh_all) {
                var cw = self.get_containing_window();
                if (cw) {
                    cw.main_item.refresh();
                }
                else console.log("20120123 cannot refresh_all", self);
            } else if (result.rows) {
                //~ self.getStore().loadData(result,true);
                var r = self.getStore().reader.readRecords(result);
                var cell = e.grid.getSelectionModel().selection.cell; // post insert cord for edit / selection
                if (e.record.phantom) {
                    var was_editing = false;
                    // console.log("20140728 gonna call Store.insert()", self.getStore(), e.row, r.records);
                    if (e.grid.editing && e.grid.activeEditor) {
                        cell = [e.grid.activeEditor.row, e.grid.activeEditor.col];
                        console.log("was editing", cell);
                        e.grid.activeEditor.cancelEdit();
                        was_editing = true;
                    }

                    self.getStore().insert(e.row, r.records);
                    if (was_editing) {
                        e.grid.startEditing(cell[0], cell[1]);
                    }

                } else {
                    // console.log("20140728 afteredit.success doUpdate", r.records[0]);
                    self.getStore().doUpdate(r.records[0]);
                }
                self.getStore().rejectChanges();
                /*
            get rid of the red triangles without saving the record again
            */
                e.grid.getSelectionModel().select(cell[0], cell[1]);

                //~ self.getStore().commitChanges(); // get rid of the red triangles
            } else {
                self.getStore().commitChanges(); // get rid of the red triangles
                self.getStore().reload();        // reload our datastore.
            }
        }),
        scope: this,
        failure: Lino.ajax_error_handler(this)
    };
    if (e.record.phantom) {
      req.params.an = 'grid_post'; // CreateRow.action_name
      Ext.apply(req,{
        method: 'POST',
        url: '/api' + this.ls_url
      });
    } else {
      req.params.an = 'grid_put'; // SaveRow.action_name
      Ext.apply(req,{
        method: 'PUT',
        url: '/api' + this.ls_url + '/' + e.record.id
      });
    }
    //~ console.log('20110406 on_afteredit',req);
    this.loadMask.show(); // 20120211
    Ext.Ajax.request(req);
  },

  afterRender : function() {
    Lino.GridPanel.superclass.afterRender.call(this);
    // this.getView().mainBody.focus();
    // console.log(20100114,this.getView().getRows());
    // if (this.getView().getRows().length > 0) {
    //  this.getView().focusRow(1);
    // }
    //~ this.my_load_mask = new Ext.LoadMask(this.getEl(), {
        //~ msg:'$_("Please wait...")',
        //~ store:this.store});

    var tbar = this.getTopToolbar();
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    // tbar.on('change',function() {this.getSelectionModel().selectFirstRow();this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    this.nav = new Ext.KeyNav(this.getEl(),{
      pageUp: function() {tbar.movePrevious(); },
      pageDown: function() {tbar.moveNext(); },
      home: function() {tbar.moveFirst(); },
      end: function() {tbar.moveLast(); },
      scope: this
    });

  },
  after_delete : function() {
    //~ console.log('Lino.GridPanel.after_delete');
    this.refresh();
  },
  add_row_listener : function(fn,scope) {
    this.getSelectionModel().addListener('rowselect',fn,scope);
  },
  postEditValue : function(value, originalValue, r, field){
    value = Lino.GridPanel.superclass.postEditValue.call(this,value,originalValue,r,field);
    //~ console.log('GridPanel.postEdit()',value, originalValue, r, field);
    return value;
  },

  set_start_value : function(v) {
      this.start_value = v;
  },
  preEditValue : function(r, field){
      if (this.start_value) {
        var v = this.start_value;
        delete this.start_value;
        this.activeEditor.selectOnFocus = false;
        return v;
      }
      var value = r.data[field];
      return this.autoEncode && Ext.isString(value) ? Ext.util.Format.htmlDecode(value) : value;
  },

  on_master_changed : function() {
    //~ if (! this.enabled) return;
    //~ cmp = this;
    //~ console.log('20130911 Lino.GridPanel.on_master_changed()',this.title,this.rendered);
    if (! this.rendered) return; // 20120213
    var todo = function() {
      if (this.disabled) return;
      //~ if (this.disabled) return;
      //~ if (this.enabled) {
          //~ var src = caller.config.url_data + "/" + record.id + ".jpg"
          //~ console.log(20111125, this.containing_window);
          //~ for (k in p) this.getStore().setBaseParam(k,p[k]);
          //~ console.log('Lino.GridPanel.on_master_changed()',this.title,p);
          this.refresh();
          //~ this.set_base_params(this.master_panel.get_master_params());
          //~ this.getStore().load();
      //~ }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  },
  load_record_id : function(record_id,after) {
      Lino.run_detail_handler(this,record_id)
  }

});


//~ Lino.MainPanelMixin = {
  //~ tbar_items : function() {
      //~ return ;
  //~ }
//~ };

//~ Ext.override(Lino.GridPanel,Lino.MainPanelMixin);
//~ Ext.override(Lino.FormPanel,Lino.MainPanelMixin);

//~ Lino.grid_context_menu = function(e) {
  //~ console.log('contextmenu',arguments);
//~ }

Lino.row_context_menu = function(grid,row,col,e) {
  console.log('20130927 rowcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
}

Lino.cell_context_menu = function(grid,row,col,e) {
  //~ console.log('20120531 cellcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
  e.stopEvent();
  //~ grid.getView().focusCell(row,col);
  grid.getSelectionModel().select(row,col);
  //~ console.log(grid.store.getAt(row));
  //~ grid.getView().focusRow(row);
  //~ return;
  if(!grid.cmenu.el){grid.cmenu.render(); }
  //~ if(e.record.data.disabled_fields) {

  if (grid.disabled_fields_index) {
      var da = grid.store.reader.arrayData.rows[row][grid.disabled_fields_index];
      if (da) {
          this.cmenu.cascade(function(item){
            //~ console.log(20120531, item.itemId, da[item.itemId]);
            if (da[item.itemId]) item.disable(); else item.enable();
          });
      }
  };

  var xy = e.getXY();
  xy[1] -= grid.cmenu.el.getHeight();
  grid.cmenu.showAt(xy);
}


Lino.chooser_handler = function(combo,name) {
  return function(cmp, newValue, oldValue) {
    //~ console.log('Lino.chooser_handler()',cmp,oldValue,newValue);
    combo.setContextValue(name, newValue);
  }
};



Lino.ComboBox = Ext.extend(Ext.form.ComboBox,{
  forceSelection: "yes but select on tab",
  // forceSelection: true,
  triggerAction: 'all',
  minListWidth:280, // 20131022
  autoSelect: true,
//  lazyRender:true,
//  lazyInit:false,
//  validationDelay :0,
//  typeAhead : true,
//  typeAheadDelay :false,
  selectOnFocus: true, // select any existing text in the field immediately on focus.
  submitValue: true,
  queryDelay:0,
  minChars: 0,
  displayField: 'text', // 'text',
  valueField: 'value', // 'value',

  //~ initComponent : Ext.form.ComboBox.prototype.initComponent.createSequence(function() {
  initComponent : function(){
      this.contextParams = {};
      this.on('expand',function(){
        // console.log("expand",this.store.getRange());
        if (this.store.getRange().length > 1){
            // Auto selection the first choices in the dropdown list.
            this.select(this.store.getRange()[0].id);
        }
      },this);
      //~ Ext.form.ComboBox.initComponent(this);
      Lino.ComboBox.superclass.initComponent.call(this);
      this.queryDelay = 0;
  },
  //Override this to accept DELETE key as not a specialkey and show choices.
  onKeyUp : function(e){
    var k = e.getKey();
    if(this.editable !== false && this.readOnly !== true && (k == e.BACKSPACE || k == e.DELETE || !e.isSpecialKey())){

        this.lastKey = k;
        this.dqTask.delay(this.queryDelay);
    }
    Ext.form.ComboBox.superclass.onKeyUp.call(this, e);
    },
  setValue : function(v, record_data){
      /*
      Based on feature request developed in http://extjs.net/forum/showthread.php?t=75751
      */
      /* `record_data` is used to get the text corresponding to this value */
      //~ if(this.name == 'city')
      //~ console.log('20120203', this.name,'.setValue(', v ,') this=', this,'record_data=',record_data);
      var text = v;
      if(this.valueField){
        if(v == null || v == '') {
            //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,'no lookup needed, value is empty');
            //~ v = undefined;
            v = '';
            //~ text = '';
        } else if (Ext.isDefined(record_data)) {
          text = record_data[this.name];
          //~ if (this.name == 'birth_country')
          this.original_record_data = record_data;
            //~ console.log(this.name,'.setValue',v,'got text ',text,' from record ',record);
        } else if (Ext.isDefined(this.original_record_data) && this.original_record_data[this.hiddenName] === v) {
            // Fix for ticket #2628
            text = this.original_record_data[this.name];
        } else {
          // if(this.mode == 'remote' && !Ext.isDefined(this.store.totalLength)){
          if(this.mode == 'remote' && ( this.lastQuery === null || (!Ext.isDefined(this.store.totalLength)))){
              //~ if (this.name == 'birth_country') console.log(this.name,'.setValue',v,'store not yet loaded');
              this.store.on('load', this.setValue.createDelegate(this, arguments), null, {single: true});
              if(this.store.lastOptions === null || this.lastQuery === null){
                  var params;
                  if(this.valueParam){
                      params = {};
                      params[this.valueParam] = v;
                  }else{
                      var q = this.allQuery;
                      this.lastQuery = q;
                      this.store.setBaseParam(this.queryParam, q);
                      params = this.getParams(q);
                  }
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : call load() with params ',params);
                  this.store.load({params: params});
              //~ }else{
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : but store is loading',this.store.lastOptions);
              }
              return;
          //~ }else{
              //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,' : store is loaded, lastQuery is "',this.lastQuery,'"');
          }
          var r = this.findRecord(this.valueField, v);
          if(r){
              text = r.data[this.displayField];
          }else if(this.valueNotFoundText !== undefined){
              text = this.valueNotFoundText;
          }
        }
      }
      this.lastSelectionText = text;
      //~ this.lastSelectionText = v;
      if(this.hiddenField){
          //~ this.hiddenField.originalValue = v;
          this.hiddenField.value = v;
      }
      Ext.form.ComboBox.superclass.setValue.call(this, text);
      this.value = v; // needed for grid.afteredit
  },

  getParams : function(q){
    // p = Ext.form.ComboBox.superclass.getParams.call(this, q);
    // causes "Ext.form.ComboBox.superclass.getParams is undefined"
    var p = {};
    if(this.pageSize){
        p['start'] = 0;
        p['limit'] = this.pageSize;
    }
    // now my code:
    if(this.contextParams) Ext.apply(p, this.contextParams);
    return p;
  },
  setContextValue : function(name,value) {
    //~ console.log('setContextValue',this,this.name,':',name,'=',value);
    //~ if (this.contextValues === undefined) {
        //~ this.contextValues = Array(); // this.contextParams.length);
    //~ }
    if ((this.contextParams[name] != value) || (this.contextParams[name] == undefined)) {
      //~ console.log('setContextValue 1',this.contextParams);
      this.contextParams[name] = value;
      this.lastQuery = null;
      //~ console.log('setContextValue 2',this.contextParams);
    }
  }
});

Lino.ChoicesFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'local'
});


Lino.SimpleRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  // forceSelection: true,  20140206 why was this here?
  constructor: function(config){
      Lino.SimpleRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // 'value'
          fields: ['value' ],
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.ComplexRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  constructor: function(config){
      Lino.ComplexRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // constants.CHOICES_VALUE_FIELD
          fields: ['value','text'], // constants.CHOICES_VALUE_FIELD, // constants.CHOICES_TEXT_FIELD
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.RemoteComboFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'remote',
  //~ forceSelection:false,
  minChars: 0, // default 4 is too much
//  queryDelay: 300, // default 500 is maybe slow
  queryParam: 'query',
  //~ typeAhead: true,
  //~ selectOnFocus: true, // select any existing text in the field immediately on focus.
  resizable: true
  ,initList : function() {
      Lino.RemoteComboFieldElement.superclass.initList.call(this);
      if (this.pageTb) {

          var me = this;
          this.pageTb.on("beforechange", function(toolbar, o){
              if(me.contextParams)
                  Ext.apply(o, me.contextParams);
          });

          //~
          //~ var btn = ls_buttons
          //~ this.pageTb.items = this.pageTb.items.concat([btn]);
          //~ console.log("20131022 pageTb.items is", this.pageTb.items)
      }
  }
});

/*
Thanks to Animal for posting the basic idea:
http://www.sencha.com/forum/showthread.php?15842-2.0-SOLVED-Combobox-twintrigger-clear&p=76130&viewfull=1#post76130

*/
Lino.TwinCombo = Ext.extend(Lino.RemoteComboFieldElement,{
    trigger2Class : 'x-form-search-trigger',
    //~ trigger2Class : 'x-tbar-detail',
    initComponent : function() {
        //~ Lino.TwinCombo.superclass.initComponent.call(this);
        Lino.ComboBox.prototype.initComponent.call(this);
        Ext.form.TwinTriggerField.prototype.initComponent.call(this);
    },
    onTrigger2Click : function() {
        //~ console.log('onTrigger2Click',this,arguments);
    }
  });
//~ Lino.TwinCombo.prototype.initComponent = Ext.form.TwinTriggerField.prototype.initComponent;
Lino.TwinCombo.prototype.getTrigger = Ext.form.TwinTriggerField.prototype.getTrigger;
Lino.TwinCombo.prototype.getOuterSize = Ext.form.TwinTriggerField.prototype.getOuterSize;
Lino.TwinCombo.prototype.initTrigger = Ext.form.TwinTriggerField.prototype.initTrigger;
Lino.TwinCombo.prototype.onTrigger1Click = Ext.form.ComboBox.prototype.onTriggerClick;
//~ Lino.TwinCombo.prototype.onTrigger2Click = function() {
    //~ console.log('onTrigger2Click',arguments);
//~ };



Lino.SimpleRemoteComboFieldElement = Ext.extend(Lino.RemoteComboFieldElement,{
  displayField: 'value',
  valueField: null,
  forceSelection: false
});




Lino.Window = Ext.extend(Ext.Window,{
  //~ layout: "fit",
  closeAction : 'hide',
  renderTo: 'main_area',
  constrain: true,
  maximized: true,
  draggable: false,
  width: 700,
  height: 500,
  maximizable: false,
  constructor : function (config) {
    if (config.main_item.params_panel) {
        config.layout = 'border';
        config.main_item.region = 'center';
        // 20210501 config.main_item.params_panel.region = 'north';
        //~ config.main_item.params_panel.autoHeight = false; // 20130924
        config.main_item.params_panel.hidden = config.main_item.params_panel_hidden;
        config.items = [config.main_item.params_panel, config.main_item];
        //~ 20130923b
    } else {
        config.layout = 'fit';
        config.items = config.main_item;
    }
    this.main_item = config.main_item;

    if (typeof config.width == "string" && config.width.slice(-1) == "%") {
        config.width = Lino.perc2width(parseInt(config.width.slice(0, -1)));
    }

    delete config.main_item;
    //~ delete config.params_item;

    //~ this.main_item = config.items.get(0);
    this.main_item.containing_window = this;

    //~ console.log('20120110 Lino.Window.constructor() 1');
    //~ if (Lino.current_window) { // all windows except the top are closable
    if (this.main_item.hide_window_title) {
      config.closable = false;
      config.frame = false;
      config.shadow = false;
      //~ config.border = true;
      //~ config.title = undefined;
      //~ config.tools = null;
      delete config.title;
      delete config.tools;
    } else {
      config.title = this.main_item.empty_title;
      config.closable = true;
      config.tools = [
        { qtip: 'permalink',
         handler: Lino.permalink_handler(this),
          id: "pin" },
        { qtip: "Speichern und Fenster schließen."
        , handler: Lino.close_and_save_handler(this),
         id: "save" }
      ];
      if (this.main_item.content_type && this.main_item.action_name != 'insert') {
        config.tools = [ {
          handler: Lino.help_text_editor,
          qtip: "Hilfetexte der Eingabefelder dieser Tabelle bearbeiten",
          scope: this.main_item,
          id: "gear"
        }].concat(config.tools);
      }

    //~ { qtip: '', handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: this.config.qtip, handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: 'Call doLayout() on main Container.', handler: Lino.refresh_handler(this), id: "refresh" },
    //~ if (this.main_item.params_panel) {
        //~ config.tools = config.tools.concat([
          //~ { qtip: 'Show/hide parameter panel', handler: this.toggle_params_panel, id: "gear", scope:this }
        //~ ]);
    //~ }
    //~ if (config.closable !== false) {
      // if undefined, will take default behaviour
      //~ config.tools = config.tools.concat([
        //~ { qtip: 'close', handler: this.hide, id: "close", scope:this }
      //~ ]);
    }

    this.main_item.config_containing_window(config);

    // console.log('20150514 Lino.Window.constructor() 2');
    Lino.Window.superclass.constructor.call(this, config);

    //~ console.log('20120110 Lino.Window.constructor() 3');

  },
  initComponent : function() {
    this.main_item.init_containing_window(this);
    Lino.Window.superclass.initComponent.call(this);

  },
  hide : function() {
      this.main_item.do_when_clean(false,function() {
        if (Lino.current_window){
          Lino.close_window();
        }
        });

  },
  hide_really : function() {
    Lino.Window.superclass.hide.call(this);
  },
  onRender : function(ct, position){
    // console.log('20140829 Lino.Window.onRender() 1');
    Lino.Window.superclass.onRender.call(this, ct, position);
    var main_area = Ext.getCmp('main_area')
    //~ console.log('20120110 Lino.Window.onRender() 2');

    this.on('show', function(win) {
        // console.log('20140829 Lino.Window.on(show) : add resize handler');
        main_area.on('resize', win.onWindowResize, win);
    });
    this.on('hide', function(win) {
        // console.log('20140829 Lino.Window.on(hide) : remove resize handler');
        main_area.un('resize', win.onWindowResize, win);
    });
    // console.log('20140829 Lino.Window.onRender() 3');
  }
});


Ext.override(Ext.form.BasicForm,{
    my_loadRecord : function(record_data){
    //~ loadRecord : function(record){
        /* Same as ExtJS's loadRecord() (setValues()), except that we
        forward also the record_data to field.setValue(). This second
        parameter is used by Lino.Combobox.
        */
        // console.log('20181102 my_loadRecord', record_data)
        if(Ext.isArray(record_data)){
            for(var i = 0, len = record_data.length; i < len; i++){
                var v = record_data[i];
                var f = this.findField(v.id);
                if(f){
                    f.setValue(v.value, record_data);
                    if(this.trackResetOnLoad){
                        f.originalValue = f.getValue();
                    }
                }
            }
        }else{
            var field, id;
            for(id in record_data){
                if(!Ext.isFunction(record_data[id]) && (field = this.findField(id))){
                    // console.log('20181102 setValue', field, record_data[id]);
                    field.setValue(record_data[id], record_data);
                    if(this.trackResetOnLoad){
                        field.originalValue = field.getValue();
                        //~ if (field.hiddenField) {
                          //~ field.hiddenField.originalValue = field.hiddenField.value;
                        //~ }
                    }
                } // else console.log('20181102 not for ', id);
            }
        }
        return this;
    }
});




function initializeFooBarDropZone(cmp) {
    //~ console.log('initializeFooBarDropZone',cmp);
    cmp.dropTarget = new Ext.dd.DropTarget(cmp.bwrap, {
      //~ ddGroup     : 'gridDDGroup',
      notifyEnter : function(ddSource, e, data) {
        console.log('notifyEnter',ddSource,e,data);
        //Add some flare to invite drop.
        cmp.body.stopFx();
        cmp.body.highlight();
      },
      notifyDrop  : function(ddSource, e, data){
        console.log('notifyDrop',ddSource,e,data);
        // Reference the record (single selection) for readability
        //~ var selectedRecord = ddSource.dragData.selections[0];


        // Load the record into the form
        //~ formPanel.getForm().my_loadRecord(selectedRecord);


        // Delete record from the grid.  not really required.
        //~ ddSource.grid.store.remove(selectedRecord);

        return(true);
      }
    })
}



Lino.show_mti_child = function(fieldname,detail_handler) {
  //~ console.log('show_mti_child',this);
  //~ console.log('show_mti_child',panel.find("main_area"));
  rec = Lino.current_window.main_item.get_current_record();
  //~ rec = panel.get_current_record();
  if (rec) {
    //~ console.log('show_mti_child',Lino.current_window,rec);
    if (rec.phantom) {
      Lino.notify('Not allowed on phantom record.');
    }else if (rec.data[fieldname]) {
      //~ console.log('show_mti_child',rec.id);
      //~ detail_handler(Lino.current_window.main_item,{},{record_id:rec.id});
      detail_handler.run(null,{record_id:rec.id});
      //~ window.open(urlroot + '/' + rec.id);
      //~ document.location = urlroot + '/' + rec.id;
      //~ window.open(urlroot + '/' + rec.id,'_blank');
    } else {
      Lino.alert("Kann MTI-Kind nicht anzeigen wenn Checkbox abgeschlatet ist.");
    }
  } else {
    Lino.notify('No current record.');
  }
};


/*
captureEvents utility by Aaron Conran
<http://www.sencha.com/learn/grid-faq/>

Ext.onReady(function(){
    var grid = new Ext.grid.GridPanel({
        ...
    });
    captureEvents(grid);
});
*/
function captureEvents(observable) {
    Ext.util.Observable.capture(
        observable,
        function(eventName) {
            console.info(eventName);
        },
        this
    );
}

// settings.SITE.get_plugin_snippets()



// from lino_xl.lib.extensible (media_name=extensible-1.0.1):snippets/extensible.js

/*
  This is the `extensible.js` snippet. 
  Used in lino.modlib.extensible.App.site_js_snippets
*/

/*
Mappings towards lino.modlib.extensible.models.PanelCalendars
*/
// Sset SS = Ssite.modules.extensible.PanelCalendars.get_handle(Sui).store
Ext.ensible.cal.CalendarMappings = {
    CalendarId:   {name:'ID',       mapping: 'id', type: 'int'},
    Title:        {name:'CalTitle', mapping: 'summary', type: 'string'},
    Description:  {name:'Desc',     mapping: 'description', type: 'string'},
    ColorId:      {name:'Color',    mapping: 'color', type: 'int'},
    IsHidden:     {name:'Hidden',   mapping: 'is_hidden', type: 'boolean'},    
};
Ext.ensible.cal.CalendarRecord.reconfigure();  


/*
Mappings towards lino.modlib.extensible.models.PanelEvents 
*/
// Sset SS = Ssite.modules.extensible.PanelEvents.get_handle(Sui).store
Ext.ensible.cal.EventMappings = {
    EventId:     {name: 'ID',        mapping: 'id', type:'int'},
    CalendarId:  {name: 'CalID',     mapping: 'calendarHidden', type: 'int'},
    Title:       {name: 'EvtTitle',  mapping: 'summary'},
    StartDate:   {name: 'StartDt',   mapping: 'start_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s" },
    EndDate:     {name: 'EndDt',     mapping: 'end_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s"},
    RRule:       {name: 'RecurRule', mapping: 'rsetHidden'},
    Location:    {name: 'Location',  mapping: 'placeHidden'},
    Notes:       {name: 'Desc',      mapping: 'description'},
    Url:         {name: 'LinkUrl',   mapping: 'url'},
    IsAllDay:    {name: 'AllDay',    mapping: 'all_day', type: 'boolean'},
    Reminder:    {name: 'Reminder',  mapping: 'reminder'}
    
};
Ext.ensible.cal.EventRecord.reconfigure();


//~ Lino.on_eventclick = 
    
Lino.on_editdetails = 

Lino.format_time = function(dt) {
    return dt.getHours() + ':' + dt.getMinutes();
}
    
Lino.on_eventdelete = function() {
  //~ console.log("Lino.on_eventdelete",arguments);
};

Lino.on_eventadd  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventadd ",arguments);
  return false;
}
    
Lino.on_eventresize  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventresize ",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    
Lino.on_eventupdate  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventupdate",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    

//~ Lino.eventStore = new Ext.ensible.cal.EventStore({ 
//~ Lino.eventStore = new Ext.data.ArrayStore({ 
Lino.unused_eventStore = new Ext.data.JsonStore({ 
  listeners: { exception: Lino.on_store_exception }
  ,url: '/restful/extensible/PanelEvents'
  ,restful : true
  ,proxy: new Ext.data.HttpProxy({ 
      url: '/restful/extensible/PanelEvents', 
      disableCaching: false // no need for cache busting when loading via Ajax
      //~ disableCaching:true,
  })
  ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
  ,totalProperty: "count"
  ,root: "rows"
  ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
  ,writer : new Ext.data.JsonWriter({
    writeAllFields: false
  })
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
      if (!options) options = {};
      if (!options.params) options.params = {};
      //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
      
      var view = this.cal_panel.getActiveView();
      var bounds = view.getViewBounds();
      //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
      //~ var p = {};
      options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
      options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
      Lino.insert_subst_user(options.params);
      //~ Ext.apply(options.params,p)
      //~ console.log('20120710 eventStore.load()',this.baseParams,options);
    
    return Ext.data.JsonStore.prototype.load.call(this,options);
  }
});


Lino.CalendarCfg = {
    dateParamFormat: 'd.m.Y',
    dateParamStart:'sd',
    dateParamEnd:'ed'
};
//~ 20120704 Lino.CalendarPanel = Ext.extend(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
//~ Lino.CalendarPanel = Ext.extend(Lino.CalendarPanel,{
Ext.override(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
Ext.override(Ext.ensible.cal.CalendarPanel,{
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  empty_title : "Kalender"
  ,activeItem: 1 // 0: day, 1: week
  ,ls_url: '/extensible/CalendarPanel'
  //~ ,disableCaching:true
  //~ ,eventStore: Lino.eventStore
  //~ ,calendarStore: Lino.calendarStore
  //~ ,initComponent : function(){
    //~ Ext.ensible.cal.CalendarPanel.superclass.initComponent.call(this);
    //~ this.eventStore.on('load',function(){
      //~ console.log("20130808",Lino.eventStore);
      //~ if (this.eventStore.reader.jsonData) {
        //~ console.log("20130808 b",this.eventStore.reader.jsonData.title);
        //~ this.set_window_title(this.eventStore.reader.jsonData.title);
      //~ }
    //~ },this);
  //~ }
  ,listeners: { 
    editdetails: function(cp,rec,el) {
      //~ console.log("Lino.on_editdetails",arguments);
      if (rec.data.ID)
          Lino.extensible.PanelEvents.detail.run(null,{
              record_id:rec.data.ID,
              base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    ,eventclick: function(cp,rec,el) {
      //~ console.log("Lino.on_eventclick",arguments);
      //~ Lino.cal.Events.detail_action.run({record_id:rec.data.ID});
      Lino.extensible.PanelEvents.detail.run(null,{
            record_id:rec.data.ID,
                base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    //~ ,eventadd: Lino.on_eventadd
    //~ ,eventdelete: Lino.on_eventdelete
    //~ ,eventresize: Lino.on_eventresize
    ,afterrender : function(config) {
      // console.log("20140402 CalendarPanel.afterrender");
      this.app_instance.calendar_store.cal_panel = this;
      // 20140402 this.app_instance.calendar_store.load();
      //~ console.log("20120704 afterrender calls eventStore.load()",p);
      this.app_instance.event_store.cal_panel = this;
      //~ Lino.eventStore.load({params:p});
      //~ 20130905 removed: this.app_instance.event_store.load();
      //~ Lino.CalendarPanel.superclass.constructor.call(this, config);
      //~ console.log(20120118, config,this);
    }
    }
  ,enableEditDetails: false
  //~ ,monthViewCfg: Lino.CalendarCfg
  //~ ,weekViewCfg: Lino.CalendarCfg
  //~ ,multiDayViewCfg: Lino.CalendarCfg
  //~ ,multiWeekViewCfg: Lino.CalendarCfg
  //~ ,dayViewCfg: Lino.CalendarCfg
  //~ ,initComponent : function() {
    //~ // this.on('eventadd',Lino.on_eventadd);
    //~ Lino.CalendarPanel.superclass.initComponent.call(this);
  //~ }
});




Lino.CalendarAppPanel = Ext.extend(Ext.Panel,Lino.MainPanel);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,Lino.PanelMixin);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,{
  app_instance : null
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  ,empty_title : "Kalender"
  ,ls_url: '/extensible/CalendarPanel'
  ,set_status : function(status,rp) { 
      // console.log('20140402 CalendarAppPanel.set_status()', status);
      this.requesting_panel = Ext.getCmp(rp);
      this.clear_base_params();
      if (status == undefined) status = {};
      //~ if (status.param_values) 
      //~ this.set_field_values(status.field_values);
      if (status.base_params) this.set_base_params(status.base_params);
      this.refresh();
      }
  ,refresh : function() {
      //~ this.app_instance.event_store.reload(); 20130905
      this.app_instance.calendar_store.load();  // added 20140402
      this.app_instance.event_store.load();
  }
  ,layout: 'fit'
  ,get_base_params : function() {
    // console.log('20140402 getbase_params has', this.base_params);
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    // console.log('20140402 getbase_params returns', p);
    return p;
  }
  ,set_base_params : function(p) {
    this.base_params = Ext.apply(this.app_instance.event_store.baseParams,p);
    this.app_instance.event_store.baseParams = this.base_params;
    // console.log('20140402 this.base_params is', this.base_params);
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
      if (!this.base_params) this.base_params = {};
      this.base_params[k] = v;
  }
});

Lino.CalendarApp = function() { return {
  team_view_button : null 
  ,get_main_panel : function() {
      var cap = null;
      this.event_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,url: '/restful/extensible/PanelEvents'
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelEvents', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ disableCaching:true,
          })
          ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
          ,totalProperty: "count"
          ,root: "rows"
          ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
          ,writer : new Ext.data.JsonWriter({
            writeAllFields: false
          })
          ,load: function(options) {
            //~ foo.bar = baz; // 20120213
              if (!options) options = {};
              if (!options.params) options.params = {};
              //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
              
              var view = this.cal_panel.getActiveView();
              var bounds = view.getViewBounds();
              //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
              //~ var p = {};
              options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
              options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
              Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              //~ this.cal_panel.base_params.su.toString();
              //~ if (this.cal_panel) {
                  // Ext.apply(options.params,this.cal_panel.base_params);
              //~ }
              //~ Ext.apply(options.params,p)
              //~ console.log('20130905 eventStore.load()',this.cal_panel,this.baseParams,options.params);
            
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });

      //~ Lino.calendarStore
      this.calendar_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelCalendars?fmt=json', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ restful : true
              //~ method: "GET"
          })
          //~ ,autoLoad: true
          //~ ,remoteSort: true
          //~ ,baseParams: bp
          ,totalProperty: "count"
          ,root: "rows"
          ,fields: Ext.ensible.cal.CalendarRecord.prototype.fields.getRange()
          ,idProperty: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          //~ ,idIndex: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          ,load: function(options) {
              // new since 20140402 add substitute user when calling
              // calendars
              if (!options) options = {};
              if (!options.params) options.params = {};
              // Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              // console.log("20140402 calendar_store.load", options.params, 
              //             this.cal_panel, cap.get_base_params());
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });
      
      cap = new Lino.CalendarAppPanel({ 
          app_instance: this, 
          items : 
        //~ [{
          //~ id: 'app-header',
          //~ region: 'north',
          //~ height: 35,
          //~ border: false,
          // contentEl: 'app-header-content'
        //~ },
      {
          id: 'app-center',
          title: '...', // will be updated to the current view's date range
          region: 'center',
          layout: 'border',
          listeners: {
              'afterrender': function(){
                  Ext.getCmp('app-center').header.addClass('app-center-header');
              }
          },
          items: [{
              id:'app-west',
              region: 'west',
              width: 176,
              border: false,
              items: [{
                  xtype: 'datepicker',
                  id: 'app-nav-picker',
                  cls: 'ext-cal-nav-picker',
                  listeners: {
                      'select': {
                          fn: function(dp, dt){
                              // console.log("20131017",dp);
                              //~ Lino.calendarPanel.setStartDate(dt);
                              //~ cap.setStartDate(dt);
                              Ext.getCmp('app-calendar').setStartDate(dt);
                          },
                          //~ scope: this
                      }
                  }
              //~ },{ 
                //~ layout:'fit',
                //~ items: [
                  //~ new Ext.form.Checkbox({
                    //~ boxLabel:"$_('Team view')",
                    //~ hideLabel:true
                    //~ listeners: { click: }
                  //~ })
                //~ ]
              //~ },{ 
                //~ layout:'form',
                //~ items: [
                  //~ this.team_view_button = new Ext.Button({
                    //~ text:"Team view",
                    //~ enableToggle:true,
                    //~ pressed:false,
                    //~ toggleHandler: function(btn,state) { 
                      //~ // console.log('20120716 teamView.toggle()');
                      //~ this.event_store.setBaseParam('tv',state);
                      //~ this.event_store.load();
                      //~ // console.log("team view",state);
                    //~ }
                  //~ })
                //~ ]
              },{
                  xtype: 'extensible.calendarlist',
                  store: this.calendar_store,
                  border: false,
                  width: 175
              }]
          },{
              xtype: 'extensible.calendarpanel', // Ext.ensible.cal.CalendarPanel
              eventStore: this.event_store,
              app_instance: this,
              calendarStore: this.calendar_store,
              border: false,
              id:'app-calendar',
              region: 'center',
              //~ activeItem: 3, // month view
              
              // Any generic view options that should be applied to all sub views:
              viewConfig: {
                  // Lino.CalendarCfg
                  dateParamFormat: 'd.m.Y',
                  dateParamStart:'sd',
                  dateParamEnd:'ed',
                
                  //enableFx: false,
                  //ddIncrement: 10, //only applies to DayView and subclasses, but convenient to put it here
                  viewStartHour: 8, // 8
                  viewEndHour: 18 // 18
                  //minEventDisplayMinutes: 15
              },
              
              // View options specific to a certain view (if the same options exist in viewConfig
              // they will be overridden by the view-specific config):
              monthViewCfg: {
                  showHeader: true,
                  showWeekLinks: true,
                  showWeekNumbers: true,
                  eventBodyMarkup: ['{Title}',
                    //~ '<tpl if="url">',
                        //~ '<a href="{url}">XX</a>',
                    //~ '</tpl>',
                    '<tpl if="_isReminder">',
                        '<i class="ext-cal-ic ext-cal-ic-rem">&#160;</i>',
                    '</tpl>',
                    '<tpl if="_isRecurring">',
                        '<i class="ext-cal-ic ext-cal-ic-rcr">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanLeft">',
                        '<i class="ext-cal-spl">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanRight">',
                        '<i class="ext-cal-spr">&#160;</i>',
                    '</tpl>'
                ].join('')
              },
              
              multiWeekViewCfg: {
                  //weekCount: 3
              },
              
              // Some optional CalendarPanel configs to experiment with:
              //readOnly: true,
              //showDayView: false,
              //showMultiDayView: true,
              //showWeekView: false,
              //showMultiWeekView: false,
              //showMonthView: false,
              //showNavBar: false,
              //showTodayText: false,
              //showTime: false,
              //editModal: true,
              //enableEditDetails: false,
              //title: 'My Calendar', // the header of the calendar, could be a subtitle for the app
              
              // Once this component inits it will set a reference to itself as an application
              // member property for easy reference in other functions within App.
              //~ initComponent: function() {
                  //~ Lino.calendarPanel = this;
                  //~ this.constructor.prototype.initComponent.apply(this, arguments);
              //~ },
              
              listeners: {
                  //~ 'eventclick': {
                      //~ fn: function(vw, rec, el){
                          //~ this.clearMsg();
                      //~ },
                      //~ scope: this
                  //~ },
                  'eventover': function(vw, rec, el){
                      //console.log('Entered evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]', view='+ vw.id +', el='+el.id);
                  },
                  'eventout': function(vw, rec, el){
                      //console.log('Leaving evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]+', view='+ vw.id +', el='+el.id);
                  },
                  'eventadd': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was added');
                      },
                      scope: this
                  },
                  'eventupdate': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(cp, rec){
                          //this.eventStore.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'eventcancel': {
                      fn: function(cp, rec){
                          // edit canceled
                      },
                      scope: this
                  },
                  'viewchange': {
                      fn: function(p, vw, dateInfo){
                          if(this.editWin){
                              this.editWin.hide();
                          };
                          if(dateInfo !== null){
                              // will be null when switching to the event edit form so ignore
                              Ext.getCmp('app-nav-picker').setValue(dateInfo.activeDate);
                              this.updateTitle(dateInfo.viewStart, dateInfo.viewEnd);
                          }
                          
                      },
                      scope: this
                  },
                  'dayclick': {
                      fn: function(vw, dt, ad, el){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'rangeselect': {
                      fn: function(vw, dates, onComplete){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'eventmove': {
                      fn: function(vw, rec){
                          rec.commit();
                          var time = rec.data[Ext.ensible.cal.EventMappings.IsAllDay.name] ? '' : ' \\a\\t g:i a';
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was moved to '+
                              rec.data[Ext.ensible.cal.EventMappings.StartDate.name].format('F jS'+time));
                      },
                      scope: this
                  },
                  'eventresize': {
                      fn: function(vw, rec){
                          rec.commit();
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(win, rec){
                          this.event_store.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'initdrag': {
                      fn: function(vw){
                          if(this.editWin && this.editWin.isVisible()){
                              this.editWin.hide();
                          }
                      },
                      scope: this
                  }
              }
          }]
        }
        //~ ]
        
      });
      
      this.event_store.on('load',function(){
        //~ console.log("20130905 on event_store load",this.event_store.reader.jsonData);
        if (this.event_store.reader.jsonData) {
          //~ console.log("20130808 b",this.event_store.reader.jsonData.title);
          //~ console.log("20130808 c",this);
          cap.set_window_title(this.event_store.reader.jsonData.title);
        }
      },this);
      
      //~ cap.app_instance = this;
      return cap;
      
  }
  ,updateTitle: function(startDt, endDt){
      var p = Ext.getCmp('app-center');
      
      if(startDt.clearTime().getTime() == endDt.clearTime().getTime()){
          p.setTitle(startDt.format('F j, Y'));
      }
      else if(startDt.getFullYear() == endDt.getFullYear()){
          if(startDt.getMonth() == endDt.getMonth()){
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('j, Y'));
          }
          else{
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('F j, Y'));
          }
      }
      else{
          p.setTitle(startDt.format('F j, Y') + ' - ' + endDt.format('F j, Y'));
      }
  }
  // This is an application-specific way to communicate CalendarPanel event messages back to the user.
  // This could be replaced with a function to do "toast" style messages, growl messages, etc. This will
  // vary based on application requirements, which is why it's not baked into the CalendarPanel.
  ,showMsg: function(msg){
      Lino.notify(msg);
      //~ Ext.fly('app-msg').update(msg).removeClass('x-hidden');
  }
  
  ,clearMsg: function(){
      Lino.notify('');
      //~ Ext.fly('app-msg').update('').addClass('x-hidden');
  }
}
};


// from lino_welfare.modlib.sepa (extends_models=['Account']):iban/uppercasetextfield.js

Lino.UppercaseTextField = Ext.extend(Ext.form.TextField,{
  style: 'text-transform:uppercase;',
  listeners:{
    change: function(field, newValue, oldValue){
      // console.log("20140403 UppercaseTextField",newValue, newValue.toUpperCase());
      field.setRawValue(newValue.toUpperCase());
    }
  }
});


Lino.iban_renderer = function(
    value, metaData, record, rowIndex, colIndex, store) 
{
    var reg = new RegExp(".{4}", "g");
    if(value) {
        return value.replace(reg, function (a) { return a + ' '; });
    }
    return value;
}




// from lino_xl.lib.beid (media_name=eidreader):beid/eidreader.js



function uuid() {
  // Copied from https://gist.github.com/jcxplorer/823878
  var uuid = "", i, random;
  for (i = 0; i < 32; i++) {
    random = Math.random() * 16 | 0;

    if (i == 8 || i == 12 || i == 16 || i == 20) {
      uuid += "-"
    }
    uuid += (i == 12 ? 4 : (i == 16 ? (random & 3 | 8) : random)).toString(16);
  }
  return uuid;
};

Lino.beid_read_card_processor = function() {
    // var card = {}
    var my_id = uuid();
    var url = "beid://" + window.location.origin + "/eid/" + my_id;
    // var current_window = window.window;
    console.log("Gonna open", url);
    var popup = window.open(url, "eidreader");
    // while (popup.event) {setTimeout(()=>console.log("waiting", popup.event),1000)};
    // popup.close();
    // current_window.focus();
    return { uuid: my_id, timeout: 0 };

    // var xhttp = new XMLHttpRequest();
    // xhttp.onreadystatechange = function() {
    //     if (this.readyState == 4 && this.status == 200) {
    //         card = JSON.parse(this.responseText);
    //     } else {
    //         console.log("20180412 status ", this.status);
    //     }
    // };
    // xhttp.open("GET", "/eid/" + my_id, false);
    // xhttp.send();

    // return { card_data: card };
}



// from lino.modlib.tinymce (media_name=tinymce-3.5.11):tinymce/tinymce.js

/* Copyright 2009-2018 Rumma & Ko Ltd */


Lino.edit_tinymce_text = function(panel, tinymce_options) {
  // edit the text in own window.
  // `panel` is the RichTextPanel
  // console.log(20150520, panel);
  //~ var rec = panel.get_current_record();
  var rec = panel.containing_panel.get_current_record();
  var value = rec ? rec.data[panel.editor.name] : '';
  var saving = false;
  var todo_after_save = false;
  var discard_changes = false;
  
  
  function save() {
    if (saving) {alert('tried to save again'); return; }
    var url = panel.containing_panel.get_record_url(rec.id);
    var params = Ext.apply({}, panel.containing_panel.get_base_params());
    params[panel.editor.name] = editor.getValue();
    //~ params.su = Lino.subst_user;
    //~ Lino.insert_subst_user(params);

    // 20150325 http://trac.lino-framework.org/ticket/131
    var action_name = panel.containing_panel.save_action_name;
    if (!action_name) 
        action_name = panel.containing_panel.action_name;
    params.an = action_name;

    var a = { 
      params: params, 
      method: 'PUT',
      url: url,
      failure: function() {
          //~ if (editor.ed.getContainer()) 
          editor.ed.setProgressState(0);
          todo_after_save = false;
          saving = false;
          console.log('tinymce.save() failed. sorry.',arguments);
        },
      success: function() {
        saving = false;
        //~ if (editor.ed.getContainer()) 
        editor.ed.setProgressState(0);
        rec.data[panel.editor.name] = editor.getValue();
        if(todo_after_save) {
            var fn = todo_after_save;
            todo_after_save = false;
            fn();
        }
        //~ panel.containing_window.set_current_record(rec);
        panel.refresh();
      }
    };
    //~ if (editor.ed.getContainer()) 
    editor.ed.setProgressState(1); // Show progress
    saving = true;
    //~ console.log(a);
    Ext.Ajax.request(a);
  };
  function save_callback() {
      save();
      //~ save(function(){editor.ed.setDirty(false);})
      /* return true have the save button disabled.  
      That's not perfect because the PUT is asynchronous 
      and the response is not yet known.
      */
      return true;
  }
  //~ var actions = [
    //~ {text:"Save",handler:save}
  //~ ]; 
  //~ console.log(20110610,panel.editor.disabled);
  var settings = {};
  Ext.apply(settings,{
        readonly: panel.editor.disabled,
        //~ language: "de",
        plugins : "save,emotions,spellchecker,advhr,insertdatetime,preview,table,searchreplace,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "save,cancel,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect,formatselect,|,search,replace",
        theme_advanced_buttons2 : "cut,copy,paste,template,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,code,preview,|,forecolor,backcolor",
        theme_advanced_buttons3 : "insertdate,inserttime,|,spellchecker,advhr,,removeformat,|,sub,sup,|,charmap,emotions,|,tablecontrols",
        theme_advanced_resizing : false,
        convert_urls : false,
        save_onsavecallback : save_callback,
        save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
  });
  Ext.apply(settings, tinymce_options);
  var editor = new Ext.ux.TinyMCE({
      value : value,
      tinymceSettings: settings
    });
  var win = new Ext.Window({
    title: rec.title, 
    //~ bbar: actions,
    layout: 'fit',
    items: editor,
    width: 500, 
    height: 400,
    minWidth: 100,
    minHeight: 100,
    modal: true,
    resizable: true,
    maximizable: true,
    //~ maximized: true,
    //~ closeAction: "close"
    closeAction: "hide"
    //~ hideMode: "offsets",
    //~ constrainHeader: true,
    //~ bodyStyle: 'padding: 10px'
  });

  //~ win.on('beforeclose',function() {
  win.on('beforehide',function() {
    if (todo_after_save) return false;
    if (discard_changes) return true;
    if (editor.isDirty()) {
        //~ var ok = false;
        //~ var allowClose = true;
        var config = {title:"Bestätigung"};
        config.buttons = Ext.MessageBox.YESNOCANCEL;
        config.msg = "Save changes to text ?";
        config.modal = true;
        config.fn = function(buttonId,text,opt) {
          //~ console.log('do_when_clean',buttonId)
          if (buttonId == "yes") {
              /* we cancel this close, but save()'s onSuccess will call again.*/
              //~ allowClose = false;
              todo_after_save = function(){win.hide();}
              editor.ed.execCommand('mceSave');
              //~ editor.ed.save(function(){win.close();});
          } else if (buttonId == "no") { 
              discard_changes = true;
              win.hide()
          //~ } else if (buttonId == "cancel") { 
            //~ ok = true;
              //~ allowClose = false;
          //~ } else { 
            //~ console.log('unknwon buttonId:',buttonId);
          }
        }
        Ext.MessageBox.show(config);
        return false;
        //~ return allowClose;
    }
  });
  win.show();
}


Lino.RichTextPanel = Ext.extend(Ext.Panel,Lino.PanelMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,Lino.FieldBoxMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,{
    
  //~ initComponent : function(){
    //~ Lino.RichTextPanel.superclass.initComponent.call(this);
  //~ },
  constructor : function(config, params) {
      // console.log('20150520a Lino.RichTextPanel.initComponent', this);
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + String(rec.id) + "/" + config.name;
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + config.name;
    var t = this;
    var tinymce_options = {
        theme : "advanced",
        content_css: '/static/extjs/lino.css,/static/tinymce_content.css',

        theme_advanced_font_sizes : "12px,13px,14px,16px,18px,20px,24px",
        font_size_style_values : "12px,13px,14px,16px,18px,20px,24px",
        language: 'de',
        //~ template_external_list_url : url,
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        template_popup_width : 500,
        template_popup_height : 400,
        template_replace_values : { 
            data_field : function(element){ 
                //~ console.log(20110722,fieldName,t.containing_window.get_current_record()); 
                var fieldName = element.innerHTML;
                element.innerHTML = t.containing_panel.get_current_record().data[fieldName];
            } 
        }
      };
      
    var editorConfig = {
      tinymceSettings: {
        plugins : "noneditable,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,removeformat,template",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "", // ,|,sub,sup,|,charmap",      
        theme_advanced_resizing : false
        //~ save_onsavecallback : save_callback,
        //~ save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
        
    }};
    Ext.apply(editorConfig.tinymceSettings, tinymce_options);
    //~ editorConfig.name = config.action_name;
    editorConfig.name = config.name;
    delete config.name;
    //~ config.title = config.label;
    //~ delete config.label;
    this.before_init(config,params);
    
    // console.log('20150520b Lino.RichTextPanel.initComponent', this);

    this.editor = new Ext.ux.TinyMCE(editorConfig);
    var t = this;
    function save_cmd() { 
        // console.log("20150902 save_cmd()", arguments);            
        var cw = t.get_containing_window();
        if (cw) {
            cw.main_item.save();
        }
    }
    this.editor.withEd(function(){
        if (!t.editor.ed.addShortcut(
            'ctrl+s', 'Save the content', save_cmd)) {
            console.log("20150902 addShortcut() failed");            
        };
        // t.editor.ed.onKeyDown.add(function(ed, e) {
        //     if (e.keyCode == 13 && e.ctrlKey) {
        //         save_cmd(); 
        //         return tinymce.dom.Event.cancel(e); 
        //         // e.preventDefault();
        //         // http://stackoverflow.com/questions/18971284/event-preventdefault-vs-return-false-no-jquery
        //     }
        // });
    });
    config.tools = [{
                      qtip: "Edit text in own window", 
                      id: "up",
                      handler: function(){
                        if(t.editor.isDirty()) {
                            var record = t.containing_panel.get_current_record();
                            record.data[t.editor.name] = t.editor.getValue();
                        }
                        Lino.edit_tinymce_text(t, tinymce_options)
                      }
                    }];
    
    config.items = this.editor;
    config.layout = "fit";
    // console.log('20150520c Lino.RichTextPanel.initComponent', this);
    Lino.RichTextPanel.superclass.constructor.call(this, config);
    // console.log('20150520d Lino.RichTextPanel.initComponent', this);
  },
  getValue : function(v) {
      return this.editor.getValue(v);
  },
  refresh : function(unused) { 
      this.refresh_with_after();
  },
  /* RichTextPanel */
  refresh_with_after : function(after) {
    // when called from the dashboard:    
    if (!this.containing_panel.get_current_record) { return; }
    var record = this.containing_panel.get_current_record();
    // console.log('20140504 RichTextPanel.refresh()',
    //             this.title,record.title, record);
    var todo = function() {
      if (record) {
        var url = '/tinymce/templates' 
              + this.containing_panel.ls_url + "/" 
              + String(record.id) + "/" + this.editor.name;
        // console.log('20150415 RichTextPanel.refresh()',url);
        if (this.editor.ed)
            this.editor.ed.settings.template_external_list_url = url;
            // else {console.log("20150415 no editor")}
        this.set_base_params(this.containing_panel.get_master_params());
        //~ var v = record ? this.format_data(record.data[this.editor.name]) : ''
        var v = this.format_data(record.data[this.editor.name])
        this.editor.setValue(v);
      } else {
        this.editor.setValue('(no data)');
      }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.RichTextPanel,Lino.FieldBoxMixin);

Lino.main_menu = [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Persons.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all persons.") }, "text": "Personen" }, { "handler": function() {Lino.pcsw.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": " \u25b6 Klienten" }, { "handler": function() {Lino.contacts.Companies.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Organisationen" }, "-", { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partner (alle)" }, { "handler": function() {Lino.households.Households.grid.run(null)}, "text": "Haushalte" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.notify.MyMessages.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows messages emitted to me.") }, "text": "Meine Benachrichtigungen" }, { "handler": function() {Lino.excerpts.MyExcerpts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all tables on Excerpt.") }, "text": "Meine Ausz\u00fcge" }, { "handler": function() {Lino.uploads.MyExpiringUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the upload files that are marked as Upload.needed and whose\nUpload.end_date is within a given period.") }, "text": "Meine ablaufenden Upload-Dateien" }, { "handler": function() {Lino.uploads.MyUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all data views of upload files.") }, "text": "Meine Upload-Dateien" }, { "handler": function() {Lino.outbox.MyOutbox.grid.run(null)}, "text": "Mein E-Mail-Ausgang" }, { "handler": function() {Lino.notes.MyNotes.grid.run(null)}, "text": "Meine Ereignisse/Notizen" }, { "handler": function() {Lino.checkdata.MyProblems.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the problem messages assigned to me.") }, "text": "Meine Datenkontrollliste" } ] }, "text": "B\u00fcro" }, { "menu": { "items": [ { "handler": function() {Lino.extensible.CalendarPanel.grid.run(null)}, "iconCls": "x-tbar-calendar", "listeners": { "render": Lino.quicktip_renderer("Foo","Displays your events in a \"calendar view\"     with the possibility to switch between daily, weekly, monthly view.") }, "text": "Kalender" }, { "handler": function() {Lino.cal.MyEntries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the appointments for which I am responsible.") }, "text": "Meine Termine" }, { "handler": function() {Lino.cal.OverdueAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows overdue appointments, i.e. appointments that happened before today\nand are still in a nonstable state.") }, "text": "\u00dcberf\u00e4llige Termine" }, { "handler": function() {Lino.cal.MyUnconfirmedAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my appointments in the near future which are in suggested or\ndraft state.") }, "text": "Meine unbest\u00e4tigten Termine" }, { "handler": function() {Lino.cal.MyTasks.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my tasks whose start date is today or in the future.") }, "text": "Meine Aufgaben" }, { "handler": function() {Lino.cal.MyGuests.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The default table of presences.") }, "text": "Meine G\u00e4ste" }, { "handler": function() {Lino.cal.MyPresences.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all my presences in calendar events, independently of their\nstate.") }, "text": "Meine Anwesenheiten" }, { "handler": function() {Lino.cal.MyOverdueAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Like OverdueAppointments, but only for myself.") }, "text": "Meine \u00fcberf\u00e4lligen Termine" } ] }, "text": "Kalender" }, { "menu": { "items": [ { "handler": function() {Lino.reception.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.cal.EntriesByDay.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","This table is usually labelled \"Appointments today\". It has no\n\"date\" column because it shows events of a given date.It is ordred\nwith increasing times.") }, "text": "Termine heute" }, { "handler": function() {Lino.reception.WaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show waiting visitors (for any user).") }, "text": "Wartende Besucher" }, { "handler": function() {Lino.reception.BusyVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show busy visitors (with any user).") }, "text": "Besch\u00e4ftigte Besucher" }, { "handler": function() {Lino.reception.GoneVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show gone visitors (for any user).") }, "text": "Gegangene Besucher" }, { "handler": function() {Lino.reception.MyWaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show visitors waiting for me.") }, "text": "Meine Warteschlange" } ] }, "text": "Empfang" }, { "menu": { "items": [ { "handler": function() {Lino.pcsw.CoachedClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.coachings.MyCoachings.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A table showing a set of coachings.") }, "text": "Meine Begleitungen" }, { "handler": function() {Lino.aids.MyPendingGrantings.grid.run(null)}, "text": "Zu best\u00e4tigende Hilfebeschl\u00fcsse" } ] }, "text": "\u00d6SHZ" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.vatless.ProjectInvoicesByJournal.grid.run(null,{ "base_params": { "mk": 1, "mt": 59 }, "param_values": { "partner": null, "partnerHidden": null, "state": null, "stateHidden": null, "year": null, "yearHidden": null } })}, "listeners": { "render": Lino.quicktip_renderer("Foo","Mixin for journal-based tables of vouchers.") }, "text": "Rechnungseing\u00e4nge (REG)" }, { "handler": function() {Lino.vatless.InvoicesByJournal.grid.run(null,{ "base_params": { "mk": 2, "mt": 59 }, "param_values": { "partner": null, "partnerHidden": null, "state": null, "stateHidden": null, "year": null, "yearHidden": null } })}, "listeners": { "render": Lino.quicktip_renderer("Foo","Mixin for journal-based tables of vouchers.") }, "text": "Sammelrechnungen (SREG)" } ] }, "text": "Rechnungseing\u00e4nge" }, { "menu": { "items": [ { "handler": function() {Lino.finan.DisbursementOrdersByJournal.grid.run(null,{ "base_params": { "mk": 3, "mt": 59 }, "param_values": { "end_period": null, "end_periodHidden": null, "start_period": null, "start_periodHidden": null, "state": null, "stateHidden": null, "user": null, "userHidden": null } })}, "listeners": { "render": Lino.quicktip_renderer("Foo","Mixin for journal-based tables of vouchers.") }, "text": "Ausgabeanweisungen (AAW)" } ] }, "text": "Ausgabeanweisungen" }, { "menu": { "items": [ { "handler": function() {Lino.finan.PaymentOrdersByJournal.grid.run(null,{ "base_params": { "mk": 4, "mt": 59 }, "param_values": { "end_period": null, "end_periodHidden": null, "start_period": null, "start_periodHidden": null, "state": null, "stateHidden": null, "user": null, "userHidden": null } })}, "listeners": { "render": Lino.quicktip_renderer("Foo","Mixin for journal-based tables of vouchers.") }, "text": "KBC Zahlungsauftr\u00e4ge (ZKBC)" } ] }, "text": "Zahlungsauftr\u00e4ge" } ] }, "text": "Buchhaltung" }, { "menu": { "items": [ { "handler": function() {Lino.integ.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Wie Kontakte --> Klienten, aber mit     DSBE-spezifischen Kolonnen und Filterparametern.") }, "text": "Klienten" }, { "handler": function() {Lino.isip.MyContracts.grid.run(null)}, "text": "VSEs" }, { "handler": function() {Lino.jobs.MyContracts.grid.run(null)}, "text": "Art.60\u00a77-Konventionen" }, { "handler": function() {Lino.jobs.JobProviders.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Stellenanbieter" }, { "handler": function() {Lino.jobs.Jobs.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","\n    Eine Stelle ist ein Arbeitsplatz bei einem Stellenabieter.\n    ") }, "text": "Stellen" }, { "handler": function() {Lino.jobs.Offers.grid.run(null)}, "text": "Stellenangebote" }, { "handler": function() {Lino.art61.MyContracts.grid.run(null)}, "text": "Art.61-Konventionen" }, { "menu": { "items": [ { "handler": function() {Lino.cbss.MyIdentifyPersonRequests.grid.run(null)}, "text": "Meine IdentifyPerson-Anfragen" }, { "handler": function() {Lino.cbss.MyManageAccessRequests.grid.run(null)}, "text": "Meine ManageAccess-Anfragen" }, { "handler": function() {Lino.cbss.MyRetrieveTIGroupsRequests.grid.run(null)}, "text": "Meine Tx25-Anfragen" } ] }, "text": "ZDSS" } ] }, "text": "DSBE" }, { "menu": { "items": [ { "handler": function() {Lino.xcourses.CourseProviders.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Kursanbieter" }, { "handler": function() {Lino.xcourses.CourseOffers.grid.run(null)}, "text": "Kursangebote" }, { "handler": function() {Lino.xcourses.PendingCourseRequests.grid.run(null)}, "text": "Offene Kursanfragen" } ] }, "text": "Kurse" }, { "menu": { "items": [ { "handler": function() {Lino.newcomers.NewClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste der neuen Klienten zwecks Zuweisung\neines Begleiters oder Ablehnen des Hilfeantrags.") }, "text": "Neue Klienten" }, { "handler": function() {Lino.newcomers.AvailableCoaches.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","List of users available for new coachings") }, "text": "Verf\u00fcgbare Begleiter" } ] }, "text": "Erstempfang" }, { "menu": { "items": [ { "handler": function() {Lino.debts.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Wie Kontakte --> Klienten, aber mit Kolonnen und Filterparametern f\u00fcr Schuldnerberatung.") }, "text": "Klienten" }, { "handler": function() {Lino.debts.MyBudgets.grid.run(null)}, "text": "Meine Budgets" } ] }, "text": "Schuldnerberatung" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.ledger.Debtors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows partners who have some debt against us.\nInherits from DebtorsCreditors.") }, "text": "Schuldner" }, { "handler": function() {Lino.ledger.Creditors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows partners who give us some form of credit.\nInherits from DebtorsCreditors.") }, "text": "Gl\u00e4ubiger" } ] }, "text": "Buchhaltung" }, { "menu": { "items": [ { "handler": function() {Lino.integ.UsersWithClients.grid.run(null)}, "text": "Benutzer und ihre Klienten" }, { "handler": function() {Lino.jobs.JobsOverview.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A special kind of EmptyTable used to create \"reports\".  A report\nis a series of headings, paragraphs and tables combined into a single\nprintable and previewable document.") }, "text": "\u00dcbersicht Art.60\u00a77-Konventionen" }, { "handler": function() {Lino.integ.ActivityReport.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A special kind of EmptyTable used to create \"reports\".  A report\nis a series of headings, paragraphs and tables combined into a single\nprintable and previewable document.") }, "text": "T\u00e4tigkeitsbericht" } ] }, "text": "DSBE" } ] }, "text": "Berichte" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.system.SiteConfigs.detail.run(null,{ "record_id": 1 })}, "iconCls": "x-tbar-application_form", "text": "Site-Parameter" }, { "handler": function() {Lino.users.AllUsers.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the list of all users on this site.") }, "text": "Benutzer" }, { "handler": function() {Lino.gfks.HelpTexts.grid.run(null)}, "text": "Hilfetexte" } ] }, "text": "System" }, { "menu": { "items": [ { "handler": function() {Lino.countries.Countries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The table of all countries.") }, "text": "L\u00e4nder" }, { "handler": function() {Lino.countries.Places.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The table of known geographical places.\nA geographical place can be a city, a town, a suburb,\na province, a lake... any named geographic entity,\nexcept for countries because these have their own table.") }, "text": "Orte" } ] }, "text": "Orte" }, { "menu": { "items": [ { "handler": function() {Lino.contacts.CompanyTypes.grid.run(null)}, "text": "Organisationsarten" }, { "handler": function() {Lino.contacts.RoleTypes.grid.run(null)}, "text": "Funktionen" }, { "handler": function() {Lino.boards.Boards.grid.run(null)}, "text": "Gremien" }, { "handler": function() {Lino.households.Types.grid.run(null)}, "text": "Haushaltsarten" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.properties.PropGroups.grid.run(null)}, "text": "Eigenschaftsgruppen" }, { "handler": function() {Lino.properties.PropTypes.grid.run(null)}, "text": "Eigenschafts-Datentypen" }, { "handler": function() {Lino.properties.PropsByGroup.grid.run(null,{ "base_params": { "mk": 1, "mt": 18 } })}, "text": "Fachkompetenzen" }, { "handler": function() {Lino.properties.PropsByGroup.grid.run(null,{ "base_params": { "mk": 2, "mt": 18 } })}, "text": "Sozialkompetenzen" }, { "handler": function() {Lino.properties.PropsByGroup.grid.run(null,{ "base_params": { "mk": 3, "mt": 18 } })}, "text": "Hindernisse" } ] }, "text": "Eigenschaften" }, { "menu": { "items": [ { "handler": function() {Lino.excerpts.ExcerptTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Displays all rows of ExcerptType.") }, "text": "Auszugsarten" }, { "handler": function() {Lino.uploads.Volumes.grid.run(null)}, "text": "Dateibibliotheken" }, { "handler": function() {Lino.uploads.UploadTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The table with all existing upload types.") }, "text": "Upload-Arten" }, { "handler": function() {Lino.notes.NoteTypes.grid.run(null)}, "text": "Notizarten" }, { "handler": function() {Lino.notes.EventTypes.grid.run(null)}, "text": "Ereignisarten" }, { "handler": function() {Lino.tinymce.MyTextFieldTemplates.grid.run(null)}, "text": "Meine Einf\u00fcgetexte" } ] }, "text": "B\u00fcro" }, { "menu": { "items": [ { "handler": function() {Lino.cal.Calendars.grid.run(null)}, "text": "Kalenderliste" }, { "handler": function() {Lino.cal.AllRooms.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show a list of all rooms.") }, "text": "R\u00e4ume" }, { "handler": function() {Lino.cal.RecurrentEvents.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of all recurrent events (RecurrentEvent).") }, "text": "Regelm\u00e4\u00dfige Ereignisse" }, { "handler": function() {Lino.cal.GuestRoles.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Global table of guest roles.") }, "text": "Gastrollen" }, { "handler": function() {Lino.cal.EventTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of entry types defined on this site.") }, "text": "Kalendereintragsarten" }, { "handler": function() {Lino.cal.EventPolicies.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Global table of all possible recurrency policies.") }, "text": "Wiederholungsregeln" }, { "handler": function() {Lino.cal.RemoteCalendars.grid.run(null)}, "text": "Externe Kalender" } ] }, "text": "Kalender" }, { "menu": { "items": [ { "handler": function() {Lino.pcsw.PersonGroups.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste der m\u00f6glichen Integrationsphasen.") }, "text": "Integrationsphasen" }, { "handler": function() {Lino.pcsw.Activities.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste des \"activit\u00e9s\" ou \"codes profession\".") }, "text": "Berufe" }, { "handler": function() {Lino.pcsw.ExclusionTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste des raisons possibles d'arr\u00eater temporairement\n    le paiement d'une aide financi\u00e8re pr\u00e9vue.") }, "text": "AG-Sperrgr\u00fcnde" }, { "handler": function() {Lino.pcsw.DispenseReasons.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A list of reasons for being dispensed") }, "text": "Dispenzgr\u00fcnde" }, { "handler": function() {Lino.aids.AidTypes.grid.run(null)}, "text": "Hilfearten" }, { "handler": function() {Lino.aids.Categories.grid.run(null)}, "text": "Kategorien" }, { "handler": function() {Lino.clients.ClientContactTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste der Arten von Klientenkontakten.") }, "text": "Klientenkontaktarten" }, { "handler": function() {Lino.coachings.CoachingTypes.grid.run(null)}, "text": "Dienste" }, { "handler": function() {Lino.coachings.CoachingEndings.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A list of reasons expressing why a coaching was ended.") }, "text": "Begleitungsbeendigungsgr\u00fcnde" } ] }, "text": "\u00d6SHZ" }, { "menu": { "items": [ { "handler": function() {Lino.ledger.Accounts.grid.run(null)}, "text": "Haushaltsartikel" }, { "handler": function() {Lino.ledger.Journals.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","List of all Journals. Accessible via Configure \u2023 Accounting\n\u2023 Journals.") }, "text": "Journale" }, { "handler": function() {Lino.ledger.FiscalYears.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The fiscal years available in this database.") }, "text": "Gesch\u00e4ftsjahre" }, { "handler": function() {Lino.ledger.AccountingPeriods.grid.run(null)}, "text": "Buchungsperioden" }, { "handler": function() {Lino.ledger.PaymentTerms.grid.run(null)}, "text": "Zahlungsbedingungen" } ] }, "text": "Buchhaltung" }, { "menu": { "items": [ { "handler": function() {Lino.cv.StudyTypes.grid.run(null)}, "text": "Bildungsarten" }, { "handler": function() {Lino.cv.EducationLevels.grid.run(null)}, "text": "Akademische Grade" }, { "handler": function() {Lino.cv.Sectors.grid.run(null)}, "text": "Sektoren" }, { "handler": function() {Lino.cv.Functions.grid.run(null)}, "text": "Berufsbezeichnungen" }, { "handler": function() {Lino.cv.Regimes.grid.run(null)}, "text": "Arbeitsregimes" }, { "handler": function() {Lino.cv.Statuses.grid.run(null)}, "text": "Statuus" }, { "handler": function() {Lino.cv.Durations.grid.run(null)}, "text": "Vertragsdauern" }, { "handler": function() {Lino.languages.Languages.grid.run(null)}, "text": "Sprachen" } ] }, "text": "Lebenslauf" }, { "menu": { "items": [ { "handler": function() {Lino.isip.ContractTypes.grid.run(null)}, "text": "VSE-Arten" }, { "handler": function() {Lino.isip.ContractEndings.grid.run(null)}, "text": "Vertragsbeendigungsgr\u00fcnde" }, { "handler": function() {Lino.isip.ExamPolicies.grid.run(null)}, "text": "Auswertungsstrategien" }, { "handler": function() {Lino.jobs.ContractTypes.grid.run(null)}, "text": "Art.60\u00a77-Konventionsarten" }, { "handler": function() {Lino.jobs.JobTypes.grid.run(null)}, "text": "Stellenarten" }, { "handler": function() {Lino.jobs.Schedules.grid.run(null)}, "text": "Stundenpl\u00e4ne" }, { "handler": function() {Lino.art61.ContractTypes.grid.run(null)}, "text": "Art.61-Konventionsarten" } ] }, "text": "DSBE" }, { "menu": { "items": [ { "handler": function() {Lino.xcourses.CourseContents.grid.run(null)}, "text": "Kursinhalte" } ] }, "text": "Kurse" }, { "menu": { "items": [ { "handler": function() {Lino.newcomers.Brokers.grid.run(null)}, "text": "Vermittler" }, { "handler": function() {Lino.newcomers.Faculties.grid.run(null)}, "text": "Fachbereiche" } ] }, "text": "Erstempfang" }, { "menu": { "items": [ { "handler": function() {Lino.cbss.Sectors.grid.run(null)}, "text": "Sektoren" }, { "handler": function() {Lino.cbss.Purposes.grid.run(null)}, "text": "Eigenschafts-Codes" } ] }, "text": "ZDSS" }, { "menu": { "items": [ { "handler": function() {Lino.debts.Groups.grid.run(null)}, "text": "Kontengruppen" }, { "handler": function() {Lino.debts.Accounts.grid.run(null)}, "text": "Konten" }, { "handler": function() {Lino.debts.MyBudgets.detail.run(null,{ "record_id": 1 })}, "iconCls": "x-tbar-application_form", "text": "Budget-Kopiervorlage" } ] }, "text": "Schuldnerberatung" } ] }, "text": "Konfigurierung" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Roles.grid.run(null)}, "text": "Kontaktpersonen" }, { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partner" }, { "handler": function() {Lino.addresses.AddressTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A choicelist with all available address types.") }, "text": "Adressenarten" }, { "handler": function() {Lino.addresses.Addresses.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all addresses in the database.") }, "text": "Adressen" }, { "handler": function() {Lino.boards.Members.grid.run(null)}, "text": "Gremienmitglieder" }, { "handler": function() {Lino.households.MemberRoles.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of allowed choices for the role of a household member.") }, "text": "Haushaltsmitgliedsrollen" }, { "handler": function() {Lino.households.Members.grid.run(null)}, "text": "Mitglieder" }, { "handler": function() {Lino.humanlinks.Links.grid.run(null)}, "text": "Verwandtschaftsbeziehungen" }, { "handler": function() {Lino.humanlinks.LinkTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The global list of human link types.  This is used as choicelist for the\nLink.type field of a human link.") }, "text": "Verwandschaftsarten" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.users.Authorities.grid.run(null)}, "text": "Vollmachten" }, { "handler": function() {Lino.users.UserTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of user types available in this application.") }, "text": "Benutzerarten" }, { "handler": function() {Lino.users.UserRoles.grid.run(null)}, "text": "Benutzerrollen" }, { "handler": function() {Lino.notify.AllMessages.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The gobal list of all messages.") }, "text": "Benachrichtigungen" }, { "handler": function() {Lino.changes.Changes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The default table for Change.") }, "text": "\u00c4nderungen" }, { "handler": function() {Lino.dashboard.AllWidgets.grid.run(null)}, "text": "All dashboard widgets" }, { "handler": function() {Lino.gfks.ContentTypes.grid.run(null)}, "text": "Datenbankmodelle" }, { "handler": function() {Lino.checkdata.Checkers.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of data checkers known by this application.") }, "text": "Datentests" }, { "handler": function() {Lino.checkdata.AllProblems.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The base table for problem messages.") }, "text": "Datenprobleme" } ] }, "text": "System" }, { "menu": { "items": [ { "handler": function() {Lino.properties.Properties.grid.run(null)}, "text": "Eigenschaften" } ] }, "text": "Eigenschaften" }, { "menu": { "items": [ { "handler": function() {Lino.excerpts.AllExcerpts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all tables on Excerpt.") }, "text": "Ausz\u00fcge" }, { "handler": function() {Lino.uploads.AllUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all upload files on this Lino site.") }, "text": "Upload-Dateien" }, { "handler": function() {Lino.uploads.UploadAreas.grid.run(null)}, "text": "Upload-Bereiche" }, { "handler": function() {Lino.outbox.Mails.grid.run(null)}, "text": "E-Mail-Ausg\u00e4nge" }, { "handler": function() {Lino.outbox.Attachments.grid.run(null)}, "text": "Anh\u00e4nge" }, { "handler": function() {Lino.notes.AllNotes.grid.run(null)}, "text": "Ereignisse/Notizen" }, { "handler": function() {Lino.tinymce.TextFieldTemplates.grid.run(null)}, "text": "Einf\u00fcgetexte" } ] }, "text": "B\u00fcro" }, { "menu": { "items": [ { "handler": function() {Lino.cal.AllEntries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Table which shows all calendar events.") }, "text": "Kalendereintr\u00e4ge" }, { "handler": function() {Lino.cal.Tasks.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Global table of all tasks for all users.") }, "text": "Aufgaben" }, { "handler": function() {Lino.cal.AllGuests.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The default table of presences.") }, "text": "Anwesenheiten" }, { "handler": function() {Lino.cal.Subscriptions.grid.run(null)}, "text": "Abonnements" }, { "handler": function() {Lino.cal.EntryStates.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of possible states of a calendar entry.") }, "text": "Kalendereintrag-Zust\u00e4nde" }, { "handler": function() {Lino.cal.GuestStates.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Global choicelist of possible guest states.") }, "text": "Anwesenheits-Zust\u00e4nde" }, { "handler": function() {Lino.cal.TaskStates.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Possible values for the state of a Task. The list of\nchoices for the Task.state field.") }, "text": "Aufgaben-Zust\u00e4nde" }, { "handler": function() {Lino.cal.PlannerColumns.grid.run(null)}, "text": "Tagesplanerkolonnen" }, { "handler": function() {Lino.cal.AccessClasses.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The sitewide list of access classes.") }, "text": "Zugriffsklassen" }, { "handler": function() {Lino.cal.DisplayColors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A list of colors to be specified for displaying.") }, "text": "Display colors" } ] }, "text": "Kalender" }, { "menu": { "items": [ { "handler": function() {Lino.pcsw.Exclusions.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste der Arbeitslosengeld-Sperren") }, "text": "AG-Sperren" }, { "handler": function() {Lino.pcsw.Convictions.grid.run(null)}, "text": "Vorstrafen" }, { "handler": function() {Lino.pcsw.AllClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.contacts.CivilStates.grid.run(null)}, "text": "Zivilst\u00e4nde" }, { "handler": function() {Lino.clients.ClientStates.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of client states.") }, "text": "Bearbeitungszust\u00e4nde Klienten" }, { "handler": function() {Lino.beid.BeIdCardTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A list of Belgian identity card types.") }, "text": "eID-Kartenarten" }, { "handler": function() {Lino.aids.AllGrantings.grid.run(null)}, "text": "Hilfebeschl\u00fcsse" }, { "handler": function() {Lino.aids.AllIncomeConfirmations.grid.run(null)}, "text": "Einkommensbescheinigungen" }, { "handler": function() {Lino.aids.AllRefundConfirmations.grid.run(null)}, "text": "Kosten\u00fcbernahmescheine" }, { "handler": function() {Lino.aids.AllSimpleConfirmations.grid.run(null)}, "text": "Einfache Bescheinigungen" }, { "handler": function() {Lino.dupable_clients.Words.grid.run(null)}, "text": "Phonetische W\u00f6rter" }, { "handler": function() {Lino.clients.ClientContacts.grid.run(null)}, "text": "Klientenkontakte" }, { "handler": function() {Lino.clients.KnownContactTypes.grid.run(null)}, "text": "Standard-Klientenkontaktarten" }, { "handler": function() {Lino.coachings.Coachings.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A table showing a set of coachings.") }, "text": "Begleitungen" } ] }, "text": "\u00d6SHZ" }, { "menu": { "items": [ { "handler": function() {Lino.ledger.CommonAccounts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The global list of common accounts.") }, "text": "Gemeinkonten" }, { "handler": function() {Lino.ledger.MatchRules.grid.run(null)}, "text": "Begleichungsregeln" }, { "handler": function() {Lino.ledger.AllVouchers.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The base table for all tables working on Voucher.") }, "text": "Belege" }, { "handler": function() {Lino.ledger.VoucherTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of voucher types available in this application.") }, "text": "Belegarten" }, { "handler": function() {Lino.ledger.AllMovements.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show all the ledger movements in the database.") }, "text": "Bewegungen" }, { "handler": function() {Lino.ledger.TradeTypes.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The choicelist with the trade types defined for this application.") }, "text": "Handelsarten" }, { "handler": function() {Lino.ledger.JournalGroups.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list of possible journal groups.") }, "text": "Journalgruppen" }, { "handler": function() {Lino.vatless.Invoices.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for tables of partner vouchers.") }, "text": "Rechnungen" } ] }, "text": "Buchhaltung" }, { "menu": { "items": [ { "handler": function() {Lino.sepa.Accounts.grid.run(null)}, "text": "Bankkonten" }, { "handler": function() {Lino.b2c.Accounts.grid.run(null)}, "text": "Importierte  Bankkonten" }, { "handler": function() {Lino.b2c.Statements.grid.run(null)}, "text": "Kontoausz\u00fcge" }, { "handler": function() {Lino.b2c.Transactions.grid.run(null)}, "text": "Transaktionen" } ] }, "text": "SEPA" }, { "menu": { "items": [ { "handler": function() {Lino.finan.AllBankStatements.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The base table of all tables on BankStatement.") }, "text": "Kontoausz\u00fcge" }, { "handler": function() {Lino.finan.AllJournalEntries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The base table of all tables on JournalEntry.") }, "text": "Diverse Buchungen" }, { "handler": function() {Lino.finan.AllPaymentOrders.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The base table of all tables on PaymentOrder.") }, "text": "Zahlungsauftr\u00e4ge" } ] }, "text": "Finanzjournale" }, { "menu": { "items": [ { "handler": function() {Lino.cv.AllLanguageKnowledges.grid.run(null)}, "text": "Sprachkenntnisse" }, { "handler": function() {Lino.cv.AllTrainings.grid.run(null)}, "text": "Ausbildungen" }, { "handler": function() {Lino.cv.Studies.grid.run(null)}, "text": "Studien" }, { "handler": function() {Lino.cv.Experiences.grid.run(null)}, "text": "Berufserfahrungen" } ] }, "text": "Lebenslauf" }, { "menu": { "items": [ { "handler": function() {Lino.isip.Contracts.grid.run(null)}, "text": "VSEs" }, { "handler": function() {Lino.jobs.Contracts.grid.run(null)}, "text": "Art.60\u00a77-Konventionen" }, { "handler": function() {Lino.jobs.Candidatures.grid.run(null)}, "text": "Stellenanfragen" }, { "handler": function() {Lino.isip.ContractPartners.grid.run(null)}, "text": "Vertragspartner" }, { "handler": function() {Lino.art61.Contracts.grid.run(null)}, "text": "Art.61-Konventionen" }, { "handler": function() {Lino.esf.AllSummaries.grid.run(null)}, "text": "ESF Summaries" }, { "handler": function() {Lino.esf.StatisticalFields.grid.run(null)}, "text": "ESF fields" } ] }, "text": "DSBE" }, { "menu": { "items": [ { "handler": function() {Lino.xcourses.Courses.grid.run(null)}, "text": "Kurse" }, { "handler": function() {Lino.xcourses.CourseRequests.grid.run(null)}, "text": "Kursanfragen" } ] }, "text": "Kurse" }, { "menu": { "items": [ { "handler": function() {Lino.newcomers.Competences.grid.run(null)}, "text": "Kompetenzen" } ] }, "text": "Erstempfang" }, { "menu": { "items": [ { "handler": function() {Lino.cbss.AllIdentifyPersonRequests.grid.run(null)}, "text": "IdentifyPerson-Anfragen" }, { "handler": function() {Lino.cbss.AllManageAccessRequests.grid.run(null)}, "text": "ManageAccess-Anfragen" }, { "handler": function() {Lino.cbss.AllRetrieveTIGroupsRequests.grid.run(null)}, "text": "Tx25-Anfragen" } ] }, "text": "ZDSS" }, { "menu": { "items": [ { "handler": function() {Lino.debts.Budgets.grid.run(null)}, "text": "Budgets" }, { "handler": function() {Lino.debts.Entries.grid.run(null)}, "text": "Eintr\u00e4ge" } ] }, "text": "Schuldnerberatung" } ] }, "text": "Explorer" }, { "menu": { "items": [ { "handler": function() {Lino.about.About.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A dialog window which displays some information about the site.") }, "text": "Info" }, { "handler": function() {Lino.users.Sessions.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show a list of all user sessions.") }, "text": "Benutzersitzungen" } ] }, "text": "Site" }, { "handler": function() {Lino.handle_home_button()}, "text": "Startseite" }, { "handler": function() {Lino.set_user_language("de")}, "text": "de" }, { "handler": function() {Lino.set_user_language("fr")}, "text": "fr" }, { "handler": function() {Lino.set_user_language("en")}, "text": "en" } ];
Ext.namespace('Lino.system.SiteConfigs')
Ext.namespace('Lino.countries.Countries')
Ext.namespace('Lino.countries.Places')
Ext.namespace('Lino.contacts.Partners')
Ext.namespace('Lino.contacts.Persons')
Ext.namespace('Lino.contacts.CompanyTypes')
Ext.namespace('Lino.contacts.Companies')
Ext.namespace('Lino.contacts.RoleTypes')
Ext.namespace('Lino.contacts.Roles')
Ext.namespace('Lino.gfks.ContentTypes')
Ext.namespace('Lino.gfks.HelpTexts')
Ext.namespace('Lino.notify.Messages')
Ext.namespace('Lino.notify.AllMessages')
Ext.namespace('Lino.notify.MyMessages')
Ext.namespace('Lino.changes.Changes')
Ext.namespace('Lino.properties.PropGroups')
Ext.namespace('Lino.properties.PropTypes')
Ext.namespace('Lino.properties.Properties')
Ext.namespace('Lino.properties.PropChoices')
Ext.namespace('Lino.checkdata.Problems')
Ext.namespace('Lino.checkdata.AllProblems')
Ext.namespace('Lino.checkdata.MyProblems')
Ext.namespace('Lino.addresses.Addresses')
Ext.namespace('Lino.excerpts.ExcerptTypes')
Ext.namespace('Lino.excerpts.Excerpts')
Ext.namespace('Lino.excerpts.AllExcerpts')
Ext.namespace('Lino.excerpts.MyExcerpts')
Ext.namespace('Lino.uploads.Volumes')
Ext.namespace('Lino.uploads.UploadTypes')
Ext.namespace('Lino.uploads.Uploads')
Ext.namespace('Lino.uploads.AllUploads')
Ext.namespace('Lino.uploads.MyUploads')
Ext.namespace('Lino.uploads.AreaUploads')
Ext.namespace('Lino.uploads.MyExpiringUploads')
Ext.namespace('Lino.outbox.Recipients')
Ext.namespace('Lino.outbox.Mails')
Ext.namespace('Lino.outbox.Attachments')
Ext.namespace('Lino.cal.RemoteCalendars')
Ext.namespace('Lino.cal.Rooms')
Ext.namespace('Lino.cal.AllRooms')
Ext.namespace('Lino.cal.Calendars')
Ext.namespace('Lino.cal.Subscriptions')
Ext.namespace('Lino.cal.Tasks')
Ext.namespace('Lino.cal.MyTasks')
Ext.namespace('Lino.cal.GuestRoles')
Ext.namespace('Lino.cal.Guests')
Ext.namespace('Lino.cal.AllGuests')
Ext.namespace('Lino.cal.MyPresences')
Ext.namespace('Lino.cal.MyPendingPresences')
Ext.namespace('Lino.cal.MyGuests')
Ext.namespace('Lino.cal.EventTypes')
Ext.namespace('Lino.cal.RecurrentEvents')
Ext.namespace('Lino.cal.Events')
Ext.namespace('Lino.cal.AllEntries')
Ext.namespace('Lino.cal.PublicEntries')
Ext.namespace('Lino.cal.EntriesByDay')
Ext.namespace('Lino.cal.OneEvent')
Ext.namespace('Lino.cal.MyEntries')
Ext.namespace('Lino.cal.MyEntriesToday')
Ext.namespace('Lino.cal.MyAssignedEvents')
Ext.namespace('Lino.cal.OverdueAppointments')
Ext.namespace('Lino.cal.MyOverdueAppointments')
Ext.namespace('Lino.cal.MyUnconfirmedAppointments')
Ext.namespace('Lino.cal.EventPolicies')
Ext.namespace('Lino.extensible.PanelCalendars')
Ext.namespace('Lino.extensible.PanelEvents')
Ext.namespace('Lino.reception.ExpectedGuests')
Ext.namespace('Lino.reception.BusyVisitors')
Ext.namespace('Lino.reception.WaitingVisitors')
Ext.namespace('Lino.reception.GoneVisitors')
Ext.namespace('Lino.reception.MyWaitingVisitors')
Ext.namespace('Lino.reception.MyBusyVisitors')
Ext.namespace('Lino.reception.MyGoneVisitors')
Ext.namespace('Lino.cv.LanguageKnowledges')
Ext.namespace('Lino.cv.AllLanguageKnowledges')
Ext.namespace('Lino.cv.EducationLevels')
Ext.namespace('Lino.cv.StudyTypes')
Ext.namespace('Lino.cv.Trainings')
Ext.namespace('Lino.cv.AllTrainings')
Ext.namespace('Lino.cv.Studies')
Ext.namespace('Lino.cv.Statuses')
Ext.namespace('Lino.cv.Regimes')
Ext.namespace('Lino.cv.Durations')
Ext.namespace('Lino.cv.Sectors')
Ext.namespace('Lino.cv.Functions')
Ext.namespace('Lino.cv.Experiences')
Ext.namespace('Lino.cv.PersonProperties')
Ext.namespace('Lino.pcsw.Clients')
Ext.namespace('Lino.pcsw.CoachedClients')
Ext.namespace('Lino.pcsw.AllClients')
Ext.namespace('Lino.pcsw.PersonGroups')
Ext.namespace('Lino.pcsw.Activities')
Ext.namespace('Lino.pcsw.DispenseReasons')
Ext.namespace('Lino.pcsw.Dispenses')
Ext.namespace('Lino.pcsw.ExclusionTypes')
Ext.namespace('Lino.pcsw.Exclusions')
Ext.namespace('Lino.pcsw.Convictions')
Ext.namespace('Lino.pcsw.AidTypes')
Ext.namespace('Lino.coachings.CoachingTypes')
Ext.namespace('Lino.coachings.CoachingEndings')
Ext.namespace('Lino.coachings.Coachings')
Ext.namespace('Lino.reception.Clients')
Ext.namespace('Lino.boards.Boards')
Ext.namespace('Lino.boards.Members')
Ext.namespace('Lino.households.Types')
Ext.namespace('Lino.households.Households')
Ext.namespace('Lino.households.Members')
Ext.namespace('Lino.isip.ContractTypes')
Ext.namespace('Lino.isip.ExamPolicies')
Ext.namespace('Lino.isip.ContractEndings')
Ext.namespace('Lino.isip.ContractPartners')
Ext.namespace('Lino.isip.Contracts')
Ext.namespace('Lino.isip.MyContracts')
Ext.namespace('Lino.jobs.Schedules')
Ext.namespace('Lino.jobs.JobProviders')
Ext.namespace('Lino.jobs.ContractTypes')
Ext.namespace('Lino.jobs.Contracts')
Ext.namespace('Lino.jobs.MyContracts')
Ext.namespace('Lino.jobs.Offers')
Ext.namespace('Lino.jobs.Candidatures')
Ext.namespace('Lino.jobs.Jobs')
Ext.namespace('Lino.jobs.JobTypes')
Ext.namespace('Lino.jobs.ContractsSearch')
Ext.namespace('Lino.ledger.Accounts')
Ext.namespace('Lino.ledger.Journals')
Ext.namespace('Lino.ledger.JournalsOverview')
Ext.namespace('Lino.ledger.AccountingPeriods')
Ext.namespace('Lino.ledger.PaymentTerms')
Ext.namespace('Lino.ledger.AllVouchers')
Ext.namespace('Lino.ledger.MatchRules')
Ext.namespace('Lino.ledger.PartnerVouchers')
Ext.namespace('Lino.ledger.GeneralAccountBalances')
Ext.namespace('Lino.ledger.PartnerBalancesByTradeType')
Ext.namespace('Lino.ledger.Movements')
Ext.namespace('Lino.ledger.AllMovements')
Ext.namespace('Lino.ledger.MyMovements')
Ext.namespace('Lino.ledger.FiscalYears')
Ext.namespace('Lino.vatless.Invoices')
Ext.namespace('Lino.sepa.Accounts')
Ext.namespace('Lino.b2c.Accounts')
Ext.namespace('Lino.b2c.Statements')
Ext.namespace('Lino.b2c.Transactions')
Ext.namespace('Lino.finan.FinancialVouchers')
Ext.namespace('Lino.finan.JournalEntries')
Ext.namespace('Lino.finan.PaymentOrders')
Ext.namespace('Lino.finan.BankStatements')
Ext.namespace('Lino.finan.AllBankStatements')
Ext.namespace('Lino.finan.AllJournalEntries')
Ext.namespace('Lino.finan.AllPaymentOrders')
Ext.namespace('Lino.finan.DisbursementOrders')
Ext.namespace('Lino.languages.Languages')
Ext.namespace('Lino.integ.Clients')
Ext.namespace('Lino.integ.CoachingEndingsByUser')
Ext.namespace('Lino.integ.CoachingEndingsByType')
Ext.namespace('Lino.integ.ContractEndingsByType')
Ext.namespace('Lino.integ.JobsContractEndingsByType')
Ext.namespace('Lino.users.AllUsers')
Ext.namespace('Lino.users.UsersOverview')
Ext.namespace('Lino.users.Me')
Ext.namespace('Lino.users.Authorities')
Ext.namespace('Lino.users.Sessions')
Ext.namespace('Lino.integ.ContractsPerUserAndContractType')
Ext.namespace('Lino.integ.JobsContractsPerUserAndContractType')
Ext.namespace('Lino.integ.StudyTypesAndContracts')
Ext.namespace('Lino.integ.CompaniesAndContracts')
Ext.namespace('Lino.integ.JobProvidersAndContracts')
Ext.namespace('Lino.art61.ContractTypes')
Ext.namespace('Lino.art61.Contracts')
Ext.namespace('Lino.art61.MyContracts')
Ext.namespace('Lino.xcourses.CourseProviders')
Ext.namespace('Lino.xcourses.CourseContents')
Ext.namespace('Lino.xcourses.CourseOffers')
Ext.namespace('Lino.xcourses.Courses')
Ext.namespace('Lino.xcourses.CourseRequests')
Ext.namespace('Lino.xcourses.PendingCourseRequests')
Ext.namespace('Lino.newcomers.Brokers')
Ext.namespace('Lino.newcomers.Faculties')
Ext.namespace('Lino.newcomers.Competences')
Ext.namespace('Lino.newcomers.NewClients')
Ext.namespace('Lino.newcomers.AvailableCoaches')
Ext.namespace('Lino.cbss.Sectors')
Ext.namespace('Lino.cbss.Purposes')
Ext.namespace('Lino.cbss.IdentifyPersonRequests')
Ext.namespace('Lino.cbss.AllIdentifyPersonRequests')
Ext.namespace('Lino.cbss.MyIdentifyPersonRequests')
Ext.namespace('Lino.cbss.ManageAccessRequests')
Ext.namespace('Lino.cbss.AllManageAccessRequests')
Ext.namespace('Lino.cbss.MyManageAccessRequests')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.AllRetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.MyRetrieveTIGroupsRequests')
Ext.namespace('Lino.humanlinks.Links')
Ext.namespace('Lino.debts.Clients')
Ext.namespace('Lino.debts.Groups')
Ext.namespace('Lino.debts.Accounts')
Ext.namespace('Lino.debts.Actors')
Ext.namespace('Lino.debts.Budgets')
Ext.namespace('Lino.debts.MyBudgets')
Ext.namespace('Lino.debts.Entries')
Ext.namespace('Lino.debts.EntriesByType')
Ext.namespace('Lino.notes.NoteTypes')
Ext.namespace('Lino.notes.EventTypes')
Ext.namespace('Lino.notes.Notes')
Ext.namespace('Lino.notes.AllNotes')
Ext.namespace('Lino.notes.MyNotes')
Ext.namespace('Lino.aids.Categories')
Ext.namespace('Lino.aids.AidTypes')
Ext.namespace('Lino.aids.Grantings')
Ext.namespace('Lino.aids.AllGrantings')
Ext.namespace('Lino.aids.MyPendingGrantings')
Ext.namespace('Lino.aids.SimpleConfirmations')
Ext.namespace('Lino.aids.AllSimpleConfirmations')
Ext.namespace('Lino.aids.IncomeConfirmations')
Ext.namespace('Lino.aids.AllIncomeConfirmations')
Ext.namespace('Lino.aids.RefundConfirmations')
Ext.namespace('Lino.aids.AllRefundConfirmations')
Ext.namespace('Lino.esf.Summaries')
Ext.namespace('Lino.esf.AllSummaries')
Ext.namespace('Lino.dashboard.Widgets')
Ext.namespace('Lino.dashboard.AllWidgets')
Ext.namespace('Lino.dupable_clients.Words')
Ext.namespace('Lino.tinymce.TextFieldTemplates')
Ext.namespace('Lino.tinymce.MyTextFieldTemplates')
Ext.namespace('Lino.clients.ClientContactTypes')
Ext.namespace('Lino.clients.ClientContacts')
Ext.namespace('Lino.cal.EntryRepeaterTable')
Ext.namespace('Lino.ledger.LedgerInfoTable')
Ext.namespace('Lino.finan.JournalEntryItemTable')
Ext.namespace('Lino.finan.BankStatementItemTable')
Ext.namespace('Lino.finan.PaymentOrderItemTable')
Ext.namespace('Lino.vatless.InvoiceItemTable')
Ext.namespace('Lino.countries.PlacesByPlace')
Ext.namespace('Lino.countries.PlacesByCountry')
Ext.namespace('Lino.contacts.PartnersByCity')
Ext.namespace('Lino.contacts.PartnersByCountry')
Ext.namespace('Lino.contacts.RolesByCompany')
Ext.namespace('Lino.contacts.RolesByPerson')
Ext.namespace('Lino.properties.PropsByGroup')
Ext.namespace('Lino.properties.PropsByType')
Ext.namespace('Lino.properties.ChoicesByType')
Ext.namespace('Lino.checkdata.ProblemsByChecker')
Ext.namespace('Lino.addresses.AddressesByPartner')
Ext.namespace('Lino.addresses.AddressesByCity')
Ext.namespace('Lino.excerpts.ExcerptsByType')
Ext.namespace('Lino.excerpts.ExcerptsByProject')
Ext.namespace('Lino.uploads.UploadsByType')
Ext.namespace('Lino.uploads.UploadsByProject')
Ext.namespace('Lino.outbox.RecipientsByMail')
Ext.namespace('Lino.outbox.MyOutbox')
Ext.namespace('Lino.outbox.MailsByUser')
Ext.namespace('Lino.outbox.MailsByProject')
Ext.namespace('Lino.outbox.SentByPartner')
Ext.namespace('Lino.outbox.AttachmentsByMail')
Ext.namespace('Lino.cal.SubscriptionsByUser')
Ext.namespace('Lino.cal.SubscriptionsByCalendar')
Ext.namespace('Lino.cal.TasksByUser')
Ext.namespace('Lino.cal.TasksByProject')
Ext.namespace('Lino.cal.GuestsByEvent')
Ext.namespace('Lino.cal.GuestsByRole')
Ext.namespace('Lino.cal.GuestsByPartner')
Ext.namespace('Lino.cal.EntriesByType')
Ext.namespace('Lino.cal.ConflictingEvents')
Ext.namespace('Lino.cal.EntriesByRoom')
Ext.namespace('Lino.cal.EntriesByProject')
Ext.namespace('Lino.cal.EntriesByGuest')
Ext.namespace('Lino.cal.EntriesByClient')
Ext.namespace('Lino.cal.TasksByClient')
Ext.namespace('Lino.reception.AppointmentsByPartner')
Ext.namespace('Lino.cv.LanguageKnowledgesByPerson')
Ext.namespace('Lino.cv.KnowledgesByLanguage')
Ext.namespace('Lino.cv.StudyTypesByLevel')
Ext.namespace('Lino.cv.TrainingsByCountry')
Ext.namespace('Lino.cv.TrainingsByType')
Ext.namespace('Lino.cv.TrainingsByPerson')
Ext.namespace('Lino.cv.StudiesByCountry')
Ext.namespace('Lino.cv.StudiesByLevel')
Ext.namespace('Lino.cv.StudiesByPlace')
Ext.namespace('Lino.cv.StudiesByType')
Ext.namespace('Lino.cv.StudiesByPerson')
Ext.namespace('Lino.cv.FunctionsBySector')
Ext.namespace('Lino.cv.ExperiencesBySector')
Ext.namespace('Lino.cv.ExperiencesByFunction')
Ext.namespace('Lino.cv.ExperiencesByPerson')
Ext.namespace('Lino.cv.ExperiencesByStatus')
Ext.namespace('Lino.cv.ExperiencesByRegime')
Ext.namespace('Lino.cv.ExperiencesByDuration')
Ext.namespace('Lino.cv.PropsByPerson')
Ext.namespace('Lino.cv.PersonPropsByProp')
Ext.namespace('Lino.cv.ConfiguredPropsByPerson')
Ext.namespace('Lino.cv.SkillsByPerson')
Ext.namespace('Lino.cv.SoftSkillsByPerson')
Ext.namespace('Lino.cv.ObstaclesByPerson')
Ext.namespace('Lino.pcsw.ClientsByNationality')
Ext.namespace('Lino.pcsw.DispensesByClient')
Ext.namespace('Lino.pcsw.ExclusionsByClient')
Ext.namespace('Lino.pcsw.ConvictionsByClient')
Ext.namespace('Lino.coachings.CoachingsByClient')
Ext.namespace('Lino.coachings.CoachingsByEnding')
Ext.namespace('Lino.coachings.CoachingsByUser')
Ext.namespace('Lino.coachings.MyCoachings')
Ext.namespace('Lino.reception.AgentsByClient')
Ext.namespace('Lino.reception.CoachingsByClient')
Ext.namespace('Lino.boards.MembersByBoard')
Ext.namespace('Lino.clients.PartnersByClientContactType')
Ext.namespace('Lino.households.HouseholdsByType')
Ext.namespace('Lino.households.MembersByHousehold')
Ext.namespace('Lino.households.SiblingsByPerson')
Ext.namespace('Lino.households.MembersByPerson')
Ext.namespace('Lino.households.RefundsByPerson')
Ext.namespace('Lino.isip.PartnersByContract')
Ext.namespace('Lino.isip.ContractsByClient')
Ext.namespace('Lino.isip.ContractsByPolicy')
Ext.namespace('Lino.isip.ContractsByType')
Ext.namespace('Lino.isip.ContractsByEnding')
Ext.namespace('Lino.isip.ContractsByStudyType')
Ext.namespace('Lino.jobs.ContractsByClient')
Ext.namespace('Lino.jobs.ContractsByProvider')
Ext.namespace('Lino.jobs.ContractsByPolicy')
Ext.namespace('Lino.jobs.ContractsByType')
Ext.namespace('Lino.jobs.ContractsByEnding')
Ext.namespace('Lino.jobs.ContractsByJob')
Ext.namespace('Lino.jobs.ContractsByRegime')
Ext.namespace('Lino.jobs.ContractsBySchedule')
Ext.namespace('Lino.jobs.CandidaturesByPerson')
Ext.namespace('Lino.jobs.CandidaturesBySector')
Ext.namespace('Lino.jobs.CandidaturesByFunction')
Ext.namespace('Lino.jobs.CandidaturesByJob')
Ext.namespace('Lino.jobs.CandidaturesByOffer')
Ext.namespace('Lino.jobs.ExperiencesByOffer')
Ext.namespace('Lino.jobs.JobsByProvider')
Ext.namespace('Lino.jobs.JobsByType')
Ext.namespace('Lino.jobs.JobsOverviewByType')
Ext.namespace('Lino.ledger.MatchRulesByAccount')
Ext.namespace('Lino.ledger.MatchRulesByJournal')
Ext.namespace('Lino.ledger.MovementsByVoucher')
Ext.namespace('Lino.ledger.MovementsByPartner')
Ext.namespace('Lino.ledger.MovementsByProject')
Ext.namespace('Lino.ledger.MovementsByAccount')
Ext.namespace('Lino.ledger.MovementsByMatch')
Ext.namespace('Lino.vatless.ItemsByInvoice')
Ext.namespace('Lino.vatless.ItemsByProjectInvoice')
Ext.namespace('Lino.vatless.InvoicesByJournal')
Ext.namespace('Lino.vatless.ProjectInvoicesByJournal')
Ext.namespace('Lino.sepa.AccountsByPartner')
Ext.namespace('Lino.sepa.AccountsByClient')
Ext.namespace('Lino.b2c.StatementsByAccount')
Ext.namespace('Lino.b2c.TransactionsByStatement')
Ext.namespace('Lino.finan.PaymentOrdersByJournal')
Ext.namespace('Lino.finan.JournalEntriesByJournal')
Ext.namespace('Lino.finan.BankStatementsByJournal')
Ext.namespace('Lino.finan.ItemsByJournalEntry')
Ext.namespace('Lino.finan.ItemsByBankStatement')
Ext.namespace('Lino.finan.ItemsByPaymentOrder')
Ext.namespace('Lino.finan.ItemsByDisbursementOrder')
Ext.namespace('Lino.finan.DisbursementOrdersByJournal')
Ext.namespace('Lino.users.AuthoritiesGiven')
Ext.namespace('Lino.users.AuthoritiesTaken')
Ext.namespace('Lino.art61.ContractsByClient')
Ext.namespace('Lino.art61.ContractsByProvider')
Ext.namespace('Lino.art61.ContractsByPolicy')
Ext.namespace('Lino.art61.ContractsByType')
Ext.namespace('Lino.art61.ContractsByEnding')
Ext.namespace('Lino.xcourses.CourseOffersByProvider')
Ext.namespace('Lino.xcourses.CourseOffersByContent')
Ext.namespace('Lino.xcourses.CoursesByOffer')
Ext.namespace('Lino.xcourses.CourseRequestsByPerson')
Ext.namespace('Lino.xcourses.CourseRequestsByContent')
Ext.namespace('Lino.xcourses.RequestsByCourse')
Ext.namespace('Lino.xcourses.ParticipantsByCourse')
Ext.namespace('Lino.xcourses.CandidatesByCourse')
Ext.namespace('Lino.newcomers.CompetencesByUser')
Ext.namespace('Lino.newcomers.CompetencesByFaculty')
Ext.namespace('Lino.newcomers.MyCompetences')
Ext.namespace('Lino.newcomers.ClientsByFaculty')
Ext.namespace('Lino.newcomers.AvailableCoachesByClient')
Ext.namespace('Lino.cbss.IdentifyRequestsByPerson')
Ext.namespace('Lino.cbss.ManageAccessRequestsByPerson')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequestsByPerson')
Ext.namespace('Lino.humanlinks.LinksByHuman')
Ext.namespace('Lino.debts.AccountsByGroup')
Ext.namespace('Lino.debts.ActorsByBudget')
Ext.namespace('Lino.debts.ActorsByPartner')
Ext.namespace('Lino.debts.BudgetsByPartner')
Ext.namespace('Lino.debts.EntriesByAccount')
Ext.namespace('Lino.debts.EntriesByBudget')
Ext.namespace('Lino.debts.ExpensesByBudget')
Ext.namespace('Lino.debts.IncomesByBudget')
Ext.namespace('Lino.debts.LiabilitiesByBudget')
Ext.namespace('Lino.debts.AssetsByBudget')
Ext.namespace('Lino.debts.DistByBudget')
Ext.namespace('Lino.notes.NotesByType')
Ext.namespace('Lino.notes.NotesByEventType')
Ext.namespace('Lino.notes.NotesByProject')
Ext.namespace('Lino.notes.NotesByCompany')
Ext.namespace('Lino.notes.NotesByPerson')
Ext.namespace('Lino.aids.GrantingsByClient')
Ext.namespace('Lino.aids.GrantingsByType')
Ext.namespace('Lino.aids.SimpleConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByCategory')
Ext.namespace('Lino.aids.RefundConfirmationsByGranting')
Ext.namespace('Lino.esf.SummariesByClient')
Ext.namespace('Lino.dashboard.WidgetsByUser')
Ext.namespace('Lino.dupable_clients.WordsByOwner')
Ext.namespace('Lino.clients.ContactsByClient')
Ext.namespace('Lino.clients.ClientContactsByType')
Ext.namespace('Lino.clients.ClientContactsByCompany')
Ext.namespace('Lino.clients.ClientContactsByPerson')
Ext.namespace('Lino.gfks.HelpTextsByModel')
Ext.namespace('Lino.changes.ChangesByObject')
Ext.namespace('Lino.changes.ChangesByMaster')
Ext.namespace('Lino.checkdata.ProblemsByOwner')
Ext.namespace('Lino.excerpts.ExcerptsByOwner')
Ext.namespace('Lino.uploads.UploadsByController')
Ext.namespace('Lino.outbox.MailsByController')
Ext.namespace('Lino.outbox.AttachmentsByController')
Ext.namespace('Lino.cal.TasksByController')
Ext.namespace('Lino.cal.EntriesByController')
Ext.namespace('Lino.isip.DelegatedTasksByContract')
Ext.namespace('Lino.isip.EntriesByContract')
Ext.namespace('Lino.notes.NotesByOwner')
Ext.namespace('Lino.gfks.BrokenGFKs')
Ext.namespace('Lino.gfks.BrokenGFKsByModel')
Ext.namespace('Lino.reception.FindDateByClientTable')
Ext.namespace('Lino.ledger.ExpectedMovements')
Ext.namespace('Lino.ledger.DebtsByAccount')
Ext.namespace('Lino.ledger.DebtsByPartner')
Ext.namespace('Lino.ledger.Debtors')
Ext.namespace('Lino.ledger.Creditors')
Ext.namespace('Lino.vatless.VouchersByPartner')
Ext.namespace('Lino.finan.SuggestionsByVoucher')
Ext.namespace('Lino.finan.SuggestionsByJournalEntry')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrder')
Ext.namespace('Lino.finan.SuggestionsByBankStatement')
Ext.namespace('Lino.finan.SuggestionsByVoucherItem')
Ext.namespace('Lino.finan.SuggestionsByBankStatementItem')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrderItem')
Ext.namespace('Lino.integ.UsersWithClients')
Ext.namespace('Lino.integ.CompareRequestsTable')
Ext.namespace('Lino.integ.PeriodicNumbers')
Ext.namespace('Lino.integ.ContractsByType')
Ext.namespace('Lino.users.UserRoles')
Ext.namespace('Lino.cbss.IdentifyPersonResult')
Ext.namespace('Lino.cbss.RetrieveTIGroupsResult')
Ext.namespace('Lino.debts.PrintEntriesByBudget')
Ext.namespace('Lino.debts.SummaryTable')
Ext.namespace('Lino.debts.ResultByBudget')
Ext.namespace('Lino.debts.DebtsByBudget')
Ext.namespace('Lino.debts.AssetsByBudgetSummary')
Ext.namespace('Lino.aids.ConfirmationsByGranting')
Ext.namespace('Lino.dupable_clients.SimilarClients')
Ext.namespace('Lino.system.Dashboard')
Ext.namespace('Lino.about.About')
Ext.namespace('Lino.extensible.CalendarPanel')
Ext.namespace('Lino.jobs.JobsOverview')
Ext.namespace('Lino.integ.ActivityReport')
Ext.namespace('Lino.system.YesNo')
Ext.namespace('Lino.system.Genders')
Ext.namespace('Lino.system.PeriodEvents')
Ext.namespace('Lino.system.DashboardLayouts')
Ext.namespace('Lino.checkdata.Checkers')
Ext.namespace('Lino.printing.BuildMethods')
Ext.namespace('Lino.users.UserTypes')
Ext.namespace('Lino.about.TimeZones')
Ext.namespace('Lino.about.DateFormats')
Ext.namespace('Lino.xl.Priorities')
Ext.namespace('Lino.countries.PlaceTypes')
Ext.namespace('Lino.uploads.Shortcuts')
Ext.namespace('Lino.uploads.UploadAreas')
Ext.namespace('Lino.ledger.DC')
Ext.namespace('Lino.ledger.JournalGroups')
Ext.namespace('Lino.ledger.PeriodStates')
Ext.namespace('Lino.ledger.CommonAccounts')
Ext.namespace('Lino.ledger.VoucherTypes')
Ext.namespace('Lino.ledger.TradeTypes')
Ext.namespace('Lino.ledger.VoucherStates')
Ext.namespace('Lino.contacts.PartnerEvents')
Ext.namespace('Lino.contacts.CivilStates')
Ext.namespace('Lino.notify.MessageTypes')
Ext.namespace('Lino.notify.MailModes')
Ext.namespace('Lino.changes.ChangeTypes')
Ext.namespace('Lino.properties.DoYouLike')
Ext.namespace('Lino.properties.HowWell')
Ext.namespace('Lino.addresses.AddressTypes')
Ext.namespace('Lino.addresses.DataSources')
Ext.namespace('Lino.excerpts.Shortcuts')
Ext.namespace('Lino.cal.DisplayColors')
Ext.namespace('Lino.cal.Weekdays')
Ext.namespace('Lino.cal.YearMonths')
Ext.namespace('Lino.cal.DurationUnits')
Ext.namespace('Lino.cal.Recurrencies')
Ext.namespace('Lino.cal.AccessClasses')
Ext.namespace('Lino.cal.PlannerColumns')
Ext.namespace('Lino.cal.TaskStates')
Ext.namespace('Lino.cal.GuestStates')
Ext.namespace('Lino.cal.EventEvents')
Ext.namespace('Lino.cal.EntryStates')
Ext.namespace('Lino.cal.NotifyBeforeUnits')
Ext.namespace('Lino.clients.ClientEvents')
Ext.namespace('Lino.clients.ClientStates')
Ext.namespace('Lino.clients.KnownContactTypes')
Ext.namespace('Lino.outbox.RecipientTypes')
Ext.namespace('Lino.cal.ReservationStates')
Ext.namespace('Lino.notes.SpecialTypes')
Ext.namespace('Lino.cv.EducationEntryStates')
Ext.namespace('Lino.cv.HowWell')
Ext.namespace('Lino.cv.CefLevel')
Ext.namespace('Lino.beid.ResidenceTypes')
Ext.namespace('Lino.beid.BeIdCardTypes')
Ext.namespace('Lino.cbss.RequestStates')
Ext.namespace('Lino.cbss.ManageActions')
Ext.namespace('Lino.cbss.QueryRegisters')
Ext.namespace('Lino.cbss.RequestLanguages')
Ext.namespace('Lino.pcsw.RefusalReasons')
Ext.namespace('Lino.households.MemberDependencies')
Ext.namespace('Lino.households.MemberRoles')
Ext.namespace('Lino.isip.ContractEvents')
Ext.namespace('Lino.isip.OverlapGroups')
Ext.namespace('Lino.jobs.CandidatureStates')
Ext.namespace('Lino.sepa.AccountTypes')
Ext.namespace('Lino.art61.Subsidizations')
Ext.namespace('Lino.xcourses.CourseRequestStates')
Ext.namespace('Lino.humanlinks.LinkTypes')
Ext.namespace('Lino.debts.AccountTypes')
Ext.namespace('Lino.debts.TableLayouts')
Ext.namespace('Lino.aids.ConfirmationTypes')
Ext.namespace('Lino.aids.AidRegimes')
Ext.namespace('Lino.aids.ConfirmationStates')
Ext.namespace('Lino.esf.ParticipationCertificates')
Ext.namespace('Lino.esf.StatisticalFields')

// ChoiceLists: 
Lino.system.YesNo = [ [ "y", "Ja" ], [ "n", "Nein" ] ];
Lino.system.Genders = [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ];
Lino.system.PeriodEvents = [ [ "10", "Beginnt" ], [ "20", "Ist aktiv" ], [ "30", "Ended" ] ];
Lino.system.DashboardLayouts = [  ];
Lino.checkdata.Checkers = [ [ "addresses.AddressOwnerChecker", "Adressen pr\u00fcfen" ], [ "aids.ConfirmationChecker", "Check for confirmations outside of granted period" ], [ "beid.SSINChecker", "Check for invalid SSINs" ], [ "cal.ConflictingEventsChecker", "Auf Termin\u00fcberschneidungen pr\u00fcfen" ], [ "cal.EventGuestChecker", "Termine ohne Teilnehmer" ], [ "cal.LongEntryChecker", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge" ], [ "cal.ObsoleteEventTypeChecker", "Veraltete generierte Kalendereintr\u00e4ge" ], [ "coachings.ClientCoachingsChecker", "Begleitung pr\u00fcfen" ], [ "countries.PlaceChecker", "Check data of geographical places." ], [ "dupable_clients.SimilarClientsChecker", "Dublettenkontrolle" ], [ "finan.FinancialVoucherItemChecker", "Check for invalid account/partner combination" ], [ "isip.OverlappingContractsChecker", "auf Vertrags\u00fcberschneidungen pr\u00fcfen" ], [ "ledger.VoucherChecker", "Check integrity of ledger vouchers" ], [ "mixins.DupableChecker", "Sind die phonetischen W\u00f6rter aktualisiert?" ], [ "printing.CachedPrintableChecker", "Check for missing target files" ], [ "sepa.BankAccountChecker", "Check for partner mismatches in bank accounts" ], [ "system.BleachChecker", "Find unbleached html content" ], [ "uploads.UploadChecker", "Check metadata of upload files" ], [ "uploads.UploadsFolderChecker", "Find orphaned files in uploads folder" ] ];
Lino.printing.BuildMethods = [ [ "appydoc", "AppyDocBuildMethod" ], [ "appyodt", "AppyOdtBuildMethod" ], [ "appypdf", "AppyPdfBuildMethod" ], [ "appyrtf", "AppyRtfBuildMethod" ], [ "latex", "LatexBuildMethod" ], [ "rtf", "RtfBuildMethod" ], [ "weasy2html", "WeasyHtmlBuildMethod" ], [ "weasy2pdf", "WeasyPdfBuildMethod" ], [ "xml", "XmlBuildMethod" ] ];
Lino.users.UserTypes = [ [ "000", "000 (000 (Anonym))" ], [ "100", "100 (100 (Begleiter im DSBE))" ], [ "110", "110 (110 (Sozialarbeiter DSBE (Verwalter)))" ], [ "120", "120 (120 (Sozialarbeiter DSBE (flexibel)))" ], [ "200", "200 (200 (Berater Erstempfang))" ], [ "210", "210 (210 (Empfangsschalter))" ], [ "220", "220 (220 (Empfangsschalter (flexibel)))" ], [ "300", "300 (300 (Schuldenberater))" ], [ "400", "400 (400 (Sozi))" ], [ "410", "410 (410 (Sozialarbeiter (Verwalter)))" ], [ "420", "420 (420 (Sozialarbeiter ASD (flexibel)))" ], [ "500", "500 (500 (Buchhalter))" ], [ "510", "510 (510 (Buchhalter (Verwalter)))" ], [ "800", "800 (800 (Supervisor))" ], [ "900", "900 (900 (Verwalter))" ], [ "910", "910 (910 (Security advisor))" ] ];
Lino.about.TimeZones = [ [ "01", "UTC" ] ];
Lino.about.DateFormats = [ [ "010", "dd.mm.y" ], [ "020", "dd.mm.yy" ], [ "030", "dd/mm/y" ], [ "040", "dd/mm/yy" ] ];
Lino.xl.Priorities = [ [ "10", "Kritisch" ], [ "20", "Hoch" ], [ "30", "Normal" ], [ "40", "Niedrig" ], [ "50", "Very Low" ] ];
Lino.countries.PlaceTypes = [ [ "10", "Bundesland" ], [ "11", "Division" ], [ "12", "Region" ], [ "13", "Gemeinschaft" ], [ "14", "Territorium" ], [ "20", "Regierungsbezirk" ], [ "21", "Provinz" ], [ "22", "Grafschaft" ], [ "23", "Unterregion" ], [ "24", "Departement" ], [ "25", "Arrondissement" ], [ "26", "Pr\u00e4fektur" ], [ "27", "Distrikt" ], [ "28", "Sektor" ], [ "50", "Stadt" ], [ "51", "Kleinstadt" ], [ "52", "Gemeinde" ], [ "54", "Pfarre" ], [ "55", "Stadtteil" ], [ "56", "Viertel" ], [ "61", "Ortschaft" ], [ "62", "Kleine Ortschaft" ], [ "70", "Dorf" ] ];
Lino.uploads.Shortcuts = [ [ "pcsw.Client.id_document", "Identifizierendes Dokument" ] ];
Lino.uploads.UploadAreas = [ [ "10", "Vertrag" ], [ "90", "Allgemein" ] ];
Lino.ledger.DC = [ [ "D", "Debit" ], [ "C", "Kredit" ] ];
Lino.ledger.JournalGroups = [ [ "10", "Bestellungen Einkauf" ], [ "20", "Rechnungseing\u00e4nge" ], [ "30", "Forderungen" ], [ "40", "Ausgabeanweisungen" ], [ "50", "Zahlungsauftr\u00e4ge" ] ];
Lino.ledger.PeriodStates = [ [ "10", "In Bearbeitung" ], [ "20", "Abgeschlossen" ] ];
Lino.ledger.CommonAccounts = [ [ "1000", "Net income (loss)" ], [ "4000", "Kunden" ], [ "4100", "Lieferanten" ], [ "4200", "Angestellte" ], [ "4300", "Offene Zahlungsauftr\u00e4ge" ], [ "4450", "Auszuf\u00fchrende Ausgabeanweisungen" ], [ "4500", "Steuer\u00e4mter" ], [ "4510", "Geschuldete Mehrwertsteuer" ], [ "4513", "Deklarierte Mehrwertsteuer" ], [ "4520", "Abziehbare Mehrwertsteuer" ], [ "4530", "R\u00fcckzahlbare Mehrwertsteuer" ], [ "4800", "Internal clearings" ], [ "4810", "Granted aids" ], [ "4900", "Wartekonto" ], [ "5500", "BestBank" ], [ "5700", "Kasse" ], [ "6010", "Eink\u00e4ufe von Dienstleistungen" ], [ "6020", "Investierungsk\u00e4ufe" ], [ "6040", "Wareneink\u00e4ufe" ], [ "6300", "L\u00f6hne und Geh\u00e4lter" ], [ "6900", "Net income" ], [ "7000", "Verkauf" ], [ "7900", "Net loss" ] ];
Lino.ledger.VoucherTypes = [ [ "finan.BankStatementsByJournal", "Kontoauszug (finan.BankStatementsByJournal)" ], [ "finan.DisbursementOrdersByJournal", "Ausgabeanweisungen" ], [ "finan.JournalEntriesByJournal", "Diverse Buchung (finan.JournalEntriesByJournal)" ], [ "finan.PaymentOrdersByJournal", "Zahlungsauftrag (finan.PaymentOrdersByJournal)" ], [ "vatless.InvoicesByJournal", "Rechnungen" ], [ "vatless.ProjectInvoicesByJournal", "Project invoices" ] ];
Lino.ledger.TradeTypes = [ [ "P", "Einkauf" ], [ "A", "Hilfen" ], [ "C", "Begleichungen" ] ];
Lino.ledger.VoucherStates = [ [ "10", "Entwurf" ], [ "20", "Registriert" ], [ "30", "Unterschrieben" ], [ "40", "Storniert" ] ];
Lino.contacts.PartnerEvents = [ [ "has_open_movements", "Has open movements" ] ];
Lino.contacts.CivilStates = [ [ "10", "Ledig" ], [ "20", "Verheiratet" ], [ "30", "Verwitwet" ], [ "40", "Geschieden" ], [ "50", "Getrennt von Tisch und Bett" ], [ "51", "Faktisch getrennt" ], [ "60", "Zusammenwohnend" ] ];
Lino.notify.MessageTypes = [ [ "system", "Systemereignis" ], [ "change", "\u00c4nderung" ], [ "cal_event", "Calendar Event" ], [ "reception", "Empfang" ], [ "coachings", "Begleitungen" ], [ "notes", "Notes" ] ];
Lino.notify.MailModes = [ [ "silent", "Keine Benachrichtigungen" ], [ "never", "Keine E-Mails" ], [ "often", "Direkte E-Mail" ], [ "daily", "Eine E-Mail pro Tag" ], [ "weekly", "Eine E-Mail pro Woche" ] ];
Lino.changes.ChangeTypes = [ [ "C", "Erstellen" ], [ "U", "Aktualisierung" ], [ "D", "L\u00f6schen" ], [ "R", "Remove child" ], [ "A", "Add child" ], [ "M", "Fusionieren" ] ];
Lino.properties.DoYouLike = [ [ "0", "blo\u00df nicht" ], [ "1", "eher nicht" ], [ "2", "normal" ], [ "3", "gerne" ], [ "4", "sehr gerne" ] ];
Lino.properties.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.addresses.AddressTypes = [ [ "01", "Offizielle Adresse" ], [ "02", "Ungepr\u00fcfte Adresse" ], [ "03", "Deklarierte Addresse" ], [ "04", "Referenzadresse" ], [ "98", "Veraltet" ], [ "99", "Sonstige" ] ];
Lino.addresses.DataSources = [ [ "01", "Manuell eingegeben" ], [ "02", "Eingelesen von eID-Karte" ] ];
Lino.excerpts.Shortcuts = [ [ "pcsw.Client.cvs_emitted", "Erstellte Lebensl\u00e4ufe" ] ];
Lino.cal.DisplayColors = [ [ "White", "White" ], [ "Silver", "Silver" ], [ "Gray", "Gray" ], [ "Black", "Black" ], [ "Red", "Red" ], [ "Maroon", "Maroon" ], [ "Yellow", "Yellow" ], [ "Olive", "Olive" ], [ "Lime", "Lime" ], [ "Green", "Green" ], [ "Aqua", "Aqua" ], [ "Teal", "Teal" ], [ "Blue", "Blue" ], [ "Navy", "Navy" ], [ "Fuchsia", "Fuchsia" ], [ "Purple", "Purple" ] ];
Lino.cal.Weekdays = [ [ "1", "Montag" ], [ "2", "Dienstag" ], [ "3", "Mittwoch" ], [ "4", "Donnerstag" ], [ "5", "Freitag" ], [ "6", "Samstag" ], [ "7", "Sonntag" ] ];
Lino.cal.YearMonths = [ [ "1", "Januar" ], [ "2", "Februar" ], [ "3", "M\u00e4rz" ], [ "4", "April" ], [ "5", "Mai" ], [ "6", "Juni" ], [ "7", "Juli" ], [ "8", "August" ], [ "9", "September" ], [ "10", "Oktober" ], [ "11", "November" ], [ "12", "Dezember" ] ];
Lino.cal.DurationUnits = [ [ "s", "Sekunden" ], [ "m", "Minuten" ], [ "h", "Stunden" ], [ "D", "Tage" ], [ "W", "Wochen" ], [ "M", "Monate" ], [ "Y", "Jahre" ] ];
Lino.cal.Recurrencies = [ [ "O", "einmalig" ], [ "D", "t\u00e4glich" ], [ "W", "w\u00f6chentlich" ], [ "M", "monatlich" ], [ "Y", "j\u00e4hrlich" ], [ "P", "pro Wochentag" ], [ "E", "Beweglich mit Ostern" ] ];
Lino.cal.AccessClasses = [ [ "10", "Privat" ], [ "20", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")" ], [ "30", "\u00d6ffentlich" ] ];
Lino.cal.PlannerColumns = [ [ "10", "Extern" ], [ "20", "Intern" ] ];
Lino.cal.TaskStates = [ [ "10", "Zu tun" ], [ "15", "Wichtig" ], [ "20", "Begonnen" ], [ "30", "Erledigt" ], [ "50", "Storniert" ] ];
Lino.cal.GuestStates = [ [ "10", "Eingeladen" ], [ "20", "Zugesagt" ], [ "30", "Abgesagt" ], [ "40", "Anwesend" ], [ "44", "Wartet" ], [ "45", "Besch\u00e4ftigt" ], [ "46", "Gegangen" ], [ "50", "Abwesend" ], [ "60", "Entschuldigt" ] ];
Lino.cal.EventEvents = [ [ "10", "Stabil" ], [ "20", "Unstabil" ] ];
Lino.cal.EntryStates = [ [ "10", "Vorschlag" ], [ "20", "Entwurf" ], [ "40", "Ver\u00f6ffentlicht" ], [ "50", "Stattgefunden" ], [ "70", "Storniert" ] ];
Lino.cal.NotifyBeforeUnits = [ [ "10", "Minuten" ], [ "20", "Stunden" ], [ "30", "Tage" ], [ "40", "Wochen" ] ];
Lino.clients.ClientEvents = [ [ "created", "Erstellt" ], [ "modified", "Bearbeitet" ], [ "note", "Notiz" ], [ "dispense", "Dispenz" ], [ "penalty", "AG-Sperre" ], [ "active", "Begleitung" ], [ "isip", "VSE" ], [ "jobs", "Art.60\u00a77-Konvention" ], [ "available", "Verf\u00fcgbar" ], [ "art61", "Art.61-Konvention" ] ];
Lino.clients.ClientStates = [ [ "10", "Neuantrag" ], [ "20", "Abgelehnt" ], [ "30", "Begleitet" ], [ "50", "Ehemalig" ] ];
Lino.clients.KnownContactTypes = [ [ "10", "Begleiter" ], [ "20", "Sonstige" ] ];
Lino.outbox.RecipientTypes = [ [ "to", "Empf\u00e4nger" ], [ "cc", "Kopie an" ], [ "bcc", "Blindkopie an" ] ];
Lino.cal.ReservationStates = [  ];
Lino.notes.SpecialTypes = [ [ "100", "Erstgespr\u00e4ch" ] ];
Lino.cv.EducationEntryStates = [ [ "0", "Erfolgreich abgeschlossen" ], [ "1", "Abbruch" ], [ "2", "in Gang" ] ];
Lino.cv.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.cv.CefLevel = [ [ "A0", "A0" ], [ "A1", "A1" ], [ "A1+", "A1+" ], [ "A2", "A2" ], [ "A2+", "A2+" ], [ "B1", "B1" ], [ "B2", "B2" ], [ "B2+", "B2+" ], [ "C1", "C1" ], [ "C2", "C2" ], [ "C2+", "C2+" ] ];
Lino.beid.ResidenceTypes = [ [ "1", "Bev\u00f6lkerungsregister" ], [ "2", "Fremdenregister" ], [ "3", "Warteregister" ] ];
Lino.beid.BeIdCardTypes = [ [ "01", "Belgischer Staatsb\u00fcrger" ], [ "06", "Kind unter 12 Jahren" ], [ "11", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)" ], [ "12", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)" ], [ "13", "C (Personalausweis f\u00fcr Ausl\u00e4nder)" ], [ "14", "D (Daueraufenthalt - EG)" ], [ "15", "E (Anmeldebescheinigung)" ], [ "16", "E+" ], [ "17", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)" ], [ "18", "F+" ], [ "99", "Eintragungsbescheinigung (Orange Karte)" ] ];
Lino.cbss.RequestStates = [ [ "10", "Versendet" ], [ "20", "Fehlgeschlagen" ], [ "25", "Validiert" ], [ "30", "OK" ], [ "40", "Warnungen" ], [ "50", "Fehlermeldungen" ] ];
Lino.cbss.ManageActions = [ [ "1", "Registrieren" ], [ "2", "Austragen" ], [ "3", "Auflisten" ] ];
Lino.cbss.QueryRegisters = [ [ "1", "Prim\u00e4r" ], [ "2", "Sekund\u00e4r" ], [ "3", "Alle" ] ];
Lino.cbss.RequestLanguages = [ [ "nl", "Niederl\u00e4ndisch" ], [ "fr", "Franz\u00f6sisch" ], [ "de", "Deutsch" ] ];
Lino.pcsw.RefusalReasons = [ [ "10", "Information (keine Begleitung erforderlich)" ], [ "20", "\u00d6SHZ ist nicht zust\u00e4ndig" ], [ "30", "Antragsteller ist nicht zur\u00fcck gekommen" ] ];
Lino.households.MemberDependencies = [ [ "01", "Zu Lasten" ], [ "02", "Nicht zu Lasten" ], [ "03", "Lasten geteilt" ] ];
Lino.households.MemberRoles = [ [ "01", "Vorstand" ], [ "02", "Ehepartner" ], [ "03", "Partner" ], [ "04", "Mitbewohner" ], [ "05", "Kind" ], [ "06", "Verwandt" ], [ "07", "Adoptivkind" ], [ "08", "Pflegekind" ], [ "10", "Sonstige" ] ];
Lino.isip.ContractEvents = [ [ "10", "Aktiv" ], [ "20", "Gestartet" ], [ "30", "Beendet" ], [ "40", "Beschlossen" ], [ "50", "Ausgestellt" ] ];
Lino.isip.OverlapGroups = [ [ "10", "Vorstrafen" ], [ "20", "Ausbildungen" ] ];
Lino.jobs.CandidatureStates = [ [ "10", "Aktiv" ], [ "20", "Probezeit" ], [ "25", "Probezeit ohne Erfolg" ], [ "27", "Arbeitet" ], [ "30", "Inaktiv" ] ];
Lino.sepa.AccountTypes = [ [ "01", "Giro" ], [ "02", "Sparkonto" ], [ "03", "Deposits" ], [ "04", "Sonstige" ] ];
Lino.art61.Subsidizations = [ [ "10", "Activa" ], [ "20", "Tutorate" ], [ "30", "Walloon Region" ], [ "40", "SINE" ], [ "50", "PTP" ] ];
Lino.xcourses.CourseRequestStates = [ [ "10", "Offen" ], [ "20", "Eingetragen" ], [ "30", "Bestanden" ], [ "40", "Gut bestanden" ], [ "50", "Nicht bestanden" ], [ "60", "Abgebrochen" ], [ "70", "Inaktiv" ] ];
Lino.humanlinks.LinkTypes = [ [ "01", "Vater (Mutter)" ], [ "02", "Adoptivvater (Adoptivmutter)" ], [ "03", "Gro\u00dfvater (Gro\u00dfmutter)" ], [ "05", "Ehemann (Ehefrau)" ], [ "06", "Freund (Freundin)" ], [ "07", "Partner (Partnerin)" ], [ "08", "Stiefvater (Stiefmutter)" ], [ "09", "Pflegevater (Pflegemutter)" ], [ "10", "Bruder (Schwester)" ], [ "11", "Vetter (Kusine)" ], [ "12", "Onkel (Tante)" ], [ "80", "Verwandter (Verwandte)" ], [ "90", "Sonstiger (Sonstige)" ] ];
Lino.debts.AccountTypes = [ [ "A", "Verm\u00f6gen" ], [ "L", "Verpflichtungen" ], [ "C", "Capital" ], [ "I", "Incomes" ], [ "E", "Ausgaben" ] ];
Lino.debts.TableLayouts = [ [ "10", "Description, remarks, yearly amount, actor amounts" ], [ "11", "Description, remarks, actor amounts" ], [ "20", "Partner, remarks, monthly rate, actor amounts" ], [ "30", "Full description, actor amounts" ], [ "40", "Debt-collector, partner, remarks, monthly rate, amounts" ] ];
Lino.aids.ConfirmationTypes = [ [ "aids.SimpleConfirmation", "Einfache Bescheinigung (aids.SimpleConfirmation)" ], [ "aids.IncomeConfirmation", "Einkommensbescheinigung (aids.IncomeConfirmation)" ], [ "aids.RefundConfirmation", "Kosten\u00fcbernahmeschein (aids.RefundConfirmation)" ] ];
Lino.aids.AidRegimes = [ [ "10", "Finanzielle Hilfen" ], [ "20", "Gesundheitshilfen" ], [ "30", "Sonstige Hilfen" ] ];
Lino.aids.ConfirmationStates = [ [ "01", "Unbest\u00e4tigt" ], [ "02", "Best\u00e4tigt" ] ];
Lino.esf.ParticipationCertificates = [ [ "10", "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ] ];
Lino.esf.StatisticalFields = [ [ "10", "Informative sessions" ], [ "20", "Individual consultation" ], [ "21", "Evaluation of external training" ], [ "30", "Certified integration service" ], [ "40", "Level tests" ], [ "41", "IT basics" ], [ "42", "Mobility" ], [ "43", "Remedial teaching" ], [ "44", "Wake up!" ], [ "50", "Getting a professional situation" ], [ "60", "Cyber Job" ], [ "70", "Art 60\u00a77 job supplyment" ] ];

Lino.uploads.Uploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event1 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltigkeit", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltigkeit","(uploads.Uploads.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var start_date2 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.Uploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date3 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.Uploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var coached_by4 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(uploads.Uploads.coached_by) Show only uploads for clients coached by this user.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/coached_by" }) }) });
    var user5 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }), "value": null });
    var upload_type6 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.upload_type) ") }, "name": "upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": observed_event1, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": start_date2, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date3, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by4, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": user5, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": upload_type6, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event1, start_date2, end_date3, coached_by4, user5, upload_type6 ];
    Lino.uploads.Uploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date14 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date15 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event16 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.RefundConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board17 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.RefundConfirmations.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/board" }) }) });
    var signer18 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var user19 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }), "value": null });
    var main_1_panel20 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date14, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date15, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event16, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board17, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer18, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user19, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type27 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.RefundConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/aid_type" }) }) });
    var state28 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.RefundConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client29 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }), "value": null });
    var gender30 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.RefundConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel31 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type27, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state28, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client29, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender30, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel20, main_2_panel31 ];
    this.fields = [ start_date14, end_date15, observed_event16, board17, signer18, user19, aid_type27, state28, client29, gender30 ];
    Lino.aids.RefundConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.PendingCourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from37 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.PendingCourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to38 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.PendingCourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender39 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.PendingCourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality40 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.PendingCourseRequests.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/nationality" }) }) });
    var also_obsolete41 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.PendingCourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel42 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from37, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to38, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender39, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality40, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete41, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state48 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by49 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.PendingCourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/coached_by" }) }) });
    var and_coached_by50 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.PendingCourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/and_coached_by" }) }) });
    var start_date51 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.PendingCourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date52 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.PendingCourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event53 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.PendingCourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary54 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.PendingCourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel55 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state48, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by49, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by50, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date51, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date52, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event53, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary54, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_state63 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content64 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.PendingCourseRequests.course_content) ") }, "name": "course_content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_content" }) }) });
    var course_provider65 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.PendingCourseRequests.course_provider) ") }, "name": "course_provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_provider" }) }) });
    var course_offer66 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.PendingCourseRequests.course_offer) ") }, "name": "course_offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_offer" }) }) });
    var main_3_panel67 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": request_state63, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_content64, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_provider65, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_offer66, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel42, main_2_panel55, main_3_panel67 ];
    this.fields = [ aged_from37, aged_to38, gender39, nationality40, also_obsolete41, client_state48, coached_by49, and_coached_by50, start_date51, end_date52, observed_event53, only_primary54, request_state63, course_content64, course_provider65, course_offer66 ];
    Lino.xcourses.PendingCourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.DelegatedTasksByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date73 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.DelegatedTasksByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date74 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.DelegatedTasksByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user75 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.DelegatedTasksByContract.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/user" }) }), "value": null });
    var project76 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.DelegatedTasksByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/project" }) }), "value": null });
    var state77 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.DelegatedTasksByContract.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date73, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date74, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user75, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project76, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state77, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date73, end_date74, user75, project76, state77 ];
    Lino.isip.DelegatedTasksByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user84 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(art61.Contracts.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type85 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Only job supplies of type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Only job supplies of type","(art61.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var start_date86 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(art61.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date87 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(art61.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event88 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(art61.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel89 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user84, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type85, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date86, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date87, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event88, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company95 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var ending_success96 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(art61.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending97 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var main_2_panel98 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company95, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success96, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending97, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel89, main_2_panel98 ];
    this.fields = [ user84, type85, start_date86, end_date87, observed_event88, company95, ending_success96, ending97 ];
    Lino.art61.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Competences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user103 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzer</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(newcomers.Competences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user103, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user103 ];
    Lino.newcomers.Competences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var gender106 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var also_obsolete107 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(contacts.Persons.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel108 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": gender106, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": also_obsolete107, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel108 ];
    this.fields = [ gender106, also_obsolete107 ];
    Lino.contacts.Persons.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.GeneralAccountBalances.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.GeneralAccountBalances.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/start_period" }) }) });
    var end_period113 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.GeneralAccountBalances.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period112, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period113, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period112, end_period113 ];
    Lino.ledger.GeneralAccountBalances.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date117 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(boards.Boards.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date118 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(boards.Boards.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date117, end_date118 ];
    Lino.boards.Boards.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatementsByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period122 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.BankStatementsByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/start_period" }) }) });
    var end_period123 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.BankStatementsByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/end_period" }) }) });
    var state124 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.BankStatementsByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user125 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatementsByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period122, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period123, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state124, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user125, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period122, end_period123, state124, user125 ];
    Lino.finan.BankStatementsByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today131 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverview.today) ") }, "name": "today", "selectOnFocus": true });
    var job_type132 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "job_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.JobsOverview.job_type) ") }, "name": "job_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobTypes.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverview/job_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": today131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": job_type132, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today131, job_type132 ];
    Lino.jobs.JobsOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state136 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(integ.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by137 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(integ.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/coached_by" }) }) });
    var and_coached_by138 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(integ.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/and_coached_by" }) }) });
    var start_date139 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date140 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event141 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(integ.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var main_1_panel142 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": client_state136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": and_coached_by138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": start_date139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event141, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aged_from149 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(integ.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to150 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(integ.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender151 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(integ.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality152 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(integ.Clients.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/nationality" }) }) });
    var also_obsolete153 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(integ.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_2_panel154 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from149, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to150, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete153, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var language160 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "Sprachkenntnis", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnis","(integ.Clients.language) ") }, "name": "language", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.languages.Languages.detail,null)}, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/language" }) }) });
    var wanted_property161 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.Properties.detail", "emptyText": "Eigenschaft ausw\u00e4hlen...", "fieldLabel": "Erw\u00fcnschte Eigenschaft", "hiddenName": "wanted_propertyHidden", "listeners": { "render": Lino.quicktip_renderer("Erw\u00fcnschte Eigenschaft","(integ.Clients.wanted_property) ") }, "name": "wanted_property", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.Properties.detail,null)}, "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/wanted_property" }) }) });
    var group162 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "Integrationsphase", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(integ.Clients.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/group" }) }) });
    var only_active163 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur aktive Klienten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur aktive Klienten","(integ.Clients.only_active) Show only clients in 'active' integration phases") }, "name": "only_active", "selectOnFocus": true });
    var only_primary164 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(integ.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_3_panel165 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": language160, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": wanted_property161, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": group162, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_active163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_primary164, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel142, main_2_panel154, main_3_panel165 ];
    this.fields = [ client_state136, coached_by137, and_coached_by138, start_date139, end_date140, observed_event141, aged_from149, aged_to150, gender151, nationality152, also_obsolete153, language160, wanted_property161, group162, only_active163, only_primary164 ];
    Lino.integ.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Members.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date172 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(households.Members.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date173 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(households.Members.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from174 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(households.Members.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to175 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(households.Members.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender176 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(households.Members.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": start_date172, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date173, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_from174, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_to175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": gender176, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date172, end_date173, aged_from174, aged_to175, gender176 ];
    Lino.households.Members.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user183 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }), "value": null });
    var checker184 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.checkdata.Checkers), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": user183, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": checker184, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user183, checker184 ];
    Lino.checkdata.Problems.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.CandidaturesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state188 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.CandidaturesByOffer.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job189 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.CandidaturesByOffer.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }), "value": null });
    var function190 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.CandidaturesByOffer.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/function" }) }), "value": null });
    var person191 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.CandidaturesByOffer.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state188, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function190, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person191, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state188, job189, function190, person191 ];
    Lino.jobs.CandidaturesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user197 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user197, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user197 ];
    Lino.cbss.IdentifyPersonRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.InvoicesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner200 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.InvoicesByJournal.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var state201 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.InvoicesByJournal.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var year202 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(vatless.InvoicesByJournal.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/year" }) }) });
    this.items = [ { "autoHeight": true, "flex": 35, "items": partner200, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": state201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": year202, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner200, state201, year202 ];
    Lino.vatless.InvoicesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event207 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(contacts.Partners.observed_event) Extended filter criteria") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.PartnerEvents) });
    var start_date208 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(contacts.Partners.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date209 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(contacts.Partners.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 44, "items": observed_event207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event207, start_date208, end_date209 ];
    Lino.contacts.Partners.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.UsersOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type214 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.UsersOverview.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date215 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.UsersOverview.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date216 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.UsersOverview.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date216, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type214, start_date215, end_date216 ];
    Lino.users.UsersOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period221 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.DisbursementOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/start_period" }) }) });
    var end_period222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.DisbursementOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/end_period" }) }) });
    var state223 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user224 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state223, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user224, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period221, end_period222, state223, user224 ];
    Lino.finan.DisbursementOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.dashboard.Widgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user230 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user230, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user230 ];
    Lino.dashboard.Widgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.JournalEntriesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period233 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.JournalEntriesByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/start_period" }) }) });
    var end_period234 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.JournalEntriesByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/end_period" }) }) });
    var state235 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.JournalEntriesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user236 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.JournalEntriesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period233, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period234, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state235, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user236, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period233, end_period234, state235, user236 ];
    Lino.finan.JournalEntriesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date242 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.Tasks.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date243 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Tasks.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user244 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }), "value": null });
    var state245 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Tasks.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    var project246 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }), "value": null });
    var main_1_panel247 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date242, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project246, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel247 ];
    this.fields = [ start_date242, end_date243, user244, state245, project246 ];
    Lino.cal.Tasks.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from254 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(pcsw.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to255 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(pcsw.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender256 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality257 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var also_obsolete258 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(pcsw.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel259 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from254, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to255, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete258, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state265 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(pcsw.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by266 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(pcsw.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/coached_by" }) }) });
    var and_coached_by267 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(pcsw.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/and_coached_by" }) }) });
    var start_date268 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(pcsw.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date269 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(pcsw.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event270 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(pcsw.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary271 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(pcsw.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel272 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date268, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event270, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary271, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel259, main_2_panel272 ];
    this.fields = [ aged_from254, aged_to255, gender256, nationality257, also_obsolete258, client_state265, coached_by266, and_coached_by267, start_date268, end_date269, observed_event270, only_primary271 ];
    Lino.pcsw.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.AllEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date281 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.AllEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date282 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.AllEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event283 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.AllEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.AllEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel285 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state284, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user290 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.AllEntries.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/user" }) }), "value": null });
    var assigned_to291 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.AllEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/assigned_to" }) }), "value": null });
    var project292 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.AllEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/project" }) }), "value": null });
    var event_type293 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.AllEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/event_type" }) }), "value": null });
    var room294 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.AllEntries.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/room" }) }), "value": null });
    var show_appointments295 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.AllEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel296 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project292, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type293, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments295, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel285, main_2_panel296 ];
    this.fields = [ start_date281, end_date282, observed_event283, state284, user290, assigned_to291, project292, event_type293, room294, show_appointments295 ];
    Lino.cal.AllEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.PaymentOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/start_period" }) }) });
    var end_period305 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.PaymentOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/end_period" }) }) });
    var state306 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.PaymentOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user307 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period304, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period305, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state306, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user307, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period304, end_period305, state306, user307 ];
    Lino.finan.PaymentOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var pjournal313 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "pjournalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.pjournal) ") }, "name": "pjournal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pjournal" }) }) });
    var pyear314 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "pyearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(finan.FinancialVouchers.pyear) ") }, "name": "pyear", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pyear" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": pjournal313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": pyear314, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ pjournal313, pyear314 ];
    Lino.finan.FinancialVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Subscriptions.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user318 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Subscriptions.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user318, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user318 ];
    Lino.cal.Subscriptions.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date321 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Only changes from", "listeners": { "render": Lino.quicktip_renderer("Only changes from","(changes.Changes.date) ") }, "name": "date", "selectOnFocus": true });
    var user322 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var change_type323 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": false, "hiddenName": "change_typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.change_type) ") }, "name": "change_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.changes.ChangeTypes) });
    var object_type324 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "Object type", "hiddenName": "object_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Object type","(changes.Changes.object_type) ") }, "name": "object_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.gfks.ContentTypes.detail,null)}, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_type" }) }) });
    var object_id325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Object ID", "hiddenName": "object_idHidden", "listeners": { "render": Lino.quicktip_renderer("Object ID","(changes.Changes.object_id) ") }, "name": "object_id", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_id" }) }) });
    var main_1_panel326 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": date321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": change_type323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": object_type324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_id325, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel326 ];
    this.fields = [ date321, user322, change_type323, object_type324, object_id325 ];
    Lino.changes.Changes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user333 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user333, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user333 ];
    Lino.cbss.ManageAccessRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverviewByType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date336 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverviewByType.date) ") }, "name": "date", "selectOnFocus": true });
    var contract_type337 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art.60\u00a77-Konventionsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionsart","(jobs.JobsOverviewByType.contract_type) ") }, "name": "contract_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverviewByType/contract_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": date336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": contract_type337, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ date336, contract_type337 ];
    Lino.jobs.JobsOverviewByType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date341 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(excerpts.Excerpts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date342 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(excerpts.Excerpts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var pcertifying343 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certifying excerpts", "forceSelection": true, "hiddenName": "pcertifyingHidden", "listeners": { "render": Lino.quicktip_renderer("Certifying excerpts","(excerpts.Excerpts.pcertifying) ") }, "name": "pcertifying", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel344 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": start_date341, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date342, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": pcertifying343, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user348 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }), "value": null });
    var excerpt_type349 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "Auszugsart", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) ") }, "name": "excerpt_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.excerpts.ExcerptTypes.detail,Lino.excerpts.ExcerptTypes.insert)}, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var main_2_panel350 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type349, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel344, main_2_panel350 ];
    this.fields = [ start_date341, end_date342, pcertifying343, user348, excerpt_type349 ];
    Lino.excerpts.Excerpts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project354 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }), "value": null });
    var user355 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project354, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user355, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project354, user355 ];
    Lino.outbox.Mails.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date359 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.FiscalYears.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date360 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.FiscalYears.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date359, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date360, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date359, end_date360 ];
    Lino.ledger.FiscalYears.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var request_state364 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content365 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.course_content) ") }, "name": "course_content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_content" }) }) });
    var course_offer366 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.course_offer) ") }, "name": "course_offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_offer" }) }) });
    var course_provider367 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseRequests.course_provider) ") }, "name": "course_provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_provider" }) }) });
    var coached_by368 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.CourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/coached_by" }) }) });
    var and_coached_by369 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.CourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/and_coached_by" }) }) });
    var nationality370 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.CourseRequests.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/nationality" }) }) });
    var observed_event371 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.CourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary372 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.CourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var also_obsolete373 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.CourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var start_date374 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.CourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date375 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.CourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from376 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.CourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to377 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.CourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var client_state378 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var client_contact_company379 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client contact organization</span>", "hiddenName": "client_contact_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Client contact organization","(xcourses.CourseRequests.client_contact_company) Only clients having a contact with that organization") }, "name": "client_contact_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/client_contact_company" }) }) });
    var gender380 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.CourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": request_state364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_content365, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_offer366, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_provider367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": coached_by368, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": and_coached_by369, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": nationality370, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": observed_event371, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": only_primary372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": also_obsolete373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": start_date374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": end_date375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_from376, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_to377, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": client_state378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": client_contact_company379, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": gender380, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ request_state364, course_content365, course_offer366, course_provider367, coached_by368, and_coached_by369, nationality370, observed_event371, only_primary372, also_obsolete373, start_date374, end_date375, aged_from376, aged_to377, client_state378, client_contact_company379, gender380 ];
    Lino.xcourses.CourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user399 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(jobs.Contracts.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type400 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var start_date401 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(jobs.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date402 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event403 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(jobs.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel404 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date401, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event403, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company410 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var ending_success411 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(jobs.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending412 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var main_2_panel413 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company410, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success411, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending412, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel404, main_2_panel413 ];
    this.fields = [ user399, type400, start_date401, end_date402, observed_event403, company410, ending_success411, ending412 ];
    Lino.jobs.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner418 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.Invoices.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var project419 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.Invoices.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/project" }) }) });
    var state420 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal421 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var start_period422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(vatless.Invoices.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/start_period" }) }) });
    var end_period423 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(vatless.Invoices.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/end_period" }) }) });
    var cleared424 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(vatless.Invoices.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner418, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project419, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal421, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared424, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner418, project419, state420, journal421, start_period422, end_period423, cleared424 ];
    Lino.vatless.Invoices.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type433 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.AllUsers.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date434 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.AllUsers.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date435 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.AllUsers.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type433, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date435, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type433, start_date434, end_date435 ];
    Lino.users.AllUsers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerBalancesByTradeType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period440 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerBalancesByTradeType.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/start_period" }) }) });
    var end_period441 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.PartnerBalancesByTradeType.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period440, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period441, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period440, end_period441 ];
    Lino.ledger.PartnerBalancesByTradeType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Me.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type445 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Me.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date446 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.Me.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date447 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.Me.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date447, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type445, start_date446, end_date447 ];
    Lino.users.Me.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user452 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user452, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user452 ];
    Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ContractsPerUserAndContractType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type455 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(integ.ContractsPerUserAndContractType.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date456 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.ContractsPerUserAndContractType.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date457 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ContractsPerUserAndContractType.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date457, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type455, start_date456, end_date457 ];
    Lino.integ.ContractsPerUserAndContractType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date462 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date463 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event464 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.SimpleConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board465 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.SimpleConfirmations.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/board" }) }) });
    var signer466 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var user467 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }), "value": null });
    var main_1_panel468 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date462, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date463, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type475 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.SimpleConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/aid_type" }) }) });
    var state476 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.SimpleConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client477 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }), "value": null });
    var gender478 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.SimpleConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel479 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state476, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client477, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender478, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel468, main_2_panel479 ];
    this.fields = [ start_date462, end_date463, observed_event464, board465, signer466, user467, aid_type475, state476, client477, gender478 ];
    Lino.aids.SimpleConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.EntriesByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date485 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.EntriesByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date486 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.EntriesByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event487 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.EntriesByContract.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var show_appointments488 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Termine", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(isip.EntriesByContract.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var presence_guest489 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Gast", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(isip.EntriesByContract.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/presence_guest" }) }) });
    var user490 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(isip.EntriesByContract.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/user" }) }), "value": null });
    var assigned_to491 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(isip.EntriesByContract.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/assigned_to" }) }), "value": null });
    var project492 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.EntriesByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/project" }) }), "value": null });
    var state493 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.EntriesByContract.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var room494 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(isip.EntriesByContract.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/room" }) }), "value": null });
    var event_type495 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.EntriesByContract.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/event_type" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": start_date485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": end_date486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": observed_event487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": show_appointments488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": presence_guest489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": user490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": assigned_to491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": project492, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": state493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": room494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": event_type495, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date485, end_date486, observed_event487, show_appointments488, presence_guest489, user490, assigned_to491, project492, state493, room494, event_type495 ];
    Lino.isip.EntriesByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.MyMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period508 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.MyMovements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MyMovements/start_period" }) }) });
    var end_period509 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.MyMovements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MyMovements/end_period" }) }) });
    var start_date510 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.MyMovements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date511 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.MyMovements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared512 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.MyMovements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel513 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period508, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period509, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared512, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel513 ];
    this.fields = [ start_period508, end_period509, start_date510, end_date511, cleared512 ];
    Lino.ledger.MyMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date520 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AccountingPeriods.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date521 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.AccountingPeriods.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date520, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date521, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date520, end_date521 ];
    Lino.ledger.AccountingPeriods.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user525 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }), "value": null });
    var event_type526 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }), "value": null });
    var room527 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }), "value": null });
    var project528 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }), "value": null });
    var presence_guest529 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.Events.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest529, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user525, event_type526, room527, project528, presence_guest529 ];
    Lino.cal.Events.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Debtors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today536 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Debtors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today536, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today536 ];
    Lino.ledger.Debtors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ExperiencesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date539 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(jobs.ExperiencesByOffer.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date540 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.ExperiencesByOffer.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date540, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date539, end_date540 ];
    Lino.jobs.ExperiencesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user544 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user544, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user544 ];
    Lino.cal.RecurrentEvents.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date547 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Trainings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date548 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Trainings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event549 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Trainings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event549, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date547, end_date548, observed_event549 ];
    Lino.cv.Trainings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user554 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(isip.Contracts.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type555 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "VSE-Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("VSE-Art","(isip.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var start_date556 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(isip.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date557 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event558 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel559 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user554, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company565 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/company" }) }) });
    var study_type566 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var ending_success567 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending568 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var main_2_panel569 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": company565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": study_type566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending_success567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending568, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel559, main_2_panel569 ];
    this.fields = [ user554, type555, start_date556, end_date557, observed_event558, company565, study_type566, ending_success567, ending568 ];
    Lino.isip.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var place575 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ort</span>", "hiddenName": "placeHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ort","(addresses.Addresses.place) ") }, "name": "place", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/place" }) }) });
    var partner576 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }), "value": null });
    var address_type577 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.addresses.AddressTypes), "value": null });
    this.items = [ { "autoHeight": true, "flex": 31, "items": place575, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": partner576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": address_type577, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ place575, partner576, address_type577 ];
    Lino.addresses.Addresses.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date582 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(coachings.Coachings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date583 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(coachings.Coachings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event584 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(coachings.Coachings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var coached_by585 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(coachings.Coachings.coached_by) Nur Begleitungen dieses Benutzers.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coached_by" }) }) });
    var and_coached_by586 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(coachings.Coachings.and_coached_by) ... und auch Begleitungen dieses Benutzers.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/and_coached_by" }) }) });
    var main_1_panel587 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": start_date582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": observed_event584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": coached_by585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": and_coached_by586, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary_coachings593 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Begleitungen</span>", "forceSelection": true, "hiddenName": "primary_coachingsHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Begleitungen","(coachings.Coachings.primary_coachings) Accompagnements primaires.") }, "name": "primary_coachings", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var coaching_type594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(coachings.Coachings.coaching_type) Nur Begleitungen dieses Dienstes.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coaching_type" }) }) });
    var ending595 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.coachings.CoachingEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(coachings.Coachings.ending) Nur Begleitungen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.coachings.CoachingEndings.detail,null)}, "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/ending" }) }) });
    var main_2_panel596 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": primary_coachings593, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coaching_type594, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending595, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel587, main_2_panel596 ];
    this.fields = [ start_date582, end_date583, observed_event584, coached_by585, and_coached_by586, primary_coachings593, coaching_type594, ending595 ];
    Lino.coachings.Coachings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.OneEvent.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user601 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.OneEvent.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }), "value": null });
    var event_type602 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.OneEvent.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }), "value": null });
    var room603 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.OneEvent.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }), "value": null });
    var project604 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }), "value": null });
    var presence_guest605 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.OneEvent.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user601, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project604, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest605, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user601, event_type602, room603, project604, presence_guest605 ];
    Lino.cal.OneEvent.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var partner612 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.PartnerVouchers.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/partner" }) }) });
    var project613 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.PartnerVouchers.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/project" }) }) });
    var state614 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(ledger.PartnerVouchers.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal615 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.PartnerVouchers.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/journal" }) }) });
    var start_period616 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/start_period" }) }) });
    var end_period617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.PartnerVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/end_period" }) }) });
    var cleared618 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.PartnerVouchers.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project613, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state614, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner612, project613, state614, journal615, start_period616, end_period617, cleared618 ];
    Lino.ledger.PartnerVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoaches.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var for_client627 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Zeige Vorschl\u00e4ge f\u00fcr", "hiddenName": "for_clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Zeige Vorschl\u00e4ge f\u00fcr","(newcomers.AvailableCoaches.for_client) ") }, "name": "for_client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/AvailableCoaches/for_client" }) }) });
    var since628 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.AvailableCoaches.since) Neue Klienten sind die, deren Begleitung nach diesem Datum beginnt") }, "name": "since", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 60, "items": for_client627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": since628, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ for_client627, since628 ];
    Lino.newcomers.AvailableCoaches.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notify.Messages.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user632 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/user" }) }), "value": null });
    var show_seen633 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gelesen", "forceSelection": true, "hiddenName": "show_seenHidden", "listeners": { "render": Lino.quicktip_renderer("Gelesen","(notify.Messages.show_seen) ") }, "name": "show_seen", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var start_date634 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(notify.Messages.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date635 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(notify.Messages.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 32, "items": user632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": show_seen633, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": start_date634, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": end_date635, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user632, show_seen633, start_date634, end_date635 ];
    Lino.notify.Messages.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date641 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Experiences.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date642 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Experiences.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event643 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Experiences.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date641, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date642, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event643, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date641, end_date642, observed_event643 ];
    Lino.cv.Experiences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var common_account648 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts), "value": null });
    this.items = [ { "autoHeight": true, "items": common_account648, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ common_account648 ];
    Lino.ledger.Accounts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date651 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date652 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event653 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.IncomeConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board654 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.IncomeConfirmations.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/board" }) }) });
    var signer655 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var user656 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }), "value": null });
    var main_1_panel657 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date652, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board654, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user656, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type664 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.IncomeConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/aid_type" }) }) });
    var state665 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.IncomeConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client666 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }), "value": null });
    var gender667 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.IncomeConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel668 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type664, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state665, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client666, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender667, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel657, main_2_panel668 ];
    this.fields = [ start_date651, end_date652, observed_event653, board654, signer655, user656, aid_type664, state665, client666, gender667 ];
    Lino.aids.IncomeConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Movements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_period674 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.Movements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/start_period" }) }) });
    var end_period675 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.Movements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/end_period" }) }) });
    var start_date676 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.Movements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date677 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.Movements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared678 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.Movements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel679 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period675, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date676, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date677, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared678, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group685 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Journalgruppe", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Movements.journal_group) ") }, "name": "journal_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.JournalGroups) });
    var journal686 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.Movements.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/journal" }) }) });
    var year687 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(ledger.Movements.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/year" }) }) });
    var project688 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.Movements.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/project" }) }) });
    var partner689 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.Movements.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/partner" }) }) });
    var account690 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "Haushaltsartikel", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Movements.account) ") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/account" }) }) });
    var main_2_panel691 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": journal_group685, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": journal686, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": year687, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": project688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": partner689, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": account690, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel679, main_2_panel691 ];
    this.fields = [ start_period674, end_period675, start_date676, end_date677, cleared678, journal_group685, journal686, year687, project688, partner689, account690 ];
    Lino.ledger.Movements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date699 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.AllUploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date700 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.AllUploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user701 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }), "value": null });
    var upload_type702 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.upload_type) ") }, "name": "upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date699, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date700, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": user701, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": upload_type702, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date699, end_date700, user701, upload_type702 ];
    Lino.uploads.AllUploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project708 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }), "value": null });
    var user709 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project708, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user709, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project708, user709 ];
    Lino.notes.Notes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.ExpectedMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var trade_type713 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.ExpectedMovements.trade_type) ") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var date_until714 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum bis</span>", "listeners": { "render": Lino.quicktip_renderer("Datum bis","(ledger.ExpectedMovements.date_until) ") }, "name": "date_until", "selectOnFocus": true });
    var from_journal715 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "from_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.ExpectedMovements.from_journal) ") }, "name": "from_journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/from_journal" }) }) });
    var for_journal716 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleichbar durch</span>", "hiddenName": "for_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Begleichbar durch","(ledger.ExpectedMovements.for_journal) ") }, "name": "for_journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/for_journal" }) }) });
    var main_1_panel717 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": trade_type713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": date_until714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": from_journal715, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": for_journal716, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project722 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.ExpectedMovements.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/project" }) }) });
    var partner723 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.ExpectedMovements.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/partner" }) }) });
    var account724 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.ExpectedMovements.account) ") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/account" }) }) });
    var show_sepa725 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mit SEPA</span>", "forceSelection": true, "hiddenName": "show_sepaHidden", "listeners": { "render": Lino.quicktip_renderer("Mit SEPA","(ledger.ExpectedMovements.show_sepa) ") }, "name": "show_sepa", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var same_dc726 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Same D/C</span>", "forceSelection": true, "hiddenName": "same_dcHidden", "listeners": { "render": Lino.quicktip_renderer("Same D/C","(ledger.ExpectedMovements.same_dc) ") }, "name": "same_dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel727 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": project722, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": partner723, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": account724, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": show_sepa725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": same_dc726, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel717, main_2_panel727 ];
    this.fields = [ trade_type713, date_until714, from_journal715, for_journal716, project722, partner723, account724, show_sepa725, same_dc726 ];
    Lino.ledger.ExpectedMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.MyEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date734 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.MyEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date735 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.MyEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event736 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.MyEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state737 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel738 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date734, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date735, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state737, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user743 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.MyEntries.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }), "value": null });
    var assigned_to744 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }), "value": null });
    var project745 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }), "value": null });
    var event_type746 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.MyEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }), "value": null });
    var room747 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.MyEntries.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }), "value": null });
    var show_appointments748 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.MyEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel749 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to744, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project745, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type746, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room747, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments748, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel738, main_2_panel749 ];
    this.fields = [ start_date734, end_date735, observed_event736, state737, user743, assigned_to744, project745, event_type746, room747, show_appointments748 ];
    Lino.cal.MyEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AllVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var journal757 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.AllVouchers.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/journal" }) }) });
    var start_period758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AllVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/start_period" }) }) });
    var end_period759 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.AllVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/end_period" }) }) });
    var user760 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(ledger.AllVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": journal757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_period758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period759, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user760, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ journal757, start_period758, end_period759, user760 ];
    Lino.ledger.AllVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user766 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user766, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user766 ];
    Lino.debts.Budgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.NewClients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state769 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(newcomers.NewClients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var new_since770 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.NewClients.new_since) Auch Klienten, die erst seit Kurzem begleitet sind.") }, "name": "new_since", "selectOnFocus": true });
    var also_obsolete771 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(newcomers.NewClients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var coached_by772 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(newcomers.NewClients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/coached_by" }) }) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": client_state769, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": new_since770, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": also_obsolete771, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coached_by772, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ client_state769, new_since770, also_obsolete771, coached_by772 ];
    Lino.newcomers.NewClients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ActivityReport.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date778 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(integ.ActivityReport.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date779 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ActivityReport.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var include_jobs780 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(integ.ActivityReport.include_jobs) ") }, "name": "include_jobs", "selectOnFocus": true });
    var include_isip781 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(integ.ActivityReport.include_isip) ") }, "name": "include_isip", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 28, "items": start_date778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": end_date779, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_jobs780, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_isip781, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date778, end_date779, include_jobs780, include_isip781 ];
    Lino.integ.ActivityReport.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Candidatures.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state787 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.Candidatures.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job788 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Candidatures.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/job" }) }), "value": null });
    var function789 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Candidatures.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/function" }) }), "value": null });
    var person790 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Candidatures.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person790, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state787, job788, function789, person790 ];
    Lino.jobs.Candidatures.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user796 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user796, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user796 ];
    Lino.tinymce.TextFieldTemplates.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date799 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Studies.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date800 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Studies.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event801 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Studies.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date799, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date800, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event801, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date799, end_date800, observed_event801 ];
    Lino.cv.Studies.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var board806 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var aid_type807 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var user808 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }), "value": null });
    var signer809 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state810 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.Grantings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": board806, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": aid_type807, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user808, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer809, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": state810, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ board806, aid_type807, user808, signer809, state810 ];
    Lino.aids.Grantings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date817 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(cal.Guests.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date818 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Guests.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user819 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Guests.user) Only rows managed by this user.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/user" }) }) });
    var event_state820 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Termin</span>", "forceSelection": true, "hiddenName": "event_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Termin","(cal.Guests.event_state) Only rows on calendar entries having this state.") }, "name": "event_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates) });
    var guest_state821 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Gast</span>", "forceSelection": true, "hiddenName": "guest_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Gast","(cal.Guests.guest_state) Only rows having this guest state.") }, "name": "guest_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.GuestStates) });
    var main_1_panel822 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date817, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date818, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": event_state820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": guest_state821, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project828 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/project" }) }) });
    var partner829 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var main_2_panel830 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": project828, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": partner829, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel822, main_2_panel830 ];
    this.fields = [ start_date817, end_date818, user819, event_state820, guest_state821, project828, partner829 ];
    Lino.cal.Guests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Authorities.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user834 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(users.Authorities.user) The user who gives the right of representation. author of this\nauthority") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user834, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user834 ];
    Lino.users.Authorities.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Creditors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today837 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Creditors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today837, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today837 ];
    Lino.ledger.Creditors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1022 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/users/AllUsers/merge_row/merge_to" }) }) });
    this.cal_Subscription1023 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(Fusionieren.cal_Subscription) ") }, "name": "cal_Subscription", "selectOnFocus": true });
    this.reason1024 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.cal_Subscription1023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1024, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1022, this.cal_Subscription1023, this.reason1024 ];
    this.http_method = "GET"
    Lino.users.AllUsers.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1007 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/AccountingPeriods/merge_row/merge_to" }) }) });
    this.reason1008 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1008, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1007, this.reason1008 ];
    this.http_method = "GET"
    Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf1_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf1',
  window_title: "Zusagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zusagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body901 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zusagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent902 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zusagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent902, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject900, this.notify_body901, this.notify_silent902 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf1_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to856 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/merge_row/merge_to" }) }) });
    this.addresses_Address857 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account858 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel859 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account858, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason862 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to856, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel859, { "anchor": "-20", "autoHeight": true, "items": this.reason862, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to856, this.addresses_Address857, this.sepa_Account858, this.reason862 ];
    this.http_method = "GET"
    Lino.contacts.Persons.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf2_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf2',
  window_title: "Absagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject907 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Absagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body908 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Absagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent909 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Absagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent909, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject907, this.notify_body908, this.notify_silent909 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf2_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.refuse_client_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'refuse_client',
  window_title: "Ablehnen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.reason952 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablehnungsgrund", "forceSelection": true, "hiddenName": "reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Ablehnungsgrund","(Ablehnen.reason) ") }, "name": "reason", "selectOnFocus": true, "store": Lino.pcsw.RefusalReasons });
    this.remark953 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(Ablehnen.remark) ") }, "name": "remark", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.reason952, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 83, "items": this.remark953, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.reason952, this.remark953 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.refuse_client_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to883 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/uploads/Volumes/merge_row/merge_to" }) }) });
    this.reason884 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason884, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to883, this.reason884 ];
    this.http_method = "GET"
    Lino.uploads.Volumes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1058 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Accounts.detail", "emptyText": "Konto ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.debts.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Accounts.detail,Lino.debts.Accounts.insert)}, "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/debts/Accounts/merge_row/merge_to" }) }) });
    this.reason1059 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1059, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1058, this.reason1059 ];
    this.http_method = "GET"
    Lino.debts.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1017 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/FiscalYears/merge_row/merge_to" }) }) });
    this.reason1018 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1018, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1017, this.reason1018 ];
    this.http_method = "GET"
    Lino.ledger.FiscalYears.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to980 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/JobProviders/merge_row/merge_to" }) }) });
    this.addresses_Address981 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account982 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel983 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account982, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason986 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel983, { "anchor": "-20", "autoHeight": true, "items": this.reason986, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to980, this.addresses_Address981, this.sepa_Account982, this.reason986 ];
    this.http_method = "GET"
    Lino.jobs.JobProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1041 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/xcourses/CourseProviders/merge_row/merge_to" }) }) });
    this.addresses_Address1042 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account1043 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel1044 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address1042, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account1043, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason1047 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1041, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel1044, { "anchor": "-20", "autoHeight": true, "items": this.reason1047, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1041, this.addresses_Address1042, this.sepa_Account1043, this.reason1047 ];
    this.http_method = "GET"
    Lino.xcourses.CourseProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to919 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/merge_row/merge_to" }) }) });
    this.aids_IncomeConfirmation920 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einkommensbescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(Fusionieren.aids_IncomeConfirmation) ") }, "name": "aids_IncomeConfirmation", "selectOnFocus": true });
    this.aids_RefundConfirmation921 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kosten\u00fcbernahmescheine", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kosten\u00fcbernahmescheine","(Fusionieren.aids_RefundConfirmation) ") }, "name": "aids_RefundConfirmation", "selectOnFocus": true });
    var keep_volatiles_1_panel922 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_IncomeConfirmation920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.aids_RefundConfirmation921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.aids_SimpleConfirmation925 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einfache Bescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einfache Bescheinigungen","(Fusionieren.aids_SimpleConfirmation) ") }, "name": "aids_SimpleConfirmation", "selectOnFocus": true });
    this.coachings_Coaching926 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(Fusionieren.coachings_Coaching) ") }, "name": "coachings_Coaching", "selectOnFocus": true });
    var keep_volatiles_2_panel927 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_SimpleConfirmation925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.coachings_Coaching926, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_LanguageKnowledge930 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sprachkenntnisse", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(Fusionieren.cv_LanguageKnowledge) ") }, "name": "cv_LanguageKnowledge", "selectOnFocus": true });
    this.cv_PersonProperty931 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Eigenschaften", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(Fusionieren.cv_PersonProperty) ") }, "name": "cv_PersonProperty", "selectOnFocus": true });
    var keep_volatiles_3_panel932 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_LanguageKnowledge930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_PersonProperty931, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.dupable_clients_Word935 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Phonetische W\u00f6rter", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Phonetische W\u00f6rter","(Fusionieren.dupable_clients_Word) ") }, "name": "dupable_clients_Word", "selectOnFocus": true });
    this.esf_ClientSummary936 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ESF Summaries", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("ESF Summaries","(Fusionieren.esf_ClientSummary) ") }, "name": "esf_ClientSummary", "selectOnFocus": true });
    var keep_volatiles_4_panel937 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.dupable_clients_Word935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.esf_ClientSummary936, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.pcsw_Dispense940 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dispenzen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(Fusionieren.pcsw_Dispense) ") }, "name": "pcsw_Dispense", "selectOnFocus": true });
    this.addresses_Address941 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_5_panel942 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.pcsw_Dispense940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account945 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel946 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel922, keep_volatiles_2_panel927, keep_volatiles_3_panel932, keep_volatiles_4_panel937, keep_volatiles_5_panel942, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account945, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason948 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to919, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel946, { "anchor": "-20", "autoHeight": true, "items": this.reason948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to919, this.aids_IncomeConfirmation920, this.aids_RefundConfirmation921, this.aids_SimpleConfirmation925, this.coachings_Coaching926, this.cv_LanguageKnowledge930, this.cv_PersonProperty931, this.dupable_clients_Word935, this.esf_ClientSummary936, this.pcsw_Dispense940, this.addresses_Address941, this.sepa_Account945, this.reason948 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.sign_in_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "fit",
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'sign_in',
  window_title: "Anmelden",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.username840 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(Anmelden.username) ") }, "name": "username", "selectOnFocus": true });
    this.password841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Passwort", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Passwort","(Anmelden.password) ") }, "name": "password", "selectOnFocus": true });
    var login_panel_panel842 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": this.username840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.password841, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = [ login_panel_panel842 ];
    this.fields = [ this.username840, this.password841 ];
    this.http_method = "POST"
    Lino.about.About.sign_in_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to888 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/GuestRoles/merge_row/merge_to" }) }) });
    this.reason889 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to888, this.reason889 ];
    this.http_method = "GET"
    Lino.cal.GuestRoles.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to873 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Companies/merge_row/merge_to" }) }) });
    this.addresses_Address874 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account875 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel876 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account875, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason879 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel876, { "anchor": "-20", "autoHeight": true, "items": this.reason879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to873, this.addresses_Address874, this.sepa_Account875, this.reason879 ];
    this.http_method = "GET"
    Lino.contacts.Companies.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1012 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/PaymentTerms/merge_row/merge_to" }) }) });
    this.reason1013 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1013, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1012, this.reason1013 ];
    this.http_method = "GET"
    Lino.ledger.PaymentTerms.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.change_password_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'change_password',
  window_title: "Passwort \u00e4ndern",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.current1029 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktuelles Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Aktuelles Passwort","(Passwort \u00e4ndern.current) The current password. Leave empty if the user has no password\nyet. And SiteAdmin users don't need to specify this at all.") }, "name": "current", "selectOnFocus": true });
    this.new11030 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort","(Passwort \u00e4ndern.new1) The new password.") }, "name": "new1", "selectOnFocus": true });
    this.new21031 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort nochmal</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort nochmal","(Passwort \u00e4ndern.new2) The new password a second time. Both passwords must match.") }, "name": "new2", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.current1029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new11030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new21031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.current1029, this.new11030, this.new21031 ];
    this.http_method = "GET"
    Lino.users.AllUsers.change_password_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to990 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/ContractTypes/merge_row/merge_to" }) }) });
    this.reason991 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to990, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason991, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to990, this.reason991 ];
    this.http_method = "GET"
    Lino.jobs.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user957 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/create_visit/user" }) }) });
    this.summary958 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary958, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user957, this.summary958 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.create_household_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_household',
  window_title: "Haushalt erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.head866 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Vorstand", "hiddenName": "headHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vorstand","(Haushalt erstellen.head) ") }, "name": "head", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/head" }) }) });
    this.type867 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "Haushaltsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(Haushalt erstellen.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/type" }) }) });
    this.partner868 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Partner","(Haushalt erstellen.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/partner" }) }) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.head866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.type867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.partner868, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.head866, this.type867, this.partner868 ];
    this.http_method = "GET"
    Lino.contacts.Persons.create_household_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to846 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Partners/merge_row/merge_to" }) }) });
    this.addresses_Address847 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account848 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel849 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account848, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason852 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel849, { "anchor": "-20", "autoHeight": true, "items": this.reason852, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to846, this.addresses_Address847, this.sepa_Account848, this.reason852 ];
    this.http_method = "GET"
    Lino.contacts.Partners.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'assign_coach',
  window_title: "Zuweisen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject1051 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zuweisen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body1052 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zuweisen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent1053 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zuweisen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject1051, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body1052, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent1053, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject1051, this.notify_body1052, this.notify_silent1053 ];
    this.http_method = "GET"
    Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1000 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Journals/merge_row/merge_to" }) }) });
    this.ledger_MatchRule1001 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichungsregeln","(Fusionieren.ledger_MatchRule) ") }, "name": "ledger_MatchRule", "selectOnFocus": true });
    this.reason1002 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.ledger_MatchRule1001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1002, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1000, this.ledger_MatchRule1001, this.reason1002 ];
    this.http_method = "GET"
    Lino.ledger.Journals.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to914 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/EventTypes/merge_row/merge_to" }) }) });
    this.reason915 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to914, this.reason915 ];
    this.http_method = "GET"
    Lino.cal.EventTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.checkin_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'checkin',
  window_title: "Einchecken",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject893 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Einchecken.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body894 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Einchecken.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent895 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Einchecken.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body894, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent895, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject893, this.notify_body894, this.notify_silent895 ];
    this.http_method = "GET"
    Lino.cal.Guests.checkin_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to967 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/households/Households/merge_row/merge_to" }) }) });
    this.households_Member968 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mitglieder", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(Fusionieren.households_Member) ") }, "name": "households_Member", "selectOnFocus": true });
    this.addresses_Address969 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_1_panel970 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.households_Member968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address969, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account973 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel974 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel970, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account973, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason976 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel974, { "anchor": "-20", "autoHeight": true, "items": this.reason976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to967, this.households_Member968, this.addresses_Address969, this.sepa_Account973, this.reason976 ];
    this.http_method = "GET"
    Lino.households.Households.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to995 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Accounts/merge_row/merge_to" }) }) });
    this.reason996 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to995, this.reason996 ];
    this.http_method = "GET"
    Lino.ledger.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1036 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/art61/ContractTypes/merge_row/merge_to" }) }) });
    this.reason1037 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1037, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1036, this.reason1037 ];
    this.http_method = "GET"
    Lino.art61.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user962 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/coachings/Coachings/create_visit/user" }) }) });
    this.summary963 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user962, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary963, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user962, this.summary963 ];
    this.http_method = "GET"
    Lino.coachings.Coachings.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-SimpleConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 135,
  initComponent : function() {
    var id1063 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.SimpleConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client1064 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var user1065 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var signer1066 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var workflow_buttons_disp1067 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.SimpleConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1068 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client1064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user1065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer1066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp1067, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting1074 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.SimpleConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var start_date1075 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1076 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel1077 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": granting1074, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date1075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date1076, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1081 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person1082 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var language1083 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp1084 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel1085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company1081, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person1082, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language1083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp1084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1090 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 41, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel1091 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1068, main_2_panel1077, main_3_panel1085, remark1090 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1091;
    this.before_row_edit = function(record) {
      contact_person1082.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark1090.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company1081 !== 'undefined' && company1081.on('change',Lino.chooser_handler(contact_person1082,'company'));
      Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 57,
  initComponent : function() {
    var overview_htmlbox1092 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.overview) A panel with general information about this client.") }, "name": "overview", "value": "<br/>" });
    var gender1093 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id1094 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(pcsw.Clients.id) ") }, "name": "id", "selectOnFocus": true });
    var tim_id1095 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "TIM-ID", "listeners": { "render": Lino.quicktip_renderer("TIM-ID","(pcsw.Clients.tim_id) ") }, "maxLength": 10, "name": "tim_id", "selectOnFocus": true });
    var general2_1_panel1096 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": gender1093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": id1094, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": tim_id1095, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1100 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name1101 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(pcsw.Clients.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name1102 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var general2_2_panel1103 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name1100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name1101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name1102, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date1107 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(pcsw.Clients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp1108 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var national_id1109 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var general2_3_panel1110 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": birth_date1107, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": age_disp1108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": national_id1109, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var nationality1114 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Staatsangeh\u00f6rigkeit</span>", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var declared_name1115 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Deklarierter Name", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Deklarierter Name","(pcsw.Clients.declared_name) ") }, "name": "declared_name", "selectOnFocus": true });
    var general2_4_panel1116 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": nationality1114, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": declared_name1115, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var civil_state1119 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zivilstand</span>", "forceSelection": true, "hiddenName": "civil_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zivilstand","(pcsw.Clients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "name": "civil_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var birth_country1120 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Geburtsland", "hiddenName": "birth_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Geburtsland","(pcsw.Clients.birth_country) ") }, "name": "birth_country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/birth_country" }) }) });
    var birth_place1121 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsort</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsort","(pcsw.Clients.birth_place) The birth place in plain text as it was on the eid card.") }, "maxLength": 200, "name": "birth_place", "selectOnFocus": true });
    var general2_5_panel1122 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": civil_state1119, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": birth_country1120, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": birth_place1121, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel1126 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 38, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1096, general2_2_panel1103, general2_3_panel1110, general2_4_panel1116, general2_5_panel1122 ], "labelAlign": "top", "layout": "form" });
    var language1127 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email1128 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(pcsw.Clients.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1129 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(pcsw.Clients.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var fax1130 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(pcsw.Clients.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var gsm1131 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(pcsw.Clients.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var general3_panel1132 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 19, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language1127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email1128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1129, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1131, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var image_htmlbox1138 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.image) Virtual field which displays the picture.") }, "name": "image", "value": "<br/>" });
    var general_1_panel1139 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1092, general2_panel1126, general3_panel1132, image_htmlbox1138 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid1144 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 70, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var AgentsByClient_htmlbox1145 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 30, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Termin machen mit","(pcsw.Clients.AgentsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "name": "AgentsByClient", "title": "Termin machen mit", "tools": [ Lino.show_in_own_window_button(Lino.reception.AgentsByClient.grid) ], "value": "<br/>" });
    var general_2_panel1146 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ reception_AppointmentsByPartner_grid1144, AgentsByClient_htmlbox1145 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1147 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1139, general_2_panel1146 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Person" });
    var dupable_clients_SimilarClients_htmlbox1148 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("\u00c4hnliche Klienten","(pcsw.Clients.dupable_clients.SimilarClients) Shows the other objects which are similar to this one.") }, "master_panel": this, "name": "dupable_clients.SimilarClients", "title": "\u00c4hnliche Klienten", "tools": [ Lino.show_in_own_window_button(Lino.dupable_clients.SimilarClients.grid) ], "value": "<br/>" });
    var humanlinks_LinksByHuman_htmlbox1149 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(pcsw.Clients.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks.LinksByHuman", "title": "Beziehungen", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var cbss_relations_htmlbox1150 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("ZDSS","(pcsw.Clients.cbss_relations) ") }, "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var contact_1_panel1151 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 3, "frame": false, "hideCheckBoxLabels": true, "items": [ dupable_clients_SimilarClients_htmlbox1148, humanlinks_LinksByHuman_htmlbox1149, cbss_relations_htmlbox1150 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var households_MembersByPerson_htmlbox1152 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(pcsw.Clients.households.MembersByPerson) ") }, "master_panel": this, "name": "households.MembersByPerson", "title": "Mitgliedschaft in Haushalten", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid1169 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushaltszusammensetzung","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_2_panel1170 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox1152, households_SiblingsByPerson_grid1169 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel1171 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel1151, contact_2_panel1170 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Beziehungen" });
    var workflow_buttons_disp1172 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(pcsw.Clients.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var id_document_disp1173 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Identifizierendes Dokument</span>", "listeners": { "render": Lino.quicktip_renderer("Identifizierendes Dokument","(pcsw.Clients.id_document) A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.") }, "name": "id_document", "value": "<br/>" });
    var newcomers_left_1_panel1174 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": workflow_buttons_disp1172, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": id_document_disp1173, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var broker1177 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Vermittler ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vermittler</span>", "hiddenName": "brokerHidden", "listeners": { "render": Lino.quicktip_renderer("Vermittler","(pcsw.Clients.broker) The Broker who sent this Newcomer.") }, "name": "broker", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/broker" }) }) });
    var faculty1178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.newcomers.Faculties.detail", "emptyText": "Fachbereich ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Fachbereich</span>", "hiddenName": "facultyHidden", "insert_action": "Lino.newcomers.Faculties.insert", "listeners": { "render": Lino.quicktip_renderer("Fachbereich","(pcsw.Clients.faculty) The Faculty this client has been attributed to.") }, "name": "faculty", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.newcomers.Faculties.detail,Lino.newcomers.Faculties.insert)}, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/faculty" }) }) });
    var refusal_reason1179 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablehnungsgrund", "forceSelection": true, "hiddenName": "refusal_reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Ablehnungsgrund","(pcsw.Clients.refusal_reason) ") }, "name": "refusal_reason", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var newcomers_left_panel1180 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ newcomers_left_1_panel1174, { "anchor": "-20", "autoHeight": true, "items": broker1177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": faculty1178, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": refusal_reason1179, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var newcomers_AvailableCoachesByClient_grid1363 = new Lino.newcomers.AvailableCoachesByClient.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Verf\u00fcgbare Begleiter","(newcomers.newcomers.AvailableCoachesByClient) Base class for all tables of User.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.AvailableCoachesByClient.grid) ] });
    var coaching_1_panel1364 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ newcomers_left_panel1180, newcomers_AvailableCoachesByClient_grid1363 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var clients_ContactsByClient_grid1373 = new Lino.clients.ContactsByClient.GridPanel({ "containing_panel": this, "flex": 33, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontakte","(clients.clients.ContactsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.clients.ContactsByClient.grid) ] });
    var coachings_CoachingsByClient_grid1382 = new Lino.coachings.CoachingsByClient.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByClient.grid) ] });
    var coaching_2_panel1383 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ clients_ContactsByClient_grid1373, coachings_CoachingsByClient_grid1382 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var coaching_panel1384 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ coaching_1_panel1364, coaching_2_panel1383 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleiter" });
    var in_belgium_since1385 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Lebt in Belgien seit", "listeners": { "render": Lino.quicktip_renderer("Lebt in Belgien seit","(pcsw.Clients.in_belgium_since) ") }, "name": "in_belgium_since", "selectOnFocus": true });
    var residence_type1386 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Einwohnerregister", "forceSelection": true, "hiddenName": "residence_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Einwohnerregister","(pcsw.Clients.residence_type) ") }, "name": "residence_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var gesdos_id1387 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gesdos-Nr", "listeners": { "render": Lino.quicktip_renderer("Gesdos-Nr","(pcsw.Clients.gesdos_id) ") }, "maxLength": 40, "name": "gesdos_id", "selectOnFocus": true });
    var status_1_panel1388 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": in_belgium_since1385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": residence_type1386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": gesdos_id1387, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_agents1392 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Interim-Agenturen", "listeners": { "render": Lino.quicktip_renderer("Interim-Agenturen","(pcsw.Clients.job_agents) ") }, "maxLength": 100, "name": "job_agents", "selectOnFocus": true });
    var group1393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Integrationsphase</span>", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(pcsw.Clients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/group" }) }) });
    var status_2_panel1394 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 56, "items": job_agents1392, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": group1393, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status_panel1397 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 68, "frame": true, "hideCheckBoxLabels": true, "items": [ status_1_panel1388, status_2_panel1394 ], "labelAlign": "top", "layout": "form" });
    var income_ag1398 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Arbeitslosengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Arbeitslosengeld","(pcsw.Clients.income_ag) ") }, "name": "income_ag", "selectOnFocus": true });
    var income_wg1399 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wartegeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wartegeld","(pcsw.Clients.income_wg) ") }, "name": "income_wg", "selectOnFocus": true });
    var income_1_panel1400 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_ag1398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_wg1399, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_kg1403 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Krankengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Krankengeld","(pcsw.Clients.income_kg) ") }, "name": "income_kg", "selectOnFocus": true });
    var income_rente1404 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Rente", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Rente","(pcsw.Clients.income_rente) ") }, "name": "income_rente", "selectOnFocus": true });
    var income_2_panel1405 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_kg1403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_rente1404, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_misc1408 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "andere Einkommen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("andere Einkommen","(pcsw.Clients.income_misc) ") }, "name": "income_misc", "selectOnFocus": true });
    var income_panel1409 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 31, "frame": true, "hideCheckBoxLabels": true, "items": [ income_1_panel1400, income_2_panel1405, { "anchor": "-20", "autoHeight": true, "items": income_misc1408, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var aids_tab_1_panel1411 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ status_panel1397, income_panel1409 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var sepa_AccountsByClient_grid1427 = new Lino.sepa.AccountsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByClient) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByClient.grid) ] });
    var aids_GrantingsByClient_grid1496 = new Lino.aids.GrantingsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfebeschl\u00fcsse","(aids.aids.GrantingsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByClient.grid) ] });
    var aids_tab_panel1497 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ aids_tab_1_panel1411, sepa_AccountsByClient_grid1427, aids_GrantingsByClient_grid1496 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Hilfen" });
    var pcsw_DispensesByClient_grid1503 = new Lino.pcsw.DispensesByClient.GridPanel({ "containing_panel": this, "flex": 3, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(pcsw.pcsw.DispensesByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.DispensesByClient.grid) ] });
    var pcsw_ExclusionsByClient_grid1509 = new Lino.pcsw.ExclusionsByClient.GridPanel({ "containing_panel": this, "flex": 3, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("AG-Sperren","(pcsw.pcsw.ExclusionsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.ExclusionsByClient.grid) ] });
    var suche_panel1510 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ pcsw_DispensesByClient_grid1503, pcsw_ExclusionsByClient_grid1509 ], "labelAlign": "top" });
    var seeking_since1511 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sucht Arbeit seit</span>", "listeners": { "render": Lino.quicktip_renderer("Sucht Arbeit seit","(pcsw.Clients.seeking_since) Since when the client is seeking for a job.") }, "name": "seeking_since", "selectOnFocus": true });
    var unemployed_since1512 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Arbeitslos seit</span>", "listeners": { "render": Lino.quicktip_renderer("Arbeitslos seit","(pcsw.Clients.unemployed_since) Since when the client has not been employed in any regular job.") }, "name": "unemployed_since", "selectOnFocus": true });
    var work_permit_suspended_until1513 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wartezeit bis", "listeners": { "render": Lino.quicktip_renderer("Wartezeit bis","(pcsw.Clients.work_permit_suspended_until) ") }, "name": "work_permit_suspended_until", "selectOnFocus": true });
    var papers_1_panel1514 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": seeking_since1511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": unemployed_since1512, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_suspended_until1513, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_residence_permit1518 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Aufenthaltserlaubnis", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Aufenthaltserlaubnis","(pcsw.Clients.needs_residence_permit) ") }, "name": "needs_residence_permit", "selectOnFocus": true });
    var needs_work_permit1519 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Arb.Erl.", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Arb.Erl.","(pcsw.Clients.needs_work_permit) ") }, "name": "needs_work_permit", "selectOnFocus": true });
    var papers_2_panel1520 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": needs_residence_permit1518, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": needs_work_permit1519, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByProject_htmlbox1523 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(pcsw.Clients.uploads.UploadsByProject) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByProject", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByProject.grid) ], "value": "<br/>" });
    var papers_panel1524 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ papers_1_panel1514, papers_2_panel1520, uploads_UploadsByProject_htmlbox1523 ], "labelAlign": "top", "labelWidth": 135, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var work_tab_1_panel1525 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ suche_panel1510, papers_panel1524 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Arbeitssuche" });
    var cvs_emitted_disp1526 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellte Lebensl\u00e4ufe</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellte Lebensl\u00e4ufe","(pcsw.Clients.cvs_emitted) A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).") }, "name": "cvs_emitted", "value": "<br/>" });
    var cv_StudiesByPerson_grid1582 = new Lino.cv.StudiesByPerson.GridPanel({ "containing_panel": this, "flex": 27, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByPerson.grid) ] });
    var cv_TrainingsByPerson_grid1659 = new Lino.cv.TrainingsByPerson.GridPanel({ "containing_panel": this, "flex": 27, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildungen","(cv.cv.TrainingsByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.TrainingsByPerson.grid) ] });
    var cv_ExperiencesByPerson_grid1727 = new Lino.cv.ExperiencesByPerson.GridPanel({ "containing_panel": this, "flex": 27, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByPerson.grid) ] });
    var career_panel1728 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": cvs_emitted_disp1526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cv_StudiesByPerson_grid1582, cv_TrainingsByPerson_grid1659, cv_ExperiencesByPerson_grid1727 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Lebenslauf" });
    var cv_LanguageKnowledgesByPerson_htmlbox1730 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(pcsw.Clients.cv.LanguageKnowledgesByPerson) ") }, "master_panel": this, "name": "cv.LanguageKnowledgesByPerson", "region": "north", "split": true, "title": "Sprachkenntnisse", "tools": [ Lino.show_in_own_window_button(Lino.cv.LanguageKnowledgesByPerson.grid) ], "value": "<br/>" });
    var xcourses_CourseRequestsByPerson_grid1766 = new Lino.xcourses.CourseRequestsByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursanfragen","(xcourses.xcourses.CourseRequestsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseRequestsByPerson.grid) ] });
    var languages_panel1767 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cv_LanguageKnowledgesByPerson_htmlbox1730, xcourses_CourseRequestsByPerson_grid1766 ], "labelAlign": "top", "labelWidth": 153, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sprachen" });
    var cv_SkillsByPerson_grid1775 = new Lino.cv.SkillsByPerson.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Fachkompetenzen","(cv.cv.SkillsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.SkillsByPerson.grid) ] });
    var cv_SoftSkillsByPerson_grid1783 = new Lino.cv.SoftSkillsByPerson.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Sozialkompetenzen","(cv.cv.SoftSkillsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.SoftSkillsByPerson.grid) ] });
    var skills1784 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Sonstige F\u00e4higkeiten", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Sonstige F\u00e4higkeiten","(pcsw.Clients.skills) ") }, "name": "skills", "selectOnFocus": true });
    var competences_1_panel1785 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ cv_SkillsByPerson_grid1775, cv_SoftSkillsByPerson_grid1783, { "flex": 23, "items": skills1784, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var cv_ObstaclesByPerson_grid1794 = new Lino.cv.ObstaclesByPerson.GridPanel({ "containing_panel": this, "flex": 61, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hindernisse","(cv.cv.ObstaclesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ObstaclesByPerson.grid) ] });
    var obstacles1795 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Sonstige Hindernisse", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Sonstige Hindernisse","(pcsw.Clients.obstacles) ") }, "name": "obstacles", "selectOnFocus": true });
    var competences_2_panel1796 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ cv_ObstaclesByPerson_grid1794, { "flex": 38, "items": obstacles1795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var competences_panel1798 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ competences_1_panel1785, competences_2_panel1796 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kompetenzen" });
    var isip_ContractsByClient_grid2114 = new Lino.isip.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByClient.grid) ] });
    var jobs_CandidaturesByPerson_grid2126 = new Lino.jobs.CandidaturesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByPerson.grid) ] });
    var jobs_ContractsByClient_grid2224 = new Lino.jobs.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByClient.grid) ] });
    var contracts_panel2225 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ isip_ContractsByClient_grid2114, jobs_CandidaturesByPerson_grid2126, jobs_ContractsByClient_grid2224 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Vertr\u00e4ge" });
    var notes_NotesByProject_htmlbox2226 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(pcsw.Clients.notes.NotesByProject) ") }, "master_panel": this, "name": "notes.NotesByProject", "region": "north", "split": true, "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByProject.grid) ], "value": "<br/>" });
    var excerpts_ExcerptsByProject_htmlbox2227 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bestehende Ausz\u00fcge","(pcsw.Clients.excerpts.ExcerptsByProject) Only used if lino.core.site.Site.project_model is set.") }, "master_panel": this, "name": "excerpts.ExcerptsByProject", "region": "center", "split": true, "title": "Bestehende Ausz\u00fcge", "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByProject.grid) ], "value": "<br/>" });
    var history_panel2228 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ notes_NotesByProject_htmlbox2226, excerpts_ExcerptsByProject_htmlbox2227 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Historie" });
    var cal_EntriesByClient_grid2275 = new Lino.cal.EntriesByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByClient) Table which shows all calendar events.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByClient.grid) ] });
    var cal_TasksByProject_grid2299 = new Lino.cal.TasksByProject.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByProject) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByProject.grid) ] });
    var calendar_panel2300 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByClient_grid2275, cal_TasksByProject_grid2299 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kalender" });
    var MovementsByProject_htmlbox2301 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "MovementsByProject", "title": "Buchhaltung", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByProject.grid) ], "value": "<br/>" });
    var activity2302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(pcsw.Clients.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/activity" }) }) });
    var client_state2303 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(pcsw.Clients.client_state) Pointer to ClientStates.") }, "name": "client_state", "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var noble_condition2304 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adelstitel</span>", "listeners": { "render": Lino.quicktip_renderer("Adelstitel","(pcsw.Clients.noble_condition) Eventueller Adelstitel") }, "maxLength": 50, "name": "noble_condition", "selectOnFocus": true });
    var unavailable_until2305 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Nicht verf\u00fcgbar bis", "listeners": { "render": Lino.quicktip_renderer("Nicht verf\u00fcgbar bis","(pcsw.Clients.unavailable_until) ") }, "name": "unavailable_until", "selectOnFocus": true });
    var unavailable_why2306 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(pcsw.Clients.unavailable_why) ") }, "maxLength": 100, "name": "unavailable_why", "selectOnFocus": true });
    var misc_1_panel2307 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": activity2302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": client_state2303, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": noble_condition2304, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": unavailable_until2305, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": unavailable_why2306, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var is_cpas2313 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sozialhilfeempf\u00e4nger", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sozialhilfeempf\u00e4nger","(pcsw.Clients.is_cpas) ") }, "name": "is_cpas", "selectOnFocus": true });
    var is_senior2314 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Altenheim", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Altenheim","(pcsw.Clients.is_senior) ") }, "name": "is_senior", "selectOnFocus": true });
    var is_obsolete2315 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(pcsw.Clients.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_2_panel2316 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": is_cpas2313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": is_senior2314, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": is_obsolete2315, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created2320 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(pcsw.Clients.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2321 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(pcsw.Clients.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_3_panel2322 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created2320, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified2321, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2325 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(pcsw.Clients.remarks) ") }, "name": "remarks" });
    var remarks22326 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen (Sozialsekretariat)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen (Sozialsekretariat)","(pcsw.Clients.remarks2) ") }, "name": "remarks2" });
    var misc_4_panel2327 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 38, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 50, "items": remarks2325, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 50, "items": remarks22326, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var checkdata_ProblemsByOwner_htmlbox2330 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Datenprobleme","(pcsw.Clients.checkdata.ProblemsByOwner) The base table for problem messages.") }, "master_panel": this, "name": "checkdata.ProblemsByOwner", "title": "Datenprobleme", "tools": [ Lino.show_in_own_window_button(Lino.checkdata.ProblemsByOwner.grid) ], "value": "<br/>" });
    var contacts_RolesByPerson_grid2336 = new Lino.contacts.RolesByPerson.GridPanel({ "containing_panel": this, "flex": 40, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktperson f\u00fcr","(contacts.contacts.RolesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByPerson.grid) ] });
    var misc_5_panel2337 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 38, "frame": false, "hideCheckBoxLabels": true, "items": [ checkdata_ProblemsByOwner_htmlbox2330, contacts_RolesByPerson_grid2336 ], "labelAlign": "top", "labelWidth": 126, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var misc_panel2338 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel2307, misc_2_panel2316, misc_3_panel2322, misc_4_panel2327, misc_5_panel2337 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var cbss_identify_person_disp2339 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "IdentifyPerson-Anfragen", "listeners": { "render": Lino.quicktip_renderer("IdentifyPerson-Anfragen","(pcsw.Clients.cbss_identify_person) ") }, "name": "cbss_identify_person", "value": "<br/>" });
    var cbss_manage_access_disp2340 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "ManageAccess-Anfragen", "listeners": { "render": Lino.quicktip_renderer("ManageAccess-Anfragen","(pcsw.Clients.cbss_manage_access) ") }, "name": "cbss_manage_access", "value": "<br/>" });
    var cbss_retrieve_ti_groups_disp2341 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Tx25-Anfragen", "listeners": { "render": Lino.quicktip_renderer("Tx25-Anfragen","(pcsw.Clients.cbss_retrieve_ti_groups) ") }, "name": "cbss_retrieve_ti_groups", "value": "<br/>" });
    var cbss_1_panel2342 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": cbss_identify_person_disp2339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": cbss_manage_access_disp2340, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": cbss_retrieve_ti_groups_disp2341, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_summary_htmlbox2346 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung ZDSS","(pcsw.Clients.cbss_summary) ") }, "name": "cbss_summary", "title": "Zusammenfassung ZDSS", "value": "<br/>" });
    var cbss_panel2347 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel2342, cbss_summary_htmlbox2346 ], "labelAlign": "top", "labelWidth": 189, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "ZDSS" });
    var debts_BudgetsByPartner_grid2464 = new Lino.debts.BudgetsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Hauptpartner in folgenden Budgets:","(debts.debts.BudgetsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.BudgetsByPartner.grid) ] });
    var debts_ActorsByPartner_grid2472 = new Lino.debts.ActorsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Akteur in folgenden Budgets:","(debts.debts.ActorsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByPartner.grid) ] });
    var debts_panel2473 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ debts_BudgetsByPartner_grid2464, debts_ActorsByPartner_grid2472 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Schuldnerberatung" });
    var main_panel2474 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1147, contact_panel1171, coaching_panel1384, aids_tab_panel1497, work_tab_1_panel1525, career_panel1728, languages_panel1767, competences_panel1798, contracts_panel2225, history_panel2228, calendar_panel2300, MovementsByProject_htmlbox2301, misc_panel2338, cbss_panel2347, debts_panel2473 ], "labelAlign": "top", "split": true });
    this.items = main_panel2474;
    this.before_row_edit = function(record) {
      overview_htmlbox1092.refresh();
      image_htmlbox1138.refresh();
      reception_AppointmentsByPartner_grid1144.on_master_changed();
      AgentsByClient_htmlbox1145.refresh();
      dupable_clients_SimilarClients_htmlbox1148.refresh();
      humanlinks_LinksByHuman_htmlbox1149.refresh();
      cbss_relations_htmlbox1150.refresh();
      households_MembersByPerson_htmlbox1152.refresh();
      households_SiblingsByPerson_grid1169.on_master_changed();
      newcomers_AvailableCoachesByClient_grid1363.on_master_changed();
      clients_ContactsByClient_grid1373.on_master_changed();
      coachings_CoachingsByClient_grid1382.on_master_changed();
      sepa_AccountsByClient_grid1427.on_master_changed();
      aids_GrantingsByClient_grid1496.on_master_changed();
      pcsw_DispensesByClient_grid1503.on_master_changed();
      pcsw_ExclusionsByClient_grid1509.on_master_changed();
      uploads_UploadsByProject_htmlbox1523.refresh();
      cv_StudiesByPerson_grid1582.on_master_changed();
      cv_TrainingsByPerson_grid1659.on_master_changed();
      cv_ExperiencesByPerson_grid1727.on_master_changed();
      cv_LanguageKnowledgesByPerson_htmlbox1730.refresh();
      xcourses_CourseRequestsByPerson_grid1766.on_master_changed();
      cv_SkillsByPerson_grid1775.on_master_changed();
      cv_SoftSkillsByPerson_grid1783.on_master_changed();
      cv_ObstaclesByPerson_grid1794.on_master_changed();
      isip_ContractsByClient_grid2114.on_master_changed();
      jobs_CandidaturesByPerson_grid2126.on_master_changed();
      jobs_ContractsByClient_grid2224.on_master_changed();
      notes_NotesByProject_htmlbox2226.refresh();
      excerpts_ExcerptsByProject_htmlbox2227.refresh();
      cal_EntriesByClient_grid2275.on_master_changed();
      cal_TasksByProject_grid2299.on_master_changed();
      MovementsByProject_htmlbox2301.refresh();
      checkdata_ProblemsByOwner_htmlbox2330.refresh();
      contacts_RolesByPerson_grid2336.on_master_changed();
      cbss_summary_htmlbox2346.refresh();
      debts_BudgetsByPartner_grid2464.on_master_changed();
      debts_ActorsByPartner_grid2472.on_master_changed();
    }
    Lino.pcsw.Clients.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    faculty1178.on("change", function(){ this.save() }, this);
  }
});


Lino.aids.Categories.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Categories",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 132,
  initComponent : function() {
    var id2475 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Categories.id) ") }, "name": "id", "selectOnFocus": true });
    var name2476 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.Categories.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2477 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.Categories.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2478 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.Categories.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2479 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id2475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name2476, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr2477, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en2478, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_IncomeConfirmationsByCategory_grid2538 = new Lino.aids.IncomeConfirmationsByCategory.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(aids.aids.IncomeConfirmationsByCategory) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.IncomeConfirmationsByCategory.grid) ] });
    var main_panel2539 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2479, aids_IncomeConfirmationsByCategory_grid2538 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2539;
    this.before_row_edit = function(record) {
      aids_IncomeConfirmationsByCategory_grid2538.on_master_changed();
    }
    Lino.aids.Categories.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 2,
  initComponent : function() {
    var isocode2540 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var name2541 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2542 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2543 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var short_code2544 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short code</span>", "listeners": { "render": Lino.quicktip_renderer("Short code","(countries.Countries.short_code) A short abbreviation for regional usage. Obsolete.") }, "maxLength": 4, "name": "short_code", "selectOnFocus": true });
    var inscode2545 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var actual_country2546 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Actual country</span>", "hiddenName": "actual_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Actual country","(countries.Countries.actual_country) Select the actual country if this row represents a refugee status or a former country.") }, "name": "actual_country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Countries/actual_country" }) }) });
    var main_1_panel2547 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": isocode2540, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name2541, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_fr2542, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_en2543, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": short_code2544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": inscode2545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": actual_country2546, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var countries_PlacesByCountry_grid2802 = new Lino.countries.PlacesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Orte","(countries.countries.PlacesByCountry) The table of known geographical places.\nA geographical place can be a city, a town, a suburb,\na province, a lake... any named geographic entity,\nexcept for countries because these have their own table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.countries.PlacesByCountry.grid) ] });
    var cv_StudiesByCountry_grid2819 = new Lino.cv.StudiesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByCountry) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByCountry.grid) ] });
    var main_2_panel2820 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ countries_PlacesByCountry_grid2802, cv_StudiesByCountry_grid2819 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2821 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2547, main_2_panel2820 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2821;
    this.before_row_edit = function(record) {
      countries_PlacesByCountry_grid2802.on_master_changed();
      cv_StudiesByCountry_grid2819.on_master_changed();
    }
    Lino.countries.Countries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 22,
  initComponent : function() {
    var id2822 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.ExcerptTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name2823 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2824 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2825 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2826 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id2822, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name2823, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr2824, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en2825, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type2831 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.gfks.ContentTypes.detail,null)}, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var build_method2832 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template2833 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template2834 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var email_template2835 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(excerpts.ExcerptTypes.email_template) The template to use when sending this an excerpt of this type\nby email.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/email_template" }) }) });
    var shortcut2836 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Excerpt shortcut","(excerpts.ExcerptTypes.shortcut) Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.excerpts.Shortcuts) });
    var main_2_panel2837 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": content_type2831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": build_method2832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": template2833, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": body_template2834, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": email_template2835, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": shortcut2836, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary2844 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var print_directly2845 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(excerpts.ExcerptTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var certifying2846 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var print_recipient2847 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Empf\u00e4nger drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger drucken","(excerpts.ExcerptTypes.print_recipient) Whether to print a recipient field in document.") }, "name": "print_recipient", "selectOnFocus": true });
    var backward_compat2848 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Backward compatible", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Backward compatible","(excerpts.ExcerptTypes.backward_compat) Check this to have `this` in template context point to owner instead of excerpt.") }, "name": "backward_compat", "selectOnFocus": true });
    var attach_to_email2849 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(excerpts.ExcerptTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_3_panel2850 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": primary2844, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_directly2845, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": certifying2846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_recipient2847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": backward_compat2848, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": attach_to_email2849, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpts_ExcerptsByType_grid2909 = new Lino.excerpts.ExcerptsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausz\u00fcge","(excerpts.excerpts.ExcerptsByType) Base class for all tables on Excerpt.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByType.grid) ] });
    var main_panel2910 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2826, main_2_panel2837, main_3_panel2850, excerpts_ExcerptsByType_grid2909 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2910;
    this.before_row_edit = function(record) {
      template2833.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template2833.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template2834.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      email_template2835.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      excerpts_ExcerptsByType_grid2909.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method2832 !== 'undefined' && build_method2832.on('change',Lino.chooser_handler(template2833,'build_method'));
      typeof content_type2831 !== 'undefined' && content_type2831.on('change',Lino.chooser_handler(template2833,'content_type'));
      typeof content_type2831 !== 'undefined' && content_type2831.on('change',Lino.chooser_handler(body_template2834,'content_type'));
      typeof content_type2831 !== 'undefined' && content_type2831.on('change',Lino.chooser_handler(email_template2835,'content_type'));
      Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel changes-Changes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 15,
  disable_editing: true,
  initComponent : function() {
    var time2734 = new Ext.form.DisplayField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "time", "listeners": { "render": Lino.quicktip_renderer("time","(changes.Changes.time) ") }, "name": "time", "selectOnFocus": true, "value": "<br>" });
    var user2735 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var type2736 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.type) ") }, "name": "type", "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var master_disp2737 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stammdaten</span>", "name": "master" });
    var object_disp2738 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Object</span>", "name": "object" });
    var id2739 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(changes.Changes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel2740 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": time2734, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user2735, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": type2736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": master_disp2737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_disp2738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id2739, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var diff2747 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "\u00c4nderungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.Changes.diff) ") }, "name": "diff" });
    var main_panel2748 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2740, { "flex": 83, "items": diff2747, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2748;
    this.before_row_edit = function(record) {
    }
    Lino.changes.Changes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 2,
  initComponent : function() {
    var isocode2911 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var inscode2912 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var main_1_panel2913 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": isocode2911, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": inscode2912, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name2916 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2917 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2918 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel2919 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2916, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2917, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2918, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2923 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2913, main_2_panel2919 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2923;
    this.before_row_edit = function(record) {
    }
    Lino.countries.Countries.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var name2924 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2925 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2926 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2927 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2924, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2926, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type2931 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.gfks.ContentTypes.detail,null)}, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var primary2932 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var certifying2933 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var main_2_panel2934 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": content_type2931, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": primary2932, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certifying2933, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method2938 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template2939 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template2940 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var main_3_panel2941 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": build_method2938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": template2939, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": body_template2940, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2945 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2927, main_2_panel2934, main_3_panel2941 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2945;
    this.before_row_edit = function(record) {
      template2939.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template2939.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template2940.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method2938 !== 'undefined' && build_method2938.on('change',Lino.chooser_handler(template2939,'build_method'));
      typeof content_type2931 !== 'undefined' && content_type2931.on('change',Lino.chooser_handler(template2939,'content_type'));
      typeof content_type2931 !== 'undefined' && content_type2931.on('change',Lino.chooser_handler(body_template2940,'content_type'));
      Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 133,
  initComponent : function() {
    var id2946 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.AidTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var short_name2947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">short name</span>", "listeners": { "render": Lino.quicktip_renderer("short name","(aids.AidTypes.short_name) The short name for internal use, e.g. when a user must select\nan aid type from a combobox.") }, "maxLength": 50, "name": "short_name", "selectOnFocus": true });
    var confirmation_type2948 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_1_panel2949 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id2946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": short_name2947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": confirmation_type2948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name2953 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2954 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2955 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel2956 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2953, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2954, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2955, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpt_title2960 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt title</span>", "listeners": { "render": Lino.quicktip_renderer("Excerpt title","(aids.AidTypes.excerpt_title) The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.") }, "maxLength": 200, "name": "excerpt_title", "selectOnFocus": true });
    var excerpt_title_fr2961 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (fr)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (fr)","(aids.AidTypes.excerpt_title_fr) ") }, "maxLength": 200, "name": "excerpt_title_fr", "selectOnFocus": true });
    var excerpt_title_en2962 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (en)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (en)","(aids.AidTypes.excerpt_title_en) ") }, "maxLength": 200, "name": "excerpt_title_en", "selectOnFocus": true });
    var main_3_panel2963 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": excerpt_title2960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_fr2961, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_en2962, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body_template2967 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(aids.AidTypes.body_template) The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type's\nbody_template.\nSee also /admin/printing.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/body_template" }) }) });
    var print_directly2968 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(aids.AidTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var is_integ_duty2969 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Verpflichtung DSBE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Verpflichtung DSBE","(aids.AidTypes.is_integ_duty) Whether aid grantings of this type are considered as duty for integration contract.") }, "name": "is_integ_duty", "selectOnFocus": true });
    var is_urgent2970 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dringend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dringend","(aids.AidTypes.is_urgent) Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()") }, "name": "is_urgent", "selectOnFocus": true });
    var confirmed_by_primary_coach2971 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4rbegleiter best\u00e4tigt", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4rbegleiter best\u00e4tigt","(aids.AidTypes.confirmed_by_primary_coach) Whether grantings for this aid type are to be signed by the\nclient's primary coach (see Client.get_primary_coach).") }, "name": "confirmed_by_primary_coach", "selectOnFocus": true });
    var board2972 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.AidTypes.board) Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/board" }) }) });
    var main_4_panel2973 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": body_template2967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": print_directly2968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_integ_duty2969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_urgent2970, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": confirmed_by_primary_coach2971, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": board2972, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2980 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(aids.AidTypes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/company" }) }) });
    var contact_person2981 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(aids.AidTypes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_person" }) }) });
    var contact_role2982 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(aids.AidTypes.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_role" }) }) });
    var pharmacy_type2983 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klientenkontaktart</span>", "hiddenName": "pharmacy_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(aids.AidTypes.pharmacy_type) A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).") }, "name": "pharmacy_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/pharmacy_type" }) }) });
    var main_5_panel2984 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": company2980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person2981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role2982, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": pharmacy_type2983, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_GrantingsByType_grid3021 = new Lino.aids.GrantingsByType.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfebeschl\u00fcsse","(aids.aids.GrantingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByType.grid) ] });
    var main_panel3022 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2949, main_2_panel2956, main_3_panel2963, main_4_panel2973, main_5_panel2984, aids_GrantingsByType_grid3021 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3022;
    this.before_row_edit = function(record) {
      body_template2967.setContextValue('confirmation_type', record ? record.data['confirmation_typeHidden'] : undefined);
      contact_person2981.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      aids_GrantingsByType_grid3021.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof confirmation_type2948 !== 'undefined' && confirmation_type2948.on('change',Lino.chooser_handler(body_template2967,'confirmation_type'));
      typeof company2980 !== 'undefined' && company2980.on('change',Lino.chooser_handler(contact_person2981,'company'));
      Lino.aids.AidTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.AidTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 133,
  initComponent : function() {
    var name3023 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3024 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3025 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3026 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3024, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3025, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var confirmation_type3030 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_panel3031 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3026, { "anchor": "-20", "autoHeight": true, "items": confirmation_type3030, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3031;
    this.before_row_edit = function(record) {
    }
    Lino.aids.AidTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 23,
  initComponent : function() {
    var excerpt_type2898 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.excerpts.ExcerptTypes.detail,Lino.excerpts.ExcerptTypes.insert)}, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project2899 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var main_1_panel2900 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": excerpt_type2898, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project2899, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2903 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person2904 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var main_2_panel2905 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company2903, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person2904, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2908 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2900, main_2_panel2905 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2908;
    this.before_row_edit = function(record) {
      excerpt_type2898.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person2904.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company2903 !== 'undefined' && company2903.on('change',Lino.chooser_handler(contact_person2904,'company'));
      Lino.excerpts.Excerpts.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 134,
  initComponent : function() {
    var id1444 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Grantings.id) ") }, "name": "id", "selectOnFocus": true });
    var client1445 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var user1446 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var signer1447 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var workflow_buttons_disp1448 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.Grantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1449 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client1445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user1446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer1447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp1448, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_date1455 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("Datum der Anfrage","(aids.Grantings.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var board1456 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date1457 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel1458 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": request_date1455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": board1456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": decision_date1457, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type1462 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category1463 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kategorie</span>", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "name": "category", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Categories.detail,null)}, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var start_date1464 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1465 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var custom_actions_disp1466 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("Aktionen","(aids.Grantings.custom_actions) ") }, "name": "custom_actions", "value": "<br/>" });
    var main_3_panel1467 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": aid_type1462, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": category1463, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date1464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date1465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": custom_actions_disp1466, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_ConfirmationsByGranting_grid1481 = new Lino.aids.ConfirmationsByGranting.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausgestellte Best\u00e4tigungen","(aids.aids.ConfirmationsByGranting) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.ConfirmationsByGranting.grid) ] });
    var main_panel1482 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1449, main_2_panel1458, main_3_panel1467, aids_ConfirmationsByGranting_grid1481 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1482;
    this.before_row_edit = function(record) {
      board1456.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      aids_ConfirmationsByGranting_grid1481.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof decision_date1457 !== 'undefined' && decision_date1457.on('change',Lino.chooser_handler(board1456,'decision_date'));
      Lino.aids.Grantings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 134,
  initComponent : function() {
    var client3003 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type3004 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var signer3005 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var main_2_panel3006 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": aid_type3004, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer3005, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var board3009 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date3010 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_3_panel3011 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board3009, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date3010, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3014 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3015 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_4_panel3016 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3015, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3019 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client3003, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3006, main_3_panel3011, main_4_panel3016 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3019;
    this.before_row_edit = function(record) {
      board3009.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date3010 !== 'undefined' && decision_date3010.on('change',Lino.chooser_handler(board3009,'decision_date'));
      Lino.aids.Grantings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.sepa.AccountsByPartner.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel sepa-AccountsByPartner",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 67,
  initComponent : function() {
    var iban1419 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(sepa.AccountsByPartner.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic1420 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(sepa.AccountsByPartner.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var main_1_panel1421 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 63, "items": iban1419, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": bic1420, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1424 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(sepa.AccountsByPartner.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel1425 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1421, { "anchor": "-20", "autoHeight": true, "items": remark1424, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1425;
    this.before_row_edit = function(record) {
    }
    Lino.sepa.AccountsByPartner.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 76,
  initComponent : function() {
    var entry_date3033 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3034 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.BankStatements.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var balance13035 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var balance23036 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neuer Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(finan.BankStatements.balance2) The new (or end) balance.") }, "name": "balance2", "selectOnFocus": true, "value": 0 });
    var general_left_1_panel3037 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": entry_date3033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": number3034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance13035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance23036, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3042 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.BankStatements.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var workflow_buttons_disp3043 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.BankStatements.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_left_2_panel3044 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": narration3042, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": workflow_buttons_disp3043, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_left_panel3047 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ general_left_1_panel3037, general_left_2_panel3044 ], "labelAlign": "top", "layout": "form" });
    var uploads_UploadsByController_htmlbox3048 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(finan.BankStatements.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var general_1_panel3049 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ general_left_panel3047, uploads_UploadsByController_htmlbox3048 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var finan_ItemsByBankStatement_grid3064 = new Lino.finan.ItemsByBankStatement.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Inhalt","(finan.finan.ItemsByBankStatement) Shows the items of a bank statement.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "tools": [ Lino.show_in_own_window_button(Lino.finan.ItemsByBankStatement.grid) ] });
    var general_panel3065 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3049, finan_ItemsByBankStatement_grid3064 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3066 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.BankStatements.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/journal" }) }) });
    var accounting_period3067 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.BankStatements.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/accounting_period" }) }) });
    var user3068 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatements.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/user" }) }) });
    var id3069 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.BankStatements.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3070 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3069, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3075 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.BankStatements.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/item_account" }) }) });
    var item_remark3076 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.BankStatements.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3077 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3076, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByVoucher_htmlbox3080 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(finan.BankStatements.MovementsByVoucher) Show the ledger movements generated by a given voucher.") }, "master_panel": this, "name": "MovementsByVoucher", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByVoucher.grid) ], "value": "<br/>" });
    var more_panel3081 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3070, more_2_panel3077, MovementsByVoucher_htmlbox3080 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3082 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3065, more_panel3081 ], "labelAlign": "top", "split": true });
    this.items = main_panel3082;
    this.before_row_edit = function(record) {
      uploads_UploadsByController_htmlbox3048.refresh();
      finan_ItemsByBankStatement_grid3064.on_master_changed();
      MovementsByVoucher_htmlbox3080.refresh();
    }
    Lino.finan.BankStatements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 76,
  initComponent : function() {
    var entry_date3083 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var balance13084 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var main_panel3085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date3083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": balance13084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3085;
    this.before_row_edit = function(record) {
    }
    Lino.finan.BankStatements.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropGroups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropGroups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 18,
  initComponent : function() {
    var id3088 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropGroups.id) ") }, "name": "id", "selectOnFocus": true });
    var name3089 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropGroups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3090 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropGroups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3091 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropGroups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3092 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3088, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3089, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3090, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3091, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var PropsByGroup_grid3127 = new Lino.properties.PropsByGroup.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(properties.properties.PropsByGroup) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.properties.PropsByGroup.grid) ] });
    var main_panel3128 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3092, PropsByGroup_grid3127 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3128;
    this.before_row_edit = function(record) {
      PropsByGroup_grid3127.on_master_changed();
    }
    Lino.properties.PropGroups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 16,
  initComponent : function() {
    var id3129 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3130 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3131 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3132 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var choicelist3133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Auswahliste", "hiddenName": "choicelistHidden", "listeners": { "render": Lino.quicktip_renderer("Auswahliste","(properties.PropTypes.choicelist) ") }, "name": "choicelist", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/choicelist" }) }) });
    var default_value3134 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert</span>", "hiddenName": "default_valueHidden", "listeners": { "render": Lino.quicktip_renderer("Standardwert","(properties.PropTypes.default_value) The default value to set when creating a PropertyOccurence.\nThis is currently used only in some fixture...") }, "name": "default_value", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/default_value" }) }) });
    var main_1_panel3135 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3129, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name3130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr3131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": choicelist3133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": default_value3134, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var ChoicesByType_grid3149 = new Lino.properties.ChoicesByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Auswahlm\u00f6glichkeiten","(properties.properties.ChoicesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.properties.ChoicesByType.grid) ] });
    var PropsByType_grid3157 = new Lino.properties.PropsByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(properties.properties.PropsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.properties.PropsByType.grid) ] });
    var main_panel3158 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3135, ChoicesByType_grid3149, PropsByType_grid3157 ], "labelAlign": "top" });
    this.items = main_panel3158;
    this.before_row_edit = function(record) {
      default_value3134.setContextValue('choicelist', record ? record.data['choicelist'] : undefined);
      ChoicesByType_grid3149.on_master_changed();
      PropsByType_grid3157.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof choicelist3133 !== 'undefined' && choicelist3133.on('change',Lino.chooser_handler(default_value3134,'choicelist'));
      Lino.properties.PropTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.properties.PropTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 96,
  initComponent : function() {
    var id1824 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client1825 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type1826 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var user1827 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var user_dsbe1828 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (DSBE)", "hiddenName": "user_dsbeHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (DSBE)","(isip.Contracts.user_dsbe) ") }, "name": "user_dsbe", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    var user_asd1829 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(isip.Contracts.user_asd) ") }, "name": "user_asd", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var general_1_panel1830 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id1824, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": client1825, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type1826, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user1827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_dsbe1828, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_asd1829, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var study_type1837 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var applies_from1838 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(isip.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var applies_until1839 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(isip.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy1840 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.Contracts.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var language1841 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(isip.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_2_panel1842 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": study_type1837, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_from1838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_until1839, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": exam_policy1840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": language1841, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided1848 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(isip.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued1849 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(isip.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var printed_disp1850 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(isip.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var date_ended1851 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(isip.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending1852 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) ") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var general_3_panel1853 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date_decided1848, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_issued1849, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp1850, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_ended1851, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": ending1852, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var PartnersByContract_grid1882 = new Lino.isip.PartnersByContract.GridPanel({ "containing_panel": this, "flex": 33, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Vertragspartner","(isip.isip.PartnersByContract) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.PartnersByContract.grid) ] });
    var cal_TasksByController_grid1904 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 48, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var cal_EntriesByController_grid2096 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 51, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var general_5_panel2097 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 33, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_TasksByController_grid1904, cal_EntriesByController_grid2096 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2098 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1830, general_2_panel1842, general_3_panel1853, PartnersByContract_grid1882, general_5_panel2097 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var stages2099 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Etappen", "flex": 33, "name": "stages", "selectOnFocus": true, "title": "Etappen" });
    var goals2100 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Zielsetzungen", "flex": 33, "name": "goals", "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_person2101 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Person", "flex": 33, "name": "duties_person", "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var isip_1_panel2102 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ stages2099, goals2100, duties_person2101 ], "labelAlign": "top", "labelWidth": 207, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var duties_asd2103 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen ASD", "flex": 33, "name": "duties_asd", "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe2104 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen DSBE", "flex": 33, "name": "duties_dsbe", "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw2105 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen \u00d6SHZ", "flex": 33, "name": "duties_pcsw", "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var isip_2_panel2106 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ duties_asd2103, duties_dsbe2104, duties_pcsw2105 ], "labelAlign": "top", "labelWidth": 189, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var isip_panel2107 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ isip_1_panel2102, isip_2_panel2106 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "VSE" });
    var main_panel2108 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2098, isip_panel2107 ], "labelAlign": "top", "split": true });
    this.items = main_panel2108;
    this.before_row_edit = function(record) {
      PartnersByContract_grid1882.on_master_changed();
      cal_TasksByController_grid1904.on_master_changed();
      cal_EntriesByController_grid2096.on_master_changed();
      stages2099.refresh();
      goals2100.refresh();
      duties_person2101.refresh();
      duties_asd2103.refresh();
      duties_dsbe2104.refresh();
      duties_pcsw2105.refresh();
    }
    Lino.isip.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 113,
  initComponent : function() {
    var id3159 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(newcomers.Faculties.id) ") }, "name": "id", "selectOnFocus": true });
    var name3160 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3161 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3162 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var weight3163 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_1_panel3164 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id3159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name3160, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr3161, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en3162, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": weight3163, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var CompetencesByFaculty_grid3176 = new Lino.newcomers.CompetencesByFaculty.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kompetenzen","(newcomers.newcomers.CompetencesByFaculty) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.CompetencesByFaculty.grid) ] });
    var ClientsByFaculty_grid3282 = new Lino.newcomers.ClientsByFaculty.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Klienten","(newcomers.newcomers.ClientsByFaculty) The list that opens by Contacts \u2023 Clients.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.ClientsByFaculty.grid) ] });
    var main_panel3283 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3164, CompetencesByFaculty_grid3176, ClientsByFaculty_grid3282 ], "labelAlign": "top" });
    this.items = main_panel3283;
    this.before_row_edit = function(record) {
      CompetencesByFaculty_grid3176.on_master_changed();
      ClientsByFaculty_grid3282.on_master_changed();
    }
    Lino.newcomers.Faculties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 96,
  initComponent : function() {
    var client2109 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type2110 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var main_panel2111 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type2110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2111;
    this.before_row_edit = function(record) {
    }
    Lino.isip.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 113,
  initComponent : function() {
    var name3284 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3285 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3286 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3287 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3285, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3286, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var weight3291 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_panel3292 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3287, { "anchor": "-20", "autoHeight": true, "items": weight3291, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3292;
    this.before_row_edit = function(record) {
    }
    Lino.newcomers.Faculties.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-IncomeConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 136,
  initComponent : function() {
    var client3294 = new Lino.TwinCombo({ "allowBlank": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "flex": 44, "hidden": true, "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmationsByGranting.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var granting3295 = new Lino.TwinCombo({ "allowBlank": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "flex": 55, "hidden": true, "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmationsByGranting.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    var main_1_panel3296 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ client3294, granting3295 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3297 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3298 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel3299 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3297, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3298, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category3302 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmationsByGranting.category) ") }, "name": "category", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Categories.detail,null)}, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount3303 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmationsByGranting.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_3_panel3304 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 62, "items": category3302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": amount3303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3307 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person3308 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var language3309 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_4_panel3310 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3307, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3309, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3314 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 55, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel3315 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3296, main_2_panel3299, main_3_panel3304, main_4_panel3310, remark3314 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3315;
    this.before_row_edit = function(record) {
      contact_person3308.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3314.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3307 !== 'undefined' && company3307.on('change',Lino.chooser_handler(contact_person3308,'company'));
      Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 68,
  disable_editing: true,
  initComponent : function() {
    var iban3316 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Accounts.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic3317 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Accounts.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var last_transaction3318 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("Last transaction","(b2c.Accounts.last_transaction) ") }, "name": "last_transaction", "selectOnFocus": true });
    var owner_name3319 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Accounts.owner_name) ") }, "maxLength": 70, "name": "owner_name", "selectOnFocus": true });
    var account_name3320 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Accounts.account_name) ") }, "maxLength": 70, "name": "account_name", "selectOnFocus": true });
    var partners_disp3321 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Partner", "listeners": { "render": Lino.quicktip_renderer("Partner","(b2c.Accounts.partners) ") }, "name": "partners", "value": "<br/>" });
    var main_1_panel3322 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": iban3316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": bic3317, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": last_transaction3318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": owner_name3319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": account_name3320, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": partners_disp3321, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var b2c_StatementsByAccount_grid3420 = new Lino.b2c.StatementsByAccount.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontoausz\u00fcge","(b2c.b2c.StatementsByAccount) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.b2c.StatementsByAccount.grid) ] });
    var main_panel3421 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3322, b2c_StatementsByAccount_grid3420 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3421;
    this.before_row_edit = function(record) {
      b2c_StatementsByAccount_grid3420.on_master_changed();
    }
    Lino.b2c.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.ExperiencesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-ExperiencesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 90,
  initComponent : function() {
    var start_date1716 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1717 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1718 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1716, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1717, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1721 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.ExperiencesByPerson.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var function1722 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var main_2_panel1723 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": company1721, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": function1722, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1726 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1718, main_2_panel1723 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1726;
    this.before_row_edit = function(record) {
      function1722.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cv.ExperiencesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-RefundConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var start_date3422 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3423 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel3424 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3423, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type3427 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "name": "doctor_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor3428 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmationsByGranting.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy3429 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    var main_2_panel3430 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type3427, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor3428, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy3429, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3434 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person3435 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var language3436 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp3437 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel3438 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company3434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person3435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language3436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp3437, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3443 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 50, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel3444 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3424, main_2_panel3430, main_3_panel3438, remark3443 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3444;
    this.before_row_edit = function(record) {
      doctor3428.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy3429.setContextValue('mk',bp['mk']);
      pharmacy3429.setContextValue('mt',bp['mt']);
      contact_person3435.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3443.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type3427 !== 'undefined' && doctor_type3427.on('change',Lino.chooser_handler(doctor3428,'doctor_type'));
      typeof company3434 !== 'undefined' && company3434.on('change',Lino.chooser_handler(contact_person3435,'company'));
      Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 24,
  initComponent : function() {
    var ref3445 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description3446 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel3447 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref3445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description3446, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir3450 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url3451 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_2_panel3452 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": root_dir3450, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": base_url3451, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox3455 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(uploads.Volumes.overview) ") }, "name": "overview", "value": "<br/>" });
    var main_panel3456 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3447, main_2_panel3452, overview_htmlbox3455 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3456;
    this.before_row_edit = function(record) {
      overview_htmlbox3455.refresh();
    }
    Lino.uploads.Volumes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 24,
  initComponent : function() {
    var ref3457 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description3458 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel3459 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref3457, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description3458, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir3462 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url3463 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_panel3464 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3459, { "anchor": "-20", "autoHeight": true, "items": root_dir3462, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": base_url3463, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3464;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.Volumes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 83,
  initComponent : function() {
    var person1632 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date1633 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1634 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1635 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": person1632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date1633, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date1634, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1639 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state1640 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1641 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel1642 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state1640, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates1641, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1646 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function1647 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel1648 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1647, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1651 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1652 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city1653 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel1654 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1652, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1653, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1658 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1635, main_2_panel1642, main_3_panel1648, main_4_panel1654 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1658;
    this.before_row_edit = function(record) {
      function1647.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1653.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1646 !== 'undefined' && sector1646.on('change',Lino.chooser_handler(function1647,'sector'));
      typeof country1652 !== 'undefined' && country1652.on('change',Lino.chooser_handler(city1653,'country'));
      Lino.cv.Trainings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 126,
  initComponent : function() {
    var date2360 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var partner2361 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var id2362 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Budgets.id) ") }, "name": "id", "selectOnFocus": true });
    var user2363 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var general_1_panel2364 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date2360, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": partner2361, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id2362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": user2363, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var intro2369 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Einleitung", "flex": 5, "name": "intro", "region": "center", "selectOnFocus": true, "split": true, "title": "Einleitung" });
    var ActorsByBudget_grid2377 = new Lino.debts.ActorsByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Budget-Akteure","(debts.debts.ActorsByBudget) To be filled if there is more than one person involved.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByBudget.grid) ] });
    var general_panel2378 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2364, intro2369, ActorsByBudget_grid2377 ], "labelAlign": "top", "labelWidth": 99, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var ExpensesByBudget_grid2390 = new Lino.debts.ExpensesByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausgaben","(debts.debts.ExpensesByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ExpensesByBudget.grid) ] });
    var IncomesByBudget_grid2402 = new Lino.debts.IncomesByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Incomes","(debts.debts.IncomesByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.IncomesByBudget.grid) ] });
    var entries1_panel2403 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ExpensesByBudget_grid2390, IncomesByBudget_grid2402 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Ausgaben und Eink\u00fcnfte" });
    var LiabilitiesByBudget_grid2417 = new Lino.debts.LiabilitiesByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Verpflichtungen","(debts.debts.LiabilitiesByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.LiabilitiesByBudget.grid) ] });
    var AssetsByBudget_grid2427 = new Lino.debts.AssetsByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Verm\u00f6gen","(debts.debts.AssetsByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.AssetsByBudget.grid) ] });
    var entries2_panel2428 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ LiabilitiesByBudget_grid2417, AssetsByBudget_grid2427 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Verpflichtungen & Verm\u00f6gen" });
    var ResultByBudget_htmlbox2429 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Einnahmen & Ausgaben","(debts.Budgets.ResultByBudget) Shows the Incomes & Expenses for this budget.") }, "master_panel": this, "name": "ResultByBudget", "region": "north", "split": true, "title": "Einnahmen & Ausgaben", "tools": [ Lino.show_in_own_window_button(Lino.debts.ResultByBudget.grid) ], "value": "<br/>" });
    var DebtsByBudget_htmlbox2430 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Verpflichtungen","(debts.Budgets.DebtsByBudget) ") }, "master_panel": this, "name": "DebtsByBudget", "region": "center", "split": true, "title": "Verpflichtungen", "tools": [ Lino.show_in_own_window_button(Lino.debts.DebtsByBudget.grid) ], "value": "<br/>" });
    var AssetsByBudgetSummary_htmlbox2431 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Verm\u00f6gen","(debts.Budgets.AssetsByBudgetSummary) ") }, "master_panel": this, "name": "AssetsByBudgetSummary", "region": "south", "split": true, "title": "Verm\u00f6gen", "tools": [ Lino.show_in_own_window_button(Lino.debts.AssetsByBudgetSummary.grid) ], "value": "<br/>" });
    var summary1_panel2432 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ ResultByBudget_htmlbox2429, DebtsByBudget_htmlbox2430, AssetsByBudgetSummary_htmlbox2431 ], "labelAlign": "top", "labelWidth": 189 });
    var conclusion2433 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Schlussfolgerung", "flex": 55, "name": "conclusion", "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount2434 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verteilbarer Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Verteilbarer Betrag","(debts.Budgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "name": "dist_amount", "selectOnFocus": true, "value": 120 });
    var printed_disp2435 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(debts.Budgets.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var total_debt2436 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "fieldLabel": "Gesamtschuld", "listeners": { "render": Lino.quicktip_renderer("Gesamtschuld","(debts.Budgets.total_debt) ") }, "name": "total_debt" });
    var summary2_2_panel2437 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": dist_amount2434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 55, "items": printed_disp2435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": total_debt2436, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var include_yearly_incomes2441 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("J\u00e4hrliche Einkommen ber\u00fccksichtigen","(debts.Budgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "name": "include_yearly_incomes", "selectOnFocus": true });
    var print_empty_rows2442 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch leere Eintr\u00e4ge drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch leere Eintr\u00e4ge drucken","(debts.Budgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "name": "print_empty_rows", "selectOnFocus": true });
    var print_todos2443 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "To-do-Liste drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("To-do-Liste drucken","(debts.Budgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "name": "print_todos", "selectOnFocus": true });
    var summary2_3_panel2444 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": include_yearly_incomes2441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_empty_rows2442, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_todos2443, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary2_panel2448 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 57, "frame": true, "hideCheckBoxLabels": true, "items": [ conclusion2433, summary2_2_panel2437, summary2_3_panel2444 ], "labelAlign": "top", "labelWidth": 153, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var summary_tab_1_panel2449 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 9, "frame": false, "hideCheckBoxLabels": true, "items": [ summary1_panel2432, summary2_panel2448 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var DistByBudget_htmlbox2450 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Schuldenverteilung","(debts.Budgets.DistByBudget) R\u00e9partition au marc-le-franc.\nA table with one row per entry in Liabilities which has \"distribute\" checked,\nproportionally distributing the `Distributable amount` among the debtors.\n") }, "master_panel": this, "name": "DistByBudget", "region": "center", "split": true, "title": "Schuldenverteilung", "tools": [ Lino.show_in_own_window_button(Lino.debts.DistByBudget.grid) ], "value": "<br/>" });
    var summary_tab_panel2451 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ summary_tab_1_panel2449, DistByBudget_htmlbox2450 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Zusammenfassung" });
    var data_box_htmlbox2452 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Erfasste Daten","(debts.Budgets.data_box) ") }, "name": "data_box", "region": "north", "split": true, "title": "Erfasste Daten", "value": "<br/>" });
    var summary_box_htmlbox2453 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung","(debts.Budgets.summary_box) ") }, "name": "summary_box", "region": "center", "split": true, "title": "Zusammenfassung", "value": "<br/>" });
    var preview_tab_panel2454 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ data_box_htmlbox2452, summary_box_htmlbox2453 ], "labelAlign": "top", "labelWidth": 144, "listeners": { "activate": Lino.on_tab_activate }, "title": "Vorschau" });
    var main_panel2455 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2378, entries1_panel2403, entries2_panel2428, summary_tab_panel2451, preview_tab_panel2454 ], "labelAlign": "top", "split": true });
    this.items = main_panel2455;
    this.before_row_edit = function(record) {
      intro2369.refresh();
      ActorsByBudget_grid2377.on_master_changed();
      ExpensesByBudget_grid2390.on_master_changed();
      IncomesByBudget_grid2402.on_master_changed();
      LiabilitiesByBudget_grid2417.on_master_changed();
      AssetsByBudget_grid2427.on_master_changed();
      ResultByBudget_htmlbox2429.refresh();
      DebtsByBudget_htmlbox2430.refresh();
      AssetsByBudgetSummary_htmlbox2431.refresh();
      conclusion2433.refresh();
      DistByBudget_htmlbox2450.refresh();
      data_box_htmlbox2452.refresh();
      summary_box_htmlbox2453.refresh();
    }
    Lino.debts.Budgets.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 141,
  initComponent : function() {
    var name3467 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user3468 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_panel3469 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name3467, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": user3468, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3469;
    this.before_row_edit = function(record) {
    }
    Lino.tinymce.TextFieldTemplates.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 131,
  initComponent : function() {
    var date3472 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(notes.Notes.date) ") }, "name": "date", "selectOnFocus": true });
    var time3473 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zeit", "listeners": { "render": Lino.quicktip_renderer("Zeit","(notes.Notes.time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "time", "selectOnFocus": true });
    var event_type3474 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type3475 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.NoteTypes.detail,Lino.notes.NoteTypes.insert)}, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var left_1_panel3476 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date3472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": time3473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": event_type3474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": type3475, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project3481 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject3482 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var important3483 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wichtig", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wichtig","(notes.Notes.important) ") }, "name": "important", "selectOnFocus": true });
    var left_2_panel3484 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": project3481, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": subject3482, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": important3483, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3488 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(notes.Notes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person3489 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(notes.Notes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var left_3_panel3490 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company3488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person3489, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user3493 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var language3494 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(notes.Notes.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time3495 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var id3496 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.Notes.id) ") }, "name": "id", "selectOnFocus": true });
    var left_4_panel3497 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user3493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": language3494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": build_time3495, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": id3496, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body3502 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 55, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var left_panel3503 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ left_1_panel3476, left_2_panel3484, left_3_panel3490, left_4_panel3497, body3502 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var uploads_UploadsByController_htmlbox3504 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(notes.Notes.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "region": "north", "split": true, "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var outbox_MailsByController_grid3505 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("E-Mail-Ausg\u00e4nge","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var cal_TasksByController_grid3506 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel3507 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox3504, outbox_MailsByController_grid3505, cal_TasksByController_grid3506 ], "labelAlign": "top", "labelWidth": 135 });
    var main_1_panel3508 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ left_panel3503, right_panel3507 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel3509 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3508 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel3509;
    this.before_row_edit = function(record) {
      contact_person3489.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body3502.refresh();
      uploads_UploadsByController_htmlbox3504.refresh();
      outbox_MailsByController_grid3505.on_master_changed();
      cal_TasksByController_grid3506.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company3488 !== 'undefined' && company3488.on('change',Lino.chooser_handler(contact_person3489,'company'));
      Lino.notes.Notes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.Notes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 25,
  initComponent : function() {
    var id3510 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.UploadTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var upload_area3511 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var shortcut3512 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Upload shortcut","(uploads.UploadTypes.shortcut) Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.uploads.Shortcuts) });
    var main_1_panel3513 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id3510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": upload_area3511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 63, "items": shortcut3512, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3517 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3518 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3519 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3520 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3518, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3519, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit3524 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value3525 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var wanted3526 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wanted", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wanted","(uploads.UploadTypes.wanted) Add a (+) button when there is no upload of this type.") }, "name": "wanted", "selectOnFocus": true });
    var max_number3527 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Max. number</span>", "listeners": { "render": Lino.quicktip_renderer("Max. number","(uploads.UploadTypes.max_number) No need to upload more uploads than N of this type.\n-1 means no limit.") }, "name": "max_number", "selectOnFocus": true, "value": -1 });
    var main_3_panel3528 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": warn_expiry_unit3524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": warn_expiry_value3525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": wanted3526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": max_number3527, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByType_grid3608 = new Lino.uploads.UploadsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(uploads.uploads.UploadsByType) Base class for all data views of upload files.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByType.grid) ] });
    var main_panel3609 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3513, main_2_panel3520, main_3_panel3528, uploads_UploadsByType_grid3608 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3609;
    this.before_row_edit = function(record) {
      uploads_UploadsByType_grid3608.on_master_changed();
    }
    Lino.uploads.UploadTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 99,
  initComponent : function() {
    var client2219 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var job2220 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var main_panel2221 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": job2220, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2221;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 25,
  initComponent : function() {
    var upload_area3610 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var name3611 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3612 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3613 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3614 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3613, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit3618 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value3619 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var main_3_panel3620 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 82, "items": warn_expiry_unit3618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": warn_expiry_value3619, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3623 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": upload_area3610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3614, main_3_panel3620 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3623;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.UploadTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  content_type: 11,
  initComponent : function() {
    var username1193 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var user_type1194 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var partner1195 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var box1_1_panel1196 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": username1193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": user_type1194, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": partner1195, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1200 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name1201 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var initials1202 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Initialien</span>", "listeners": { "render": Lino.quicktip_renderer("Initialien","(users.Users.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "maxLength": 10, "name": "initials", "selectOnFocus": true });
    var box1_2_panel1203 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": first_name1200, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": last_name1201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": initials1202, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var email1207 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var language1208 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var mail_mode1209 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benachrichtigungsmodus", "forceSelection": true, "hiddenName": "mail_modeHidden", "listeners": { "render": Lino.quicktip_renderer("Benachrichtigungsmodus","(users.Users.mail_mode) ") }, "name": "mail_mode", "selectOnFocus": true, "store": Lino.notify.MailModes });
    var box1_3_panel1210 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": email1207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": language1208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": mail_mode1209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id1214 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(users.Users.id) ") }, "name": "id", "selectOnFocus": true });
    var created1215 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(users.Users.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1216 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(users.Users.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var box1_4_panel1217 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id1214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": created1215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": modified1216, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var box1_panel1221 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel1196, box1_2_panel1203, box1_3_panel1210, box1_4_panel1217 ], "labelAlign": "top", "layout": "form" });
    var AuthoritiesGiven_grid1224 = new Lino.users.AuthoritiesGiven.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erteilte Vollmachten","(users.users.AuthoritiesGiven) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesGiven.grid) ] });
    var general_1_panel1225 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel1221, AuthoritiesGiven_grid1224 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1226 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(users.Users.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var AuthoritiesTaken_grid1229 = new Lino.users.AuthoritiesTaken.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erhaltene Vollmachten","(users.users.AuthoritiesTaken) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesTaken.grid) ] });
    var general_2_panel1230 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remarks1226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, AuthoritiesTaken_grid1229 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1232 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1225, general_2_panel1230 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var event_type1233 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(users.Users.event_type) The default type for your calendar entries.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/event_type" }) }) });
    var access_class1234 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardm\u00e4\u00dfige Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Standardm\u00e4\u00dfige Zugriffsklasse","(users.Users.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "name": "access_class", "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var cal_left_1_panel1235 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": event_type1233, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": access_class1234, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var calendar1238 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Calendars.detail", "emptyText": "Kalender ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User Calendar</span>", "hiddenName": "calendarHidden", "insert_action": "Lino.cal.Calendars.insert", "listeners": { "render": Lino.quicktip_renderer("User Calendar","(users.Users.calendar) Calendar where your events are published.") }, "name": "calendar", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Calendars.detail,Lino.cal.Calendars.insert)}, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/calendar" }) }) });
    var cal_SubscriptionsByUser_grid1244 = new Lino.cal.SubscriptionsByUser.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(cal.cal.SubscriptionsByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByUser.grid) ] });
    var cal_left_panel1245 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_left_1_panel1235, { "autoHeight": true, "items": calendar1238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_SubscriptionsByUser_grid1244 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_TasksByUser_grid1306 = new Lino.cal.TasksByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByUser) Shows the list of tasks for this user.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByUser.grid) ] });
    var cal_1_panel1307 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_left_panel1245, cal_TasksByUser_grid1306 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kalender" });
    var newcomer_quota1308 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Quote Erstempfang</span>", "listeners": { "render": Lino.quicktip_renderer("Quote Erstempfang","(users.Users.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "name": "newcomer_quota", "selectOnFocus": true, "value": 0 });
    var coaching_type1309 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(users.Users.coaching_type) The coaching type used for new coachings of this user.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/coaching_type" }) }) });
    var coaching_supervisor1310 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Coaching supervisor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Coaching supervisor","(users.Users.coaching_supervisor) Notify me when a coach has been assigned.") }, "name": "coaching_supervisor", "selectOnFocus": true });
    var newcomer_consultations1311 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": " Erstempfang direkt", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer(" Erstempfang direkt","(users.Users.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "name": "newcomer_consultations", "selectOnFocus": true });
    var newcomer_appointments1312 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erstempfang auf Vereinbarung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erstempfang auf Vereinbarung","(users.Users.newcomer_appointments) Accepts appointments for newcomers.") }, "name": "newcomer_appointments", "selectOnFocus": true });
    var newcomers_CompetencesByUser_grid1319 = new Lino.newcomers.CompetencesByUser.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kompetenzen","(newcomers.newcomers.CompetencesByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.CompetencesByUser.grid) ] });
    var coaching_a_panel1320 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": newcomer_quota1308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_type1309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_supervisor1310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_consultations1311, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_appointments1312, "labelAlign": "top", "layout": "form", "xtype": "panel" }, newcomers_CompetencesByUser_grid1319 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var coachings_CoachingsByUser_grid1333 = new Lino.coachings.CoachingsByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByUser) A table showing a set of coachings.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByUser.grid) ] });
    var coaching_1_panel1334 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ coaching_a_panel1320, coachings_CoachingsByUser_grid1333 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleitung" });
    var dashboard_WidgetsByUser_grid1343 = new Lino.dashboard.WidgetsByUser.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Dashboard", "tools": [ Lino.show_in_own_window_button(Lino.dashboard.WidgetsByUser.grid) ] });
    var main_panel1344 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1232, cal_1_panel1307, coaching_1_panel1334, dashboard_WidgetsByUser_grid1343 ], "labelAlign": "top", "split": true });
    this.items = main_panel1344;
    this.before_row_edit = function(record) {
      AuthoritiesGiven_grid1224.on_master_changed();
      AuthoritiesTaken_grid1229.on_master_changed();
      cal_SubscriptionsByUser_grid1244.on_master_changed();
      cal_TasksByUser_grid1306.on_master_changed();
      newcomers_CompetencesByUser_grid1319.on_master_changed();
      coachings_CoachingsByUser_grid1333.on_master_changed();
      dashboard_WidgetsByUser_grid1343.on_master_changed();
    }
    Lino.users.AllUsers.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    partner1195.on("change", function(){ this.save() }, this);
  }
});


Lino.gfks.ContentTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel gfks-ContentTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 12,
  initComponent : function() {
    var id3625 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(gfks.ContentTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var app_label3626 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "app label", "listeners": { "render": Lino.quicktip_renderer("app label","(gfks.ContentTypes.app_label) ") }, "maxLength": 100, "name": "app_label", "selectOnFocus": true });
    var model3627 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Python Modell-Klassenname", "listeners": { "render": Lino.quicktip_renderer("Python Modell-Klassenname","(gfks.ContentTypes.model) ") }, "maxLength": 100, "name": "model", "selectOnFocus": true });
    var base_classes_disp3628 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Base classes", "listeners": { "render": Lino.quicktip_renderer("Base classes","(gfks.ContentTypes.base_classes) ") }, "name": "base_classes", "value": "<br/>" });
    var main_1_panel3629 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id3625, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": app_label3626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": model3627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": base_classes_disp3628, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var HelpTextsByModel_grid3640 = new Lino.gfks.HelpTextsByModel.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfetexte","(gfks.gfks.HelpTextsByModel) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.gfks.HelpTextsByModel.grid) ] });
    var BrokenGFKsByModel_grid3645 = new Lino.gfks.BrokenGFKsByModel.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Broken GFKs","(gfks.gfks.BrokenGFKsByModel) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.gfks.BrokenGFKsByModel.grid) ] });
    var main_panel3646 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3629, HelpTextsByModel_grid3640, BrokenGFKsByModel_grid3645 ], "labelAlign": "top" });
    this.items = main_panel3646;
    this.before_row_edit = function(record) {
      HelpTextsByModel_grid3640.on_master_changed();
      BrokenGFKsByModel_grid3645.on_master_changed();
    }
    Lino.gfks.ContentTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file3591 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type3592 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var project3593 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var main_2_panel3594 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type3592, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project3593, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3597 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3598 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed3599 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_3_panel3600 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": start_date3597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": end_date3598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": needed3599, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3604 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel3605 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file3591, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3594, main_3_panel3600, { "anchor": "-20", "autoHeight": true, "items": description3604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3605;
    this.before_row_edit = function(record) {
      type3592.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.Uploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.CoachingEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel coachings-CoachingEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 47,
  initComponent : function() {
    var id3647 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(coachings.CoachingEndings.id) ") }, "name": "id", "selectOnFocus": true });
    var name3648 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(coachings.CoachingEndings.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3649 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(coachings.CoachingEndings.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3650 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(coachings.CoachingEndings.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var seqno3651 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(coachings.CoachingEndings.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var main_1_panel3652 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id3647, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name3648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr3649, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en3650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": seqno3651, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var CoachingsByEnding_grid3667 = new Lino.coachings.CoachingsByEnding.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByEnding) A table showing a set of coachings.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByEnding.grid) ] });
    var main_panel3668 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3652, CoachingsByEnding_grid3667 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3668;
    this.before_row_edit = function(record) {
      CoachingsByEnding_grid3667.on_master_changed();
    }
    Lino.coachings.CoachingEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByProject",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var start_date3669 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time3670 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time3671 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel3672 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date3669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time3670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time3671, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary3676 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type3677 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var main_panel3678 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3672, { "anchor": "-20", "autoHeight": true, "items": summary3676, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type3677, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3678;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var subject2039 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project2040 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var date2041 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum</span>", "listeners": { "render": Lino.quicktip_renderer("Datum","(outbox.Mails.date) \n        The official date to be printed on the document.\n        ") }, "name": "date", "selectOnFocus": true });
    var main_1_panel2042 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": subject2039, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": project2040, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": date2041, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2046 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }) });
    var sent2047 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "sent", "listeners": { "render": Lino.quicktip_renderer("sent","(outbox.Mails.sent) ") }, "name": "sent", "value": "<br>" });
    var id2048 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(outbox.Mails.id) ") }, "name": "id", "selectOnFocus": true });
    var owner_disp2049 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_2_panel2050 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": user2046, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": sent2047, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id2048, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": owner_disp2049, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var RecipientsByMail_grid2062 = new Lino.outbox.RecipientsByMail.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(outbox.outbox.RecipientsByMail) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.RecipientsByMail.grid) ] });
    var outbox_AttachmentsByMail_htmlbox2063 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Anh\u00e4nge","(outbox.Mails.outbox.AttachmentsByMail) ") }, "master_panel": this, "name": "outbox.AttachmentsByMail", "title": "Anh\u00e4nge", "tools": [ Lino.show_in_own_window_button(Lino.outbox.AttachmentsByMail.grid) ], "value": "<br/>" });
    var uploads_UploadsByController_htmlbox2064 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(outbox.Mails.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel2065 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 29, "frame": false, "hideCheckBoxLabels": true, "items": [ RecipientsByMail_grid2062, outbox_AttachmentsByMail_htmlbox2063, uploads_UploadsByController_htmlbox2064 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var body2066 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 58, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel2067 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2042, main_2_panel2050, main_3_panel2065, body2066 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2067;
    this.before_row_edit = function(record) {
      RecipientsByMail_grid2062.on_master_changed();
      outbox_AttachmentsByMail_htmlbox2063.refresh();
      uploads_UploadsByController_htmlbox2064.refresh();
      body2066.refresh();
    }
    Lino.outbox.Mails.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Statements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Statements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 69,
  disable_editing: true,
  initComponent : function() {
    var account3338 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Accounts.detail", "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "fieldLabel": "Importiertes  Bankkonto", "hiddenName": "accountHidden", "listeners": { "render": Lino.quicktip_renderer("Importiertes  Bankkonto","(b2c.Statements.account) ") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.b2c.Accounts.detail,null)}, "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var account__owner_name3339 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Statements.account__owner_name) ") }, "maxLength": 70, "name": "account__owner_name", "selectOnFocus": true, "sortable": false, "value": null });
    var top_left_1_panel3340 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": account3338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": account__owner_name3339, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account__account_name3343 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Statements.account__account_name) ") }, "maxLength": 70, "name": "account__account_name", "selectOnFocus": true, "sortable": false, "value": null });
    var statement_number3344 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsnummer</span>", "listeners": { "render": Lino.quicktip_renderer("Auszugsnummer","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "maxLength": 10, "name": "statement_number", "selectOnFocus": true });
    var local_currency3345 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("W\u00e4hrung","(b2c.Statements.local_currency) ") }, "maxLength": 3, "name": "local_currency", "selectOnFocus": true });
    var top_left_2_panel3346 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 58, "items": account__account_name3343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": statement_number3344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": local_currency3345, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_left_panel3350 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ top_left_1_panel3340, top_left_2_panel3346 ], "labelAlign": "top", "layout": "form" });
    var balance_start3351 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(b2c.Statements.balance_start) ") }, "name": "balance_start", "selectOnFocus": true });
    var start_date3352 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(b2c.Statements.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var top_right_1_panel3353 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_start3351, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": start_date3352, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var balance_end3356 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(b2c.Statements.balance_end) ") }, "name": "balance_end", "selectOnFocus": true });
    var end_date3357 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(b2c.Statements.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var top_right_2_panel3358 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_end3356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": end_date3357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_right_panel3361 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 37, "frame": true, "hideCheckBoxLabels": true, "items": [ top_right_1_panel3353, top_right_2_panel3358 ], "labelAlign": "top", "layout": "form" });
    var main_1_panel3362 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ top_left_panel3350, top_right_panel3361 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var b2c_TransactionsByStatement_grid3418 = new Lino.b2c.TransactionsByStatement.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Transaktionen","(b2c.b2c.TransactionsByStatement) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.b2c.TransactionsByStatement.grid) ] });
    var main_panel3419 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3362, b2c_TransactionsByStatement_grid3418 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3419;
    this.before_row_edit = function(record) {
      b2c_TransactionsByStatement_grid3418.on_master_changed();
    }
    Lino.b2c.Statements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var project2068 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var subject2069 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var body2070 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 71, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel2071 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": project2068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": subject2069, "labelAlign": "top", "layout": "form", "xtype": "panel" }, body2070 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2071;
    this.before_row_edit = function(record) {
      body2070.refresh();
    }
    Lino.outbox.Mails.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-PaymentOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 75,
  initComponent : function() {
    var entry_date3681 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.PaymentOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3682 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.PaymentOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var total3683 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.PaymentOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var execution_date3684 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausf\u00fchrungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(finan.PaymentOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "name": "execution_date", "selectOnFocus": true });
    var workflow_buttons_disp3685 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.PaymentOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel3686 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": entry_date3681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": number3682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": total3683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": execution_date3684, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": workflow_buttons_disp3685, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3692 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.PaymentOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var finan_ItemsByPaymentOrder_grid3706 = new Lino.finan.ItemsByPaymentOrder.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Inhalt","(finan.finan.ItemsByPaymentOrder) Shows the items of this voucher.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "tools": [ Lino.show_in_own_window_button(Lino.finan.ItemsByPaymentOrder.grid) ] });
    var general_panel3707 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3686, { "autoHeight": true, "items": narration3692, "labelAlign": "top", "layout": "form", "xtype": "panel" }, finan_ItemsByPaymentOrder_grid3706 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3709 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.PaymentOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/journal" }) }) });
    var accounting_period3710 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.PaymentOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/accounting_period" }) }) });
    var user3711 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/user" }) }) });
    var id3712 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.PaymentOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3713 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3709, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3710, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3711, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3712, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3718 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.PaymentOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/item_account" }) }) });
    var item_remark3719 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.PaymentOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3720 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3718, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3719, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByVoucher_htmlbox3723 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(finan.PaymentOrders.MovementsByVoucher) Show the ledger movements generated by a given voucher.") }, "master_panel": this, "name": "MovementsByVoucher", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByVoucher.grid) ], "value": "<br/>" });
    var more_panel3724 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3713, more_2_panel3720, MovementsByVoucher_htmlbox3723 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3725 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3707, more_panel3724 ], "labelAlign": "top", "split": true });
    this.items = main_panel3725;
    this.before_row_edit = function(record) {
      finan_ItemsByPaymentOrder_grid3706.on_master_changed();
      MovementsByVoucher_htmlbox3723.refresh();
    }
    Lino.finan.PaymentOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadsByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadsByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file3726 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type3727 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.UploadsByController.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var end_date3728 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed3729 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel3730 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type3727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date3728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needed3729, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3734 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel3735 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file3726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3730, { "anchor": "-20", "autoHeight": true, "items": description3734, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3735;
    this.before_row_edit = function(record) {
      type3727.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.UploadsByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Transactions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Transactions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 70,
  disable_editing: true,
  initComponent : function() {
    var statement3383 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Statements.detail", "emptyText": "Kontoauszug ausw\u00e4hlen...", "fieldLabel": "Kontoauszug", "hiddenName": "statementHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoauszug","(b2c.Transactions.statement) ") }, "name": "statement", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.b2c.Statements.detail,null)}, "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno3384 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "name": "seqno", "selectOnFocus": true });
    var booking_date3385 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(b2c.Transactions.booking_date) ") }, "name": "booking_date", "selectOnFocus": true });
    var value_date3386 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Valuta", "listeners": { "render": Lino.quicktip_renderer("Valuta","(b2c.Transactions.value_date) ") }, "name": "value_date", "selectOnFocus": true });
    var amount3387 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(b2c.Transactions.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_1_panel3388 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": statement3383, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno3384, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": booking_date3385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": value_date3386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": amount3387, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_account3394 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Transactions.remote_account) ") }, "maxLength": 64, "name": "remote_account", "selectOnFocus": true });
    var remote_bic3395 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Transactions.remote_bic) ") }, "maxLength": 11, "name": "remote_bic", "selectOnFocus": true });
    var eref3396 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End to end reference", "listeners": { "render": Lino.quicktip_renderer("End to end reference","(b2c.Transactions.eref) ") }, "maxLength": 128, "name": "eref", "selectOnFocus": true });
    var txcd_text_disp3397 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Transaktionscode", "listeners": { "render": Lino.quicktip_renderer("Transaktionscode","(b2c.Transactions.txcd_text) ") }, "name": "txcd_text", "value": "<br/>" });
    var main_2_panel3398 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": remote_account3394, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": remote_bic3395, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": eref3396, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": txcd_text_disp3397, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_owner3403 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Name Gegenpartei","(b2c.Transactions.remote_owner) ") }, "maxLength": 128, "name": "remote_owner", "selectOnFocus": true });
    var remote_owner_address3404 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Adresse Gegenpartei", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Adresse Gegenpartei","(b2c.Transactions.remote_owner_address) ") }, "name": "remote_owner_address", "selectOnFocus": true });
    var remote_owner_city3405 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Stadt Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Stadt Gegenpartei","(b2c.Transactions.remote_owner_city) ") }, "maxLength": 32, "name": "remote_owner_city", "selectOnFocus": true });
    var remote_owner_postalcode3406 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "PLZ Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("PLZ Gegenpartei","(b2c.Transactions.remote_owner_postalcode) ") }, "maxLength": 10, "name": "remote_owner_postalcode", "selectOnFocus": true });
    var remote_owner_country_code3407 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "Land Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Land Gegenpartei","(b2c.Transactions.remote_owner_country_code) ") }, "maxLength": 4, "name": "remote_owner_country_code", "selectOnFocus": true });
    var addr_right_panel3408 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": remote_owner_city3405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_postalcode3406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_country_code3407, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_4_panel3412 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 74, "items": remote_owner_address3404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, addr_right_panel3408 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var message3414 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Meldung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Meldung","(b2c.Transactions.message) ") }, "name": "message", "selectOnFocus": true });
    var main_panel3415 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3388, main_2_panel3398, { "autoHeight": true, "items": remote_owner3403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3412, { "flex": 33, "items": message3414, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3415;
    this.before_row_edit = function(record) {
    }
    Lino.b2c.Transactions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.MembersByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-MembersByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 121,
  initComponent : function() {
    var person3738 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Person", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(households.MembersByPerson.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    var role3739 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Rolle", "forceSelection": true, "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(households.MembersByPerson.role) ") }, "name": "role", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var household3740 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "Haushalt", "hiddenName": "householdHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("Haushalt","(households.MembersByPerson.household) ") }, "name": "household", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var primary3741 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "name": "primary", "selectOnFocus": true });
    var main_panel3742 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person3738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role3739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": household3740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": primary3741, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3742;
    this.before_row_edit = function(record) {
    }
    Lino.households.MembersByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.InvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-InvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var partner3747 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.InvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var entry_date3748 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.InvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel3749 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner3747, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date3748, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3749;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.InvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 39,
  initComponent : function() {
    var event_type1937 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var summary1938 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1939 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var general_1_panel1940 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": event_type1937, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": summary1938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": project1939, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1944 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time1945 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel1946 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date1944, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time1945, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date1949 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time1950 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel1951 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date1949, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time1950, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1954 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }) });
    var assigned_to1955 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.Events.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/assigned_to" }) }) });
    var general_2_panel1956 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel1946, end_panel1951, { "autoHeight": true, "flex": 24, "items": user1954, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": assigned_to1955, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room1959 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }) });
    var priority1960 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Priorit\u00e4t", "forceSelection": true, "hiddenName": "priorityHidden", "listeners": { "render": Lino.quicktip_renderer("Priorit\u00e4t","(cal.Events.priority) ") }, "name": "priority", "selectOnFocus": true, "store": Lino.xl.Priorities });
    var access_class1961 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Zugriffsklasse","(cal.Events.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "name": "access_class", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var transparent1962 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "nicht blockierend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("nicht blockierend","(cal.Events.transparent) Whether this entry should allow other entries at the same time.") }, "name": "transparent", "selectOnFocus": true });
    var general_3_panel1963 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": room1959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": priority1960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": access_class1961, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": transparent1962, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1968 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var workflow_buttons_disp1969 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Events.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_4_panel1970 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": owner_disp1968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 75, "items": workflow_buttons_disp1969, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1973 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Events.description) A longer descriptive text.") }, "name": "description", "selectOnFocus": true });
    var GuestsByEvent_grid2014 = new Lino.cal.GuestsByEvent.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Anwesenheiten","(cal.cal.GuestsByEvent) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByEvent.grid) ] });
    var general_5_panel2015 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": description1973, "labelAlign": "top", "layout": "form", "xtype": "panel" }, GuestsByEvent_grid2014 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2017 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1940, general_2_panel1956, general_3_panel1963, general_4_panel1970, general_5_panel2015 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var id2018 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Events.id) ") }, "name": "id", "selectOnFocus": true });
    var created2019 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Events.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2020 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Events.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var state2021 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Events.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var more_1_panel2022 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id2018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": created2019, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": modified2020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": state2021, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var outbox_MailsByController_grid2074 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("E-Mail-Ausg\u00e4nge","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var more_panel2075 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel2022, outbox_MailsByController_grid2074 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel2076 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2017, more_panel2075 ], "labelAlign": "top", "split": true });
    this.items = main_panel2076;
    this.before_row_edit = function(record) {
      GuestsByEvent_grid2014.on_master_changed();
      outbox_MailsByController_grid2074.on_master_changed();
    }
    Lino.cal.Events.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var summary2077 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2078 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2079 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel2080 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date2078, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time2079, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date2083 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2084 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel2085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date2083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time2084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_2_panel2088 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel2080, end_panel2085 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_type2089 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var project2090 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var main_3_panel2091 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type2089, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project2090, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2094 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary2077, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2088, main_3_panel2091 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2094;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Events.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 111,
  initComponent : function() {
    var date_submitted1741 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragedatum</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragedatum","(xcourses.CourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "name": "date_submitted", "selectOnFocus": true });
    var person1742 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(xcourses.CourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/person" }) }) });
    var content1743 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kursinhalt</span>", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "name": "content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/content" }) }) });
    var offer1744 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/offer" }) }) });
    var urgent1745 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "professionelle Eingliederung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("professionelle Eingliederung","(xcourses.CourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "name": "urgent", "selectOnFocus": true });
    var main_1_panel1746 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": date_submitted1741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": person1742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": content1743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": offer1744, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": urgent1745, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course1752 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.Courses.detail", "emptyText": "Kurs ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurs gefunden</span>", "hiddenName": "courseHidden", "insert_action": "Lino.xcourses.Courses.insert", "listeners": { "render": Lino.quicktip_renderer("Kurs gefunden","(xcourses.CourseRequests.course) The course which satisfies this request. Leave blank on open requests.") }, "name": "course", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.Courses.detail,Lino.xcourses.Courses.insert)}, "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course" }) }) });
    var state1753 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.state) ") }, "name": "state", "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended1754 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(xcourses.CourseRequests.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var id1755 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel1756 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": course1752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": state1753, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended1754, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id1755, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1761 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.CourseRequests.remark) ") }, "name": "remark", "selectOnFocus": true });
    var uploads_UploadsByController_htmlbox1762 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 33, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(xcourses.CourseRequests.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel1763 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remark1761, "labelAlign": "top", "layout": "form", "xtype": "panel" }, uploads_UploadsByController_htmlbox1762 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel1765 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1746, main_2_panel1756, main_3_panel1763 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1765;
    this.before_row_edit = function(record) {
      offer1744.setContextValue('content', record ? record.data['contentHidden'] : undefined);
      uploads_UploadsByController_htmlbox1762.refresh();
    }
    this.onRender = function(ct, position) {
      typeof content1743 !== 'undefined' && content1743.on('change',Lino.chooser_handler(offer1744,'content'));
      Lino.xcourses.CourseRequests.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.xcourses.CourseRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    offer1744.on("change", function(){ this.save() }, this);
  }
});


Lino.contacts.Partners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Partners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 7,
  initComponent : function() {
    var overview_htmlbox2647 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 31, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Partners.overview) ") }, "name": "overview", "value": "<br/>" });
    var id2648 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Partners.id) ") }, "name": "id", "selectOnFocus": true });
    var language2649 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Partners.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_1_panel2650 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id2648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language2649, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var activity2653 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Partners.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type2654 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Partners.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var url2655 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Partners.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel2656 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 47, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel2650, { "anchor": "-20", "autoHeight": true, "items": activity2653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": client_contact_type2654, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url2655, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email2660 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Partners.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone2661 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Partners.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm2662 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Partners.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax2663 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Partners.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel2664 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 21, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email2660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone2661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm2662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax2663, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel2669 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox2647, general2_panel2656, general3_panel2664 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid2670 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var general_panel2671 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2669, reception_AppointmentsByPartner_grid2670 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var country2672 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(contacts.Partners.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var region2673 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "Regierungsbezirk", "hiddenName": "regionHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Regierungsbezirk","(contacts.Partners.region) ") }, "name": "region", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var city2674 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code2675 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(contacts.Partners.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var address_box_1_panel2676 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": country2672, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": region2673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": city2674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": zip_code2675, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr12681 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street_prefix2682 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Pr\u00e4fix Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4fix Stra\u00dfe","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "maxLength": 200, "name": "street_prefix", "selectOnFocus": true });
    var street2683 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no2684 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(contacts.Partners.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box2685 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var address_box_3_panel2686 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": street_prefix2682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": street2683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_no2684, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_box2685, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr22691 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_box_panel2692 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_1_panel2676, { "anchor": "-20", "autoHeight": true, "items": addr12681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, address_box_3_panel2686, { "anchor": "-20", "autoHeight": true, "items": addr22691, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var remarks2695 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Partners.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid2705 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_2_panel2706 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks2695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid2705 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var contact_panel2708 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_panel2692, contact_2_panel2706 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term2709 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    var vatless_VouchersByPartner_htmlbox2710 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Partnerbelege","(contacts.Partners.vatless.VouchersByPartner) ") }, "master_panel": this, "name": "vatless.VouchersByPartner", "region": "center", "split": true, "title": "Partnerbelege", "tools": [ Lino.show_in_own_window_button(Lino.vatless.VouchersByPartner.grid) ], "value": "<br/>" });
    var ledger_MovementsByPartner_htmlbox2711 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(contacts.Partners.ledger.MovementsByPartner) Shows the ledger movements linked to a given partner.") }, "master_panel": this, "name": "ledger.MovementsByPartner", "region": "south", "split": true, "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByPartner.grid) ], "value": "<br/>" });
    var ledger_panel2712 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term2709, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" }, vatless_VouchersByPartner_htmlbox2710, ledger_MovementsByPartner_htmlbox2711 ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var is_obsolete2714 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var created2715 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Partners.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2716 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Partners.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_1_panel2717 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": is_obsolete2714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": created2715, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": modified2716, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var changes_ChangesByMaster_grid2750 = new Lino.changes.ChangesByMaster.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.changes.ChangesByMaster) Slave Table showing the changes related to the current object,\nincluding those applied to \"child\" objects.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.changes.ChangesByMaster.grid) ] });
    var misc_panel2751 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel2717, changes_ChangesByMaster_grid2750 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel2752 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2671, contact_panel2708, ledger_panel2712, misc_panel2751 ], "labelAlign": "top", "split": true });
    this.items = main_panel2752;
    this.before_row_edit = function(record) {
      overview_htmlbox2647.refresh();
      reception_AppointmentsByPartner_grid2670.on_master_changed();
      region2673.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city2674.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city2674.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      sepa_AccountsByPartner_grid2705.on_master_changed();
      vatless_VouchersByPartner_htmlbox2710.refresh();
      ledger_MovementsByPartner_htmlbox2711.refresh();
      changes_ChangesByMaster_grid2750.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country2672 !== 'undefined' && country2672.on('change',Lino.chooser_handler(region2673,'country'));
      typeof country2672 !== 'undefined' && country2672.on('change',Lino.chooser_handler(city2674,'country'));
      typeof region2673 !== 'undefined' && region2673.on('change',Lino.chooser_handler(city2674,'region'));
      Lino.contacts.Partners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.contacts.Partners.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city2674.on("change", function(){ this.save() }, this);
    zip_code2675.on("change", function(){ this.save() }, this);
  }
});


Lino.checkdata.Checkers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Checkers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  disable_editing: true,
  initComponent : function() {
    var value3752 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Wert", "listeners": { "render": Lino.quicktip_renderer("Wert","(checkdata.Checkers.value) ") }, "maxLength": 20, "name": "value" });
    var text3753 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Text", "listeners": { "render": Lino.quicktip_renderer("Text","(checkdata.Checkers.text) ") }, "maxLength": 50, "name": "text" });
    var main_1_panel3754 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": value3752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": text3753, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var checkdata_ProblemsByChecker_grid3777 = new Lino.checkdata.ProblemsByChecker.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Datenprobleme","(checkdata.checkdata.ProblemsByChecker) The base table for problem messages.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.checkdata.ProblemsByChecker.grid) ] });
    var main_panel3778 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3754, checkdata_ProblemsByChecker_grid3777 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3778;
    this.before_row_edit = function(record) {
      checkdata_ProblemsByChecker_grid3777.on_master_changed();
    }
    Lino.checkdata.Checkers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.system.SiteConfigs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel system-SiteConfigs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 1,
  initComponent : function() {
    var site_company3779 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Site operator</span>", "hiddenName": "site_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Site operator","(system.SiteConfigs.site_company) The site operator, i.e. the legal person that operates this\nLino site.") }, "name": "site_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_company" }) }) });
    var next_partner_id3780 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">N\u00e4chste Partnernummer</span>", "listeners": { "render": Lino.quicktip_renderer("N\u00e4chste Partnernummer","(system.SiteConfigs.next_partner_id) N\u00e4chste Partnernummer") }, "name": "next_partner_id", "selectOnFocus": true, "value": 100 });
    var general_1_panel3781 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": site_company3779, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": next_partner_id3780, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_office3784 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Lokales Arbeitsamt</span>", "hiddenName": "job_officeHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Lokales Arbeitsamt","(system.SiteConfigs.job_office) The Company whose contact persons\n            will be choices for `Person.job_office_contact`.") }, "name": "job_office", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/job_office" }) }) });
    var master_budget3785 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Budgets.detail", "emptyText": "Budget ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Budget-Kopiervorlage</span>", "hiddenName": "master_budgetHidden", "insert_action": "Lino.debts.Budgets.insert", "listeners": { "render": Lino.quicktip_renderer("Budget-Kopiervorlage","(system.SiteConfigs.master_budget) The budget whose content is to be         copied into new budgets.") }, "name": "master_budget", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Budgets.detail,Lino.debts.Budgets.insert)}, "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/master_budget" }) }) });
    var general_2_panel3786 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": job_office3784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": master_budget3785, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer13789 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Sekret\u00e4r", "hiddenName": "signer1Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Sekret\u00e4r","(system.SiteConfigs.signer1) ") }, "name": "signer1", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1" }) }) });
    var signer23790 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Pr\u00e4sident", "hiddenName": "signer2Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4sident","(system.SiteConfigs.signer2) ") }, "name": "signer2", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2" }) }) });
    var general_3_panel3791 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer13789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer23790, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer1_function3794 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des ersten Unterzeichners</span>", "hiddenName": "signer1_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des ersten Unterzeichners","(system.SiteConfigs.signer1_function) Kontaktfunktion \"Sekret\u00e4r\"") }, "name": "signer1_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1_function" }) }) });
    var signer2_function3795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des zweiten Unterzeichners</span>", "hiddenName": "signer2_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des zweiten Unterzeichners","(system.SiteConfigs.signer2_function) Kontaktfunktion \"Pr\u00e4sident\"") }, "name": "signer2_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2_function" }) }) });
    var general_4_panel3796 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer1_function3794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer2_function3795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel3799 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3781, general_2_panel3786, general_3_panel3791, general_4_panel3796 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var system_note_type3800 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default system note type</span>", "hiddenName": "system_note_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Default system note type","(system.SiteConfigs.system_note_type) Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.") }, "name": "system_note_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/system_note_type" }) }) });
    var default_build_method3801 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Konstruktionsmethode</span>", "forceSelection": true, "hiddenName": "default_build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Standard-Konstruktionsmethode","(system.SiteConfigs.default_build_method) The default build method to use when rendering printable documents.") }, "name": "default_build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var constants_1_panel3802 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": system_note_type3800, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": default_build_method3801, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var propgroup_skills3805 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe F\u00e4higkeiten</span>", "hiddenName": "propgroup_skillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe F\u00e4higkeiten","(system.SiteConfigs.propgroup_skills) The property group to be used as master for the SkillsByPerson table.") }, "name": "propgroup_skills", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_skills" }) }) });
    var propgroup_softskills3806 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Sozialkompetenzen</span>", "hiddenName": "propgroup_softskillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Sozialkompetenzen","(system.SiteConfigs.propgroup_softskills) The property group to be used as master for the SoftSkillsByPerson table.") }, "name": "propgroup_softskills", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_softskills" }) }) });
    var propgroup_obstacles3807 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Hindernisse</span>", "hiddenName": "propgroup_obstaclesHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Hindernisse","(system.SiteConfigs.propgroup_obstacles) The property group to be used as master for the ObstaclesByPerson table.") }, "name": "propgroup_obstacles", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_obstacles" }) }) });
    var constants_2_panel3808 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": propgroup_skills3805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_softskills3806, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_obstacles3807, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var residence_permit_upload_type3812 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Aufenthaltserlaubnis", "hiddenName": "residence_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Aufenthaltserlaubnis","(system.SiteConfigs.residence_permit_upload_type) ") }, "name": "residence_permit_upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/residence_permit_upload_type" }) }) });
    var work_permit_upload_type3813 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Arbeitserlaubnis", "hiddenName": "work_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Arbeitserlaubnis","(system.SiteConfigs.work_permit_upload_type) ") }, "name": "work_permit_upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/work_permit_upload_type" }) }) });
    var driving_licence_upload_type3814 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art F\u00fchrerschein", "hiddenName": "driving_licence_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art F\u00fchrerschein","(system.SiteConfigs.driving_licence_upload_type) ") }, "name": "driving_licence_upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/driving_licence_upload_type" }) }) });
    var constants_3_panel3815 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": residence_permit_upload_type3812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_upload_type3813, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": driving_licence_upload_type3814, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var default_event_type3819 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Kalenderintragsart</span>", "hiddenName": "default_event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Standard-Kalenderintragsart","(system.SiteConfigs.default_event_type) The default type of events on this site.") }, "name": "default_event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/default_event_type" }) }) });
    var prompt_calendar3820 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Default type for prompt events", "hiddenName": "prompt_calendarHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Default type for prompt events","(system.SiteConfigs.prompt_calendar) ") }, "name": "prompt_calendar", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/prompt_calendar" }) }) });
    var hide_events_before3821 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hide events before</span>", "listeners": { "render": Lino.quicktip_renderer("Hide events before","(system.SiteConfigs.hide_events_before) If this is specified, certain tables show only\nevents after the given date.") }, "name": "hide_events_before", "selectOnFocus": true });
    var constants_4_panel3822 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": default_event_type3819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": prompt_calendar3820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": hide_events_before3821, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_guestrole3826 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client guest role</span>", "hiddenName": "client_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Client guest role","(system.SiteConfigs.client_guestrole) Default guest role of client in calendar events.") }, "name": "client_guestrole", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_guestrole" }) }) });
    var team_guestrole3827 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "Rolle der anderen bei Gruppenterminen", "hiddenName": "team_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle der anderen bei Gruppenterminen","(system.SiteConfigs.team_guestrole) ") }, "name": "team_guestrole", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/team_guestrole" }) }) });
    var constants_5_panel3828 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": client_guestrole3826, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": team_guestrole3827, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var constants_panel3831 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ constants_1_panel3802, constants_2_panel3808, constants_3_panel3815, constants_4_panel3822, constants_5_panel3828 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Constants" });
    var cbss_org_unit3832 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragende Organisation</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragende Organisation","(system.SiteConfigs.cbss_org_unit)     In CBSS requests, identifies the requesting organization.\n    For PCSWs this is the enterprise number\n    (CBE, KBO) and should have 10 digits and no formatting characters.\n\n    Used in SSDN requests as text of the `AuthorizedUser\\OrgUnit` element .\n    Used in new style requests as text of the `CustomerIdentification\\cbeNumber` element .\n    ") }, "maxLength": 50, "name": "cbss_org_unit", "selectOnFocus": true });
    var sector3833 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("sector","(system.SiteConfigs.sector)     The CBSS sector/subsector of the requesting organization.\n    For PCSWs this is always 17.1.\n    Used in SSDN requests as text of the `MatrixID` and `MatrixSubID`\n    elements of `AuthorizedUser`.\n    Used in ManageAccess requests as default value\n    for the non-editable field `sector`\n    (which defines the choices of the `purpose` field).\n    ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cbss.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/sector" }) }) });
    var ssdn_user_id3834 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN User Id</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN User Id","(system.SiteConfigs.ssdn_user_id) Used in SSDN requests as text of the `AuthorizedUser\\UserID` element.") }, "maxLength": 50, "name": "ssdn_user_id", "selectOnFocus": true });
    var ssdn_email3835 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN email address</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN email address","(system.SiteConfigs.ssdn_email) Used in SSDN requests as text of the `AuthorizedUser\\Email` element.") }, "maxLength": 254, "name": "ssdn_email", "selectOnFocus": true });
    var cbss_1_panel3836 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": cbss_org_unit3832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector3833, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_user_id3834, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_email3835, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_http_username3841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP username</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP username","(system.SiteConfigs.cbss_http_username)             Used in the http header of new-style requests.\n            ") }, "maxLength": 50, "name": "cbss_http_username", "selectOnFocus": true });
    var cbss_http_password3842 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP password</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP password","(system.SiteConfigs.cbss_http_password) Used in the http header of new-style requests.") }, "maxLength": 50, "name": "cbss_http_password", "selectOnFocus": true });
    var cbss_2_panel3843 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": cbss_http_username3841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": cbss_http_password3842, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_panel3846 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel3836, cbss_2_panel3843 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "ZDSS" });
    var main_panel3847 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3799, constants_panel3831, cbss_panel3846 ], "labelAlign": "top", "split": true });
    this.items = main_panel3847;
    this.before_row_edit = function(record) {
    }
    Lino.system.SiteConfigs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country3848 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city3849 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var main_1_panel3850 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": country3848, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": city3849, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var street3853 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no3854 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box3855 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_2_panel3856 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street3853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no3854, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box3855, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var address_type3860 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark3861 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_3_panel3862 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type3860, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark3861, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3865 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3850, main_2_panel3856, main_3_panel3862 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3865;
    this.before_row_edit = function(record) {
      city3849.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3849.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country3848 !== 'undefined' && country3848.on('change',Lino.chooser_handler(city3849,'country'));
      Lino.addresses.Addresses.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 59,
  initComponent : function() {
    var ref3866 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name3867 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3868 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3869 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3870 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": ref3866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3869, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group3875 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type3876 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var main_panel3877 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3870, { "anchor": "-20", "autoHeight": true, "items": journal_group3875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_type3876, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3877;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Journals.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Studies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 84,
  initComponent : function() {
    var person1543 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Studies.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/person" }) }) });
    var start_date1544 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Studies.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1545 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Studies.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1546 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Studies.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1547 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1543, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1546, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1552 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Studies.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/type" }) }) });
    var content1553 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.Studies.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var education_level1554 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.Studies.education_level) Pointer to EducationLevel.") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/education_level" }) }) });
    var state1555 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Studies.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var main_2_panel1556 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": type1552, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": content1553, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": education_level1554, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state1555, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1561 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Studies.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1562 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Studies.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/country" }) }) });
    var city1563 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Studies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/city" }) }) });
    var main_3_panel1564 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1561, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1562, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1563, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1568 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Studies.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1569 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1547, main_2_panel1556, main_3_panel1564, { "flex": 62, "items": remarks1568, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1569;
    this.before_row_edit = function(record) {
      city1563.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1562 !== 'undefined' && country1562.on('change',Lino.chooser_handler(city1563,'country'));
      Lino.cv.Studies.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Studies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city1563.on("change", function(){ this.save() }, this);
  }
});


Lino.cal.RecurrentEvents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 37,
  initComponent : function() {
    var name3880 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3881 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3882 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3883 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3880, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3882, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id3887 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.RecurrentEvents.id) ") }, "name": "id", "selectOnFocus": true });
    var user3888 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }) });
    var event_type3889 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel3890 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id3887, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": user3888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": event_type3889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3894 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var start_time3895 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.RecurrentEvents.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date3896 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var end_time3897 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Endet um", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.RecurrentEvents.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel3898 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date3894, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time3895, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date3896, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time3897, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var every_unit3903 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var every3904 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(cal.RecurrentEvents.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var positions3905 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Positionen</span>", "listeners": { "render": Lino.quicktip_renderer("Positionen","(cal.RecurrentEvents.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "maxLength": 50, "name": "positions", "selectOnFocus": true });
    var max_events3906 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(cal.RecurrentEvents.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var main_4_panel3907 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": every_unit3903, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every3904, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": positions3905, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": max_events3906, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday3912 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(cal.RecurrentEvents.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday3913 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(cal.RecurrentEvents.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday3914 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(cal.RecurrentEvents.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday3915 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(cal.RecurrentEvents.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday3916 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(cal.RecurrentEvents.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday3917 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(cal.RecurrentEvents.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday3918 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(cal.RecurrentEvents.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_5_panel3919 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday3912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday3913, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday3914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday3915, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday3916, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday3917, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday3918, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3927 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 33, "name": "description", "selectOnFocus": true, "title": "Beschreibung" });
    var cal_EntriesByController_grid3928 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var main_6_panel3929 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ description3927, cal_EntriesByController_grid3928 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3930 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3883, main_2_panel3890, main_3_panel3898, main_4_panel3907, main_5_panel3919, main_6_panel3929 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3930;
    this.before_row_edit = function(record) {
      description3927.refresh();
      cal_EntriesByController_grid3928.on_master_changed();
    }
    Lino.cal.RecurrentEvents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 3,
  initComponent : function() {
    var name2566 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2567 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2568 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var country2569 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var inscode2570 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(5), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Places.inscode) The official code for this place used by statbel.fgov.be") }, "maxLength": 5, "name": "inscode", "selectOnFocus": true });
    var zip_code2571 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel2572 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": name2566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_fr2567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_en2568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": country2569, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": inscode2570, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": zip_code2571, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent2579 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var type2580 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var id2581 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(countries.Places.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel2582 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": parent2579, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": type2580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": id2581, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var PlacesByPlace_grid2797 = new Lino.countries.PlacesByPlace.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Unterteilungen","(countries.countries.PlacesByPlace) The table of known geographical places.\nA geographical place can be a city, a town, a suburb,\na province, a lake... any named geographic entity,\nexcept for countries because these have their own table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.countries.PlacesByPlace.grid) ] });
    var contacts_PartnersByCity_grid2798 = new Lino.contacts.PartnersByCity.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partner","(contacts.contacts.PartnersByCity) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.PartnersByCity.grid) ] });
    var cv_StudiesByPlace_grid2799 = new Lino.cv.StudiesByPlace.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByPlace) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByPlace.grid) ] });
    var main_4_panel2800 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ contacts_PartnersByCity_grid2798, cv_StudiesByPlace_grid2799 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2801 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2572, main_2_panel2582, PlacesByPlace_grid2797, main_4_panel2800 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2801;
    this.before_row_edit = function(record) {
      type2580.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      PlacesByPlace_grid2797.on_master_changed();
      contacts_PartnersByCity_grid2798.on_master_changed();
      cv_StudiesByPlace_grid2799.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country2569 !== 'undefined' && country2569.on('change',Lino.chooser_handler(type2580,'country'));
      Lino.countries.Places.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 37,
  initComponent : function() {
    var name3931 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3932 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3933 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3934 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3931, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3932, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3933, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3938 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var end_date3939 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var every_unit3940 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var event_type3941 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel3942 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": start_date3938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": end_date3939, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": every_unit3940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": event_type3941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3947 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3934, main_2_panel3942 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3947;
    this.before_row_edit = function(record) {
    }
    Lino.cal.RecurrentEvents.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-DisbursementOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 75,
  initComponent : function() {
    var journal3948 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.DisbursementOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/journal" }) }) });
    var number3949 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.DisbursementOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var voucher_date3950 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var entry_date3951 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.DisbursementOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var accounting_period3952 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.DisbursementOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/accounting_period" }) }) });
    var general_1_panel3953 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": journal3948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": number3949, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": voucher_date3950, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": entry_date3951, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": accounting_period3952, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3959 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/item_account" }) }) });
    var total3960 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.DisbursementOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var workflow_buttons_disp3961 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.DisbursementOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_2_panel3962 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": item_account3959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": total3960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": workflow_buttons_disp3961, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3966 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.DisbursementOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var item_remark3967 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.DisbursementOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var general_3_panel3968 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": narration3966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": item_remark3967, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var finan_ItemsByDisbursementOrder_grid3984 = new Lino.finan.ItemsByDisbursementOrder.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Inhalt","(finan.finan.ItemsByDisbursementOrder) Shows the items of this voucher.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "tools": [ Lino.show_in_own_window_button(Lino.finan.ItemsByDisbursementOrder.grid) ] });
    var general_panel3985 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3953, general_2_panel3962, general_3_panel3968, finan_ItemsByDisbursementOrder_grid3984 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var state3986 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrders.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user3987 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/user" }) }) });
    var id3988 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.DisbursementOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3989 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": state3986, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": user3987, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id3988, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByVoucher_htmlbox3993 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 75, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(finan.DisbursementOrders.MovementsByVoucher) Show the ledger movements generated by a given voucher.") }, "master_panel": this, "name": "MovementsByVoucher", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByVoucher.grid) ], "value": "<br/>" });
    var more_panel3994 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3989, MovementsByVoucher_htmlbox3993 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3995 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3985, more_panel3994 ], "labelAlign": "top", "split": true });
    this.items = main_panel3995;
    this.before_row_edit = function(record) {
      finan_ItemsByDisbursementOrder_grid3984.on_master_changed();
      MovementsByVoucher_htmlbox3993.refresh();
    }
    Lino.finan.DisbursementOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 3,
  initComponent : function() {
    var name2780 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2781 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2782 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2783 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2780, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2781, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2782, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var country2787 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var zip_code2788 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var type2789 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var main_3_panel2790 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 47, "items": zip_code2788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": type2789, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent2793 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var main_panel2794 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2783, { "anchor": "-20", "autoHeight": true, "items": country2787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2790, { "anchor": "-20", "autoHeight": true, "items": parent2793, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2794;
    this.before_row_edit = function(record) {
      type2789.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country2787 !== 'undefined' && country2787.on('change',Lino.chooser_handler(type2789,'country'));
      Lino.countries.Places.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 74,
  initComponent : function() {
    var entry_date3996 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var narration3997 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var main_panel3998 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date3996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": narration3997, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3998;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var name4001 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4002 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4003 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4004 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4003, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var invite_client4008 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var main_panel4009 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4004, { "anchor": "-20", "autoHeight": true, "items": invite_client4008, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4009;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 74,
  initComponent : function() {
    var entry_date4011 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number4012 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.FinancialVouchers.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var workflow_buttons_disp4013 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.FinancialVouchers.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel4014 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": entry_date4011, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": number4012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": workflow_buttons_disp4013, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration4018 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var finan_ItemsByJournalEntry_grid4032 = new Lino.finan.ItemsByJournalEntry.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Inhalt","(finan.finan.ItemsByJournalEntry) Shows the items of a journal entry.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "tools": [ Lino.show_in_own_window_button(Lino.finan.ItemsByJournalEntry.grid) ] });
    var general_panel4033 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4014, { "autoHeight": true, "items": narration4018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, finan_ItemsByJournalEntry_grid4032 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal4035 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/journal" }) }) });
    var accounting_period4036 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.FinancialVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/accounting_period" }) }) });
    var user4037 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.FinancialVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/user" }) }) });
    var id4038 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.FinancialVouchers.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel4039 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal4035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period4036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user4037, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4038, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account4044 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.FinancialVouchers.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/item_account" }) }) });
    var item_remark4045 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.FinancialVouchers.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel4046 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account4044, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark4045, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByVoucher_htmlbox4049 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(finan.FinancialVouchers.MovementsByVoucher) Show the ledger movements generated by a given voucher.") }, "master_panel": this, "name": "MovementsByVoucher", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByVoucher.grid) ], "value": "<br/>" });
    var more_panel4050 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel4039, more_2_panel4046, MovementsByVoucher_htmlbox4049 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel4051 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4033, more_panel4050 ], "labelAlign": "top", "split": true });
    this.items = main_panel4051;
    this.before_row_edit = function(record) {
      finan_ItemsByJournalEntry_grid4032.on_master_changed();
      MovementsByVoucher_htmlbox4049.refresh();
    }
    Lino.finan.FinancialVouchers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel utils-Report",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var body_htmlbox4052 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(utils.Report.body) ") }, "name": "body", "region": "center", "value": "<br/>" });
    var main_panel4053 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ body_htmlbox4052 ], "labelAlign": "top", "labelWidth": 0, "layout": "fit" });
    this.items = main_panel4053;
    this.before_row_edit = function(record) {
      body_htmlbox4052.refresh();
    }
    Lino.jobs.JobsOverview.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 38,
  initComponent : function() {
    var name4054 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4055 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4056 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4057 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4054, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4055, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4056, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_label4061 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung Termin</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin","(cal.EventTypes.event_label) Default text for summary of new entries.") }, "maxLength": 200, "name": "event_label", "selectOnFocus": true });
    var event_label_fr4062 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (fr)","(cal.EventTypes.event_label_fr) ") }, "maxLength": 200, "name": "event_label_fr", "selectOnFocus": true });
    var event_label_en4063 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (en)","(cal.EventTypes.event_label_en) ") }, "maxLength": 200, "name": "event_label_en", "selectOnFocus": true });
    var main_2_panel4064 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event_label4061, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_fr4062, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_en4063, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var planner_column4068 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Tagesplanerkolonne", "forceSelection": true, "hiddenName": "planner_columnHidden", "listeners": { "render": Lino.quicktip_renderer("Tagesplanerkolonne","(cal.EventTypes.planner_column) ") }, "name": "planner_column", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.PlannerColumns) });
    var max_conflicting4069 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gleichzeitige Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Gleichzeitige Termine","(cal.EventTypes.max_conflicting) How many conflicting events should be tolerated.") }, "name": "max_conflicting", "selectOnFocus": true, "value": 1 });
    var max_days4070 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage maximal</span>", "listeners": { "render": Lino.quicktip_renderer("Tage maximal","(cal.EventTypes.max_days) The maximal number of days allowed as duration. 0 means no limit.") }, "name": "max_days", "selectOnFocus": true, "value": 1 });
    var esf_field4071 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ESF field", "forceSelection": true, "hiddenName": "esf_fieldHidden", "listeners": { "render": Lino.quicktip_renderer("ESF field","(cal.EventTypes.esf_field) ") }, "name": "esf_field", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.StatisticalFields) });
    var email_template4072 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(cal.EventTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventTypes/email_template" }) }) });
    var id4073 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel4074 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": planner_column4068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_conflicting4069, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_days4070, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": esf_field4071, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": email_template4072, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4073, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var all_rooms4081 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert alle R\u00e4ume", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert alle R\u00e4ume","(cal.EventTypes.all_rooms) ") }, "name": "all_rooms", "selectOnFocus": true });
    var locks_user4082 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert den Autor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert den Autor","(cal.EventTypes.locks_user) Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.") }, "name": "locks_user", "selectOnFocus": true });
    var invite_client4083 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var is_appointment4084 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Termin", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Termin","(cal.EventTypes.is_appointment) Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).") }, "name": "is_appointment", "selectOnFocus": true });
    var attach_to_email4085 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(cal.EventTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_4_panel4086 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": all_rooms4081, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": locks_user4082, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": invite_client4083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": is_appointment4084, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": attach_to_email4085, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var EntriesByType_grid4123 = new Lino.cal.EntriesByType.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByType) Table which shows all calendar events.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByType.grid) ] });
    var main_panel4124 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4057, main_2_panel4064, main_3_panel4074, main_4_panel4086, EntriesByType_grid4123 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4124;
    this.before_row_edit = function(record) {
      EntriesByType_grid4123.on_master_changed();
    }
    Lino.cal.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var project4125 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var partner4126 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var entry_date4127 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel4128 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": project4125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner4126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date4127, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4128;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByGuest.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByGuest",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var start_date4132 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByGuest.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time4133 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByGuest.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time4134 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByGuest.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel4135 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date4132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time4133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time4134, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary4139 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type4140 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByGuest.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/event_type" }) }) });
    var main_panel4141 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4135, { "anchor": "-20", "autoHeight": true, "items": summary4139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type4140, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4141;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByGuest.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 23,
  initComponent : function() {
    var id2871 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.Excerpts.id) ") }, "name": "id", "selectOnFocus": true });
    var excerpt_type2872 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.excerpts.ExcerptTypes.detail,Lino.excerpts.ExcerptTypes.insert)}, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project2873 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var general_1_panel2874 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id2871, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type2872, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": project2873, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2878 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var build_method2879 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Druckmethode", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.Excerpts.build_method) ") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var general_2_panel2880 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": user2878, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": build_method2879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2883 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person2884 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var language2885 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_3_panel2886 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language2885, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp2890 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var build_time2891 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var general_4_panel2892 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": owner_disp2890, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": build_time2891, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel2895 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2874, general_2_panel2880, general_3_panel2886, general_4_panel2892 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var body_template_content2896 = new Ext.form.TextArea({ "allowBlank": false, "fieldLabel": "Konfigurierung", "growMax": 2000, "listeners": { "activate": Lino.on_tab_activate }, "name": "body_template_content", "selectOnFocus": true, "title": "Konfigurierung" });
    var main_panel2897 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2895, body_template_content2896 ], "labelAlign": "top", "split": true });
    this.items = main_panel2897;
    this.before_row_edit = function(record) {
      excerpt_type2872.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person2884.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof owner_disp2890 !== 'undefined' && owner_disp2890.on('change',Lino.chooser_handler(excerpt_type2872,'owner'));
      typeof company2883 !== 'undefined' && company2883.on('change',Lino.chooser_handler(contact_person2884,'company'));
      Lino.excerpts.Excerpts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var type4144 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description4145 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var file4146 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var volume4147 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file4148 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_4_panel4149 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": volume4147, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": library_file4148, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user4152 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_panel4153 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": type4144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": description4145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": file4146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4149, { "anchor": "-20", "autoHeight": true, "items": user4152, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4153;
    this.before_row_edit = function(record) {
      type4144.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      library_file4148.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume4147 !== 'undefined' && volume4147.on('change',Lino.chooser_handler(library_file4148,'volume'));
      Lino.uploads.AllUploads.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 141,
  initComponent : function() {
    var id4158 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(tinymce.TextFieldTemplates.id) ") }, "name": "id", "selectOnFocus": true });
    var name4159 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user4160 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_1_panel4161 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id4158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": name4159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": user4160, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description4165 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(tinymce.TextFieldTemplates.description) ") }, "name": "description", "selectOnFocus": true });
    var text4166 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Vorlagentext", "flex": 5, "name": "text", "region": "south", "selectOnFocus": true, "split": true, "title": "Vorlagentext" });
    var main_panel4167 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4161, { "flex": 5, "items": description4165, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, text4166 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel4167;
    this.before_row_edit = function(record) {
      text4166.refresh();
    }
    Lino.tinymce.TextFieldTemplates.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 31,
  initComponent : function() {
    var id4169 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name4170 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4171 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4172 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4173 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4170, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4171, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4172, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person4179 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var display_color4180 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_2_panel4181 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": company4178, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": contact_person4179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": display_color4180, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4185 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Rooms.description) ") }, "name": "description", "selectOnFocus": true });
    var cal_EntriesByRoom_grid4217 = new Lino.cal.EntriesByRoom.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByRoom) Displays the calendar entries at a given Room.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByRoom.grid) ] });
    var main_panel4218 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4173, main_2_panel4181, { "flex": 41, "items": description4185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_EntriesByRoom_grid4217 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4218;
    this.before_row_edit = function(record) {
      contact_person4179.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      cal_EntriesByRoom_grid4217.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company4178 !== 'undefined' && company4178.on('change',Lino.chooser_handler(contact_person4179,'company'));
      Lino.cal.Rooms.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 31,
  initComponent : function() {
    var id4220 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name4221 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4222 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4223 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var display_color4224 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_1_panel4225 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id4220, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name4221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_fr4222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_en4223, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": display_color4224, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4231 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person4232 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var main_panel4233 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4225, { "anchor": "-20", "autoHeight": true, "items": company4231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person4232, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4233;
    this.before_row_edit = function(record) {
      contact_person4232.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company4231 !== 'undefined' && company4231.on('change',Lino.chooser_handler(contact_person4232,'company'));
      Lino.cal.Rooms.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Experiences",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 90,
  initComponent : function() {
    var person1679 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Experiences.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/person" }) }) });
    var company1680 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.Experiences.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var country1681 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Experiences.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/country" }) }) });
    var city1682 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Experiences.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/city" }) }) });
    var main_1_panel1683 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": person1679, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company1680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": country1681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": city1682, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1688 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Experiences.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/sector" }) }) });
    var function1689 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/function" }) }) });
    var title1690 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_2_panel1691 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": sector1688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": function1689, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": title1690, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status1695 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(cv.Experiences.status) ") }, "name": "status", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Statuses.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/status" }) }) });
    var duration1696 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(cv.Experiences.duration) ") }, "name": "duration", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Durations.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/duration" }) }) });
    var regime1697 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(cv.Experiences.regime) ") }, "name": "regime", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Regimes.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/regime" }) }) });
    var is_training1698 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.Experiences.is_training) ") }, "name": "is_training", "selectOnFocus": true });
    var main_3_panel1699 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": status1695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": duration1696, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": regime1697, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_training1698, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1704 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Experiences.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1705 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Experiences.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1706 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Experiences.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var termination_reason1707 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(cv.Experiences.termination_reason) ") }, "maxLength": 200, "name": "termination_reason", "selectOnFocus": true });
    var main_4_panel1708 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date1704, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1705, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": duration_text1706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": termination_reason1707, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1713 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Experiences.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1714 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1683, main_2_panel1691, main_3_panel1699, main_4_panel1708, { "flex": 55, "items": remarks1713, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1714;
    this.before_row_edit = function(record) {
      city1682.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      function1689.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1681 !== 'undefined' && country1681.on('change',Lino.chooser_handler(city1682,'country'));
      typeof sector1688 !== 'undefined' && sector1688.on('change',Lino.chooser_handler(function1689,'sector'));
      Lino.cv.Experiences.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Experiences.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city1682.on("change", function(){ this.save() }, this);
  }
});


Lino.pcsw.Clients.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 57,
  initComponent : function() {
    var first_name3260 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name3261 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel3262 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name3260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name3261, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var national_id3265 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var gender3266 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var language3267 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_3_panel3268 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": gender3266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 64, "items": language3267, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3271 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3262, { "anchor": "-20", "autoHeight": true, "items": national_id3265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel3268 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3271;
    this.before_row_edit = function(record) {
    }
    Lino.pcsw.Clients.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel about-About",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var main_panel4237 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "html": "<div class=\"htmlText\"><span>Dies ist <a href=\"https://gitlab.com/lino-framework/weleup\" target=\"_blank\">Lino Welfare Eupen</a> 21.3.1 unter <a href=\"https://gitlab.com/lino-framework/lino\" target=\"_blank\">Lino</a> 22.8.0, <a href=\"http://www.djangoproject.com\" target=\"_blank\">Django</a> 4.1, <a href=\"http://www.python.org/\" target=\"_blank\">Python</a> 3.8.0, <a href=\"http://babel.edgewall.org/\" target=\"_blank\">Babel</a> 2.10.3, <a href=\"http://jinja.pocoo.org/\" target=\"_blank\">Jinja</a> 3.1.2, <a href=\"http://labix.org/python-dateutil\" target=\"_blank\">python-dateutil</a> 2.8.2, <a href=\"http://getbootstrap.com\" target=\"_blank\">Bootstrap</a> 3.3.4, <a href=\"http://www.sencha.com\" target=\"_blank\">ExtJS</a> <a href=\"#\" onclick=\"alert('ExtJS client version is ' + Ext.version);\" title=\"Click to see ExtJS client version\">(version)</a>, <a href=\"http://www.famfamfam.com/lab/icons/silk/\" target=\"_blank\">Silk Icons</a> 1.3, <a href=\"http://appyframework.org/pod.html\" target=\"_blank\">Appy</a> (unknown), <a href=\"http://ext.ensible.com/products/calendar/\" target=\"_blank\">Ext.ensible adapter</a> <a href=\"#\" onclick=\"alert('Extensible Calendar version is '             + Ext.ensible.version);\" title=\"Click to see Extensible Calendar version\">(version)</a>, <a href=\"https://pypi.org/project/suds-py3/\" target=\"_blank\">suds</a> 1.4.5.0, <a href=\"http://www.tinymce.com/\" target=\"_blank\">TinyMCE</a> 3.5.11, <a href=\"http://www.byte-force.com\" target=\"_blank\">Ext.ux.TinyMCE</a> 0.8.4</span><p>Sprachen: de, fr, en</p><p>Dies ist eine Demo-Anwendung.</p><p>Simuliertes Tagesdatum Donnerstag, 22. Mai 2014.</p><p>Enabled features: : </p><p>Source timestamps:</p><ul><li>Server timestamp : <b>24.08.22 um 20:49</b></li><li>lino_weleup : <b>19.08.21 um 05:38</b></li><li>django : <b>17.08.22 um 22:42</b></li><li>lino_cosi : <b>17.08.22 um 23:10</b></li><li>lino : <b>24.08.22 um 12:28</b></li><li>lino_xl : <b>24.08.22 um 17:06</b></li><li>lino_welfare : <b>24.08.22 um 20:49</b></li></ul><p>Complexity factors : 65 plugins, 142 models, 13 users, 16 user types, 530 views, 29 dialog actions</p></div>", "region": "center", "xtype": "label" } ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel4237;
    this.before_row_edit = function(record) {
    }
    Lino.about.About.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_participants', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 110,
  initComponent : function() {
    var start_date4238 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer4239 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var main_1_panel4240 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": start_date4238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": offer4239, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var title4243 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel4244 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4240, { "anchor": "-20", "autoHeight": true, "items": title4243, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4244;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.Courses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var journal4246 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var number4247 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.Invoices.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date4248 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date4249 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.Invoices.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period4250 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.Invoices.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/accounting_period" }) }) });
    var workflow_buttons_disp4251 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.Invoices.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel4252 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal4246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number4247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date4248, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date4249, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period4250, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp4251, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner4259 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var payment_term4260 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.Invoices.payment_term) The payment terms to be used in this document.  A pointer to\nPaymentTerm.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/payment_term" }) }) });
    var due_date4261 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.Invoices.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account4262 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.Invoices.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/bank_account" }) }) });
    var general_2_panel4263 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": partner4259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": payment_term4260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": due_date4261, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": bank_account4262, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var your_ref4268 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.Invoices.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var narration4269 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.Invoices.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var amount4270 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.Invoices.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_3_panel4271 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": your_ref4268, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": narration4269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": amount4270, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ItemsByInvoice_grid4284 = new Lino.vatless.ItemsByInvoice.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Inhalt","(vatless.vatless.ItemsByInvoice) Shows the items of this voucher.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "tools": [ Lino.show_in_own_window_button(Lino.vatless.ItemsByInvoice.grid) ] });
    var general_panel4285 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4252, general_2_panel4263, general_3_panel4271, ItemsByInvoice_grid4284 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match4286 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.Invoices.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/match" }) }) });
    var state4287 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user4288 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.Invoices.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/user" }) }) });
    var id4289 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.Invoices.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel4290 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match4286, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state4287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user4288, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id4289, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByVoucher_htmlbox4295 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 75, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(vatless.Invoices.MovementsByVoucher) Show the ledger movements generated by a given voucher.") }, "master_panel": this, "name": "MovementsByVoucher", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByVoucher.grid) ], "value": "<br/>" });
    var ledger_panel4296 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel4290, MovementsByVoucher_htmlbox4295 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel4297 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4285, ledger_panel4296 ], "labelAlign": "top", "split": true });
    this.items = main_panel4297;
    this.before_row_edit = function(record) {
      bank_account4262.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account4262.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      ItemsByInvoice_grid4284.on_master_changed();
      match4286.setContextValue('journal', record ? record.data['journalHidden'] : undefined);
      match4286.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      MovementsByVoucher_htmlbox4295.refresh();
    }
    this.onRender = function(ct, position) {
      typeof partner4259 !== 'undefined' && partner4259.on('change',Lino.chooser_handler(bank_account4262,'partner'));
      typeof journal4246 !== 'undefined' && journal4246.on('change',Lino.chooser_handler(match4286,'journal'));
      typeof partner4259 !== 'undefined' && partner4259.on('change',Lino.chooser_handler(match4286,'partner'));
      Lino.vatless.Invoices.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.Invoices.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 11,
  initComponent : function() {
    var username1345 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var email1346 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_1_panel1347 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": username1345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": email1346, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1350 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name1351 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var main_2_panel1352 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name1350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name1351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1355 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var language1356 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var user_type1357 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var main_4_panel1358 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": language1356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": user_type1357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1361 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1347, main_2_panel1352, { "anchor": "-20", "autoHeight": true, "items": partner1355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel1358 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1361;
    this.before_row_edit = function(record) {
    }
    Lino.users.AllUsers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var journal4298 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.ProjectInvoicesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/journal" }) }) });
    var number4299 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.ProjectInvoicesByJournal.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date4300 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date4301 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.ProjectInvoicesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period4302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.ProjectInvoicesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/accounting_period" }) }) });
    var workflow_buttons_disp4303 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.ProjectInvoicesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel4304 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal4298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number4299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date4300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date4301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period4302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp4303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project4311 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var narration4312 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.ProjectInvoicesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_2_panel4313 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": project4311, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": narration4312, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner4316 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var your_ref4317 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.ProjectInvoicesByJournal.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var general_3_panel4318 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": partner4316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": your_ref4317, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var payment_term4321 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.ProjectInvoicesByJournal.payment_term) The payment terms to be used in this document.  A pointer to\nPaymentTerm.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/payment_term" }) }) });
    var due_date4322 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.ProjectInvoicesByJournal.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account4323 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.ProjectInvoicesByJournal.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/bank_account" }) }) });
    var amount4324 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.ProjectInvoicesByJournal.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_4_panel4325 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": payment_term4321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": due_date4322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": bank_account4323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": amount4324, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ItemsByProjectInvoice_grid4339 = new Lino.vatless.ItemsByProjectInvoice.GridPanel({ "containing_panel": this, "flex": 45, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Inhalt","(vatless.vatless.ItemsByProjectInvoice) Shows the items of this voucher.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "tools": [ Lino.show_in_own_window_button(Lino.vatless.ItemsByProjectInvoice.grid) ] });
    var general_panel4340 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4304, general_2_panel4313, general_3_panel4318, general_4_panel4325, ItemsByProjectInvoice_grid4339 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match4341 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.ProjectInvoicesByJournal.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/match" }) }) });
    var state4342 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.ProjectInvoicesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user4343 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.ProjectInvoicesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/user" }) }) });
    var id4344 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.ProjectInvoicesByJournal.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel4345 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match4341, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state4342, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user4343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id4344, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByVoucher_htmlbox4350 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 75, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(vatless.ProjectInvoicesByJournal.MovementsByVoucher) Show the ledger movements generated by a given voucher.") }, "master_panel": this, "name": "MovementsByVoucher", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByVoucher.grid) ], "value": "<br/>" });
    var ledger_panel4351 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel4345, MovementsByVoucher_htmlbox4350 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel4352 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4340, ledger_panel4351 ], "labelAlign": "top", "split": true });
    this.items = main_panel4352;
    this.before_row_edit = function(record) {
      bank_account4323.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account4323.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      ItemsByProjectInvoice_grid4339.on_master_changed();
      var bp = this.get_base_params();
      match4341.setContextValue('mk',bp['mk']);
      match4341.setContextValue('mt',bp['mt']);
      match4341.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      MovementsByVoucher_htmlbox4350.refresh();
    }
    this.onRender = function(ct, position) {
      typeof partner4316 !== 'undefined' && partner4316.on('change',Lino.chooser_handler(bank_account4323,'partner'));
      typeof project4311 !== 'undefined' && project4311.on('change',Lino.chooser_handler(bank_account4323,'project'));
      typeof journal4298 !== 'undefined' && journal4298.on('change',Lino.chooser_handler(match4341,'journal'));
      typeof partner4316 !== 'undefined' && partner4316.on('change',Lino.chooser_handler(match4341,'partner'));
      Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 33,
  initComponent : function() {
    var name4353 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4354 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4355 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var color4356 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var id4357 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Calendars.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4358 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": name4353, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr4354, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en4355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": color4356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4357, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4364 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 52, "name": "description", "selectOnFocus": true, "title": "Beschreibung" });
    var SubscriptionsByCalendar_grid4370 = new Lino.cal.SubscriptionsByCalendar.GridPanel({ "containing_panel": this, "flex": 47, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(cal.cal.SubscriptionsByCalendar) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByCalendar.grid) ] });
    var main_2_panel4371 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ description4364, SubscriptionsByCalendar_grid4370 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4372 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4358, main_2_panel4371 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4372;
    this.before_row_edit = function(record) {
      description4364.refresh();
      SubscriptionsByCalendar_grid4370.on_master_changed();
    }
    Lino.cal.Calendars.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_participants', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 110,
  initComponent : function() {
    var id4373 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.Courses.id) ") }, "name": "id", "selectOnFocus": true });
    var start_date4374 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer4375 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var title4376 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_1_panel4377 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": id4373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": start_date4374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": offer4375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": title4376, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4382 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.Courses.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var xcourses_ParticipantsByCourse_grid4388 = new Lino.xcourses.ParticipantsByCourse.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Teilnehmer","(xcourses.xcourses.ParticipantsByCourse) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.ParticipantsByCourse.grid) ] });
    var xcourses_CandidatesByCourse_grid4395 = new Lino.xcourses.CandidatesByCourse.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kandidaten","(xcourses.xcourses.CandidatesByCourse) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CandidatesByCourse.grid) ] });
    var main_panel4396 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4377, { "autoHeight": true, "items": remark4382, "labelAlign": "top", "layout": "form", "xtype": "panel" }, xcourses_ParticipantsByCourse_grid4388, xcourses_CandidatesByCourse_grid4395 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4396;
    this.before_row_edit = function(record) {
      xcourses_ParticipantsByCourse_grid4388.on_master_changed();
      xcourses_CandidatesByCourse_grid4395.on_master_changed();
    }
    Lino.xcourses.Courses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 33,
  initComponent : function() {
    var name4398 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4399 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4400 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4401 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4400, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var color4405 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var main_panel4406 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4401, { "anchor": "-20", "autoHeight": true, "items": color4405, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4406;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Calendars.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 83,
  initComponent : function() {
    var person1601 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date1602 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1603 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1604 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1605 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1601, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1610 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state1611 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1612 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel1613 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state1611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates1612, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1617 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function1618 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel1619 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1622 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1623 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city1624 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel1625 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1622, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1623, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1624, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1629 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Trainings.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1630 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1605, main_2_panel1613, main_3_panel1619, main_4_panel1625, { "flex": 55, "items": remarks1629, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1630;
    this.before_row_edit = function(record) {
      function1618.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1624.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1617 !== 'undefined' && sector1617.on('change',Lino.chooser_handler(function1618,'sector'));
      typeof country1623 !== 'undefined' && country1623.on('change',Lino.chooser_handler(city1624,'country'));
      Lino.cv.Trainings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city1624.on("change", function(){ this.save() }, this);
  }
});


Lino.jobs.JobProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 104,
  initComponent : function() {
    var overview_htmlbox4408 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(jobs.JobProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix4409 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4410 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel4411 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix4409, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name4410, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id4415 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(jobs.JobProviders.vat_id) The VAT id used to identify this business partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel4416 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type4414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id4415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type4419 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(jobs.JobProviders.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var url4420 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(jobs.JobProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel4421 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel4411, general2_2_panel4416, { "anchor": "-20", "autoHeight": true, "items": client_contact_type4419, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url4420, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email4424 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(jobs.JobProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4425 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(jobs.JobProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4426 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax4427 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(jobs.JobProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel4428 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email4424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax4427, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel4433 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4408, general2_panel4421, general3_panel4428 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid4439 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel4440 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4433, contacts_RolesByCompany_grid4439 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox4441 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var JobsByProvider_grid4535 = new Lino.jobs.JobsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellen","(jobs.jobs.JobsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.JobsByProvider.grid) ] });
    var ContractsByProvider_grid4565 = new Lino.jobs.ContractsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByProvider.grid) ] });
    var jobs_panel4566 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ JobsByProvider_grid4535, ContractsByProvider_grid4565 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Stellen" });
    var main_panel4567 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4440, notes_NotesByCompany_htmlbox4441, jobs_panel4566 ], "labelAlign": "top", "split": true });
    this.items = main_panel4567;
    this.before_row_edit = function(record) {
      overview_htmlbox4408.refresh();
      contacts_RolesByCompany_grid4439.on_master_changed();
      notes_NotesByCompany_htmlbox4441.refresh();
      JobsByProvider_grid4535.on_master_changed();
      ContractsByProvider_grid4565.on_master_changed();
    }
    Lino.jobs.JobProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.ledger.PaymentTerms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-PaymentTerms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 62,
  initComponent : function() {
    var ref4568 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.PaymentTerms.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var months4569 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Monate</span>", "listeners": { "render": Lino.quicktip_renderer("Monate","(ledger.PaymentTerms.months) Number of months to add to voucher_date.") }, "name": "months", "selectOnFocus": true, "value": 0 });
    var days4570 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage</span>", "listeners": { "render": Lino.quicktip_renderer("Tage","(ledger.PaymentTerms.days) Number of days to add to voucher_date.") }, "name": "days", "selectOnFocus": true, "value": 0 });
    var end_of_month4571 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monatsende", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monatsende","(ledger.PaymentTerms.end_of_month) Whether to move voucher_date to the end of month.") }, "name": "end_of_month", "selectOnFocus": true });
    var main_1_panel4572 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": ref4568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": months4569, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": days4570, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": end_of_month4571, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4577 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.PaymentTerms.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4578 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.PaymentTerms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4579 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.PaymentTerms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4580 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4577, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4578, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4579, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_text4584 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed text</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text","(ledger.PaymentTerms.printed_text) Used in sales/VatProductInvoice/trailer.html as\nfollows:") }, "name": "printed_text", "selectOnFocus": true });
    var printed_text_fr4585 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (fr)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (fr)","(ledger.PaymentTerms.printed_text_fr) ") }, "name": "printed_text_fr", "selectOnFocus": true });
    var printed_text_en4586 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (en)","(ledger.PaymentTerms.printed_text_en) ") }, "name": "printed_text_en", "selectOnFocus": true });
    var main_3_panel4587 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": printed_text4584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_fr4585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_en4586, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4591 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4572, main_2_panel4580, main_3_panel4587 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4591;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.PaymentTerms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 117,
  initComponent : function() {
    var id4592 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.IdentifyPersonRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person4593 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var user4594 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var sent4595 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status4596 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.IdentifyPersonRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp4597 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.IdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel4598 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id4592, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person4593, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user4594, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent4595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status4596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp4597, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id4605 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var p1_panel4607 = new Ext.form.FieldSet({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": national_id4605, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 50, "html": "<br/>", "xtype": "label" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "title": "Suche per NISS" });
    var first_name4609 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name4610 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name4611 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel4612 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name4609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name4610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name4611, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date4616 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance4617 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender4618 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel4619 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date4616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance4617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender4618, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel4623 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 75, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel4612, p2_2_panel4619 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var parameters_panel4624 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel4607, p2_panel4623 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var IdentifyPersonResult_grid4635 = new Lino.cbss.IdentifyPersonResult.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Resultate","(cbss.cbss.IdentifyPersonResult) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.IdentifyPersonResult.grid) ] });
    var request_panel4636 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel4598, parameters_panel4624, IdentifyPersonResult_grid4635 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Abfrage" });
    var environment4637 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "disabled": true, "fieldLabel": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("T/A/B","(cbss.IdentifyPersonRequests.environment) ") }, "maxLength": 4, "name": "environment" });
    var ticket4638 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Ticket", "listeners": { "render": Lino.quicktip_renderer("Ticket","(cbss.IdentifyPersonRequests.ticket) ") }, "maxLength": 36, "name": "ticket" });
    var technical_1_panel4639 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": environment4637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": ticket4638, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var info_messages4642 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Info-Meldungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Info-Meldungen","(cbss.IdentifyPersonRequests.info_messages) ") }, "name": "info_messages" });
    var debug_messages4643 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Debug-Meldungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Debug-Meldungen","(cbss.IdentifyPersonRequests.debug_messages) ") }, "name": "debug_messages" });
    var technical_panel4644 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ technical_1_panel4639, { "flex": 5, "items": info_messages4642, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, { "flex": 5, "items": debug_messages4643, "labelAlign": "top", "layout": "form", "region": "south", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "listeners": { "activate": Lino.on_tab_activate }, "title": "Technisch" });
    var main_panel4647 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel4636, technical_panel4644 ], "labelAlign": "top", "split": true });
    this.items = main_panel4647;
    this.before_row_edit = function(record) {
      IdentifyPersonResult_grid4635.on_master_changed();
    }
    Lino.cbss.IdentifyPersonRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person4593.on("change", function(){ this.save() }, this);
  }
});


Lino.clients.ClientContactTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel clients-ClientContactTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 44,
  initComponent : function() {
    var id4648 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(clients.ClientContactTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name4649 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(clients.ClientContactTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4650 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(clients.ClientContactTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4651 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(clients.ClientContactTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var can_refund4652 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kostenr\u00fcckerstattung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kostenr\u00fcckerstattung","(clients.ClientContactTypes.can_refund) Whether persons of this type can be used as doctor of a refund confirmation.") }, "name": "can_refund", "selectOnFocus": true });
    var is_bailiff4653 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Schuldeneintreiber", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Schuldeneintreiber","(clients.ClientContactTypes.is_bailiff) ") }, "name": "is_bailiff", "selectOnFocus": true });
    var main_1_panel4654 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name4649, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr4650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en4651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": can_refund4652, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": is_bailiff4653, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var clients_PartnersByClientContactType_grid4689 = new Lino.clients.PartnersByClientContactType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partner","(clients.clients.PartnersByClientContactType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.PartnersByClientContactType.grid) ] });
    var clients_ClientContactsByType_grid4698 = new Lino.clients.ClientContactsByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontakte","(clients.clients.ClientContactsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.ClientContactsByType.grid) ] });
    var main_panel4699 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4654, clients_PartnersByClientContactType_grid4689, clients_ClientContactsByType_grid4698 ], "labelAlign": "top" });
    this.items = main_panel4699;
    this.before_row_edit = function(record) {
      clients_PartnersByClientContactType_grid4689.on_master_changed();
      clients_ClientContactsByType_grid4698.on_master_changed();
    }
    Lino.clients.ClientContactTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 101,
  initComponent : function() {
    var name4453 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider4454 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var contract_type4455 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type4456 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobTypes.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var id4457 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Jobs.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4458 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": name4453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": provider4454, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": contract_type4455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": type4456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id4457, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector4464 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function4465 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var capacity4466 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kapazit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("Kapazit\u00e4t","(jobs.Jobs.capacity) ") }, "name": "capacity", "selectOnFocus": true, "value": 1 });
    var hourly_rate4467 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Jobs.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var main_2_panel4468 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": sector4464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": function4465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": capacity4466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": hourly_rate4467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4473 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Jobs.remark) ") }, "name": "remark", "selectOnFocus": true });
    var CandidaturesByJob_grid4485 = new Lino.jobs.CandidaturesByJob.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByJob.grid) ] });
    var main_3_panel4486 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark4473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, CandidaturesByJob_grid4485 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var ContractsByJob_grid4517 = new Lino.jobs.ContractsByJob.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByJob.grid) ] });
    var main_panel4518 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4458, main_2_panel4468, main_3_panel4486, ContractsByJob_grid4517 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4518;
    this.before_row_edit = function(record) {
      function4465.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      CandidaturesByJob_grid4485.on_master_changed();
      ContractsByJob_grid4517.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector4464 !== 'undefined' && sector4464.on('change',Lino.chooser_handler(function4465,'sector'));
      Lino.jobs.Jobs.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 117,
  initComponent : function() {
    var person4700 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var national_id4701 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var main_1_panel4702 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": person4700, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": national_id4701, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name4705 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name4706 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name4707 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel4708 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name4705, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name4706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name4707, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date4712 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance4713 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender4714 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel4715 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date4712, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance4713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender4714, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel4719 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel4708, p2_2_panel4715 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var main_panel4720 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4702, p2_panel4719 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel4720;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.IdentifyPersonRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 101,
  initComponent : function() {
    var name4519 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider4520 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var main_1_panel4521 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": name4519, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": provider4520, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contract_type4524 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type4525 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobTypes.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var main_2_panel4526 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": contract_type4524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type4525, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector4529 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function4530 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var main_3_panel4531 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector4529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function4530, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4534 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4521, main_2_panel4526, main_3_panel4531 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel4534;
    this.before_row_edit = function(record) {
      function4530.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector4529 !== 'undefined' && sector4529.on('change',Lino.chooser_handler(function4530,'sector'));
      Lino.jobs.Jobs.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 107,
  initComponent : function() {
    var overview_htmlbox4721 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(xcourses.CourseProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix4722 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(xcourses.CourseProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4723 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel4724 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix4722, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name4723, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4727 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(xcourses.CourseProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/type" }) }) });
    var vat_id4728 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(xcourses.CourseProviders.vat_id) The VAT id used to identify this business partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel4729 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type4727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id4728, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type4732 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(xcourses.CourseProviders.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/client_contact_type" }) }) });
    var url4733 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(xcourses.CourseProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel4734 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel4724, general2_2_panel4729, { "anchor": "-20", "autoHeight": true, "items": client_contact_type4732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url4733, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email4737 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(xcourses.CourseProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4738 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(xcourses.CourseProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4739 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(xcourses.CourseProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax4740 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(xcourses.CourseProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel4741 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email4737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax4740, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel4746 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4721, general2_panel4734, general3_panel4741 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid4747 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel4748 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4746, contacts_RolesByCompany_grid4747 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox4749 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var CourseOffersByProvider_grid4784 = new Lino.xcourses.CourseOffersByProvider.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Kursangebote", "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseOffersByProvider.grid) ] });
    var main_panel4785 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4748, notes_NotesByCompany_htmlbox4749, CourseOffersByProvider_grid4784 ], "labelAlign": "top", "split": true });
    this.items = main_panel4785;
    this.before_row_edit = function(record) {
      overview_htmlbox4721.refresh();
      contacts_RolesByCompany_grid4747.on_master_changed();
      notes_NotesByCompany_htmlbox4749.refresh();
      CourseOffersByProvider_grid4784.on_master_changed();
    }
    Lino.xcourses.CourseProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.addresses.Addresses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country4786 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city4787 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var zip_code4788 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(addresses.Addresses.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel4789 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": country4786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": city4787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": zip_code4788, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr14793 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(addresses.Addresses.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street4794 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no4795 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box4796 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_3_panel4797 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street4794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no4795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box4796, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr24801 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(addresses.Addresses.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_type4802 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark4803 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_5_panel4804 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type4802, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark4803, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var data_source4807 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datenquelle</span>", "forceSelection": true, "hiddenName": "data_sourceHidden", "listeners": { "render": Lino.quicktip_renderer("Datenquelle","(addresses.Addresses.data_source) Pointer to DataSources.") }, "name": "data_source", "store": Lino.addresses.DataSources });
    var partner4808 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }) });
    var main_6_panel4809 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": data_source4807, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": partner4808, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4812 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4789, { "anchor": "-20", "autoHeight": true, "items": addr14793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel4797, { "anchor": "-20", "autoHeight": true, "items": addr24801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_5_panel4804, main_6_panel4809 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4812;
    this.before_row_edit = function(record) {
      city4787.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4787.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country4786 !== 'undefined' && country4786.on('change',Lino.chooser_handler(city4787,'country'));
      Lino.addresses.Addresses.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city4787.on("change", function(){ this.save() }, this);
    zip_code4788.on("change", function(){ this.save() }, this);
  }
});


Lino.contacts.Persons.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 8,
  initComponent : function() {
    var overview_htmlbox4815 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Persons.overview) ") }, "name": "overview", "value": "<br/>" });
    var title4816 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Titel</span>", "listeners": { "render": Lino.quicktip_renderer("Titel","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var first_name4817 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name4818 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var general2_1_panel4819 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": title4816, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": first_name4817, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": middle_name4818, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var last_name4823 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var gender4824 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date4825 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp4826 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(contacts.Persons.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var general2_3_panel4827 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": gender4824, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": birth_date4825, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": age_disp4826, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id4831 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Persons.id) ") }, "name": "id", "selectOnFocus": true });
    var language4832 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Persons.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_4_panel4833 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id4831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language4832, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel4836 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel4819, { "anchor": "-20", "autoHeight": true, "items": last_name4823, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general2_3_panel4827, general2_4_panel4833 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email4838 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4839 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Persons.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4840 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Persons.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax4841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Persons.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel4842 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email4838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4839, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax4841, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel4847 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4815, general2_panel4836, general3_panel4842 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByPerson_grid4848 = new Lino.contacts.RolesByPerson.GridPanel({ "containing_panel": this, "flex": 45, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktperson f\u00fcr","(contacts.contacts.RolesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByPerson.grid) ] });
    var general_panel4849 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4847, contacts_RolesByPerson_grid4848 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var households_MembersByPerson_htmlbox4850 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 25, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(contacts.Persons.households.MembersByPerson) ") }, "master_panel": this, "name": "households.MembersByPerson", "title": "Mitgliedschaft in Haushalten", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid4851 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 75, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushaltszusammensetzung","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_1_panel4852 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox4850, households_SiblingsByPerson_grid4851 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var humanlinks_LinksByHuman_htmlbox4853 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(contacts.Persons.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks.LinksByHuman", "region": "center", "split": true, "title": "Beziehungen", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var remarks4854 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Persons.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid4855 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_3_panel4856 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks4854, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid4855 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "south", "split": true });
    var contact_panel4858 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel4852, humanlinks_LinksByHuman_htmlbox4853, contact_3_panel4856 ], "labelAlign": "top", "labelWidth": 108, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term4859 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var vatless_VouchersByPartner_htmlbox4860 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Partnerbelege","(contacts.Persons.vatless.VouchersByPartner) ") }, "name": "vatless.VouchersByPartner", "region": "center", "split": true, "title": "Partnerbelege", "value": "<br/>" });
    var ledger_MovementsByPartner_htmlbox4861 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(contacts.Persons.ledger.MovementsByPartner) Shows the ledger movements linked to a given partner.") }, "name": "ledger.MovementsByPartner", "region": "south", "split": true, "title": "Bewegungen", "value": "<br/>" });
    var ledger_panel4862 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term4859, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" }, vatless_VouchersByPartner_htmlbox4860, ledger_MovementsByPartner_htmlbox4861 ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var activity4864 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Persons.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var url4865 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Persons.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var client_contact_type4866 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Persons.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var is_obsolete4867 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel4868 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": activity4864, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": url4865, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": client_contact_type4866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_obsolete4867, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created4873 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Persons.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified4874 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Persons.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel4875 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created4873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified4874, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid4878 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel4879 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel4868, misc_2_panel4875, reception_AppointmentsByPartner_grid4878 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var debts_BudgetsByPartner_grid4880 = new Lino.debts.BudgetsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Hauptpartner in folgenden Budgets:","(debts.debts.BudgetsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.BudgetsByPartner.grid) ] });
    var debts_ActorsByPartner_grid4881 = new Lino.debts.ActorsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Akteur in folgenden Budgets:","(debts.debts.ActorsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByPartner.grid) ] });
    var debts_panel4882 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ debts_BudgetsByPartner_grid4880, debts_ActorsByPartner_grid4881 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Schuldnerberatung" });
    var main_panel4883 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4849, contact_panel4858, ledger_panel4862, misc_panel4879, debts_panel4882 ], "labelAlign": "top", "split": true });
    this.items = main_panel4883;
    this.before_row_edit = function(record) {
      overview_htmlbox4815.refresh();
      contacts_RolesByPerson_grid4848.on_master_changed();
      households_MembersByPerson_htmlbox4850.refresh();
      households_SiblingsByPerson_grid4851.on_master_changed();
      humanlinks_LinksByHuman_htmlbox4853.refresh();
      sepa_AccountsByPartner_grid4855.on_master_changed();
      vatless_VouchersByPartner_htmlbox4860.refresh();
      ledger_MovementsByPartner_htmlbox4861.refresh();
      reception_AppointmentsByPartner_grid4878.on_master_changed();
      debts_BudgetsByPartner_grid4880.on_master_changed();
      debts_ActorsByPartner_grid4881.on_master_changed();
    }
    Lino.contacts.Persons.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.cv.StudyTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 82,
  initComponent : function() {
    var name4884 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4885 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4886 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4887 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4885, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4886, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var is_study4891 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training4892 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel4893 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": is_study4891, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": is_training4892, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level4896 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var main_panel4897 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4887, main_2_panel4893, { "anchor": "-20", "autoHeight": true, "items": education_level4896, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4897;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudyTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Types.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Types",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 120,
  initComponent : function() {
    var name4899 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(households.Types.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(households.Types.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4901 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(households.Types.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4902 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4901, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var HouseholdsByType_grid4978 = new Lino.households.HouseholdsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushalte","(households.households.HouseholdsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.HouseholdsByType.grid) ] });
    var main_panel4979 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4902, HouseholdsByType_grid4978 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4979;
    this.before_row_edit = function(record) {
      HouseholdsByType_grid4978.on_master_changed();
    }
    Lino.households.Types.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 118,
  initComponent : function() {
    var id4980 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.ManageAccessRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person4981 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var user4982 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var sent4983 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status4984 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.ManageAccessRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp4985 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.ManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel4986 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id4980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person4981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user4982, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent4983, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status4984, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp4985, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var action4993 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date4994 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4995 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel4996 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action4993, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date4994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date4995, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose5000 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register5001 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel5002 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose5000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register5001, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel5005 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 43, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel4996, p1_2_panel5002 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id5006 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no5007 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no5008 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel5009 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id5006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no5007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no5008, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5013 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5014 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date5015 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel5016 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name5013, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name5014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date5015, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel5020 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 56, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel5009, proof_2_panel5016 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var parameters_panel5021 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel5005, proof_panel5020 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var result_htmlbox5022 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Resultat","(cbss.ManageAccessRequests.result) ") }, "name": "result", "title": "Resultat", "value": "<br/>" });
    var request_panel5023 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel4986, parameters_panel5021, result_htmlbox5022 ], "labelAlign": "top", "labelWidth": 81, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Abfrage" });
    var environment5024 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "disabled": true, "fieldLabel": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("T/A/B","(cbss.ManageAccessRequests.environment) ") }, "maxLength": 4, "name": "environment" });
    var ticket5025 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Ticket", "listeners": { "render": Lino.quicktip_renderer("Ticket","(cbss.ManageAccessRequests.ticket) ") }, "maxLength": 36, "name": "ticket" });
    var technical_1_panel5026 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": environment5024, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": ticket5025, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var info_messages5029 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Info-Meldungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Info-Meldungen","(cbss.ManageAccessRequests.info_messages) ") }, "name": "info_messages" });
    var debug_messages5030 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Debug-Meldungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Debug-Meldungen","(cbss.ManageAccessRequests.debug_messages) ") }, "name": "debug_messages" });
    var technical_panel5031 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ technical_1_panel5026, { "flex": 5, "items": info_messages5029, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, { "flex": 5, "items": debug_messages5030, "labelAlign": "top", "layout": "form", "region": "south", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "listeners": { "activate": Lino.on_tab_activate }, "title": "Technisch" });
    var main_panel5034 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel5023, technical_panel5031 ], "labelAlign": "top", "split": true });
    this.items = main_panel5034;
    this.before_row_edit = function(record) {
      purpose5000.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox5022.refresh();
    }
    Lino.cbss.ManageAccessRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person4981.on("change", function(){ this.save() }, this);
  }
});


Lino.cbss.ManageAccessRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 118,
  initComponent : function() {
    var person5035 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var action5036 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date5037 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5038 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel5039 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action5036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date5037, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date5038, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose5043 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register5044 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel5045 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose5043, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register5044, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel5048 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel5039, p1_2_panel5045 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id5049 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no5050 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no5051 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel5052 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id5049, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no5050, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no5051, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5056 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5057 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date5058 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel5059 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name5056, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name5057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date5058, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel5063 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel5052, proof_2_panel5059 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var main_panel5064 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person5035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, p1_panel5048, proof_panel5063 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5064;
    this.before_row_edit = function(record) {
      purpose5043.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cbss.ManageAccessRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 26,
  initComponent : function() {
    var user3556 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project3557 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var id3558 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.Uploads.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3559 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": user3556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": project3557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id3558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3563 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var description3564 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var start_date3565 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3566 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed3567 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel3568 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type3563, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": description3564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date3565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date3566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needed3567, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3574 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(uploads.Uploads.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person3575 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ausgestellt durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("ausgestellt durch","(uploads.Uploads.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role3576 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var main_3_panel3577 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3575, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role3576, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var file3581 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var owner_disp3582 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_4_panel3583 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 67, "items": file3581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": owner_disp3582, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3586 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(uploads.Uploads.remark) ") }, "name": "remark", "selectOnFocus": true });
    var cal_TasksByController_grid3587 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 65, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var main_5_panel3588 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 34, "items": remark3586, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_TasksByController_grid3587 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3590 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3559, main_2_panel3568, main_3_panel3577, main_4_panel3583, main_5_panel3588 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3590;
    this.before_row_edit = function(record) {
      type3563.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      contact_person3575.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      cal_TasksByController_grid3587.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company3574 !== 'undefined' && company3574.on('change',Lino.chooser_handler(contact_person3575,'company'));
      Lino.uploads.Uploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.Uploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 122,
  initComponent : function() {
    var type5066 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var prefix5067 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name5068 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id5069 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.Households.id) ") }, "name": "id", "selectOnFocus": true });
    var general_1_panel5070 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type5066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix5067, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name5068, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id5069, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox5075 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.Households.overview) ") }, "name": "overview", "value": "<br/>" });
    var language5076 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.Households.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email5077 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.Households.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5078 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.Households.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5079 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(households.Households.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel5080 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5076, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email5077, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5078, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5079, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_2_panel5085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5075, box3_panel5080 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid5086 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var general_panel5087 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5070, general_2_panel5085, households_MembersByHousehold_grid5086 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var debts_BudgetsByPartner_grid5088 = new Lino.debts.BudgetsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Hauptpartner in folgenden Budgets:","(debts.debts.BudgetsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.BudgetsByPartner.grid) ] });
    var debts_ActorsByPartner_grid5089 = new Lino.debts.ActorsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Akteur in folgenden Budgets:","(debts.debts.ActorsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByPartner.grid) ] });
    var debts_panel5090 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ debts_BudgetsByPartner_grid5088, debts_ActorsByPartner_grid5089 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Schuldnerberatung" });
    var main_panel5091 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5087, debts_panel5090 ], "labelAlign": "top", "split": true });
    this.items = main_panel5091;
    this.before_row_edit = function(record) {
      overview_htmlbox5075.refresh();
      households_MembersByHousehold_grid5086.on_master_changed();
      debts_BudgetsByPartner_grid5088.on_master_changed();
      debts_ActorsByPartner_grid5089.on_master_changed();
    }
    Lino.households.Households.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.jobs.JobTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 103,
  initComponent : function() {
    var id5092 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.JobTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5093 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.JobTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var is_social5094 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sozial\u00f6konomie", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sozial\u00f6konomie","(jobs.JobTypes.is_social) ") }, "name": "is_social", "selectOnFocus": true });
    var main_1_panel5095 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id5092, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": name5093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": is_social5094, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var JobsByType_grid5110 = new Lino.jobs.JobsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellen","(jobs.jobs.JobsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.JobsByType.grid) ] });
    var main_panel5111 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5095, JobsByType_grid5110 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5111;
    this.before_row_edit = function(record) {
      JobsByType_grid5110.on_master_changed();
    }
    Lino.jobs.JobTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var name5112 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var type5113 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var main_panel5114 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5112, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5113, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5114;
    this.before_row_edit = function(record) {
    }
    Lino.households.Households.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.GrantingsByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-GrantingsByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 134,
  initComponent : function() {
    var aid_type1483 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var board1484 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var decision_date1485 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.GrantingsByClient.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel1486 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board1484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date1485, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1489 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.GrantingsByClient.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1490 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.GrantingsByClient.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel1491 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1490, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1494 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": aid_type1483, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1486, main_3_panel1491 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1494;
    this.before_row_edit = function(record) {
      board1484.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date1485 !== 'undefined' && decision_date1485.on('change',Lino.chooser_handler(board1484,'decision_date'));
      Lino.aids.GrantingsByClient.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.GrantingsByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 8,
  initComponent : function() {
    var first_name5117 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5118 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel5119 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name5117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name5118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var gender5122 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var email5123 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_2_panel5124 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": gender5122, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": email5123, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5127 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5119, main_2_panel5124 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5127;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Persons.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 41,
  initComponent : function() {
    var start_date1270 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Tasks.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1271 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.Tasks.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var id1272 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Tasks.id) ") }, "name": "id", "selectOnFocus": true });
    var workflow_buttons_disp1273 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Tasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1274 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": start_date1270, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": due_date1271, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 49, "items": workflow_buttons_disp1273, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary1279 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1280 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var user1281 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var delegated1282 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.Tasks.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1283 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": project1280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": user1281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": delegated1282, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1287 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var created1288 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Tasks.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1289 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Tasks.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var main_4_panel1290 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": owner_disp1287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": created1288, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": modified1289, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1294 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Tasks.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel1295 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1274, { "autoHeight": true, "items": summary1279, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1283, main_4_panel1290, { "flex": 45, "items": description1294, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1295;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Functions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Functions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 89,
  initComponent : function() {
    var id5128 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Functions.id) ") }, "name": "id", "selectOnFocus": true });
    var name5129 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Functions.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5130 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Functions.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5131 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Functions.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var sector5132 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "Sektor", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Functions.sector) ") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Functions/sector" }) }) });
    var main_1_panel5133 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5129, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr5130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": sector5132, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5139 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Functions.remark) ") }, "name": "remark", "selectOnFocus": true });
    var jobs_CandidaturesByFunction_grid5151 = new Lino.jobs.CandidaturesByFunction.GridPanel({ "containing_panel": this, "flex": 31, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesByFunction) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByFunction.grid) ] });
    var cv_ExperiencesByFunction_grid5171 = new Lino.cv.ExperiencesByFunction.GridPanel({ "containing_panel": this, "flex": 31, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByFunction) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByFunction.grid) ] });
    var main_panel5172 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5133, { "flex": 31, "items": remark5139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, jobs_CandidaturesByFunction_grid5151, cv_ExperiencesByFunction_grid5171 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5172;
    this.before_row_edit = function(record) {
      jobs_CandidaturesByFunction_grid5151.on_master_changed();
      cv_ExperiencesByFunction_grid5171.on_master_changed();
    }
    Lino.cv.Functions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Sectors.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Sectors",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 88,
  initComponent : function() {
    var id5174 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Sectors.id) ") }, "name": "id", "selectOnFocus": true });
    var name5175 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Sectors.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5176 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Sectors.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5177 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Sectors.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5178 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5174, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5176, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5177, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5183 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Sectors.remark) ") }, "name": "remark", "selectOnFocus": true });
    var FunctionsBySector_grid5191 = new Lino.cv.FunctionsBySector.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnungen","(cv.cv.FunctionsBySector) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.FunctionsBySector.grid) ] });
    var main_2_panel5192 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 31, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark5183, "labelAlign": "top", "layout": "form", "xtype": "panel" }, FunctionsBySector_grid5191 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var cv_ExperiencesBySector_grid5213 = new Lino.cv.ExperiencesBySector.GridPanel({ "containing_panel": this, "flex": 31, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesBySector) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesBySector.grid) ] });
    var jobs_CandidaturesBySector_grid5225 = new Lino.jobs.CandidaturesBySector.GridPanel({ "containing_panel": this, "flex": 31, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesBySector) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesBySector.grid) ] });
    var main_panel5226 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5178, main_2_panel5192, cv_ExperiencesBySector_grid5213, jobs_CandidaturesBySector_grid5225 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5226;
    this.before_row_edit = function(record) {
      FunctionsBySector_grid5191.on_master_changed();
      cv_ExperiencesBySector_grid5213.on_master_changed();
      jobs_CandidaturesBySector_grid5225.on_master_changed();
    }
    Lino.cv.Sectors.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 109,
  initComponent : function() {
    var provider4777 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var content4778 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var title4779 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel4780 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": provider4777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": content4778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": title4779, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4780;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.CourseOffers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 98,
  initComponent : function() {
    var id5227 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5228 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5229 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5230 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref5231 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(jobs.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group5232 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(jobs.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel5233 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id5227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name5228, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_fr5229, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_en5230, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": ref5231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group5232, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid5269 = new Lino.jobs.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByType.grid) ] });
    var main_panel5270 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5233, ContractsByType_grid5269 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5270;
    this.before_row_edit = function(record) {
      ContractsByType_grid5269.on_master_changed();
    }
    Lino.jobs.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var summary1298 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var user1299 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var project1300 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var main_2_panel1301 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user1299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project1300, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1304 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1301 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1304;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 82,
  initComponent : function() {
    var name5271 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5272 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5273 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id5274 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.StudyTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5275 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name5271, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5273, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id5274, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level5280 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var is_study5281 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training5282 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel5283 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": education_level5280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_study5281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_training5282, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_StudiesByType_grid5303 = new Lino.cv.StudiesByType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByType.grid) ] });
    var cv_TrainingsByType_grid5322 = new Lino.cv.TrainingsByType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildungen","(cv.cv.TrainingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.TrainingsByType.grid) ] });
    var isip_ContractsByStudyType_grid5348 = new Lino.isip.ContractsByStudyType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByStudyType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByStudyType.grid) ] });
    var main_panel5349 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5275, main_2_panel5283, cv_StudiesByType_grid5303, cv_TrainingsByType_grid5322, isip_ContractsByStudyType_grid5348 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5349;
    this.before_row_edit = function(record) {
      cv_StudiesByType_grid5303.on_master_changed();
      cv_TrainingsByType_grid5322.on_master_changed();
      isip_ContractsByStudyType_grid5348.on_master_changed();
    }
    Lino.cv.StudyTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Durations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Durations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 87,
  initComponent : function() {
    var id5350 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Durations.id) ") }, "name": "id", "selectOnFocus": true });
    var name5351 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Durations.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5352 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Durations.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5353 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Durations.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5354 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5351, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5353, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ExperiencesByDuration_grid5368 = new Lino.cv.ExperiencesByDuration.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByDuration) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByDuration.grid) ] });
    var main_panel5369 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5354, ExperiencesByDuration_grid5368 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5369;
    this.before_row_edit = function(record) {
      ExperiencesByDuration_grid5368.on_master_changed();
    }
    Lino.cv.Durations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 119,
  initComponent : function() {
    var id5370 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.RetrieveTIGroupsRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person5371 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var user5372 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var sent5373 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status5374 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.RetrieveTIGroupsRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp5375 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.RetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel5376 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id5370, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person5371, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user5372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent5373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status5374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp5375, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id5383 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language5384 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history5385 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var parameters_panel5386 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 43, "items": national_id5383, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": language5384, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": history5385, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var cbss_RetrieveTIGroupsResult_grid5395 = new Lino.cbss.RetrieveTIGroupsResult.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Resultate","(cbss.cbss.RetrieveTIGroupsResult) Displays the response of an RetrieveTIGroupsRequest\nas a table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.RetrieveTIGroupsResult.grid) ] });
    var request_panel5396 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel5376, parameters_panel5386, cbss_RetrieveTIGroupsResult_grid5395 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Abfrage" });
    var environment5397 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "disabled": true, "fieldLabel": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("T/A/B","(cbss.RetrieveTIGroupsRequests.environment) ") }, "maxLength": 4, "name": "environment" });
    var ticket5398 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Ticket", "listeners": { "render": Lino.quicktip_renderer("Ticket","(cbss.RetrieveTIGroupsRequests.ticket) ") }, "maxLength": 36, "name": "ticket" });
    var technical_1_panel5399 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": environment5397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": ticket5398, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var info_messages5402 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Info-Meldungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Info-Meldungen","(cbss.RetrieveTIGroupsRequests.info_messages) ") }, "name": "info_messages" });
    var debug_messages5403 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Debug-Meldungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Debug-Meldungen","(cbss.RetrieveTIGroupsRequests.debug_messages) ") }, "name": "debug_messages" });
    var technical_panel5404 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ technical_1_panel5399, { "flex": 5, "items": info_messages5402, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, { "flex": 5, "items": debug_messages5403, "labelAlign": "top", "layout": "form", "region": "south", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "listeners": { "activate": Lino.on_tab_activate }, "title": "Technisch" });
    var main_panel5407 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel5396, technical_panel5404 ], "labelAlign": "top", "split": true });
    this.items = main_panel5407;
    this.before_row_edit = function(record) {
      cbss_RetrieveTIGroupsResult_grid5395.on_master_changed();
    }
    Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var parent5408 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type5409 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child5410 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel5411 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent5408, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5409, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child5410, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5411;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 42,
  initComponent : function() {
    var name5415 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5416 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5417 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5418 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5415, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5416, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5417, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5422 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5418 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5422;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 92,
  initComponent : function() {
    var id5423 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var ref5424 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenz", "listeners": { "render": Lino.quicktip_renderer("Referenz","(isip.ContractTypes.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var exam_policy5425 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.ContractTypes.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/exam_policy" }) }) });
    var overlap_group5426 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(isip.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var needs_study_type5427 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Ausbildungsart ", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Ausbildungsart ","(isip.ContractTypes.needs_study_type) ") }, "name": "needs_study_type", "selectOnFocus": true });
    var main_1_panel5428 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": ref5424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": exam_policy5425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group5426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needs_study_type5427, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5434 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5435 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5436 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5437 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5436, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var full_name5441 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Voller Name", "listeners": { "render": Lino.quicktip_renderer("Voller Name","(isip.ContractTypes.full_name) ") }, "maxLength": 200, "name": "full_name", "selectOnFocus": true });
    var ContractsByType_grid5467 = new Lino.isip.ContractsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByType.grid) ] });
    var main_panel5468 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5428, main_2_panel5437, { "autoHeight": true, "items": full_name5441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, ContractsByType_grid5467 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5468;
    this.before_row_edit = function(record) {
      ContractsByType_grid5467.on_master_changed();
    }
    Lino.isip.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 42,
  initComponent : function() {
    var id5470 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(boards.Boards.id) ") }, "name": "id", "selectOnFocus": true });
    var name5471 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5472 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5473 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5474 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5470, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5471, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5473, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var boards_MembersByBoard_grid5482 = new Lino.boards.MembersByBoard.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Gremienmitglieder","(boards.boards.MembersByBoard) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.boards.MembersByBoard.grid) ] });
    var main_panel5483 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5474, boards_MembersByBoard_grid5482 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5483;
    this.before_row_edit = function(record) {
      boards_MembersByBoard_grid5482.on_master_changed();
    }
    Lino.boards.Boards.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Regimes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Regimes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 86,
  initComponent : function() {
    var id5484 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Regimes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5485 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Regimes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5486 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Regimes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5487 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Regimes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5488 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5487, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var cv_ExperiencesByRegime_grid5502 = new Lino.cv.ExperiencesByRegime.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByRegime) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByRegime.grid) ] });
    var jobs_ContractsByRegime_grid5532 = new Lino.jobs.ContractsByRegime.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByRegime) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByRegime.grid) ] });
    var main_panel5533 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5488, cv_ExperiencesByRegime_grid5502, jobs_ContractsByRegime_grid5532 ], "labelAlign": "top" });
    this.items = main_panel5533;
    this.before_row_edit = function(record) {
      cv_ExperiencesByRegime_grid5502.on_master_changed();
      jobs_ContractsByRegime_grid5532.on_master_changed();
    }
    Lino.cv.Regimes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 106,
  initComponent : function() {
    var client5534 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var company5535 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var type5536 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var main_panel5537 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client5534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": company5535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5536, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5537;
    this.before_row_edit = function(record) {
    }
    Lino.art61.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 109,
  initComponent : function() {
    var id4757 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseOffers.id) ") }, "name": "id", "selectOnFocus": true });
    var title4758 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var content4759 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var provider4760 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var guest_role4761 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gastrolle</span>", "hiddenName": "guest_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Gastrolle","(xcourses.CourseOffers.guest_role) Default guest role for particpants of events.") }, "name": "guest_role", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/guest_role" }) }) });
    var main_1_panel4762 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id4757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": title4758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": content4759, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": provider4760, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": guest_role4761, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description4768 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 5, "name": "description", "region": "center", "selectOnFocus": true, "split": true, "title": "Beschreibung" });
    var CoursesByOffer_grid4775 = new Lino.xcourses.CoursesByOffer.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kurse","(xcourses.xcourses.CoursesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CoursesByOffer.grid) ] });
    var main_panel4776 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4762, description4768, CoursesByOffer_grid4775 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel4776;
    this.before_row_edit = function(record) {
      description4768.refresh();
      CoursesByOffer_grid4775.on_master_changed();
    }
    Lino.xcourses.CourseOffers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var parent5541 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type5542 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child5543 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel5544 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent5541, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5542, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child5543, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5544;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 129,
  initComponent : function() {
    var id5548 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.NoteTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5549 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5550 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5551 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5552 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5549, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5551, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method5557 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template5558 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(notes.NoteTypes.template) The name of the file to be used as template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/template" }) }) });
    var special_type5559 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sondernotizart", "forceSelection": true, "hiddenName": "special_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Sondernotizart","(notes.NoteTypes.special_type) ") }, "name": "special_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.notes.SpecialTypes) });
    var email_template5560 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(notes.NoteTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/email_template" }) }) });
    var attach_to_email5561 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(notes.NoteTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_2_panel5562 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": build_method5557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": template5558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": special_type5559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": email_template5560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": attach_to_email5561, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5568 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.NoteTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByType_grid5599 = new Lino.notes.NotesByType.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(notes.notes.NotesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByType.grid) ] });
    var main_panel5600 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5552, main_2_panel5562, { "flex": 41, "items": remark5568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, notes_NotesByType_grid5599 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5600;
    this.before_row_edit = function(record) {
      template5558.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      notes_NotesByType_grid5599.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method5557 !== 'undefined' && build_method5557.on('change',Lino.chooser_handler(template5558,'build_method'));
      Lino.notes.NoteTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.NoteTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 129,
  initComponent : function() {
    var name5602 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5603 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5604 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5605 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method5609 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var main_panel5610 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5605, { "anchor": "-20", "autoHeight": true, "items": build_method5609, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5610;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NoteTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-IncomeConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 136,
  initComponent : function() {
    var client2504 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var user2505 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var signer2506 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var workflow_buttons_disp2507 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.IncomeConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var printed_disp2508 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_1_panel2509 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": client2504, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": user2505, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": signer2506, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": workflow_buttons_disp2507, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": printed_disp2508, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2515 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person2516 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var language2517 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel2518 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2515, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2516, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language2517, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting2522 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var start_date2523 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date2524 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel2525 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting2522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date2523, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date2524, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category2529 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmations.category) ") }, "name": "category", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Categories.detail,null)}, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount2530 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmations.amount) ") }, "name": "amount", "selectOnFocus": true });
    var id2531 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.IncomeConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel2532 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 54, "items": category2529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": amount2530, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id2531, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2536 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 45, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel2537 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2509, main_2_panel2518, main_3_panel2525, main_4_panel2532, remark2536 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2537;
    this.before_row_edit = function(record) {
      contact_person2516.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark2536.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2515 !== 'undefined' && company2515.on('change',Lino.chooser_handler(contact_person2516,'company'));
      Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-DisbursementOrdersByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('write_xml', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 75,
  initComponent : function() {
    var item_account5612 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrdersByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/item_account" }) }) });
    var voucher_date5613 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrdersByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var main_panel5614 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": item_account5612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_date5613, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5614;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrdersByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ExamPolicies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ExamPolicies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 93,
  initComponent : function() {
    var id5617 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ExamPolicies.id) ") }, "name": "id", "selectOnFocus": true });
    var name5618 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ExamPolicies.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5619 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ExamPolicies.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5620 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ExamPolicies.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5621 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5619, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5620, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var max_events5626 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(isip.ExamPolicies.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var every5627 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(isip.ExamPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var every_unit5628 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(isip.ExamPolicies.every_unit) The interval between each periodic iteration.") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var event_type5629 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.ExamPolicies.event_type) Generated events will receive this type.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ExamPolicies/event_type" }) }) });
    var main_2_panel5630 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": max_events5626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every5627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": every_unit5628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": event_type5629, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday5635 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(isip.ExamPolicies.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday5636 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(isip.ExamPolicies.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday5637 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(isip.ExamPolicies.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday5638 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(isip.ExamPolicies.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday5639 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(isip.ExamPolicies.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday5640 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(isip.ExamPolicies.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday5641 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(isip.ExamPolicies.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_3_panel5642 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday5635, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday5636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday5637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday5638, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday5639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday5640, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday5641, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByPolicy_grid5675 = new Lino.isip.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByPolicy) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByPolicy.grid) ] });
    var jobs_ContractsByPolicy_grid5706 = new Lino.jobs.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByPolicy) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByPolicy.grid) ] });
    var main_panel5707 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5621, main_2_panel5630, main_3_panel5642, isip_ContractsByPolicy_grid5675, jobs_ContractsByPolicy_grid5706 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5707;
    this.before_row_edit = function(record) {
      isip_ContractsByPolicy_grid5675.on_master_changed();
      jobs_ContractsByPolicy_grid5706.on_master_changed();
    }
    Lino.isip.ExamPolicies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Statuses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Statuses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 85,
  initComponent : function() {
    var id5708 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Statuses.id) ") }, "name": "id", "selectOnFocus": true });
    var name5709 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Statuses.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5710 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Statuses.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5711 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Statuses.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5712 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5708, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5709, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5710, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5711, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ExperiencesByStatus_grid5727 = new Lino.cv.ExperiencesByStatus.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Berufserfahrungen","(cv.cv.ExperiencesByStatus) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByStatus.grid) ] });
    var main_panel5728 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5712, ExperiencesByStatus_grid5727 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5728;
    this.before_row_edit = function(record) {
      ExperiencesByStatus_grid5727.on_master_changed();
    }
    Lino.cv.Statuses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 63,
  initComponent : function() {
    var ref5729 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var common_account5730 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts) });
    var id5731 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Accounts.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5732 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": ref5729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": common_account5730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id5731, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5736 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5737 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5738 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5739 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5738, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_partner5743 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Partner", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Partner","(ledger.Accounts.needs_partner) Whether bookings to this account need a partner specified.") }, "name": "needs_partner", "selectOnFocus": true });
    var clearable5744 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auszugleichen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auszugleichen","(ledger.Accounts.clearable) ") }, "name": "clearable", "selectOnFocus": true });
    var default_amount5745 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorschlag Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(ledger.Accounts.default_amount) The default amount to book in bank statements or journal\nentries when this account has been selected manually. The\ndefault booking direction is that of the type.") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5746 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": needs_partner5743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": clearable5744, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": default_amount5745, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MovementsByAccount_htmlbox5750 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(ledger.Accounts.MovementsByAccount) Shows the ledger movements done on a given general account.") }, "master_panel": this, "name": "MovementsByAccount", "title": "Bewegungen", "tools": [ Lino.show_in_own_window_button(Lino.ledger.MovementsByAccount.grid) ], "value": "<br/>" });
    var main_panel5751 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5732, main_2_panel5739, main_3_panel5746, MovementsByAccount_htmlbox5750 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5751;
    this.before_row_edit = function(record) {
      MovementsByAccount_htmlbox5750.refresh();
    }
    Lino.ledger.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 63,
  initComponent : function() {
    var ref5752 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5753 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5754 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5755 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5756 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5753, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5754, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5755, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5760 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": ref5752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5756 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5760;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 124,
  initComponent : function() {
    var ref5762 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var name5763 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5764 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5765 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id5766 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Groups.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5767 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": ref5762, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5763, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr5764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id5766, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type5773 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var entries_layout5774 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Budget entries layout", "forceSelection": true, "hiddenName": "entries_layoutHidden", "listeners": { "render": Lino.quicktip_renderer("Budget entries layout","(debts.Groups.entries_layout) ") }, "name": "entries_layout", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.TableLayouts) });
    var main_2_panel5775 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": account_type5773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 76, "items": entries_layout5774, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var AccountsByGroup_grid5848 = new Lino.debts.AccountsByGroup.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Konten","(debts.debts.AccountsByGroup) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.debts.AccountsByGroup.grid) ] });
    var main_panel5849 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5767, main_2_panel5775, AccountsByGroup_grid5848 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5849;
    this.before_row_edit = function(record) {
      AccountsByGroup_grid5848.on_master_changed();
    }
    Lino.debts.Groups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 94,
  initComponent : function() {
    var name5850 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractEndings.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var use_in_isip5851 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(isip.ContractEndings.use_in_isip) ") }, "name": "use_in_isip", "selectOnFocus": true });
    var use_in_jobs5852 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(isip.ContractEndings.use_in_jobs) ") }, "name": "use_in_jobs", "selectOnFocus": true });
    var is_success5853 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erfolgreich abgeschlossen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.ContractEndings.is_success) ") }, "name": "is_success", "selectOnFocus": true });
    var needs_date_ended5854 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Enddatum", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Enddatum","(isip.ContractEndings.needs_date_ended) ") }, "name": "needs_date_ended", "selectOnFocus": true });
    var main_2_panel5855 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": use_in_isip5851, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": use_in_jobs5852, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_success5853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needs_date_ended5854, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByEnding_grid5885 = new Lino.isip.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByEnding) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByEnding.grid) ] });
    var jobs_ContractsByEnding_grid5916 = new Lino.jobs.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByEnding) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByEnding.grid) ] });
    var main_panel5917 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": name5850, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5855, isip_ContractsByEnding_grid5885, jobs_ContractsByEnding_grid5916 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5917;
    this.before_row_edit = function(record) {
      isip_ContractsByEnding_grid5885.on_master_changed();
      jobs_ContractsByEnding_grid5916.on_master_changed();
    }
    Lino.isip.ContractEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var name5919 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5920 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5921 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5922 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5919, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type5926 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var ref5927 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var main_2_panel5928 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": account_type5926, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": ref5927, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5931 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5922, main_2_panel5928 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5931;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Groups.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 130,
  initComponent : function() {
    var id5932 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5933 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5934 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5935 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5936 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5932, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5933, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5934, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5935, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark5941 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.EventTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByEventType_grid5962 = new Lino.notes.NotesByEventType.GridPanel({ "containing_panel": this, "flex": 6, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(notes.notes.NotesByEventType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByEventType.grid) ] });
    var main_panel5963 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5936, { "flex": 3, "items": remark5941, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, notes_NotesByEventType_grid5962 ], "labelAlign": "top", "labelWidth": 0 });
    this.items = main_panel5963;
    this.before_row_edit = function(record) {
      notes_NotesByEventType_grid5962.on_master_changed();
    }
    Lino.notes.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var event1985 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var client1986 = new Lino.TwinCombo({ "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.client) Virtual field which returns the partner if it is a client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var role1987 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_1_panel1988 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event1985, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": client1986, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": role1987, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var state1992 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark1993 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cal.Guests.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var workflow_buttons_disp1994 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_2_panel1995 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": state1992, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": remark1993, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": workflow_buttons_disp1994, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var waiting_since1999 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wartet seit</span>", "listeners": { "render": Lino.quicktip_renderer("Wartet seit","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "name": "waiting_since", "value": "<br>" });
    var busy_since2000 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hat gewartet bis</span>", "listeners": { "render": Lino.quicktip_renderer("Hat gewartet bis","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "name": "busy_since", "value": "<br>" });
    var gone_since2001 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anwesend bis</span>", "listeners": { "render": Lino.quicktip_renderer("Anwesend bis","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "name": "gone_since", "value": "<br>" });
    var main_3_panel2002 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": waiting_since1999, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": busy_since2000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": gone_since2001, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2006 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1988, main_2_panel1995, main_3_panel2002 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2006;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.TasksByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-TasksByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var summary1891 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.TasksByController.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date1892 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.TasksByController.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1893 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.TasksByController.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var main_2_panel1894 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1892, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": due_date1893, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1897 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated1898 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.TasksByController.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1899 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user1897, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": delegated1898, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1902 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1891, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1894, main_3_panel1899 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1902;
    this.before_row_edit = function(record) {
    }
    Lino.cal.TasksByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 131,
  initComponent : function() {
    var event_type5589 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type5590 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.NoteTypes.detail,Lino.notes.NoteTypes.insert)}, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var main_1_panel5591 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type5589, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type5590, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject5594 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project5595 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var main_panel5596 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5591, { "anchor": "-20", "autoHeight": true, "items": subject5594, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project5595, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5596;
    this.before_row_edit = function(record) {
    }
    Lino.notes.Notes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 95,
  initComponent : function() {
    var company1866 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person1867 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role1868 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_1_panel1869 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company1866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person1867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role1868, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var duties_company1873 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Firma", "flex": 83, "name": "duties_company", "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var main_panel1874 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1869, duties_company1873 ], "labelAlign": "top", "labelWidth": 198, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1874;
    this.before_row_edit = function(record) {
      contact_person1867.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company1873.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company1866 !== 'undefined' && company1866.on('change',Lino.chooser_handler(contact_person1867,'company'));
      Lino.isip.ContractPartners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 95,
  initComponent : function() {
    var company1875 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person1876 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role1877 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_panel1878 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": company1875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person1876, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_role1877, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1878;
    this.before_row_edit = function(record) {
      contact_person1876.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company1875 !== 'undefined' && company1875.on('change',Lino.chooser_handler(contact_person1876,'company'));
      Lino.isip.ContractPartners.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.esf.Summaries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel esf-Summaries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 138,
  initComponent : function() {
    var master5965 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "masterHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "name": "master", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var year5966 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Year", "listeners": { "render": Lino.quicktip_renderer("Year","(esf.Summaries.year) ") }, "name": "year", "selectOnFocus": true });
    var main_1_panel5967 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 80, "items": master5965, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": year5966, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var children_at_charge5970 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kinder zu Lasten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kinder zu Lasten","(esf.Summaries.children_at_charge) ") }, "name": "children_at_charge", "selectOnFocus": true });
    var certified_handicap5971 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certified handicap", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certified handicap","(esf.Summaries.certified_handicap) ") }, "name": "certified_handicap", "selectOnFocus": true });
    var other_difficulty5972 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Other difficulty", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Other difficulty","(esf.Summaries.other_difficulty) ") }, "name": "other_difficulty", "selectOnFocus": true });
    var user_modified5973 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "User modified", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("User modified","(esf.Summaries.user_modified) ") }, "name": "user_modified", "selectOnFocus": true });
    var main_2_panel5974 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": children_at_charge5970, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certified_handicap5971, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": other_difficulty5972, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user_modified5973, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level5979 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "Akademischer Grad", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(esf.Summaries.education_level) ") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var result5980 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Participation Certificate", "forceSelection": true, "hiddenName": "resultHidden", "listeners": { "render": Lino.quicktip_renderer("Participation Certificate","(esf.Summaries.result) ") }, "name": "result", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark5981 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(esf.Summaries.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var id5982 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(esf.Summaries.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel5983 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": education_level5979, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": result5980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": remark5981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id5982, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var results_disp5988 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Resultate", "listeners": { "render": Lino.quicktip_renderer("Resultate","(esf.Summaries.results) ") }, "name": "results", "value": "<br/>" });
    var main_panel5989 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5967, main_2_panel5974, main_3_panel5983, { "anchor": "-20", "autoHeight": true, "items": results_disp5988, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5989;
    this.before_row_edit = function(record) {
    }
    Lino.esf.Summaries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 125,
  initComponent : function() {
    var ref5791 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5792 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5793 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5794 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5795 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": ref5791, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name5792, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr5793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en5794, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var group5800 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Groups.detail,Lino.debts.Groups.insert)}, "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type5801 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_2_panel5802 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": group5800, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": type5801, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var required_for_household5805 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Haushalte", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Haushalte","(debts.Accounts.required_for_household) ") }, "name": "required_for_household", "selectOnFocus": true });
    var required_for_person5806 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Personen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Personen","(debts.Accounts.required_for_person) ") }, "name": "required_for_person", "selectOnFocus": true });
    var periods5807 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Perioden</span>", "listeners": { "render": Lino.quicktip_renderer("Perioden","(debts.Accounts.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "name": "periods", "selectOnFocus": true, "value": 1 });
    var default_amount5808 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(debts.Accounts.default_amount) ") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5809 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": required_for_household5805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": required_for_person5806, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": periods5807, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": default_amount5808, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var debts_EntriesByAccount_grid5831 = new Lino.debts.EntriesByAccount.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Eintr\u00e4ge","(debts.debts.EntriesByAccount) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.debts.EntriesByAccount.grid) ] });
    var main_panel5832 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5795, main_2_panel5802, main_3_panel5809, debts_EntriesByAccount_grid5831 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5832;
    this.before_row_edit = function(record) {
      debts_EntriesByAccount_grid5831.on_master_changed();
    }
    Lino.debts.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-RefundConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var id5991 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.RefundConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client5992 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var user5993 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var signer5994 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var workflow_buttons_disp5995 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.RefundConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel5996 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5991, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client5992, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user5993, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer5994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp5995, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting6002 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.RefundConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var start_date6003 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6004 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel6005 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting6002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date6003, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date6004, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type6009 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmations.doctor_type) ") }, "name": "doctor_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor6010 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmations.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy6011 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmations.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    var main_3_panel6012 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type6009, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor6010, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy6011, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6016 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person6017 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var language6018 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp6019 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_4_panel6020 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company6016, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person6017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language6018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp6019, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6025 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 38, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6026 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5996, main_2_panel6005, main_3_panel6012, main_4_panel6020, remark6025 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6026;
    this.before_row_edit = function(record) {
      doctor6010.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy6011.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
      contact_person6017.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6025.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type6009 !== 'undefined' && doctor_type6009.on('change',Lino.chooser_handler(doctor6010,'doctor_type'));
      typeof granting6002 !== 'undefined' && granting6002.on('change',Lino.chooser_handler(pharmacy6011,'granting'));
      typeof company6016 !== 'undefined' && company6016.on('change',Lino.chooser_handler(contact_person6017,'company'));
      Lino.aids.RefundConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 125,
  initComponent : function() {
    var ref5833 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var group5834 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Groups.detail,Lino.debts.Groups.insert)}, "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type5835 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_1_panel5836 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": ref5833, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": group5834, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": type5835, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5840 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5842 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5843 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5842, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5847 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5836, main_2_panel5843 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5847;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 80,
  initComponent : function() {
    var language6027 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.languages.Languages.detail,null)}, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native6028 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate6029 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel6030 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native6028, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate6029, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level6033 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively6034 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken6035 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written6036 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel6037 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively6034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken6035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written6036, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6041 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language6027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel6030, { "anchor": "-20", "autoHeight": true, "items": cef_level6033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel6037 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6041;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 80,
  initComponent : function() {
    var language6044 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.languages.Languages.detail,null)}, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native6045 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate6046 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel6047 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native6045, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate6046, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level6050 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively6051 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken6052 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written6053 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel6054 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively6051, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken6052, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written6053, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6058 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language6044, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel6047, { "anchor": "-20", "autoHeight": true, "items": cef_level6050, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel6054 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6058;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 105,
  initComponent : function() {
    var id6061 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name6062 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(art61.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6063 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(art61.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6064 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(art61.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref6065 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(art61.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group6066 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(art61.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel6067 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id6061, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name6062, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_fr6063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_en6064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": ref6065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": overlap_group6066, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid6177 = new Lino.art61.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.61-Konventionen","(art61.art61.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art61.ContractsByType.grid) ] });
    var main_panel6178 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6067, ContractsByType_grid6177 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6178;
    this.before_row_edit = function(record) {
      ContractsByType_grid6177.on_master_changed();
    }
    Lino.art61.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 106,
  initComponent : function() {
    var id6107 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client6108 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var user6109 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(art61.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var language6110 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(art61.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel6111 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": id6107, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": client6108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user6109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": language6110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type6116 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var company6117 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person6118 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(art61.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role6119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(art61.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var box1_2_panel6120 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": type6116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company6117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person6118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role6119, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from6125 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(art61.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration6126 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(art61.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "value": null });
    var applies_until6127 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(art61.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy6128 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(art61.Contracts.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var box1_3_panel6129 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from6125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration6126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until6127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy6128, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_title6134 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(art61.Contracts.job_title) ") }, "maxLength": 200, "name": "job_title", "selectOnFocus": true });
    var status6135 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(art61.Contracts.status) ") }, "name": "status", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Statuses.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration6136 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "cv_durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(art61.Contracts.cv_duration) ") }, "name": "cv_duration", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Durations.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime6137 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(art61.Contracts.regime) ") }, "name": "regime", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Regimes.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var box1_4_panel6138 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": job_title6134, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": status6135, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": cv_duration6136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": regime6137, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person6143 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(art61.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark6144 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(art61.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp6145 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(art61.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel6146 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person6143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark6144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp6145, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided6150 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(art61.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued6151 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(art61.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended6152 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(art61.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending6153 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) ") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var box1_6_panel6154 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided6150, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued6151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended6152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending6153, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subsidize_106159 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Activa", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Activa","(art61.Contracts.subsidize_10) ") }, "name": "subsidize_10", "selectOnFocus": true });
    var subsidize_206160 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tutorate", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tutorate","(art61.Contracts.subsidize_20) ") }, "name": "subsidize_20", "selectOnFocus": true });
    var subsidize_306161 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Walloon Region", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Walloon Region","(art61.Contracts.subsidize_30) ") }, "name": "subsidize_30", "selectOnFocus": true });
    var subsidize_406162 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "SINE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("SINE","(art61.Contracts.subsidize_40) ") }, "name": "subsidize_40", "selectOnFocus": true });
    var subsidize_506163 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "PTP", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("PTP","(art61.Contracts.subsidize_50) ") }, "name": "subsidize_50", "selectOnFocus": true });
    var box1_7_panel6164 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": subsidize_106159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_206160, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_306161, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_406162, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_506163, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities6170 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 31, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel6171 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel6111, box1_2_panel6120, box1_3_panel6129, box1_4_panel6138, box1_5_panel6146, box1_6_panel6154, box1_7_panel6164, responsibilities6170 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid6172 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid6173 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel6174 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid6172, cal_TasksByController_grid6173 ], "labelAlign": "top" });
    var main_1_panel6175 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel6171, right_panel6174 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel6176 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6175 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel6176;
    this.before_row_edit = function(record) {
      contact_person6118.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6170.refresh();
      cal_EntriesByController_grid6172.on_master_changed();
      cal_TasksByController_grid6173.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company6117 !== 'undefined' && company6117.on('change',Lino.chooser_handler(contact_person6118,'company'));
      Lino.art61.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.art61.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 59,
  initComponent : function() {
    var name6179 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6180 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6181 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref6182 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var main_1_panel6183 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name6179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6181, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": ref6182, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group6188 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type6189 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var trade_type6190 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.Journals.trade_type) Pointer to TradeTypes.") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var seqno6191 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(ledger.Journals.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var id6192 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Journals.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel6193 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": journal_group6188, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": voucher_type6189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": trade_type6190, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno6191, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id6192, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account6199 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Journals.account) The account to use for the counter-movements generated by\nvouchers in this journal.") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/account" }) }) });
    var partner6200 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(ledger.Journals.partner) The partner to use as default partner for all vouchers in this\njournal.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/partner" }) }) });
    var build_method6201 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(ledger.Journals.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template6202 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(ledger.Journals.template) See PrintableType.template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/template" }) }) });
    var uploads_volume6203 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "Dateibibliothek", "hiddenName": "uploads_volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(ledger.Journals.uploads_volume) ") }, "name": "uploads_volume", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/uploads_volume" }) }) });
    var main_3_panel6204 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": account6199, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": partner6200, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": build_method6201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": template6202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": uploads_volume6203, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var dc6210 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Buchungsrichtung</span>", "forceSelection": true, "hiddenName": "dcHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Buchungsrichtung","(ledger.Journals.dc) The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.") }, "name": "dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.DC) });
    var force_sequence6211 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Chronologische Reihenfolge", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Chronologische Reihenfolge","(ledger.Journals.force_sequence) ") }, "name": "force_sequence", "selectOnFocus": true });
    var yearly_numbering6212 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Yearly numbering", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Yearly numbering","(ledger.Journals.yearly_numbering) Whether the number of\nvouchers should restart at 1 every year.") }, "name": "yearly_numbering", "selectOnFocus": true });
    var auto_fill_suggestions6213 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Fill suggestions", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Fill suggestions","(ledger.Journals.auto_fill_suggestions) Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.") }, "name": "auto_fill_suggestions", "selectOnFocus": true });
    var make_ledger_movements6214 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ledger", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ledger","(ledger.Journals.make_ledger_movements) Whether vouchers in this journal generate ledger movements.") }, "name": "make_ledger_movements", "selectOnFocus": true });
    var auto_check_clearings6215 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleichung pr\u00fcfen", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichung pr\u00fcfen","(ledger.Journals.auto_check_clearings) Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.") }, "name": "auto_check_clearings", "selectOnFocus": true });
    var must_declare6216 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "must declare", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("must declare","(ledger.Journals.must_declare) ") }, "name": "must_declare", "selectOnFocus": true });
    var preliminary6217 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Preliminary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Preliminary","(ledger.Journals.preliminary) Whether transactions in this journal are considered preliminary.") }, "name": "preliminary", "selectOnFocus": true });
    var main_4_panel6218 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": dc6210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": force_sequence6211, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": yearly_numbering6212, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": auto_fill_suggestions6213, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": make_ledger_movements6214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": auto_check_clearings6215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": must_declare6216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": preliminary6217, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_name6227 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck","(ledger.Journals.printed_name) ") }, "maxLength": 100, "name": "printed_name", "selectOnFocus": true });
    var printed_name_fr6228 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (fr)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (fr)","(ledger.Journals.printed_name_fr) ") }, "maxLength": 100, "name": "printed_name_fr", "selectOnFocus": true });
    var printed_name_en6229 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (en)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (en)","(ledger.Journals.printed_name_en) ") }, "maxLength": 100, "name": "printed_name_en", "selectOnFocus": true });
    var main_5_panel6230 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": printed_name6227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_fr6228, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_en6229, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var MatchRulesByJournal_grid6238 = new Lino.ledger.MatchRulesByJournal.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleichungsregeln","(ledger.ledger.MatchRulesByJournal) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.ledger.MatchRulesByJournal.grid) ] });
    var main_panel6239 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6183, main_2_panel6193, main_3_panel6204, main_4_panel6218, main_5_panel6230, MatchRulesByJournal_grid6238 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6239;
    this.before_row_edit = function(record) {
      template6202.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template6202.setContextValue('voucher_type', record ? record.data['voucher_typeHidden'] : undefined);
      MatchRulesByJournal_grid6238.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method6201 !== 'undefined' && build_method6201.on('change',Lino.chooser_handler(template6202,'build_method'));
      typeof voucher_type6189 !== 'undefined' && voucher_type6189.on('change',Lino.chooser_handler(template6202,'voucher_type'));
      Lino.ledger.Journals.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.ledger.Journals.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var event2007 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var partner2008 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) The partner to which this presence applies.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role2009 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_panel2010 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event2007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner2008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role2009, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2010;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.languages.Languages.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel languages-Languages",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 79,
  initComponent : function() {
    var id6240 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "id", "listeners": { "render": Lino.quicktip_renderer("id","(languages.Languages.id) ") }, "maxLength": 3, "name": "id", "selectOnFocus": true });
    var iso26241 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(2), "fieldLabel": "iso2", "listeners": { "render": Lino.quicktip_renderer("iso2","(languages.Languages.iso2) ") }, "maxLength": 2, "name": "iso2", "selectOnFocus": true });
    var name6242 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(languages.Languages.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6243 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(languages.Languages.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6244 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(languages.Languages.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6245 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": iso26241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name6242, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr6243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en6244, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_KnowledgesByLanguage_grid6262 = new Lino.cv.KnowledgesByLanguage.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(cv.cv.KnowledgesByLanguage) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.KnowledgesByLanguage.grid) ] });
    var main_panel6263 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6245, cv_KnowledgesByLanguage_grid6262 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6263;
    this.before_row_edit = function(record) {
      cv_KnowledgesByLanguage_grid6262.on_master_changed();
    }
    Lino.languages.Languages.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseContents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseContents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 108,
  initComponent : function() {
    var id6264 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseContents.id) ") }, "name": "id", "selectOnFocus": true });
    var name6265 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseContents.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var main_1_panel6266 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": id6264, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": name6265, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var xcourses_CourseOffersByContent_grid6276 = new Lino.xcourses.CourseOffersByContent.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursangebote","(xcourses.xcourses.CourseOffersByContent) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseOffersByContent.grid) ] });
    var xcourses_CourseRequestsByContent_grid6288 = new Lino.xcourses.CourseRequestsByContent.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursanfragen","(xcourses.xcourses.CourseRequestsByContent) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseRequestsByContent.grid) ] });
    var main_panel6289 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6266, xcourses_CourseOffersByContent_grid6276, xcourses_CourseRequestsByContent_grid6288 ], "labelAlign": "top" });
    this.items = main_panel6289;
    this.before_row_edit = function(record) {
      xcourses_CourseOffersByContent_grid6276.on_master_changed();
      xcourses_CourseRequestsByContent_grid6288.on_master_changed();
    }
    Lino.xcourses.CourseContents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.Properties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-Properties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 19,
  initComponent : function() {
    var id3104 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.Properties.id) ") }, "name": "id", "selectOnFocus": true });
    var group3105 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "Eigenschaftsgruppe", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe","(properties.Properties.group) ") }, "name": "group", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/group" }) }) });
    var type3106 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropTypes.detail", "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "fieldLabel": "Eigenschafts-Datentyp", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Datentyp","(properties.Properties.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropTypes.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/type" }) }) });
    var main_1_panel3107 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id3104, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": group3105, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": type3106, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3111 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.Properties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3112 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.Properties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3113 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.Properties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3114 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3111, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3112, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3113, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_PersonPropsByProp_grid3125 = new Lino.cv.PersonPropsByProp.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(cv.cv.PersonPropsByProp) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.PersonPropsByProp.grid) ] });
    var main_panel3126 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3107, main_2_panel3114, cv_PersonPropsByProp_grid3125 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3126;
    this.before_row_edit = function(record) {
      cv_PersonPropsByProp_grid3125.on_master_changed();
    }
    Lino.properties.Properties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 9,
  initComponent : function() {
    var overview_htmlbox6290 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Companies.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix6291 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name6292 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel6293 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix6291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name6292, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type6296 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id6297 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(contacts.Companies.vat_id) The VAT id used to identify this business partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel6298 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type6296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id6297, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type6301 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Companies.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var url6302 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Companies.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel6303 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel6293, general2_2_panel6298, { "anchor": "-20", "autoHeight": true, "items": client_contact_type6301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url6302, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email6306 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone6307 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Companies.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm6308 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(contacts.Companies.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax6309 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Companies.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel6310 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email6306, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone6307, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm6308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax6309, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel6315 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox6290, general2_panel6303, general3_panel6310 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid6316 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel6317 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6315, contacts_RolesByCompany_grid6316 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var addresses_AddressesByPartner_grid6336 = new Lino.addresses.AddressesByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(addresses.addresses.AddressesByPartner) Shows all addresses of this partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.addresses.AddressesByPartner.grid) ] });
    var remarks6337 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Companies.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid6338 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_2_panel6339 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 21, "items": remarks6337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid6338 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel6341 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ addresses_AddressesByPartner_grid6336, contact_2_panel6339 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var notes_NotesByCompany_htmlbox6342 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes.NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var payment_term6343 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var vatless_VouchersByPartner_htmlbox6344 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Partnerbelege","(contacts.Companies.vatless.VouchersByPartner) ") }, "name": "vatless.VouchersByPartner", "region": "center", "split": true, "title": "Partnerbelege", "value": "<br/>" });
    var ledger_MovementsByPartner_htmlbox6345 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bewegungen","(contacts.Companies.ledger.MovementsByPartner) Shows the ledger movements linked to a given partner.") }, "name": "ledger.MovementsByPartner", "region": "south", "split": true, "title": "Bewegungen", "value": "<br/>" });
    var ledger_panel6346 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term6343, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" }, vatless_VouchersByPartner_htmlbox6344, ledger_MovementsByPartner_htmlbox6345 ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var id6348 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Companies.id) ") }, "name": "id", "selectOnFocus": true });
    var language6349 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Companies.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var activity6350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Companies.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var is_obsolete6351 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel6352 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": id6348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": language6349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": activity6350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": is_obsolete6351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created6357 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Companies.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified6358 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Companies.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel6359 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created6357, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified6358, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid6362 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel6363 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel6352, misc_2_panel6359, reception_AppointmentsByPartner_grid6362 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel6364 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6317, contact_panel6341, notes_NotesByCompany_htmlbox6342, ledger_panel6346, misc_panel6363 ], "labelAlign": "top", "split": true });
    this.items = main_panel6364;
    this.before_row_edit = function(record) {
      overview_htmlbox6290.refresh();
      contacts_RolesByCompany_grid6316.on_master_changed();
      addresses_AddressesByPartner_grid6336.on_master_changed();
      sepa_AccountsByPartner_grid6338.on_master_changed();
      notes_NotesByCompany_htmlbox6342.refresh();
      vatless_VouchersByPartner_htmlbox6344.refresh();
      ledger_MovementsByPartner_htmlbox6345.refresh();
      reception_AppointmentsByPartner_grid6362.on_master_changed();
    }
    Lino.contacts.Companies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.contacts.Companies.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 9,
  initComponent : function() {
    var name6365 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var email6366 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var type6367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var main_panel6368 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name6365, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email6366, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type6367, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6368;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Companies.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Offers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Offers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 100,
  initComponent : function() {
    var name6372 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Offers.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider6373 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Offers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector6374 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Offers.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function6375 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Offers.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var main_1_panel6376 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name6372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": provider6373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector6374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": function6375, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var selection_from6381 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginn Auswahl", "listeners": { "render": Lino.quicktip_renderer("Beginn Auswahl","(jobs.Offers.selection_from) ") }, "name": "selection_from", "selectOnFocus": true });
    var selection_until6382 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ende Auswahl", "listeners": { "render": Lino.quicktip_renderer("Ende Auswahl","(jobs.Offers.selection_until) ") }, "name": "selection_until", "selectOnFocus": true });
    var start_date6383 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(jobs.Offers.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var main_2_panel6384 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": selection_from6381, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": selection_until6382, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": start_date6383, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6388 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Offers.remark) ") }, "name": "remark", "selectOnFocus": true });
    var ExperiencesByOffer_grid6395 = new Lino.jobs.ExperiencesByOffer.GridPanel({ "containing_panel": this, "flex": 51, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erfahrungen","(jobs.jobs.ExperiencesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ExperiencesByOffer.grid) ] });
    var CandidaturesByOffer_grid6401 = new Lino.jobs.CandidaturesByOffer.GridPanel({ "containing_panel": this, "flex": 48, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kandidaten","(jobs.jobs.CandidaturesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByOffer.grid) ] });
    var main_4_panel6402 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ ExperiencesByOffer_grid6395, CandidaturesByOffer_grid6401 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel6403 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6376, main_2_panel6384, { "flex": 41, "items": remark6388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel6402 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6403;
    this.before_row_edit = function(record) {
      function6375.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      ExperiencesByOffer_grid6395.on_master_changed();
      CandidaturesByOffer_grid6401.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector6374 !== 'undefined' && sector6374.on('change',Lino.chooser_handler(function6375,'sector'));
      Lino.jobs.Offers.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Offers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudiesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudiesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 84,
  initComponent : function() {
    var start_date1571 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.StudiesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1572 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.StudiesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1573 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1571, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1572, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1576 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content1577 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.StudiesByPerson.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var main_2_panel1578 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": content1577, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1581 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1573, main_2_panel1578 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1581;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudiesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-GuestRoles",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 32,
  initComponent : function() {
    var ref6405 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(cal.GuestRoles.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name6406 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.GuestRoles.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6407 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.GuestRoles.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6408 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.GuestRoles.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id6409 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.GuestRoles.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel6410 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": ref6405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name6406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr6407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en6408, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id6409, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cal_GuestsByRole_grid6427 = new Lino.cal.GuestsByRole.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Anwesenheiten","(cal.cal.GuestsByRole) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByRole.grid) ] });
    var main_panel6428 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6410, cal_GuestsByRole_grid6427 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6428;
    this.before_row_edit = function(record) {
      cal_GuestsByRole_grid6427.on_master_changed();
    }
    Lino.cal.GuestRoles.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.EducationLevels.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-EducationLevels",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 81,
  initComponent : function() {
    var name6429 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.EducationLevels.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6430 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.EducationLevels.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6431 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.EducationLevels.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var is_study6432 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.EducationLevels.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training6433 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.EducationLevels.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_1_panel6434 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name6429, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr6430, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en6431, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_study6432, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_training6433, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var StudyTypesByLevel_grid6448 = new Lino.cv.StudyTypesByLevel.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bildungsarten","(cv.cv.StudyTypesByLevel) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudyTypesByLevel.grid) ] });
    var StudiesByLevel_grid6465 = new Lino.cv.StudiesByLevel.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studien","(cv.cv.StudiesByLevel) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByLevel.grid) ] });
    var main_panel6466 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6434, StudyTypesByLevel_grid6448, StudiesByLevel_grid6465 ], "labelAlign": "top" });
    this.items = main_panel6466;
    this.before_row_edit = function(record) {
      StudyTypesByLevel_grid6448.on_master_changed();
      StudiesByLevel_grid6465.on_master_changed();
    }
    Lino.cv.EducationLevels.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NotesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NotesByX",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 131,
  initComponent : function() {
    var event_type6467 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.NotesByX.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/event_type" }) }) });
    var type6468 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.NotesByX.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.NoteTypes.detail,Lino.notes.NoteTypes.insert)}, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/type" }) }) });
    var main_1_panel6469 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type6467, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type6468, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject6472 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.NotesByX.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project6473 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.NotesByX.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/project" }) }) });
    var main_panel6474 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6469, { "anchor": "-20", "autoHeight": true, "items": subject6472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project6473, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6474;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NotesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 99,
  initComponent : function() {
    var id2156 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2157 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var user2158 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var user_asd2159 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(jobs.Contracts.user_asd) ") }, "name": "user_asd", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var language2160 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(jobs.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel2161 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id2156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": client2157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user2158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user_asd2159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": language2160, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job2167 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var type2168 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(jobs.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var company2169 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person2170 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(jobs.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role2171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var box1_2_panel2172 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": job2167, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type2168, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": company2169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_person2170, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_role2171, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from2178 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(jobs.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration2179 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(jobs.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var applies_until2180 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(jobs.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2181 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(jobs.Contracts.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var box1_3_panel2182 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from2178, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration2179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until2180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy2181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var regime2187 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(jobs.Contracts.regime) ") }, "name": "regime", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Regimes.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule2188 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Schedules.detail", "emptyText": "Stundenplan ausw\u00e4hlen...", "fieldLabel": "Stundenplan", "hiddenName": "scheduleHidden", "listeners": { "render": Lino.quicktip_renderer("Stundenplan","(jobs.Contracts.schedule) ") }, "name": "schedule", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Schedules.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate2189 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Contracts.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var refund_rate2190 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "R\u00fcckzahlung", "listeners": { "render": Lino.quicktip_renderer("R\u00fcckzahlung","(jobs.Contracts.refund_rate) ") }, "name": "refund_rate", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    var box1_4_panel2191 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": regime2187, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": schedule2188, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": hourly_rate2189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": refund_rate2190, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person2196 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(jobs.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark2197 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp2198 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(jobs.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel2199 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person2196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark2197, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp2198, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2203 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(jobs.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2204 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(jobs.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended2205 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(jobs.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending2206 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) ") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var box1_6_panel2207 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided2203, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued2204, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2205, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending2206, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities2212 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 33, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel2213 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel2161, box1_2_panel2172, box1_3_panel2182, box1_4_panel2191, box1_5_panel2199, box1_6_panel2207, responsibilities2212 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid2214 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid2215 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel2216 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid2214, cal_TasksByController_grid2215 ], "labelAlign": "top" });
    var main_1_panel2217 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel2213, right_panel2216 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel2218 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2217 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2218;
    this.before_row_edit = function(record) {
      contact_person2170.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2212.refresh();
      cal_EntriesByController_grid2214.on_master_changed();
      cal_TasksByController_grid2215.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company2169 !== 'undefined' && company2169.on('change',Lino.chooser_handler(contact_person2170,'company'));
      Lino.jobs.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Contracts.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    contact_person2170.on("change", function(){ this.save() }, this);
    contact_role2171.on("change", function(){ this.save() }, this);
    company2169.on("change", function(){ this.save() }, this);
    job2167.on("change", function(){ this.save() }, this);
  }
});


Lino.debts.Budgets.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 126,
  initComponent : function() {
    var partner2456 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var date2457 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var user2458 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var main_2_panel2459 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": date2457, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user2458, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2462 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner2456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2459 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2462;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Budgets.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 122,
  initComponent : function() {
    var type4935 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.HouseholdsByType.type) The type of this household.  See household types") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var prefix4936 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4937 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id4938 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.HouseholdsByType.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4939 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type4935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix4936, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name4937, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4938, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox4944 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.HouseholdsByType.overview) ") }, "name": "overview", "value": "<br/>" });
    var language4945 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email4946 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.HouseholdsByType.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.HouseholdsByType.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4948 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handy</span>", "listeners": { "render": Lino.quicktip_renderer("Handy","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel4949 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language4945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email4946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_2_panel4954 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4944, box3_panel4949 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid4971 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var main_panel4972 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4939, main_2_panel4954, households_MembersByHousehold_grid4971 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4972;
    this.before_row_edit = function(record) {
      overview_htmlbox4944.refresh();
      households_MembersByHousehold_grid4971.on_master_changed();
    }
    Lino.households.HouseholdsByType.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.vatless.Invoices.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "X", "keycode": 88, "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var journal6477 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var partner6478 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var entry_date6479 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel6480 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": journal6477, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner6478, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date6479, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6480;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.Invoices.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt16', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var name4973 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var language4974 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_panel4975 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name4973, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": language4974, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4975;
    this.before_row_edit = function(record) {
    }
    Lino.households.HouseholdsByType.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Schedules.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Schedules",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 97,
  initComponent : function() {
    var id6484 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Schedules.id) ") }, "name": "id", "selectOnFocus": true });
    var name6485 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.Schedules.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6486 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.Schedules.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6487 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.Schedules.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6488 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6487, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsBySchedule_grid6522 = new Lino.jobs.ContractsBySchedule.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsBySchedule) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsBySchedule.grid) ] });
    var main_panel6523 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6488, ContractsBySchedule_grid6522 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6523;
    this.before_row_edit = function(record) {
      ContractsBySchedule_grid6522.on_master_changed();
    }
    Lino.jobs.Schedules.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var event_type2261 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var summary2262 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2263 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2264 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date2265 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2266 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel2267 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date2263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time2264, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date2265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time2266, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2272 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event_type2261, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": summary2262, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2267 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2272;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file6524 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var user6525 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_1_panel6526 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": file6524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": user6525, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var volume6529 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file6530 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_2_panel6531 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": volume6529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": library_file6530, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var upload_area6534 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Bereich</span>", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.AllUploads.upload_area) The upload area this file belongs to.") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var type6535 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description6536 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_3_panel6537 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": upload_area6534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": type6535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": description6536, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp6541 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_panel6542 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6526, main_2_panel6531, main_3_panel6537, { "anchor": "-20", "autoHeight": true, "items": owner_disp6541, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6542;
    this.before_row_edit = function(record) {
      library_file6530.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      type6535.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume6529 !== 'undefined' && volume6529.on('change',Lino.chooser_handler(library_file6530,'volume'));
      typeof upload_area6534 !== 'undefined' && upload_area6534.on('change',Lino.chooser_handler(type6535,'upload_area'));
      Lino.uploads.AllUploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-SimpleConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 135,
  initComponent : function() {
    var start_date6544 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6545 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel6546 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date6544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date6545, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6549 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person6550 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var language6551 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel6552 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company6549, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person6550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language6551, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6556 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 71, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6557 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6546, main_2_panel6552, remark6556 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6557;
    this.before_row_edit = function(record) {
      contact_person6550.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6556.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company6549 !== 'undefined' && company6549.on('change',Lino.chooser_handler(contact_person6550,'company'));
      Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 119,
  initComponent : function() {
    var person6558 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var national_id6559 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language6560 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var main_2_panel6561 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": national_id6559, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": language6560, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var history6564 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var main_panel6565 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person6558, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel6561, { "anchor": "-20", "autoHeight": true, "items": history6564, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6565;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Problems",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 20,
  disable_editing: true,
  initComponent : function() {
    var checker3765 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var owner_disp3766 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Datenobjekt", "name": "owner" });
    var message3767 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Meldung</span>", "listeners": { "render": Lino.quicktip_renderer("Meldung","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "maxLength": 250, "name": "message", "selectOnFocus": true });
    var user3768 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var id3769 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(checkdata.Problems.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel3770 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user3768, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": id3769, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3773 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": checker3765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": owner_disp3766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": message3767, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel3770 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3773;
    this.before_row_edit = function(record) {
    }
    Lino.checkdata.Problems.DetailFormPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.create_household = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.create_household_ActionFormPanel(p);
});
Lino.contacts.Companies.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.merge_row_ActionFormPanel(p);
});
Lino.uploads.Volumes.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/Volumes" };
  return new Lino.uploads.Volumes.merge_row_ActionFormPanel(p);
});
Lino.cal.GuestRoles.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestRoles" };
  return new Lino.cal.GuestRoles.merge_row_ActionFormPanel(p);
});
Lino.cal.Guests.checkin = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.checkin_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf1 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf1_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf2 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf2_ActionFormPanel(p);
});
Lino.cal.EventTypes.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EventTypes" };
  return new Lino.cal.EventTypes.merge_row_ActionFormPanel(p);
});
Lino.pcsw.Clients.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.merge_row_ActionFormPanel(p);
});
Lino.pcsw.Clients.refuse_client = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.refuse_client_ActionFormPanel(p);
});
Lino.pcsw.Clients.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.create_visit_ActionFormPanel(p);
});
Lino.coachings.Coachings.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/coachings/Coachings" };
  return new Lino.coachings.Coachings.create_visit_ActionFormPanel(p);
});
Lino.households.Households.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.merge_row_ActionFormPanel(p);
});
Lino.jobs.JobProviders.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.merge_row_ActionFormPanel(p);
});
Lino.jobs.ContractTypes.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractTypes" };
  return new Lino.jobs.ContractTypes.merge_row_ActionFormPanel(p);
});
Lino.ledger.Accounts.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/Accounts" };
  return new Lino.ledger.Accounts.merge_row_ActionFormPanel(p);
});
Lino.ledger.Journals.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/Journals" };
  return new Lino.ledger.Journals.merge_row_ActionFormPanel(p);
});
Lino.ledger.AccountingPeriods.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/AccountingPeriods" };
  return new Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel(p);
});
Lino.ledger.PaymentTerms.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/PaymentTerms" };
  return new Lino.ledger.PaymentTerms.merge_row_ActionFormPanel(p);
});
Lino.ledger.FiscalYears.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/FiscalYears" };
  return new Lino.ledger.FiscalYears.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/AllUsers" };
  return new Lino.users.AllUsers.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.change_password = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/AllUsers" };
  return new Lino.users.AllUsers.change_password_ActionFormPanel(p);
});
Lino.art61.ContractTypes.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractTypes" };
  return new Lino.art61.ContractTypes.merge_row_ActionFormPanel(p);
});
Lino.xcourses.CourseProviders.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  return new Lino.xcourses.CourseProviders.merge_row_ActionFormPanel(p);
});
Lino.debts.Accounts.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/Accounts" };
  return new Lino.debts.Accounts.merge_row_ActionFormPanel(p);
});
Lino.newcomers.AvailableCoachesByClient.assign_coach = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/AvailableCoachesByClient" };
  return new Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel(p);
});
Lino.about.About.sign_in = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.sign_in_ActionFormPanel(p);
});

// js_render_GridPanel_class system.SiteConfigs
Lino.system.SiteConfigs.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/SiteConfigs",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "default_build_method" }, 'default_build_methodHidden', { "dateFormat": "d.m.Y", "name": "simulate_today", "type": "date" }, { "name": "site_company" }, 'site_companyHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "signer1_function" }, 'signer1_functionHidden', { "name": "signer2_function" }, 'signer2_functionHidden', { "name": "next_partner_id", "type": "int", "useNull": true }, { "name": "default_event_type" }, 'default_event_typeHidden', { "name": "site_calendar" }, 'site_calendarHidden', { "name": "max_auto_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "hide_events_before", "type": "date" }, { "name": "default_color" }, 'default_colorHidden', { "name": "client_calendar" }, 'client_calendarHidden', { "name": "client_guestrole" }, 'client_guestroleHidden', { "name": "team_guestrole" }, 'team_guestroleHidden', { "name": "prompt_calendar" }, 'prompt_calendarHidden', { "name": "propgroup_skills" }, 'propgroup_skillsHidden', { "name": "propgroup_softskills" }, 'propgroup_softskillsHidden', { "name": "propgroup_obstacles" }, 'propgroup_obstaclesHidden', { "name": "master_budget" }, 'master_budgetHidden', { "name": "system_note_type" }, 'system_note_typeHidden', { "name": "job_office" }, 'job_officeHidden', { "name": "residence_permit_upload_type" }, 'residence_permit_upload_typeHidden', { "name": "work_permit_upload_type" }, 'work_permit_upload_typeHidden', { "name": "driving_licence_upload_type" }, 'driving_licence_upload_typeHidden', { "name": "sector" }, 'sectorHidden', { "name": "cbss_org_unit" }, { "name": "ssdn_user_id" }, { "name": "ssdn_email" }, { "name": "cbss_http_username" }, { "name": "cbss_http_password" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "check_all_summaries", "menu_item_text": "Check all summary data", "overflowText": "Check all summary data", "panel_btn_handler": Lino.row_action_handler('check_all_summaries','GET',null), "text": "Check all summary data" }, { "auto_save": true, "itemId": "do_build", "menu_item_text": "Site-Cache rekonstruieren", "overflowText": "Site-Cache rekonstruieren", "panel_btn_handler": Lino.row_action_handler('do_build','GET',null), "text": "Site-Cache rekonstruieren", "tooltip": "Rebuild the site cache.\nThis action is available on About.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Site-Konfigurations",
  initComponent : function() {
    this.ls_detail_handler = Lino.system.SiteConfigs.detail;
    var ww = this.containing_window;
    var id13081 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var default_build_method13082 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var simulate_today13083 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var site_company13084 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_company" }) }) });
    var signer113085 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1" }) }) });
    var signer213086 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2" }) }) });
    var signer1_function13087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1_function" }) }) });
    var signer2_function13088 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2_function" }) }) });
    var next_partner_id13089 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true, "value": 100 });
    var default_event_type13090 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/default_event_type" }) }) });
    var site_calendar13091 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_calendar" }) }) });
    var max_auto_events13092 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true, "value": 72 });
    var hide_events_before13093 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var default_color13094 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var client_calendar13095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_calendar" }) }) });
    var client_guestrole13096 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_guestrole" }) }) });
    var team_guestrole13097 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/team_guestrole" }) }) });
    var prompt_calendar13098 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/prompt_calendar" }) }) });
    var propgroup_skills13099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_skills" }) }) });
    var propgroup_softskills13100 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_softskills" }) }) });
    var propgroup_obstacles13101 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_obstacles" }) }) });
    var master_budget13102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/master_budget" }) }) });
    var system_note_type13103 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/system_note_type" }) }) });
    var job_office13104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/job_office" }) }) });
    var residence_permit_upload_type13105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/residence_permit_upload_type" }) }) });
    var work_permit_upload_type13106 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/work_permit_upload_type" }) }) });
    var driving_licence_upload_type13107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/driving_licence_upload_type" }) }) });
    var sector13108 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cbss.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/sector" }) }) });
    var cbss_org_unit13109 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var ssdn_user_id13110 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var ssdn_email13111 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var cbss_http_username13112 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var cbss_http_password13113 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13081, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "default_build_method", "editable": true, "editor": default_build_method13082, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Standard-Konstruktionsmethode", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.default_build_method) The default build method to use when rendering printable documents.") }, "sortable": false, "tooltip": "The default build method to use when rendering printable documents.", "width": Lino.chars2width(24) }, { "colIndex": 2, "dataIndex": "simulate_today", "editable": true, "editor": simulate_today13083, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Simuliertes Datum", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.simulate_today) A constant user-defined date to be substituted as current\nsystem date.") }, "sortable": true, "tooltip": "A constant user-defined date to be substituted as current\nsystem date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "site_company", "editable": true, "editor": site_company13084, "filter": { "type": "string" }, "header": "Site operator", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.site_company) The site operator, i.e. the legal person that operates this\nLino site.") }, "renderer": Lino.fk_renderer('site_companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The site operator, i.e. the legal person that operates this\nLino site.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer113085, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer213086, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1_function", "editable": true, "editor": signer1_function13087, "filter": { "type": "string" }, "header": "Funktion des ersten Unterzeichners", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.signer1_function) Kontaktfunktion \"Sekret\u00e4r\"") }, "sortable": false, "tooltip": "Kontaktfunktion \"Sekret\u00e4r\"", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2_function", "editable": true, "editor": signer2_function13088, "filter": { "type": "string" }, "header": "Funktion des zweiten Unterzeichners", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.signer2_function) Kontaktfunktion \"Pr\u00e4sident\"") }, "sortable": false, "tooltip": "Kontaktfunktion \"Pr\u00e4sident\"", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "next_partner_id", "editable": true, "editor": next_partner_id13089, "filter": { "type": "numeric" }, "format": "0", "header": "N\u00e4chste Partnernummer", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.next_partner_id) N\u00e4chste Partnernummer") }, "sortable": true, "tooltip": "N\u00e4chste Partnernummer", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "default_event_type", "editable": true, "editor": default_event_type13090, "filter": { "type": "string" }, "header": "Standard-Kalenderintragsart", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.default_event_type) The default type of events on this site.") }, "renderer": Lino.fk_renderer('default_event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The default type of events on this site.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "site_calendar", "editable": true, "editor": site_calendar13091, "filter": { "type": "string" }, "header": "Site Calendar", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.site_calendar) The default calendar of this site.") }, "renderer": Lino.fk_renderer('site_calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "The default calendar of this site.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "max_auto_events", "editable": true, "editor": max_auto_events13092, "filter": { "type": "numeric" }, "format": "0", "header": "Max automatic events", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.max_auto_events) Maximum number of automatic events to be generated.") }, "sortable": true, "tooltip": "Maximum number of automatic events to be generated.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "hide_events_before", "editable": true, "editor": hide_events_before13093, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Hide events before", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.hide_events_before) If this is specified, certain tables show only\nevents after the given date.") }, "sortable": true, "tooltip": "If this is specified, certain tables show only\nevents after the given date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "default_color", "editable": true, "editor": default_color13094, "filter": { "options": [ "White", "Silver", "Gray", "Black", "Red", "Maroon", "Yellow", "Olive", "Lime", "Green", "Aqua", "Teal", "Blue", "Navy", "Fuchsia", "Purple" ], "type": "list" }, "header": "Color", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.default_color) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 14, "dataIndex": "client_calendar", "editable": true, "editor": client_calendar13095, "filter": { "type": "string" }, "header": "Default type for client calendar events", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.client_calendar) ") }, "renderer": Lino.fk_renderer('client_calendarHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "client_guestrole", "editable": true, "editor": client_guestrole13096, "filter": { "type": "string" }, "header": "Client guest role", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.client_guestrole) Default guest role of client in calendar events.") }, "renderer": Lino.fk_renderer('client_guestroleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "Default guest role of client in calendar events.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "team_guestrole", "editable": true, "editor": team_guestrole13097, "filter": { "type": "string" }, "header": "Rolle der anderen bei Gruppenterminen", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.team_guestrole) ") }, "renderer": Lino.fk_renderer('team_guestroleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "prompt_calendar", "editable": true, "editor": prompt_calendar13098, "filter": { "type": "string" }, "header": "Default type for prompt events", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.prompt_calendar) ") }, "renderer": Lino.fk_renderer('prompt_calendarHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "propgroup_skills", "editable": true, "editor": propgroup_skills13099, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe F\u00e4higkeiten", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.propgroup_skills) The property group to be used as master for the SkillsByPerson table.") }, "renderer": Lino.fk_renderer('propgroup_skillsHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "The property group to be used as master for the SkillsByPerson table.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "propgroup_softskills", "editable": true, "editor": propgroup_softskills13100, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe Sozialkompetenzen", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.propgroup_softskills) The property group to be used as master for the SoftSkillsByPerson table.") }, "renderer": Lino.fk_renderer('propgroup_softskillsHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "The property group to be used as master for the SoftSkillsByPerson table.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "propgroup_obstacles", "editable": true, "editor": propgroup_obstacles13101, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe Hindernisse", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.propgroup_obstacles) The property group to be used as master for the ObstaclesByPerson table.") }, "renderer": Lino.fk_renderer('propgroup_obstaclesHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "The property group to be used as master for the ObstaclesByPerson table.", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "master_budget", "editable": true, "editor": master_budget13102, "filter": { "type": "string" }, "header": "Budget-Kopiervorlage", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.master_budget) The budget whose content is to be         copied into new budgets.") }, "renderer": Lino.fk_renderer('master_budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "The budget whose content is to be         copied into new budgets.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "system_note_type", "editable": true, "editor": system_note_type13103, "filter": { "type": "string" }, "header": "Default system note type", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.system_note_type) Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.") }, "renderer": Lino.fk_renderer('system_note_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "job_office", "editable": true, "editor": job_office13104, "filter": { "type": "string" }, "header": "Lokales Arbeitsamt", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.job_office) The Company whose contact persons\n            will be choices for `Person.job_office_contact`.") }, "renderer": Lino.fk_renderer('job_officeHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The Company whose contact persons\n            will be choices for `Person.job_office_contact`.", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "residence_permit_upload_type", "editable": true, "editor": residence_permit_upload_type13105, "filter": { "type": "string" }, "header": "Upload-Art Aufenthaltserlaubnis", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.residence_permit_upload_type) ") }, "renderer": Lino.fk_renderer('residence_permit_upload_typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "work_permit_upload_type", "editable": true, "editor": work_permit_upload_type13106, "filter": { "type": "string" }, "header": "Upload-Art Arbeitserlaubnis", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.work_permit_upload_type) ") }, "renderer": Lino.fk_renderer('work_permit_upload_typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "driving_licence_upload_type", "editable": true, "editor": driving_licence_upload_type13107, "filter": { "type": "string" }, "header": "Upload-Art F\u00fchrerschein", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.driving_licence_upload_type) ") }, "renderer": Lino.fk_renderer('driving_licence_upload_typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "sector", "editable": true, "editor": sector13108, "filter": { "type": "string" }, "header": "sector", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.sector)     The CBSS sector/subsector of the requesting organization.\n    For PCSWs this is always 17.1.\n    Used in SSDN requests as text of the `MatrixID` and `MatrixSubID`\n    elements of `AuthorizedUser`.\n    Used in ManageAccess requests as default value\n    for the non-editable field `sector`\n    (which defines the choices of the `purpose` field).\n    ") }, "sortable": false, "tooltip": "    The CBSS sector/subsector of the requesting organization.\n    For PCSWs this is always 17.1.\n    Used in SSDN requests as text of the `MatrixID` and `MatrixSubID`\n    elements of `AuthorizedUser`.\n    Used in ManageAccess requests as default value\n    for the non-editable field `sector`\n    (which defines the choices of the `purpose` field).\n    ", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "cbss_org_unit", "editable": true, "editor": cbss_org_unit13109, "filter": { "type": "string" }, "header": "Anfragende Organisation", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.cbss_org_unit)     In CBSS requests, identifies the requesting organization.\n    For PCSWs this is the enterprise number\n    (CBE, KBO) and should have 10 digits and no formatting characters.\n\n    Used in SSDN requests as text of the `AuthorizedUser\\OrgUnit` element .\n    Used in new style requests as text of the `CustomerIdentification\\cbeNumber` element .\n    ") }, "sortable": true, "tooltip": "    In CBSS requests, identifies the requesting organization.\n    For PCSWs this is the enterprise number\n    (CBE, KBO) and should have 10 digits and no formatting characters.\n\n    Used in SSDN requests as text of the `AuthorizedUser\\OrgUnit` element .\n    Used in new style requests as text of the `CustomerIdentification\\cbeNumber` element .\n    ", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "ssdn_user_id", "editable": true, "editor": ssdn_user_id13110, "filter": { "type": "string" }, "header": "SSDN User Id", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.ssdn_user_id) Used in SSDN requests as text of the `AuthorizedUser\\UserID` element.") }, "sortable": true, "tooltip": "Used in SSDN requests as text of the `AuthorizedUser\\UserID` element.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "ssdn_email", "editable": true, "editor": ssdn_email13111, "filter": { "type": "string" }, "header": "SSDN email address", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.ssdn_email) Used in SSDN requests as text of the `AuthorizedUser\\Email` element.") }, "sortable": true, "tooltip": "Used in SSDN requests as text of the `AuthorizedUser\\Email` element.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "cbss_http_username", "editable": true, "editor": cbss_http_username13112, "filter": { "type": "string" }, "header": "HTTP username", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.cbss_http_username)             Used in the http header of new-style requests.\n            ") }, "sortable": true, "tooltip": "            Used in the http header of new-style requests.\n            ", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "cbss_http_password", "editable": true, "editor": cbss_http_password13113, "filter": { "type": "string" }, "header": "HTTP password", "listeners": { "render": Lino.quicktip_renderer("","(system.SiteConfigs.cbss_http_password) Used in the http header of new-style requests.") }, "sortable": true, "tooltip": "Used in the http header of new-style requests.", "width": Lino.chars2width(22) } ];
    Lino.system.SiteConfigs.GridPanel.superclass.initComponent.call(this);
  }
});


Lino.system.SiteConfigs.detailPanel = Ext.extend(Lino.system.SiteConfigs.DetailFormPanel,{
  empty_title: "Site-Konfigurations",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "check_all_summaries", "menu_item_text": "Check all summary data", "overflowText": "Check all summary data", "panel_btn_handler": Lino.row_action_handler('check_all_summaries','GET',null), "text": "Check all summary data" }, { "auto_save": true, "itemId": "do_build", "menu_item_text": "Site-Cache rekonstruieren", "overflowText": "Site-Cache rekonstruieren", "panel_btn_handler": Lino.row_action_handler('do_build','GET',null), "text": "Site-Cache rekonstruieren", "tooltip": "Rebuild the site cache.\nThis action is available on About.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/system/SiteConfigs",
  initComponent : function() {
    this.ls_detail_handler = Lino.system.SiteConfigs.detail;
    Lino.system.SiteConfigs.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.system.SiteConfigs.detail = new Lino.WindowAction({  }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/system/SiteConfigs" };
  return new Lino.system.SiteConfigs.detailPanel(p);
});
Lino.system.SiteConfigs.check_all_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/SiteConfigs", "GET", pk, "check_all_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.SiteConfigs.do_build = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/SiteConfigs", "GET", pk, "do_build", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.SiteConfigs.import_b2c = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/SiteConfigs", "POST", pk, "import_b2c", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.SiteConfigs.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/SiteConfigs", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.Countries
Lino.countries.Countries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/Countries",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "isocode" }, { "name": "short_code" }, { "name": "iso3" }, { "name": "inscode" }, { "name": "actual_country" }, 'actual_countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "isocode",
  pk_index : 3,
  content_type : 2,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/Countries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/Countries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/Countries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/Countries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/Countries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Land) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of countries.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "L\u00e4nder",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.Countries.detail;
    this.ls_insert_handler = Lino.countries.Countries.insert;
    var ww = this.containing_window;
    var name13115 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13116 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13117 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var isocode13118 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(4), "maxLength": 4, "selectOnFocus": true });
    var short_code13119 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var iso313120 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(3), "hidden": true, "maxLength": 3, "selectOnFocus": true });
    var inscode13121 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(3), "hidden": true, "maxLength": 3, "selectOnFocus": true });
    var actual_country13122 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Countries/actual_country" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13115, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.name) The designation of this country.") }, "sortable": true, "tooltip": "The designation of this country.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13116, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13117, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "isocode", "editable": true, "editor": isocode13118, "filter": { "type": "string" }, "header": "ISO-Code", "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "sortable": true, "tooltip": "The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "short_code", "editable": true, "editor": short_code13119, "filter": { "type": "string" }, "header": "Short code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.short_code) A short abbreviation for regional usage. Obsolete.") }, "sortable": true, "tooltip": "A short abbreviation for regional usage. Obsolete.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "iso3", "editable": true, "editor": iso313120, "filter": { "type": "string" }, "header": "ISO3-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.iso3) The three-letter code for this country as defined by ISO 3166-1.") }, "sortable": true, "tooltip": "The three-letter code for this country as defined by ISO 3166-1.", "width": Lino.chars2width(5) }, { "colIndex": 6, "dataIndex": "inscode", "editable": true, "editor": inscode13121, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this country used by statbel.fgov.be", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "actual_country", "editable": true, "editor": actual_country13122, "filter": { "type": "string" }, "header": "Actual country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Countries.actual_country) Select the actual country if this row represents a refugee status or a former country.") }, "renderer": Lino.fk_renderer('actual_countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "Select the actual country if this row represents a refugee status or a former country.", "width": Lino.chars2width(21) } ];
    Lino.countries.Countries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.Countries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Countries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Countries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Countries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.Countries.insertPanel = Ext.extend(Lino.countries.Countries.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/countries/Countries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.Countries.detail;
    this.ls_insert_handler = Lino.countries.Countries.insert;
    Lino.countries.Countries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.Countries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/Countries" };
  return new Lino.countries.Countries.insertPanel(p);
});
Lino.countries.Countries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.Countries.detailPanel = Ext.extend(Lino.countries.Countries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Land) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/countries/Countries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.Countries.detail;
    this.ls_insert_handler = Lino.countries.Countries.insert;
    Lino.countries.Countries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.Countries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/Countries" };
  return new Lino.countries.Countries.detailPanel(p);
});
Lino.countries.Countries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Countries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/Countries" };
  return new Lino.countries.Countries.GridPanel(p);
});
Lino.countries.Countries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Countries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.Places
Lino.countries.Places.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/Places",
  ls_store_fields : [ { "name": "country" }, 'countryHidden', { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "zip_code" }, { "name": "parent" }, 'parentHidden', { "name": "id", "type": "int" }, { "name": "show_type", "type": "boolean" }, { "name": "inscode" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 3,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/Places','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/Places','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/Places','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/Places','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/Places','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of countries.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Orte",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.Places.detail;
    this.ls_insert_handler = Lino.countries.Places.insert;
    var ww = this.containing_window;
    var country13124 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var name13125 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13126 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13127 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type13128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var zip_code13129 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true });
    var parent13130 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Ort ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var id13131 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var show_type13132 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var inscode13133 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(5), "hidden": true, "maxLength": 5, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      type13128.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country13124 !== 'undefined' && country13124.on('change',Lino.chooser_handler(type13128,'country'));
      Lino.countries.Places.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "country", "editable": true, "editor": country13124, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.country) The country this place is in.") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The country this place is in.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13125, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13126, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13127, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type13128, "filter": { "type": "string" }, "header": "Ortsart", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "sortable": false, "tooltip": "The type of this place (whether it's a city. a village, a province...)", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "zip_code", "editable": true, "editor": zip_code13129, "filter": { "type": "string" }, "header": "zip code", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(10) }, { "colIndex": 6, "dataIndex": "parent", "editable": true, "editor": parent13130, "filter": { "type": "string" }, "header": "Teil von", "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "renderer": Lino.fk_renderer('parentHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "The superordinate geographic place of which this place is a part.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13131, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "show_type", "editable": true, "filter": { "type": "boolean" }, "header": "Show type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.show_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "inscode", "editable": true, "editor": inscode13133, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.Places.inscode) The official code for this place used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this place used by statbel.fgov.be", "width": Lino.chars2width(7) } ];
    Lino.countries.Places.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.Places.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.Places.insertPanel = Ext.extend(Lino.countries.Places.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/countries/Places",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.Places.detail;
    this.ls_insert_handler = Lino.countries.Places.insert;
    Lino.countries.Places.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.Places.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/Places" };
  return new Lino.countries.Places.insertPanel(p);
});
Lino.countries.Places.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.Places.detailPanel = Ext.extend(Lino.countries.Places.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/countries/Places",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.Places.detail;
    this.ls_insert_handler = Lino.countries.Places.insert;
    Lino.countries.Places.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.Places.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/Places" };
  return new Lino.countries.Places.detailPanel(p);
});
Lino.countries.Places.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.Places.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/Places" };
  return new Lino.countries.Places.GridPanel(p);
});
Lino.countries.Places.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/Places", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Partners
Lino.contacts.Partners.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Partners",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    var ww = this.containing_window;
    var name6575 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id6576 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp6577 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6578 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var language6579 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6580 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone6581 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6582 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6583 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6584 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6585 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6586 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var city6587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code6588 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6589 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var addr16590 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6591 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6592 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6593 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6594 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26595 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6596 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6597 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6598 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type6600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var payment_term6601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    this.before_row_edit = function(record) {
      city6587.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6587.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6589.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6586 !== 'undefined' && country6586.on('change',Lino.chooser_handler(city6587,'country'));
      typeof region6589 !== 'undefined' && region6589.on('change',Lino.chooser_handler(city6587,'region'));
      typeof country6586 !== 'undefined' && country6586.on('change',Lino.chooser_handler(region6589,'country'));
      Lino.contacts.Partners.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name6575, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id6576, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email6578, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language6579, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url6580, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone6581, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm6582, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6583, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6586, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6587, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6588, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6589, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16590, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6591, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6592, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6593, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6594, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26595, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6596, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity6599, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6600, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "payment_term", "editable": true, "editor": payment_term6601, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) } ];
    Lino.contacts.Partners.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Partners.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Partners",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    Lino.contacts.Partners.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.detailPanel(p);
});
Lino.contacts.Partners.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Partners.GridPanel(p);
});
Lino.contacts.Partners.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Persons
Lino.contacts.Persons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Persons",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "age" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Person) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of contacts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Persons.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Personen",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    var ww = this.containing_window;
    var name_column_disp6603 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6604 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6605 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6606 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6607 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6608 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6609 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6610 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6611 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6612 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6613 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6614 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/country" }) }) });
    var city6615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/city" }) }) });
    var zip_code6616 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/region" }) }) });
    var addr16618 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6619 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6620 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6621 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6622 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26623 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6624 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6625 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6626 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6627 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var client_contact_type6629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var payment_term6630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var title6631 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name6632 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name6633 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name6634 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender6635 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date6636 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var age_disp6637 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp6637 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city6615.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6615.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6617.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6614 !== 'undefined' && country6614.on('change',Lino.chooser_handler(city6615,'country'));
      typeof region6617 !== 'undefined' && region6617.on('change',Lino.chooser_handler(city6615,'region'));
      typeof country6614 !== 'undefined' && country6614.on('change',Lino.chooser_handler(region6617,'country'));
      Lino.contacts.Persons.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.address_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6605, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6606, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6607, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6608, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6609, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6610, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6611, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6614, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6615, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6616, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6617, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16618, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6619, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6620, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6621, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6622, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26623, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6624, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6625, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6628, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6629, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term6630, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "title", "editable": true, "editor": title6631, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "first_name", "editable": true, "editor": first_name6632, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "middle_name", "editable": true, "editor": middle_name6633, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "last_name", "editable": true, "editor": last_name6634, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "gender", "editable": true, "editor": gender6635, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 33, "dataIndex": "birth_date", "editable": true, "editor": birth_date6636, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 34, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 35, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) } ];
    Lino.contacts.Persons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.insertPanel = Ext.extend(Lino.contacts.Persons.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.insertPanel(p);
});
Lino.contacts.Persons.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.detailPanel = Ext.extend(Lino.contacts.Persons.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Person) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Persons.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.detailPanel(p);
});
Lino.contacts.Persons.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  p.params_panel = new Lino.contacts.Persons.ParamsPanel({});
  return new Lino.contacts.Persons.GridPanel(p);
});
Lino.contacts.Persons.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.CompanyTypes
Lino.contacts.CompanyTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/CompanyTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "abbr" }, { "name": "abbr_fr" }, { "name": "abbr_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 4,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/CompanyTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/CompanyTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/CompanyTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/CompanyTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/CompanyTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisationsarten",
  initComponent : function() {
    var ww = this.containing_window;
    var name13135 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13136 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13137 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13138 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var abbr13139 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 30, "selectOnFocus": true });
    var abbr_fr13140 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 30, "selectOnFocus": true });
    var abbr_en13141 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 30, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13135, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13136, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13137, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id13138, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "abbr", "editable": true, "editor": abbr13139, "filter": { "type": "string" }, "header": "Abk\u00fcrzung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.abbr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "abbr_fr", "editable": true, "editor": abbr_fr13140, "filter": { "type": "string" }, "header": "Abk\u00fcrzung (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.abbr_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "abbr_en", "editable": true, "editor": abbr_en13141, "filter": { "type": "string" }, "header": "Abk\u00fcrzung (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CompanyTypes.abbr_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.contacts.CompanyTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.CompanyTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CompanyTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CompanyTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CompanyTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CompanyTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CompanyTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CompanyTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CompanyTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CompanyTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CompanyTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CompanyTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/CompanyTypes" };
  return new Lino.contacts.CompanyTypes.GridPanel(p);
});

// js_render_GridPanel_class contacts.Companies
Lino.contacts.Companies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Companies",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Companies.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisationen",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    var ww = this.containing_window;
    var name_column_disp6639 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6640 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6641 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6642 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6643 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6644 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6645 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6646 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6647 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6648 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6649 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/country" }) }) });
    var city6651 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/city" }) }) });
    var zip_code6652 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6653 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/region" }) }) });
    var addr16654 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6655 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6656 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6657 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6658 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26659 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6660 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6661 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6662 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6663 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6664 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var client_contact_type6665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var payment_term6666 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var type6667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id6668 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city6651.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6651.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6653.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6650 !== 'undefined' && country6650.on('change',Lino.chooser_handler(city6651,'country'));
      typeof region6653 !== 'undefined' && region6653.on('change',Lino.chooser_handler(city6651,'region'));
      typeof country6650 !== 'undefined' && country6650.on('change',Lino.chooser_handler(region6653,'country'));
      Lino.contacts.Companies.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.address_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6641, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6642, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6643, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6644, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6645, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6646, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6647, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6650, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6651, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6652, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6653, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16654, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6655, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6656, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6657, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6658, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26659, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6660, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6661, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6664, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6665, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term6666, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type6667, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id6668, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.vat_id) The VAT id used to identify this business partner.") }, "sortable": true, "tooltip": "The VAT id used to identify this business partner.", "width": Lino.chars2width(22) } ];
    Lino.contacts.Companies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.insertPanel(p);
});
Lino.contacts.Companies.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Companies.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.detailPanel(p);
});
Lino.contacts.Companies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Companies.GridPanel(p);
});
Lino.contacts.Companies.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.RoleTypes
Lino.contacts.RoleTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RoleTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "can_sign", "type": "boolean" }, { "name": "use_in_contracts", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 5,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/RoleTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RoleTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RoleTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RoleTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/RoleTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Funktionen",
  initComponent : function() {
    var ww = this.containing_window;
    var id13143 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13144 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13145 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13146 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var can_sign13147 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var use_in_contracts13148 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13143, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RoleTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13144, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RoleTypes.name) A translatable designation. Used e.g. in document templates\nfor contracts.") }, "sortable": true, "tooltip": "A translatable designation. Used e.g. in document templates\nfor contracts.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13145, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RoleTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13146, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RoleTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "can_sign", "editable": true, "filter": { "type": "boolean" }, "header": "Unterschriftsberechtigt", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RoleTypes.can_sign) Whether this is a signer function.") }, "sortable": false, "tooltip": "Whether this is a signer function.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "use_in_contracts", "editable": true, "filter": { "type": "boolean" }, "header": "erlaubt in Vertr\u00e4gen", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RoleTypes.use_in_contracts) Whether Links of this type can be used as contact person of a job contract.") }, "sortable": false, "tooltip": "Whether Links of this type can be used as contact person of a job contract.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.contacts.RoleTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RoleTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RoleTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RoleTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RoleTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RoleTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RoleTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RoleTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RoleTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RoleTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RoleTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RoleTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RoleTypes" };
  return new Lino.contacts.RoleTypes.GridPanel(p);
});

// js_render_GridPanel_class contacts.Roles
Lino.contacts.Roles.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Roles",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "person" }, 'personHidden', { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Roles','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Roles','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Roles','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Roles','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Roles','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Roles','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktpersonen",
  initComponent : function() {
    var ww = this.containing_window;
    var id13150 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type13151 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Roles/type" }) }) });
    var person13152 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Roles/person" }) }) });
    var company13153 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Roles/company" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13150, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Roles.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type13151, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Roles.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person13152, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Roles.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company13153, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Roles.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) } ];
    Lino.contacts.Roles.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Roles.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Roles", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Roles.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Roles", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Roles.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Roles", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Roles.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Roles", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Roles.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Roles", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Roles.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Roles", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Roles.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Roles" };
  return new Lino.contacts.Roles.GridPanel(p);
});

// js_render_GridPanel_class gfks.ContentTypes
Lino.gfks.ContentTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/gfks/ContentTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "app_label" }, { "name": "model" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 12,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/gfks/ContentTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/ContentTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/ContentTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/ContentTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/gfks/ContentTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of gfks.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenbankmodelle",
  initComponent : function() {
    this.ls_detail_handler = Lino.gfks.ContentTypes.detail;
    var ww = this.containing_window;
    var id13155 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var app_label13156 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var model13157 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13155, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(gfks.ContentTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "app_label", "editable": true, "editor": app_label13156, "filter": { "type": "string" }, "header": "app label", "listeners": { "render": Lino.quicktip_renderer("","(gfks.ContentTypes.app_label) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "model", "editable": true, "editor": model13157, "filter": { "type": "string" }, "header": "Python Modell-Klassenname", "listeners": { "render": Lino.quicktip_renderer("","(gfks.ContentTypes.model) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.gfks.ContentTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.gfks.ContentTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/ContentTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.ContentTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/ContentTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.ContentTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/ContentTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.ContentTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/ContentTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.gfks.ContentTypes.detailPanel = Ext.extend(Lino.gfks.ContentTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/gfks/ContentTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.gfks.ContentTypes.detail;
    Lino.gfks.ContentTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.gfks.ContentTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/gfks/ContentTypes" };
  return new Lino.gfks.ContentTypes.detailPanel(p);
});
Lino.gfks.ContentTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/ContentTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.ContentTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/gfks/ContentTypes" };
  return new Lino.gfks.ContentTypes.GridPanel(p);
});
Lino.gfks.ContentTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/ContentTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class gfks.HelpTexts
Lino.gfks.HelpTexts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/gfks/HelpTexts",
  ls_store_fields : [ { "name": "field" }, { "name": "verbose_name" }, { "name": "help_text" }, { "name": "id", "type": "int" }, { "name": "content_type" }, 'content_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 13,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTexts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTexts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTexts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTexts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTexts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfetexte",
  initComponent : function() {
    var ww = this.containing_window;
    var field13159 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/gfks/HelpTexts/field" }) }) });
    var verbose_name13160 = new Ext.form.TextField({ "disabled": true, "maxLength": 200 });
    var help_text13161 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id13162 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var content_type13163 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/gfks/HelpTexts/content_type" }) }) });
    this.before_row_edit = function(record) {
      field13159.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content_type13163 !== 'undefined' && content_type13163.on('change',Lino.chooser_handler(field13159,'content_type'));
      Lino.gfks.HelpTexts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "field", "editable": true, "editor": field13159, "filter": { "type": "string" }, "header": "Feld", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTexts.field) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "verbose_name", "editable": false, "header": "Feldbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTexts.verbose_name) ") }, "sortable": true, "tooltip": "(gfks.HelpTexts.verbose_name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "help_text", "editable": true, "editor": help_text13161, "filter": { "type": "string" }, "header": "Hilfetext", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTexts.help_text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id13162, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTexts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "content_type", "editable": true, "editor": content_type13163, "filter": { "type": "string" }, "header": "Modell", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTexts.content_type) ") }, "renderer": Lino.fk_renderer('content_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.gfks.HelpTexts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.gfks.HelpTexts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTexts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTexts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTexts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTexts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTexts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTexts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTexts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTexts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTexts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTexts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/gfks/HelpTexts" };
  return new Lino.gfks.HelpTexts.GridPanel(p);
});

// js_render_GridPanel_class notify.Messages
Lino.notify.Messages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/Messages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "seen" }, { "name": "sent" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "message_type" }, 'message_typeHidden', { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungen",
  initComponent : function() {
    var ww = this.containing_window;
    var created6670 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject6671 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var user6672 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var seen6673 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var sent6674 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var id6675 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6676 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_type" }) }) });
    var owner_id6677 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_id" }) }) });
    var message_type6678 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var body6679 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode6680 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp6681 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6677.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body6679.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6676 !== 'undefined' && owner_type6676.on('change',Lino.chooser_handler(owner_id6677,'owner_type'));
      Lino.notify.Messages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "seen", "editable": false, "header": "gelesen", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "sent", "editable": false, "header": "verschickt", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6675, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6676, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6677, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "message_type", "editable": true, "editor": message_type6678, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Calendar Event", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 9, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode6680, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 11, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.Messages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.Messages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/Messages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.Messages.GridPanel(p);
});
Lino.notify.Messages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.AllMessages
Lino.notify.AllMessages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/AllMessages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "seen" }, { "name": "sent" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "message_type" }, 'message_typeHidden', { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/AllMessages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/AllMessages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/AllMessages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/AllMessages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/AllMessages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/AllMessages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungen",
  initComponent : function() {
    var ww = this.containing_window;
    var created13165 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject13166 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var user13167 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var seen13168 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var sent13169 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var id13170 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type13171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/AllMessages/owner_type" }) }) });
    var owner_id13172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/AllMessages/owner_id" }) }) });
    var message_type13173 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var body13174 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode13175 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp13176 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id13172.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body13174.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type13171 !== 'undefined' && owner_type13171.on('change',Lino.chooser_handler(owner_id13172,'owner_type'));
      Lino.notify.AllMessages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "seen", "editable": false, "header": "gelesen", "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "sent", "editable": false, "header": "verschickt", "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13170, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type13171, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id13172, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "message_type", "editable": true, "editor": message_type13173, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Calendar Event", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 9, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode13175, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 11, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.AllMessages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.AllMessages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.AllMessages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/AllMessages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.AllMessages.GridPanel(p);
});
Lino.notify.AllMessages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.AllMessages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/AllMessages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.MyMessages
Lino.notify.MyMessages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MyMessages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "message_type" }, 'message_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "seen" }, { "name": "sent" }, { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Benachrichtigungen",
  initComponent : function() {
    var ww = this.containing_window;
    var created6693 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject6694 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var message_type6695 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var workflow_buttons_disp6696 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6697 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user6698 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var owner_type6699 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_type" }) }) });
    var owner_id6700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_id" }) }) });
    var seen6701 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var sent6702 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var body6703 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode6704 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp6705 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6700.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body6703.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6699 !== 'undefined' && owner_type6699.on('change',Lino.chooser_handler(owner_id6700,'owner_type'));
      Lino.notify.MyMessages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "message_type", "editable": true, "editor": message_type6695, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Calendar Event", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6697, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6699, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6700, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "seen", "editable": false, "header": "gelesen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "sent", "editable": false, "header": "verschickt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode6704, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.MyMessages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MyMessages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MyMessages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.MyMessages.GridPanel(p);
});
Lino.notify.MyMessages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class changes.Changes
Lino.changes.Changes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/Changes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "time" }, { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "name": "object_type" }, 'object_typeHidden', { "name": "object_id" }, 'object_idHidden', { "name": "master_type" }, 'master_typeHidden', { "name": "master_id" }, 'master_idHidden', { "name": "diff" }, { "name": "changed_fields" }, { "name": "object" }, { "name": "master" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 15,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/changes/Changes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/Changes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/changes/Changes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/Changes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/changes/Changes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of changes.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungen",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.Changes.detail;
    var ww = this.containing_window;
    var id13178 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var time13179 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var type13180 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var user13181 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var object_type13182 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_type" }) }) });
    var object_id13183 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_id" }) }) });
    var master_type13184 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/master_type" }) }) });
    var master_id13185 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/master_id" }) }) });
    var diff13186 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000 });
    var changed_fields13187 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var object_disp13188 = new Ext.form.DisplayField({ "disabled": true });
    var master_disp13189 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof object_type13182 !== 'undefined' && object_type13182.on('change',Lino.chooser_handler(object_id13183,'object_type'));
      typeof master_type13184 !== 'undefined' && master_type13184.on('change',Lino.chooser_handler(master_id13185,'master_type'));
      Lino.changes.Changes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13178, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time13179, "header": "time", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type13180, "filter": { "options": [ "Erstellen", "Aktualisierung", "L\u00f6schen", "Remove child", "Add child", "Fusionieren" ], "type": "list" }, "header": "\u00c4nderungsart", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user13181, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.user) ") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "object_type", "editable": true, "editor": object_type13182, "filter": { "type": "string" }, "header": "Object type", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.object_type) ") }, "renderer": Lino.fk_renderer('object_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "object_id", "editable": true, "editor": object_id13183, "filter": { "type": "string" }, "header": "object id", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.object_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "master_type", "editable": true, "editor": master_type13184, "filter": { "type": "string" }, "header": "Master type", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.master_type) ") }, "renderer": Lino.fk_renderer('master_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "master_id", "editable": true, "editor": master_id13185, "filter": { "type": "string" }, "header": "master id", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.master_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "diff", "editable": false, "filter": { "type": "string" }, "header": "\u00c4nderungen", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.diff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "changed_fields", "editable": true, "editor": changed_fields13187, "filter": { "type": "string" }, "header": "Felder", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.changed_fields) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "object", "editable": false, "header": "Object", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.object) The database object which has been modified.") }, "sortable": false, "tooltip": "The database object which has been modified.", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "master", "editable": false, "header": "Stammdaten", "listeners": { "render": Lino.quicktip_renderer("","(changes.Changes.master) The database object which acts as \"master\".") }, "sortable": false, "tooltip": "The database object which acts as \"master\".", "width": Lino.chars2width(11) } ];
    Lino.changes.Changes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.Changes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/Changes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.Changes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/Changes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.Changes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/Changes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.Changes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/Changes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.changes.Changes.detailPanel = Ext.extend(Lino.changes.Changes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/changes/Changes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.Changes.detail;
    Lino.changes.Changes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.Changes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/Changes" };
  return new Lino.changes.Changes.detailPanel(p);
});
Lino.changes.Changes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/Changes" };
  p.params_panel = new Lino.changes.Changes.ParamsPanel({});
  return new Lino.changes.Changes.GridPanel(p);
});

// js_render_GridPanel_class properties.PropGroups
Lino.properties.PropGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropGroups",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 18,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/PropGroups','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropGroups','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropGroups','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropGroups','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/PropGroups','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of properties.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaftsgruppen",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropGroups.detail;
    var ww = this.containing_window;
    var id13191 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13192 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13193 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13194 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13191, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropGroups.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13192, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropGroups.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13193, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropGroups.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13194, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropGroups.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.properties.PropGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.properties.PropGroups.detailPanel = Ext.extend(Lino.properties.PropGroups.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/properties/PropGroups",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropGroups.detail;
    Lino.properties.PropGroups.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropGroups.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropGroups" };
  return new Lino.properties.PropGroups.detailPanel(p);
});
Lino.properties.PropGroups.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropGroups", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropGroups" };
  return new Lino.properties.PropGroups.GridPanel(p);
});
Lino.properties.PropGroups.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropGroups", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.PropTypes
Lino.properties.PropTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "choicelist" }, 'choicelistHidden', { "name": "default_value" }, 'default_valueHidden', { "name": "limit_to_choices", "type": "boolean" }, { "name": "multiple_choices", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 16,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/PropTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/PropTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of properties.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschafts-Datentypen",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropTypes.detail;
    var ww = this.containing_window;
    var id13196 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13197 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13198 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13199 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var choicelist13200 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/choicelist" }) }) });
    var default_value13201 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/default_value" }) }) });
    var limit_to_choices13202 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var multiple_choices13203 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      default_value13201.setContextValue('choicelist', record ? record.data['choicelist'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof choicelist13200 !== 'undefined' && choicelist13200.on('change',Lino.chooser_handler(default_value13201,'choicelist'));
      Lino.properties.PropTypes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13196, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13197, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13198, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13199, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "choicelist", "editable": true, "editor": choicelist13200, "filter": { "type": "string" }, "header": "Auswahliste", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.choicelist) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "default_value", "editable": true, "editor": default_value13201, "filter": { "type": "string" }, "header": "Standardwert", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.default_value) The default value to set when creating a PropertyOccurence.\nThis is currently used only in some fixture...") }, "sortable": false, "tooltip": "The default value to set when creating a PropertyOccurence.\nThis is currently used only in some fixture...", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "limit_to_choices", "editable": true, "filter": { "type": "boolean" }, "header": "Beschr\u00e4nken auf Auswahl", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.limit_to_choices) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "multiple_choices", "editable": true, "filter": { "type": "boolean" }, "header": "Mehrfachauswahl", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropTypes.multiple_choices) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.properties.PropTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.properties.PropTypes.detailPanel = Ext.extend(Lino.properties.PropTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/properties/PropTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropTypes.detail;
    Lino.properties.PropTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropTypes" };
  return new Lino.properties.PropTypes.detailPanel(p);
});
Lino.properties.PropTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropTypes" };
  return new Lino.properties.PropTypes.GridPanel(p);
});
Lino.properties.PropTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.Properties
Lino.properties.Properties.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/Properties",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "group" }, 'groupHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/Properties','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/Properties','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/Properties','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/Properties','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/Properties','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of properties.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.Properties.detail;
    var ww = this.containing_window;
    var id13205 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13206 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13207 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13208 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var group13209 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/group" }) }) });
    var type13210 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/type" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13205, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.Properties.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13206, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.Properties.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13207, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.Properties.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13208, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.Properties.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group13209, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "listeners": { "render": Lino.quicktip_renderer("","(properties.Properties.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type13210, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "listeners": { "render": Lino.quicktip_renderer("","(properties.Properties.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.properties.PropTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.properties.Properties.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.Properties.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/Properties", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.Properties.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/Properties", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.Properties.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/Properties", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.Properties.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/Properties", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.properties.Properties.detailPanel = Ext.extend(Lino.properties.Properties.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/properties/Properties",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.Properties.detail;
    Lino.properties.Properties.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.Properties.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/Properties" };
  return new Lino.properties.Properties.detailPanel(p);
});
Lino.properties.Properties.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/Properties", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.Properties.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/Properties" };
  return new Lino.properties.Properties.GridPanel(p);
});
Lino.properties.Properties.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/Properties", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.PropChoices
Lino.properties.PropChoices.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropChoices",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "value" }, { "name": "text" }, { "name": "text_fr" }, { "name": "text_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswahlm\u00f6glichkeiten",
  initComponent : function() {
    var ww = this.containing_window;
    var id6707 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type6708 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropChoices/type" }) }) });
    var value6709 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var text6710 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_fr6711 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_en6712 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6707, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type6708, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.properties.PropTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "value", "editable": true, "editor": value6709, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "text", "editable": true, "editor": text6710, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "text_fr", "editable": true, "editor": text_fr6711, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "text_en", "editable": true, "editor": text_en6712, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.properties.PropChoices.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropChoices.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropChoices" };
  return new Lino.properties.PropChoices.GridPanel(p);
});

// js_render_GridPanel_class checkdata.Problems
Lino.checkdata.Problems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/Problems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Problems.detail;
    var ww = this.containing_window;
    var user6714 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var owner_disp6715 = new Ext.form.DisplayField({ "disabled": true });
    var message6716 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker6717 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id6718 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6719 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/owner_type" }) }) });
    var owner_id6720 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type6719 !== 'undefined' && owner_type6719.on('change',Lino.chooser_handler(owner_id6720,'owner_type'));
      Lino.checkdata.Problems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6714, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner) ") }, "sortable": false, "tooltip": "(checkdata.Problems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6716, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker6717, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6718, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type6719, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id6720, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.Problems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Problems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.Problems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/Problems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Problems.detail;
    Lino.checkdata.Problems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Problems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Problems" };
  return new Lino.checkdata.Problems.detailPanel(p);
});
Lino.checkdata.Problems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Problems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.Problems.GridPanel(p);
});
Lino.checkdata.Problems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.AllProblems
Lino.checkdata.AllProblems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/AllProblems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/AllProblems','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/AllProblems','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/AllProblems','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/AllProblems','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/AllProblems','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.AllProblems.detail;
    var ww = this.containing_window;
    var user13212 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/AllProblems/user" }) }) });
    var owner_disp13213 = new Ext.form.DisplayField({ "disabled": true });
    var message13214 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker13215 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id13216 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type13217 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/AllProblems/owner_type" }) }) });
    var owner_id13218 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/AllProblems/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type13217 !== 'undefined' && owner_type13217.on('change',Lino.chooser_handler(owner_id13218,'owner_type'));
      Lino.checkdata.AllProblems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user13212, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.user) The user responsible for fixing this\nproblem.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.owner) ") }, "sortable": false, "tooltip": "(checkdata.AllProblems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message13214, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker13215, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13216, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type13217, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id13218, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.AllProblems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.AllProblems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.AllProblems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/AllProblems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.AllProblems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/AllProblems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.AllProblems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/AllProblems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.AllProblems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/AllProblems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.AllProblems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/AllProblems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.AllProblems.detail;
    Lino.checkdata.AllProblems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.AllProblems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/AllProblems" };
  return new Lino.checkdata.AllProblems.detailPanel(p);
});
Lino.checkdata.AllProblems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/AllProblems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.AllProblems.GridPanel(p);
});
Lino.checkdata.AllProblems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/AllProblems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.AllProblems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/AllProblems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.MyProblems
Lino.checkdata.MyProblems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/MyProblems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Datenkontrollliste",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyProblems.detail;
    var ww = this.containing_window;
    var user6722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/user" }) }) });
    var owner_disp6723 = new Ext.form.DisplayField({ "disabled": true });
    var message6724 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker6725 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id6726 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6727 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/owner_type" }) }) });
    var owner_id6728 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type6727 !== 'undefined' && owner_type6727.on('change',Lino.chooser_handler(owner_id6728,'owner_type'));
      Lino.checkdata.MyProblems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6722, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.user) The user responsible for fixing this\nproblem.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner) ") }, "sortable": false, "tooltip": "(checkdata.MyProblems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6724, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker6725, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6726, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type6727, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id6728, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.MyProblems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyProblems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.MyProblems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/MyProblems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyProblems.detail;
    Lino.checkdata.MyProblems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyProblems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyProblems" };
  return new Lino.checkdata.MyProblems.detailPanel(p);
});
Lino.checkdata.MyProblems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyProblems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.MyProblems.GridPanel(p);
});
Lino.checkdata.MyProblems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.Addresses
Lino.addresses.Addresses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/Addresses",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "address_type" }, 'address_typeHidden', { "name": "remark" }, { "name": "address_column" }, { "name": "primary", "type": "boolean" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/Addresses','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/Addresses','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/Addresses','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/addresses/Addresses','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/Addresses','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/Addresses','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.Addresses.detail;
    this.ls_insert_handler = Lino.addresses.Addresses.insert;
    var ww = this.containing_window;
    var partner13220 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }) });
    var address_type13221 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark13222 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var address_column_disp13223 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary13224 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var data_source13225 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": Lino.addresses.DataSources });
    var id13226 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country13227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city13228 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var zip_code13229 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region13230 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/region" }) }) });
    var addr113231 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix13232 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street13233 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no13234 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box13235 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr213236 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city13228.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city13228.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region13230.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country13227 !== 'undefined' && country13227.on('change',Lino.chooser_handler(city13228,'country'));
      typeof region13230 !== 'undefined' && region13230.on('change',Lino.chooser_handler(city13228,'region'));
      typeof country13227 !== 'undefined' && country13227.on('change',Lino.chooser_handler(region13230,'country'));
      Lino.addresses.Addresses.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner13220, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_type", "editable": true, "editor": address_type13221, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark13222, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.address_column) ") }, "sortable": false, "tooltip": "(addresses.Addresses.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id13226, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "country", "editable": true, "editor": country13227, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "city", "editable": true, "editor": city13228, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "zip_code", "editable": true, "editor": zip_code13229, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 10, "dataIndex": "region", "editable": true, "editor": region13230, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "addr1", "editable": true, "editor": addr113231, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix13232, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "street", "editable": true, "editor": street13233, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "street_no", "editable": true, "editor": street_no13234, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "street_box", "editable": true, "editor": street_box13235, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 16, "dataIndex": "addr2", "editable": true, "editor": addr213236, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.Addresses.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) } ];
    Lino.addresses.Addresses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.Addresses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.Addresses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.Addresses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.Addresses.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.Addresses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.Addresses.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/Addresses",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.Addresses.detail;
    this.ls_insert_handler = Lino.addresses.Addresses.insert;
    Lino.addresses.Addresses.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.Addresses.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/Addresses" };
  return new Lino.addresses.Addresses.insertPanel(p);
});
Lino.addresses.Addresses.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.Addresses.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/Addresses",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.Addresses.detail;
    this.ls_insert_handler = Lino.addresses.Addresses.insert;
    Lino.addresses.Addresses.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.Addresses.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/Addresses" };
  return new Lino.addresses.Addresses.detailPanel(p);
});
Lino.addresses.Addresses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.Addresses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/Addresses" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.Addresses.GridPanel(p);
});
Lino.addresses.Addresses.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/Addresses", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptTypes
Lino.excerpts.ExcerptTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptTypes",
  ls_store_fields : [ { "name": "content_type_display" }, { "name": "primary", "type": "boolean" }, { "name": "certifying", "type": "boolean" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "build_method" }, 'build_methodHidden', { "name": "template" }, { "name": "body_template" }, { "name": "id", "type": "int" }, { "name": "attach_to_email", "type": "boolean" }, { "name": "email_template" }, { "name": "remark" }, { "name": "content_type" }, 'content_typeHidden', { "name": "backward_compat", "type": "boolean" }, { "name": "print_recipient", "type": "boolean" }, { "name": "print_directly", "type": "boolean" }, { "name": "shortcut" }, 'shortcutHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Auszugsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auszugsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptTypes.detail;
    this.ls_insert_handler = Lino.excerpts.ExcerptTypes.insert;
    var ww = this.containing_window;
    var content_type_display_disp13238 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary13239 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var certifying13240 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var name13241 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13242 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13243 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_method13244 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template13245 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template13246 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var id13247 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var attach_to_email13248 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var email_template13249 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/email_template" }) }) });
    var remark13250 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content_type13251 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var backward_compat13252 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var print_recipient13253 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var print_directly13254 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var shortcut13255 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.excerpts.Shortcuts) });
    this.before_row_edit = function(record) {
      template13245.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template13245.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template13246.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      email_template13249.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof build_method13244 !== 'undefined' && build_method13244.on('change',Lino.chooser_handler(template13245,'build_method'));
      typeof content_type13251 !== 'undefined' && content_type13251.on('change',Lino.chooser_handler(template13245,'content_type'));
      typeof content_type13251 !== 'undefined' && content_type13251.on('change',Lino.chooser_handler(body_template13246,'content_type'));
      typeof content_type13251 !== 'undefined' && content_type13251.on('change',Lino.chooser_handler(email_template13249,'content_type'));
      Lino.excerpts.ExcerptTypes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "content_type_display", "editable": false, "header": "Modell", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.content_type_display) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptTypes.content_type_display) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "sortable": false, "tooltip": "Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "certifying", "editable": true, "filter": { "type": "boolean" }, "header": "Bescheinigend", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "sortable": false, "tooltip": "Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "name", "editable": true, "editor": name13241, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "sortable": true, "tooltip": "The designation of this excerpt type.\nOne field for every language.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "name_fr", "editable": true, "editor": name_fr13242, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name_en", "editable": true, "editor": name_en13243, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "build_method", "editable": true, "editor": build_method13244, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "sortable": false, "tooltip": "See lino.modlib.printing.mixins.PrintableType.build_method.", "width": Lino.chars2width(24) }, { "colIndex": 7, "dataIndex": "template", "editable": true, "editor": template13245, "filter": { "type": "string" }, "header": "Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "sortable": false, "tooltip": "The main template to be used when printing an excerpt of this type.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "body_template", "editable": true, "editor": body_template13246, "filter": { "type": "string" }, "header": "Textk\u00f6rper-Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "sortable": false, "tooltip": "The body template to use when printing an excerpt of this type.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id13247, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "attach_to_email", "editable": true, "filter": { "type": "boolean" }, "header": "als Anhang per E-Mail", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "sortable": false, "tooltip": "Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "email_template", "editable": true, "editor": email_template13249, "filter": { "type": "string" }, "header": "E-Mail-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.email_template) The template to use when sending this an excerpt of this type\nby email.") }, "sortable": false, "tooltip": "The template to use when sending this an excerpt of this type\nby email.", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "remark", "editable": true, "editor": remark13250, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "content_type", "editable": true, "editor": content_type13251, "filter": { "type": "string" }, "header": "Modell", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "renderer": Lino.fk_renderer('content_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "The database model for which this excerpt type is to be used.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "backward_compat", "editable": true, "filter": { "type": "boolean" }, "header": "Backward compatible", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.backward_compat) Check this to have `this` in template context point to owner instead of excerpt.") }, "sortable": false, "tooltip": "Check this to have `this` in template context point to owner instead of excerpt.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "print_recipient", "editable": true, "filter": { "type": "boolean" }, "header": "Empf\u00e4nger drucken", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.print_recipient) Whether to print a recipient field in document.") }, "sortable": false, "tooltip": "Whether to print a recipient field in document.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "print_directly", "editable": true, "filter": { "type": "boolean" }, "header": "Direkt drucken", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.print_directly) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "shortcut", "editable": true, "editor": shortcut13255, "filter": { "options": [ "Erstellte Lebensl\u00e4ufe" ], "type": "list" }, "header": "Excerpt shortcut", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptTypes.shortcut) Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.") }, "sortable": false, "tooltip": "Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.", "width": Lino.chars2width(25) } ];
    Lino.excerpts.ExcerptTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptTypes.insertPanel = Ext.extend(Lino.excerpts.ExcerptTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptTypes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptTypes.detail;
    this.ls_insert_handler = Lino.excerpts.ExcerptTypes.insert;
    Lino.excerpts.ExcerptTypes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptTypes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/excerpts/ExcerptTypes" };
  return new Lino.excerpts.ExcerptTypes.insertPanel(p);
});
Lino.excerpts.ExcerptTypes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptTypes.detailPanel = Ext.extend(Lino.excerpts.ExcerptTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Auszugsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptTypes.detail;
    this.ls_insert_handler = Lino.excerpts.ExcerptTypes.insert;
    Lino.excerpts.ExcerptTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptTypes" };
  return new Lino.excerpts.ExcerptTypes.detailPanel(p);
});
Lino.excerpts.ExcerptTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptTypes" };
  return new Lino.excerpts.ExcerptTypes.GridPanel(p);
});
Lino.excerpts.ExcerptTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.Excerpts
Lino.excerpts.Excerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Excerpts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    var ww = this.containing_window;
    var id6730 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var excerpt_type6731 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var owner_disp6732 = new Ext.form.DisplayField({ "disabled": true });
    var project6733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var company6734 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var language6735 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time6736 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var build_method6737 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var owner_type6739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_type" }) }) });
    var owner_id6740 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_id" }) }) });
    var contact_person6741 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var contact_role6742 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_role" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type6731.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id6740.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6741.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp6732 !== 'undefined' && owner_disp6732.on('change',Lino.chooser_handler(excerpt_type6731,'owner'));
      typeof owner_type6739 !== 'undefined' && owner_type6739.on('change',Lino.chooser_handler(owner_id6740,'owner_type'));
      typeof company6734 !== 'undefined' && company6734.on('change',Lino.chooser_handler(contact_person6741,'company'));
      Lino.excerpts.Excerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6730, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6731, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "renderer": Lino.fk_renderer('excerpt_typeHidden','Lino.excerpts.ExcerptTypes.detail'), "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project6733, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company6734, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language6735, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "build_method", "editable": true, "editor": build_method6737, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user6738, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type6739, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id6740, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person6741, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6742, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.Excerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.Excerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/Excerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    Lino.excerpts.Excerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  return new Lino.excerpts.Excerpts.detailPanel(p);
});
Lino.excerpts.Excerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.Excerpts.GridPanel(p);
});
Lino.excerpts.Excerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.AllExcerpts
Lino.excerpts.AllExcerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/AllExcerpts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/AllExcerpts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/AllExcerpts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/AllExcerpts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/AllExcerpts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/AllExcerpts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.AllExcerpts.detail;
    var ww = this.containing_window;
    var id13257 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var excerpt_type13258 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/excerpt_type" }) }) });
    var owner_disp13259 = new Ext.form.DisplayField({ "disabled": true });
    var project13260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/project" }) }) });
    var company13261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/company" }) }) });
    var language13262 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time13263 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var build_method13264 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user13265 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/user" }) }) });
    var owner_type13266 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/owner_type" }) }) });
    var owner_id13267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/owner_id" }) }) });
    var contact_person13268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/contact_person" }) }) });
    var contact_role13269 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/AllExcerpts/contact_role" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type13258.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id13267.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person13268.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp13259 !== 'undefined' && owner_disp13259.on('change',Lino.chooser_handler(excerpt_type13258,'owner'));
      typeof owner_type13266 !== 'undefined' && owner_type13266.on('change',Lino.chooser_handler(owner_id13267,'owner_type'));
      typeof company13261 !== 'undefined' && company13261.on('change',Lino.chooser_handler(contact_person13268,'company'));
      Lino.excerpts.AllExcerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13257, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type13258, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "renderer": Lino.fk_renderer('excerpt_typeHidden','Lino.excerpts.ExcerptTypes.detail'), "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project13260, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company13261, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language13262, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "build_method", "editable": true, "editor": build_method13264, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user13265, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type13266, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id13267, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person13268, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role13269, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.AllExcerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.AllExcerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.AllExcerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.AllExcerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/AllExcerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.AllExcerpts.detail;
    Lino.excerpts.AllExcerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.AllExcerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/AllExcerpts" };
  return new Lino.excerpts.AllExcerpts.detailPanel(p);
});
Lino.excerpts.AllExcerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.AllExcerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/AllExcerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.AllExcerpts.GridPanel(p);
});
Lino.excerpts.AllExcerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/AllExcerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.MyExcerpts
Lino.excerpts.MyExcerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/MyExcerpts",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    var ww = this.containing_window;
    var build_time6744 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type6745 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/excerpt_type" }) }) });
    var project6746 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/project" }) }) });
    var id6747 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method6748 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/user" }) }) });
    var owner_type6750 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_type" }) }) });
    var owner_id6751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_id" }) }) });
    var company6752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/company" }) }) });
    var contact_person6753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_person" }) }) });
    var contact_role6754 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_role" }) }) });
    var language6755 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var owner_disp6756 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      excerpt_type6745.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id6751.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6753.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp6756 !== 'undefined' && owner_disp6756.on('change',Lino.chooser_handler(excerpt_type6745,'owner'));
      typeof owner_type6750 !== 'undefined' && owner_type6750.on('change',Lino.chooser_handler(owner_id6751,'owner_type'));
      typeof company6752 !== 'undefined' && company6752.on('change',Lino.chooser_handler(contact_person6753,'company'));
      Lino.excerpts.MyExcerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6745, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "renderer": Lino.fk_renderer('excerpt_typeHidden','Lino.excerpts.ExcerptTypes.detail'), "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project6746, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6747, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "build_method", "editable": true, "editor": build_method6748, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user6749, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6750, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6751, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6752, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6753, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6754, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language6755, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.MyExcerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.MyExcerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/MyExcerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    Lino.excerpts.MyExcerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  return new Lino.excerpts.MyExcerpts.detailPanel(p);
});
Lino.excerpts.MyExcerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.MyExcerpts.GridPanel(p);
});
Lino.excerpts.MyExcerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.Volumes
Lino.uploads.Volumes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Volumes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "ref" }, { "name": "root_dir" }, { "name": "base_url" }, { "name": "description" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 24,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/Volumes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Volumes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Volumes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Volumes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/Volumes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Dateibibliothek) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.uploads.Volumes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dateibibliotheken",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Volumes.detail;
    this.ls_insert_handler = Lino.uploads.Volumes.insert;
    var ww = this.containing_window;
    var id13271 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var ref13272 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var root_dir13273 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 255, "selectOnFocus": true });
    var base_url13274 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 255, "selectOnFocus": true });
    var description13275 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 255, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13271, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Volumes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "ref", "editable": true, "editor": ref13272, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(41) }, { "colIndex": 2, "dataIndex": "root_dir", "editable": true, "editor": root_dir13273, "filter": { "type": "string" }, "header": "Root directory", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Volumes.root_dir) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "base_url", "editable": true, "editor": base_url13274, "filter": { "type": "string" }, "header": "Base URL", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Volumes.base_url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description13275, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Volumes.description) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.uploads.Volumes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Volumes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Volumes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Volumes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Volumes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Volumes.insertPanel = Ext.extend(Lino.uploads.Volumes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/Volumes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Volumes.detail;
    this.ls_insert_handler = Lino.uploads.Volumes.insert;
    Lino.uploads.Volumes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Volumes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/Volumes" };
  return new Lino.uploads.Volumes.insertPanel(p);
});
Lino.uploads.Volumes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Volumes.detailPanel = Ext.extend(Lino.uploads.Volumes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Dateibibliothek) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.uploads.Volumes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/Volumes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Volumes.detail;
    this.ls_insert_handler = Lino.uploads.Volumes.insert;
    Lino.uploads.Volumes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Volumes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Volumes" };
  return new Lino.uploads.Volumes.detailPanel(p);
});
Lino.uploads.Volumes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Volumes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Volumes" };
  return new Lino.uploads.Volumes.GridPanel(p);
});
Lino.uploads.Volumes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Volumes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadTypes
Lino.uploads.UploadTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "wanted", "type": "boolean" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "max_number", "type": "int", "useNull": true }, { "name": "warn_expiry_unit" }, 'warn_expiry_unitHidden', { "name": "warn_expiry_value", "type": "int", "useNull": true }, { "name": "shortcut" }, 'shortcutHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 25,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Art) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Arten",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadTypes.detail;
    this.ls_insert_handler = Lino.uploads.UploadTypes.insert;
    var ww = this.containing_window;
    var id13277 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13278 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13279 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13280 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var wanted13281 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var upload_area13282 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var max_number13283 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": -1 });
    var warn_expiry_unit13284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value13285 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 2 });
    var shortcut13286 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.uploads.Shortcuts) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13277, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13278, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13279, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13280, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "wanted", "editable": true, "filter": { "type": "boolean" }, "header": "Wanted", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.wanted) Add a (+) button when there is no upload of this type.") }, "sortable": false, "tooltip": "Add a (+) button when there is no upload of this type.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "upload_area", "editable": true, "editor": upload_area13282, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.upload_area) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 6, "dataIndex": "max_number", "editable": true, "editor": max_number13283, "filter": { "type": "numeric" }, "format": "0", "header": "Max. number", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.max_number) No need to upload more uploads than N of this type.\n-1 means no limit.") }, "sortable": true, "tooltip": "No need to upload more uploads than N of this type.\n-1 means no limit.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "warn_expiry_unit", "editable": true, "editor": warn_expiry_unit13284, "filter": { "options": [ "einmalig", "t\u00e4glich", "w\u00f6chentlich", "monatlich", "j\u00e4hrlich", "pro Wochentag", "Beweglich mit Ostern" ], "type": "list" }, "header": "Ablaufwarnung (Einheit)", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.warn_expiry_unit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "align": "right", "colIndex": 8, "dataIndex": "warn_expiry_value", "editable": true, "editor": warn_expiry_value13285, "filter": { "type": "numeric" }, "format": "0", "header": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.warn_expiry_value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "shortcut", "editable": true, "editor": shortcut13286, "filter": { "options": [ "Identifizierendes Dokument" ], "type": "list" }, "header": "Upload shortcut", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadTypes.shortcut) Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.") }, "sortable": false, "tooltip": "Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.", "width": Lino.chars2width(30) } ];
    Lino.uploads.UploadTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadTypes.insertPanel = Ext.extend(Lino.uploads.UploadTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadTypes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadTypes.detail;
    this.ls_insert_handler = Lino.uploads.UploadTypes.insert;
    Lino.uploads.UploadTypes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadTypes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadTypes" };
  return new Lino.uploads.UploadTypes.insertPanel(p);
});
Lino.uploads.UploadTypes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadTypes.detailPanel = Ext.extend(Lino.uploads.UploadTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Art) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadTypes.detail;
    this.ls_insert_handler = Lino.uploads.UploadTypes.insert;
    Lino.uploads.UploadTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadTypes" };
  return new Lino.uploads.UploadTypes.detailPanel(p);
});
Lino.uploads.UploadTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadTypes" };
  return new Lino.uploads.UploadTypes.GridPanel(p);
});
Lino.uploads.UploadTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.Uploads
Lino.uploads.Uploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Uploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    var ww = this.containing_window;
    var user6758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project6759 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var type6760 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var file6761 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date6762 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6763 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6764 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6765 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6766 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype6767 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6768 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_type" }) }) });
    var owner_id6770 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_id" }) }) });
    var company6771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person6772 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role6773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var upload_area6774 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6775 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/volume" }) }) });
    var library_file6776 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/library_file" }) }) });
    var description6777 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6778 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6779 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6760.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6770.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6772.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6776.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6774 !== 'undefined' && upload_area6774.on('change',Lino.chooser_handler(type6760,'upload_area'));
      typeof owner_type6769 !== 'undefined' && owner_type6769.on('change',Lino.chooser_handler(owner_id6770,'owner_type'));
      typeof company6771 !== 'undefined' && company6771.on('change',Lino.chooser_handler(contact_person6772,'company'));
      typeof volume6775 !== 'undefined' && volume6775.on('change',Lino.chooser_handler(library_file6776,'volume'));
      Lino.uploads.Uploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6758, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6759, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6760, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file6761, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6762, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6763, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6766, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6769, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6770, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6771, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6772, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6773, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6774, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6775, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6776, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6777, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6778, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner) ") }, "sortable": false, "tooltip": "(uploads.Uploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.Uploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.insertPanel(p);
});
Lino.uploads.Uploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.detailPanel(p);
});
Lino.uploads.Uploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.Uploads.GridPanel(p);
});
Lino.uploads.Uploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.AllUploads
Lino.uploads.AllUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/AllUploads",
  ls_store_fields : [ { "name": "file" }, { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "description" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "remark" }, { "name": "needed", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/AllUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AllUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AllUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AllUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/AllUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AllUploads.detail;
    this.ls_insert_handler = Lino.uploads.AllUploads.insert;
    var ww = this.containing_window;
    var file13288 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var type13289 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var user13290 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var owner_disp13291 = new Ext.form.DisplayField({ "disabled": true });
    var description13292 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13293 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project13294 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/project" }) }) });
    var start_date13295 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date13296 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype13297 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size13298 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type13299 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/owner_type" }) }) });
    var owner_id13300 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/owner_id" }) }) });
    var company13301 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/company" }) }) });
    var contact_person13302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/contact_person" }) }) });
    var contact_role13303 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/contact_role" }) }) });
    var upload_area13304 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume13305 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file13306 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var remark13307 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var needed13308 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      type13289.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id13300.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person13302.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file13306.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area13304 !== 'undefined' && upload_area13304.on('change',Lino.chooser_handler(type13289,'upload_area'));
      typeof owner_type13299 !== 'undefined' && owner_type13299.on('change',Lino.chooser_handler(owner_id13300,'owner_type'));
      typeof company13301 !== 'undefined' && company13301.on('change',Lino.chooser_handler(contact_person13302,'company'));
      typeof volume13305 !== 'undefined' && volume13305.on('change',Lino.chooser_handler(library_file13306,'volume'));
      Lino.uploads.AllUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "file", "editable": true, "editor": file13288, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type13289, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user13290, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.AllUploads.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description13292, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13293, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project13294, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date13295, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date13296, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type13299, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id13300, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company13301, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person13302, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role13303, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area13304, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume13305, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file13306, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "remark", "editable": true, "editor": remark13307, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AllUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.uploads.AllUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AllUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AllUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AllUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AllUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AllUploads.insertPanel = Ext.extend(Lino.uploads.AllUploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/AllUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AllUploads.detail;
    this.ls_insert_handler = Lino.uploads.AllUploads.insert;
    Lino.uploads.AllUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AllUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/AllUploads" };
  return new Lino.uploads.AllUploads.insertPanel(p);
});
Lino.uploads.AllUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AllUploads.detailPanel = Ext.extend(Lino.uploads.AllUploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/AllUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AllUploads.detail;
    this.ls_insert_handler = Lino.uploads.AllUploads.insert;
    Lino.uploads.AllUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AllUploads.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AllUploads" };
  return new Lino.uploads.AllUploads.detailPanel(p);
});
Lino.uploads.AllUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AllUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AllUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AllUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AllUploads" };
  p.params_panel = new Lino.uploads.AllUploads.ParamsPanel({});
  return new Lino.uploads.AllUploads.GridPanel(p);
});
Lino.uploads.AllUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AllUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyUploads
Lino.uploads.MyUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyUploads",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    var ww = this.containing_window;
    var id6781 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project6782 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/project" }) }) });
    var type6783 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/type" }) }) });
    var start_date6784 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6785 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6786 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6787 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var file6788 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype6789 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6790 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var user6791 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/user" }) }) });
    var owner_type6792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_type" }) }) });
    var owner_id6793 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_id" }) }) });
    var company6794 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/company" }) }) });
    var contact_person6795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_person" }) }) });
    var contact_role6796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_role" }) }) });
    var upload_area6797 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6798 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/volume" }) }) });
    var library_file6799 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/library_file" }) }) });
    var description6800 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6801 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6802 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6783.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6793.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6795.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6799.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6797 !== 'undefined' && upload_area6797.on('change',Lino.chooser_handler(type6783,'upload_area'));
      typeof owner_type6792 !== 'undefined' && owner_type6792.on('change',Lino.chooser_handler(owner_id6793,'owner_type'));
      typeof company6794 !== 'undefined' && company6794.on('change',Lino.chooser_handler(contact_person6795,'company'));
      typeof volume6798 !== 'undefined' && volume6798.on('change',Lino.chooser_handler(library_file6799,'volume'));
      Lino.uploads.MyUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6781, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6782, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6783, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date6784, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date6785, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file6788, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user6791, "filter": { "type": "string" }, "header": "Hochgeladen durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6792, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6793, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6794, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6795, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6796, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6797, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6798, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6799, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6800, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6801, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.MyUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.insertPanel(p);
});
Lino.uploads.MyUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.detailPanel(p);
});
Lino.uploads.MyUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyUploads.GridPanel(p);
});
Lino.uploads.MyUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.AreaUploads
Lino.uploads.AreaUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/AreaUploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    var ww = this.containing_window;
    var user6804 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/user" }) }) });
    var project6805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/project" }) }) });
    var type6806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/type" }) }) });
    var file6807 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date6808 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6809 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6810 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6811 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6812 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype6813 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6814 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6815 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_type" }) }) });
    var owner_id6816 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_id" }) }) });
    var company6817 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/company" }) }) });
    var contact_person6818 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_person" }) }) });
    var contact_role6819 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_role" }) }) });
    var upload_area6820 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6821 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/volume" }) }) });
    var library_file6822 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/library_file" }) }) });
    var description6823 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6824 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6825 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6806.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6816.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6818.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6822.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6820 !== 'undefined' && upload_area6820.on('change',Lino.chooser_handler(type6806,'upload_area'));
      typeof owner_type6815 !== 'undefined' && owner_type6815.on('change',Lino.chooser_handler(owner_id6816,'owner_type'));
      typeof company6817 !== 'undefined' && company6817.on('change',Lino.chooser_handler(contact_person6818,'company'));
      typeof volume6821 !== 'undefined' && volume6821.on('change',Lino.chooser_handler(library_file6822,'volume'));
      Lino.uploads.AreaUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6804, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6805, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6806, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file6807, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6808, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6809, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6812, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6815, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6816, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6817, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6818, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6819, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6820, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6821, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6822, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6823, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6824, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.AreaUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.AreaUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.insertPanel(p);
});
Lino.uploads.AreaUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.detailPanel(p);
});
Lino.uploads.AreaUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.AreaUploads.GridPanel(p);
});
Lino.uploads.AreaUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyExpiringUploads
Lino.uploads.MyExpiringUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyExpiringUploads",
  ls_store_fields : [ { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "description_link" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine ablaufenden Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    var ww = this.containing_window;
    var project6827 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/project" }) }) });
    var type6828 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/type" }) }) });
    var description_link_disp6829 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user6830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/user" }) }) });
    var start_date6831 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6832 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6833 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id6834 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var file6835 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype6836 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6837 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6838 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_type" }) }) });
    var owner_id6839 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_id" }) }) });
    var company6840 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/company" }) }) });
    var contact_person6841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_person" }) }) });
    var contact_role6842 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_role" }) }) });
    var upload_area6843 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/volume" }) }) });
    var library_file6845 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/library_file" }) }) });
    var description6846 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6847 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6848 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6828.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6839.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6841.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6845.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6843 !== 'undefined' && upload_area6843.on('change',Lino.chooser_handler(type6828,'upload_area'));
      typeof owner_type6838 !== 'undefined' && owner_type6838.on('change',Lino.chooser_handler(owner_id6839,'owner_type'));
      typeof company6840 !== 'undefined' && company6840.on('change',Lino.chooser_handler(contact_person6841,'company'));
      typeof volume6844 !== 'undefined' && volume6844.on('change',Lino.chooser_handler(library_file6845,'volume'));
      Lino.uploads.MyExpiringUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "project", "editable": true, "editor": project6827, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type6828, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6830, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6831, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6832, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id6834, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "file", "editable": true, "editor": file6835, "filter": { "type": "string" }, "header": "Datei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6838, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6839, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6840, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person6841, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role6842, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6843, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6844, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6845, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6846, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6847, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyExpiringUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.MyExpiringUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.insertPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.detailPanel(p);
});
Lino.uploads.MyExpiringUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyExpiringUploads.GridPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.Recipients
Lino.outbox.Recipients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/Recipients",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "mail" }, 'mailHidden', { "name": "partner" }, 'partnerHidden', { "name": "type" }, 'typeHidden', { "name": "address" }, { "name": "name" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 27,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/Recipients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Recipients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Recipients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Recipients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/Recipients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Empf\u00e4nger",
  initComponent : function() {
    var ww = this.containing_window;
    var id13310 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mail13311 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Recipients/mail" }) }) });
    var partner13312 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Recipients/partner" }) }) });
    var type13313 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.outbox.RecipientTypes });
    var address13314 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var name13315 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13310, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Recipients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "mail", "editable": true, "editor": mail13311, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Recipients.mail) ") }, "renderer": Lino.fk_renderer('mailHidden','Lino.outbox.Mails.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner13312, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Recipients.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type13313, "filter": { "options": [ "Empf\u00e4nger", "Kopie an", "Blindkopie an" ], "type": "list" }, "header": "Empf\u00e4ngerart", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Recipients.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "address", "editable": true, "editor": address13314, "filter": { "type": "string" }, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Recipients.address) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name", "editable": true, "editor": name13315, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Recipients.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.outbox.Recipients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.Recipients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Recipients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Recipients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Recipients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Recipients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Recipients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Recipients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Recipients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Recipients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Recipients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Recipients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/Recipients" };
  return new Lino.outbox.Recipients.GridPanel(p);
});

// js_render_GridPanel_class outbox.Mails
Lino.outbox.Mails.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/Mails",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "owner" }, { "name": "body" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/Mails','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Mails','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Mails','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Mails','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/Mails','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausg\u00e4nge",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.Mails.detail;
    this.ls_insert_handler = Lino.outbox.Mails.insert;
    var ww = this.containing_window;
    var sent13317 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox13318 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject13319 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13320 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project13321 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var user13322 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }) });
    var owner_type13323 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/owner_type" }) }) });
    var owner_id13324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/owner_id" }) }) });
    var date13325 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var owner_disp13326 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body13327 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    this.before_row_edit = function(record) {
      recipients_htmlbox13318.refresh();
      owner_id13324.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body13327.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type13323 !== 'undefined' && owner_type13323.on('change',Lino.chooser_handler(owner_id13324,'owner_type'));
      Lino.outbox.Mails.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.recipients) ") }, "sortable": false, "tooltip": "(outbox.Mails.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject13319, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id13320, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project13321, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user13322, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type13323, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id13324, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date13325, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.owner) ") }, "sortable": false, "tooltip": "(outbox.Mails.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "body", "editable": true, "editor": body13327, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.Mails.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.outbox.Mails.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.Mails.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Mails.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Mails.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Mails.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.Mails.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/Mails",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.Mails.detail;
    this.ls_insert_handler = Lino.outbox.Mails.insert;
    Lino.outbox.Mails.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.Mails.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/Mails" };
  return new Lino.outbox.Mails.insertPanel(p);
});
Lino.outbox.Mails.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.Mails.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/Mails",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.Mails.detail;
    this.ls_insert_handler = Lino.outbox.Mails.insert;
    Lino.outbox.Mails.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.Mails.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/Mails" };
  return new Lino.outbox.Mails.detailPanel(p);
});
Lino.outbox.Mails.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Mails.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Mails.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/Mails" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.Mails.GridPanel(p);
});
Lino.outbox.Mails.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Mails", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.Attachments
Lino.outbox.Attachments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/Attachments",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "mail" }, 'mailHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 29,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/Attachments','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Attachments','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Attachments','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/Attachments','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/Attachments','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anh\u00e4nge",
  initComponent : function() {
    var ww = this.containing_window;
    var id13329 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var owner_type13330 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Attachments/owner_type" }) }) });
    var owner_id13331 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Attachments/owner_id" }) }) });
    var mail13332 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Attachments/mail" }) }) });
    var owner_disp13333 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
      owner_id13331.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type13330 !== 'undefined' && owner_type13330.on('change',Lino.chooser_handler(owner_id13331,'owner_type'));
      Lino.outbox.Attachments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13329, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Attachments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "owner_type", "editable": true, "editor": owner_type13330, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Attachments.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner_id", "editable": true, "editor": owner_id13331, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Attachments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "mail", "editable": true, "editor": mail13332, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Attachments.mail) ") }, "renderer": Lino.fk_renderer('mailHidden','Lino.outbox.Mails.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(outbox.Attachments.owner) ") }, "sortable": false, "tooltip": "(outbox.Attachments.owner) ", "width": Lino.chars2width(11) } ];
    Lino.outbox.Attachments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.Attachments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Attachments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Attachments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Attachments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Attachments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Attachments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Attachments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Attachments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Attachments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/Attachments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.Attachments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/Attachments" };
  return new Lino.outbox.Attachments.GridPanel(p);
});

// js_render_GridPanel_class cal.RemoteCalendars
Lino.cal.RemoteCalendars.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/RemoteCalendars",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "url_template" }, { "name": "username" }, { "name": "password" }, { "name": "readonly", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 30,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/RemoteCalendars','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/RemoteCalendars','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/RemoteCalendars','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/RemoteCalendars','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/RemoteCalendars','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Externe Kalender",
  initComponent : function() {
    var ww = this.containing_window;
    var id13335 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno13336 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type13337 = new Lino.ChoicesFieldElement({ "allowBlank": false, "selectOnFocus": true, "store": [ [ "local", "Local Calendar" ], [ "google", "Google Calendar" ] ], "value": "local" });
    var url_template13338 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var username13339 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var password13340 = new Ext.form.TextField({ "allowBlank": true, "inputType": "password", "maxLength": 200, "selectOnFocus": true });
    var readonly13341 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13335, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno13336, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type13337, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "url_template", "editable": true, "editor": url_template13338, "filter": { "type": "string" }, "header": "URL-Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.url_template) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "username", "editable": true, "editor": username13339, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.username) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "password", "editable": true, "editor": password13340, "filter": { "type": "string" }, "header": "Passwort", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.password) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "readonly", "editable": true, "filter": { "type": "boolean" }, "header": "schreibgesch\u00fctzt", "listeners": { "render": Lino.quicktip_renderer("","(cal.RemoteCalendars.readonly) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cal.RemoteCalendars.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.RemoteCalendars.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/RemoteCalendars" };
  return new Lino.cal.RemoteCalendars.GridPanel(p);
});
Lino.cal.RemoteCalendars.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RemoteCalendars.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RemoteCalendars", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Rooms
Lino.cal.Rooms.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Rooms",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "display_color" }, 'display_colorHidden', { "name": "description" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 31,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Rooms','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Rooms','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Rooms','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Rooms','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Rooms','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Raum) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "R\u00e4ume",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Rooms.detail;
    this.ls_insert_handler = Lino.cal.Rooms.insert;
    var ww = this.containing_window;
    var id13343 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13344 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13345 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13346 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company13347 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person13348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var contact_role13349 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_role" }) }) });
    var display_color13350 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var description13351 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person13348.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company13347 !== 'undefined' && company13347.on('change',Lino.chooser_handler(contact_person13348,'company'));
      Lino.cal.Rooms.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13343, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13344, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "sortable": true, "tooltip": "The designation of the room. This is not required to be unique.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13345, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13346, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company13347, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contact_person", "editable": true, "editor": contact_person13348, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_role", "editable": true, "editor": contact_role13349, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "display_color", "editable": true, "editor": display_color13350, "filter": { "options": [ "White", "Silver", "Gray", "Black", "Red", "Maroon", "Yellow", "Olive", "Lime", "Green", "Aqua", "Teal", "Blue", "Navy", "Fuchsia", "Purple" ], "type": "list" }, "header": "Color", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "sortable": false, "tooltip": "The color to use when displaying entries in this room in the calendar\nview.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "description", "editable": true, "editor": description13351, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Rooms.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cal.Rooms.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Rooms.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Rooms.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Rooms.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Rooms.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Rooms.insertPanel = Ext.extend(Lino.cal.Rooms.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Rooms",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Rooms.detail;
    this.ls_insert_handler = Lino.cal.Rooms.insert;
    Lino.cal.Rooms.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Rooms.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Rooms" };
  return new Lino.cal.Rooms.insertPanel(p);
});
Lino.cal.Rooms.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Rooms.detailPanel = Ext.extend(Lino.cal.Rooms.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Raum) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Rooms",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Rooms.detail;
    this.ls_insert_handler = Lino.cal.Rooms.insert;
    Lino.cal.Rooms.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Rooms.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Rooms" };
  return new Lino.cal.Rooms.detailPanel(p);
});
Lino.cal.Rooms.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Rooms.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Rooms" };
  return new Lino.cal.Rooms.GridPanel(p);
});
Lino.cal.Rooms.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Rooms", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.AllRooms
Lino.cal.AllRooms.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/AllRooms",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "display_color" }, 'display_colorHidden', { "name": "description" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 31,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/AllRooms','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllRooms','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllRooms','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllRooms','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/AllRooms','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Raum) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "R\u00e4ume",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllRooms.detail;
    this.ls_insert_handler = Lino.cal.AllRooms.insert;
    var ww = this.containing_window;
    var id13353 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13354 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13355 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13356 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company13357 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllRooms/company" }) }) });
    var contact_person13358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllRooms/contact_person" }) }) });
    var contact_role13359 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllRooms/contact_role" }) }) });
    var display_color13360 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var description13361 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person13358.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company13357 !== 'undefined' && company13357.on('change',Lino.chooser_handler(contact_person13358,'company'));
      Lino.cal.AllRooms.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13353, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13354, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.name) The designation of the room. This is not required to be unique.") }, "sortable": true, "tooltip": "The designation of the room. This is not required to be unique.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13355, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13356, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company13357, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contact_person", "editable": true, "editor": contact_person13358, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_role", "editable": true, "editor": contact_role13359, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "display_color", "editable": true, "editor": display_color13360, "filter": { "options": [ "White", "Silver", "Gray", "Black", "Red", "Maroon", "Yellow", "Olive", "Lime", "Green", "Aqua", "Teal", "Blue", "Navy", "Fuchsia", "Purple" ], "type": "list" }, "header": "Color", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "sortable": false, "tooltip": "The color to use when displaying entries in this room in the calendar\nview.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "description", "editable": true, "editor": description13361, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllRooms.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cal.AllRooms.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllRooms.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllRooms.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllRooms.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllRooms.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.AllRooms.insertPanel = Ext.extend(Lino.cal.Rooms.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/AllRooms",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllRooms.detail;
    this.ls_insert_handler = Lino.cal.AllRooms.insert;
    Lino.cal.AllRooms.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllRooms.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/AllRooms" };
  return new Lino.cal.AllRooms.insertPanel(p);
});
Lino.cal.AllRooms.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.AllRooms.detailPanel = Ext.extend(Lino.cal.Rooms.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Raum) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/AllRooms",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllRooms.detail;
    this.ls_insert_handler = Lino.cal.AllRooms.insert;
    Lino.cal.AllRooms.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllRooms.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AllRooms" };
  return new Lino.cal.AllRooms.detailPanel(p);
});
Lino.cal.AllRooms.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllRooms.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AllRooms" };
  return new Lino.cal.AllRooms.GridPanel(p);
});
Lino.cal.AllRooms.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllRooms", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Calendars
Lino.cal.Calendars.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Calendars",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "description" }, { "name": "color", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 33,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Calendars','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Calendars','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Calendars','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Calendars','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Calendars','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of extensible.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalenderliste",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Calendars.detail;
    this.ls_insert_handler = Lino.cal.Calendars.insert;
    var ww = this.containing_window;
    var id13363 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13364 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13365 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13366 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description13367 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var color13368 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      description13367.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13363, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.Calendars.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13364, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Calendars.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13365, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.Calendars.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13366, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.Calendars.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description13367, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Calendars.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 5, "dataIndex": "color", "editable": true, "editor": color13368, "filter": { "type": "numeric" }, "format": "0", "header": "Farbe", "listeners": { "render": Lino.quicktip_renderer("","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "sortable": true, "tooltip": "The color to use for entries of this calendar (in\nlino_xl.lib.extensible).", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cal.Calendars.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Calendars.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Calendars.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Calendars.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Calendars.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Calendars.insertPanel = Ext.extend(Lino.cal.Calendars.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Calendars",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Calendars.detail;
    this.ls_insert_handler = Lino.cal.Calendars.insert;
    Lino.cal.Calendars.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Calendars.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Calendars" };
  return new Lino.cal.Calendars.insertPanel(p);
});
Lino.cal.Calendars.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Calendars.detailPanel = Ext.extend(Lino.cal.Calendars.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Calendars",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Calendars.detail;
    this.ls_insert_handler = Lino.cal.Calendars.insert;
    Lino.cal.Calendars.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Calendars.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Calendars" };
  return new Lino.cal.Calendars.detailPanel(p);
});
Lino.cal.Calendars.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Calendars.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Calendars" };
  return new Lino.cal.Calendars.GridPanel(p);
});
Lino.cal.Calendars.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Calendars", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Subscriptions
Lino.cal.Subscriptions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Subscriptions",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "calendar" }, 'calendarHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Subscriptions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Subscriptions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Subscriptions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Subscriptions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Subscriptions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  initComponent : function() {
    var ww = this.containing_window;
    var id13370 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user13371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/user" }) }) });
    var calendar13372 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/calendar" }) }) });
    var is_hidden13373 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13370, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.Subscriptions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user13371, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.Subscriptions.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "calendar", "editable": true, "editor": calendar13372, "filter": { "type": "string" }, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(cal.Subscriptions.calendar) The calendar you want to subscribe to.") }, "renderer": Lino.fk_renderer('calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.Subscriptions.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cal.Subscriptions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Subscriptions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Subscriptions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Subscriptions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Subscriptions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Subscriptions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Subscriptions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Subscriptions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Subscriptions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Subscriptions.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Subscriptions", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Subscriptions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Subscriptions" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.Subscriptions.GridPanel(p);
});

// js_render_GridPanel_class cal.Tasks
Lino.cal.Tasks.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Tasks",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "name": "start_time" }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Tasks','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Tasks','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Tasks','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Tasks','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Tasks','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Tasks.detail;
    this.ls_insert_handler = Lino.cal.Tasks.insert;
    var ww = this.containing_window;
    var priority13375 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date13376 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary13377 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp13378 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id13379 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified13380 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created13381 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project13382 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var start_time13383 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user13384 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var owner_type13385 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/owner_type" }) }) });
    var owner_id13386 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/owner_id" }) }) });
    var description13387 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class13388 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence13389 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type13390 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date13391 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time13392 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent13393 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state13394 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated13395 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp13396 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id13386.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type13385 !== 'undefined' && owner_type13385.on('change',Lino.chooser_handler(owner_id13386,'owner_type'));
      Lino.cal.Tasks.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority13375, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date13376, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary13377, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13379, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project13382, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time13383, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "user", "editable": true, "editor": user13384, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type13385, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id13386, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description13387, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "access_class", "editable": true, "editor": access_class13388, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 14, "dataIndex": "sequence", "editable": true, "editor": sequence13389, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "auto_type", "editable": true, "editor": auto_type13390, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "due_date", "editable": true, "editor": due_date13391, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "due_time", "editable": true, "editor": due_time13392, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 18, "dataIndex": "percent", "editable": true, "editor": percent13393, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "state", "editable": true, "editor": state13394, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 20, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Tasks.owner) ") }, "sortable": false, "tooltip": "(cal.Tasks.owner) ", "width": Lino.chars2width(11) } ];
    Lino.cal.Tasks.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Tasks.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Tasks.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Tasks",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Tasks.detail;
    this.ls_insert_handler = Lino.cal.Tasks.insert;
    Lino.cal.Tasks.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Tasks.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Tasks" };
  return new Lino.cal.Tasks.insertPanel(p);
});
Lino.cal.Tasks.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Tasks.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Tasks",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Tasks.detail;
    this.ls_insert_handler = Lino.cal.Tasks.insert;
    Lino.cal.Tasks.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Tasks.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Tasks" };
  return new Lino.cal.Tasks.detailPanel(p);
});
Lino.cal.Tasks.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Tasks" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.Tasks.GridPanel(p);
});
Lino.cal.Tasks.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Tasks.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Tasks", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyTasks
Lino.cal.MyTasks.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyTasks",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    var ww = this.containing_window;
    var priority6850 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date6851 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary6852 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6853 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project6854 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyTasks/project" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority6850, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date6851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6852, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project6854, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.MyTasks.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.insertPanel(p);
});
Lino.cal.MyTasks.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.detailPanel(p);
});
Lino.cal.MyTasks.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.MyTasks.GridPanel(p);
});
Lino.cal.MyTasks.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestRoles
Lino.cal.GuestRoles.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestRoles",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 32,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestRoles','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestRoles','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestRoles','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestRoles','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestRoles','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.cal.GuestRoles.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gastrollen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestRoles.detail;
    var ww = this.containing_window;
    var ref13398 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name13399 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13400 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13401 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13402 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref13398, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestRoles.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(5) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13399, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestRoles.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13400, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestRoles.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13401, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestRoles.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13402, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestRoles.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cal.GuestRoles.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestRoles.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestRoles", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestRoles.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestRoles", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestRoles.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestRoles", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestRoles.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestRoles", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestRoles.detailPanel = Ext.extend(Lino.cal.GuestRoles.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.cal.GuestRoles.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestRoles",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestRoles.detail;
    Lino.cal.GuestRoles.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestRoles.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestRoles" };
  return new Lino.cal.GuestRoles.detailPanel(p);
});
Lino.cal.GuestRoles.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestRoles", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestRoles.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestRoles" };
  return new Lino.cal.GuestRoles.GridPanel(p);
});
Lino.cal.GuestRoles.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestRoles", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Guests
Lino.cal.Guests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Guests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    var ww = this.containing_window;
    var partner6856 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role6857 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var workflow_buttons_disp6858 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6859 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event6860 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var id6861 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state6862 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6863 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6864 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6865 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner6856, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6857, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6859, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event6860, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6861, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6862, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.Guests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.insertPanel(p);
});
Lino.cal.Guests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.detailPanel(p);
});
Lino.cal.Guests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.Guests.GridPanel(p);
});
Lino.cal.Guests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.AllGuests
Lino.cal.AllGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/AllGuests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/AllGuests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllGuests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllGuests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllGuests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/AllGuests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllGuests.detail;
    this.ls_insert_handler = Lino.cal.AllGuests.insert;
    var ww = this.containing_window;
    var partner13404 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllGuests/partner" }) }) });
    var role13405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllGuests/role" }) }) });
    var workflow_buttons_disp13406 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark13407 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event13408 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllGuests/event" }) }) });
    var id13409 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state13410 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since13411 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since13412 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since13413 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner13404, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role13405, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark13407, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event13408, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13409, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state13410, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllGuests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.AllGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.AllGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/AllGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllGuests.detail;
    this.ls_insert_handler = Lino.cal.AllGuests.insert;
    Lino.cal.AllGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/AllGuests" };
  return new Lino.cal.AllGuests.insertPanel(p);
});
Lino.cal.AllGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.AllGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/AllGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllGuests.detail;
    this.ls_insert_handler = Lino.cal.AllGuests.insert;
    Lino.cal.AllGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AllGuests" };
  return new Lino.cal.AllGuests.detailPanel(p);
});
Lino.cal.AllGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AllGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.AllGuests.GridPanel(p);
});
Lino.cal.AllGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPresences
Lino.cal.MyPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPresences",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    var ww = this.containing_window;
    var event__start_date6867 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__start_time6868 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp6869 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role6870 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/role" }) }) });
    var workflow_buttons_disp6871 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6872 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6873 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event6874 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/event" }) }) });
    var partner6875 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/partner" }) }) });
    var state6876 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6877 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6878 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6879 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": true, "editor": event__start_date6867, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": true, "editor": event__start_time6868, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyPresences.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role6870, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark6872, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6873, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event6874, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner6875, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6876, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.MyPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.insertPanel(p);
});
Lino.cal.MyPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.detailPanel(p);
});
Lino.cal.MyPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPresences.GridPanel(p);
});
Lino.cal.MyPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPendingPresences
Lino.cal.MyPendingPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPendingPresences",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My pending invitations",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    var ww = this.containing_window;
    var event__when_text_disp6881 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var role6882 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPendingPresences/role" }) }) });
    var workflow_buttons_disp6883 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6884 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp6881, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6882, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6884, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cal.MyPendingPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.insertPanel(p);
});
Lino.cal.MyPendingPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.detailPanel(p);
});
Lino.cal.MyPendingPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPendingPresences.GridPanel(p);
});
Lino.cal.MyPendingPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyGuests
Lino.cal.MyGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyGuests",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine G\u00e4ste",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    var ww = this.containing_window;
    var event__start_date6886 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__start_time6887 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp6888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role6889 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/role" }) }) });
    var workflow_buttons_disp6890 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6891 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6892 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event6893 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/event" }) }) });
    var partner6894 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/partner" }) }) });
    var state6895 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6896 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6897 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6898 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": true, "editor": event__start_date6886, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": true, "editor": event__start_time6887, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyGuests.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role6889, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark6891, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6892, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event6893, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner6894, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6895, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.MyGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.insertPanel(p);
});
Lino.cal.MyGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.detailPanel(p);
});
Lino.cal.MyGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyGuests.GridPanel(p);
});
Lino.cal.MyGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EventTypes
Lino.cal.EventTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EventTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "invite_client", "type": "boolean" }, { "name": "esf_field" }, 'esf_fieldHidden', { "name": "id", "type": "int" }, { "name": "ref" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "attach_to_email", "type": "boolean" }, { "name": "email_template" }, { "name": "description" }, { "name": "is_appointment", "type": "boolean" }, { "name": "all_rooms", "type": "boolean" }, { "name": "locks_user", "type": "boolean" }, { "name": "force_guest_states", "type": "boolean" }, { "name": "fill_presences", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "event_label" }, { "name": "event_label_fr" }, { "name": "event_label_en" }, { "name": "max_conflicting", "type": "int", "useNull": true }, { "name": "max_days", "type": "int", "useNull": true }, { "name": "transparent", "type": "boolean" }, { "name": "planner_column" }, 'planner_columnHidden', { "name": "default_duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EventTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EventTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintragsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.cal.EventTypes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintragsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EventTypes.detail;
    this.ls_insert_handler = Lino.cal.EventTypes.insert;
    var ww = this.containing_window;
    var name13415 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13416 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13417 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var invite_client13418 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var esf_field13419 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.StatisticalFields) });
    var id13420 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var ref13421 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var seqno13422 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var attach_to_email13423 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var email_template13424 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventTypes/email_template" }) }) });
    var description13425 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Beschreibung" });
    var is_appointment13426 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var all_rooms13427 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var locks_user13428 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var force_guest_states13429 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var fill_presences13430 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var start_date13431 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event_label13432 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var event_label_fr13433 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var event_label_en13434 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var max_conflicting13435 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var max_days13436 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var transparent13437 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var planner_column13438 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.PlannerColumns) });
    var default_duration13439 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(6), "hidden": true, "maxLength": 6, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      description13425.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13415, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13416, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13417, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "invite_client", "editable": true, "filter": { "type": "boolean" }, "header": "Klient einladen", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.invite_client) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "esf_field", "editable": true, "editor": esf_field13419, "filter": { "options": [ "Informative sessions", "Individual consultation", "Evaluation of external training", "Certified integration service", "Level tests", "IT basics", "Mobility", "Remedial teaching", "Wake up!", "Getting a professional situation", "Cyber Job", "Art 60\u00a77 job supplyment" ], "type": "list" }, "header": "ESF field", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.esf_field) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(36) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13420, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "ref", "editable": true, "editor": ref13421, "filter": { "type": "string" }, "header": "Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno13422, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "attach_to_email", "editable": true, "filter": { "type": "boolean" }, "header": "als Anhang per E-Mail", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "sortable": false, "tooltip": "Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "email_template", "editable": true, "editor": email_template13424, "filter": { "type": "string" }, "header": "E-Mail-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "sortable": false, "tooltip": "The name of the file to be used as template when creating an email from a mailable of this type.", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "description", "editable": true, "editor": description13425, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "is_appointment", "editable": true, "filter": { "type": "boolean" }, "header": "Termin", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.is_appointment) Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).") }, "sortable": false, "tooltip": "Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "all_rooms", "editable": true, "filter": { "type": "boolean" }, "header": "Blockiert alle R\u00e4ume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.all_rooms) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "locks_user", "editable": true, "filter": { "type": "boolean" }, "header": "Blockiert den Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.locks_user) Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.") }, "sortable": false, "tooltip": "Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "force_guest_states", "editable": true, "filter": { "type": "boolean" }, "header": "Anwesenheiten automatisch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.force_guest_states) Whether presence states should be forced to those defined by the\nentry state.") }, "sortable": false, "tooltip": "Whether presence states should be forced to those defined by the\nentry state.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "fill_presences", "editable": true, "filter": { "type": "boolean" }, "header": "G\u00e4ste ausf\u00fcllen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.fill_presences) Whether guests should be automatically filled for calendar entries of\nthis type.") }, "sortable": false, "tooltip": "Whether guests should be automatically filled for calendar entries of\nthis type.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "start_date", "editable": true, "editor": start_date13431, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "event_label", "editable": true, "editor": event_label13432, "filter": { "type": "string" }, "header": "Bezeichnung Termin", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.event_label) Default text for summary of new entries.") }, "sortable": true, "tooltip": "Default text for summary of new entries.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "event_label_fr", "editable": true, "editor": event_label_fr13433, "filter": { "type": "string" }, "header": "Bezeichnung Termin (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.event_label_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "event_label_en", "editable": true, "editor": event_label_en13434, "filter": { "type": "string" }, "header": "Bezeichnung Termin (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.event_label_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 20, "dataIndex": "max_conflicting", "editable": true, "editor": max_conflicting13435, "filter": { "type": "numeric" }, "format": "0", "header": "Gleichzeitige Termine", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.max_conflicting) How many conflicting events should be tolerated.") }, "sortable": true, "tooltip": "How many conflicting events should be tolerated.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "max_days", "editable": true, "editor": max_days13436, "filter": { "type": "numeric" }, "format": "0", "header": "Tage maximal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.max_days) The maximal number of days allowed as duration. 0 means no limit.") }, "sortable": true, "tooltip": "The maximal number of days allowed as duration. 0 means no limit.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.transparent) Allow entries of this type to conflict with other events.") }, "sortable": false, "tooltip": "Allow entries of this type to conflict with other events.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "planner_column", "editable": true, "editor": planner_column13438, "filter": { "options": [ "Extern", "Intern" ], "type": "list" }, "header": "Tagesplanerkolonne", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.planner_column) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 24, "dataIndex": "default_duration", "editable": true, "editor": default_duration13439, "filter": { "type": "string" }, "format": "", "header": "Vorschlag Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventTypes.default_duration) An optional default duration for calendar entries of this type.") }, "sortable": true, "tooltip": "An optional default duration for calendar entries of this type.", "width": Lino.chars2width(8) } ];
    Lino.cal.EventTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EventTypes.insertPanel = Ext.extend(Lino.cal.EventTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EventTypes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EventTypes.detail;
    this.ls_insert_handler = Lino.cal.EventTypes.insert;
    Lino.cal.EventTypes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventTypes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EventTypes" };
  return new Lino.cal.EventTypes.insertPanel(p);
});
Lino.cal.EventTypes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EventTypes.detailPanel = Ext.extend(Lino.cal.EventTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintragsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.cal.EventTypes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EventTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EventTypes.detail;
    this.ls_insert_handler = Lino.cal.EventTypes.insert;
    Lino.cal.EventTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventTypes" };
  return new Lino.cal.EventTypes.detailPanel(p);
});
Lino.cal.EventTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventTypes" };
  return new Lino.cal.EventTypes.GridPanel(p);
});
Lino.cal.EventTypes.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.RecurrentEvents
Lino.cal.RecurrentEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/RecurrentEvents",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "every_unit" }, 'every_unitHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "start_time" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "name": "description" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/RecurrentEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/RecurrentEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/RecurrentEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/RecurrentEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/RecurrentEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Regelm\u00e4\u00dfiges Ereignis) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Regelm\u00e4\u00dfige Ereignisse",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.RecurrentEvents.detail;
    this.ls_insert_handler = Lino.cal.RecurrentEvents.insert;
    var ww = this.containing_window;
    var start_date13441 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13442 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var name13443 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13444 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13445 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var every_unit13446 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var event_type13447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var id13448 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time13449 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time13450 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user13451 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }) });
    var every13452 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var positions13453 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday13454 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday13455 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday13456 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday13457 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday13458 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday13459 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday13460 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events13461 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var description13462 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Beschreibung" });
    this.before_row_edit = function(record) {
      description13462.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date13441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "sortable": true, "tooltip": "Das Beginndatum der ersten Veranstaltung.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date13442, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "sortable": true, "tooltip": "Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name13443, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "sortable": true, "tooltip": "See lino.utils.mldbc.mixins.BabelNamed.name.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_fr", "editable": true, "editor": name_fr13444, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "name_en", "editable": true, "editor": name_en13445, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "every_unit", "editable": true, "editor": every_unit13446, "filter": { "options": [ "einmalig", "t\u00e4glich", "w\u00f6chentlich", "monatlich", "j\u00e4hrlich", "pro Wochentag", "Beweglich mit Ostern" ], "type": "list" }, "header": "Wiederholung", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "sortable": false, "tooltip": "Inherited from RecurrentSet.every_unit.", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "event_type", "editable": true, "editor": event_type13447, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13448, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time13449, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_time", "editable": true, "editor": end_time13450, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user13451, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "every", "editable": true, "editor": every13452, "filter": { "type": "numeric" }, "format": "0", "header": "... alle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "positions", "editable": true, "editor": positions13453, "filter": { "type": "string" }, "header": "Positionen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Montag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Dienstag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Mittwoch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Donnerstag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Freitag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Samstag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sonntag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "max_events", "editable": true, "editor": max_events13461, "filter": { "type": "numeric" }, "format": "0", "header": "Anzahl Termine", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "description", "editable": true, "editor": description13462, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.RecurrentEvents.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cal.RecurrentEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.RecurrentEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RecurrentEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RecurrentEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RecurrentEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.RecurrentEvents.insertPanel = Ext.extend(Lino.cal.RecurrentEvents.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/RecurrentEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.RecurrentEvents.detail;
    this.ls_insert_handler = Lino.cal.RecurrentEvents.insert;
    Lino.cal.RecurrentEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.RecurrentEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/RecurrentEvents" };
  return new Lino.cal.RecurrentEvents.insertPanel(p);
});
Lino.cal.RecurrentEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.RecurrentEvents.detailPanel = Ext.extend(Lino.cal.RecurrentEvents.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Regelm\u00e4\u00dfiges Ereignis) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/RecurrentEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.RecurrentEvents.detail;
    this.ls_insert_handler = Lino.cal.RecurrentEvents.insert;
    Lino.cal.RecurrentEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.RecurrentEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/RecurrentEvents" };
  return new Lino.cal.RecurrentEvents.detailPanel(p);
});
Lino.cal.RecurrentEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RecurrentEvents.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RecurrentEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/RecurrentEvents" };
  p.params_panel = new Lino.cal.RecurrentEvents.ParamsPanel({});
  return new Lino.cal.RecurrentEvents.GridPanel(p);
});
Lino.cal.RecurrentEvents.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.RecurrentEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/RecurrentEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Events
Lino.cal.Events.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Events",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Events','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Events','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Events','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Events','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Events','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Events.detail;
    this.ls_insert_handler = Lino.cal.Events.insert;
    var ww = this.containing_window;
    var when_text_disp13464 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user13465 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }) });
    var summary13466 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type13467 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var id13468 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified13469 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created13470 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project13471 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var start_date13472 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time13473 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date13474 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time13475 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time13476 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method13477 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to13478 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/assigned_to" }) }) });
    var owner_type13479 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/owner_type" }) }) });
    var owner_id13480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/owner_id" }) }) });
    var description13481 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class13482 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence13483 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type13484 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority13485 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent13486 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited13487 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room13488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }) });
    var state13489 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before13490 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit13491 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified13492 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp13493 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id13480.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type13479 !== 'undefined' && owner_type13479.on('change',Lino.chooser_handler(owner_id13480,'owner_type'));
      Lino.cal.Events.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user13465, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary13466, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type13467, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13468, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project13471, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date13472, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time13473, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date13474, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time13475, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method13477, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to13478, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type13479, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id13480, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description13481, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class13482, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence13483, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type13484, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority13485, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room13488, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state13489, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before13490, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit13491, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Events.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.Events.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Events.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Events.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Events",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Events.detail;
    this.ls_insert_handler = Lino.cal.Events.insert;
    Lino.cal.Events.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Events.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Events" };
  return new Lino.cal.Events.insertPanel(p);
});
Lino.cal.Events.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Events.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Events",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Events.detail;
    this.ls_insert_handler = Lino.cal.Events.insert;
    Lino.cal.Events.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Events.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Events" };
  return new Lino.cal.Events.detailPanel(p);
});
Lino.cal.Events.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Events" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.Events.GridPanel(p);
});
Lino.cal.Events.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Events.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Events", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.AllEntries
Lino.cal.AllEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/AllEntries",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/AllEntries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllEntries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllEntries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AllEntries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/AllEntries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllEntries.detail;
    this.ls_insert_handler = Lino.cal.AllEntries.insert;
    var ww = this.containing_window;
    var when_text_disp13495 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user13496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/user" }) }) });
    var summary13497 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type13498 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/event_type" }) }) });
    var id13499 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified13500 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created13501 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project13502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/project" }) }) });
    var start_date13503 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time13504 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date13505 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time13506 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time13507 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method13508 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to13509 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/assigned_to" }) }) });
    var owner_type13510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/owner_type" }) }) });
    var owner_id13511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/owner_id" }) }) });
    var description13512 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class13513 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence13514 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type13515 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority13516 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent13517 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited13518 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room13519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/room" }) }) });
    var state13520 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before13521 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit13522 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified13523 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp13524 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id13511.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type13510 !== 'undefined' && owner_type13510.on('change',Lino.chooser_handler(owner_id13511,'owner_type'));
      Lino.cal.AllEntries.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user13496, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary13497, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type13498, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13499, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project13502, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date13503, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time13504, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date13505, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time13506, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method13508, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to13509, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type13510, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id13511, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description13512, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class13513, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence13514, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type13515, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority13516, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room13519, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state13520, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before13521, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit13522, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AllEntries.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.AllEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.AllEntries.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/AllEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllEntries.detail;
    this.ls_insert_handler = Lino.cal.AllEntries.insert;
    Lino.cal.AllEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/AllEntries" };
  return new Lino.cal.AllEntries.insertPanel(p);
});
Lino.cal.AllEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.AllEntries.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/AllEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.AllEntries.detail;
    this.ls_insert_handler = Lino.cal.AllEntries.insert;
    Lino.cal.AllEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AllEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AllEntries" };
  return new Lino.cal.AllEntries.detailPanel(p);
});
Lino.cal.AllEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AllEntries" };
  p.params_panel = new Lino.cal.AllEntries.ParamsPanel({});
  return new Lino.cal.AllEntries.GridPanel(p);
});
Lino.cal.AllEntries.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AllEntries.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AllEntries", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByDay
Lino.cal.EntriesByDay.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByDay",
  ls_store_fields : [ { "name": "start_time" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Termine heute",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    var ww = this.containing_window;
    var start_time6900 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project6901 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/project" }) }) });
    var summary6902 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user6903 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/user" }) }) });
    var assigned_to6904 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/assigned_to" }) }) });
    var event_type6905 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/event_type" }) }) });
    var room6906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/room" }) }) });
    var workflow_buttons_disp6907 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6908 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified6909 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6910 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date6911 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date6912 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6913 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6914 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6915 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type6916 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_type" }) }) });
    var owner_id6917 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_id" }) }) });
    var description6918 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6919 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6920 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6921 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6922 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent6923 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6924 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var state6925 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6926 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6927 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6928 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6929 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6917.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6916 !== 'undefined' && owner_type6916.on('change',Lino.chooser_handler(owner_id6917,'owner_type'));
      Lino.cal.EntriesByDay.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time6900, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6901, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6902, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6903, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6904, "filter": { "type": "string" }, "header": "Zugewiesen zu", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "event_type", "editable": true, "editor": event_type6905, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room6906, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6908, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "start_date", "editable": true, "editor": start_date6911, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_date", "editable": true, "editor": end_date6912, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "end_time", "editable": true, "editor": end_time6913, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 14, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "build_method", "editable": true, "editor": build_method6915, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type6916, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id6917, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description6918, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class6919, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence6920, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type6921, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority6922, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state6925, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before6926, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6927, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByDay.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.insertPanel(p);
});
Lino.cal.EntriesByDay.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.detailPanel(p);
});
Lino.cal.EntriesByDay.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByDay.GridPanel(p);
});
Lino.cal.EntriesByDay.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.OneEvent
Lino.cal.OneEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/OneEvent",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    var ww = this.containing_window;
    var when_text_disp6931 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user6932 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }) });
    var summary6933 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type6934 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }) });
    var id6935 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified6936 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6937 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project6938 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }) });
    var start_date6939 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time6940 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date6941 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6942 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6943 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6944 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to6945 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/assigned_to" }) }) });
    var owner_type6946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_type" }) }) });
    var owner_id6947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_id" }) }) });
    var description6948 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6949 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6950 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6951 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6952 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent6953 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6954 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room6955 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }) });
    var state6956 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6957 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6958 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6959 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6960 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6947.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6946 !== 'undefined' && owner_type6946.on('change',Lino.chooser_handler(owner_id6947,'owner_type'));
      Lino.cal.OneEvent.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user6932, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6933, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type6934, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6935, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project6938, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date6939, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time6940, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date6941, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time6942, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method6944, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6945, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type6946, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id6947, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description6948, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class6949, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence6950, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type6951, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority6952, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room6955, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state6956, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before6957, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6958, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.OneEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.insertPanel(p);
});
Lino.cal.OneEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.detailPanel(p);
});
Lino.cal.OneEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  p.params_panel = new Lino.cal.OneEvent.ParamsPanel({});
  return new Lino.cal.OneEvent.GridPanel(p);
});
Lino.cal.OneEvent.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntries
Lino.cal.MyEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntries",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    var ww = this.containing_window;
    var when_text_disp6962 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project6963 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }) });
    var event_type6964 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }) });
    var summary6965 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6966 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6967 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified6968 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6969 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date6970 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time6971 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date6972 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6973 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6974 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6975 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6976 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }) });
    var assigned_to6977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }) });
    var owner_type6978 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_type" }) }) });
    var owner_id6979 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_id" }) }) });
    var description6980 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6981 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6982 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6983 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6984 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent6985 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6986 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room6987 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }) });
    var state6988 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6989 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6990 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6991 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6992 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6979.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6978 !== 'undefined' && owner_type6978.on('change',Lino.chooser_handler(owner_id6979,'owner_type'));
      Lino.cal.MyEntries.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6963, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type6964, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary6965, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6967, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date6970, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time6971, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date6972, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time6973, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method6975, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user6976, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6977, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type6978, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id6979, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description6980, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class6981, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence6982, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type6983, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority6984, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room6987, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state6988, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before6989, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6990, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.insertPanel(p);
});
Lino.cal.MyEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.detailPanel(p);
});
Lino.cal.MyEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntries.GridPanel(p);
});
Lino.cal.MyEntries.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntriesToday
Lino.cal.MyEntriesToday.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntriesToday",
  ls_store_fields : [ { "name": "start_time" }, { "name": "end_time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Termine heute",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    var ww = this.containing_window;
    var start_time6994 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time6995 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project6996 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/project" }) }) });
    var event_type6997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/event_type" }) }) });
    var summary6998 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7000 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7001 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7002 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7003 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7004 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time7005 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7006 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7007 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/user" }) }) });
    var assigned_to7008 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/assigned_to" }) }) });
    var owner_type7009 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_type" }) }) });
    var owner_id7010 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_id" }) }) });
    var description7011 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7012 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7013 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7014 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7015 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7016 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7017 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7018 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/room" }) }) });
    var state7019 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7020 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7021 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7022 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7023 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7010.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7009 !== 'undefined' && owner_type7009.on('change',Lino.chooser_handler(owner_id7010,'owner_type'));
      Lino.cal.MyEntriesToday.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time6994, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "end_time", "editable": true, "editor": end_time6995, "header": "Endet um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project6996, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type6997, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "summary", "editable": true, "editor": summary6998, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7000, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7003, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7004, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7006, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7007, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7008, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7009, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7010, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7011, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7012, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7013, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7014, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7015, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7018, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7019, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before7020, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7021, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyEntriesToday.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.insertPanel(p);
});
Lino.cal.MyEntriesToday.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.detailPanel(p);
});
Lino.cal.MyEntriesToday.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntriesToday.GridPanel(p);
});
Lino.cal.MyEntriesToday.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyAssignedEvents
Lino.cal.MyAssignedEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyAssignedEvents",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mir zugewiesene Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    var ww = this.containing_window;
    var when_text_disp7025 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7026 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/project" }) }) });
    var event_type7027 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/event_type" }) }) });
    var summary7028 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7029 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7030 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7031 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7032 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7033 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7034 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7035 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7036 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7037 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7038 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/user" }) }) });
    var assigned_to7040 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/assigned_to" }) }) });
    var owner_type7041 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_type" }) }) });
    var owner_id7042 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_id" }) }) });
    var description7043 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7044 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7045 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7046 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7047 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7048 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7049 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/room" }) }) });
    var state7051 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7052 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7053 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7054 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7055 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7042.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7041 !== 'undefined' && owner_type7041.on('change',Lino.chooser_handler(owner_id7042,'owner_type'));
      Lino.cal.MyAssignedEvents.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7026, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7027, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7028, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7030, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7033, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7034, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7035, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7036, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7038, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7039, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7040, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7041, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7042, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7043, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7044, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7045, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7046, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7047, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7050, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7051, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7052, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7053, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyAssignedEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.insertPanel(p);
});
Lino.cal.MyAssignedEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.detailPanel(p);
});
Lino.cal.MyAssignedEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyAssignedEvents.GridPanel(p);
});
Lino.cal.MyAssignedEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.OverdueAppointments
Lino.cal.OverdueAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/OverdueAppointments",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/OverdueAppointments','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OverdueAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OverdueAppointments','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OverdueAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/OverdueAppointments','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "\u00dcberf\u00e4llige Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.OverdueAppointments.insert;
    var ww = this.containing_window;
    var when_text_disp13526 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user13527 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/user" }) }) });
    var project13528 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/project" }) }) });
    var owner_disp13529 = new Ext.form.DisplayField({ "disabled": true });
    var event_type13530 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/event_type" }) }) });
    var summary13531 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp13532 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id13533 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified13534 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created13535 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date13536 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time13537 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date13538 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time13539 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time13540 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method13541 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to13542 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/assigned_to" }) }) });
    var owner_type13543 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/owner_type" }) }) });
    var owner_id13544 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/owner_id" }) }) });
    var description13545 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class13546 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence13547 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type13548 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority13549 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent13550 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited13551 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room13552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OverdueAppointments/room" }) }) });
    var state13553 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before13554 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit13555 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified13556 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      owner_id13544.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type13543 !== 'undefined' && owner_type13543.on('change',Lino.chooser_handler(owner_id13544,'owner_type'));
      Lino.cal.OverdueAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user13527, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project13528, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "event_type", "editable": true, "editor": event_type13530, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "summary", "editable": true, "editor": summary13531, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13533, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "start_date", "editable": true, "editor": start_date13536, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "start_time", "editable": true, "editor": start_time13537, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "end_date", "editable": true, "editor": end_date13538, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "end_time", "editable": true, "editor": end_time13539, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 14, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "build_method", "editable": true, "editor": build_method13541, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 16, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to13542, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_type", "editable": true, "editor": owner_type13543, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "owner_id", "editable": true, "editor": owner_id13544, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description13545, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "access_class", "editable": true, "editor": access_class13546, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 21, "dataIndex": "sequence", "editable": true, "editor": sequence13547, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 22, "dataIndex": "auto_type", "editable": true, "editor": auto_type13548, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "priority", "editable": true, "editor": priority13549, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "room", "editable": true, "editor": room13552, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "state", "editable": true, "editor": state13553, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 28, "dataIndex": "notify_before", "editable": true, "editor": notify_before13554, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit13555, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 30, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OverdueAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cal.OverdueAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OverdueAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OverdueAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/OverdueAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.OverdueAppointments.insert;
    Lino.cal.OverdueAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OverdueAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/OverdueAppointments" };
  return new Lino.cal.OverdueAppointments.insertPanel(p);
});
Lino.cal.OverdueAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OverdueAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/OverdueAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.OverdueAppointments.insert;
    Lino.cal.OverdueAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OverdueAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OverdueAppointments" };
  return new Lino.cal.OverdueAppointments.detailPanel(p);
});
Lino.cal.OverdueAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OverdueAppointments" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.OverdueAppointments.GridPanel(p);
});
Lino.cal.OverdueAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OverdueAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OverdueAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyOverdueAppointments
Lino.cal.MyOverdueAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyOverdueAppointments",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "summary" }, { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Meine \u00fcberf\u00e4lligen Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    var ww = this.containing_window;
    var detail_link_disp7057 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_disp7058 = new Ext.form.DisplayField({ "disabled": true });
    var event_type7059 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/event_type" }) }) });
    var workflow_buttons_disp7060 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7061 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7062 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7063 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project7064 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/project" }) }) });
    var start_date7065 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7066 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7067 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7068 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7069 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7070 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/user" }) }) });
    var assigned_to7072 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/assigned_to" }) }) });
    var owner_type7073 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_type" }) }) });
    var owner_id7074 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_id" }) }) });
    var summary7075 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description7076 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7077 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7078 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7079 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7080 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7081 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7082 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7083 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/room" }) }) });
    var state7084 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7085 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7086 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7087 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      owner_id7074.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7073 !== 'undefined' && owner_type7073.on('change',Lino.chooser_handler(owner_id7074,'owner_type'));
      Lino.cal.MyOverdueAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.detail_link) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7059, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7061, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project7064, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7065, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7066, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7067, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7068, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7070, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7071, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7072, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7073, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7074, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "summary", "editable": true, "editor": summary7075, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7076, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "access_class", "editable": true, "editor": access_class7077, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 21, "dataIndex": "sequence", "editable": true, "editor": sequence7078, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 22, "dataIndex": "auto_type", "editable": true, "editor": auto_type7079, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "priority", "editable": true, "editor": priority7080, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "room", "editable": true, "editor": room7083, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "state", "editable": true, "editor": state7084, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 28, "dataIndex": "notify_before", "editable": true, "editor": notify_before7085, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7086, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 30, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cal.MyOverdueAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.insertPanel(p);
});
Lino.cal.MyOverdueAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.detailPanel(p);
});
Lino.cal.MyOverdueAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.MyOverdueAppointments.GridPanel(p);
});
Lino.cal.MyOverdueAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyUnconfirmedAppointments
Lino.cal.MyUnconfirmedAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyUnconfirmedAppointments",
  ls_store_fields : [ { "name": "when_html" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Meine unbest\u00e4tigten Termine",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    var ww = this.containing_window;
    var when_html_disp7089 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7090 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/project" }) }) });
    var summary7091 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7092 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7093 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7094 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7095 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7096 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7097 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7098 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7099 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7100 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7101 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/user" }) }) });
    var assigned_to7103 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/assigned_to" }) }) });
    var owner_type7104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_type" }) }) });
    var owner_id7105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_id" }) }) });
    var description7106 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7107 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7108 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7109 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7110 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type7111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/event_type" }) }) });
    var transparent7112 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7113 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7114 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/room" }) }) });
    var state7115 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7116 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7117 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7118 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7119 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7105.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7104 !== 'undefined' && owner_type7104.on('change',Lino.chooser_handler(owner_id7105,'owner_type'));
      Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.when_html) Shows the date and time of the calendar entry with a link that\nopens all entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the calendar entry with a link that\nopens all entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7090, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7091, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7093, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date7096, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time7097, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date7098, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time7099, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7101, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7102, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7103, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7104, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7105, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7106, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7107, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7108, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7109, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7110, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type7111, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7114, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7115, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7116, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7117, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.insertPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.detailPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyUnconfirmedAppointments.GridPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EventPolicies
Lino.cal.EventPolicies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EventPolicies",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "event_type" }, 'event_typeHidden', { "name": "max_events", "type": "int", "useNull": true }, { "name": "every", "type": "int", "useNull": true }, { "name": "every_unit" }, 'every_unitHidden', { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "positions" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 16,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EventPolicies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventPolicies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventPolicies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventPolicies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EventPolicies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Wiederholungsregeln",
  initComponent : function() {
    var ww = this.containing_window;
    var name13558 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13559 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13560 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type13561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventPolicies/event_type" }) }) });
    var max_events13562 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var every13563 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var every_unit13564 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var monday13565 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var tuesday13566 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var wednesday13567 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var thursday13568 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var friday13569 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var saturday13570 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var sunday13571 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id13572 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date13573 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time13574 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date13575 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time13576 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var positions13577 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13558, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13559, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13560, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type13561, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.event_type) Generated calendar entries will have this type.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "Generated calendar entries will have this type.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "max_events", "editable": true, "editor": max_events13562, "filter": { "type": "numeric" }, "format": "0", "header": "Anzahl Termine", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "every", "editable": true, "editor": every13563, "filter": { "type": "numeric" }, "format": "0", "header": "... alle", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "every_unit", "editable": true, "editor": every_unit13564, "filter": { "options": [ "einmalig", "t\u00e4glich", "w\u00f6chentlich", "monatlich", "j\u00e4hrlich", "pro Wochentag", "Beweglich mit Ostern" ], "type": "list" }, "header": "Wiederholung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(24) }, { "colIndex": 7, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Montag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Dienstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Mittwoch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Donnerstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Freitag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Samstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sonntag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "id", "editable": true, "editor": id13572, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "start_date", "editable": true, "editor": start_date13573, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.start_date) Das Beginndatum der ersten Veranstaltung.") }, "sortable": true, "tooltip": "Das Beginndatum der ersten Veranstaltung.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "start_time", "editable": true, "editor": start_time13574, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 17, "dataIndex": "end_date", "editable": true, "editor": end_date13575, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "sortable": true, "tooltip": "Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "end_time", "editable": true, "editor": end_time13576, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 19, "dataIndex": "positions", "editable": true, "editor": positions13577, "filter": { "type": "string" }, "header": "Positionen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventPolicies.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) } ];
    Lino.cal.EventPolicies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventPolicies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventPolicies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventPolicies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventPolicies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventPolicies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventPolicies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventPolicies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventPolicies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventPolicies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventPolicies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventPolicies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventPolicies" };
  return new Lino.cal.EventPolicies.GridPanel(p);
});

// js_render_GridPanel_class extensible.PanelCalendars
Lino.extensible.PanelCalendars.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelCalendars",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "summary" }, { "name": "description" }, { "name": "color", "type": "int", "useNull": true }, { "name": "is_hidden", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 33,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of extensible.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalenderliste",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    var ww = this.containing_window;
    var id7121 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var summary_disp7122 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description7123 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var color7124 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var is_hidden_disp7125 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
      description7123.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7121, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "summary", "editable": false, "header": "summary", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.summary) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "description", "editable": true, "editor": description7123, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "color", "editable": true, "editor": color7124, "filter": { "type": "numeric" }, "format": "0", "header": "Farbe", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "sortable": true, "tooltip": "The color to use for entries of this calendar (in\nlino_xl.lib.extensible).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "is_hidden", "editable": false, "header": "Versteckt", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.is_hidden) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.is_hidden) ", "width": Lino.chars2width(21) } ];
    Lino.extensible.PanelCalendars.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.insertPanel = Ext.extend(Lino.cal.Calendars.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.insertPanel(p);
});
Lino.extensible.PanelCalendars.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.detailPanel = Ext.extend(Lino.cal.Calendars.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.detailPanel(p);
});
Lino.extensible.PanelCalendars.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.GridPanel(p);
});
Lino.extensible.PanelCalendars.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelEvents
Lino.extensible.PanelEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelEvents",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "start_dt" }, { "name": "end_dt" }, { "name": "summary" }, { "name": "description" }, { "name": "user" }, 'userHidden', { "name": "room" }, 'roomHidden', { "name": "calendar" }, 'calendarHidden', { "name": "url" }, { "name": "all_day", "type": "boolean" }, { "name": "reminder" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    var ww = this.containing_window;
    var id7127 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_dt7128 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var end_dt7129 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var summary7130 = new Ext.form.TextField({ "allowBlank": false, "selectOnFocus": true });
    var description7131 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var user7132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/user" }) }) });
    var room7133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/room" }) }) });
    var calendar7134 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var url_disp7135 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var all_day7136 = new Ext.form.Checkbox({ "allowBlank": false, "selectOnFocus": true });
    var reminder_disp7137 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7127, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_dt", "editable": true, "editor": start_dt7128, "header": "Beginn", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.start_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.start_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "end_dt", "editable": true, "editor": end_dt7129, "header": "Ende", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.end_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.end_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7130, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.summary) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.summary) ", "width": Lino.chars2width(5) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description7131, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7132, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room7133, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "calendar", "editable": false, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.calendar) ") }, "renderer": Lino.fk_renderer('calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "(extensible.PanelEvents.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "url", "editable": false, "header": "Link URL", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.url) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.url) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "all_day", "editable": true, "header": "ganztags", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.all_day) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.reminder) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.reminder) ", "width": Lino.chars2width(31) } ];
    Lino.extensible.PanelEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.insertPanel(p);
});
Lino.extensible.PanelEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.detailPanel(p);
});
Lino.extensible.PanelEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.extensible.PanelEvents.GridPanel(p);
});
Lino.extensible.PanelEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.ExpectedGuests
Lino.reception.ExpectedGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/ExpectedGuests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erwartete Besucher",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.ExpectedGuests.detail;
    this.ls_insert_handler = Lino.reception.ExpectedGuests.insert;
    var ww = this.containing_window;
    var partner13579 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/ExpectedGuests/partner" }) }) });
    var event__user13580 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/ExpectedGuests/event__user" }) }), "value": null });
    var event__summary13581 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp13582 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var waiting_since13583 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since13584 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner13579, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "event__user", "editable": true, "editor": event__user13580, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "event__summary", "editable": true, "editor": event__summary13581, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 5, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) } ];
    Lino.reception.ExpectedGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.ExpectedGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.ExpectedGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/reception/ExpectedGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.ExpectedGuests.detail;
    this.ls_insert_handler = Lino.reception.ExpectedGuests.insert;
    Lino.reception.ExpectedGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.ExpectedGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/ExpectedGuests" };
  return new Lino.reception.ExpectedGuests.insertPanel(p);
});
Lino.reception.ExpectedGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.ExpectedGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/reception/ExpectedGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.ExpectedGuests.detail;
    this.ls_insert_handler = Lino.reception.ExpectedGuests.insert;
    Lino.reception.ExpectedGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.ExpectedGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/ExpectedGuests" };
  return new Lino.reception.ExpectedGuests.detailPanel(p);
});
Lino.reception.ExpectedGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/ExpectedGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.ExpectedGuests.GridPanel(p);
});
Lino.reception.ExpectedGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.BusyVisitors
Lino.reception.BusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/BusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Besch\u00e4ftigte Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7139 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7140 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7141 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/BusyVisitors/event__user" }) }), "value": null });
    var event__summary7142 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7143 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.BusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7141, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7142, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.BusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.BusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/BusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    Lino.reception.BusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  return new Lino.reception.BusyVisitors.detailPanel(p);
});
Lino.reception.BusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.BusyVisitors.GridPanel(p);
});
Lino.reception.BusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.WaitingVisitors
Lino.reception.WaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/WaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Wartende Besucher",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7145 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7146 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/WaitingVisitors/event__user" }) }), "value": null });
    var position_disp7148 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7149 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7150 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.WaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7147, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "event__summary", "editable": true, "editor": event__summary7149, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.WaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.WaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/WaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    Lino.reception.WaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  return new Lino.reception.WaitingVisitors.detailPanel(p);
});
Lino.reception.WaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.WaitingVisitors.GridPanel(p);
});
Lino.reception.WaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.GoneVisitors
Lino.reception.GoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/GoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gegangene Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7152 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7153 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7154 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/GoneVisitors/event__user" }) }), "value": null });
    var event__summary7155 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7156 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.GoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7154, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7155, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.GoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.GoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/GoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    Lino.reception.GoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  return new Lino.reception.GoneVisitors.detailPanel(p);
});
Lino.reception.GoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.GoneVisitors.GridPanel(p);
});
Lino.reception.GoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyWaitingVisitors
Lino.reception.MyWaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyWaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Warteschlange",
  disabled_fields_index : 7,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7158 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7159 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var position_disp7160 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7161 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7162 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyWaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7161, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyWaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyWaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyWaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    Lino.reception.MyWaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  return new Lino.reception.MyWaitingVisitors.detailPanel(p);
});
Lino.reception.MyWaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyWaitingVisitors.GridPanel(p);
});
Lino.reception.MyWaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyBusyVisitors
Lino.reception.MyBusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyBusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine besch\u00e4ftigten Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7164 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7165 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/MyBusyVisitors/event__user" }) }), "value": null });
    var event__summary7167 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7168 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyBusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7166, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7167, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyBusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyBusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyBusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    Lino.reception.MyBusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  return new Lino.reception.MyBusyVisitors.detailPanel(p);
});
Lino.reception.MyBusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyBusyVisitors.GridPanel(p);
});
Lino.reception.MyBusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyGoneVisitors
Lino.reception.MyGoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyGoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine gegangenen Besucher",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7170 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7171 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/MyGoneVisitors/event__user" }) }), "value": null });
    var event__summary7173 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7174 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyGoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7172, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7173, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyGoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyGoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyGoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    Lino.reception.MyGoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  return new Lino.reception.MyGoneVisitors.detailPanel(p);
});
Lino.reception.MyGoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyGoneVisitors.GridPanel(p);
});
Lino.reception.MyGoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledges
Lino.cv.LanguageKnowledges.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledges",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "language" }, 'languageHidden', { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "native", "type": "boolean" }, { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    var ww = this.containing_window;
    var id7176 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person7177 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/person" }) }) });
    var language7178 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/language" }) }) });
    var spoken7179 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written7180 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken_passively7181 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively7182 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var native7183 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var cef_level7184 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate7185 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7176, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7177, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language7178, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.language) The language to which this entry applies.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "spoken", "editable": true, "editor": spoken7179, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "written", "editable": true, "editor": written7180, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively7181, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "written_passively", "editable": true, "editor": written_passively7182, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "cef_level", "editable": true, "editor": cef_level7184, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 9, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cv.LanguageKnowledges.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledges.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/LanguageKnowledges" };
  return new Lino.cv.LanguageKnowledges.GridPanel(p);
});

// js_render_GridPanel_class cv.AllLanguageKnowledges
Lino.cv.AllLanguageKnowledges.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/AllLanguageKnowledges",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "language" }, 'languageHidden', { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "native", "type": "boolean" }, { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/AllLanguageKnowledges','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/AllLanguageKnowledges','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/AllLanguageKnowledges','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/AllLanguageKnowledges','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/AllLanguageKnowledges','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    var ww = this.containing_window;
    var id13586 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person13587 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllLanguageKnowledges/person" }) }) });
    var language13588 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllLanguageKnowledges/language" }) }) });
    var spoken13589 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written13590 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken_passively13591 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively13592 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var native13593 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var cef_level13594 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate13595 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13586, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person13587, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language13588, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.language) The language to which this entry applies.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "spoken", "editable": true, "editor": spoken13589, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "written", "editable": true, "editor": written13590, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively13591, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "written_passively", "editable": true, "editor": written_passively13592, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "cef_level", "editable": true, "editor": cef_level13594, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 9, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllLanguageKnowledges.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cv.AllLanguageKnowledges.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.AllLanguageKnowledges.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllLanguageKnowledges", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllLanguageKnowledges.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllLanguageKnowledges", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllLanguageKnowledges.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllLanguageKnowledges", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllLanguageKnowledges.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllLanguageKnowledges", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllLanguageKnowledges.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllLanguageKnowledges", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllLanguageKnowledges.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/AllLanguageKnowledges" };
  return new Lino.cv.AllLanguageKnowledges.GridPanel(p);
});

// js_render_GridPanel_class cv.EducationLevels
Lino.cv.EducationLevels.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/EducationLevels",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "is_study", "type": "boolean" }, { "name": "is_training", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 81,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/EducationLevels','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationLevels','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationLevels','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationLevels','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/EducationLevels','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Akademische Grade",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.EducationLevels.detail;
    var ww = this.containing_window;
    var name13597 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13598 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13599 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var is_study13600 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var is_training13601 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id13602 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno13603 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13597, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13598, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13599, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "is_study", "editable": true, "filter": { "type": "boolean" }, "header": "Studium", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.is_study) Whether education entries are considered a study entry.") }, "sortable": false, "tooltip": "Whether education entries are considered a study entry.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.is_training) Whether education entries are considered a training entry.") }, "sortable": false, "tooltip": "Whether education entries are considered a training entry.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13602, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "seqno", "editable": true, "editor": seqno13603, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationLevels.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cv.EducationLevels.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.EducationLevels.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.EducationLevels.detailPanel = Ext.extend(Lino.cv.EducationLevels.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/EducationLevels",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.EducationLevels.detail;
    Lino.cv.EducationLevels.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.EducationLevels.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/EducationLevels" };
  return new Lino.cv.EducationLevels.detailPanel(p);
});
Lino.cv.EducationLevels.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/EducationLevels" };
  return new Lino.cv.EducationLevels.GridPanel(p);
});
Lino.cv.EducationLevels.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationLevels.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationLevels", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudyTypes
Lino.cv.StudyTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudyTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "is_study", "type": "boolean" }, { "name": "is_training", "type": "boolean" }, { "name": "education_level" }, 'education_levelHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 82,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bildungsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bildungsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudyTypes.detail;
    this.ls_insert_handler = Lino.cv.StudyTypes.insert;
    var ww = this.containing_window;
    var id13605 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13606 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13607 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13608 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var is_study13609 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var is_training13610 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var education_level13611 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13605, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13606, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13607, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13608, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "is_study", "editable": true, "filter": { "type": "boolean" }, "header": "Studium", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "sortable": false, "tooltip": "Whether education entries are considered a study entry.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "sortable": false, "tooltip": "Whether education entries are considered a training entry.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "education_level", "editable": true, "editor": education_level13611, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudyTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudyTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudyTypes.insertPanel = Ext.extend(Lino.cv.StudyTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/StudyTypes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudyTypes.detail;
    this.ls_insert_handler = Lino.cv.StudyTypes.insert;
    Lino.cv.StudyTypes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudyTypes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/StudyTypes" };
  return new Lino.cv.StudyTypes.insertPanel(p);
});
Lino.cv.StudyTypes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudyTypes.detailPanel = Ext.extend(Lino.cv.StudyTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bildungsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudyTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudyTypes.detail;
    this.ls_insert_handler = Lino.cv.StudyTypes.insert;
    Lino.cv.StudyTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudyTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudyTypes" };
  return new Lino.cv.StudyTypes.detailPanel(p);
});
Lino.cv.StudyTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudyTypes" };
  return new Lino.cv.StudyTypes.GridPanel(p);
});
Lino.cv.StudyTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Trainings
Lino.cv.Trainings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Trainings",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 83,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    var ww = this.containing_window;
    var person7187 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date7188 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7189 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text7190 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type7191 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state7192 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector7193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function7194 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var id7195 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country7196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city7197 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var zip_code7198 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language7199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/language" }) }) });
    var school7200 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7201 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content7202 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates7203 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7194.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city7197.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7193 !== 'undefined' && sector7193.on('change',Lino.chooser_handler(function7194,'sector'));
      typeof country7196 !== 'undefined' && country7196.on('change',Lino.chooser_handler(city7197,'country'));
      Lino.cv.Trainings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person7187, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7188, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date7189, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text7190, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type7191, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state7192, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector7193, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function7194, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7195, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country7196, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city7197, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code7198, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language7199, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school7200, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks7201, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content7202, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates7203, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Trainings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Trainings.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/Trainings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    Lino.cv.Trainings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/Trainings" };
  return new Lino.cv.Trainings.insertPanel(p);
});
Lino.cv.Trainings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Trainings.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Trainings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    Lino.cv.Trainings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Trainings" };
  return new Lino.cv.Trainings.detailPanel(p);
});
Lino.cv.Trainings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Trainings" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.Trainings.GridPanel(p);
});
Lino.cv.Trainings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.AllTrainings
Lino.cv.AllTrainings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/AllTrainings",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 83,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/AllTrainings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/AllTrainings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/AllTrainings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/AllTrainings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/AllTrainings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.AllTrainings.detail;
    this.ls_insert_handler = Lino.cv.AllTrainings.insert;
    var ww = this.containing_window;
    var person13613 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/person" }) }) });
    var start_date13614 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13615 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text13616 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type13617 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/type" }) }) });
    var state13618 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector13619 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/sector" }) }) });
    var function13620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/function" }) }) });
    var id13621 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country13622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/country" }) }) });
    var city13623 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/city" }) }) });
    var zip_code13624 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language13625 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/AllTrainings/language" }) }) });
    var school13626 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks13627 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content13628 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates13629 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function13620.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city13623.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector13619 !== 'undefined' && sector13619.on('change',Lino.chooser_handler(function13620,'sector'));
      typeof country13622 !== 'undefined' && country13622.on('change',Lino.chooser_handler(city13623,'country'));
      Lino.cv.AllTrainings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person13613, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date13614, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date13615, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text13616, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type13617, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state13618, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector13619, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function13620, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id13621, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country13622, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city13623, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code13624, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language13625, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school13626, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks13627, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content13628, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates13629, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.AllTrainings.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.AllTrainings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.AllTrainings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllTrainings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllTrainings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllTrainings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.AllTrainings.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/AllTrainings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.AllTrainings.detail;
    this.ls_insert_handler = Lino.cv.AllTrainings.insert;
    Lino.cv.AllTrainings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.AllTrainings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/AllTrainings" };
  return new Lino.cv.AllTrainings.insertPanel(p);
});
Lino.cv.AllTrainings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.AllTrainings.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/AllTrainings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.AllTrainings.detail;
    this.ls_insert_handler = Lino.cv.AllTrainings.insert;
    Lino.cv.AllTrainings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.AllTrainings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/AllTrainings" };
  return new Lino.cv.AllTrainings.detailPanel(p);
});
Lino.cv.AllTrainings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.AllTrainings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/AllTrainings" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.AllTrainings.GridPanel(p);
});
Lino.cv.AllTrainings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/AllTrainings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Studies
Lino.cv.Studies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Studies",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Studies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Studies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Studies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Studies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Studies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Studies.detail;
    var ww = this.containing_window;
    var person13631 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/person" }) }) });
    var start_date13632 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13633 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type13634 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/type" }) }) });
    var content13635 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level13636 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/education_level" }) }) });
    var state13637 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id13638 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country13639 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/country" }) }) });
    var city13640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/city" }) }) });
    var zip_code13641 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text13642 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language13643 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/language" }) }) });
    var school13644 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks13645 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city13640.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country13639 !== 'undefined' && country13639.on('change',Lino.chooser_handler(city13640,'country'));
      Lino.cv.Studies.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person13631, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date13632, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date13633, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type13634, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content13635, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level13636, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state13637, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13638, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "country", "editable": true, "editor": country13639, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city13640, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code13641, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "duration_text", "editable": true, "editor": duration_text13642, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language13643, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school13644, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks13645, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Studies.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) } ];
    Lino.cv.Studies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Studies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Studies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Studies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Studies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Studies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Studies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Studies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Studies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Studies.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Studies",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Studies.detail;
    Lino.cv.Studies.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Studies.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Studies" };
  return new Lino.cv.Studies.detailPanel(p);
});
Lino.cv.Studies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Studies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Studies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Studies" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.Studies.GridPanel(p);
});
Lino.cv.Studies.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Studies", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Statuses
Lino.cv.Statuses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Statuses",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Statuses','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Statuses','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Statuses','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Statuses','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Statuses','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Statuus",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Statuses.detail;
    var ww = this.containing_window;
    var id13647 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13648 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13649 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13650 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13647, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.Statuses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13648, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Statuses.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13649, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Statuses.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13650, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Statuses.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Statuses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Statuses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Statuses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Statuses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Statuses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Statuses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Statuses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Statuses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Statuses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Statuses.detailPanel = Ext.extend(Lino.cv.Statuses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Statuses",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Statuses.detail;
    Lino.cv.Statuses.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Statuses.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Statuses" };
  return new Lino.cv.Statuses.detailPanel(p);
});
Lino.cv.Statuses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Statuses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Statuses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Statuses" };
  return new Lino.cv.Statuses.GridPanel(p);
});
Lino.cv.Statuses.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Statuses", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Regimes
Lino.cv.Regimes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Regimes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 86,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Regimes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Regimes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Regimes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Regimes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Regimes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Arbeitsregimes",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Regimes.detail;
    var ww = this.containing_window;
    var id13652 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13653 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13654 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13655 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13652, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.Regimes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13653, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Regimes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13654, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Regimes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13655, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Regimes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Regimes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Regimes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Regimes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Regimes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Regimes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Regimes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Regimes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Regimes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Regimes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Regimes.detailPanel = Ext.extend(Lino.cv.Regimes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Regimes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Regimes.detail;
    Lino.cv.Regimes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Regimes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Regimes" };
  return new Lino.cv.Regimes.detailPanel(p);
});
Lino.cv.Regimes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Regimes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Regimes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Regimes" };
  return new Lino.cv.Regimes.GridPanel(p);
});
Lino.cv.Regimes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Regimes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Durations
Lino.cv.Durations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Durations",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 87,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Durations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Durations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Durations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Durations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Durations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vertragsdauern",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Durations.detail;
    var ww = this.containing_window;
    var id13657 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13658 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13659 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13660 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13657, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.Durations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13658, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Durations.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13659, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Durations.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13660, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Durations.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Durations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Durations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Durations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Durations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Durations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Durations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Durations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Durations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Durations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Durations.detailPanel = Ext.extend(Lino.cv.Durations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Durations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Durations.detail;
    Lino.cv.Durations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Durations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Durations" };
  return new Lino.cv.Durations.detailPanel(p);
});
Lino.cv.Durations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Durations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Durations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Durations" };
  return new Lino.cv.Durations.GridPanel(p);
});
Lino.cv.Durations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Durations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Sectors
Lino.cv.Sectors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Sectors",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 88,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Sectors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Sectors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Sectors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Sectors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Sectors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sektoren",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Sectors.detail;
    var ww = this.containing_window;
    var id13662 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13663 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13664 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13665 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark13666 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13662, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.Sectors.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13663, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Sectors.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13664, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Sectors.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13665, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Sectors.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark13666, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Sectors.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cv.Sectors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Sectors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Sectors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Sectors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Sectors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Sectors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Sectors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Sectors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Sectors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Sectors.detailPanel = Ext.extend(Lino.cv.Sectors.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Sectors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Sectors.detail;
    Lino.cv.Sectors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Sectors.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Sectors" };
  return new Lino.cv.Sectors.detailPanel(p);
});
Lino.cv.Sectors.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Sectors", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Sectors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Sectors" };
  return new Lino.cv.Sectors.GridPanel(p);
});
Lino.cv.Sectors.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Sectors", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Functions
Lino.cv.Functions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Functions",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "sector" }, 'sectorHidden', { "name": "id", "type": "int" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Functions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Functions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Functions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Functions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Functions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufsbezeichnungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Functions.detail;
    var ww = this.containing_window;
    var name13668 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13669 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13670 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector13671 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Functions/sector" }) }) });
    var id13672 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remark13673 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13668, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Functions.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13669, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Functions.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13670, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.Functions.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "sector", "editable": true, "editor": sector13671, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.Functions.sector) ") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13672, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Functions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark13673, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Functions.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cv.Functions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Functions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Functions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Functions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Functions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Functions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Functions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Functions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Functions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Functions.detailPanel = Ext.extend(Lino.cv.Functions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Functions",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Functions.detail;
    Lino.cv.Functions.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Functions.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Functions" };
  return new Lino.cv.Functions.detailPanel(p);
});
Lino.cv.Functions.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Functions", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Functions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Functions" };
  return new Lino.cv.Functions.GridPanel(p);
});
Lino.cv.Functions.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Functions", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Experiences
Lino.cv.Experiences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Experiences",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/Experiences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Experiences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Experiences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/Experiences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/Experiences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Experiences.detail;
    var ww = this.containing_window;
    var person13675 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/person" }) }) });
    var start_date13676 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13677 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text13678 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector13679 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/sector" }) }) });
    var function13680 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/function" }) }) });
    var title13681 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company13682 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id13683 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country13684 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/country" }) }) });
    var city13685 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/city" }) }) });
    var zip_code13686 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status13687 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/status" }) }) });
    var duration13688 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/duration" }) }) });
    var regime13689 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/regime" }) }) });
    var is_training13690 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks13691 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason13692 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function13680.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city13685.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector13679 !== 'undefined' && sector13679.on('change',Lino.chooser_handler(function13680,'sector'));
      typeof country13684 !== 'undefined' && country13684.on('change',Lino.chooser_handler(city13685,'country'));
      Lino.cv.Experiences.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person13675, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date13676, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date13677, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text13678, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector13679, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function13680, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title13681, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company13682, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id13683, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country13684, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city13685, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code13686, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status13687, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration13688, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.duration) ") }, "renderer": Lino.fk_renderer('durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime13689, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks13691, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason13692, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Experiences.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Experiences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Experiences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Experiences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Experiences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Experiences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Experiences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Experiences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Experiences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Experiences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Experiences.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/Experiences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Experiences.detail;
    Lino.cv.Experiences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Experiences.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Experiences" };
  return new Lino.cv.Experiences.detailPanel(p);
});
Lino.cv.Experiences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Experiences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Experiences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Experiences" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.Experiences.GridPanel(p);
});
Lino.cv.Experiences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Experiences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.PersonProperties
Lino.cv.PersonProperties.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/PersonProperties",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "person" }, 'personHidden', { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/PersonProperties','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PersonProperties','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PersonProperties','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PersonProperties','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/PersonProperties','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    var ww = this.containing_window;
    var id13694 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group13695 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonProperties/group" }) }) });
    var property13696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonProperties/property" }) }) });
    var value13697 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonProperties/value" }) }) });
    var person13698 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonProperties/person" }) }) });
    var remark13699 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      property13696.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value13697.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group13695 !== 'undefined' && group13695.on('change',Lino.chooser_handler(property13696,'group'));
      typeof property13696 !== 'undefined' && property13696.on('change',Lino.chooser_handler(value13697,'property'));
      Lino.cv.PersonProperties.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13694, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonProperties.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "group", "editable": true, "editor": group13695, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonProperties.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "property", "editable": true, "editor": property13696, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonProperties.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "value", "editable": true, "editor": value13697, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonProperties.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "person", "editable": true, "editor": person13698, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonProperties.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark13699, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonProperties.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.PersonProperties.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.PersonProperties.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonProperties", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonProperties.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonProperties", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonProperties.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonProperties", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonProperties.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonProperties", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonProperties.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonProperties", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonProperties.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/PersonProperties" };
  return new Lino.cv.PersonProperties.GridPanel(p);
});

// js_render_GridPanel_class pcsw.Clients
Lino.pcsw.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7205 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7206 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7207 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7208 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7209 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7210 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7211 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7212 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7213 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/aid_type" }) }) });
    var language7215 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7206, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7207, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7208, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7211, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7212, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7213, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7214, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7215, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.insertPanel(p);
});
Lino.pcsw.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.detailPanel(p);
});
Lino.pcsw.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.Clients.GridPanel(p);
});
Lino.pcsw.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.CoachedClients
Lino.pcsw.CoachedClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/CoachedClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    var ww = this.containing_window;
    var name_column_disp7217 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7218 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7219 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7220 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7221 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7222 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7223 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7224 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7225 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/CoachedClients/aid_type" }) }) });
    var language7227 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7218, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7219, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7220, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7223, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7224, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7225, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7226, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7227, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.CoachedClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.insertPanel(p);
});
Lino.pcsw.CoachedClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.detailPanel(p);
});
Lino.pcsw.CoachedClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.CoachedClients.GridPanel(p);
});
Lino.pcsw.CoachedClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.AllClients
Lino.pcsw.AllClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/AllClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "has_esf", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.AllClients.detail;
    this.ls_insert_handler = Lino.pcsw.AllClients.insert;
    var ww = this.containing_window;
    var name_column_disp13701 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state13702 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id13703 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm13704 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp13705 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp13706 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email13707 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone13708 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13709 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language13710 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url13711 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax13712 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified13713 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created13714 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country13715 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/country" }) }) });
    var city13716 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/city" }) }) });
    var zip_code13717 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region13718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/region" }) }) });
    var addr113719 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix13720 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street13721 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no13722 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box13723 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr213724 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix13725 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name13726 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks13727 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete13728 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity13729 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/activity" }) }) });
    var client_contact_type13730 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/client_contact_type" }) }) });
    var payment_term13731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/payment_term" }) }) });
    var title13732 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name13733 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name13734 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name13735 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender13736 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date13737 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var nationality13738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/nationality" }) }) });
    var birth_country13739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/birth_country" }) }) });
    var birth_place13740 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number13741 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from13742 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until13743 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type13744 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer13745 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text13746 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition13747 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group13748 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/group" }) }) });
    var civil_state13749 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type13750 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since13751 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until13752 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since13753 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since13754 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit13755 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit13756 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until13757 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type13758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/aid_type" }) }) });
    var declared_name13759 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking13760 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until13761 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why13762 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles13763 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills13764 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact13765 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/job_office_contact" }) }) });
    var refusal_reason13766 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks213767 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id13768 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id13769 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas13770 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior13771 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance13772 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/health_insurance" }) }) });
    var pharmacy13773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/pharmacy" }) }) });
    var income_ag13774 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg13775 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg13776 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente13777 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc13778 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents13779 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var broker13780 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/broker" }) }) });
    var faculty13781 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/AllClients/faculty" }) }) });
    var has_esf13782 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city13716.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city13716.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region13718.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country13715 !== 'undefined' && country13715.on('change',Lino.chooser_handler(city13716,'country'));
      typeof region13718 !== 'undefined' && region13718.on('change',Lino.chooser_handler(city13716,'region'));
      typeof country13715 !== 'undefined' && country13715.on('change',Lino.chooser_handler(region13718,'country'));
      Lino.pcsw.AllClients.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.AllClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state13702, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id13703, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm13704, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.AllClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email13707, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone13708, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id13709, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language13710, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "url", "editable": true, "editor": url13711, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "fax", "editable": true, "editor": fax13712, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 14, "dataIndex": "country", "editable": true, "editor": country13715, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "city", "editable": true, "editor": city13716, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "zip_code", "editable": true, "editor": zip_code13717, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "region", "editable": true, "editor": region13718, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "addr1", "editable": true, "editor": addr113719, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix13720, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "street", "editable": true, "editor": street13721, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "street_no", "editable": true, "editor": street_no13722, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "street_box", "editable": true, "editor": street_box13723, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "addr2", "editable": true, "editor": addr213724, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "prefix", "editable": true, "editor": prefix13725, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "name", "editable": true, "editor": name13726, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "activity", "editable": true, "editor": activity13729, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type13730, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 30, "dataIndex": "payment_term", "editable": true, "editor": payment_term13731, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "title", "editable": true, "editor": title13732, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "first_name", "editable": true, "editor": first_name13733, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "middle_name", "editable": true, "editor": middle_name13734, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 34, "dataIndex": "last_name", "editable": true, "editor": last_name13735, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 35, "dataIndex": "gender", "editable": true, "editor": gender13736, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 36, "dataIndex": "birth_date", "editable": true, "editor": birth_date13737, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 37, "dataIndex": "nationality", "editable": true, "editor": nationality13738, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "renderer": Lino.fk_renderer('nationalityHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 38, "dataIndex": "birth_country", "editable": true, "editor": birth_country13739, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.birth_country) ") }, "renderer": Lino.fk_renderer('birth_countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 39, "dataIndex": "birth_place", "editable": true, "editor": birth_place13740, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 40, "dataIndex": "card_number", "editable": true, "editor": card_number13741, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from13742, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 42, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until13743, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 43, "dataIndex": "card_type", "editable": true, "editor": card_type13744, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 44, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer13745, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 45, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text13746, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 46, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition13747, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 47, "dataIndex": "group", "editable": true, "editor": group13748, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 48, "dataIndex": "civil_state", "editable": true, "editor": civil_state13749, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 49, "dataIndex": "residence_type", "editable": true, "editor": residence_type13750, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 50, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since13751, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 51, "dataIndex": "residence_until", "editable": true, "editor": residence_until13752, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 52, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since13753, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since13754, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 54, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until13757, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "aid_type", "editable": true, "editor": aid_type13758, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 58, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 59, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 60, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until13761, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 61, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why13762, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 62, "dataIndex": "obstacles", "editable": true, "editor": obstacles13763, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "skills", "editable": true, "editor": skills13764, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 64, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact13765, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 65, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason13766, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 66, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 67, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id13768, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 68, "dataIndex": "tim_id", "editable": true, "editor": tim_id13769, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 69, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance13772, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 72, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy13773, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 73, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 75, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 76, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 77, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "job_agents", "editable": true, "editor": job_agents13779, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 79, "dataIndex": "broker", "editable": true, "editor": broker13780, "filter": { "type": "string" }, "header": "Vermittler", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 80, "dataIndex": "faculty", "editable": true, "editor": faculty13781, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.faculty) The Faculty this client has been attributed to.") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 81, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AllClients.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.AllClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.AllClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.AllClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/AllClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.AllClients.detail;
    this.ls_insert_handler = Lino.pcsw.AllClients.insert;
    Lino.pcsw.AllClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.AllClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/AllClients" };
  return new Lino.pcsw.AllClients.insertPanel(p);
});
Lino.pcsw.AllClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.AllClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/AllClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/AllClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.AllClients.detail;
    this.ls_insert_handler = Lino.pcsw.AllClients.insert;
    Lino.pcsw.AllClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.AllClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/AllClients" };
  return new Lino.pcsw.AllClients.detailPanel(p);
});
Lino.pcsw.AllClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/AllClients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.AllClients.GridPanel(p);
});
Lino.pcsw.AllClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AllClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AllClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.PersonGroups
Lino.pcsw.PersonGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/PersonGroups",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "ref_name" }, { "name": "active", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 49,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/PersonGroups','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/PersonGroups','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/PersonGroups','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/PersonGroups','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/PersonGroups','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Integrationsphasen",
  initComponent : function() {
    var ww = this.containing_window;
    var id13784 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13785 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var ref_name13786 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var active13787 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13784, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.PersonGroups.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13785, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.PersonGroups.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "ref_name", "editable": true, "editor": ref_name13786, "filter": { "type": "string" }, "header": "Referenzname", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.PersonGroups.ref_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "active", "editable": true, "filter": { "type": "boolean" }, "header": "aktive Phase", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.PersonGroups.active) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.PersonGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.PersonGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/PersonGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.PersonGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/PersonGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.PersonGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/PersonGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.PersonGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/PersonGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.PersonGroups.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/PersonGroups", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.PersonGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/PersonGroups" };
  return new Lino.pcsw.PersonGroups.GridPanel(p);
});

// js_render_GridPanel_class pcsw.Activities
Lino.pcsw.Activities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Activities",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "lst104", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 50,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/Activities','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Activities','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Activities','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Activities','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/Activities','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufe",
  initComponent : function() {
    var ww = this.containing_window;
    var id13789 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13790 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 80, "selectOnFocus": true });
    var lst10413791 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13789, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Activities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13790, "filter": { "type": "string" }, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Activities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "lst104", "editable": true, "filter": { "type": "boolean" }, "header": "Listing 104", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Activities.lst104) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.Activities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Activities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Activities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Activities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Activities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Activities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Activities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Activities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Activities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Activities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Activities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Activities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Activities" };
  return new Lino.pcsw.Activities.GridPanel(p);
});

// js_render_GridPanel_class pcsw.DispenseReasons
Lino.pcsw.DispenseReasons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/DispenseReasons",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 51,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispenseReasons','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispenseReasons','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispenseReasons','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispenseReasons','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispenseReasons','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dispenzgr\u00fcnde",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno13793 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13794 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13795 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13796 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13797 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno13793, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispenseReasons.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13794, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispenseReasons.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13795, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispenseReasons.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13796, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispenseReasons.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13797, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispenseReasons.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.pcsw.DispenseReasons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.DispenseReasons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/DispenseReasons" };
  return new Lino.pcsw.DispenseReasons.GridPanel(p);
});
Lino.pcsw.DispenseReasons.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispenseReasons.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispenseReasons", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.Dispenses
Lino.pcsw.Dispenses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Dispenses",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "reason" }, 'reasonHidden', { "name": "remarks" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 52,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/Dispenses','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Dispenses','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Dispenses','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Dispenses','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/Dispenses','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dispenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var id13799 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client13800 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Dispenses/client" }) }) });
    var reason13801 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Dispenzgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.DispenseReasons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Dispenses/reason" }) }) });
    var remarks13802 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var start_date13803 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13804 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13799, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Dispenses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client13800, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Dispenses.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "reason", "editable": true, "editor": reason13801, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Dispenses.reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks13802, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Dispenses.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date13803, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Dispenziert seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Dispenses.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date13804, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Dispenses.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.pcsw.Dispenses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Dispenses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Dispenses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Dispenses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Dispenses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Dispenses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Dispenses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Dispenses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Dispenses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Dispenses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Dispenses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Dispenses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Dispenses" };
  return new Lino.pcsw.Dispenses.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ExclusionTypes
Lino.pcsw.ExclusionTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ExclusionTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 53,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AG-Sperrgr\u00fcnde",
  initComponent : function() {
    var ww = this.containing_window;
    var id13806 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13807 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13806, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13807, "filter": { "type": "string" }, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionTypes.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.pcsw.ExclusionTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ExclusionTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ExclusionTypes" };
  return new Lino.pcsw.ExclusionTypes.GridPanel(p);
});

// js_render_GridPanel_class pcsw.Exclusions
Lino.pcsw.Exclusions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Exclusions",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "excluded_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "excluded_until", "type": "date" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 54,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/Exclusions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Exclusions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Exclusions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Exclusions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/Exclusions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AG-Sperren",
  initComponent : function() {
    var ww = this.containing_window;
    var id13809 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person13810 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Exclusions/person" }) }) });
    var type13811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "AG-Sperrgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.ExclusionTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Exclusions/type" }) }) });
    var excluded_from13812 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var excluded_until13813 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var remark13814 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13809, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Exclusions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person13810, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Exclusions.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type13811, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Exclusions.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "excluded_from", "editable": true, "editor": excluded_from13812, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "AG-Sperre seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Exclusions.excluded_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "excluded_until", "editable": true, "editor": excluded_until13813, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Exclusions.excluded_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark13814, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Exclusions.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.pcsw.Exclusions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Exclusions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Exclusions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Exclusions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Exclusions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Exclusions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Exclusions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Exclusions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Exclusions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Exclusions.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Exclusions", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Exclusions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Exclusions" };
  return new Lino.pcsw.Exclusions.GridPanel(p);
});

// js_render_GridPanel_class pcsw.Convictions
Lino.pcsw.Convictions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Convictions",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "prejudicial", "type": "boolean" }, { "name": "designation" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 55,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/Convictions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Convictions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Convictions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Convictions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/Convictions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorstrafen",
  initComponent : function() {
    var ww = this.containing_window;
    var id13816 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client13817 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Convictions/client" }) }) });
    var date13818 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var prejudicial13819 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var designation13820 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13816, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Convictions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client13817, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Convictions.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "date", "editable": true, "editor": date13818, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Convictions.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "prejudicial", "editable": true, "filter": { "type": "boolean" }, "header": "Prejudicial", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Convictions.prejudicial) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "designation", "editable": true, "editor": designation13820, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Convictions.designation) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.pcsw.Convictions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Convictions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Convictions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Convictions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Convictions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Convictions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Convictions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Convictions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Convictions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Convictions.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Convictions", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Convictions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Convictions" };
  return new Lino.pcsw.Convictions.GridPanel(p);
});

// js_render_GridPanel_class pcsw.AidTypes
Lino.pcsw.AidTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/AidTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 56,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/AidTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/AidTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/AidTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/AidTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/AidTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sozialhilfearten",
  initComponent : function() {
    var ww = this.containing_window;
    var name13822 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13823 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13824 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13825 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13822, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AidTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13823, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AidTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13824, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AidTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id13825, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.AidTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.pcsw.AidTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.AidTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AidTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AidTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AidTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AidTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AidTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AidTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AidTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AidTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/AidTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.AidTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/AidTypes" };
  return new Lino.pcsw.AidTypes.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingTypes
Lino.coachings.CoachingTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "does_integ", "type": "boolean" }, { "name": "does_gss", "type": "boolean" }, { "name": "eval_guestrole" }, 'eval_guestroleHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 46,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dienste",
  initComponent : function() {
    var ww = this.containing_window;
    var name13827 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13828 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13829 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var does_integ13830 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var does_gss13831 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var eval_guestrole13832 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingTypes/eval_guestrole" }) }) });
    var id13833 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13827, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13828, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13829, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "does_integ", "editable": true, "filter": { "type": "boolean" }, "header": "DSBE", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.does_integ) Whether coachings of this type are to be considered as\nintegration work.") }, "sortable": false, "tooltip": "Whether coachings of this type are to be considered as\nintegration work.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "does_gss", "editable": true, "filter": { "type": "boolean" }, "header": "ASD", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.does_gss) Whether this coaching type does general social work.") }, "sortable": false, "tooltip": "Whether this coaching type does general social work.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "eval_guestrole", "editable": true, "editor": eval_guestrole13832, "filter": { "type": "string" }, "header": "Role in evaluations", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.eval_guestrole) Role when participating in evaluation meetings.") }, "renderer": Lino.fk_renderer('eval_guestroleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "Role when participating in evaluation meetings.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id13833, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingTypes" };
  return new Lino.coachings.CoachingTypes.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingEndings
Lino.coachings.CoachingEndings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingEndings",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingEndings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingEndings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingEndings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingEndings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingEndings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungsbeendigungsgr\u00fcnde",
  initComponent : function() {
    this.ls_detail_handler = Lino.coachings.CoachingEndings.detail;
    var ww = this.containing_window;
    var seqno13835 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13836 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13837 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13838 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type13839 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingEndings/type" }) }) });
    var id13840 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno13835, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingEndings.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13836, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingEndings.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13837, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingEndings.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13838, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingEndings.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type13839, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingEndings.type) If not empty, allow this ending only on coachings of specified type.") }, "sortable": false, "tooltip": "If not empty, allow this ending only on coachings of specified type.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13840, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingEndings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingEndings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingEndings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.coachings.CoachingEndings.detailPanel = Ext.extend(Lino.coachings.CoachingEndings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/coachings/CoachingEndings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.coachings.CoachingEndings.detail;
    Lino.coachings.CoachingEndings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingEndings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingEndings" };
  return new Lino.coachings.CoachingEndings.detailPanel(p);
});
Lino.coachings.CoachingEndings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingEndings" };
  return new Lino.coachings.CoachingEndings.GridPanel(p);
});
Lino.coachings.CoachingEndings.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingEndings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingEndings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class coachings.Coachings
Lino.coachings.Coachings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/Coachings",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/Coachings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/Coachings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/Coachings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/Coachings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/Coachings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var id13842 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date13843 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13844 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user13845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/user" }) }) });
    var client13846 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/client" }) }) });
    var type13847 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/type" }) }) });
    var primary13848 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var ending13849 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/ending" }) }) });
    this.before_row_edit = function(record) {
      ending13849.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type13847 !== 'undefined' && type13847.on('change',Lino.chooser_handler(ending13849,'type'));
      Lino.coachings.Coachings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13842, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date13843, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date13844, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user13845, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "client", "editable": true, "editor": client13846, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type13847, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "ending", "editable": true, "editor": ending13849, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(coachings.Coachings.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.coachings.CoachingEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.coachings.Coachings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.Coachings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/Coachings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.Coachings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/Coachings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.Coachings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/Coachings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.Coachings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/Coachings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.Coachings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/Coachings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.Coachings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/Coachings" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.Coachings.GridPanel(p);
});

// js_render_GridPanel_class reception.Clients
Lino.reception.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "national_id" }, { "name": "workflow_buttons" }, { "name": "person_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "person_ptr",
  pk_index : 4,
  content_type : 57,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7229 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7230 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var national_id7231 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7232 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.name_column) ") }, "sortable": false, "tooltip": "(reception.Clients.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.address_column) ") }, "sortable": false, "tooltip": "(reception.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7231, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.insertPanel(p);
});
Lino.reception.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.detailPanel(p);
});
Lino.reception.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.reception.Clients.GridPanel(p);
});
Lino.reception.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class boards.Boards
Lino.boards.Boards.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/boards/Boards",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 42,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/boards/Boards','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/boards/Boards','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/boards/Boards','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/boards/Boards','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/boards/Boards','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Gremium) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of boards.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gremien",
  initComponent : function() {
    this.ls_detail_handler = Lino.boards.Boards.detail;
    this.ls_insert_handler = Lino.boards.Boards.insert;
    var ww = this.containing_window;
    var name13851 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13852 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13853 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13854 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date13855 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date13856 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13851, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(boards.Boards.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13852, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(boards.Boards.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13853, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(boards.Boards.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id13854, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(boards.Boards.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date13855, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(boards.Boards.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date13856, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Hat gearbeitet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(boards.Boards.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" } ];
    Lino.boards.Boards.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.boards.Boards.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Boards.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Boards.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Boards.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.boards.Boards.insertPanel = Ext.extend(Lino.boards.Boards.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/boards/Boards",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.boards.Boards.detail;
    this.ls_insert_handler = Lino.boards.Boards.insert;
    Lino.boards.Boards.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.boards.Boards.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/boards/Boards" };
  return new Lino.boards.Boards.insertPanel(p);
});
Lino.boards.Boards.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.boards.Boards.detailPanel = Ext.extend(Lino.boards.Boards.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Gremium) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/boards/Boards",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.boards.Boards.detail;
    this.ls_insert_handler = Lino.boards.Boards.insert;
    Lino.boards.Boards.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.boards.Boards.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/boards/Boards" };
  return new Lino.boards.Boards.detailPanel(p);
});
Lino.boards.Boards.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Boards.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/boards/Boards" };
  p.params_panel = new Lino.boards.Boards.ParamsPanel({});
  return new Lino.boards.Boards.GridPanel(p);
});
Lino.boards.Boards.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Boards", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class boards.Members
Lino.boards.Members.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/boards/Members",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "board" }, 'boardHidden', { "name": "person" }, 'personHidden', { "name": "role" }, 'roleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 43,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/boards/Members','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/boards/Members','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/boards/Members','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/boards/Members','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/boards/Members','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gremienmitglieder",
  initComponent : function() {
    var ww = this.containing_window;
    var id13858 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var board13859 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/boards/Members/board" }) }) });
    var person13860 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/boards/Members/person" }) }) });
    var role13861 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/boards/Members/role" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13858, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(boards.Members.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "board", "editable": true, "editor": board13859, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(boards.Members.board) ") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person13860, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(boards.Members.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role13861, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(boards.Members.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.boards.Members.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.boards.Members.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Members", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Members.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Members", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Members.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Members", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Members.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Members", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Members.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/Members", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.Members.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/boards/Members" };
  return new Lino.boards.Members.GridPanel(p);
});

// js_render_GridPanel_class households.Types
Lino.households.Types.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/Types",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/Types','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Types','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/Types','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Types','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/Types','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Types.detail;
    var ww = this.containing_window;
    var id13863 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13864 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13865 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13866 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13863, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(households.Types.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13864, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(households.Types.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13865, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(households.Types.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13866, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(households.Types.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.households.Types.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Types.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Types", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Types.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Types", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Types.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Types", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Types.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Types", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Types.detailPanel = Ext.extend(Lino.households.Types.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/Types",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Types.detail;
    Lino.households.Types.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Types.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Types" };
  return new Lino.households.Types.detailPanel(p);
});
Lino.households.Types.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Types", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Types.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Types" };
  return new Lino.households.Types.GridPanel(p);
});
Lino.households.Types.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Types", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.Households
Lino.households.Households.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/Households",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/Households','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Households','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/Households','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/households/Households','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Households','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/Households','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.households.Households.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushalte",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    var ww = this.containing_window;
    var name7234 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type7235 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var address_column_disp7236 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7237 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7238 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7239 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7240 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone7241 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7242 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7243 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7244 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7245 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/country" }) }) });
    var city7247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/city" }) }) });
    var zip_code7248 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7249 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/region" }) }) });
    var addr17250 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7251 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7252 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7253 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7254 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27255 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7257 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7258 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7259 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/activity" }) }) });
    var client_contact_type7260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/client_contact_type" }) }) });
    var payment_term7261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/payment_term" }) }) });
    this.before_row_edit = function(record) {
      city7247.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7247.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7249.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7246 !== 'undefined' && country7246.on('change',Lino.chooser_handler(city7247,'country'));
      typeof region7249 !== 'undefined' && region7249.on('change',Lino.chooser_handler(city7247,'region'));
      typeof country7246 !== 'undefined' && country7246.on('change',Lino.chooser_handler(region7249,'country'));
      Lino.households.Households.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7234, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7235, "filter": { "type": "string" }, "header": "Haushaltsart", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.type) The type of this household.  See household types") }, "renderer": Lino.fk_renderer('typeHidden','Lino.households.Types.detail'), "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.address_column) ") }, "sortable": false, "tooltip": "(households.Households.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id7237, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email7238, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language7239, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url7240, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7241, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm7242, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax7243, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country7246, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city7247, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code7248, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region7249, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr17250, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7251, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street7252, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no7253, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box7254, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr27255, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix7256, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7259, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7260, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7261, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) } ];
    Lino.households.Households.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.insertPanel = Ext.extend(Lino.households.Households.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.insertPanel(p);
});
Lino.households.Households.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.detailPanel = Ext.extend(Lino.households.Households.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.households.Households.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.detailPanel(p);
});
Lino.households.Households.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.Households.GridPanel(p);
});
Lino.households.Households.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.Members
Lino.households.Members.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/Members",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "role" }, 'roleHidden', { "name": "person" }, 'personHidden', { "name": "household" }, 'householdHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "primary", "type": "boolean" }, { "name": "age" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/Members','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Members','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/Members','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Members','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/Members','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitglieder",
  initComponent : function() {
    var ww = this.containing_window;
    var id13868 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date13869 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date13870 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var title13871 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var first_name13872 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name13873 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name13874 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gender13875 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date13876 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var role13877 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var person13878 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Members/person" }) }) });
    var household13879 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Members/household" }) }) });
    var dependency13880 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var primary13881 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var age_disp13882 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp13882 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13868, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date13869, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date13870, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "title", "editable": true, "editor": title13871, "filter": { "type": "string" }, "header": "Titel", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name13872, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "middle_name", "editable": true, "editor": middle_name13873, "filter": { "type": "string" }, "header": "Zwischenname", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "last_name", "editable": true, "editor": last_name13874, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender13875, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "birth_date", "editable": true, "editor": birth_date13876, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 9, "dataIndex": "role", "editable": true, "editor": role13877, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 10, "dataIndex": "person", "editable": true, "editor": person13878, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "household", "editable": true, "editor": household13879, "filter": { "type": "string" }, "header": "Haushalt", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "dependency", "editable": true, "editor": dependency13880, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 13, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(households.Members.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Members.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Members.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) } ];
    Lino.households.Members.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Members.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Members", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Members.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Members", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Members.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Members", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Members.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Members", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Members.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Members", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Members.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Members" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.Members.GridPanel(p);
});
Lino.households.Members.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Members", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractTypes
Lino.isip.ContractTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "ref" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "needs_study_type", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "full_name" }, { "name": "overlap_group" }, 'overlap_groupHidden', { "name": "template" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSE-Arten",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractTypes.detail;
    var ww = this.containing_window;
    var name13884 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13885 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13886 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var ref13887 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var exam_policy13888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/exam_policy" }) }) });
    var needs_study_type13889 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id13890 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var full_name13891 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var overlap_group13892 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var template13893 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/template" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13884, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13885, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13886, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "ref", "editable": true, "editor": ref13887, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.ref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy13888, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "needs_study_type", "editable": true, "filter": { "type": "boolean" }, "header": "erfordert Ausbildungsart ", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.needs_study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id13890, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "full_name", "editable": true, "editor": full_name13891, "filter": { "type": "string" }, "header": "Voller Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.full_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "overlap_group", "editable": true, "editor": overlap_group13892, "filter": { "options": [ "Vorstrafen", "Ausbildungen" ], "type": "list" }, "header": "\u00dcberlappungsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.overlap_group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 9, "dataIndex": "template", "editable": true, "editor": template13893, "filter": { "type": "string" }, "header": "Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractTypes.template) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.isip.ContractTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractTypes.detailPanel = Ext.extend(Lino.isip.ContractTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractTypes.detail;
    Lino.isip.ContractTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractTypes" };
  return new Lino.isip.ContractTypes.detailPanel(p);
});
Lino.isip.ContractTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractTypes" };
  return new Lino.isip.ContractTypes.GridPanel(p);
});
Lino.isip.ContractTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ExamPolicies
Lino.isip.ExamPolicies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ExamPolicies",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "name": "event_type" }, 'event_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 93,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ExamPolicies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ExamPolicies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ExamPolicies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ExamPolicies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ExamPolicies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswertungsstrategien",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ExamPolicies.detail;
    var ww = this.containing_window;
    var name13895 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13896 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13897 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13898 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date13899 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time13900 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date13901 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time13902 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var every_unit13903 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every13904 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var positions13905 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday13906 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday13907 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday13908 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday13909 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday13910 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday13911 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday13912 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events13913 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event_type13914 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ExamPolicies/event_type" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13895, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13896, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13897, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id13898, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date13899, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.start_date) Das Beginndatum der ersten Veranstaltung.") }, "sortable": true, "tooltip": "Das Beginndatum der ersten Veranstaltung.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "start_time", "editable": true, "editor": start_time13900, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 6, "dataIndex": "end_date", "editable": true, "editor": end_date13901, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "sortable": true, "tooltip": "Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "end_time", "editable": true, "editor": end_time13902, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "every_unit", "editable": true, "editor": every_unit13903, "filter": { "options": [ "einmalig", "t\u00e4glich", "w\u00f6chentlich", "monatlich", "j\u00e4hrlich", "pro Wochentag", "Beweglich mit Ostern" ], "type": "list" }, "header": "Wiederholung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(24) }, { "align": "right", "colIndex": 9, "dataIndex": "every", "editable": true, "editor": every13904, "filter": { "type": "numeric" }, "format": "0", "header": "... alle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "positions", "editable": true, "editor": positions13905, "filter": { "type": "string" }, "header": "Positionen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Montag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Dienstag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Mittwoch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Donnerstag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Freitag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Samstag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sonntag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 18, "dataIndex": "max_events", "editable": true, "editor": max_events13913, "filter": { "type": "numeric" }, "format": "0", "header": "Anzahl Termine", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "event_type", "editable": true, "editor": event_type13914, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ExamPolicies.event_type) Generated events will receive this type.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "Generated events will receive this type.", "width": Lino.chars2width(21) } ];
    Lino.isip.ExamPolicies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ExamPolicies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ExamPolicies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ExamPolicies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ExamPolicies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ExamPolicies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ExamPolicies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ExamPolicies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ExamPolicies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ExamPolicies.detailPanel = Ext.extend(Lino.isip.ExamPolicies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ExamPolicies",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ExamPolicies.detail;
    Lino.isip.ExamPolicies.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ExamPolicies.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ExamPolicies" };
  return new Lino.isip.ExamPolicies.detailPanel(p);
});
Lino.isip.ExamPolicies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ExamPolicies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ExamPolicies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ExamPolicies" };
  return new Lino.isip.ExamPolicies.GridPanel(p);
});
Lino.isip.ExamPolicies.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ExamPolicies", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractEndings
Lino.isip.ContractEndings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractEndings",
  ls_store_fields : [ { "name": "name" }, { "name": "use_in_isip", "type": "boolean" }, { "name": "use_in_jobs", "type": "boolean" }, { "name": "is_success", "type": "boolean" }, { "name": "needs_date_ended", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 94,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEndings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEndings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEndings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEndings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEndings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vertragsbeendigungsgr\u00fcnde",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractEndings.detail;
    var ww = this.containing_window;
    var name13916 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var use_in_isip13917 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var use_in_jobs13918 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var is_success13919 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var needs_date_ended13920 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id13921 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13916, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEndings.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "use_in_isip", "editable": true, "filter": { "type": "boolean" }, "header": "VSE", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEndings.use_in_isip) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "use_in_jobs", "editable": true, "filter": { "type": "boolean" }, "header": "Art. 60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEndings.use_in_jobs) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "is_success", "editable": true, "filter": { "type": "boolean" }, "header": "Erfolgreich abgeschlossen", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEndings.is_success) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "needs_date_ended", "editable": true, "filter": { "type": "boolean" }, "header": "erfordert Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEndings.needs_date_ended) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id13921, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEndings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.isip.ContractEndings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractEndings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEndings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEndings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEndings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEndings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEndings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEndings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEndings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractEndings.detailPanel = Ext.extend(Lino.isip.ContractEndings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractEndings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractEndings.detail;
    Lino.isip.ContractEndings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractEndings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractEndings" };
  return new Lino.isip.ContractEndings.detailPanel(p);
});
Lino.isip.ContractEndings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEndings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEndings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractEndings" };
  return new Lino.isip.ContractEndings.GridPanel(p);
});
Lino.isip.ContractEndings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEndings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractPartners
Lino.isip.ContractPartners.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractPartners",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "contract" }, 'contractHidden', { "name": "duties_company" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractPartners','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractPartners','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractPartners','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractPartners','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractPartners','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vertragspartner",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractPartners.detail;
    this.ls_insert_handler = Lino.isip.ContractPartners.insert;
    var ww = this.containing_window;
    var id13923 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var company13924 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person13925 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role13926 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var contract13927 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "VSE ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contract" }) }) });
    var duties_company13928 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    this.before_row_edit = function(record) {
      contact_person13925.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company13928.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company13924 !== 'undefined' && company13924.on('change',Lino.chooser_handler(contact_person13925,'company'));
      Lino.isip.ContractPartners.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13923, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractPartners.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company13924, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractPartners.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person13925, "filter": { "type": "string" }, "header": "Represented by", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractPartners.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "contact_role", "editable": true, "editor": contact_role13926, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "contract", "editable": true, "editor": contract13927, "filter": { "type": "string" }, "header": "VSE", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractPartners.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.isip.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "duties_company", "editable": true, "editor": duties_company13928, "filter": { "type": "string" }, "header": "Verpflichtungen Firma", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractPartners.duties_company) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.isip.ContractPartners.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractPartners.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractPartners.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractPartners.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractPartners.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractPartners.insertPanel = Ext.extend(Lino.isip.ContractPartners.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractPartners",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractPartners.detail;
    this.ls_insert_handler = Lino.isip.ContractPartners.insert;
    Lino.isip.ContractPartners.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractPartners.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractPartners" };
  return new Lino.isip.ContractPartners.insertPanel(p);
});
Lino.isip.ContractPartners.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractPartners.detailPanel = Ext.extend(Lino.isip.ContractPartners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractPartners",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractPartners.detail;
    this.ls_insert_handler = Lino.isip.ContractPartners.insert;
    Lino.isip.ContractPartners.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractPartners.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractPartners" };
  return new Lino.isip.ContractPartners.detailPanel(p);
});
Lino.isip.ContractPartners.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractPartners.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractPartners" };
  return new Lino.isip.ContractPartners.GridPanel(p);
});
Lino.isip.ContractPartners.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractPartners", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.Contracts
Lino.isip.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    var ww = this.containing_window;
    var id7263 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7264 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7265 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7266 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var user7267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type7268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var signer17269 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer1" }) }) });
    var signer27270 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer2" }) }) });
    var printed_by7271 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7272 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7273 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7274 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7275 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7276 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var exam_policy7277 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var ending7278 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var study_type7279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var stages7280 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals7281 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd7282 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe7283 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw7284 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person7285 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe7286 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    this.before_row_edit = function(record) {
      stages7280.refresh();
      goals7281.refresh();
      duties_asd7282.refresh();
      duties_dsbe7283.refresh();
      duties_pcsw7284.refresh();
      duties_person7285.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7263, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7264, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7265, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7266, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7267, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7268, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17269, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27270, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7272, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7273, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7274, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7275, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7276, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7277, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7278, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7279, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7280, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7281, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7282, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7283, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7284, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7285, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7286, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.insertPanel(p);
});
Lino.isip.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.detailPanel(p);
});
Lino.isip.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.Contracts.GridPanel(p);
});
Lino.isip.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.MyContracts
Lino.isip.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/MyContracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    var ww = this.containing_window;
    var id7288 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7289 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7290 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7291 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/client" }) }) });
    var user7292 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user" }) }) });
    var type7293 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/type" }) }) });
    var signer17294 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/signer1" }) }) });
    var signer27295 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/signer2" }) }) });
    var printed_by7296 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7297 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7298 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7299 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7300 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7301 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user_asd" }) }) });
    var exam_policy7302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/exam_policy" }) }) });
    var ending7303 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/ending" }) }) });
    var study_type7304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/study_type" }) }) });
    var stages7305 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals7306 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd7307 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe7308 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw7309 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person7310 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe7311 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user_dsbe" }) }) });
    this.before_row_edit = function(record) {
      stages7305.refresh();
      goals7306.refresh();
      duties_asd7307.refresh();
      duties_dsbe7308.refresh();
      duties_pcsw7309.refresh();
      duties_person7310.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7288, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7289, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7290, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7291, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7292, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7293, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17294, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27295, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7297, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7298, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7299, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7300, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7301, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7302, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7303, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7304, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7305, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7306, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7307, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7308, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7309, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7310, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7311, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.MyContracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    Lino.isip.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/MyContracts" };
  return new Lino.isip.MyContracts.insertPanel(p);
});
Lino.isip.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.MyContracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    Lino.isip.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/MyContracts" };
  return new Lino.isip.MyContracts.detailPanel(p);
});
Lino.isip.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/MyContracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.MyContracts.GridPanel(p);
});
Lino.isip.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Schedules
Lino.jobs.Schedules.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Schedules",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 97,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/Schedules','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Schedules','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Schedules','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Schedules','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/Schedules','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stundenpl\u00e4ne",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Schedules.detail;
    var ww = this.containing_window;
    var id13930 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13931 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13932 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13933 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13930, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Schedules.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13931, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Schedules.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13932, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Schedules.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13933, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Schedules.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.jobs.Schedules.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Schedules.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Schedules", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Schedules.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Schedules", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Schedules.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Schedules", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Schedules.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Schedules", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Schedules.detailPanel = Ext.extend(Lino.jobs.Schedules.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Schedules",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Schedules.detail;
    Lino.jobs.Schedules.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Schedules.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Schedules" };
  return new Lino.jobs.Schedules.detailPanel(p);
});
Lino.jobs.Schedules.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Schedules", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Schedules.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Schedules" };
  return new Lino.jobs.Schedules.GridPanel(p);
});
Lino.jobs.Schedules.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Schedules", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobProviders
Lino.jobs.JobProviders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobProviders",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stellenanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.jobs.JobProviders.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanbieter",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    var ww = this.containing_window;
    var name_column_disp7313 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7314 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7315 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7316 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7317 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7318 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7319 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7320 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7321 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7322 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7323 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/country" }) }) });
    var city7325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/city" }) }) });
    var zip_code7326 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/region" }) }) });
    var addr17328 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7329 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7330 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7331 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7332 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27333 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7334 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7335 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7336 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7337 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/activity" }) }) });
    var client_contact_type7339 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var payment_term7340 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/payment_term" }) }) });
    var type7341 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id7342 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city7325.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7325.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7327.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7324 !== 'undefined' && country7324.on('change',Lino.chooser_handler(city7325,'country'));
      typeof region7327 !== 'undefined' && region7327.on('change',Lino.chooser_handler(city7325,'region'));
      typeof country7324 !== 'undefined' && country7324.on('change',Lino.chooser_handler(region7327,'country'));
      Lino.jobs.JobProviders.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.name_column) ") }, "sortable": false, "tooltip": "(jobs.JobProviders.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.address_column) ") }, "sortable": false, "tooltip": "(jobs.JobProviders.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7315, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7316, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7317, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7318, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7319, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7320, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7321, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7324, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7325, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7326, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7327, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17328, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7329, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7330, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7331, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7332, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27333, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7334, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7335, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7338, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7339, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7340, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type7341, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id7342, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.vat_id) The VAT id used to identify this business partner.") }, "sortable": true, "tooltip": "The VAT id used to identify this business partner.", "width": Lino.chars2width(22) } ];
    Lino.jobs.JobProviders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobProviders.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/JobProviders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    Lino.jobs.JobProviders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.insertPanel(p);
});
Lino.jobs.JobProviders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobProviders.detailPanel = Ext.extend(Lino.jobs.JobProviders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stellenanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.jobs.JobProviders.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobProviders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    Lino.jobs.JobProviders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.detailPanel(p);
});
Lino.jobs.JobProviders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.jobs.JobProviders.GridPanel(p);
});
Lino.jobs.JobProviders.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractTypes
Lino.jobs.ContractTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "ref" }, { "name": "id", "type": "int" }, { "name": "full_name" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "overlap_group" }, 'overlap_groupHidden', { "name": "template" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.jobs.ContractTypes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractTypes.detail;
    var ww = this.containing_window;
    var name13935 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13936 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13937 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var ref13938 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13939 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var full_name13940 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var exam_policy13941 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractTypes/exam_policy" }) }) });
    var overlap_group13942 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var template13943 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractTypes/template" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name13935, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr13936, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en13937, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "ref", "editable": true, "editor": ref13938, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(41) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13939, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "full_name", "editable": true, "editor": full_name13940, "filter": { "type": "string" }, "header": "Voller Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.full_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy13941, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "overlap_group", "editable": true, "editor": overlap_group13942, "filter": { "options": [ "Vorstrafen", "Ausbildungen" ], "type": "list" }, "header": "\u00dcberlappungsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.overlap_group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "template", "editable": true, "editor": template13943, "filter": { "type": "string" }, "header": "Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractTypes.template) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.ContractTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractTypes.detailPanel = Ext.extend(Lino.jobs.ContractTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.jobs.ContractTypes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractTypes.detail;
    Lino.jobs.ContractTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractTypes" };
  return new Lino.jobs.ContractTypes.detailPanel(p);
});
Lino.jobs.ContractTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractTypes" };
  return new Lino.jobs.ContractTypes.GridPanel(p);
});
Lino.jobs.ContractTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Contracts
Lino.jobs.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    var ww = this.containing_window;
    var id7344 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7345 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var client__national_id7346 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from7347 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7348 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job7349 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var user7350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type7351 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var signer17352 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/signer1" }) }) });
    var signer27353 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/signer2" }) }) });
    var company7354 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person7355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role7356 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var printed_by7357 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7358 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7359 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7360 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7361 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var exam_policy7363 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var ending7364 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var duration7365 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var reference_person7366 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7367 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7368 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7369 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule7370 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate7371 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7372 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    this.before_row_edit = function(record) {
      contact_person7355.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7367.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7354 !== 'undefined' && company7354.on('change',Lino.chooser_handler(contact_person7355,'company'));
      Lino.jobs.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7344, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7345, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7346, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7347, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7348, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job7349, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user7350, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type7351, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17352, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27353, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company7354, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7355, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7356, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7358, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until7359, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided7360, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued7361, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd7362, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7363, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending7364, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "duration", "editable": true, "editor": duration7365, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person7366, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7367, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7368, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime7369, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "schedule", "editable": true, "editor": schedule7370, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 27, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7371, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7372, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Contracts.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    Lino.jobs.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Contracts" };
  return new Lino.jobs.Contracts.insertPanel(p);
});
Lino.jobs.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Contracts.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    Lino.jobs.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Contracts" };
  return new Lino.jobs.Contracts.detailPanel(p);
});
Lino.jobs.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Contracts" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.Contracts.GridPanel(p);
});
Lino.jobs.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.MyContracts
Lino.jobs.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/MyContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/MyContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/MyContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/MyContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/MyContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.MyContracts.detail;
    this.ls_insert_handler = Lino.jobs.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7374 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7375 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/client" }) }) });
    var job7376 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/job" }) }) });
    var type7377 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/type" }) }) });
    var company7378 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/company" }) }) });
    var applies_until7379 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7380 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/ending" }) }) });
    var id7382 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17383 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/signer1" }) }) });
    var signer27384 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/signer2" }) }) });
    var user7385 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/user" }) }) });
    var contact_person7386 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/contact_person" }) }) });
    var contact_role7387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/contact_role" }) }) });
    var printed_by7388 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7389 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7390 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7391 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7392 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/user_asd" }) }) });
    var exam_policy7393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/exam_policy" }) }) });
    var duration7394 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/duration" }) }), "value": null });
    var reference_person7395 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7396 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7397 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/regime" }) }) });
    var schedule7399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/schedule" }) }) });
    var hourly_rate7400 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7401 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/MyContracts/refund_rate" }) }) });
    this.before_row_edit = function(record) {
      contact_person7386.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7396.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7378 !== 'undefined' && company7378.on('change',Lino.chooser_handler(contact_person7386,'company'));
      Lino.jobs.MyContracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7374, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7375, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job7376, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type7377, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company7378, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "applies_until", "editable": true, "editor": applies_until7379, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "date_ended", "editable": true, "editor": date_ended7380, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "ending", "editable": true, "editor": ending7381, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7382, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "signer1", "editable": true, "editor": signer17383, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer2", "editable": true, "editor": signer27384, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "user", "editable": true, "editor": user7385, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person7386, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role7387, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language7389, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided7390, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued7391, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd7392, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7393, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration7394, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person7395, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7396, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark7397, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime7398, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule7399, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7400, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7401, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.MyContracts.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.MyContracts.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.MyContracts.detail;
    this.ls_insert_handler = Lino.jobs.MyContracts.insert;
    Lino.jobs.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/MyContracts" };
  return new Lino.jobs.MyContracts.insertPanel(p);
});
Lino.jobs.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.MyContracts.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.MyContracts.detail;
    this.ls_insert_handler = Lino.jobs.MyContracts.insert;
    Lino.jobs.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/MyContracts" };
  return new Lino.jobs.MyContracts.detailPanel(p);
});
Lino.jobs.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/MyContracts" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.MyContracts.GridPanel(p);
});
Lino.jobs.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Offers
Lino.jobs.Offers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Offers",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "dateFormat": "d.m.Y", "name": "selection_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "selection_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Offers.detail;
    var ww = this.containing_window;
    var name7403 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var provider7404 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector7405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function7406 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var selection_from7407 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var selection_until7408 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7409 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7410 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remark7411 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7406.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7405 !== 'undefined' && sector7405.on('change',Lino.chooser_handler(function7406,'sector'));
      Lino.jobs.Offers.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7403, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider7404, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector7405, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function7406, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "selection_from", "editable": true, "editor": selection_from7407, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginn Auswahl", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.selection_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "selection_until", "editable": true, "editor": selection_until7408, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ende Auswahl", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.selection_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date7409, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7410, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark7411, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.jobs.Offers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Offers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Offers.detailPanel = Ext.extend(Lino.jobs.Offers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Offers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Offers.detail;
    Lino.jobs.Offers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Offers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Offers" };
  return new Lino.jobs.Offers.detailPanel(p);
});
Lino.jobs.Offers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Offers" };
  return new Lino.jobs.Offers.GridPanel(p);
});
Lino.jobs.Offers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Candidatures
Lino.jobs.Candidatures.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Candidatures",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "function" }, 'functionHidden', { "name": "person" }, 'personHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "remark" }, { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/Candidatures','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Candidatures','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Candidatures','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Candidatures','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/Candidatures','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted13945 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job13946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/job" }) }) });
    var function13947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/function" }) }) });
    var person13948 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/person" }) }) });
    var state13949 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var sector13950 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/sector" }) }) });
    var remark13951 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var art6013952 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var art6113953 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var id13954 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function13947.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector13950 !== 'undefined' && sector13950.on('change',Lino.chooser_handler(function13947,'sector'));
      Lino.jobs.Candidatures.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted13945, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job13946, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "function", "editable": true, "editor": function13947, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person13948, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "state", "editable": true, "editor": state13949, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "colIndex": 5, "dataIndex": "sector", "editable": true, "editor": sector13950, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark13951, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id13954, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Candidatures.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.Candidatures.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Candidatures.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Candidatures", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Candidatures.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Candidatures", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Candidatures.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Candidatures", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Candidatures.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Candidatures", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Candidatures.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Candidatures", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Candidatures.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Candidatures" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.Candidatures.GridPanel(p);
});

// js_render_GridPanel_class jobs.Jobs
Lino.jobs.Jobs.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Jobs",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "type" }, 'typeHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    var ww = this.containing_window;
    var name7413 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider7414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var sector7415 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function7416 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var type7417 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var contract_type7418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var hourly_rate7419 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity7420 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark7421 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id7422 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7416.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7415 !== 'undefined' && sector7415.on('change',Lino.chooser_handler(function7416,'sector'));
      Lino.jobs.Jobs.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7413, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider7414, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector7415, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function7416, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type7417, "filter": { "type": "string" }, "header": "Stellenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.JobTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contract_type", "editable": true, "editor": contract_type7418, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.contract_type) ") }, "renderer": Lino.fk_renderer('contract_typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7419, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "capacity", "editable": true, "editor": capacity7420, "filter": { "type": "numeric" }, "format": "0", "header": "Kapazit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark7421, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id7422, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.Jobs.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Jobs.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/Jobs",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    Lino.jobs.Jobs.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.insertPanel(p);
});
Lino.jobs.Jobs.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Jobs.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Jobs",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    Lino.jobs.Jobs.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.detailPanel(p);
});
Lino.jobs.Jobs.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.GridPanel(p);
});
Lino.jobs.Jobs.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobTypes
Lino.jobs.JobTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "name" }, { "name": "remark" }, { "name": "is_social", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 103,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/JobTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/JobTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobTypes.detail;
    var ww = this.containing_window;
    var id13956 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno13957 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name13958 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark13959 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var is_social13960 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id13956, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno13957, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobTypes.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name13958, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobTypes.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark13959, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobTypes.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "is_social", "editable": true, "filter": { "type": "boolean" }, "header": "Sozial\u00f6konomie", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobTypes.is_social) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.jobs.JobTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobTypes.detailPanel = Ext.extend(Lino.jobs.JobTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobTypes.detail;
    Lino.jobs.JobTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobTypes" };
  return new Lino.jobs.JobTypes.detailPanel(p);
});
Lino.jobs.JobTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobTypes" };
  return new Lino.jobs.JobTypes.GridPanel(p);
});
Lino.jobs.JobTypes.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsSearch
Lino.jobs.ContractsSearch.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsSearch",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "client" }, 'clientHidden', { "name": "client__city" }, 'client__cityHidden', { "name": "client__national_id" }, { "name": "client__gender" }, 'client__genderHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Suche Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    var ww = this.containing_window;
    var id7424 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7425 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until7426 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job7427 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/job" }) }) });
    var client7428 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/client" }) }) });
    var client__city7429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "forceSelection": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/client__city" }) }), "value": null });
    var client__national_id7430 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var client__gender7431 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ], "value": null });
    var user7432 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/user" }) }) });
    var type7433 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/type" }) }) });
    var signer17434 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/signer1" }) }) });
    var signer27435 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/signer2" }) }) });
    var company7436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/company" }) }) });
    var contact_person7437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/contact_person" }) }) });
    var contact_role7438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/contact_role" }) }) });
    var printed_by7439 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7440 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7441 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7442 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7443 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/user_asd" }) }) });
    var exam_policy7444 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/exam_policy" }) }) });
    var ending7445 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/ending" }) }) });
    var date_ended7446 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration7447 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/duration" }) }), "value": null });
    var reference_person7448 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7449 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7450 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7451 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/regime" }) }) });
    var schedule7452 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/schedule" }) }) });
    var hourly_rate7453 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7454 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/refund_rate" }) }) });
    this.before_row_edit = function(record) {
      client__city7429.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      client__city7429.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      contact_person7437.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7449.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7436 !== 'undefined' && company7436.on('change',Lino.chooser_handler(contact_person7437,'company'));
      Lino.jobs.ContractsSearch.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7424, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7425, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until7426, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "job", "editable": true, "editor": job7427, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "client", "editable": true, "editor": client7428, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client__city", "editable": true, "editor": client__city7429, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": true, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7430, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "client__gender", "editable": true, "editor": client__gender7431, "filter": { "type": "string" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__gender) The sex of this person (male or female).") }, "sortable": true, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user7432, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type7433, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer17434, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer27435, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company7436, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7437, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7438, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7440, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided7441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued7442, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd7443, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7444, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "ending", "editable": true, "editor": ending7445, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "date_ended", "editable": true, "editor": date_ended7446, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "duration", "editable": true, "editor": duration7447, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 24, "dataIndex": "reference_person", "editable": true, "editor": reference_person7448, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7449, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "remark", "editable": true, "editor": remark7450, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime7451, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "schedule", "editable": true, "editor": schedule7452, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 29, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7453, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7454, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.jobs.ContractsSearch.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsSearch.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsSearch",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    Lino.jobs.ContractsSearch.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  return new Lino.jobs.ContractsSearch.insertPanel(p);
});
Lino.jobs.ContractsSearch.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsSearch.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsSearch",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    Lino.jobs.ContractsSearch.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  return new Lino.jobs.ContractsSearch.detailPanel(p);
});
Lino.jobs.ContractsSearch.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsSearch.GridPanel(p);
});
Lino.jobs.ContractsSearch.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.Accounts
Lino.ledger.Accounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/Accounts",
  ls_store_fields : [ { "name": "description" }, { "name": "needs_partner", "type": "boolean" }, { "name": "clearable", "type": "boolean" }, { "name": "ref" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "common_account" }, 'common_accountHidden', { "name": "default_amount" }, { "name": "sales_allowed", "type": "boolean" }, { "name": "purchases_allowed", "type": "boolean" }, { "name": "wages_allowed", "type": "boolean" }, { "name": "taxes_allowed", "type": "boolean" }, { "name": "clearings_allowed", "type": "boolean" }, { "name": "bank_po_allowed", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/Accounts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Accounts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/Accounts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushaltsartikel) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.Accounts.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltsartikel",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.Accounts.detail;
    this.ls_insert_handler = Lino.ledger.Accounts.insert;
    var ww = this.containing_window;
    var description_disp13962 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var needs_partner13963 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var clearable13964 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var ref13965 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id13966 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno13967 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name13968 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_fr13969 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13970 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var common_account13971 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts) });
    var default_amount13972 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sales_allowed13973 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var purchases_allowed13974 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wages_allowed13975 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var taxes_allowed13976 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var clearings_allowed13977 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var bank_po_allowed13978 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.description) ") }, "sortable": false, "tooltip": "(ledger.Accounts.description) ", "width": Lino.chars2width(51) }, { "colIndex": 1, "dataIndex": "needs_partner", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Partner", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.needs_partner) Whether bookings to this account need a partner specified.") }, "sortable": false, "tooltip": "Whether bookings to this account need a partner specified.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "clearable", "editable": true, "filter": { "type": "boolean" }, "header": "Auszugleichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.clearable) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "ref", "editable": true, "editor": ref13965, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "sortable": true, "tooltip": "An optional unique name which can be used to reference a given\naccount.", "width": Lino.chars2width(17) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id13966, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "seqno", "editable": true, "editor": seqno13967, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "name", "editable": true, "editor": name13968, "filter": { "type": "string" }, "header": "Bezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "sortable": true, "tooltip": "The multilingual designation of this account, as the users see\nit.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "name_fr", "editable": true, "editor": name_fr13969, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "name_en", "editable": true, "editor": name_en13970, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "common_account", "editable": true, "editor": common_account13971, "filter": { "options": [ "Net income (loss)", "Kunden", "Lieferanten", "Angestellte", "Offene Zahlungsauftr\u00e4ge", "Auszuf\u00fchrende Ausgabeanweisungen", "Steuer\u00e4mter", "Geschuldete Mehrwertsteuer", "Deklarierte Mehrwertsteuer", "Abziehbare Mehrwertsteuer", "R\u00fcckzahlbare Mehrwertsteuer", "Internal clearings", "Granted aids", "Wartekonto", "BestBank", "Kasse", "Eink\u00e4ufe von Dienstleistungen", "Investierungsk\u00e4ufe", "Wareneink\u00e4ufe", "L\u00f6hne und Geh\u00e4lter", "Net income", "Verkauf", "Net loss" ], "type": "list" }, "header": "Gemeinkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.common_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(36) }, { "align": "right", "colIndex": 10, "dataIndex": "default_amount", "editable": true, "editor": default_amount13972, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Vorschlag Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.default_amount) The default amount to book in bank statements or journal\nentries when this account has been selected manually. The\ndefault booking direction is that of the type.") }, "sortable": true, "tooltip": "The default amount to book in bank statements or journal\nentries when this account has been selected manually. The\ndefault booking direction is that of the type.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "sales_allowed", "editable": true, "filter": { "type": "boolean" }, "header": "Verkauf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.sales_allowed) Whether this account is available for Verkauf transactions.") }, "sortable": false, "tooltip": "Whether this account is available for Verkauf transactions.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "purchases_allowed", "editable": true, "filter": { "type": "boolean" }, "header": "Einkauf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.purchases_allowed) Whether this account is available for Einkauf transactions.") }, "sortable": false, "tooltip": "Whether this account is available for Einkauf transactions.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "wages_allowed", "editable": true, "filter": { "type": "boolean" }, "header": "L\u00f6hne und Geh\u00e4lter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.wages_allowed) Whether this account is available for L\u00f6hne und Geh\u00e4lter transactions.") }, "sortable": false, "tooltip": "Whether this account is available for L\u00f6hne und Geh\u00e4lter transactions.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "taxes_allowed", "editable": true, "filter": { "type": "boolean" }, "header": "Steuern", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.taxes_allowed) Whether this account is available for Steuern transactions.") }, "sortable": false, "tooltip": "Whether this account is available for Steuern transactions.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "clearings_allowed", "editable": true, "filter": { "type": "boolean" }, "header": "Begleichungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.clearings_allowed) Whether this account is available for Begleichungen transactions.") }, "sortable": false, "tooltip": "Whether this account is available for Begleichungen transactions.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "bank_po_allowed", "editable": true, "filter": { "type": "boolean" }, "header": "Zahlungsauftr\u00e4ge", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Accounts.bank_po_allowed) Whether this account is available for Zahlungsauftr\u00e4ge transactions.") }, "sortable": false, "tooltip": "Whether this account is available for Zahlungsauftr\u00e4ge transactions.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.ledger.Accounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Accounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.Accounts.insertPanel = Ext.extend(Lino.ledger.Accounts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/ledger/Accounts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.Accounts.detail;
    this.ls_insert_handler = Lino.ledger.Accounts.insert;
    Lino.ledger.Accounts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Accounts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/Accounts" };
  return new Lino.ledger.Accounts.insertPanel(p);
});
Lino.ledger.Accounts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.Accounts.detailPanel = Ext.extend(Lino.ledger.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushaltsartikel) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.Accounts.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/ledger/Accounts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.Accounts.detail;
    this.ls_insert_handler = Lino.ledger.Accounts.insert;
    Lino.ledger.Accounts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Accounts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Accounts" };
  return new Lino.ledger.Accounts.detailPanel(p);
});
Lino.ledger.Accounts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Accounts" };
  p.params_panel = new Lino.ledger.Accounts.ParamsPanel({});
  return new Lino.ledger.Accounts.GridPanel(p);
});
Lino.ledger.Accounts.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Accounts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Accounts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.Journals
Lino.ledger.Journals.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/Journals",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "trade_type" }, 'trade_typeHidden', { "name": "journal_group" }, 'journal_groupHidden', { "name": "voucher_type" }, 'voucher_typeHidden', { "name": "force_sequence", "type": "boolean" }, { "name": "build_method" }, 'build_methodHidden', { "name": "template" }, { "name": "auto_check_clearings", "type": "boolean" }, { "name": "auto_fill_suggestions", "type": "boolean" }, { "name": "preliminary", "type": "boolean" }, { "name": "make_ledger_movements", "type": "boolean" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "printed_name" }, { "name": "printed_name_fr" }, { "name": "printed_name_en" }, { "name": "dc" }, 'dcHidden', { "name": "yearly_numbering", "type": "boolean" }, { "name": "must_declare", "type": "boolean" }, { "name": "uploads_volume" }, 'uploads_volumeHidden', { "name": "sepa_account" }, 'sepa_accountHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 34,
  content_type : 59,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/Journals','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Journals','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Journals','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Journals','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/Journals','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Journal) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.Journals.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Journale",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.Journals.detail;
    this.ls_insert_handler = Lino.ledger.Journals.insert;
    var ww = this.containing_window;
    var ref13980 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name13981 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr13982 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en13983 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var trade_type13984 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var journal_group13985 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type13986 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var force_sequence13987 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var build_method13988 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template13989 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/template" }) }) });
    var auto_check_clearings13990 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var auto_fill_suggestions13991 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var preliminary13992 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var make_ledger_movements13993 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var account13994 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/account" }) }) });
    var partner13995 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/partner" }) }) });
    var printed_name13996 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var printed_name_fr13997 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var printed_name_en13998 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var dc13999 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.DC) });
    var yearly_numbering14000 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var must_declare14001 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var uploads_volume14002 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/uploads_volume" }) }) });
    var sepa_account14003 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/sepa_account" }) }) });
    var seqno14004 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id14005 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      template13989.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template13989.setContextValue('voucher_type', record ? record.data['voucher_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof build_method13988 !== 'undefined' && build_method13988.on('change',Lino.chooser_handler(template13989,'build_method'));
      typeof voucher_type13986 !== 'undefined' && voucher_type13986.on('change',Lino.chooser_handler(template13989,'voucher_type'));
      Lino.ledger.Journals.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref13980, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(6) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name13981, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr13982, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en13983, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "trade_type", "editable": true, "editor": trade_type13984, "filter": { "options": [ "Einkauf", "Hilfen", "Begleichungen" ], "type": "list" }, "header": "Handelsart", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.trade_type) Pointer to TradeTypes.") }, "sortable": false, "tooltip": "Pointer to TradeTypes.", "width": Lino.chars2width(17) }, { "colIndex": 5, "dataIndex": "journal_group", "editable": true, "editor": journal_group13985, "filter": { "options": [ "Bestellungen Einkauf", "Rechnungseing\u00e4nge", "Forderungen", "Ausgabeanweisungen", "Zahlungsauftr\u00e4ge" ], "type": "list" }, "header": "Journalgruppe", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "sortable": false, "tooltip": "Pointer to an item of JournalGroups.", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "voucher_type", "editable": true, "editor": voucher_type13986, "filter": { "options": [ "Kontoauszug (finan.BankStatementsByJournal)", "Ausgabeanweisungen", "Diverse Buchung (finan.JournalEntriesByJournal)", "Zahlungsauftrag (finan.PaymentOrdersByJournal)", "Rechnungen", "Project invoices" ], "type": "list" }, "header": "Belegart", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "sortable": false, "tooltip": "Pointer to an item of VoucherTypes.", "width": Lino.chars2width(51) }, { "colIndex": 7, "dataIndex": "force_sequence", "editable": true, "filter": { "type": "boolean" }, "header": "Chronologische Reihenfolge", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.force_sequence) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method13988, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "sortable": false, "tooltip": "A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "template", "editable": true, "editor": template13989, "filter": { "type": "string" }, "header": "Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.template) See PrintableType.template.") }, "sortable": false, "tooltip": "See PrintableType.template.", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "auto_check_clearings", "editable": true, "filter": { "type": "boolean" }, "header": "Begleichung pr\u00fcfen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.auto_check_clearings) Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.") }, "sortable": false, "tooltip": "Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "auto_fill_suggestions", "editable": true, "filter": { "type": "boolean" }, "header": "Fill suggestions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.auto_fill_suggestions) Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.") }, "sortable": false, "tooltip": "Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "preliminary", "editable": true, "filter": { "type": "boolean" }, "header": "Preliminary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.preliminary) Whether transactions in this journal are considered preliminary.") }, "sortable": false, "tooltip": "Whether transactions in this journal are considered preliminary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "make_ledger_movements", "editable": true, "filter": { "type": "boolean" }, "header": "Ledger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.make_ledger_movements) Whether vouchers in this journal generate ledger movements.") }, "sortable": false, "tooltip": "Whether vouchers in this journal generate ledger movements.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "account", "editable": true, "editor": account13994, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.account) The account to use for the counter-movements generated by\nvouchers in this journal.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The account to use for the counter-movements generated by\nvouchers in this journal.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "partner", "editable": true, "editor": partner13995, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.partner) The partner to use as default partner for all vouchers in this\njournal.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The partner to use as default partner for all vouchers in this\njournal.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "printed_name", "editable": true, "editor": printed_name13996, "filter": { "type": "string" }, "header": "Dokumentbezeichnung Ausdruck", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.printed_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "printed_name_fr", "editable": true, "editor": printed_name_fr13997, "filter": { "type": "string" }, "header": "Dokumentbezeichnung Ausdruck (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.printed_name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "printed_name_en", "editable": true, "editor": printed_name_en13998, "filter": { "type": "string" }, "header": "Dokumentbezeichnung Ausdruck (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.printed_name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "dc", "editable": true, "editor": dc13999, "filter": { "options": [ "Debit", "Kredit" ], "type": "list" }, "header": "Prim\u00e4re Buchungsrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.dc) The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.") }, "sortable": false, "tooltip": "The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.", "width": Lino.chars2width(10) }, { "colIndex": 20, "dataIndex": "yearly_numbering", "editable": true, "filter": { "type": "boolean" }, "header": "Yearly numbering", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.yearly_numbering) Whether the number of\nvouchers should restart at 1 every year.") }, "sortable": false, "tooltip": "Whether the number of\nvouchers should restart at 1 every year.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "must_declare", "editable": true, "filter": { "type": "boolean" }, "header": "must declare", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.must_declare) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "uploads_volume", "editable": true, "editor": uploads_volume14002, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.uploads_volume) ") }, "renderer": Lino.fk_renderer('uploads_volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "sepa_account", "editable": true, "editor": sepa_account14003, "filter": { "type": "string" }, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.sepa_account) Your bank account to specify in payment order.") }, "sortable": false, "tooltip": "Your bank account to specify in payment order.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 24, "dataIndex": "seqno", "editable": true, "editor": seqno14004, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 25, "dataIndex": "id", "editable": true, "editor": id14005, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Journals.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.ledger.Journals.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Journals.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.Journals.insertPanel = Ext.extend(Lino.ledger.Journals.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/ledger/Journals",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.Journals.detail;
    this.ls_insert_handler = Lino.ledger.Journals.insert;
    Lino.ledger.Journals.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Journals.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/ledger/Journals" };
  return new Lino.ledger.Journals.insertPanel(p);
});
Lino.ledger.Journals.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.Journals.detailPanel = Ext.extend(Lino.ledger.Journals.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Journal) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.Journals.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/ledger/Journals",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.Journals.detail;
    this.ls_insert_handler = Lino.ledger.Journals.insert;
    Lino.ledger.Journals.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Journals.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Journals" };
  return new Lino.ledger.Journals.detailPanel(p);
});
Lino.ledger.Journals.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Journals" };
  return new Lino.ledger.Journals.GridPanel(p);
});
Lino.ledger.Journals.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Journals.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Journals", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.JournalsOverview
Lino.ledger.JournalsOverview.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/JournalsOverview",
  ls_store_fields : [ { "name": "description" }, { "name": "num_vouchers" }, { "name": "this_year" }, { "name": "this_month" }, { "name": "state_draft" }, { "name": "warnings" }, { "name": "id", "type": "int" }, { "name": "ref" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "build_method" }, 'build_methodHidden', { "name": "template" }, { "name": "trade_type" }, 'trade_typeHidden', { "name": "voucher_type" }, 'voucher_typeHidden', { "name": "journal_group" }, 'journal_groupHidden', { "name": "auto_check_clearings", "type": "boolean" }, { "name": "auto_fill_suggestions", "type": "boolean" }, { "name": "force_sequence", "type": "boolean" }, { "name": "preliminary", "type": "boolean" }, { "name": "make_ledger_movements", "type": "boolean" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "printed_name" }, { "name": "printed_name_fr" }, { "name": "printed_name_en" }, { "name": "dc" }, 'dcHidden', { "name": "yearly_numbering", "type": "boolean" }, { "name": "must_declare", "type": "boolean" }, { "name": "uploads_volume" }, 'uploads_volumeHidden', { "name": "sepa_account" }, 'sepa_accountHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 59,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalsOverview','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalsOverview','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalsOverview','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalsOverview','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalsOverview','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Journale",
  disabled_fields_index : 41,
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.JournalsOverview.detail;
    var ww = this.containing_window;
    var description_disp14007 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var num_vouchers14008 = new Ext.form.NumberField({ "disabled": true });
    var this_year14009 = new Ext.form.NumberField({ "disabled": true });
    var this_month14010 = new Ext.form.NumberField({ "disabled": true });
    var state_draft14011 = new Ext.form.NumberField({ "disabled": true });
    var warnings_disp14012 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14013 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var ref14014 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var seqno14015 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name14016 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_fr14017 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14018 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var build_method14019 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template14020 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/JournalsOverview/template" }) }) });
    var trade_type14021 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var voucher_type14022 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var journal_group14023 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var auto_check_clearings14024 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var auto_fill_suggestions14025 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var force_sequence14026 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var preliminary14027 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var make_ledger_movements14028 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var account14029 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/JournalsOverview/account" }) }) });
    var partner14030 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/JournalsOverview/partner" }) }) });
    var printed_name14031 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var printed_name_fr14032 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var printed_name_en14033 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var dc14034 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.DC) });
    var yearly_numbering14035 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var must_declare14036 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var uploads_volume14037 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/JournalsOverview/uploads_volume" }) }) });
    var sepa_account14038 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/JournalsOverview/sepa_account" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof build_method14019 !== 'undefined' && build_method14019.on('change',Lino.chooser_handler(template14020,'build_method'));
      typeof voucher_type14022 !== 'undefined' && voucher_type14022.on('change',Lino.chooser_handler(template14020,'voucher_type'));
      Lino.ledger.JournalsOverview.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.description) ") }, "sortable": false, "tooltip": "(ledger.JournalsOverview.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "num_vouchers", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.num_vouchers) ") }, "sortable": true, "tooltip": "(ledger.JournalsOverview.num_vouchers) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "this_year", "editable": false, "format": "0", "header": "Dieses Jahr", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.this_year) ") }, "sortable": true, "tooltip": "(ledger.JournalsOverview.this_year) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "this_month", "editable": false, "format": "0", "header": "Dieser Monat", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.this_month) ") }, "sortable": true, "tooltip": "(ledger.JournalsOverview.this_month) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "state_draft", "editable": false, "format": "0", "header": "Nicht fertig", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.state_draft) ") }, "sortable": true, "tooltip": "(ledger.JournalsOverview.state_draft) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "warnings", "editable": false, "header": "Warnungen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.warnings) ") }, "sortable": false, "tooltip": "(ledger.JournalsOverview.warnings) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14013, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "ref", "editable": true, "editor": ref14014, "filter": { "type": "string" }, "header": "Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 8, "dataIndex": "seqno", "editable": true, "editor": seqno14015, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "name", "editable": true, "editor": name14016, "filter": { "type": "string" }, "header": "Bezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "name_fr", "editable": true, "editor": name_fr14017, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "name_en", "editable": true, "editor": name_en14018, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method14019, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "sortable": false, "tooltip": "A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "template", "editable": true, "editor": template14020, "filter": { "type": "string" }, "header": "Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.template) See PrintableType.template.") }, "sortable": false, "tooltip": "See PrintableType.template.", "width": Lino.chars2width(11) }, { "colIndex": 14, "dataIndex": "trade_type", "editable": true, "editor": trade_type14021, "filter": { "options": [ "Einkauf", "Hilfen", "Begleichungen" ], "type": "list" }, "header": "Handelsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.trade_type) Pointer to TradeTypes.") }, "sortable": false, "tooltip": "Pointer to TradeTypes.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "voucher_type", "editable": true, "editor": voucher_type14022, "filter": { "options": [ "Kontoauszug (finan.BankStatementsByJournal)", "Ausgabeanweisungen", "Diverse Buchung (finan.JournalEntriesByJournal)", "Zahlungsauftrag (finan.PaymentOrdersByJournal)", "Rechnungen", "Project invoices" ], "type": "list" }, "header": "Belegart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.voucher_type) Pointer to an item of VoucherTypes.") }, "sortable": false, "tooltip": "Pointer to an item of VoucherTypes.", "width": Lino.chars2width(51) }, { "colIndex": 16, "dataIndex": "journal_group", "editable": true, "editor": journal_group14023, "filter": { "options": [ "Bestellungen Einkauf", "Rechnungseing\u00e4nge", "Forderungen", "Ausgabeanweisungen", "Zahlungsauftr\u00e4ge" ], "type": "list" }, "header": "Journalgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.journal_group) Pointer to an item of JournalGroups.") }, "sortable": false, "tooltip": "Pointer to an item of JournalGroups.", "width": Lino.chars2width(24) }, { "colIndex": 17, "dataIndex": "auto_check_clearings", "editable": true, "filter": { "type": "boolean" }, "header": "Begleichung pr\u00fcfen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.auto_check_clearings) Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.") }, "sortable": false, "tooltip": "Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "auto_fill_suggestions", "editable": true, "filter": { "type": "boolean" }, "header": "Fill suggestions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.auto_fill_suggestions) Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.") }, "sortable": false, "tooltip": "Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "force_sequence", "editable": true, "filter": { "type": "boolean" }, "header": "Chronologische Reihenfolge", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.force_sequence) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "preliminary", "editable": true, "filter": { "type": "boolean" }, "header": "Preliminary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.preliminary) Whether transactions in this journal are considered preliminary.") }, "sortable": false, "tooltip": "Whether transactions in this journal are considered preliminary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "make_ledger_movements", "editable": true, "filter": { "type": "boolean" }, "header": "Ledger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.make_ledger_movements) Whether vouchers in this journal generate ledger movements.") }, "sortable": false, "tooltip": "Whether vouchers in this journal generate ledger movements.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "account", "editable": true, "editor": account14029, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.account) The account to use for the counter-movements generated by\nvouchers in this journal.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The account to use for the counter-movements generated by\nvouchers in this journal.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "partner", "editable": true, "editor": partner14030, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.partner) The partner to use as default partner for all vouchers in this\njournal.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The partner to use as default partner for all vouchers in this\njournal.", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "printed_name", "editable": true, "editor": printed_name14031, "filter": { "type": "string" }, "header": "Dokumentbezeichnung Ausdruck", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.printed_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "printed_name_fr", "editable": true, "editor": printed_name_fr14032, "filter": { "type": "string" }, "header": "Dokumentbezeichnung Ausdruck (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.printed_name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "printed_name_en", "editable": true, "editor": printed_name_en14033, "filter": { "type": "string" }, "header": "Dokumentbezeichnung Ausdruck (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.printed_name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "dc", "editable": true, "editor": dc14034, "filter": { "options": [ "Debit", "Kredit" ], "type": "list" }, "header": "Prim\u00e4re Buchungsrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.dc) The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.") }, "sortable": false, "tooltip": "The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.", "width": Lino.chars2width(10) }, { "colIndex": 28, "dataIndex": "yearly_numbering", "editable": true, "filter": { "type": "boolean" }, "header": "Yearly numbering", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.yearly_numbering) Whether the number of\nvouchers should restart at 1 every year.") }, "sortable": false, "tooltip": "Whether the number of\nvouchers should restart at 1 every year.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "must_declare", "editable": true, "filter": { "type": "boolean" }, "header": "must declare", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.must_declare) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "uploads_volume", "editable": true, "editor": uploads_volume14037, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.uploads_volume) ") }, "renderer": Lino.fk_renderer('uploads_volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "sepa_account", "editable": true, "editor": sepa_account14038, "filter": { "type": "string" }, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalsOverview.sepa_account) Your bank account to specify in payment order.") }, "sortable": false, "tooltip": "Your bank account to specify in payment order.", "width": Lino.chars2width(21) } ];
    Lino.ledger.JournalsOverview.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.JournalsOverview.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalsOverview.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalsOverview.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalsOverview.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalsOverview.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.JournalsOverview.detailPanel = Ext.extend(Lino.ledger.Journals.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" } ],
  ls_url: "/ledger/JournalsOverview",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.JournalsOverview.detail;
    Lino.ledger.JournalsOverview.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.JournalsOverview.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/JournalsOverview" };
  return new Lino.ledger.JournalsOverview.detailPanel(p);
});
Lino.ledger.JournalsOverview.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/JournalsOverview" };
  return new Lino.ledger.JournalsOverview.GridPanel(p);
});
Lino.ledger.JournalsOverview.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalsOverview.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalsOverview.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalsOverview", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.AccountingPeriods
Lino.ledger.AccountingPeriods.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/AccountingPeriods",
  ls_store_fields : [ { "name": "ref" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "year" }, 'yearHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 60,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/AccountingPeriods','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AccountingPeriods','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AccountingPeriods','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AccountingPeriods','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/AccountingPeriods','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.AccountingPeriods.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Buchungsperioden",
  initComponent : function() {
    var ww = this.containing_window;
    var ref14040 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date14041 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date14042 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var year14043 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AccountingPeriods/year" }) }) });
    var state14044 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.ledger.PeriodStates });
    var remark14045 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var id14046 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref14040, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date14041, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date14042, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "year", "editable": true, "editor": year14043, "filter": { "type": "string" }, "header": "Gesch\u00e4ftsjahr", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.year) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "state", "editable": true, "editor": state14044, "filter": { "options": [ "In Bearbeitung", "Abgeschlossen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark14045, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14046, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AccountingPeriods.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.ledger.AccountingPeriods.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.AccountingPeriods.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AccountingPeriods", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AccountingPeriods.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AccountingPeriods", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AccountingPeriods.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AccountingPeriods", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AccountingPeriods.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AccountingPeriods", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AccountingPeriods.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AccountingPeriods", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AccountingPeriods.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/AccountingPeriods" };
  p.params_panel = new Lino.ledger.AccountingPeriods.ParamsPanel({});
  return new Lino.ledger.AccountingPeriods.GridPanel(p);
});

// js_render_GridPanel_class ledger.PaymentTerms
Lino.ledger.PaymentTerms.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/PaymentTerms",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "months", "type": "int", "useNull": true }, { "name": "days", "type": "int", "useNull": true }, { "name": "end_of_month", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "printed_text" }, { "name": "printed_text_fr" }, { "name": "printed_text_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 62,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/PaymentTerms','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PaymentTerms','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PaymentTerms','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PaymentTerms','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/PaymentTerms','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.PaymentTerms.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zahlungsbedingungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.PaymentTerms.detail;
    var ww = this.containing_window;
    var ref14048 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name14049 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14050 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14051 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var months14052 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var days14053 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var end_of_month14054 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id14055 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_text14056 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var printed_text_fr14057 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var printed_text_en14058 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref14048, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(6) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name14049, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr14050, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en14051, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "months", "editable": true, "editor": months14052, "filter": { "type": "numeric" }, "format": "0", "header": "Monate", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.months) Number of months to add to voucher_date.") }, "sortable": true, "tooltip": "Number of months to add to voucher_date.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "days", "editable": true, "editor": days14053, "filter": { "type": "numeric" }, "format": "0", "header": "Tage", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.days) Number of days to add to voucher_date.") }, "sortable": true, "tooltip": "Number of days to add to voucher_date.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "end_of_month", "editable": true, "filter": { "type": "boolean" }, "header": "Monatsende", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.end_of_month) Whether to move voucher_date to the end of month.") }, "sortable": false, "tooltip": "Whether to move voucher_date to the end of month.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14055, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "printed_text", "editable": true, "editor": printed_text14056, "filter": { "type": "string" }, "header": "Printed text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.printed_text) Used in sales/VatProductInvoice/trailer.html as\nfollows:") }, "sortable": false, "tooltip": "Used in sales/VatProductInvoice/trailer.html as\nfollows:", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "printed_text_fr", "editable": true, "editor": printed_text_fr14057, "filter": { "type": "string" }, "header": "Printed text (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.printed_text_fr) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "printed_text_en", "editable": true, "editor": printed_text_en14058, "filter": { "type": "string" }, "header": "Printed text (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PaymentTerms.printed_text_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.ledger.PaymentTerms.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PaymentTerms.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PaymentTerms", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PaymentTerms.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PaymentTerms", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PaymentTerms.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PaymentTerms", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PaymentTerms.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PaymentTerms", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.PaymentTerms.detailPanel = Ext.extend(Lino.ledger.PaymentTerms.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.PaymentTerms.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/ledger/PaymentTerms",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.PaymentTerms.detail;
    Lino.ledger.PaymentTerms.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PaymentTerms.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PaymentTerms" };
  return new Lino.ledger.PaymentTerms.detailPanel(p);
});
Lino.ledger.PaymentTerms.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PaymentTerms", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PaymentTerms.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PaymentTerms" };
  return new Lino.ledger.PaymentTerms.GridPanel(p);
});
Lino.ledger.PaymentTerms.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PaymentTerms", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.AllVouchers
Lino.ledger.AllVouchers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/AllVouchers",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "narration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/AllVouchers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AllVouchers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AllVouchers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AllVouchers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/AllVouchers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belege",
  disabled_fields_index : 11,
  initComponent : function() {
    var ww = this.containing_window;
    var entry_date14060 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var number14061 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id14062 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14063 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/user" }) }) });
    var journal14064 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/journal" }) }) });
    var voucher_date14065 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var accounting_period14066 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/accounting_period" }) }) });
    var narration14067 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "entry_date", "editable": true, "editor": entry_date14060, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "number", "editable": true, "editor": number14061, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id14062, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user14063, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "journal", "editable": true, "editor": journal14064, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14065, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14066, "filter": { "type": "string" }, "header": "Buchungsperiode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "narration", "editable": true, "editor": narration14067, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) } ];
    Lino.ledger.AllVouchers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.AllVouchers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllVouchers", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllVouchers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/AllVouchers" };
  p.params_panel = new Lino.ledger.AllVouchers.ParamsPanel({});
  return new Lino.ledger.AllVouchers.GridPanel(p);
});

// js_render_GridPanel_class ledger.MatchRules
Lino.ledger.MatchRules.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MatchRules",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "account" }, 'accountHidden', { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 66,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRules','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRules','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRules','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRules','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRules','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleichungsregeln",
  initComponent : function() {
    var ww = this.containing_window;
    var id14069 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var account14070 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MatchRules/account" }) }) });
    var journal14071 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Journal ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MatchRules/journal" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14069, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRules.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "account", "editable": true, "editor": account14070, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRules.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "journal", "editable": true, "editor": journal14071, "filter": { "type": "string" }, "header": "Journal", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRules.journal) ") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.ledger.MatchRules.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MatchRules.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRules", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRules.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRules", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRules.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRules", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRules.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRules", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRules.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRules", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRules.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MatchRules" };
  return new Lino.ledger.MatchRules.GridPanel(p);
});

// js_render_GridPanel_class ledger.PartnerVouchers
Lino.ledger.PartnerVouchers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/PartnerVouchers",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "narration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerVouchers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerVouchers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerVouchers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerVouchers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerVouchers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belege",
  initComponent : function() {
    var ww = this.containing_window;
    var entry_date14073 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var number14074 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id14075 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/user" }) }) });
    var journal14077 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/journal" }) }) });
    var voucher_date14078 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var accounting_period14079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/accounting_period" }) }) });
    var narration14080 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "entry_date", "editable": true, "editor": entry_date14073, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "number", "editable": true, "editor": number14074, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id14075, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user14076, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "journal", "editable": true, "editor": journal14077, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14078, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14079, "filter": { "type": "string" }, "header": "Buchungsperiode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "narration", "editable": true, "editor": narration14080, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) } ];
    Lino.ledger.PartnerVouchers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PartnerVouchers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerVouchers", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerVouchers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PartnerVouchers" };
  p.params_panel = new Lino.ledger.PartnerVouchers.ParamsPanel({});
  return new Lino.ledger.PartnerVouchers.GridPanel(p);
});

// js_render_GridPanel_class ledger.GeneralAccountBalances
Lino.ledger.GeneralAccountBalances.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/GeneralAccountBalances",
  ls_store_fields : [ { "name": "description" }, { "name": "old_d" }, { "name": "old_c" }, { "name": "empty_column" }, { "name": "during_d" }, { "name": "during_c" }, { "name": "new_d" }, { "name": "new_c" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/GeneralAccountBalances','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/GeneralAccountBalances','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/GeneralAccountBalances','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/GeneralAccountBalances','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/GeneralAccountBalances','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  page_length : 20,
  stripeRows : true,
  title : "Saldenliste Generalkonten",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.GeneralAccountBalances.detail;
    var ww = this.containing_window;
    var description_disp14082 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var old_d14083 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var old_c14084 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var empty_column_disp14085 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var during_d14086 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var during_c14087 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var empty_column_disp14085 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var new_d14088 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var new_c14089 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.description) ") }, "sortable": false, "tooltip": "(ledger.GeneralAccountBalances.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "old_d", "editable": false, "format": "0.000,00/i", "header": "Debit\nvorher", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.old_d) ") }, "sortable": true, "tooltip": "(ledger.GeneralAccountBalances.old_d) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "old_c", "editable": false, "format": "0.000,00/i", "header": "Kredit\nvorher", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.old_c) ") }, "sortable": true, "tooltip": "(ledger.GeneralAccountBalances.old_c) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "empty_column", "editable": false, "header": "", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.empty_column) ") }, "sortable": false, "tooltip": "(ledger.GeneralAccountBalances.empty_column) ", "width": Lino.chars2width(2) }, { "align": "right", "colIndex": 4, "dataIndex": "during_d", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.during_d) ") }, "sortable": true, "tooltip": "(ledger.GeneralAccountBalances.during_d) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "during_c", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.during_c) ") }, "sortable": true, "tooltip": "(ledger.GeneralAccountBalances.during_c) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "empty_column", "editable": false, "header": "", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.empty_column) ") }, "sortable": false, "tooltip": "(ledger.GeneralAccountBalances.empty_column) ", "width": Lino.chars2width(2) }, { "align": "right", "colIndex": 7, "dataIndex": "new_d", "editable": false, "format": "0.000,00/i", "header": "Debit\nnachher", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.new_d) ") }, "sortable": true, "tooltip": "(ledger.GeneralAccountBalances.new_d) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "new_c", "editable": false, "format": "0.000,00/i", "header": "Kredit\nnachher", "listeners": { "render": Lino.quicktip_renderer("","(ledger.GeneralAccountBalances.new_c) ") }, "sortable": true, "tooltip": "(ledger.GeneralAccountBalances.new_c) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.ledger.GeneralAccountBalances.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.GeneralAccountBalances.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.GeneralAccountBalances.detailPanel = Ext.extend(Lino.ledger.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" } ],
  ls_url: "/ledger/GeneralAccountBalances",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.GeneralAccountBalances.detail;
    Lino.ledger.GeneralAccountBalances.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.GeneralAccountBalances.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/GeneralAccountBalances" };
  return new Lino.ledger.GeneralAccountBalances.detailPanel(p);
});
Lino.ledger.GeneralAccountBalances.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/GeneralAccountBalances" };
  p.params_panel = new Lino.ledger.GeneralAccountBalances.ParamsPanel({});
  return new Lino.ledger.GeneralAccountBalances.GridPanel(p);
});
Lino.ledger.GeneralAccountBalances.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.GeneralAccountBalances.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/GeneralAccountBalances", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.PartnerBalancesByTradeType
Lino.ledger.PartnerBalancesByTradeType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/PartnerBalancesByTradeType",
  ls_store_fields : [ { "name": "description" }, { "name": "old_dc" }, { "name": "during_d" }, { "name": "during_c" }, { "name": "new_dc" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerBalancesByTradeType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerBalancesByTradeType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerBalancesByTradeType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerBalancesByTradeType','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerBalancesByTradeType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/PartnerBalancesByTradeType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  disabled_fields_index : 6,
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.PartnerBalancesByTradeType.detail;
    var ww = this.containing_window;
    var description_disp14091 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var old_dc14092 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var during_d14093 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var during_c14094 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var new_dc14095 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerBalancesByTradeType.description) ") }, "sortable": false, "tooltip": "(ledger.PartnerBalancesByTradeType.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "old_dc", "editable": false, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerBalancesByTradeType.old_dc) ") }, "sortable": true, "tooltip": "(ledger.PartnerBalancesByTradeType.old_dc) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "during_d", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerBalancesByTradeType.during_d) ") }, "sortable": true, "tooltip": "(ledger.PartnerBalancesByTradeType.during_d) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "during_c", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerBalancesByTradeType.during_c) ") }, "sortable": true, "tooltip": "(ledger.PartnerBalancesByTradeType.during_c) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "new_dc", "editable": false, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PartnerBalancesByTradeType.new_dc) ") }, "sortable": true, "tooltip": "(ledger.PartnerBalancesByTradeType.new_dc) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.ledger.PartnerBalancesByTradeType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PartnerBalancesByTradeType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.ledger.PartnerBalancesByTradeType.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/ledger/PartnerBalancesByTradeType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.ledger.PartnerBalancesByTradeType.detail;
    Lino.ledger.PartnerBalancesByTradeType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PartnerBalancesByTradeType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PartnerBalancesByTradeType" };
  return new Lino.ledger.PartnerBalancesByTradeType.detailPanel(p);
});
Lino.ledger.PartnerBalancesByTradeType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PartnerBalancesByTradeType" };
  p.params_panel = new Lino.ledger.PartnerBalancesByTradeType.ParamsPanel({});
  return new Lino.ledger.PartnerBalancesByTradeType.GridPanel(p);
});
Lino.ledger.PartnerBalancesByTradeType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PartnerBalancesByTradeType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PartnerBalancesByTradeType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.Movements
Lino.ledger.Movements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/Movements",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher_link" }, { "name": "description" }, { "name": "debit" }, { "name": "credit" }, { "name": "match_link" }, { "name": "cleared", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "voucher" }, 'voucherHidden', { "name": "partner" }, 'partnerHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "match" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/Movements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Movements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Movements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Movements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/Movements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  disabled_fields_index : 19,
  initComponent : function() {
    var ww = this.containing_window;
    var value_date14097 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher_link_disp14098 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description_disp14099 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var debit14100 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit14101 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var match_link_disp14102 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var cleared14103 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id14104 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project14105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/project" }) }) });
    var voucher14106 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/voucher" }) }) });
    var partner14107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/partner" }) }) });
    var seqno14108 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var account14109 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/account" }) }) });
    var amount14110 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var match14111 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/match" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof partner14107 !== 'undefined' && partner14107.on('change',Lino.chooser_handler(match14111,'partner'));
      typeof account14109 !== 'undefined' && account14109.on('change',Lino.chooser_handler(match14111,'account'));
      Lino.ledger.Movements.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value_date", "editable": true, "editor": value_date14097, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher_link", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.voucher_link) A virtual field which shows a link to the voucher.") }, "sortable": true, "tooltip": "A virtual field which shows a link to the voucher.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.description) ") }, "sortable": false, "tooltip": "(ledger.Movements.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "match_link", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.match_link) A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.") }, "sortable": true, "tooltip": "A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14104, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project14105, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher14106, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "partner", "editable": true, "editor": partner14107, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "seqno", "editable": true, "editor": seqno14108, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "account", "editable": true, "editor": account14109, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 13, "dataIndex": "amount", "editable": true, "editor": amount14110, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 14, "dataIndex": "match", "editable": true, "editor": match14111, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.Movements.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) } ];
    Lino.ledger.Movements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Movements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Movements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Movements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Movements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Movements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Movements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Movements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Movements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Movements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Movements" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.Movements.GridPanel(p);
});

// js_render_GridPanel_class ledger.AllMovements
Lino.ledger.AllMovements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/AllMovements",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher_link" }, { "name": "description" }, { "name": "debit" }, { "name": "credit" }, { "name": "match_link" }, { "name": "cleared", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "voucher" }, 'voucherHidden', { "name": "partner" }, 'partnerHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "match" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/AllMovements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AllMovements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AllMovements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/AllMovements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/AllMovements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  disabled_fields_index : 19,
  initComponent : function() {
    var ww = this.containing_window;
    var value_date14113 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher_link_disp14114 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description_disp14115 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var debit14116 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit14117 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var match_link_disp14118 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var cleared14119 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id14120 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project14121 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllMovements/project" }) }) });
    var voucher14122 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllMovements/voucher" }) }) });
    var partner14123 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllMovements/partner" }) }) });
    var seqno14124 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var account14125 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllMovements/account" }) }) });
    var amount14126 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var match14127 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllMovements/match" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof partner14123 !== 'undefined' && partner14123.on('change',Lino.chooser_handler(match14127,'partner'));
      typeof account14125 !== 'undefined' && account14125.on('change',Lino.chooser_handler(match14127,'account'));
      Lino.ledger.AllMovements.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value_date", "editable": true, "editor": value_date14113, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher_link", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.voucher_link) A virtual field which shows a link to the voucher.") }, "sortable": true, "tooltip": "A virtual field which shows a link to the voucher.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.description) ") }, "sortable": false, "tooltip": "(ledger.AllMovements.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "match_link", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.match_link) A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.") }, "sortable": true, "tooltip": "A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14120, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project14121, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher14122, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "partner", "editable": true, "editor": partner14123, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "seqno", "editable": true, "editor": seqno14124, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "account", "editable": true, "editor": account14125, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 13, "dataIndex": "amount", "editable": true, "editor": amount14126, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 14, "dataIndex": "match", "editable": true, "editor": match14127, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.AllMovements.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) } ];
    Lino.ledger.AllMovements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.AllMovements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllMovements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllMovements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllMovements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllMovements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllMovements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllMovements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/AllMovements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.AllMovements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/AllMovements" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.AllMovements.GridPanel(p);
});

// js_render_GridPanel_class ledger.FiscalYears
Lino.ledger.FiscalYears.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/FiscalYears",
  ls_store_fields : [ { "name": "ref" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 61,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/FiscalYears','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/FiscalYears','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/FiscalYears','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/FiscalYears','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/FiscalYears','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.ledger.FiscalYears.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gesch\u00e4ftsjahre",
  initComponent : function() {
    var ww = this.containing_window;
    var ref14129 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date14130 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date14131 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state14132 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.ledger.PeriodStates });
    var id14133 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref14129, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(ledger.FiscalYears.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date14130, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(ledger.FiscalYears.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date14131, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(ledger.FiscalYears.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "state", "editable": true, "editor": state14132, "filter": { "options": [ "In Bearbeitung", "Abgeschlossen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(ledger.FiscalYears.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id14133, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.FiscalYears.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.ledger.FiscalYears.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.FiscalYears.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/FiscalYears", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.FiscalYears.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/FiscalYears", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.FiscalYears.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/FiscalYears", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.FiscalYears.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/FiscalYears", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.FiscalYears.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/FiscalYears", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.FiscalYears.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/FiscalYears" };
  p.params_panel = new Lino.ledger.FiscalYears.ParamsPanel({});
  return new Lino.ledger.FiscalYears.GridPanel(p);
});

// js_render_GridPanel_class vatless.Invoices
Lino.vatless.Invoices.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/Invoices",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "number_with_year" }, { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "project" }, 'projectHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "your_ref" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "match" }, { "name": "bank_account" }, 'bank_accountHidden', { "name": "state" }, 'stateHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/Invoices','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/Invoices','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/Invoices','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/Invoices','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/Invoices','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Rechnung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of vatless.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Rechnungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.Invoices.detail;
    this.ls_insert_handler = Lino.vatless.Invoices.insert;
    var ww = this.containing_window;
    var entry_date14135 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var id14136 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var number_with_year_disp14137 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var partner14138 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var amount14139 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var user14140 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/user" }) }) });
    var journal14141 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var voucher_date14142 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var accounting_period14143 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/accounting_period" }) }) });
    var number14144 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var narration14145 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var project14146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/project" }) }) });
    var payment_term14147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/payment_term" }) }) });
    var your_ref14148 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var due_date14149 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var match14150 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/match" }) }) });
    var bank_account14151 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/bank_account" }) }) });
    var state14152 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    this.before_row_edit = function(record) {
      match14150.setContextValue('journal', record ? record.data['journalHidden'] : undefined);
      match14150.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account14151.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account14151.setContextValue('project', record ? record.data['projectHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof journal14141 !== 'undefined' && journal14141.on('change',Lino.chooser_handler(match14150,'journal'));
      typeof partner14138 !== 'undefined' && partner14138.on('change',Lino.chooser_handler(match14150,'partner'));
      typeof partner14138 !== 'undefined' && partner14138.on('change',Lino.chooser_handler(bank_account14151,'partner'));
      typeof project14146 !== 'undefined' && project14146.on('change',Lino.chooser_handler(bank_account14151,'project'));
      Lino.vatless.Invoices.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "entry_date", "editable": true, "editor": entry_date14135, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id14136, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "partner", "editable": true, "editor": partner14138, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount14139, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user14140, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "journal", "editable": true, "editor": journal14141, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14142, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14143, "filter": { "type": "string" }, "header": "Buchungsperiode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "number", "editable": true, "editor": number14144, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "narration", "editable": true, "editor": narration14145, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "project", "editable": true, "editor": project14146, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "payment_term", "editable": true, "editor": payment_term14147, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.payment_term) The payment terms to be used in this document.  A pointer to\nPaymentTerm.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The payment terms to be used in this document.  A pointer to\nPaymentTerm.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "your_ref", "editable": true, "editor": your_ref14148, "filter": { "type": "string" }, "header": "Ihr Zeichen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.your_ref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "due_date", "editable": true, "editor": due_date14149, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "match", "editable": true, "editor": match14150, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "bank_account", "editable": true, "editor": bank_account14151, "filter": { "type": "string" }, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "state", "editable": true, "editor": state14152, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.Invoices.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) } ];
    Lino.vatless.Invoices.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.Invoices.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.vatless.Invoices.insertPanel = Ext.extend(Lino.vatless.Invoices.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/vatless/Invoices",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.Invoices.detail;
    this.ls_insert_handler = Lino.vatless.Invoices.insert;
    Lino.vatless.Invoices.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.Invoices.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/vatless/Invoices" };
  return new Lino.vatless.Invoices.insertPanel(p);
});
Lino.vatless.Invoices.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.vatless.Invoices.detailPanel = Ext.extend(Lino.vatless.Invoices.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Rechnung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/vatless/Invoices",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.Invoices.detail;
    this.ls_insert_handler = Lino.vatless.Invoices.insert;
    Lino.vatless.Invoices.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.Invoices.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/Invoices" };
  return new Lino.vatless.Invoices.detailPanel(p);
});
Lino.vatless.Invoices.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/Invoices" };
  p.params_panel = new Lino.vatless.Invoices.ParamsPanel({});
  return new Lino.vatless.Invoices.GridPanel(p);
});
Lino.vatless.Invoices.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.Invoices.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/Invoices", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class sepa.Accounts
Lino.sepa.Accounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/Accounts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "partner" }, 'partnerHidden', { "name": "iban" }, { "name": "bic" }, { "name": "remark" }, { "name": "primary", "type": "boolean" }, { "name": "account_type" }, 'account_typeHidden', { "name": "managed", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 67,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/Accounts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/Accounts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/Accounts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  initComponent : function() {
    var ww = this.containing_window;
    var id14154 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var partner14155 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/sepa/Accounts/partner" }) }) });
    var iban14156 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic14157 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var remark14158 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary14159 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var account_type14160 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var managed14161 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14154, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner14155, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.partner) Partner") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Partner", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "iban", "editable": true, "editor": iban14156, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "bic", "editable": true, "editor": bic14157, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark14158, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "account_type", "editable": true, "editor": account_type14160, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "listeners": { "render": Lino.quicktip_renderer("","(sepa.Accounts.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.sepa.Accounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.Accounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/Accounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.Accounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/Accounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.Accounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/Accounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.Accounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/Accounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.Accounts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/Accounts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.Accounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/Accounts" };
  return new Lino.sepa.Accounts.GridPanel(p);
});

// js_render_GridPanel_class b2c.Accounts
Lino.b2c.Accounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Accounts",
  ls_store_fields : [ { "name": "iban" }, { "name": "bic" }, { "dateFormat": "d.m.Y", "name": "last_transaction", "type": "date" }, { "name": "partners" }, { "name": "owner_name" }, { "name": "account_name" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 68,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Importierte  Bankkonten",
  disabled_fields_index : 7,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Accounts.detail;
    var ww = this.containing_window;
    var iban7456 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic7457 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var last_transaction7458 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partners_disp7459 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_name7460 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 70, "selectOnFocus": true });
    var account_name7461 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 70, "selectOnFocus": true });
    var id7462 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "iban", "editable": true, "editor": iban7456, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "bic", "editable": true, "editor": bic7457, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "last_transaction", "editable": true, "editor": last_transaction7458, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.last_transaction) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "partners", "editable": false, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.partners) ") }, "sortable": false, "tooltip": "(b2c.Accounts.partners) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "owner_name", "editable": true, "editor": owner_name7460, "filter": { "type": "string" }, "header": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.owner_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "account_name", "editable": true, "editor": account_name7461, "filter": { "type": "string" }, "header": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.account_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7462, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.b2c.Accounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Accounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Accounts.detailPanel = Ext.extend(Lino.b2c.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Accounts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Accounts.detail;
    Lino.b2c.Accounts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Accounts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Accounts" };
  return new Lino.b2c.Accounts.detailPanel(p);
});
Lino.b2c.Accounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Accounts" };
  return new Lino.b2c.Accounts.GridPanel(p);
});

// js_render_GridPanel_class b2c.Statements
Lino.b2c.Statements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Statements",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "statement_number" }, { "name": "balance_start" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "balance_end" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "local_currency" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Statements.detail;
    var ww = this.containing_window;
    var account7464 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var statement_number7465 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var balance_start7466 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date7467 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance_end7468 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var end_date7469 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var local_currency7470 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var id7471 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account7464, "filter": { "type": "string" }, "header": "Importiertes  Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.b2c.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "statement_number", "editable": true, "editor": statement_number7465, "filter": { "type": "string" }, "header": "Auszugsnummer", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "sortable": true, "tooltip": "Combination of the year and the legal sequential number of the paper statement.", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 2, "dataIndex": "balance_start", "editable": true, "editor": balance_start7466, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.balance_start) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7467, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "balance_end", "editable": true, "editor": balance_end7468, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.balance_end) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7469, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "local_currency", "editable": true, "editor": local_currency7470, "filter": { "type": "string" }, "header": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.local_currency) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7471, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.b2c.Statements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Statements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Statements.detailPanel = Ext.extend(Lino.b2c.Statements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Statements",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Statements.detail;
    Lino.b2c.Statements.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Statements.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Statements" };
  return new Lino.b2c.Statements.detailPanel(p);
});
Lino.b2c.Statements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Statements" };
  return new Lino.b2c.Statements.GridPanel(p);
});

// js_render_GridPanel_class b2c.Transactions
Lino.b2c.Transactions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Transactions",
  ls_store_fields : [ { "name": "statement" }, 'statementHidden', { "name": "seqno", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "amount" }, { "name": "remote_account" }, { "name": "remote_owner" }, { "name": "id", "type": "int" }, { "name": "remote_bic" }, { "name": "message" }, { "name": "eref" }, { "name": "remote_owner_address" }, { "name": "remote_owner_city" }, { "name": "remote_owner_postalcode" }, { "name": "remote_owner_country_code" }, { "name": "txcd" }, { "name": "txcd_issuer" }, { "dateFormat": "d.m.Y", "name": "booking_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 70,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Transaktionen",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Transactions.detail;
    var ww = this.containing_window;
    var statement7473 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno7474 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var value_date7475 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var amount7476 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remote_account7477 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 64, "selectOnFocus": true });
    var remote_owner7478 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 128, "selectOnFocus": true });
    var id7479 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remote_bic7480 = new Lino.UppercaseTextField({ "allowBlank": true, "hidden": true, "maxLength": 11, "selectOnFocus": true });
    var message7481 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var eref7482 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner_address7483 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remote_owner_city7484 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var remote_owner_postalcode7485 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remote_owner_country_code7486 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var txcd7487 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var txcd_issuer7488 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 35, "selectOnFocus": true });
    var booking_date7489 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "statement", "editable": true, "editor": statement7473, "filter": { "type": "string" }, "header": "Kontoauszug", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.statement) ") }, "renderer": Lino.fk_renderer('statementHidden','Lino.b2c.Statements.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7474, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "sortable": true, "tooltip": "The sequence number of this transaction in the statement.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "value_date", "editable": true, "editor": value_date7475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.value_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount7476, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "remote_account", "editable": true, "editor": remote_account7477, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_account) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "remote_owner", "editable": true, "editor": remote_owner7478, "filter": { "type": "string" }, "header": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7479, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remote_bic", "editable": true, "editor": remote_bic7480, "filter": { "type": "string" }, "header": "BIC", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 8, "dataIndex": "message", "editable": true, "editor": message7481, "filter": { "type": "string" }, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.message) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "eref", "editable": true, "editor": eref7482, "filter": { "type": "string" }, "header": "End to end reference", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.eref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remote_owner_address", "editable": true, "editor": remote_owner_address7483, "filter": { "type": "string" }, "header": "Adresse Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_address) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "remote_owner_city", "editable": true, "editor": remote_owner_city7484, "filter": { "type": "string" }, "header": "Stadt Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_city) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "remote_owner_postalcode", "editable": true, "editor": remote_owner_postalcode7485, "filter": { "type": "string" }, "header": "PLZ Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_postalcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "remote_owner_country_code", "editable": true, "editor": remote_owner_country_code7486, "filter": { "type": "string" }, "header": "Land Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_country_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 14, "dataIndex": "txcd", "editable": true, "editor": txcd7487, "filter": { "type": "string" }, "header": "Transfer-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "txcd_issuer", "editable": true, "editor": txcd_issuer7488, "filter": { "type": "string" }, "header": "TxCd issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd_issuer) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "booking_date", "editable": true, "editor": booking_date7489, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.booking_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.b2c.Transactions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Transactions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Transactions.detailPanel = Ext.extend(Lino.b2c.Transactions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Transactions",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Transactions.detail;
    Lino.b2c.Transactions.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Transactions.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Transactions" };
  return new Lino.b2c.Transactions.detailPanel(p);
});
Lino.b2c.Transactions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Transactions" };
  return new Lino.b2c.Transactions.GridPanel(p);
});

// js_render_GridPanel_class finan.FinancialVouchers
Lino.finan.FinancialVouchers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/FinancialVouchers",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "project" }, 'projectHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/FinancialVouchers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/FinancialVouchers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/FinancialVouchers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/FinancialVouchers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/FinancialVouchers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Diverse Buchungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.FinancialVouchers.detail;
    this.ls_insert_handler = Lino.finan.FinancialVouchers.insert;
    var ww = this.containing_window;
    var id14163 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14164 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/user" }) }) });
    var journal14165 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/journal" }) }) });
    var entry_date14166 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var voucher_date14167 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var accounting_period14168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/accounting_period" }) }) });
    var number14169 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var narration14170 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var printed_by14171 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var project14172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/project" }) }) });
    var state14173 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14174 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/item_account" }) }) });
    var item_remark14175 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date14176 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14163, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14164, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "journal", "editable": true, "editor": journal14165, "filter": { "type": "string" }, "header": "Journal", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "entry_date", "editable": true, "editor": entry_date14166, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14167, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14168, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "number", "editable": true, "editor": number14169, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "narration", "editable": true, "editor": narration14170, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "project", "editable": true, "editor": project14172, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "state", "editable": true, "editor": state14173, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 11, "dataIndex": "item_account", "editable": true, "editor": item_account14174, "filter": { "type": "string" }, "header": "Standardwert Konto", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "item_remark", "editable": true, "editor": item_remark14175, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date14176, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "listeners": { "render": Lino.quicktip_renderer("","(finan.FinancialVouchers.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.finan.FinancialVouchers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.FinancialVouchers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.FinancialVouchers.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/FinancialVouchers",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.FinancialVouchers.detail;
    this.ls_insert_handler = Lino.finan.FinancialVouchers.insert;
    Lino.finan.FinancialVouchers.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.FinancialVouchers.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/FinancialVouchers" };
  return new Lino.finan.FinancialVouchers.insertPanel(p);
});
Lino.finan.FinancialVouchers.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.FinancialVouchers.detailPanel = Ext.extend(Lino.finan.FinancialVouchers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/FinancialVouchers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.FinancialVouchers.detail;
    this.ls_insert_handler = Lino.finan.FinancialVouchers.insert;
    Lino.finan.FinancialVouchers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.FinancialVouchers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/FinancialVouchers" };
  return new Lino.finan.FinancialVouchers.detailPanel(p);
});
Lino.finan.FinancialVouchers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/FinancialVouchers" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.FinancialVouchers.GridPanel(p);
});
Lino.finan.FinancialVouchers.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.FinancialVouchers.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/FinancialVouchers", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.JournalEntries
Lino.finan.JournalEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/JournalEntries",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "project" }, 'projectHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Diverse Buchungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.JournalEntries.detail;
    this.ls_insert_handler = Lino.finan.JournalEntries.insert;
    var ww = this.containing_window;
    var number_with_year_disp14178 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14179 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration14180 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var accounting_period14181 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntries/accounting_period" }) }) });
    var workflow_buttons_disp14182 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14183 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14184 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntries/user" }) }) });
    var journal14185 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntries/journal" }) }) });
    var voucher_date14186 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14187 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14188 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var project14189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntries/project" }) }) });
    var state14190 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14191 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntries/item_account" }) }) });
    var item_remark14192 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date14193 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14179, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration14180, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14181, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id14183, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user14184, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "journal", "editable": true, "editor": journal14185, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14186, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "number", "editable": true, "editor": number14187, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "project", "editable": true, "editor": project14189, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state14190, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 13, "dataIndex": "item_account", "editable": true, "editor": item_account14191, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "item_remark", "editable": true, "editor": item_remark14192, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date14193, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntries.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.finan.JournalEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.JournalEntries.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/JournalEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.JournalEntries.detail;
    this.ls_insert_handler = Lino.finan.JournalEntries.insert;
    Lino.finan.JournalEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/JournalEntries" };
  return new Lino.finan.JournalEntries.insertPanel(p);
});
Lino.finan.JournalEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.JournalEntries.detailPanel = Ext.extend(Lino.finan.FinancialVouchers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/JournalEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.JournalEntries.detail;
    this.ls_insert_handler = Lino.finan.JournalEntries.insert;
    Lino.finan.JournalEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntries" };
  return new Lino.finan.JournalEntries.detailPanel(p);
});
Lino.finan.JournalEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntries" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.JournalEntries.GridPanel(p);
});
Lino.finan.JournalEntries.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.PaymentOrders
Lino.finan.PaymentOrders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/PaymentOrders",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "total" }, { "dateFormat": "d.m.Y", "name": "execution_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zahlungsauftr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.PaymentOrders.detail;
    this.ls_insert_handler = Lino.finan.PaymentOrders.insert;
    var ww = this.containing_window;
    var number_with_year_disp14195 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14196 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration14197 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var total14198 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var execution_date14199 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var accounting_period14200 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/accounting_period" }) }) });
    var workflow_buttons_disp14201 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14202 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14203 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/user" }) }) });
    var journal14204 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/journal" }) }) });
    var voucher_date14205 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14206 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14207 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state14208 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14209 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/item_account" }) }) });
    var item_remark14210 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14196, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration14197, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "total", "editable": true, "editor": total14198, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "sortable": true, "tooltip": "The total amount. This is automatically computed when you register\nde voucher.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "execution_date", "editable": true, "editor": execution_date14199, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "sortable": true, "tooltip": "The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14200, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14202, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user14203, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "journal", "editable": true, "editor": journal14204, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14205, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "number", "editable": true, "editor": number14206, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state14208, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "item_account", "editable": true, "editor": item_account14209, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "item_remark", "editable": true, "editor": item_remark14210, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) } ];
    Lino.finan.PaymentOrders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.PaymentOrders.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/PaymentOrders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.PaymentOrders.detail;
    this.ls_insert_handler = Lino.finan.PaymentOrders.insert;
    Lino.finan.PaymentOrders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/PaymentOrders" };
  return new Lino.finan.PaymentOrders.insertPanel(p);
});
Lino.finan.PaymentOrders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.PaymentOrders.detailPanel = Ext.extend(Lino.finan.PaymentOrders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/PaymentOrders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.PaymentOrders.detail;
    this.ls_insert_handler = Lino.finan.PaymentOrders.insert;
    Lino.finan.PaymentOrders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrders" };
  return new Lino.finan.PaymentOrders.detailPanel(p);
});
Lino.finan.PaymentOrders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.write_xml = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "write_xml", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrders" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.PaymentOrders.GridPanel(p);
});
Lino.finan.PaymentOrders.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrders.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrders", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.BankStatements
Lino.finan.BankStatements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/BankStatements",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "balance1" }, { "name": "balance2" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontoauszug) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kontoauszug", "overflowText": "Kontoauszug", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.BankStatements.detail;
    this.ls_insert_handler = Lino.finan.BankStatements.insert;
    var ww = this.containing_window;
    var number_with_year_disp14212 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14213 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance114214 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var balance214215 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var accounting_period14216 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/accounting_period" }) }) });
    var workflow_buttons_disp14217 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14218 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14219 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/user" }) }) });
    var journal14220 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/journal" }) }) });
    var voucher_date14221 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14222 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var narration14223 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var printed_by14224 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state14225 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/item_account" }) }) });
    var item_remark14227 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date14228 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14213, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "balance1", "editable": true, "editor": balance114214, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.balance1) The old (or start) balance.") }, "sortable": true, "tooltip": "The old (or start) balance.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "balance2", "editable": true, "editor": balance214215, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.balance2) The new (or end) balance.") }, "sortable": true, "tooltip": "The new (or end) balance.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14216, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14218, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user14219, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "journal", "editable": true, "editor": journal14220, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14221, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "number", "editable": true, "editor": number14222, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "narration", "editable": true, "editor": narration14223, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state14225, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "item_account", "editable": true, "editor": item_account14226, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "item_remark", "editable": true, "editor": item_remark14227, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date14228, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatements.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.finan.BankStatements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.BankStatements.insertPanel = Ext.extend(Lino.finan.BankStatements.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/BankStatements",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.BankStatements.detail;
    this.ls_insert_handler = Lino.finan.BankStatements.insert;
    Lino.finan.BankStatements.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatements.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/BankStatements" };
  return new Lino.finan.BankStatements.insertPanel(p);
});
Lino.finan.BankStatements.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.BankStatements.detailPanel = Ext.extend(Lino.finan.BankStatements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontoauszug) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kontoauszug", "overflowText": "Kontoauszug", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/BankStatements",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.BankStatements.detail;
    this.ls_insert_handler = Lino.finan.BankStatements.insert;
    Lino.finan.BankStatements.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatements.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatements" };
  return new Lino.finan.BankStatements.detailPanel(p);
});
Lino.finan.BankStatements.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatements" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.BankStatements.GridPanel(p);
});
Lino.finan.BankStatements.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatements.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatements", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.AllBankStatements
Lino.finan.AllBankStatements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/AllBankStatements",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "balance1" }, { "name": "balance2" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/AllBankStatements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllBankStatements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllBankStatements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllBankStatements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/AllBankStatements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontoauszug) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kontoauszug", "overflowText": "Kontoauszug", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllBankStatements.detail;
    this.ls_insert_handler = Lino.finan.AllBankStatements.insert;
    var ww = this.containing_window;
    var number_with_year_disp14230 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14231 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance114232 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var balance214233 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var accounting_period14234 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllBankStatements/accounting_period" }) }) });
    var workflow_buttons_disp14235 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14236 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14237 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllBankStatements/user" }) }) });
    var journal14238 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllBankStatements/journal" }) }) });
    var voucher_date14239 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14240 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var narration14241 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var printed_by14242 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state14243 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14244 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllBankStatements/item_account" }) }) });
    var item_remark14245 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date14246 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14231, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "balance1", "editable": true, "editor": balance114232, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.balance1) The old (or start) balance.") }, "sortable": true, "tooltip": "The old (or start) balance.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "balance2", "editable": true, "editor": balance214233, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.balance2) The new (or end) balance.") }, "sortable": true, "tooltip": "The new (or end) balance.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14234, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14236, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user14237, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "journal", "editable": true, "editor": journal14238, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14239, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "number", "editable": true, "editor": number14240, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "narration", "editable": true, "editor": narration14241, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state14243, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "item_account", "editable": true, "editor": item_account14244, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "item_remark", "editable": true, "editor": item_remark14245, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date14246, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllBankStatements.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.finan.AllBankStatements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllBankStatements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.AllBankStatements.insertPanel = Ext.extend(Lino.finan.BankStatements.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/AllBankStatements",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllBankStatements.detail;
    this.ls_insert_handler = Lino.finan.AllBankStatements.insert;
    Lino.finan.AllBankStatements.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllBankStatements.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/AllBankStatements" };
  return new Lino.finan.AllBankStatements.insertPanel(p);
});
Lino.finan.AllBankStatements.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.AllBankStatements.detailPanel = Ext.extend(Lino.finan.BankStatements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontoauszug) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kontoauszug", "overflowText": "Kontoauszug", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/AllBankStatements",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllBankStatements.detail;
    this.ls_insert_handler = Lino.finan.AllBankStatements.insert;
    Lino.finan.AllBankStatements.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllBankStatements.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/AllBankStatements" };
  return new Lino.finan.AllBankStatements.detailPanel(p);
});
Lino.finan.AllBankStatements.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/AllBankStatements" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.AllBankStatements.GridPanel(p);
});
Lino.finan.AllBankStatements.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllBankStatements.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllBankStatements", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.AllJournalEntries
Lino.finan.AllJournalEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/AllJournalEntries",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "project" }, 'projectHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/AllJournalEntries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllJournalEntries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllJournalEntries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllJournalEntries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/AllJournalEntries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Diverse Buchungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllJournalEntries.detail;
    this.ls_insert_handler = Lino.finan.AllJournalEntries.insert;
    var ww = this.containing_window;
    var number_with_year_disp14248 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14249 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration14250 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var accounting_period14251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllJournalEntries/accounting_period" }) }) });
    var workflow_buttons_disp14252 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14253 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllJournalEntries/user" }) }) });
    var journal14255 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllJournalEntries/journal" }) }) });
    var voucher_date14256 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14257 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14258 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var project14259 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllJournalEntries/project" }) }) });
    var state14260 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllJournalEntries/item_account" }) }) });
    var item_remark14262 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date14263 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14249, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration14250, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14251, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id14253, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user14254, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "journal", "editable": true, "editor": journal14255, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14256, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "number", "editable": true, "editor": number14257, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "project", "editable": true, "editor": project14259, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state14260, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 13, "dataIndex": "item_account", "editable": true, "editor": item_account14261, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "item_remark", "editable": true, "editor": item_remark14262, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date14263, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllJournalEntries.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.finan.AllJournalEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllJournalEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.AllJournalEntries.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/AllJournalEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllJournalEntries.detail;
    this.ls_insert_handler = Lino.finan.AllJournalEntries.insert;
    Lino.finan.AllJournalEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllJournalEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/AllJournalEntries" };
  return new Lino.finan.AllJournalEntries.insertPanel(p);
});
Lino.finan.AllJournalEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.AllJournalEntries.detailPanel = Ext.extend(Lino.finan.FinancialVouchers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/AllJournalEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllJournalEntries.detail;
    this.ls_insert_handler = Lino.finan.AllJournalEntries.insert;
    Lino.finan.AllJournalEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllJournalEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/AllJournalEntries" };
  return new Lino.finan.AllJournalEntries.detailPanel(p);
});
Lino.finan.AllJournalEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/AllJournalEntries" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.AllJournalEntries.GridPanel(p);
});
Lino.finan.AllJournalEntries.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllJournalEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllJournalEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.AllPaymentOrders
Lino.finan.AllPaymentOrders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/AllPaymentOrders",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "total" }, { "dateFormat": "d.m.Y", "name": "execution_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/AllPaymentOrders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllPaymentOrders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllPaymentOrders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/AllPaymentOrders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/AllPaymentOrders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zahlungsauftr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllPaymentOrders.detail;
    this.ls_insert_handler = Lino.finan.AllPaymentOrders.insert;
    var ww = this.containing_window;
    var number_with_year_disp14265 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14266 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration14267 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var total14268 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var execution_date14269 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var accounting_period14270 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllPaymentOrders/accounting_period" }) }) });
    var workflow_buttons_disp14271 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14272 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14273 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllPaymentOrders/user" }) }) });
    var journal14274 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllPaymentOrders/journal" }) }) });
    var voucher_date14275 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14276 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14277 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state14278 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/AllPaymentOrders/item_account" }) }) });
    var item_remark14280 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14266, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration14267, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "total", "editable": true, "editor": total14268, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "sortable": true, "tooltip": "The total amount. This is automatically computed when you register\nde voucher.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "execution_date", "editable": true, "editor": execution_date14269, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "sortable": true, "tooltip": "The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14270, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14272, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user14273, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "journal", "editable": true, "editor": journal14274, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14275, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "number", "editable": true, "editor": number14276, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state14278, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "item_account", "editable": true, "editor": item_account14279, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "item_remark", "editable": true, "editor": item_remark14280, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.AllPaymentOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) } ];
    Lino.finan.AllPaymentOrders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllPaymentOrders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.AllPaymentOrders.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/AllPaymentOrders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllPaymentOrders.detail;
    this.ls_insert_handler = Lino.finan.AllPaymentOrders.insert;
    Lino.finan.AllPaymentOrders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllPaymentOrders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/AllPaymentOrders" };
  return new Lino.finan.AllPaymentOrders.insertPanel(p);
});
Lino.finan.AllPaymentOrders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.AllPaymentOrders.detailPanel = Ext.extend(Lino.finan.PaymentOrders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/AllPaymentOrders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.AllPaymentOrders.detail;
    this.ls_insert_handler = Lino.finan.AllPaymentOrders.insert;
    Lino.finan.AllPaymentOrders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.AllPaymentOrders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/AllPaymentOrders" };
  return new Lino.finan.AllPaymentOrders.detailPanel(p);
});
Lino.finan.AllPaymentOrders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.write_xml = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "write_xml", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/AllPaymentOrders" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.AllPaymentOrders.GridPanel(p);
});
Lino.finan.AllPaymentOrders.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.AllPaymentOrders.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/AllPaymentOrders", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.DisbursementOrders
Lino.finan.DisbursementOrders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/DisbursementOrders",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "total" }, { "dateFormat": "d.m.Y", "name": "execution_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "journal" }, 'journalHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zahlungsauftr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.DisbursementOrders.detail;
    this.ls_insert_handler = Lino.finan.DisbursementOrders.insert;
    var ww = this.containing_window;
    var number_with_year_disp14282 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date14283 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration14284 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var total14285 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var execution_date14286 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var accounting_period14287 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/accounting_period" }) }) });
    var workflow_buttons_disp14288 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id14289 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user14290 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/user" }) }) });
    var journal14291 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/journal" }) }) });
    var voucher_date14292 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number14293 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14294 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state14295 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account14296 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/item_account" }) }) });
    var item_remark14297 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date14283, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration14284, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "total", "editable": true, "editor": total14285, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "sortable": true, "tooltip": "The total amount. This is automatically computed when you register\nde voucher.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "execution_date", "editable": true, "editor": execution_date14286, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "sortable": true, "tooltip": "The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period14287, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14289, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user14290, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "journal", "editable": true, "editor": journal14291, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date14292, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "number", "editable": true, "editor": number14293, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state14295, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "item_account", "editable": true, "editor": item_account14296, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "item_remark", "editable": true, "editor": item_remark14297, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) } ];
    Lino.finan.DisbursementOrders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.DisbursementOrders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.DisbursementOrders.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/DisbursementOrders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.DisbursementOrders.detail;
    this.ls_insert_handler = Lino.finan.DisbursementOrders.insert;
    Lino.finan.DisbursementOrders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.DisbursementOrders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/DisbursementOrders" };
  return new Lino.finan.DisbursementOrders.insertPanel(p);
});
Lino.finan.DisbursementOrders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.DisbursementOrders.detailPanel = Ext.extend(Lino.finan.DisbursementOrders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/DisbursementOrders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.DisbursementOrders.detail;
    this.ls_insert_handler = Lino.finan.DisbursementOrders.insert;
    Lino.finan.DisbursementOrders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.DisbursementOrders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/DisbursementOrders" };
  return new Lino.finan.DisbursementOrders.detailPanel(p);
});
Lino.finan.DisbursementOrders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.write_xml = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "write_xml", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/DisbursementOrders" };
  p.params_panel = new Lino.finan.FinancialVouchers.ParamsPanel({});
  return new Lino.finan.DisbursementOrders.GridPanel(p);
});
Lino.finan.DisbursementOrders.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrders.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrders", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class languages.Languages
Lino.languages.Languages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/languages/Languages",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id" }, { "name": "iso2" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 79,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/languages/Languages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/languages/Languages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/languages/Languages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/languages/Languages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/languages/Languages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of languages.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachen",
  initComponent : function() {
    this.ls_detail_handler = Lino.languages.Languages.detail;
    var ww = this.containing_window;
    var name14299 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14300 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14301 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14302 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var iso214303 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(2), "maxLength": 2, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14299, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(languages.Languages.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14300, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(languages.Languages.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14301, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(languages.Languages.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id14302, "filter": { "type": "string" }, "header": "id", "listeners": { "render": Lino.quicktip_renderer("","(languages.Languages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "colIndex": 4, "dataIndex": "iso2", "editable": true, "editor": iso214303, "filter": { "type": "string" }, "header": "iso2", "listeners": { "render": Lino.quicktip_renderer("","(languages.Languages.iso2) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) } ];
    Lino.languages.Languages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.languages.Languages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/languages/Languages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.languages.Languages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/languages/Languages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.languages.Languages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/languages/Languages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.languages.Languages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/languages/Languages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.languages.Languages.detailPanel = Ext.extend(Lino.languages.Languages.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/languages/Languages",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.languages.Languages.detail;
    Lino.languages.Languages.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.languages.Languages.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/languages/Languages" };
  return new Lino.languages.Languages.detailPanel(p);
});
Lino.languages.Languages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/languages/Languages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.languages.Languages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/languages/Languages" };
  return new Lino.languages.Languages.GridPanel(p);
});
Lino.languages.Languages.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/languages/Languages", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.Clients
Lino.integ.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "contract_company" }, 'contract_companyHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.Clients.detail;
    var ww = this.containing_window;
    var name_column_disp7491 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var applies_from7492 = new Lino.DateField({ "disabled": true });
    var applies_until7493 = new Lino.DateField({ "disabled": true });
    var contract_company7494 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var national_id7495 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7496 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7497 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7498 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7499 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7500 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7501 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/aid_type" }) }) });
    var language7503 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.name_column) ") }, "sortable": false, "tooltip": "(integ.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": false, "format": "d.m.Y", "header": "Vertrag beginnt", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.applies_from) ") }, "sortable": true, "tooltip": "(integ.Clients.applies_from) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": false, "format": "d.m.Y", "header": "Vertrag endet", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.applies_until) ") }, "sortable": true, "tooltip": "(integ.Clients.applies_until) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "contract_company", "editable": false, "header": "Arbeitet bei", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.contract_company) ") }, "renderer": Lino.fk_renderer('contract_companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.Clients.contract_company) ", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "national_id", "editable": true, "editor": national_id7495, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "gsm", "editable": true, "editor": gsm7496, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.address_column) ") }, "sortable": false, "tooltip": "(integ.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "email", "editable": true, "editor": email7499, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "phone", "editable": true, "editor": phone7500, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id7501, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "aid_type", "editable": true, "editor": aid_type7502, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language7503, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.integ.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/integ/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.Clients.detail;
    Lino.integ.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/Clients" };
  return new Lino.integ.Clients.detailPanel(p);
});
Lino.integ.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/Clients" };
  p.params_panel = new Lino.integ.Clients.ParamsPanel({});
  return new Lino.integ.Clients.GridPanel(p);
});
Lino.integ.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CoachingEndingsByUser
Lino.integ.CoachingEndingsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CoachingEndingsByUser",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "vc6" }, { "name": "vc7" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Coaching endings by user",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CoachingEndingsByUser.detail;
    var ww = this.containing_window;
    var description14305 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc014306 = new Ext.form.NumberField({ "disabled": true });
    var vc114307 = new Ext.form.NumberField({ "disabled": true });
    var vc214308 = new Ext.form.NumberField({ "disabled": true });
    var vc314309 = new Ext.form.NumberField({ "disabled": true });
    var vc414310 = new Ext.form.NumberField({ "disabled": true });
    var vc514311 = new Ext.form.NumberField({ "disabled": true });
    var vc614312 = new Ext.form.NumberField({ "disabled": true });
    var vc714313 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.description) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "alicia", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc0) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "hubert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc1) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "melanie", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc2) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "patrick", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc3) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "romain", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc4) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "rolf", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc5) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "vc6", "editable": false, "format": "0", "header": "robin", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc6) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc6) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "vc7", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByUser.vc7) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByUser.vc7) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CoachingEndingsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CoachingEndingsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CoachingEndingsByUser.detailPanel = Ext.extend(Lino.coachings.CoachingEndings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/CoachingEndingsByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CoachingEndingsByUser.detail;
    Lino.integ.CoachingEndingsByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CoachingEndingsByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CoachingEndingsByUser" };
  return new Lino.integ.CoachingEndingsByUser.detailPanel(p);
});
Lino.integ.CoachingEndingsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CoachingEndingsByUser" };
  return new Lino.integ.CoachingEndingsByUser.GridPanel(p);
});
Lino.integ.CoachingEndingsByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CoachingEndingsByType
Lino.integ.CoachingEndingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CoachingEndingsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/CoachingEndingsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Coaching endings by type",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CoachingEndingsByType.detail;
    var ww = this.containing_window;
    var description14315 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc014316 = new Ext.form.NumberField({ "disabled": true });
    var vc114317 = new Ext.form.NumberField({ "disabled": true });
    var vc214318 = new Ext.form.NumberField({ "disabled": true });
    var vc314319 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByType.description) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "ASD", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "DSBE", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Schuldnerberatung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.CoachingEndingsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.CoachingEndingsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CoachingEndingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CoachingEndingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CoachingEndingsByType.detailPanel = Ext.extend(Lino.coachings.CoachingEndings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/CoachingEndingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CoachingEndingsByType.detail;
    Lino.integ.CoachingEndingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CoachingEndingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CoachingEndingsByType" };
  return new Lino.integ.CoachingEndingsByType.detailPanel(p);
});
Lino.integ.CoachingEndingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CoachingEndingsByType" };
  return new Lino.integ.CoachingEndingsByType.GridPanel(p);
});
Lino.integ.CoachingEndingsByType.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CoachingEndingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CoachingEndingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.ContractEndingsByType
Lino.integ.ContractEndingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/ContractEndingsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 94,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/ContractEndingsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractEndingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractEndingsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractEndingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/ContractEndingsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contract endings by type",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ContractEndingsByType.detail;
    var ww = this.containing_window;
    var description14321 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc014322 = new Ext.form.NumberField({ "disabled": true });
    var vc114323 = new Ext.form.NumberField({ "disabled": true });
    var vc214324 = new Ext.form.NumberField({ "disabled": true });
    var vc314325 = new Ext.form.NumberField({ "disabled": true });
    var vc414326 = new Ext.form.NumberField({ "disabled": true });
    var vc514327 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.description) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.vc4) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractEndingsByType.vc5) ") }, "sortable": true, "tooltip": "(integ.ContractEndingsByType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.ContractEndingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractEndingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractEndingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractEndingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractEndingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractEndingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractEndingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractEndingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractEndingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.ContractEndingsByType.detailPanel = Ext.extend(Lino.isip.ContractEndings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/ContractEndingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ContractEndingsByType.detail;
    Lino.integ.ContractEndingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractEndingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractEndingsByType" };
  return new Lino.integ.ContractEndingsByType.detailPanel(p);
});
Lino.integ.ContractEndingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractEndingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractEndingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractEndingsByType" };
  return new Lino.integ.ContractEndingsByType.GridPanel(p);
});
Lino.integ.ContractEndingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractEndingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.JobsContractEndingsByType
Lino.integ.JobsContractEndingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/JobsContractEndingsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 94,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractEndingsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractEndingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractEndingsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractEndingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractEndingsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contract endings by type",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobsContractEndingsByType.detail;
    var ww = this.containing_window;
    var description14329 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc014330 = new Ext.form.NumberField({ "disabled": true });
    var vc114331 = new Ext.form.NumberField({ "disabled": true });
    var vc214332 = new Ext.form.NumberField({ "disabled": true });
    var vc314333 = new Ext.form.NumberField({ "disabled": true });
    var vc414334 = new Ext.form.NumberField({ "disabled": true });
    var vc514335 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.description) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "Sozial\u00f6konomie", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "Sozial\u00f6konomie - major\u00e9", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Stadt Eupen", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung Schule", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.vc4) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractEndingsByType.vc5) ") }, "sortable": true, "tooltip": "(integ.JobsContractEndingsByType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.JobsContractEndingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobsContractEndingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractEndingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractEndingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractEndingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractEndingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractEndingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractEndingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractEndingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobsContractEndingsByType.detailPanel = Ext.extend(Lino.isip.ContractEndings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/JobsContractEndingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobsContractEndingsByType.detail;
    Lino.integ.JobsContractEndingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobsContractEndingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobsContractEndingsByType" };
  return new Lino.integ.JobsContractEndingsByType.detailPanel(p);
});
Lino.integ.JobsContractEndingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractEndingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractEndingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobsContractEndingsByType" };
  return new Lino.integ.JobsContractEndingsByType.GridPanel(p);
});
Lino.integ.JobsContractEndingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractEndingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.AllUsers
Lino.users.AllUsers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AllUsers",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "password" }, { "name": "last_login" }, { "name": "initials" }, { "name": "remarks" }, { "name": "partner" }, 'partnerHidden', { "name": "date_format" }, 'date_formatHidden', { "name": "dashboard_layout" }, { "name": "newcomer_consultations", "type": "boolean" }, { "name": "newcomer_appointments", "type": "boolean" }, { "name": "notify_myself", "type": "boolean" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "access_class" }, 'access_classHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "calendar" }, 'calendarHidden', { "name": "coaching_type" }, 'coaching_typeHidden', { "name": "coaching_supervisor", "type": "boolean" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/AllUsers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AllUsers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/AllUsers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AllUsers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/AllUsers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.AllUsers.detail;
    this.ls_insert_handler = Lino.users.AllUsers.insert;
    var ww = this.containing_window;
    var username14337 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type14338 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var first_name14339 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var last_name14340 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var id14341 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email14342 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language14343 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var modified14344 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created14345 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date14346 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date14347 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var password14348 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var last_login14349 = new Ext.form.DisplayField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": "<br>" });
    var initials14350 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remarks14351 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var partner14352 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AllUsers/partner" }) }) });
    var date_format14353 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.about.DateFormats });
    var dashboard_layout14354 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var newcomer_consultations14355 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_appointments14356 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var notify_myself14357 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var mail_mode14358 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var access_class14359 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var event_type14360 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AllUsers/event_type" }) }) });
    var calendar14361 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AllUsers/calendar" }) }) });
    var coaching_type14362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AllUsers/coaching_type" }) }) });
    var coaching_supervisor14363 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_quota14364 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username14337, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type14338, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "first_name", "editable": true, "editor": first_name14339, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "last_name", "editable": true, "editor": last_name14340, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id14341, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "email", "editable": true, "editor": email14342, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.email) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language14343, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date14346, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.start_date) If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.") }, "sortable": true, "tooltip": "If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date14347, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "password", "editable": true, "editor": password14348, "filter": { "type": "string" }, "header": "password", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.password) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "last_login", "editable": true, "editor": last_login14349, "header": "last login", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.last_login) Not used in Lino.") }, "sortable": true, "tooltip": "Not used in Lino.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "initials", "editable": true, "editor": initials14350, "filter": { "type": "string" }, "header": "Initialien", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "sortable": true, "tooltip": "The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks14351, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "partner", "editable": true, "editor": partner14352, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.partner) The partner record with additional contact information about\nthis user account.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner record with additional contact information about\nthis user account.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_format", "editable": true, "editor": date_format14353, "filter": { "options": [ "dd.mm.y", "dd.mm.yy", "dd/mm/y", "dd/mm/yy" ], "type": "list" }, "header": "Date format", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.date_format) The date format to use when parsing or displaying dates.") }, "sortable": false, "tooltip": "The date format to use when parsing or displaying dates.", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "dashboard_layout", "editable": true, "editor": dashboard_layout14354, "filter": { "type": "string" }, "header": "dashboard layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.dashboard_layout) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "newcomer_consultations", "editable": true, "filter": { "type": "boolean" }, "header": " Erstempfang direkt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "sortable": false, "tooltip": "Accepts prompt consultations for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "newcomer_appointments", "editable": true, "filter": { "type": "boolean" }, "header": "Erstempfang auf Vereinbarung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.newcomer_appointments) Accepts appointments for newcomers.") }, "sortable": false, "tooltip": "Accepts appointments for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "notify_myself", "editable": true, "filter": { "type": "boolean" }, "header": "Benachrichtigungen an mich selbst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.notify_myself) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode14358, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 22, "dataIndex": "access_class", "editable": true, "editor": access_class14359, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Standardm\u00e4\u00dfige Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "sortable": false, "tooltip": "Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben", "width": Lino.chars2width(35) }, { "colIndex": 23, "dataIndex": "event_type", "editable": true, "editor": event_type14360, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.event_type) The default type for your calendar entries.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The default type for your calendar entries.", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "calendar", "editable": true, "editor": calendar14361, "filter": { "type": "string" }, "header": "User Calendar", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.calendar) Calendar where your events are published.") }, "renderer": Lino.fk_renderer('calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "Calendar where your events are published.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "coaching_type", "editable": true, "editor": coaching_type14362, "filter": { "type": "string" }, "header": "Dienst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.coaching_type) The coaching type used for new coachings of this user.") }, "sortable": false, "tooltip": "The coaching type used for new coachings of this user.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "coaching_supervisor", "editable": true, "filter": { "type": "boolean" }, "header": "Coaching supervisor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.coaching_supervisor) Notify me when a coach has been assigned.") }, "sortable": false, "tooltip": "Notify me when a coach has been assigned.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 27, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota14364, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.AllUsers.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.users.AllUsers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AllUsers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.AllUsers.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/users/AllUsers",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.AllUsers.detail;
    this.ls_insert_handler = Lino.users.AllUsers.insert;
    Lino.users.AllUsers.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AllUsers.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/AllUsers" };
  return new Lino.users.AllUsers.insertPanel(p);
});
Lino.users.AllUsers.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.AllUsers.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/AllUsers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.AllUsers.detail;
    this.ls_insert_handler = Lino.users.AllUsers.insert;
    Lino.users.AllUsers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AllUsers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AllUsers" };
  return new Lino.users.AllUsers.detailPanel(p);
});
Lino.users.AllUsers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AllUsers" };
  p.params_panel = new Lino.users.AllUsers.ParamsPanel({});
  return new Lino.users.AllUsers.GridPanel(p);
});
Lino.users.AllUsers.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AllUsers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AllUsers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.UsersOverview
Lino.users.UsersOverview.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UsersOverview",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    var ww = this.containing_window;
    var username6568 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type6569 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var language6570 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username6568, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type6569, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language6570, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.users.UsersOverview.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.insertPanel(p);
});
Lino.users.UsersOverview.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.detailPanel(p);
});
Lino.users.UsersOverview.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  p.params_panel = new Lino.users.UsersOverview.ParamsPanel({});
  return new Lino.users.UsersOverview.GridPanel(p);
});
Lino.users.UsersOverview.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.Me
Lino.users.Me.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/Me",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "password" }, { "name": "last_login" }, { "name": "initials" }, { "name": "remarks" }, { "name": "partner" }, 'partnerHidden', { "name": "date_format" }, 'date_formatHidden', { "name": "dashboard_layout" }, { "name": "newcomer_consultations", "type": "boolean" }, { "name": "newcomer_appointments", "type": "boolean" }, { "name": "notify_myself", "type": "boolean" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "access_class" }, 'access_classHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "calendar" }, 'calendarHidden', { "name": "coaching_type" }, 'coaching_typeHidden', { "name": "coaching_supervisor", "type": "boolean" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/Me','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/Me','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/Me','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/Me','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/Me','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Einstellungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.Me.detail;
    var ww = this.containing_window;
    var username7505 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type7506 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var first_name7507 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var last_name7508 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var id7509 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7510 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7511 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var modified7512 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7513 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7514 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7515 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var password7516 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var last_login7517 = new Ext.form.DisplayField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": "<br>" });
    var initials7518 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remarks7519 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var partner7520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/partner" }) }) });
    var date_format7521 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.about.DateFormats });
    var dashboard_layout7522 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var newcomer_consultations7523 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_appointments7524 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var notify_myself7525 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var mail_mode7526 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var access_class7527 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var event_type7528 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/event_type" }) }) });
    var calendar7529 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/calendar" }) }) });
    var coaching_type7530 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/coaching_type" }) }) });
    var coaching_supervisor7531 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_quota7532 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username7505, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type7506, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "first_name", "editable": true, "editor": first_name7507, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "last_name", "editable": true, "editor": last_name7508, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7509, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "email", "editable": true, "editor": email7510, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.email) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7511, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7514, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.start_date) If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.") }, "sortable": true, "tooltip": "If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7515, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "password", "editable": true, "editor": password7516, "filter": { "type": "string" }, "header": "password", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.password) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "last_login", "editable": true, "editor": last_login7517, "header": "last login", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.last_login) Not used in Lino.") }, "sortable": true, "tooltip": "Not used in Lino.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "initials", "editable": true, "editor": initials7518, "filter": { "type": "string" }, "header": "Initialien", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "sortable": true, "tooltip": "The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks7519, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "partner", "editable": true, "editor": partner7520, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.partner) The partner record with additional contact information about\nthis user account.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner record with additional contact information about\nthis user account.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_format", "editable": true, "editor": date_format7521, "filter": { "options": [ "dd.mm.y", "dd.mm.yy", "dd/mm/y", "dd/mm/yy" ], "type": "list" }, "header": "Date format", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.date_format) The date format to use when parsing or displaying dates.") }, "sortable": false, "tooltip": "The date format to use when parsing or displaying dates.", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "dashboard_layout", "editable": true, "editor": dashboard_layout7522, "filter": { "type": "string" }, "header": "dashboard layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.dashboard_layout) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "newcomer_consultations", "editable": true, "filter": { "type": "boolean" }, "header": " Erstempfang direkt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "sortable": false, "tooltip": "Accepts prompt consultations for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "newcomer_appointments", "editable": true, "filter": { "type": "boolean" }, "header": "Erstempfang auf Vereinbarung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_appointments) Accepts appointments for newcomers.") }, "sortable": false, "tooltip": "Accepts appointments for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "notify_myself", "editable": true, "filter": { "type": "boolean" }, "header": "Benachrichtigungen an mich selbst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.notify_myself) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode7526, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 22, "dataIndex": "access_class", "editable": true, "editor": access_class7527, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Standardm\u00e4\u00dfige Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "sortable": false, "tooltip": "Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben", "width": Lino.chars2width(35) }, { "colIndex": 23, "dataIndex": "event_type", "editable": true, "editor": event_type7528, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.event_type) The default type for your calendar entries.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The default type for your calendar entries.", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "calendar", "editable": true, "editor": calendar7529, "filter": { "type": "string" }, "header": "User Calendar", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.calendar) Calendar where your events are published.") }, "renderer": Lino.fk_renderer('calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "Calendar where your events are published.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "coaching_type", "editable": true, "editor": coaching_type7530, "filter": { "type": "string" }, "header": "Dienst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.coaching_type) The coaching type used for new coachings of this user.") }, "sortable": false, "tooltip": "The coaching type used for new coachings of this user.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "coaching_supervisor", "editable": true, "filter": { "type": "boolean" }, "header": "Coaching supervisor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.coaching_supervisor) Notify me when a coach has been assigned.") }, "sortable": false, "tooltip": "Notify me when a coach has been assigned.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 27, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota7532, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.users.Me.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Me.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.Me.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/Me",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.Me.detail;
    Lino.users.Me.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Me.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Me" };
  return new Lino.users.Me.detailPanel(p);
});
Lino.users.Me.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Me" };
  p.params_panel = new Lino.users.Me.ParamsPanel({});
  return new Lino.users.Me.GridPanel(p);
});
Lino.users.Me.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.Authorities
Lino.users.Authorities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/Authorities",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "authorized" }, 'authorizedHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/Authorities','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/Authorities','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/Authorities','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/Authorities','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/Authorities','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vollmachten",
  initComponent : function() {
    var ww = this.containing_window;
    var id14366 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/user" }) }) });
    var authorized14368 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/authorized" }) }) });
    this.before_row_edit = function(record) {
      authorized14368.setContextValue('user', record ? record.data['userHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof user14367 !== 'undefined' && user14367.on('change',Lino.chooser_handler(authorized14368,'user'));
      Lino.users.Authorities.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14366, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(users.Authorities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14367, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(users.Authorities.user) The user who gives the right of representation. author of this\nauthority") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user who gives the right of representation. author of this\nauthority", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "authorized", "editable": true, "editor": authorized14368, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(users.Authorities.authorized) The user who gets the right to represent the author") }, "renderer": Lino.fk_renderer('authorizedHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user who gets the right to represent the author", "width": Lino.chars2width(21) } ];
    Lino.users.Authorities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Authorities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Authorities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Authorities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Authorities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Authorities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Authorities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Authorities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Authorities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Authorities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Authorities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Authorities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Authorities" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.Authorities.GridPanel(p);
});

// js_render_GridPanel_class users.Sessions
Lino.users.Sessions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/Sessions",
  ls_store_fields : [ { "name": "last_activity" }, { "name": "last_ip_addr" }, { "name": "username" }, { "name": "session_key" }, { "name": "expire_date" }, { "name": "workflow_buttons" }, { "name": "session_key" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "session_key",
  pk_index : 6,
  content_type : 142,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/Sessions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/Sessions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/Sessions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/Sessions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/Sessions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzersitzungen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var last_activity_disp14370 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var last_ip_addr_disp14371 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var username_disp14372 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var session_key_disp14373 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var expire_date_disp14374 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var workflow_buttons_disp14375 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "last_activity", "editable": false, "header": "Last activity", "listeners": { "render": Lino.quicktip_renderer("","(users.Sessions.last_activity) ") }, "sortable": false, "tooltip": "(users.Sessions.last_activity) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "last_ip_addr", "editable": false, "header": "IP-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(users.Sessions.last_ip_addr) ") }, "sortable": false, "tooltip": "(users.Sessions.last_ip_addr) ", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "username", "editable": false, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.Sessions.username) ") }, "sortable": false, "tooltip": "(users.Sessions.username) ", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "session_key", "editable": false, "header": "Sitzungs-ID", "listeners": { "render": Lino.quicktip_renderer("","(users.Sessions.session_key) ") }, "sortable": false, "tooltip": "(users.Sessions.session_key) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "expire_date", "editable": false, "header": "Expires", "listeners": { "render": Lino.quicktip_renderer("","(users.Sessions.expire_date) ") }, "sortable": false, "tooltip": "(users.Sessions.expire_date) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(users.Sessions.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.users.Sessions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Sessions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Sessions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Sessions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Sessions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Sessions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Sessions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Sessions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Sessions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Sessions.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(12), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(90) }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Sessions" };
  return new Lino.users.Sessions.GridPanel(p);
});
Lino.users.Sessions.kill_session = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Sessions", "GET", pk, "kill_session", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.ContractsPerUserAndContractType
Lino.integ.ContractsPerUserAndContractType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/ContractsPerUserAndContractType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsPerUserAndContractType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsPerUserAndContractType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsPerUserAndContractType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsPerUserAndContractType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsPerUserAndContractType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "PIIS par agent et type",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ContractsPerUserAndContractType.detail;
    this.ls_insert_handler = Lino.integ.ContractsPerUserAndContractType.insert;
    var ww = this.containing_window;
    var description14377 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc014378 = new Ext.form.NumberField({ "disabled": true });
    var vc114379 = new Ext.form.NumberField({ "disabled": true });
    var vc214380 = new Ext.form.NumberField({ "disabled": true });
    var vc314381 = new Ext.form.NumberField({ "disabled": true });
    var vc414382 = new Ext.form.NumberField({ "disabled": true });
    var vc514383 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.description) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.vc0) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.vc1) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.vc2) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.vc3) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.vc4) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsPerUserAndContractType.vc5) ") }, "sortable": true, "tooltip": "(integ.ContractsPerUserAndContractType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.ContractsPerUserAndContractType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsPerUserAndContractType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.ContractsPerUserAndContractType.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/ContractsPerUserAndContractType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ContractsPerUserAndContractType.detail;
    this.ls_insert_handler = Lino.integ.ContractsPerUserAndContractType.insert;
    Lino.integ.ContractsPerUserAndContractType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsPerUserAndContractType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/ContractsPerUserAndContractType" };
  return new Lino.integ.ContractsPerUserAndContractType.insertPanel(p);
});
Lino.integ.ContractsPerUserAndContractType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.ContractsPerUserAndContractType.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/ContractsPerUserAndContractType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ContractsPerUserAndContractType.detail;
    this.ls_insert_handler = Lino.integ.ContractsPerUserAndContractType.insert;
    Lino.integ.ContractsPerUserAndContractType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsPerUserAndContractType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractsPerUserAndContractType" };
  return new Lino.integ.ContractsPerUserAndContractType.detailPanel(p);
});
Lino.integ.ContractsPerUserAndContractType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractsPerUserAndContractType" };
  p.params_panel = new Lino.integ.ContractsPerUserAndContractType.ParamsPanel({});
  return new Lino.integ.ContractsPerUserAndContractType.GridPanel(p);
});
Lino.integ.ContractsPerUserAndContractType.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsPerUserAndContractType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsPerUserAndContractType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.JobsContractsPerUserAndContractType
Lino.integ.JobsContractsPerUserAndContractType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/JobsContractsPerUserAndContractType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractsPerUserAndContractType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractsPerUserAndContractType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractsPerUserAndContractType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractsPerUserAndContractType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/JobsContractsPerUserAndContractType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 par agent et type",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobsContractsPerUserAndContractType.detail;
    this.ls_insert_handler = Lino.integ.JobsContractsPerUserAndContractType.insert;
    var ww = this.containing_window;
    var description14385 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc014386 = new Ext.form.NumberField({ "disabled": true });
    var vc114387 = new Ext.form.NumberField({ "disabled": true });
    var vc214388 = new Ext.form.NumberField({ "disabled": true });
    var vc314389 = new Ext.form.NumberField({ "disabled": true });
    var vc414390 = new Ext.form.NumberField({ "disabled": true });
    var vc514391 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.description) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "Sozial\u00f6konomie", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.vc0) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "Sozial\u00f6konomie - major\u00e9", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.vc1) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Stadt Eupen", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.vc2) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.vc3) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung Schule", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.vc4) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobsContractsPerUserAndContractType.vc5) ") }, "sortable": true, "tooltip": "(integ.JobsContractsPerUserAndContractType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.JobsContractsPerUserAndContractType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobsContractsPerUserAndContractType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobsContractsPerUserAndContractType.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/JobsContractsPerUserAndContractType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobsContractsPerUserAndContractType.detail;
    this.ls_insert_handler = Lino.integ.JobsContractsPerUserAndContractType.insert;
    Lino.integ.JobsContractsPerUserAndContractType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobsContractsPerUserAndContractType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/JobsContractsPerUserAndContractType" };
  return new Lino.integ.JobsContractsPerUserAndContractType.insertPanel(p);
});
Lino.integ.JobsContractsPerUserAndContractType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobsContractsPerUserAndContractType.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/JobsContractsPerUserAndContractType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobsContractsPerUserAndContractType.detail;
    this.ls_insert_handler = Lino.integ.JobsContractsPerUserAndContractType.insert;
    Lino.integ.JobsContractsPerUserAndContractType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobsContractsPerUserAndContractType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobsContractsPerUserAndContractType" };
  return new Lino.integ.JobsContractsPerUserAndContractType.detailPanel(p);
});
Lino.integ.JobsContractsPerUserAndContractType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobsContractsPerUserAndContractType" };
  p.params_panel = new Lino.integ.ContractsPerUserAndContractType.ParamsPanel({});
  return new Lino.integ.JobsContractsPerUserAndContractType.GridPanel(p);
});
Lino.integ.JobsContractsPerUserAndContractType.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobsContractsPerUserAndContractType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobsContractsPerUserAndContractType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.StudyTypesAndContracts
Lino.integ.StudyTypesAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/StudyTypesAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 82,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/StudyTypesAndContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/StudyTypesAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/StudyTypesAndContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/StudyTypesAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/StudyTypesAndContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bildungsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "PIIS et types de formation",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.StudyTypesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.StudyTypesAndContracts.insert;
    var ww = this.containing_window;
    var description14393 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes" });
    var vc014394 = new Ext.form.NumberField({ "disabled": true });
    var vc114395 = new Ext.form.NumberField({ "disabled": true });
    var vc214396 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(integ.StudyTypesAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "(integ.StudyTypesAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.StudyTypesAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.StudyTypesAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.StudyTypesAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.StudyTypesAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.StudyTypesAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.StudyTypesAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.StudyTypesAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.StudyTypesAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.StudyTypesAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.StudyTypesAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.StudyTypesAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.StudyTypesAndContracts.insertPanel = Ext.extend(Lino.cv.StudyTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/StudyTypesAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.StudyTypesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.StudyTypesAndContracts.insert;
    Lino.integ.StudyTypesAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.StudyTypesAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/StudyTypesAndContracts" };
  return new Lino.integ.StudyTypesAndContracts.insertPanel(p);
});
Lino.integ.StudyTypesAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.StudyTypesAndContracts.detailPanel = Ext.extend(Lino.cv.StudyTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bildungsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/StudyTypesAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.StudyTypesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.StudyTypesAndContracts.insert;
    Lino.integ.StudyTypesAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.StudyTypesAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/StudyTypesAndContracts" };
  return new Lino.integ.StudyTypesAndContracts.detailPanel(p);
});
Lino.integ.StudyTypesAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.StudyTypesAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/StudyTypesAndContracts" };
  return new Lino.integ.StudyTypesAndContracts.GridPanel(p);
});
Lino.integ.StudyTypesAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/StudyTypesAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CompaniesAndContracts
Lino.integ.CompaniesAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompaniesAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Companies.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisations externes et contrats",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    var ww = this.containing_window;
    var description7534 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc07535 = new Ext.form.NumberField({ "disabled": true });
    var vc17536 = new Ext.form.NumberField({ "disabled": true });
    var vc27537 = new Ext.form.NumberField({ "disabled": true });
    var vc37538 = new Ext.form.NumberField({ "disabled": true });
    var vc47539 = new Ext.form.NumberField({ "disabled": true });
    var vc57540 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.CompaniesAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompaniesAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.insertPanel(p);
});
Lino.integ.CompaniesAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Companies.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.detailPanel(p);
});
Lino.integ.CompaniesAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.CompaniesAndContracts.GridPanel(p);
});
Lino.integ.CompaniesAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.JobProvidersAndContracts
Lino.integ.JobProvidersAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/JobProvidersAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Companies.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job providers and contrats",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    var ww = this.containing_window;
    var description7542 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc07543 = new Ext.form.NumberField({ "disabled": true });
    var vc17544 = new Ext.form.NumberField({ "disabled": true });
    var vc27545 = new Ext.form.NumberField({ "disabled": true });
    var vc37546 = new Ext.form.NumberField({ "disabled": true });
    var vc47547 = new Ext.form.NumberField({ "disabled": true });
    var vc57548 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.JobProvidersAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "Sozial\u00f6konomie", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "Sozial\u00f6konomie - major\u00e9", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Stadt Eupen", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung Schule", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.JobProvidersAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.insertPanel(p);
});
Lino.integ.JobProvidersAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Companies.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.detailPanel(p);
});
Lino.integ.JobProvidersAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.JobProvidersAndContracts.GridPanel(p);
});
Lino.integ.JobProvidersAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractTypes
Lino.art61.ContractTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "ref" }, { "name": "id", "type": "int" }, { "name": "full_name" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "overlap_group" }, 'overlap_groupHidden', { "name": "template" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 105,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/ContractTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/ContractTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.art61.ContractTypes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractTypes.detail;
    var ww = this.containing_window;
    var name14398 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14399 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14400 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var ref14401 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14402 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var full_name14403 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var exam_policy14404 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractTypes/exam_policy" }) }) });
    var overlap_group14405 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var template14406 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractTypes/template" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14398, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14399, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14400, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "ref", "editable": true, "editor": ref14401, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "sortable": true, "tooltip": "Die Referenz. Muss entweder leer oder einzig sein.", "width": Lino.chars2width(41) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id14402, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "full_name", "editable": true, "editor": full_name14403, "filter": { "type": "string" }, "header": "Voller Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.full_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy14404, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "overlap_group", "editable": true, "editor": overlap_group14405, "filter": { "options": [ "Vorstrafen", "Ausbildungen" ], "type": "list" }, "header": "\u00dcberlappungsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.overlap_group) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "template", "editable": true, "editor": template14406, "filter": { "type": "string" }, "header": "Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractTypes.template) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.art61.ContractTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractTypes.detailPanel = Ext.extend(Lino.art61.ContractTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.art61.ContractTypes.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractTypes.detail;
    Lino.art61.ContractTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractTypes" };
  return new Lino.art61.ContractTypes.detailPanel(p);
});
Lino.art61.ContractTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractTypes" };
  return new Lino.art61.ContractTypes.GridPanel(p);
});
Lino.art61.ContractTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.Contracts
Lino.art61.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    var ww = this.containing_window;
    var id7550 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7551 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var client__national_id7552 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from7553 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7554 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7555 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type7556 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var signer17557 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/signer1" }) }) });
    var signer27558 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/signer2" }) }) });
    var company7559 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person7560 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role7561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var printed_by7562 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7563 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7564 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7565 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7566 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user_asd" }) }) });
    var exam_policy7568 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var ending7569 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var duration7570 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person7571 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7572 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7573 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title7574 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status7575 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration7576 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime7577 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var subsidize_107578 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_207579 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_307580 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_407581 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_507582 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7560.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7572.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7559 !== 'undefined' && company7559.on('change',Lino.chooser_handler(contact_person7560,'company'));
      Lino.art61.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7551, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7552, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7553, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7554, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7555, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type7556, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17557, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27558, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company7559, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person7560, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role7561, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language7563, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "applies_until", "editable": true, "editor": applies_until7564, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided7565, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued7566, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd7567, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7568, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending7569, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration7570, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person7571, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7572, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark7573, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "job_title", "editable": true, "editor": job_title7574, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "status", "editable": true, "editor": status7575, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration7576, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime7577, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 32, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.art61.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.Contracts.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    Lino.art61.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/Contracts" };
  return new Lino.art61.Contracts.insertPanel(p);
});
Lino.art61.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.Contracts.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    Lino.art61.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Contracts" };
  return new Lino.art61.Contracts.detailPanel(p);
});
Lino.art61.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Contracts" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.Contracts.GridPanel(p);
});
Lino.art61.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.MyContracts
Lino.art61.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7584 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7585 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/client" }) }) });
    var type7586 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/type" }) }) });
    var company7587 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/company" }) }) });
    var applies_until7588 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7589 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7590 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/ending" }) }) });
    var id7591 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17592 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/signer1" }) }) });
    var signer27593 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/signer2" }) }) });
    var user7594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/user" }) }) });
    var contact_person7595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/contact_person" }) }) });
    var contact_role7596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/contact_role" }) }) });
    var printed_by7597 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7598 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7599 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7600 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/user_asd" }) }) });
    var exam_policy7602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/exam_policy" }) }) });
    var duration7603 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person7604 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7605 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7606 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title7607 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status7608 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/status" }) }) });
    var cv_duration7609 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/cv_duration" }) }) });
    var regime7610 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/regime" }) }) });
    var subsidize_107611 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_207612 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_307613 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_407614 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_507615 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7595.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7605.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7587 !== 'undefined' && company7587.on('change',Lino.chooser_handler(contact_person7595,'company'));
      Lino.art61.MyContracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7584, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7585, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7586, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company7587, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until7588, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "date_ended", "editable": true, "editor": date_ended7589, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "ending", "editable": true, "editor": ending7590, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7591, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17592, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27593, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7594, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7595, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7596, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7598, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided7599, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued7600, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd7601, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7602, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration7603, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person7604, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7605, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark7606, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "job_title", "editable": true, "editor": job_title7607, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "status", "editable": true, "editor": status7608, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration7609, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "regime", "editable": true, "editor": regime7610, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.art61.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.MyContracts.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    Lino.art61.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/MyContracts" };
  return new Lino.art61.MyContracts.insertPanel(p);
});
Lino.art61.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.MyContracts.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    Lino.art61.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/MyContracts" };
  return new Lino.art61.MyContracts.detailPanel(p);
});
Lino.art61.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/MyContracts" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.MyContracts.GridPanel(p);
});
Lino.art61.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseProviders
Lino.xcourses.CourseProviders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseProviders",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseProviders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseProviders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseProviders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseProviders','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseProviders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseProviders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.xcourses.CourseProviders.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanbieter",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseProviders.detail;
    this.ls_insert_handler = Lino.xcourses.CourseProviders.insert;
    var ww = this.containing_window;
    var name_column_disp7617 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7618 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7619 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7620 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7621 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7622 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7623 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7624 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7625 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7626 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7627 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/country" }) }) });
    var city7629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/city" }) }) });
    var zip_code7630 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7631 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/region" }) }) });
    var addr17632 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7633 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7634 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7635 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7636 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27637 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7638 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7639 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7640 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7641 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/activity" }) }) });
    var client_contact_type7643 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/client_contact_type" }) }) });
    var payment_term7644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/payment_term" }) }) });
    var type7645 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/type" }) }) });
    var vat_id7646 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city7629.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7629.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7631.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7628 !== 'undefined' && country7628.on('change',Lino.chooser_handler(city7629,'country'));
      typeof region7631 !== 'undefined' && region7631.on('change',Lino.chooser_handler(city7629,'region'));
      typeof country7628 !== 'undefined' && country7628.on('change',Lino.chooser_handler(region7631,'country'));
      Lino.xcourses.CourseProviders.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.name_column) ") }, "sortable": false, "tooltip": "(xcourses.CourseProviders.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.address_column) ") }, "sortable": false, "tooltip": "(xcourses.CourseProviders.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7619, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7620, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7621, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7622, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7623, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7624, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7625, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7628, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7629, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7630, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7631, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17632, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7633, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7634, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7635, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7636, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27637, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7638, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7639, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7642, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7643, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7644, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type7645, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id7646, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseProviders.vat_id) The VAT id used to identify this business partner.") }, "sortable": true, "tooltip": "The VAT id used to identify this business partner.", "width": Lino.chars2width(22) } ];
    Lino.xcourses.CourseProviders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseProviders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseProviders.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseProviders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseProviders.detail;
    this.ls_insert_handler = Lino.xcourses.CourseProviders.insert;
    Lino.xcourses.CourseProviders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseProviders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  return new Lino.xcourses.CourseProviders.insertPanel(p);
});
Lino.xcourses.CourseProviders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseProviders.detailPanel = Ext.extend(Lino.xcourses.CourseProviders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursanbieter) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.xcourses.CourseProviders.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseProviders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseProviders.detail;
    this.ls_insert_handler = Lino.xcourses.CourseProviders.insert;
    Lino.xcourses.CourseProviders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseProviders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  return new Lino.xcourses.CourseProviders.detailPanel(p);
});
Lino.xcourses.CourseProviders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseProviders" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.xcourses.CourseProviders.GridPanel(p);
});
Lino.xcourses.CourseProviders.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseProviders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseProviders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseContents
Lino.xcourses.CourseContents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseContents",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 108,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseContents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseContents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseContents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseContents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseContents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursinhalte",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseContents.detail;
    var ww = this.containing_window;
    var id14408 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name14409 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14408, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseContents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name14409, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseContents.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.xcourses.CourseContents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseContents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseContents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseContents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseContents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseContents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseContents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseContents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseContents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseContents.detailPanel = Ext.extend(Lino.xcourses.CourseContents.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseContents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseContents.detail;
    Lino.xcourses.CourseContents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseContents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseContents" };
  return new Lino.xcourses.CourseContents.detailPanel(p);
});
Lino.xcourses.CourseContents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseContents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseContents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseContents" };
  return new Lino.xcourses.CourseContents.GridPanel(p);
});
Lino.xcourses.CourseContents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseContents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseOffers
Lino.xcourses.CourseOffers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseOffers",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "title" }, { "name": "guest_role" }, 'guest_roleHidden', { "name": "content" }, 'contentHidden', { "name": "provider" }, 'providerHidden', { "name": "description" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffers.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffers.insert;
    var ww = this.containing_window;
    var id7648 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var title7649 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var guest_role7650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/guest_role" }) }) });
    var content7651 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var provider7652 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var description7653 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    this.before_row_edit = function(record) {
      description7653.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7648, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title7649, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "guest_role", "editable": true, "editor": guest_role7650, "filter": { "type": "string" }, "header": "Gastrolle", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.guest_role) Default guest role for particpants of events.") }, "renderer": Lino.fk_renderer('guest_roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "Default guest role for particpants of events.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content7651, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.content) ") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "provider", "editable": true, "editor": provider7652, "filter": { "type": "string" }, "header": "Kursanbieter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.xcourses.CourseProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "description", "editable": true, "editor": description7653, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffers.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.xcourses.CourseOffers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffers.insertPanel = Ext.extend(Lino.xcourses.CourseOffers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffers",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffers.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffers.insert;
    Lino.xcourses.CourseOffers.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffers.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseOffers" };
  return new Lino.xcourses.CourseOffers.insertPanel(p);
});
Lino.xcourses.CourseOffers.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffers.detailPanel = Ext.extend(Lino.xcourses.CourseOffers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffers.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffers.insert;
    Lino.xcourses.CourseOffers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffers" };
  return new Lino.xcourses.CourseOffers.detailPanel(p);
});
Lino.xcourses.CourseOffers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffers" };
  return new Lino.xcourses.CourseOffers.GridPanel(p);
});
Lino.xcourses.CourseOffers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.Courses
Lino.xcourses.Courses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/Courses",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "offer" }, 'offerHidden', { "name": "title" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 110,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/Courses','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/Courses','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/Courses','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/Courses','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/Courses','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kurs) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_candidates", "menu_item_text": "Kandidatenliste", "overflowText": "Kandidatenliste", "panel_btn_handler": Lino.row_action_handler('print_candidates','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_participants", "menu_item_text": "Teilnehmerliste", "overflowText": "Teilnehmerliste", "panel_btn_handler": Lino.row_action_handler('print_participants','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kurse",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.Courses.detail;
    this.ls_insert_handler = Lino.xcourses.Courses.insert;
    var ww = this.containing_window;
    var id14411 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var offer14412 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var title14413 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date14414 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var remark14415 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14411, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.Courses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "offer", "editable": true, "editor": offer14412, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.Courses.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "title", "editable": true, "editor": title14413, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.Courses.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date14414, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.Courses.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark14415, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.Courses.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.xcourses.Courses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.Courses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.Courses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.Courses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.Courses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.Courses.insertPanel = Ext.extend(Lino.xcourses.Courses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/Courses",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.Courses.detail;
    this.ls_insert_handler = Lino.xcourses.Courses.insert;
    Lino.xcourses.Courses.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.Courses.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/Courses" };
  return new Lino.xcourses.Courses.insertPanel(p);
});
Lino.xcourses.Courses.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.Courses.detailPanel = Ext.extend(Lino.xcourses.Courses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kurs) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_candidates", "menu_item_text": "Kandidatenliste", "overflowText": "Kandidatenliste", "panel_btn_handler": Lino.row_action_handler('print_candidates','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_participants", "menu_item_text": "Teilnehmerliste", "overflowText": "Teilnehmerliste", "panel_btn_handler": Lino.row_action_handler('print_participants','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/Courses",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.Courses.detail;
    this.ls_insert_handler = Lino.xcourses.Courses.insert;
    Lino.xcourses.Courses.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.Courses.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/Courses" };
  return new Lino.xcourses.Courses.detailPanel(p);
});
Lino.xcourses.Courses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.Courses.print_candidates = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "print_candidates", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.Courses.print_participants = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "GET", pk, "print_participants", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.Courses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/Courses" };
  return new Lino.xcourses.Courses.GridPanel(p);
});
Lino.xcourses.Courses.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/Courses", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseRequests
Lino.xcourses.CourseRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequests",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "offer" }, 'offerHidden', { "name": "content" }, 'contentHidden', { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "course" }, 'courseHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequests.detail;
    var ww = this.containing_window;
    var id14417 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person14418 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/person" }) }) });
    var offer14419 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/offer" }) }) });
    var content14420 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/content" }) }) });
    var date_submitted14421 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var urgent14422 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state14423 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var course14424 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course" }) }) });
    var remark14425 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended14426 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      offer14419.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content14420 !== 'undefined' && content14420.on('change',Lino.chooser_handler(offer14419,'content'));
      Lino.xcourses.CourseRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14417, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person14418, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer14419, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content14420, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted14421, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state14423, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 7, "dataIndex": "course", "editable": true, "editor": course14424, "filter": { "type": "string" }, "header": "Kurs gefunden", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.course) The course which satisfies this request. Leave blank on open requests.") }, "renderer": Lino.fk_renderer('courseHidden','Lino.xcourses.Courses.detail'), "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark14425, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "date_ended", "editable": true, "editor": date_ended14426, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequests.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.xcourses.CourseRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseRequests.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequests.detail;
    Lino.xcourses.CourseRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequests" };
  return new Lino.xcourses.CourseRequests.detailPanel(p);
});
Lino.xcourses.CourseRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequests" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CourseRequests.GridPanel(p);
});
Lino.xcourses.CourseRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequests.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequests", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.PendingCourseRequests
Lino.xcourses.PendingCourseRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/PendingCourseRequests",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "workflow_buttons" }, { "name": "person" }, 'personHidden', { "name": "age", "type": "int", "useNull": true }, { "name": "address" }, { "name": "person__gsm" }, { "name": "person__phone" }, { "name": "person__coaches" }, { "name": "content" }, 'contentHidden', { "name": "urgent", "type": "boolean" }, { "name": "remark" }, { "name": "a16", "type": "int", "useNull": true }, { "name": "a25", "type": "int", "useNull": true }, { "name": "a31", "type": "int", "useNull": true }, { "name": "a41", "type": "int", "useNull": true }, { "name": "a51", "type": "int", "useNull": true }, { "name": "a61", "type": "int", "useNull": true }, { "name": "ax", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 20,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/PendingCourseRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/PendingCourseRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/PendingCourseRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/PendingCourseRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/PendingCourseRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Offene Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.PendingCourseRequests.detail;
    var ww = this.containing_window;
    var date_submitted7655 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var workflow_buttons_disp7656 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var person7657 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/person" }) }) });
    var age7658 = new Ext.form.NumberField({ "disabled": true });
    var address_disp7659 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var person__gsm7660 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var person__phone7661 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var person__coaches_disp7662 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var content7663 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/content" }) }) });
    var urgent7664 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var remark7665 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var a167666 = new Ext.form.NumberField({ "disabled": true });
    var a257667 = new Ext.form.NumberField({ "disabled": true });
    var a317668 = new Ext.form.NumberField({ "disabled": true });
    var a417669 = new Ext.form.NumberField({ "disabled": true });
    var a517670 = new Ext.form.NumberField({ "disabled": true });
    var a617671 = new Ext.form.NumberField({ "disabled": true });
    var ax7672 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted7655, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person7657, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "age", "editable": false, "format": "0", "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.age) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.age) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "address", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.address) ") }, "sortable": false, "tooltip": "(xcourses.PendingCourseRequests.address) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "person__gsm", "editable": true, "editor": person__gsm7660, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person__gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "person__phone", "editable": true, "editor": person__phone7661, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person__phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "person__coaches", "editable": true, "editor": person__coaches_disp7662, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.person__coaches) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.person__coaches) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "content", "editable": true, "editor": content7663, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "remark", "editable": true, "editor": remark7665, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 11, "dataIndex": "a16", "editable": false, "format": "0", "header": "16-24", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a16) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a16) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 12, "dataIndex": "a25", "editable": false, "format": "0", "header": "25-30", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a25) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a25) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 13, "dataIndex": "a31", "editable": false, "format": "0", "header": "31-40", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a31) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a31) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "a41", "editable": false, "format": "0", "header": "41-50", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a41) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a41) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "a51", "editable": false, "format": "0", "header": "51-60", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a51) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a51) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 16, "dataIndex": "a61", "editable": false, "format": "0", "header": ">61", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.a61) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.a61) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 17, "dataIndex": "ax", "editable": false, "format": "0", "header": "unbek. Alter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.PendingCourseRequests.ax) ") }, "sortable": true, "tooltip": "(xcourses.PendingCourseRequests.ax) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.xcourses.PendingCourseRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.PendingCourseRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.PendingCourseRequests.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/PendingCourseRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.PendingCourseRequests.detail;
    Lino.xcourses.PendingCourseRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.PendingCourseRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/PendingCourseRequests" };
  return new Lino.xcourses.PendingCourseRequests.detailPanel(p);
});
Lino.xcourses.PendingCourseRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/PendingCourseRequests" };
  p.params_panel = new Lino.xcourses.PendingCourseRequests.ParamsPanel({});
  return new Lino.xcourses.PendingCourseRequests.GridPanel(p);
});
Lino.xcourses.PendingCourseRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.PendingCourseRequests.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/PendingCourseRequests", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.Brokers
Lino.newcomers.Brokers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/Brokers",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 112,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/Brokers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Brokers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Brokers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Brokers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/Brokers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vermittler",
  initComponent : function() {
    var ww = this.containing_window;
    var name14428 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id14429 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14428, "filter": { "type": "string" }, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Brokers.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id14429, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Brokers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.newcomers.Brokers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.Brokers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Brokers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Brokers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Brokers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Brokers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Brokers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Brokers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Brokers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Brokers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Brokers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Brokers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/Brokers" };
  return new Lino.newcomers.Brokers.GridPanel(p);
});

// js_render_GridPanel_class newcomers.Faculties
Lino.newcomers.Faculties.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/Faculties",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 113,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/Faculties','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Faculties','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Faculties','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Faculties','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/Faculties','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Fachbereich) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of newcomers.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Fachbereiche",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.Faculties.detail;
    this.ls_insert_handler = Lino.newcomers.Faculties.insert;
    var ww = this.containing_window;
    var name14431 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14432 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14433 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var weight14434 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 10 });
    var id14435 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14431, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Faculties.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14432, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Faculties.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14433, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Faculties.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "weight", "editable": true, "editor": weight14434, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id14435, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Faculties.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.newcomers.Faculties.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.Faculties.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Faculties.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Faculties.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Faculties.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.Faculties.insertPanel = Ext.extend(Lino.newcomers.Faculties.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/newcomers/Faculties",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.Faculties.detail;
    this.ls_insert_handler = Lino.newcomers.Faculties.insert;
    Lino.newcomers.Faculties.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.Faculties.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/Faculties" };
  return new Lino.newcomers.Faculties.insertPanel(p);
});
Lino.newcomers.Faculties.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.Faculties.detailPanel = Ext.extend(Lino.newcomers.Faculties.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Fachbereich) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/newcomers/Faculties",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.Faculties.detail;
    this.ls_insert_handler = Lino.newcomers.Faculties.insert;
    Lino.newcomers.Faculties.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.Faculties.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/Faculties" };
  return new Lino.newcomers.Faculties.detailPanel(p);
});
Lino.newcomers.Faculties.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Faculties.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/Faculties" };
  return new Lino.newcomers.Faculties.GridPanel(p);
});
Lino.newcomers.Faculties.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Faculties", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.Competences
Lino.newcomers.Competences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/Competences",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 114,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/Competences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Competences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Competences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/Competences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/Competences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var id14437 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/user" }) }) });
    var faculty14439 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/faculty" }) }) });
    var weight14440 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno14441 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14437, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Competences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14438, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Competences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "faculty", "editable": true, "editor": faculty14439, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Competences.faculty) ") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "weight", "editable": true, "editor": weight14440, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Competences.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "seqno", "editable": true, "editor": seqno14441, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.Competences.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.newcomers.Competences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.Competences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/Competences" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.Competences.GridPanel(p);
});
Lino.newcomers.Competences.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.Competences.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/Competences", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.NewClients
Lino.newcomers.NewClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/NewClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "has_esf", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Neue Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.NewClients.detail;
    this.ls_insert_handler = Lino.newcomers.NewClients.insert;
    var ww = this.containing_window;
    var name_column_disp14443 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state14444 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var broker14445 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/broker" }) }) });
    var faculty14446 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/faculty" }) }) });
    var national_id14447 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm14448 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp14449 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp14450 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email14451 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone14452 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14453 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var language14454 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url14455 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax14456 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified14457 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created14458 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country14459 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/country" }) }) });
    var city14460 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/city" }) }) });
    var zip_code14461 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region14462 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/region" }) }) });
    var addr114463 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix14464 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street14465 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no14466 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box14467 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr214468 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix14469 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name14470 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks14471 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete14472 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity14473 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/activity" }) }) });
    var client_contact_type14474 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/client_contact_type" }) }) });
    var payment_term14475 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/payment_term" }) }) });
    var title14476 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name14477 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name14478 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name14479 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender14480 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date14481 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var nationality14482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/nationality" }) }) });
    var birth_country14483 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/birth_country" }) }) });
    var birth_place14484 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number14485 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from14486 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until14487 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type14488 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer14489 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text14490 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition14491 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group14492 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/group" }) }) });
    var civil_state14493 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type14494 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since14495 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until14496 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since14497 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since14498 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit14499 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit14500 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until14501 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type14502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/aid_type" }) }) });
    var declared_name14503 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking14504 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until14505 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why14506 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles14507 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills14508 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact14509 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/job_office_contact" }) }) });
    var refusal_reason14510 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks214511 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id14512 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id14513 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas14514 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior14515 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance14516 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/health_insurance" }) }) });
    var pharmacy14517 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/pharmacy" }) }) });
    var income_ag14518 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg14519 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg14520 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente14521 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc14522 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents14523 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var has_esf14524 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city14460.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city14460.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region14462.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country14459 !== 'undefined' && country14459.on('change',Lino.chooser_handler(city14460,'country'));
      typeof region14462 !== 'undefined' && region14462.on('change',Lino.chooser_handler(city14460,'region'));
      typeof country14459 !== 'undefined' && country14459.on('change',Lino.chooser_handler(region14462,'country'));
      Lino.newcomers.NewClients.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.name_column) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state14444, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "broker", "editable": true, "editor": broker14445, "filter": { "type": "string" }, "header": "Vermittler", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "faculty", "editable": true, "editor": faculty14446, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.faculty) The Faculty this client has been attributed to.") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "national_id", "editable": true, "editor": national_id14447, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "gsm", "editable": true, "editor": gsm14448, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.address_column) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "email", "editable": true, "editor": email14451, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "phone", "editable": true, "editor": phone14452, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id14453, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language14454, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "url", "editable": true, "editor": url14455, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "fax", "editable": true, "editor": fax14456, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 16, "dataIndex": "country", "editable": true, "editor": country14459, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "city", "editable": true, "editor": city14460, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "zip_code", "editable": true, "editor": zip_code14461, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "region", "editable": true, "editor": region14462, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "addr1", "editable": true, "editor": addr114463, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix14464, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "street", "editable": true, "editor": street14465, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "street_no", "editable": true, "editor": street_no14466, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "street_box", "editable": true, "editor": street_box14467, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 25, "dataIndex": "addr2", "editable": true, "editor": addr214468, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "prefix", "editable": true, "editor": prefix14469, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "name", "editable": true, "editor": name14470, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "activity", "editable": true, "editor": activity14473, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type14474, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "payment_term", "editable": true, "editor": payment_term14475, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 33, "dataIndex": "title", "editable": true, "editor": title14476, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 34, "dataIndex": "first_name", "editable": true, "editor": first_name14477, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 35, "dataIndex": "middle_name", "editable": true, "editor": middle_name14478, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "last_name", "editable": true, "editor": last_name14479, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "gender", "editable": true, "editor": gender14480, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 38, "dataIndex": "birth_date", "editable": true, "editor": birth_date14481, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 39, "dataIndex": "nationality", "editable": true, "editor": nationality14482, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "renderer": Lino.fk_renderer('nationalityHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 40, "dataIndex": "birth_country", "editable": true, "editor": birth_country14483, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.birth_country) ") }, "renderer": Lino.fk_renderer('birth_countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 41, "dataIndex": "birth_place", "editable": true, "editor": birth_place14484, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 42, "dataIndex": "card_number", "editable": true, "editor": card_number14485, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 43, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from14486, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 44, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until14487, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 45, "dataIndex": "card_type", "editable": true, "editor": card_type14488, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 46, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer14489, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 47, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text14490, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 48, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition14491, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 49, "dataIndex": "group", "editable": true, "editor": group14492, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 50, "dataIndex": "civil_state", "editable": true, "editor": civil_state14493, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 51, "dataIndex": "residence_type", "editable": true, "editor": residence_type14494, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 52, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since14495, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "residence_until", "editable": true, "editor": residence_until14496, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 54, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since14497, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 55, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since14498, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 56, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 57, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 58, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until14501, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 59, "dataIndex": "aid_type", "editable": true, "editor": aid_type14502, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 60, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 61, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 62, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until14505, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 63, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why14506, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 64, "dataIndex": "obstacles", "editable": true, "editor": obstacles14507, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 65, "dataIndex": "skills", "editable": true, "editor": skills14508, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 66, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact14509, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 67, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason14510, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 68, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 69, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id14512, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 70, "dataIndex": "tim_id", "editable": true, "editor": tim_id14513, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 71, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 72, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 73, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance14516, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 74, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy14517, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 75, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 76, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 77, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 79, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 80, "dataIndex": "job_agents", "editable": true, "editor": job_agents14523, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 81, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.newcomers.NewClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.NewClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.NewClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/newcomers/NewClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.NewClients.detail;
    this.ls_insert_handler = Lino.newcomers.NewClients.insert;
    Lino.newcomers.NewClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.NewClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/NewClients" };
  return new Lino.newcomers.NewClients.insertPanel(p);
});
Lino.newcomers.NewClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.NewClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/newcomers/NewClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.NewClients.detail;
    this.ls_insert_handler = Lino.newcomers.NewClients.insert;
    Lino.newcomers.NewClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.NewClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/NewClients" };
  return new Lino.newcomers.NewClients.detailPanel(p);
});
Lino.newcomers.NewClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/NewClients" };
  p.params_panel = new Lino.newcomers.NewClients.ParamsPanel({});
  return new Lino.newcomers.NewClients.GridPanel(p);
});
Lino.newcomers.NewClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.AvailableCoaches
Lino.newcomers.AvailableCoaches.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/AvailableCoaches",
  ls_store_fields : [ { "name": "name_column" }, { "name": "workflow_buttons" }, { "name": "primary_clients" }, { "name": "new_clients" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "current_weight" }, { "name": "added_weight" }, { "name": "score" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of newcomers.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verf\u00fcgbare Begleiter",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoaches.detail;
    var ww = this.containing_window;
    var name_column_disp14526 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var workflow_buttons_disp14527 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary_clients14528 = new Ext.form.NumberField({ "disabled": true });
    var new_clients14529 = new Ext.form.NumberField({ "disabled": true });
    var newcomer_quota14530 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var current_weight14531 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var added_weight14532 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var score14533 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.name_column) ") }, "sortable": false, "tooltip": "(newcomers.AvailableCoaches.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 2, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Komplette Akten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.primary_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoaches.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "new_clients", "editable": false, "format": "0", "header": "Neue Klienten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.new_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoaches.new_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota14530, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "current_weight", "editable": false, "format": "0.000/i", "header": "Belastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.current_weight) Momentane Gesamtbelastung dieses Benutzers durch neue Klienten.\nSumme der Belastungspunkte pro neuem Klient.") }, "sortable": true, "tooltip": "Momentane Gesamtbelastung dieses Benutzers durch neue Klienten.\nSumme der Belastungspunkte pro neuem Klient.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "added_weight", "editable": false, "format": "0.000/i", "header": "Mehrbelastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.added_weight) Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.") }, "sortable": true, "tooltip": "Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "score", "editable": false, "format": "0.000,00/i", "header": "Mehrbelastung (%)", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.score) Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.") }, "sortable": true, "tooltip": "Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.", "width": Lino.chars2width(11), "xtype": "numbercolumn" } ];
    Lino.newcomers.AvailableCoaches.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoaches.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.AvailableCoaches.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  ls_url: "/newcomers/AvailableCoaches",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoaches.detail;
    Lino.newcomers.AvailableCoaches.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoaches.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoaches" };
  return new Lino.newcomers.AvailableCoaches.detailPanel(p);
});
Lino.newcomers.AvailableCoaches.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoaches" };
  p.params_panel = new Lino.newcomers.AvailableCoaches.ParamsPanel({});
  return new Lino.newcomers.AvailableCoaches.GridPanel(p);
});
Lino.newcomers.AvailableCoaches.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.Sectors
Lino.cbss.Sectors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/Sectors",
  ls_store_fields : [ { "name": "code", "type": "int", "useNull": true }, { "name": "subcode", "type": "int", "useNull": true }, { "name": "abbr" }, { "name": "abbr_fr" }, { "name": "abbr_en" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 115,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/Sectors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/Sectors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/Sectors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/Sectors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/Sectors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sektoren",
  initComponent : function() {
    var ww = this.containing_window;
    var code14535 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var subcode14536 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var abbr14537 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var abbr_fr14538 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var abbr_en14539 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var name14540 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14541 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14542 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14543 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "code", "editable": true, "editor": code14535, "filter": { "type": "numeric" }, "format": "0", "header": "Code", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "subcode", "editable": true, "editor": subcode14536, "filter": { "type": "numeric" }, "format": "0", "header": "Unter-Code", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.subcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "abbr", "editable": true, "editor": abbr14537, "filter": { "type": "string" }, "header": "Abk\u00fcrzung", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.abbr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "abbr_fr", "editable": true, "editor": abbr_fr14538, "filter": { "type": "string" }, "header": "Abk\u00fcrzung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.abbr_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "abbr_en", "editable": true, "editor": abbr_en14539, "filter": { "type": "string" }, "header": "Abk\u00fcrzung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.abbr_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name", "editable": true, "editor": name14540, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "name_fr", "editable": true, "editor": name_fr14541, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "name_en", "editable": true, "editor": name_en14542, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id14543, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.Sectors.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.Sectors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.Sectors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Sectors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Sectors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Sectors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Sectors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Sectors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Sectors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Sectors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Sectors.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Sectors", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Sectors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/Sectors" };
  return new Lino.cbss.Sectors.GridPanel(p);
});

// js_render_GridPanel_class cbss.Purposes
Lino.cbss.Purposes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/Purposes",
  ls_store_fields : [ { "name": "sector_code", "type": "int", "useNull": true }, { "name": "code", "type": "int", "useNull": true }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 116,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/Purposes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/Purposes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/Purposes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/Purposes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/Purposes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschafts-Codes",
  initComponent : function() {
    var ww = this.containing_window;
    var sector_code14545 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var code14546 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var name14547 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14548 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14549 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14550 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "sector_code", "editable": true, "editor": sector_code14545, "filter": { "type": "numeric" }, "format": "0", "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Purposes.sector_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "code", "editable": true, "editor": code14546, "filter": { "type": "numeric" }, "format": "0", "header": "Code", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Purposes.code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name14547, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Purposes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_fr", "editable": true, "editor": name_fr14548, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Purposes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "name_en", "editable": true, "editor": name_en14549, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cbss.Purposes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id14550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.Purposes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.Purposes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.Purposes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Purposes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Purposes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Purposes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Purposes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Purposes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Purposes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Purposes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Purposes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/Purposes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.Purposes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/Purposes" };
  return new Lino.cbss.Purposes.GridPanel(p);
});

// js_render_GridPanel_class cbss.IdentifyPersonRequests
Lino.cbss.IdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user7674 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var person7675 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var environment7676 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7677 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7678 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7679 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7680 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7681 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7682 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7683 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7684 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7685 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7686 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7687 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no7688 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7689 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7690 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7691 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name7692 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender7693 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance7694 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7674, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7675, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7680, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7686, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7687, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7688, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7689, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7690, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7691, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name7692, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender7693, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance7694, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.IdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.IdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.AllIdentifyPersonRequests
Lino.cbss.AllIdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/AllIdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/AllIdentifyPersonRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllIdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllIdentifyPersonRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllIdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/AllIdentifyPersonRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllIdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user14552 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllIdentifyPersonRequests/user" }) }) });
    var person14553 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllIdentifyPersonRequests/person" }) }) });
    var environment14554 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent14555 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status14556 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket14557 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id14558 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14559 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml14560 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml14561 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages14562 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages14563 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id14564 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date14565 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no14566 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no14567 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name14568 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name14569 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name14570 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender14571 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance14572 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user14552, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person14553, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14558, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id14564, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date14565, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no14566, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no14567, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name14568, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name14569, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name14570, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender14571, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance14572, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllIdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.AllIdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllIdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.AllIdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/AllIdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllIdentifyPersonRequests.insert;
    Lino.cbss.AllIdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllIdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/AllIdentifyPersonRequests" };
  return new Lino.cbss.AllIdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.AllIdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.AllIdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/AllIdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllIdentifyPersonRequests.insert;
    Lino.cbss.AllIdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllIdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/AllIdentifyPersonRequests" };
  return new Lino.cbss.AllIdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.AllIdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllIdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/AllIdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.AllIdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.AllIdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllIdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyIdentifyPersonRequests
Lino.cbss.MyIdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyIdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user7696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/user" }) }) });
    var person7697 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/person" }) }) });
    var environment7698 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7699 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7700 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7701 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7702 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7703 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7704 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7705 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7706 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7707 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7708 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7709 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no7710 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7711 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7712 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7713 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name7714 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender7715 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance7716 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7696, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7697, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7702, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7708, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7709, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7710, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7711, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7712, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7713, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name7714, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender7715, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance7716, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.MyIdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.MyIdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequests
Lino.cbss.ManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    var ww = this.containing_window;
    var user7718 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var person7719 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var environment7720 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7721 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7722 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7723 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7724 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7725 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7726 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7727 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7728 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7729 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7730 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7731 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no7732 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7733 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7734 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7735 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector7736 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose7737 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var start_date7738 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date7739 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action7740 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register7741 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose7737.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7736 !== 'undefined' && sector7736.on('change',Lino.chooser_handler(purpose7737,'sector'));
      Lino.cbss.ManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7718, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7719, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7724, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7730, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7731, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7732, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7733, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7734, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7735, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose7737, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date7738, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date7739, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action7740, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register7741, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.ManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.insertPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.detailPanel(p);
});
Lino.cbss.ManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequests.GridPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.AllManageAccessRequests
Lino.cbss.AllManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/AllManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/AllManageAccessRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllManageAccessRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/AllManageAccessRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllManageAccessRequests.insert;
    var ww = this.containing_window;
    var user14574 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllManageAccessRequests/user" }) }) });
    var person14575 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllManageAccessRequests/person" }) }) });
    var environment14576 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent14577 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status14578 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket14579 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id14580 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14581 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml14582 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml14583 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages14584 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages14585 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id14586 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date14587 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no14588 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no14589 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name14590 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name14591 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector14592 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose14593 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllManageAccessRequests/purpose" }) }) });
    var start_date14594 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date14595 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action14596 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register14597 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose14593.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector14592 !== 'undefined' && sector14592.on('change',Lino.chooser_handler(purpose14593,'sector'));
      Lino.cbss.AllManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user14574, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person14575, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14580, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id14586, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date14587, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no14588, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no14589, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name14590, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name14591, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose14593, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date14594, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date14595, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action14596, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register14597, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.AllManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.AllManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/AllManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllManageAccessRequests.insert;
    Lino.cbss.AllManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/AllManageAccessRequests" };
  return new Lino.cbss.AllManageAccessRequests.insertPanel(p);
});
Lino.cbss.AllManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.AllManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/AllManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllManageAccessRequests.insert;
    Lino.cbss.AllManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/AllManageAccessRequests" };
  return new Lino.cbss.AllManageAccessRequests.detailPanel(p);
});
Lino.cbss.AllManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/AllManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.AllManageAccessRequests.GridPanel(p);
});
Lino.cbss.AllManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyManageAccessRequests
Lino.cbss.MyManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    var ww = this.containing_window;
    var user7743 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/user" }) }) });
    var person7744 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/person" }) }) });
    var environment7745 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7746 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7747 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7748 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7749 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7750 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7751 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7752 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7753 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7754 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7755 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7756 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no7757 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7758 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7759 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7760 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector7761 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose7762 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/purpose" }) }) });
    var start_date7763 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date7764 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action7765 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register7766 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose7762.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7761 !== 'undefined' && sector7761.on('change',Lino.chooser_handler(purpose7762,'sector'));
      Lino.cbss.MyManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7743, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7744, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7749, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7755, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7756, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7757, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7758, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7759, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7760, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose7762, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date7763, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date7764, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action7765, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register7766, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.MyManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.insertPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.detailPanel(p);
});
Lino.cbss.MyManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.MyManageAccessRequests.GridPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequests
Lino.cbss.RetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user7768 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var person7769 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var environment7770 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7771 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7772 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7773 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7774 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7775 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7776 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7777 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7778 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7779 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7780 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language7781 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history7782 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7768, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7769, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7774, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7780, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language7781, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.RetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.AllRetrieveTIGroupsRequests
Lino.cbss.AllRetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/AllRetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/AllRetrieveTIGroupsRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllRetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllRetrieveTIGroupsRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/AllRetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/AllRetrieveTIGroupsRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllRetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user14599 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllRetrieveTIGroupsRequests/user" }) }) });
    var person14600 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/AllRetrieveTIGroupsRequests/person" }) }) });
    var environment14601 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent14602 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status14603 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket14604 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id14605 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by14606 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml14607 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml14608 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages14609 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages14610 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id14611 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language14612 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history14613 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user14599, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person14600, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14605, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id14611, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language14612, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.AllRetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.AllRetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllRetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.AllRetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/AllRetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllRetrieveTIGroupsRequests.insert;
    Lino.cbss.AllRetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllRetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/AllRetrieveTIGroupsRequests" };
  return new Lino.cbss.AllRetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.AllRetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.AllRetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/AllRetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.AllRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.AllRetrieveTIGroupsRequests.insert;
    Lino.cbss.AllRetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.AllRetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/AllRetrieveTIGroupsRequests" };
  return new Lino.cbss.AllRetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.AllRetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.AllRetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/AllRetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.AllRetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.AllRetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/AllRetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyRetrieveTIGroupsRequests
Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyRetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user7784 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/user" }) }) });
    var person7785 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/person" }) }) });
    var environment7786 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7787 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7788 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7789 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7790 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7791 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7792 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7793 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7794 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7795 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7796 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language7797 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history7798 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7784, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7785, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7790, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7796, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language7797, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class humanlinks.Links
Lino.humanlinks.Links.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/humanlinks/Links",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "parent" }, 'parentHidden', { "name": "child" }, 'childHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 123,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/humanlinks/Links','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/Links','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/Links','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/Links','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/humanlinks/Links','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Personsl Link) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of humanlinks.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verwandtschaftsbeziehungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.Links.detail;
    this.ls_insert_handler = Lino.humanlinks.Links.insert;
    var ww = this.containing_window;
    var id14615 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type14616 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var parent14617 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var child14618 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14615, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.Links.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type14616, "filter": { "options": [ "Vater (Mutter)", "Adoptivvater (Adoptivmutter)", "Gro\u00dfvater (Gro\u00dfmutter)", "Ehemann (Ehefrau)", "Freund (Freundin)", "Partner (Partnerin)", "Stiefvater (Stiefmutter)", "Pflegevater (Pflegemutter)", "Bruder (Schwester)", "Vetter (Kusine)", "Onkel (Tante)", "Verwandter (Verwandte)", "Sonstiger (Sonstige)" ], "type": "list" }, "header": "Verwandschaftsart", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "sortable": false, "tooltip": "The type of link.  Pointer to LinkTypes.", "width": Lino.chars2width(32) }, { "colIndex": 2, "dataIndex": "parent", "editable": true, "editor": parent14617, "filter": { "type": "string" }, "header": "Wer ist...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "renderer": Lino.fk_renderer('parentHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"parent\".", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "child", "editable": true, "editor": child14618, "filter": { "type": "string" }, "header": "Von wem...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "renderer": Lino.fk_renderer('childHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"child\".", "width": Lino.chars2width(21) } ];
    Lino.humanlinks.Links.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.Links.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.Links.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.Links.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.Links.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.Links.insertPanel = Ext.extend(Lino.humanlinks.Links.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/humanlinks/Links",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.Links.detail;
    this.ls_insert_handler = Lino.humanlinks.Links.insert;
    Lino.humanlinks.Links.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.Links.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/humanlinks/Links" };
  return new Lino.humanlinks.Links.insertPanel(p);
});
Lino.humanlinks.Links.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.Links.detailPanel = Ext.extend(Lino.humanlinks.Links.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Personsl Link) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/humanlinks/Links",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.Links.detail;
    this.ls_insert_handler = Lino.humanlinks.Links.insert;
    Lino.humanlinks.Links.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.Links.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/Links" };
  return new Lino.humanlinks.Links.detailPanel(p);
});
Lino.humanlinks.Links.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.Links.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/Links" };
  return new Lino.humanlinks.Links.GridPanel(p);
});
Lino.humanlinks.Links.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/Links", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Clients
Lino.debts.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Clients.detail;
    var ww = this.containing_window;
    var name_column_disp14620 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var national_id14621 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm14622 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp14623 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email14624 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone14625 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14626 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.name_column) ") }, "sortable": false, "tooltip": "(debts.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "national_id", "editable": true, "editor": national_id14621, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "gsm", "editable": true, "editor": gsm14622, "filter": { "type": "string" }, "header": "Handy", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.address_column) ") }, "sortable": false, "tooltip": "(debts.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email14624, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "phone", "editable": true, "editor": phone14625, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14626, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/debts/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Clients.detail;
    Lino.debts.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Clients" };
  return new Lino.debts.Clients.detailPanel(p);
});
Lino.debts.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.debts.Clients.GridPanel(p);
});
Lino.debts.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Groups
Lino.debts.Groups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Groups",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "account_type" }, 'account_typeHidden', { "name": "entries_layout" }, 'entries_layoutHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Groups','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Groups','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Groups','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Groups','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Groups','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontengruppe) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontengruppen",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Groups.detail;
    this.ls_insert_handler = Lino.debts.Groups.insert;
    var ww = this.containing_window;
    var ref14628 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var name14629 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14630 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14631 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account_type14632 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var entries_layout14633 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.TableLayouts) });
    var id14634 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref14628, "filter": { "type": "string" }, "header": "ref", "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.ref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name14629, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr14630, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en14631, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "account_type", "editable": true, "editor": account_type14632, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "entries_layout", "editable": true, "editor": entries_layout14633, "filter": { "options": [ "Description, remarks, yearly amount, actor amounts", "Description, remarks, actor amounts", "Partner, remarks, monthly rate, actor amounts", "Full description, actor amounts", "Debt-collector, partner, remarks, monthly rate, amounts" ], "type": "list" }, "header": "Budget entries layout", "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.entries_layout) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(59) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14634, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.Groups.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.Groups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Groups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Groups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Groups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Groups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Groups.insertPanel = Ext.extend(Lino.debts.Groups.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/Groups",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Groups.detail;
    this.ls_insert_handler = Lino.debts.Groups.insert;
    Lino.debts.Groups.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Groups.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/Groups" };
  return new Lino.debts.Groups.insertPanel(p);
});
Lino.debts.Groups.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Groups.detailPanel = Ext.extend(Lino.debts.Groups.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontengruppe) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/Groups",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Groups.detail;
    this.ls_insert_handler = Lino.debts.Groups.insert;
    Lino.debts.Groups.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Groups.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Groups" };
  return new Lino.debts.Groups.detailPanel(p);
});
Lino.debts.Groups.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Groups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Groups" };
  return new Lino.debts.Groups.GridPanel(p);
});
Lino.debts.Groups.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Groups", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Accounts
Lino.debts.Accounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Accounts",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "default_amount" }, { "name": "periods" }, { "name": "required_for_household", "type": "boolean" }, { "name": "required_for_person", "type": "boolean" }, { "name": "group" }, 'groupHidden', { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Accounts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Accounts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Accounts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.debts.Accounts.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Konten",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Accounts.detail;
    this.ls_insert_handler = Lino.debts.Accounts.insert;
    var ww = this.containing_window;
    var ref14636 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name14637 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14638 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14639 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var default_amount14640 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var periods14641 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var required_for_household14642 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var required_for_person14643 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var group14644 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontengruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var id14645 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno14646 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type14647 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref14636, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "sortable": true, "tooltip": "An optional unique name which can be used to reference a given\naccount.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name14637, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "sortable": true, "tooltip": "The multilingual designation of this account, as the users see\nit.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr14638, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en14639, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "default_amount", "editable": true, "editor": default_amount14640, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.default_amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "periods", "editable": true, "editor": periods14641, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "sortable": true, "tooltip": "For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "required_for_household", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Haushalte", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.required_for_household) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "required_for_person", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Personen", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.required_for_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "group", "editable": true, "editor": group14644, "filter": { "type": "string" }, "header": "Kontengruppe", "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "renderer": Lino.fk_renderer('groupHidden','Lino.debts.Groups.detail'), "sortable": false, "tooltip": "The account group to which this account belongs.  This must\npoint to an instance of Group.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id14645, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno14646, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.seqno) The sequence number of this account within its group.") }, "sortable": true, "tooltip": "The sequence number of this account within its group.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "type", "editable": true, "editor": type14647, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "sortable": false, "tooltip": "The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.", "width": Lino.chars2width(19) } ];
    Lino.debts.Accounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Accounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Accounts.insertPanel = Ext.extend(Lino.debts.Accounts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/Accounts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Accounts.detail;
    this.ls_insert_handler = Lino.debts.Accounts.insert;
    Lino.debts.Accounts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Accounts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/Accounts" };
  return new Lino.debts.Accounts.insertPanel(p);
});
Lino.debts.Accounts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Accounts.detailPanel = Ext.extend(Lino.debts.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.debts.Accounts.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/Accounts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Accounts.detail;
    this.ls_insert_handler = Lino.debts.Accounts.insert;
    Lino.debts.Accounts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Accounts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Accounts" };
  return new Lino.debts.Accounts.detailPanel(p);
});
Lino.debts.Accounts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Accounts" };
  return new Lino.debts.Accounts.GridPanel(p);
});
Lino.debts.Accounts.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Accounts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Accounts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Actors
Lino.debts.Actors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Actors",
  ls_store_fields : [ { "name": "budget" }, 'budgetHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "partner" }, 'partnerHidden', { "name": "header" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Actors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Actors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Actors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Actors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Actors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Budget-Akteure",
  initComponent : function() {
    var ww = this.containing_window;
    var budget14649 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Actors/budget" }) }) });
    var seqno14650 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var partner14651 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Actors/partner" }) }) });
    var header14652 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var remark14653 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Bemerkung" });
    var id14654 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      remark14653.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "budget", "editable": true, "editor": budget14649, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.Actors.budget) ") }, "renderer": Lino.fk_renderer('budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno14650, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.Actors.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner14651, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.Actors.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "header", "editable": true, "editor": header14652, "filter": { "type": "string" }, "header": "Kolonnen\u00fcberschrift", "listeners": { "render": Lino.quicktip_renderer("","(debts.Actors.header) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark14653, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Actors.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id14654, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.Actors.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.Actors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Actors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Actors" };
  return new Lino.debts.Actors.GridPanel(p);
});
Lino.debts.Actors.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Actors.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Actors", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Budgets
Lino.debts.Budgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Budgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "print_todos", "type": "boolean" }, { "name": "print_empty_rows", "type": "boolean" }, { "name": "include_yearly_incomes", "type": "boolean" }, { "name": "intro" }, { "name": "conclusion" }, { "name": "dist_amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Budgets','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Budgets','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Budgets','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Budgets','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Budgets','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Budgets",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Budgets.detail;
    this.ls_insert_handler = Lino.debts.Budgets.insert;
    var ww = this.containing_window;
    var id14656 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14657 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var printed_by14658 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var date14659 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partner14660 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var print_todos14661 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var print_empty_rows14662 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var include_yearly_incomes14663 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var intro14664 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Einleitung" });
    var conclusion14665 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount14666 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 120 });
    this.before_row_edit = function(record) {
      intro14664.refresh();
      conclusion14665.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14656, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14657, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date", "editable": true, "editor": date14659, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "partner", "editable": true, "editor": partner14660, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "print_todos", "editable": true, "filter": { "type": "boolean" }, "header": "To-do-Liste drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "sortable": false, "tooltip": "Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "print_empty_rows", "editable": true, "filter": { "type": "boolean" }, "header": "Auch leere Eintr\u00e4ge drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "sortable": false, "tooltip": "Check this to print also empty rows for later completion.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "include_yearly_incomes", "editable": true, "filter": { "type": "boolean" }, "header": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "sortable": false, "tooltip": "Check this to include yearly incomes in the Debts Overview table of this Budget.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "intro", "editable": true, "editor": intro14664, "filter": { "type": "string" }, "header": "Einleitung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.intro) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "conclusion", "editable": true, "editor": conclusion14665, "filter": { "type": "string" }, "header": "Schlussfolgerung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.conclusion) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "dist_amount", "editable": true, "editor": dist_amount14666, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Verteilbarer Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.Budgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "sortable": true, "tooltip": "Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.Budgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Budgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Budgets.insertPanel = Ext.extend(Lino.debts.Budgets.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/Budgets",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Budgets.detail;
    this.ls_insert_handler = Lino.debts.Budgets.insert;
    Lino.debts.Budgets.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Budgets.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/Budgets" };
  return new Lino.debts.Budgets.insertPanel(p);
});
Lino.debts.Budgets.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Budgets.detailPanel = Ext.extend(Lino.debts.Budgets.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/Budgets",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Budgets.detail;
    this.ls_insert_handler = Lino.debts.Budgets.insert;
    Lino.debts.Budgets.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Budgets.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Budgets" };
  return new Lino.debts.Budgets.detailPanel(p);
});
Lino.debts.Budgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Budgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Budgets" };
  p.params_panel = new Lino.debts.Budgets.ParamsPanel({});
  return new Lino.debts.Budgets.GridPanel(p);
});
Lino.debts.Budgets.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Budgets", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.MyBudgets
Lino.debts.MyBudgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/MyBudgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "print_todos", "type": "boolean" }, { "name": "print_empty_rows", "type": "boolean" }, { "name": "include_yearly_incomes", "type": "boolean" }, { "name": "intro" }, { "name": "conclusion" }, { "name": "dist_amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Budgets",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.MyBudgets.detail;
    this.ls_insert_handler = Lino.debts.MyBudgets.insert;
    var ww = this.containing_window;
    var id14668 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14669 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/MyBudgets/user" }) }) });
    var printed_by14670 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var date14671 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partner14672 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/MyBudgets/partner" }) }) });
    var print_todos14673 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var print_empty_rows14674 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var include_yearly_incomes14675 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var intro14676 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Einleitung" });
    var conclusion14677 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount14678 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 120 });
    this.before_row_edit = function(record) {
      intro14676.refresh();
      conclusion14677.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14668, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14669, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date", "editable": true, "editor": date14671, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "partner", "editable": true, "editor": partner14672, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "print_todos", "editable": true, "filter": { "type": "boolean" }, "header": "To-do-Liste drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "sortable": false, "tooltip": "Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "print_empty_rows", "editable": true, "filter": { "type": "boolean" }, "header": "Auch leere Eintr\u00e4ge drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "sortable": false, "tooltip": "Check this to print also empty rows for later completion.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "include_yearly_incomes", "editable": true, "filter": { "type": "boolean" }, "header": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "sortable": false, "tooltip": "Check this to include yearly incomes in the Debts Overview table of this Budget.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "intro", "editable": true, "editor": intro14676, "filter": { "type": "string" }, "header": "Einleitung", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.intro) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "conclusion", "editable": true, "editor": conclusion14677, "filter": { "type": "string" }, "header": "Schlussfolgerung", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.conclusion) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "dist_amount", "editable": true, "editor": dist_amount14678, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Verteilbarer Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "sortable": true, "tooltip": "Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.MyBudgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.MyBudgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.MyBudgets.insertPanel = Ext.extend(Lino.debts.Budgets.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/MyBudgets",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.MyBudgets.detail;
    this.ls_insert_handler = Lino.debts.MyBudgets.insert;
    Lino.debts.MyBudgets.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.MyBudgets.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/MyBudgets" };
  return new Lino.debts.MyBudgets.insertPanel(p);
});
Lino.debts.MyBudgets.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.MyBudgets.detailPanel = Ext.extend(Lino.debts.Budgets.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/MyBudgets",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.MyBudgets.detail;
    this.ls_insert_handler = Lino.debts.MyBudgets.insert;
    Lino.debts.MyBudgets.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.MyBudgets.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/MyBudgets" };
  return new Lino.debts.MyBudgets.detailPanel(p);
});
Lino.debts.MyBudgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/MyBudgets" };
  p.params_panel = new Lino.debts.Budgets.ParamsPanel({});
  return new Lino.debts.MyBudgets.GridPanel(p);
});
Lino.debts.MyBudgets.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Entries
Lino.debts.Entries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Entries",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "budget" }, 'budgetHidden', { "name": "account_type" }, 'account_typeHidden', { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "circa", "type": "boolean" }, { "name": "distribute", "type": "boolean" }, { "name": "todo" }, { "name": "remark" }, { "name": "description" }, { "name": "periods" }, { "name": "monthly_rate" }, { "name": "bailiff" }, 'bailiffHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Entries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Entries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Entries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Entries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Entries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eintr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var id14680 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno14681 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var budget14682 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Entries/budget" }) }) });
    var account_type14683 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var account14684 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Entries/account" }) }) });
    var partner14685 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Entries/partner" }) }) });
    var amount14686 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor14687 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Entries/actor" }) }) });
    var circa14688 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var distribute14689 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var todo14690 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark14691 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description14692 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var periods14693 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var monthly_rate14694 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var bailiff14695 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Entries/bailiff" }) }) });
    this.before_row_edit = function(record) {
      account14684.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      actor14687.setContextValue('budget', record ? record.data['budgetHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof account_type14683 !== 'undefined' && account_type14683.on('change',Lino.chooser_handler(account14684,'account_type'));
      typeof budget14682 !== 'undefined' && budget14682.on('change',Lino.chooser_handler(actor14687,'budget'));
      Lino.debts.Entries.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14680, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno14681, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "budget", "editable": true, "editor": budget14682, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.budget) ") }, "renderer": Lino.fk_renderer('budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account_type", "editable": true, "editor": account_type14683, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 4, "dataIndex": "account", "editable": true, "editor": account14684, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "partner", "editable": true, "editor": partner14685, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "amount", "editable": true, "editor": amount14686, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "actor", "editable": true, "editor": actor14687, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "circa", "editable": true, "filter": { "type": "boolean" }, "header": "ca.", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.circa) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "distribute", "editable": true, "filter": { "type": "boolean" }, "header": "Verteilen", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.distribute) Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.") }, "sortable": false, "tooltip": "Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "todo", "editable": true, "editor": todo14690, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "remark", "editable": true, "editor": remark14691, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description14692, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.description) Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 13, "dataIndex": "periods", "editable": true, "editor": periods14693, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "monthly_rate", "editable": true, "editor": monthly_rate14694, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monatsrate", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.monthly_rate) \nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ") }, "sortable": true, "tooltip": "\nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "bailiff", "editable": true, "editor": bailiff14695, "filter": { "type": "string" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(debts.Entries.bailiff) Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency") }, "renderer": Lino.fk_renderer('bailiffHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency", "width": Lino.chars2width(21) } ];
    Lino.debts.Entries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Entries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Entries" };
  return new Lino.debts.Entries.GridPanel(p);
});
Lino.debts.Entries.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Entries.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Entries", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.EntriesByType
Lino.debts.EntriesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/EntriesByType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "budget" }, 'budgetHidden', { "name": "account_type" }, 'account_typeHidden', { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "circa", "type": "boolean" }, { "name": "distribute", "type": "boolean" }, { "name": "todo" }, { "name": "remark" }, { "name": "description" }, { "name": "periods" }, { "name": "monthly_rate" }, { "name": "bailiff" }, 'bailiffHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "EntriesByType",
  initComponent : function() {
    var ww = this.containing_window;
    var id14697 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno14698 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var budget14699 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/budget" }) }) });
    var account_type14700 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var account14701 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/account" }) }) });
    var partner14702 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/partner" }) }) });
    var amount14703 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor14704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/actor" }) }) });
    var circa14705 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var distribute14706 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var todo14707 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark14708 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description14709 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var periods14710 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var monthly_rate14711 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var bailiff14712 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/bailiff" }) }) });
    this.before_row_edit = function(record) {
      account14701.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      actor14704.setContextValue('budget', record ? record.data['budgetHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof account_type14700 !== 'undefined' && account_type14700.on('change',Lino.chooser_handler(account14701,'account_type'));
      typeof budget14699 !== 'undefined' && budget14699.on('change',Lino.chooser_handler(actor14704,'budget'));
      Lino.debts.EntriesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14697, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno14698, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "budget", "editable": true, "editor": budget14699, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.budget) ") }, "renderer": Lino.fk_renderer('budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account_type", "editable": true, "editor": account_type14700, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 4, "dataIndex": "account", "editable": true, "editor": account14701, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "partner", "editable": true, "editor": partner14702, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "amount", "editable": true, "editor": amount14703, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "actor", "editable": true, "editor": actor14704, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "circa", "editable": true, "filter": { "type": "boolean" }, "header": "ca.", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.circa) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "distribute", "editable": true, "filter": { "type": "boolean" }, "header": "Verteilen", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.distribute) Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.") }, "sortable": false, "tooltip": "Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "todo", "editable": true, "editor": todo14707, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "remark", "editable": true, "editor": remark14708, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description14709, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.description) Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 13, "dataIndex": "periods", "editable": true, "editor": periods14710, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "monthly_rate", "editable": true, "editor": monthly_rate14711, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monatsrate", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.monthly_rate) \nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ") }, "sortable": true, "tooltip": "\nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "bailiff", "editable": true, "editor": bailiff14712, "filter": { "type": "string" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.bailiff) Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency") }, "renderer": Lino.fk_renderer('bailiffHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency", "width": Lino.chars2width(21) } ];
    Lino.debts.EntriesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.EntriesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/EntriesByType" };
  return new Lino.debts.EntriesByType.GridPanel(p);
});
Lino.debts.EntriesByType.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NoteTypes
Lino.notes.NoteTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NoteTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "build_method" }, 'build_methodHidden', { "name": "template" }, { "name": "special_type" }, 'special_typeHidden', { "name": "id", "type": "int" }, { "name": "attach_to_email", "type": "boolean" }, { "name": "email_template" }, { "name": "important", "type": "boolean" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 129,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NoteTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NoteTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NoteTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NoteTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NoteTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Notizart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Notizarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NoteTypes.detail;
    this.ls_insert_handler = Lino.notes.NoteTypes.insert;
    var ww = this.containing_window;
    var name14714 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14715 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14716 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_method14717 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template14718 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/template" }) }) });
    var special_type14719 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.notes.SpecialTypes) });
    var id14720 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var attach_to_email14721 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var email_template14722 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/email_template" }) }) });
    var important14723 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remark14724 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      template14718.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof build_method14717 !== 'undefined' && build_method14717.on('change',Lino.chooser_handler(template14718,'build_method'));
      Lino.notes.NoteTypes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14714, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14715, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14716, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "build_method", "editable": true, "editor": build_method14717, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "sortable": false, "tooltip": "A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.", "width": Lino.chars2width(24) }, { "colIndex": 4, "dataIndex": "template", "editable": true, "editor": template14718, "filter": { "type": "string" }, "header": "Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.template) The name of the file to be used as template.") }, "sortable": false, "tooltip": "The name of the file to be used as template.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "special_type", "editable": true, "editor": special_type14719, "filter": { "options": [ "Erstgespr\u00e4ch" ], "type": "list" }, "header": "Sondernotizart", "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.special_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14720, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "attach_to_email", "editable": true, "filter": { "type": "boolean" }, "header": "als Anhang per E-Mail", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "sortable": false, "tooltip": "Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "email_template", "editable": true, "editor": email_template14722, "filter": { "type": "string" }, "header": "E-Mail-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "sortable": false, "tooltip": "The name of the file to be used as template when creating an email from a mailable of this type.", "width": Lino.chars2width(11) }, { "colIndex": 9, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "remark", "editable": true, "editor": remark14724, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NoteTypes.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.NoteTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NoteTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NoteTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NoteTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NoteTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NoteTypes.insertPanel = Ext.extend(Lino.notes.NoteTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NoteTypes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NoteTypes.detail;
    this.ls_insert_handler = Lino.notes.NoteTypes.insert;
    Lino.notes.NoteTypes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NoteTypes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NoteTypes" };
  return new Lino.notes.NoteTypes.insertPanel(p);
});
Lino.notes.NoteTypes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NoteTypes.detailPanel = Ext.extend(Lino.notes.NoteTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Notizart) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NoteTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NoteTypes.detail;
    this.ls_insert_handler = Lino.notes.NoteTypes.insert;
    Lino.notes.NoteTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NoteTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NoteTypes" };
  return new Lino.notes.NoteTypes.detailPanel(p);
});
Lino.notes.NoteTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NoteTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NoteTypes" };
  return new Lino.notes.NoteTypes.GridPanel(p);
});
Lino.notes.NoteTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NoteTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.EventTypes
Lino.notes.EventTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/EventTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "remark" }, { "name": "body" }, { "name": "body_fr" }, { "name": "body_en" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/EventTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/EventTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/EventTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/EventTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/EventTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.EventTypes.detail;
    var ww = this.containing_window;
    var name14726 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14727 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14728 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14729 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remark14730 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var body14731 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var body_fr14732 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt (fr)" });
    var body_en14733 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt (en)" });
    this.before_row_edit = function(record) {
      body14731.refresh();
      body_fr14732.refresh();
      body_en14733.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14726, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14727, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14728, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id14729, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark14730, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "body", "editable": true, "editor": body14731, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "body_fr", "editable": true, "editor": body_fr14732, "filter": { "type": "string" }, "header": "Inhalt (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.body_fr) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "body_en", "editable": true, "editor": body_en14733, "filter": { "type": "string" }, "header": "Inhalt (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.EventTypes.body_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.EventTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.EventTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/EventTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.EventTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/EventTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.EventTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/EventTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.EventTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/EventTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.EventTypes.detailPanel = Ext.extend(Lino.notes.EventTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/EventTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.EventTypes.detail;
    Lino.notes.EventTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.EventTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/EventTypes" };
  return new Lino.notes.EventTypes.detailPanel(p);
});
Lino.notes.EventTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/EventTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.EventTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/EventTypes" };
  return new Lino.notes.EventTypes.GridPanel(p);
});
Lino.notes.EventTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/EventTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.Notes
Lino.notes.Notes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/Notes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "project" }, 'projectHidden', { "name": "subject" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "body" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    var ww = this.containing_window;
    var date7800 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time7801 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var id7802 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user7803 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var event_type7804 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type7805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var project7806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject7807 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_time7808 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7809 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type7810 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_type" }) }) });
    var owner_id7811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_id" }) }) });
    var company7812 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person7813 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var contact_role7814 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_role" }) }) });
    var language7815 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important7816 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7817 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body7818 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    this.before_row_edit = function(record) {
      owner_id7811.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7813.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body7818.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7810 !== 'undefined' && owner_type7810.on('change',Lino.chooser_handler(owner_id7811,'owner_type'));
      typeof company7812 !== 'undefined' && company7812.on('change',Lino.chooser_handler(contact_person7813,'company'));
      Lino.notes.Notes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date7800, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time7801, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id7802, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7803, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "event_type", "editable": true, "editor": event_type7804, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7805, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project7806, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "subject", "editable": true, "editor": subject7807, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method7809, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type7810, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id7811, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company7812, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7813, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7814, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language7815, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner) ") }, "sortable": false, "tooltip": "(notes.Notes.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "body", "editable": true, "editor": body7818, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.Notes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.insertPanel(p);
});
Lino.notes.Notes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.detailPanel(p);
});
Lino.notes.Notes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.Notes.GridPanel(p);
});
Lino.notes.Notes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.AllNotes
Lino.notes.AllNotes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/AllNotes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "project" }, 'projectHidden', { "name": "subject" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "body" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/AllNotes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/AllNotes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/AllNotes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/AllNotes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/AllNotes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.AllNotes.detail;
    this.ls_insert_handler = Lino.notes.AllNotes.insert;
    var ww = this.containing_window;
    var date14735 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time14736 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var id14737 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/user" }) }) });
    var event_type14739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/event_type" }) }) });
    var type14740 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/type" }) }) });
    var project14741 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/project" }) }) });
    var subject14742 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_time14743 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method14744 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type14745 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/owner_type" }) }) });
    var owner_id14746 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/owner_id" }) }) });
    var company14747 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/company" }) }) });
    var contact_person14748 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/contact_person" }) }) });
    var contact_role14749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/AllNotes/contact_role" }) }) });
    var language14750 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important14751 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp14752 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body14753 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    this.before_row_edit = function(record) {
      owner_id14746.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person14748.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body14753.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type14745 !== 'undefined' && owner_type14745.on('change',Lino.chooser_handler(owner_id14746,'owner_type'));
      typeof company14747 !== 'undefined' && company14747.on('change',Lino.chooser_handler(contact_person14748,'company'));
      Lino.notes.AllNotes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date14735, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time14736, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id14737, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user14738, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "event_type", "editable": true, "editor": event_type14739, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type14740, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project14741, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "subject", "editable": true, "editor": subject14742, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method14744, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type14745, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id14746, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company14747, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person14748, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role14749, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language14750, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.owner) ") }, "sortable": false, "tooltip": "(notes.AllNotes.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "body", "editable": true, "editor": body14753, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.AllNotes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.AllNotes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.AllNotes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.AllNotes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/AllNotes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.AllNotes.detail;
    this.ls_insert_handler = Lino.notes.AllNotes.insert;
    Lino.notes.AllNotes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.AllNotes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/AllNotes" };
  return new Lino.notes.AllNotes.insertPanel(p);
});
Lino.notes.AllNotes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.AllNotes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/AllNotes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.AllNotes.detail;
    this.ls_insert_handler = Lino.notes.AllNotes.insert;
    Lino.notes.AllNotes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.AllNotes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/AllNotes" };
  return new Lino.notes.AllNotes.detailPanel(p);
});
Lino.notes.AllNotes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.AllNotes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/AllNotes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.AllNotes.GridPanel(p);
});
Lino.notes.AllNotes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/AllNotes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.MyNotes
Lino.notes.MyNotes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/MyNotes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "project" }, 'projectHidden', { "name": "body" }, { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    var ww = this.containing_window;
    var date7820 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time7821 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type7822 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/event_type" }) }) });
    var type7823 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/type" }) }) });
    var subject7824 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var project7825 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/project" }) }) });
    var body7826 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    var id7827 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time7828 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7829 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/user" }) }) });
    var owner_type7831 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_type" }) }) });
    var owner_id7832 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_id" }) }) });
    var company7833 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/company" }) }) });
    var contact_person7834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_person" }) }) });
    var contact_role7835 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_role" }) }) });
    var language7836 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important7837 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7838 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      body7826.refresh();
      owner_id7832.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7834.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7831 !== 'undefined' && owner_type7831.on('change',Lino.chooser_handler(owner_id7832,'owner_type'));
      typeof company7833 !== 'undefined' && company7833.on('change',Lino.chooser_handler(contact_person7834,'company'));
      Lino.notes.MyNotes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date7820, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time7821, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7822, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type7823, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject7824, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "project", "editable": true, "editor": project7825, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "body", "editable": true, "editor": body7826, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7827, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method7829, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7830, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type7831, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id7832, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company7833, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person7834, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role7835, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7836, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner) ") }, "sortable": false, "tooltip": "(notes.MyNotes.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.MyNotes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.insertPanel(p);
});
Lino.notes.MyNotes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.detailPanel(p);
});
Lino.notes.MyNotes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.MyNotes.GridPanel(p);
});
Lino.notes.MyNotes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.Categories
Lino.aids.Categories.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/Categories",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/Categories','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Categories','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Categories','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Categories','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/Categories','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kategorien",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Categories.detail;
    var ww = this.containing_window;
    var name14755 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14756 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14757 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id14758 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14755, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(aids.Categories.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14756, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(aids.Categories.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14757, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(aids.Categories.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id14758, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.Categories.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.aids.Categories.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Categories.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Categories", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Categories.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Categories", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Categories.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Categories", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Categories.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Categories", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Categories.detailPanel = Ext.extend(Lino.aids.Categories.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/Categories",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Categories.detail;
    Lino.aids.Categories.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Categories.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Categories" };
  return new Lino.aids.Categories.detailPanel(p);
});
Lino.aids.Categories.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Categories", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Categories.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Categories" };
  return new Lino.aids.Categories.GridPanel(p);
});
Lino.aids.Categories.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Categories", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.AidTypes
Lino.aids.AidTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AidTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "board" }, 'boardHidden', { "name": "short_name" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "excerpt_title" }, { "name": "excerpt_title_fr" }, { "name": "excerpt_title_en" }, { "name": "aid_regime" }, 'aid_regimeHidden', { "name": "confirmation_type" }, 'confirmation_typeHidden', { "name": "print_directly", "type": "boolean" }, { "name": "is_integ_duty", "type": "boolean" }, { "name": "is_urgent", "type": "boolean" }, { "name": "confirmed_by_primary_coach", "type": "boolean" }, { "name": "pharmacy_type" }, 'pharmacy_typeHidden', { "name": "address_type" }, 'address_typeHidden', { "name": "body_template" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 133,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AidTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AidTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfeart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfearten",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AidTypes.detail;
    this.ls_insert_handler = Lino.aids.AidTypes.insert;
    var ww = this.containing_window;
    var name14760 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14761 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14762 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var board14763 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/board" }) }) });
    var short_name14764 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var id14765 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company14766 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/company" }) }) });
    var contact_person14767 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_person" }) }) });
    var contact_role14768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_role" }) }) });
    var excerpt_title14769 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_fr14770 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_en14771 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var aid_regime14772 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.AidRegimes });
    var confirmation_type14773 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var print_directly14774 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var is_integ_duty14775 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_urgent14776 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var confirmed_by_primary_coach14777 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var pharmacy_type14778 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/pharmacy_type" }) }) });
    var address_type14779 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.addresses.AddressTypes) });
    var body_template14780 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/body_template" }) }) });
    this.before_row_edit = function(record) {
      contact_person14767.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body_template14780.setContextValue('confirmation_type', record ? record.data['confirmation_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company14766 !== 'undefined' && company14766.on('change',Lino.chooser_handler(contact_person14767,'company'));
      typeof confirmation_type14773 !== 'undefined' && confirmation_type14773.on('change',Lino.chooser_handler(body_template14780,'confirmation_type'));
      Lino.aids.AidTypes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name14760, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "sortable": true, "tooltip": "The designation of this aid type as seen by the user e.g. when\nselecting an aid type.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr14761, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en14762, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "board", "editable": true, "editor": board14763, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.board) Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "short_name", "editable": true, "editor": short_name14764, "filter": { "type": "string" }, "header": "short name", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.short_name) The short name for internal use, e.g. when a user must select\nan aid type from a combobox.") }, "sortable": true, "tooltip": "The short name for internal use, e.g. when a user must select\nan aid type from a combobox.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id14765, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company14766, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person14767, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role14768, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "excerpt_title", "editable": true, "editor": excerpt_title14769, "filter": { "type": "string" }, "header": "Excerpt title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.excerpt_title) The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.") }, "sortable": true, "tooltip": "The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "excerpt_title_fr", "editable": true, "editor": excerpt_title_fr14770, "filter": { "type": "string" }, "header": "Excerpt title (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.excerpt_title_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "excerpt_title_en", "editable": true, "editor": excerpt_title_en14771, "filter": { "type": "string" }, "header": "Excerpt title (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.excerpt_title_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "aid_regime", "editable": true, "editor": aid_regime14772, "filter": { "options": [ "Finanzielle Hilfen", "Gesundheitshilfen", "Sonstige Hilfen" ], "type": "list" }, "header": "Hilferegime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.aid_regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "confirmation_type", "editable": true, "editor": confirmation_type14773, "filter": { "options": [ "Einfache Bescheinigung (aids.SimpleConfirmation)", "Einkommensbescheinigung (aids.IncomeConfirmation)", "Kosten\u00fcbernahmeschein (aids.RefundConfirmation)" ], "type": "list" }, "header": "Hilfebescheinigungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "sortable": false, "tooltip": "The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.", "width": Lino.chars2width(53) }, { "colIndex": 14, "dataIndex": "print_directly", "editable": true, "filter": { "type": "boolean" }, "header": "Direkt drucken", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.print_directly) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "is_integ_duty", "editable": true, "filter": { "type": "boolean" }, "header": "Verpflichtung DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.is_integ_duty) Whether aid grantings of this type are considered as duty for integration contract.") }, "sortable": false, "tooltip": "Whether aid grantings of this type are considered as duty for integration contract.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "is_urgent", "editable": true, "filter": { "type": "boolean" }, "header": "Dringend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.is_urgent) Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()") }, "sortable": false, "tooltip": "Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "confirmed_by_primary_coach", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4rbegleiter best\u00e4tigt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.confirmed_by_primary_coach) Whether grantings for this aid type are to be signed by the\nclient's primary coach (see Client.get_primary_coach).") }, "sortable": false, "tooltip": "Whether grantings for this aid type are to be signed by the\nclient's primary coach (see Client.get_primary_coach).", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "pharmacy_type", "editable": true, "editor": pharmacy_type14778, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.pharmacy_type) A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).") }, "renderer": Lino.fk_renderer('pharmacy_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "address_type", "editable": true, "editor": address_type14779, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.address_type) Which client address to print on confirmations. If this is empty, Lino will use the primary address.") }, "sortable": false, "tooltip": "Which client address to print on confirmations. If this is empty, Lino will use the primary address.", "width": Lino.chars2width(24) }, { "colIndex": 20, "dataIndex": "body_template", "editable": true, "editor": body_template14780, "filter": { "type": "string" }, "header": "Textk\u00f6rper-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidTypes.body_template) The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type's\nbody_template.\nSee also /admin/printing.") }, "sortable": false, "tooltip": "The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type's\nbody_template.\nSee also /admin/printing.", "width": Lino.chars2width(11) } ];
    Lino.aids.AidTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AidTypes.insertPanel = Ext.extend(Lino.aids.AidTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/AidTypes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AidTypes.detail;
    this.ls_insert_handler = Lino.aids.AidTypes.insert;
    Lino.aids.AidTypes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidTypes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/AidTypes" };
  return new Lino.aids.AidTypes.insertPanel(p);
});
Lino.aids.AidTypes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AidTypes.detailPanel = Ext.extend(Lino.aids.AidTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfeart) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/AidTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AidTypes.detail;
    this.ls_insert_handler = Lino.aids.AidTypes.insert;
    Lino.aids.AidTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AidTypes" };
  return new Lino.aids.AidTypes.detailPanel(p);
});
Lino.aids.AidTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AidTypes" };
  return new Lino.aids.AidTypes.GridPanel(p);
});
Lino.aids.AidTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.Grantings
Lino.aids.Grantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/Grantings",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    var ww = this.containing_window;
    var id7840 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7841 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date7842 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7843 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var decision_date7844 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var board7845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var signer7846 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state7847 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7848 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type7849 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category7850 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var request_date7851 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board7845.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date7844 !== 'undefined' && decision_date7844.on('change',Lino.chooser_handler(board7845,'decision_date'));
      Lino.aids.Grantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7840, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7841, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date7842, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7843, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "decision_date", "editable": true, "editor": decision_date7844, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board7845, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer", "editable": true, "editor": signer7846, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state7847, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 8, "dataIndex": "client", "editable": true, "editor": client7848, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7849, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "renderer": Lino.fk_renderer('aid_typeHidden','Lino.aids.AidTypes.detail'), "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category7850, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date7851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.Grantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.insertPanel(p);
});
Lino.aids.Grantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.detailPanel(p);
});
Lino.aids.Grantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.Grantings.GridPanel(p);
});
Lino.aids.Grantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.AllGrantings
Lino.aids.AllGrantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AllGrantings",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AllGrantings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllGrantings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllGrantings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllGrantings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AllGrantings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllGrantings.detail;
    this.ls_insert_handler = Lino.aids.AllGrantings.insert;
    var ww = this.containing_window;
    var id14782 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date14783 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date14784 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user14785 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllGrantings/user" }) }) });
    var decision_date14786 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var board14787 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllGrantings/board" }) }) });
    var signer14788 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllGrantings/signer" }) }) });
    var state14789 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client14790 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllGrantings/client" }) }) });
    var aid_type14791 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllGrantings/aid_type" }) }) });
    var category14792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllGrantings/category" }) }) });
    var request_date14793 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board14787.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date14786 !== 'undefined' && decision_date14786.on('change',Lino.chooser_handler(board14787,'decision_date'));
      Lino.aids.AllGrantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14782, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date14783, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date14784, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user14785, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "decision_date", "editable": true, "editor": decision_date14786, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board14787, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer", "editable": true, "editor": signer14788, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state14789, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 8, "dataIndex": "client", "editable": true, "editor": client14790, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type14791, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "renderer": Lino.fk_renderer('aid_typeHidden','Lino.aids.AidTypes.detail'), "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category14792, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.category) Currently only used for printing an isip.Contract.") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date14793, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllGrantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.AllGrantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllGrantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllGrantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllGrantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllGrantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AllGrantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/AllGrantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllGrantings.detail;
    this.ls_insert_handler = Lino.aids.AllGrantings.insert;
    Lino.aids.AllGrantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllGrantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/AllGrantings" };
  return new Lino.aids.AllGrantings.insertPanel(p);
});
Lino.aids.AllGrantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AllGrantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/AllGrantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllGrantings.detail;
    this.ls_insert_handler = Lino.aids.AllGrantings.insert;
    Lino.aids.AllGrantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllGrantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllGrantings" };
  return new Lino.aids.AllGrantings.detailPanel(p);
});
Lino.aids.AllGrantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllGrantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllGrantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.AllGrantings.GridPanel(p);
});
Lino.aids.AllGrantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllGrantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllGrantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllGrantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.MyPendingGrantings
Lino.aids.MyPendingGrantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/MyPendingGrantings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zu best\u00e4tigende Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    var ww = this.containing_window;
    var client7853 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/client" }) }) });
    var aid_type7854 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/aid_type" }) }) });
    var category7855 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/category" }) }) });
    var start_date7856 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date7857 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7858 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/user" }) }) });
    var workflow_buttons_disp7859 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7860 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var decision_date7861 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board7862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/board" }) }) });
    var signer7863 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/signer" }) }) });
    var state7864 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var request_date7865 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board7862.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date7861 !== 'undefined' && decision_date7861.on('change',Lino.chooser_handler(board7862,'decision_date'));
      Lino.aids.MyPendingGrantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client7853, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "aid_type", "editable": true, "editor": aid_type7854, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "renderer": Lino.fk_renderer('aid_typeHidden','Lino.aids.AidTypes.detail'), "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category7855, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.category) Currently only used for printing an isip.Contract.") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7856, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date7857, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7858, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7860, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "decision_date", "editable": true, "editor": decision_date7861, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "board", "editable": true, "editor": board7862, "filter": { "type": "string" }, "header": "Gremium", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer", "editable": true, "editor": signer7863, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state7864, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 12, "dataIndex": "request_date", "editable": true, "editor": request_date7865, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.MyPendingGrantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.insertPanel(p);
});
Lino.aids.MyPendingGrantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.detailPanel(p);
});
Lino.aids.MyPendingGrantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.MyPendingGrantings.GridPanel(p);
});
Lino.aids.MyPendingGrantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmations
Lino.aids.SimpleConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp7867 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created7868 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user7869 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var printed_disp7870 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date7871 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7872 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7873 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company7874 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person7875 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var contact_role7876 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_role" }) }) });
    var printed_by7877 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer7878 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var state7879 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7880 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var granting7881 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var remark7882 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language7883 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
      contact_person7875.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark7882.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7874 !== 'undefined' && company7874.on('change',Lino.chooser_handler(contact_person7875,'company'));
      Lino.aids.SimpleConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einfache Bescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7869, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7871, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7872, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7873, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company7874, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person7875, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role7876, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer7878, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state7879, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client7880, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting7881, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark7882, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7883, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.SimpleConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmations.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    Lino.aids.SimpleConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  return new Lino.aids.SimpleConfirmations.detailPanel(p);
});
Lino.aids.SimpleConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmations.GridPanel(p);
});
Lino.aids.SimpleConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.AllSimpleConfirmations
Lino.aids.AllSimpleConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AllSimpleConfirmations",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "granting" }, 'grantingHidden', { "name": "client__address_column" }, { "name": "client__gender" }, 'client__genderHidden', { "name": "num_adults", "type": "int", "useNull": true }, { "name": "num_children", "type": "int", "useNull": true }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AllSimpleConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllSimpleConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllSimpleConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllSimpleConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AllSimpleConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllSimpleConfirmations.detail;
    var ww = this.containing_window;
    var id14795 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client14796 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/client" }) }) });
    var start_date14797 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date14798 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var granting14799 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/granting" }) }) });
    var client__address_column_disp14800 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var client__gender14801 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ], "value": null });
    var num_adults14802 = new Ext.form.NumberField({ "disabled": true });
    var num_children14803 = new Ext.form.NumberField({ "disabled": true });
    var created14804 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user14805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/user" }) }) });
    var company14806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/company" }) }) });
    var contact_person14807 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/contact_person" }) }) });
    var contact_role14808 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/contact_role" }) }) });
    var printed_by14809 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer14810 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllSimpleConfirmations/signer" }) }) });
    var state14811 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark14812 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language14813 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
      contact_person14807.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark14812.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company14806 !== 'undefined' && company14806.on('change',Lino.chooser_handler(contact_person14807,'company'));
      Lino.aids.AllSimpleConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14795, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client14796, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date14797, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date14798, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "granting", "editable": true, "editor": granting14799, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client__address_column", "editable": true, "editor": client__address_column_disp14800, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.client__address_column) ") }, "sortable": true, "tooltip": "(aids.AllSimpleConfirmations.client__address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "client__gender", "editable": true, "editor": client__gender14801, "filter": { "type": "string" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.client__gender) The sex of this person (male or female).") }, "sortable": true, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "num_adults", "editable": false, "format": "0", "header": "Erwachsene", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.num_adults) ") }, "sortable": true, "tooltip": "(aids.AllSimpleConfirmations.num_adults) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "num_children", "editable": false, "format": "0", "header": "Kinder", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.num_children) ") }, "sortable": true, "tooltip": "(aids.AllSimpleConfirmations.num_children) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user14805, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company14806, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person14807, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role14808, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "signer", "editable": true, "editor": signer14810, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "state", "editable": true, "editor": state14811, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark14812, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "language", "editable": true, "editor": language14813, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllSimpleConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.AllSimpleConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllSimpleConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AllSimpleConfirmations.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/AllSimpleConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllSimpleConfirmations.detail;
    Lino.aids.AllSimpleConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllSimpleConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllSimpleConfirmations" };
  return new Lino.aids.AllSimpleConfirmations.detailPanel(p);
});
Lino.aids.AllSimpleConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllSimpleConfirmations" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.AllSimpleConfirmations.GridPanel(p);
});
Lino.aids.AllSimpleConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllSimpleConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllSimpleConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmations
Lino.aids.IncomeConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp7885 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created7886 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user7887 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var printed_disp7888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date7889 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7890 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7891 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company7892 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person7893 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var contact_role7894 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_role" }) }) });
    var printed_by7895 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer7896 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var state7897 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7898 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var granting7899 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var remark7900 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language7901 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var category7902 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount7903 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7893.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark7900.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7892 !== 'undefined' && company7892.on('change',Lino.chooser_handler(contact_person7893,'company'));
      Lino.aids.IncomeConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einkommensbescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7887, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7889, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7890, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7891, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company7892, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person7893, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role7894, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer7896, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state7897, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client7898, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting7899, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark7900, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7901, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "category", "editable": true, "editor": category7902, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.category) ") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 18, "dataIndex": "amount", "editable": true, "editor": amount7903, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.aids.IncomeConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmations.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    Lino.aids.IncomeConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  return new Lino.aids.IncomeConfirmations.detailPanel(p);
});
Lino.aids.IncomeConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmations.GridPanel(p);
});
Lino.aids.IncomeConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.AllIncomeConfirmations
Lino.aids.AllIncomeConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AllIncomeConfirmations",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "granting" }, 'grantingHidden', { "name": "client__address_column" }, { "name": "client__gender" }, 'client__genderHidden', { "name": "num_adults", "type": "int", "useNull": true }, { "name": "num_children", "type": "int", "useNull": true }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AllIncomeConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllIncomeConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllIncomeConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllIncomeConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AllIncomeConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllIncomeConfirmations.detail;
    var ww = this.containing_window;
    var id14815 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client14816 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/client" }) }) });
    var start_date14817 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date14818 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var granting14819 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/granting" }) }) });
    var client__address_column_disp14820 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var client__gender14821 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ], "value": null });
    var num_adults14822 = new Ext.form.NumberField({ "disabled": true });
    var num_children14823 = new Ext.form.NumberField({ "disabled": true });
    var created14824 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user14825 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/user" }) }) });
    var company14826 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/company" }) }) });
    var contact_person14827 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/contact_person" }) }) });
    var contact_role14828 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/contact_role" }) }) });
    var printed_by14829 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer14830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/signer" }) }) });
    var state14831 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark14832 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language14833 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var category14834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllIncomeConfirmations/category" }) }) });
    var amount14835 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person14827.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark14832.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company14826 !== 'undefined' && company14826.on('change',Lino.chooser_handler(contact_person14827,'company'));
      Lino.aids.AllIncomeConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14815, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client14816, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date14817, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date14818, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "granting", "editable": true, "editor": granting14819, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client__address_column", "editable": true, "editor": client__address_column_disp14820, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.client__address_column) ") }, "sortable": true, "tooltip": "(aids.AllIncomeConfirmations.client__address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "client__gender", "editable": true, "editor": client__gender14821, "filter": { "type": "string" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.client__gender) The sex of this person (male or female).") }, "sortable": true, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "num_adults", "editable": false, "format": "0", "header": "Erwachsene", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.num_adults) ") }, "sortable": true, "tooltip": "(aids.AllIncomeConfirmations.num_adults) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "num_children", "editable": false, "format": "0", "header": "Kinder", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.num_children) ") }, "sortable": true, "tooltip": "(aids.AllIncomeConfirmations.num_children) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user14825, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company14826, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person14827, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role14828, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "signer", "editable": true, "editor": signer14830, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "state", "editable": true, "editor": state14831, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark14832, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "language", "editable": true, "editor": language14833, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "category", "editable": true, "editor": category14834, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.category) ") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 20, "dataIndex": "amount", "editable": true, "editor": amount14835, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllIncomeConfirmations.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.aids.AllIncomeConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllIncomeConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AllIncomeConfirmations.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/AllIncomeConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllIncomeConfirmations.detail;
    Lino.aids.AllIncomeConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllIncomeConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllIncomeConfirmations" };
  return new Lino.aids.AllIncomeConfirmations.detailPanel(p);
});
Lino.aids.AllIncomeConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllIncomeConfirmations" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.AllIncomeConfirmations.GridPanel(p);
});
Lino.aids.AllIncomeConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllIncomeConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllIncomeConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmations
Lino.aids.RefundConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp7905 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created7906 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user7907 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var printed_disp7908 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date7909 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7910 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7911 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company7912 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person7913 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var contact_role7914 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_role" }) }) });
    var printed_by7915 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer7916 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var state7917 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client7918 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var granting7919 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var remark7920 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language7921 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type7922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor7923 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy7924 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person7913.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark7920.refresh();
      doctor7923.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy7924.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company7912 !== 'undefined' && company7912.on('change',Lino.chooser_handler(contact_person7913,'company'));
      typeof doctor_type7922 !== 'undefined' && doctor_type7922.on('change',Lino.chooser_handler(doctor7923,'doctor_type'));
      typeof granting7919 !== 'undefined' && granting7919.on('change',Lino.chooser_handler(pharmacy7924,'granting'));
      Lino.aids.RefundConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Kosten\u00fcbernahmeschein", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7907, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7909, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7910, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7911, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company7912, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person7913, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role7914, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer7916, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state7917, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client7918, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting7919, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark7920, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7921, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type7922, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor_type) ") }, "renderer": Lino.fk_renderer('doctor_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "doctor", "editable": true, "editor": doctor7923, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy7924, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.RefundConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmations.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    Lino.aids.RefundConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  return new Lino.aids.RefundConfirmations.detailPanel(p);
});
Lino.aids.RefundConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmations.GridPanel(p);
});
Lino.aids.RefundConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.AllRefundConfirmations
Lino.aids.AllRefundConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AllRefundConfirmations",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "granting" }, 'grantingHidden', { "name": "client__address_column" }, { "name": "client__gender" }, 'client__genderHidden', { "name": "num_adults", "type": "int", "useNull": true }, { "name": "num_children", "type": "int", "useNull": true }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AllRefundConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllRefundConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllRefundConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AllRefundConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AllRefundConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllRefundConfirmations.detail;
    var ww = this.containing_window;
    var id14837 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client14838 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/client" }) }) });
    var start_date14839 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date14840 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var granting14841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/granting" }) }) });
    var client__address_column_disp14842 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var client__gender14843 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ], "value": null });
    var num_adults14844 = new Ext.form.NumberField({ "disabled": true });
    var num_children14845 = new Ext.form.NumberField({ "disabled": true });
    var created14846 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user14847 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/user" }) }) });
    var company14848 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/company" }) }) });
    var contact_person14849 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/contact_person" }) }) });
    var contact_role14850 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/contact_role" }) }) });
    var printed_by14851 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer14852 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/signer" }) }) });
    var state14853 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark14854 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language14855 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type14856 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/doctor_type" }) }) });
    var doctor14857 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/doctor" }) }) });
    var pharmacy14858 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AllRefundConfirmations/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person14849.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark14854.refresh();
      doctor14857.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy14858.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company14848 !== 'undefined' && company14848.on('change',Lino.chooser_handler(contact_person14849,'company'));
      typeof doctor_type14856 !== 'undefined' && doctor_type14856.on('change',Lino.chooser_handler(doctor14857,'doctor_type'));
      typeof granting14841 !== 'undefined' && granting14841.on('change',Lino.chooser_handler(pharmacy14858,'granting'));
      Lino.aids.AllRefundConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14837, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client14838, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date14839, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date14840, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "granting", "editable": true, "editor": granting14841, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client__address_column", "editable": true, "editor": client__address_column_disp14842, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.client__address_column) ") }, "sortable": true, "tooltip": "(aids.AllRefundConfirmations.client__address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "client__gender", "editable": true, "editor": client__gender14843, "filter": { "type": "string" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.client__gender) The sex of this person (male or female).") }, "sortable": true, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "num_adults", "editable": false, "format": "0", "header": "Erwachsene", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.num_adults) ") }, "sortable": true, "tooltip": "(aids.AllRefundConfirmations.num_adults) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "num_children", "editable": false, "format": "0", "header": "Kinder", "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.num_children) ") }, "sortable": true, "tooltip": "(aids.AllRefundConfirmations.num_children) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user14847, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company14848, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person14849, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role14850, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "signer", "editable": true, "editor": signer14852, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "state", "editable": true, "editor": state14853, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark14854, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "language", "editable": true, "editor": language14855, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type14856, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.doctor_type) ") }, "renderer": Lino.fk_renderer('doctor_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "doctor", "editable": true, "editor": doctor14857, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy14858, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AllRefundConfirmations.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.AllRefundConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllRefundConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.AllRefundConfirmations.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/AllRefundConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.AllRefundConfirmations.detail;
    Lino.aids.AllRefundConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AllRefundConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllRefundConfirmations" };
  return new Lino.aids.AllRefundConfirmations.detailPanel(p);
});
Lino.aids.AllRefundConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AllRefundConfirmations" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.AllRefundConfirmations.GridPanel(p);
});
Lino.aids.AllRefundConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AllRefundConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AllRefundConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.Summaries
Lino.esf.Summaries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/Summaries",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "year", "type": "int", "useNull": true }, { "name": "month", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "master" }, 'masterHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "children_at_charge", "type": "boolean" }, { "name": "certified_handicap", "type": "boolean" }, { "name": "other_difficulty", "type": "boolean" }, { "name": "result" }, 'resultHidden', { "name": "remark" }, { "name": "user_modified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    var ww = this.containing_window;
    var id7926 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var printed_by7927 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var year7928 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var month7929 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf107930 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf207931 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf217932 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf307933 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf407934 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf417935 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf427936 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf437937 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf447938 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf507939 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf607940 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf707941 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var master7942 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var education_level7943 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var children_at_charge7944 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var certified_handicap7945 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var other_difficulty7946 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var result7947 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark7948 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user_modified7949 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7926, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "year", "editable": true, "editor": year7928, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "month", "editable": true, "editor": month7929, "filter": { "type": "numeric" }, "format": "0", "header": "Month", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.month) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "esf10", "editable": true, "editor": esf107930, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf20", "editable": true, "editor": esf207931, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf21", "editable": true, "editor": esf217932, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf30", "editable": true, "editor": esf307933, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf40", "editable": true, "editor": esf407934, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf41", "editable": true, "editor": esf417935, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf42", "editable": true, "editor": esf427936, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf43", "editable": true, "editor": esf437937, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf44", "editable": true, "editor": esf447938, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 13, "dataIndex": "esf50", "editable": true, "editor": esf507939, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 14, "dataIndex": "esf60", "editable": true, "editor": esf607940, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 15, "dataIndex": "esf70", "editable": true, "editor": esf707941, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) }, { "colIndex": 16, "dataIndex": "master", "editable": true, "editor": master7942, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "renderer": Lino.fk_renderer('masterHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The target model of the master will automatically receive an\naction check_summaries.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "education_level", "editable": true, "editor": education_level7943, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.education_level) ") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "children_at_charge", "editable": true, "filter": { "type": "boolean" }, "header": "Kinder zu Lasten", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.children_at_charge) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "certified_handicap", "editable": true, "filter": { "type": "boolean" }, "header": "Certified handicap", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.certified_handicap) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "other_difficulty", "editable": true, "filter": { "type": "boolean" }, "header": "Other difficulty", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.other_difficulty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": true, "editor": result7947, "filter": { "options": [ "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ], "type": "list" }, "header": "Participation Certificate", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.result) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(54) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark7948, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "user_modified", "editable": true, "filter": { "type": "boolean" }, "header": "User modified", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.user_modified) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.esf.Summaries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.Summaries.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/esf/Summaries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    Lino.esf.Summaries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.detailPanel(p);
});
Lino.esf.Summaries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.GridPanel(p);
});
Lino.esf.Summaries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.AllSummaries
Lino.esf.AllSummaries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/AllSummaries",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "year", "type": "int", "useNull": true }, { "name": "month", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "master" }, 'masterHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "children_at_charge", "type": "boolean" }, { "name": "certified_handicap", "type": "boolean" }, { "name": "other_difficulty", "type": "boolean" }, { "name": "result" }, 'resultHidden', { "name": "remark" }, { "name": "user_modified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/AllSummaries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/AllSummaries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/AllSummaries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/AllSummaries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/AllSummaries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.AllSummaries.detail;
    var ww = this.containing_window;
    var id14860 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var printed_by14861 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var year14862 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var month14863 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf1014864 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf2014865 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf2114866 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf3014867 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf4014868 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf4114869 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf4214870 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf4314871 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf4414872 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf5014873 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf6014874 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf7014875 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var master14876 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/AllSummaries/master" }) }) });
    var education_level14877 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/AllSummaries/education_level" }) }) });
    var children_at_charge14878 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var certified_handicap14879 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var other_difficulty14880 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var result14881 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark14882 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user_modified14883 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14860, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "year", "editable": true, "editor": year14862, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "month", "editable": true, "editor": month14863, "filter": { "type": "numeric" }, "format": "0", "header": "Month", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.month) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "esf10", "editable": true, "editor": esf1014864, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf20", "editable": true, "editor": esf2014865, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf21", "editable": true, "editor": esf2114866, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf30", "editable": true, "editor": esf3014867, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf40", "editable": true, "editor": esf4014868, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf41", "editable": true, "editor": esf4114869, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf42", "editable": true, "editor": esf4214870, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf43", "editable": true, "editor": esf4314871, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf44", "editable": true, "editor": esf4414872, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 13, "dataIndex": "esf50", "editable": true, "editor": esf5014873, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 14, "dataIndex": "esf60", "editable": true, "editor": esf6014874, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 15, "dataIndex": "esf70", "editable": true, "editor": esf7014875, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) }, { "colIndex": 16, "dataIndex": "master", "editable": true, "editor": master14876, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "renderer": Lino.fk_renderer('masterHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The target model of the master will automatically receive an\naction check_summaries.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "education_level", "editable": true, "editor": education_level14877, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.education_level) ") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "children_at_charge", "editable": true, "filter": { "type": "boolean" }, "header": "Kinder zu Lasten", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.children_at_charge) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "certified_handicap", "editable": true, "filter": { "type": "boolean" }, "header": "Certified handicap", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.certified_handicap) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "other_difficulty", "editable": true, "filter": { "type": "boolean" }, "header": "Other difficulty", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.other_difficulty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": true, "editor": result14881, "filter": { "options": [ "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ], "type": "list" }, "header": "Participation Certificate", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.result) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(54) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark14882, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "user_modified", "editable": true, "filter": { "type": "boolean" }, "header": "User modified", "listeners": { "render": Lino.quicktip_renderer("","(esf.AllSummaries.user_modified) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.esf.AllSummaries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.AllSummaries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.AllSummaries.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/esf/AllSummaries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.AllSummaries.detail;
    Lino.esf.AllSummaries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.AllSummaries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/AllSummaries" };
  return new Lino.esf.AllSummaries.detailPanel(p);
});
Lino.esf.AllSummaries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.AllSummaries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/AllSummaries" };
  return new Lino.esf.AllSummaries.GridPanel(p);
});
Lino.esf.AllSummaries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/AllSummaries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.Widgets
Lino.dashboard.Widgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/Widgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "item_name" }, { "name": "visible", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 139,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Widgets",
  initComponent : function() {
    var ww = this.containing_window;
    var id7951 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno7952 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user7953 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }) });
    var item_name7954 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/item_name" }) }) });
    var visible7955 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      item_name7954.setContextValue('user', record ? record.data['userHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof user7953 !== 'undefined' && user7953.on('change',Lino.chooser_handler(item_name7954,'user'));
      Lino.dashboard.Widgets.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7951, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7952, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user7953, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "item_name", "editable": true, "editor": item_name7954, "filter": { "type": "string" }, "header": "Resource", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.dashboard.Widgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.Widgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/Widgets" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.Widgets.GridPanel(p);
});
Lino.dashboard.Widgets.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.AllWidgets
Lino.dashboard.AllWidgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/AllWidgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "move_buttons" }, { "name": "title" }, { "name": "visible", "type": "boolean" }, { "name": "item_name" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 139,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dashboard/AllWidgets','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/AllWidgets','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/AllWidgets','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/AllWidgets','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dashboard/AllWidgets','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "All dashboard widgets",
  initComponent : function() {
    var ww = this.containing_window;
    var id14885 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14886 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/AllWidgets/user" }) }) });
    var seqno14887 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var move_buttons_disp14888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var title_disp14889 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var visible14890 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var item_name14891 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/AllWidgets/item_name" }) }) });
    this.before_row_edit = function(record) {
      item_name14891.setContextValue('user', record ? record.data['userHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof user14886 !== 'undefined' && user14886.on('change',Lino.chooser_handler(item_name14891,'user'));
      Lino.dashboard.AllWidgets.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14885, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14886, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "seqno", "editable": true, "editor": seqno14887, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 4, "dataIndex": "title", "editable": false, "header": "Label", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.title) ") }, "sortable": false, "tooltip": "(dashboard.AllWidgets.title) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "item_name", "editable": true, "editor": item_name14891, "filter": { "type": "string" }, "header": "Resource", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.AllWidgets.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.dashboard.AllWidgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.AllWidgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/AllWidgets" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.AllWidgets.GridPanel(p);
});
Lino.dashboard.AllWidgets.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.AllWidgets.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/AllWidgets", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dupable_clients.Words
Lino.dupable_clients.Words.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/Words",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "word" }, { "name": "owner" }, 'ownerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 140,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/Words','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/Words','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/Words','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/Words','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/Words','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Phonetische W\u00f6rter",
  initComponent : function() {
    var ww = this.containing_window;
    var id14893 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var word14894 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var owner14895 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dupable_clients/Words/owner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14893, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.Words.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "word", "editable": true, "editor": word14894, "filter": { "type": "string" }, "header": "word", "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.Words.word) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "owner", "editable": true, "editor": owner14895, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.Words.owner) ") }, "renderer": Lino.fk_renderer('ownerHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.dupable_clients.Words.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.Words.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/Words", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.Words.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/Words", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.Words.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/Words", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.Words.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/Words", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.Words.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/Words", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.Words.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/Words" };
  return new Lino.dupable_clients.Words.GridPanel(p);
});

// js_render_GridPanel_class tinymce.TextFieldTemplates
Lino.tinymce.TextFieldTemplates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/tinymce/TextFieldTemplates",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "name" }, { "name": "description" }, { "name": "text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 141,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/tinymce/TextFieldTemplates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/TextFieldTemplates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/TextFieldTemplates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/TextFieldTemplates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/tinymce/TextFieldTemplates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of tinymce.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einf\u00fcgetexte",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.TextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.TextFieldTemplates.insert;
    var ww = this.containing_window;
    var id14897 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user14898 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var name14899 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var description14900 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var text14901 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Vorlagentext" });
    this.before_row_edit = function(record) {
      text14901.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14897, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.TextFieldTemplates.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user14898, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name14899, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.TextFieldTemplates.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "description", "editable": true, "editor": description14900, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.TextFieldTemplates.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "text", "editable": true, "editor": text14901, "filter": { "type": "string" }, "header": "Vorlagentext", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.TextFieldTemplates.text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.tinymce.TextFieldTemplates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.TextFieldTemplates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.TextFieldTemplates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.TextFieldTemplates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.TextFieldTemplates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.TextFieldTemplates.insertPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/tinymce/TextFieldTemplates",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.TextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.TextFieldTemplates.insert;
    Lino.tinymce.TextFieldTemplates.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.TextFieldTemplates.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/tinymce/TextFieldTemplates" };
  return new Lino.tinymce.TextFieldTemplates.insertPanel(p);
});
Lino.tinymce.TextFieldTemplates.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.TextFieldTemplates.detailPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/tinymce/TextFieldTemplates",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.TextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.TextFieldTemplates.insert;
    Lino.tinymce.TextFieldTemplates.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.TextFieldTemplates.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/TextFieldTemplates" };
  return new Lino.tinymce.TextFieldTemplates.detailPanel(p);
});
Lino.tinymce.TextFieldTemplates.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.TextFieldTemplates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/TextFieldTemplates" };
  p.params_panel = new Lino.tinymce.TextFieldTemplates.ParamsPanel({});
  return new Lino.tinymce.TextFieldTemplates.GridPanel(p);
});
Lino.tinymce.TextFieldTemplates.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/TextFieldTemplates", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class tinymce.MyTextFieldTemplates
Lino.tinymce.MyTextFieldTemplates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/tinymce/MyTextFieldTemplates",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "name" }, { "name": "description" }, { "name": "text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 141,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of tinymce.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Einf\u00fcgetexte",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    var ww = this.containing_window;
    var id7957 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user7958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/MyTextFieldTemplates/user" }) }) });
    var name7959 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var description7960 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var text7961 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Vorlagentext" });
    this.before_row_edit = function(record) {
      text7961.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7957, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user7958, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name7959, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "description", "editable": true, "editor": description7960, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "text", "editable": true, "editor": text7961, "filter": { "type": "string" }, "header": "Vorlagentext", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.tinymce.MyTextFieldTemplates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.insertPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.insertPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.detailPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.detailPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  p.params_panel = new Lino.tinymce.TextFieldTemplates.ParamsPanel({});
  return new Lino.tinymce.MyTextFieldTemplates.GridPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ClientContactTypes
Lino.clients.ClientContactTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactTypes",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "can_refund", "type": "boolean" }, { "name": "is_bailiff", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of clients.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontaktarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.ClientContactTypes.detail;
    var ww = this.containing_window;
    var id14903 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name14904 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr14905 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en14906 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var can_refund14907 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var is_bailiff14908 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14903, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactTypes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name14904, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactTypes.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr14905, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactTypes.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en14906, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactTypes.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "can_refund", "editable": true, "filter": { "type": "boolean" }, "header": "Kostenr\u00fcckerstattung", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactTypes.can_refund) Whether persons of this type can be used as doctor of a refund confirmation.") }, "sortable": false, "tooltip": "Whether persons of this type can be used as doctor of a refund confirmation.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "is_bailiff", "editable": true, "filter": { "type": "boolean" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactTypes.is_bailiff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.clients.ClientContactTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.clients.ClientContactTypes.detailPanel = Ext.extend(Lino.clients.ClientContactTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/clients/ClientContactTypes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.ClientContactTypes.detail;
    Lino.clients.ClientContactTypes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactTypes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactTypes" };
  return new Lino.clients.ClientContactTypes.detailPanel(p);
});
Lino.clients.ClientContactTypes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactTypes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactTypes" };
  return new Lino.clients.ClientContactTypes.GridPanel(p);
});
Lino.clients.ClientContactTypes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactTypes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ClientContacts
Lino.clients.ClientContacts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContacts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContacts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContacts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContacts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContacts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContacts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var id14910 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var company14911 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContacts/company" }) }) });
    var contact_person14912 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContacts/contact_person" }) }) });
    var contact_role14913 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContacts/contact_role" }) }) });
    var type14914 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContacts/type" }) }) });
    var client14915 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContacts/client" }) }) });
    var remark14916 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      company14911.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person14912.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person14912.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type14914 !== 'undefined' && type14914.on('change',Lino.chooser_handler(company14911,'type'));
      typeof company14911 !== 'undefined' && company14911.on('change',Lino.chooser_handler(contact_person14912,'company'));
      typeof type14914 !== 'undefined' && type14914.on('change',Lino.chooser_handler(contact_person14912,'type'));
      Lino.clients.ClientContacts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id14910, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company14911, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person14912, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "contact_role", "editable": true, "editor": contact_role14913, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type14914, "filter": { "type": "string" }, "header": "Klientenkontaktart", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.type) The type of contact. Pointer to ClientContactType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client", "editable": true, "editor": client14915, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark14916, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContacts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.clients.ClientContacts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContacts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContacts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContacts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContacts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContacts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContacts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContacts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContacts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContacts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContacts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContacts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContacts" };
  return new Lino.clients.ClientContacts.GridPanel(p);
});

// js_render_GridPanel_class cal.EntryRepeaterTable
Lino.cal.EntryRepeaterTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntryRepeaterTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "name": "cal_entry" }, 'cal_entryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntryRepeaterTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntryRepeaterTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntryRepeaterTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntryRepeaterTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntryRepeaterTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Cal entry repeaters",
  initComponent : function() {
    var ww = this.containing_window;
    var id7963 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7964 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_time7965 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7966 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_time7967 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var every_unit7968 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every7969 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var positions7970 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var monday7971 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var tuesday7972 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var wednesday7973 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var thursday7974 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var friday7975 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var saturday7976 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var sunday7977 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var max_events7978 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var cal_entry7979 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntryRepeaterTable/cal_entry" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7963, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7964, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.start_date) Das Beginndatum der ersten Veranstaltung.") }, "sortable": true, "tooltip": "Das Beginndatum der ersten Veranstaltung.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "start_time", "editable": true, "editor": start_time7965, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date7966, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "sortable": true, "tooltip": "Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_time", "editable": true, "editor": end_time7967, "header": "Endet um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 5, "dataIndex": "every_unit", "editable": true, "editor": every_unit7968, "filter": { "options": [ "einmalig", "t\u00e4glich", "w\u00f6chentlich", "monatlich", "j\u00e4hrlich", "pro Wochentag", "Beweglich mit Ostern" ], "type": "list" }, "header": "Wiederholung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(24) }, { "align": "right", "colIndex": 6, "dataIndex": "every", "editable": true, "editor": every7969, "filter": { "type": "numeric" }, "format": "0", "header": "... alle", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "positions", "editable": true, "editor": positions7970, "filter": { "type": "string" }, "header": "Positionen", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Montag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Dienstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Mittwoch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Donnerstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Freitag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Samstag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sonntag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "max_events", "editable": true, "editor": max_events7978, "filter": { "type": "numeric" }, "format": "0", "header": "Anzahl Termine", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "cal_entry", "editable": true, "editor": cal_entry7979, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.cal_entry) ") }, "renderer": Lino.fk_renderer('cal_entryHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cal.EntryRepeaterTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntryRepeaterTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntryRepeaterTable" };
  return new Lino.cal.EntryRepeaterTable.GridPanel(p);
});
Lino.cal.EntryRepeaterTable.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.LedgerInfoTable
Lino.ledger.LedgerInfoTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/LedgerInfoTable",
  ls_store_fields : [ { "name": "user" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "user",
  pk_index : 0,
  content_type : 58,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ledger infos",
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp7981 = new Ext.form.DisplayField({ "disabled": true });
    var entry_date7982 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.user) OneToOneField pointing to the user.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "OneToOneField pointing to the user.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date7982, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Last entry date", "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.entry_date) The last value this user typed as entry_date of a voucher.  It is the default value\nfor every new voucher.") }, "sortable": true, "tooltip": "The last value this user typed as entry_date of a voucher.  It is the default value\nfor every new voucher.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.ledger.LedgerInfoTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.LedgerInfoTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/LedgerInfoTable" };
  return new Lino.ledger.LedgerInfoTable.GridPanel(p);
});

// js_render_GridPanel_class finan.JournalEntryItemTable
Lino.finan.JournalEntryItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/JournalEntryItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 71,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Diverse Buchungen",
  initComponent : function() {
    var ww = this.containing_window;
    var id7984 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno7985 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project7986 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/project" }) }) });
    var match7987 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/match" }) }) });
    var amount7988 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark7989 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account7990 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/account" }) }) });
    var partner7991 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/partner" }) }) });
    var date7992 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher7993 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Diverse Buchung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.FinancialVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/voucher" }) }) });
    this.before_row_edit = function(record) {
      match7987.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match7987.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher7993 !== 'undefined' && voucher7993.on('change',Lino.chooser_handler(match7987,'voucher'));
      typeof partner7991 !== 'undefined' && partner7991.on('change',Lino.chooser_handler(match7987,'partner'));
      Lino.finan.JournalEntryItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7984, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7985, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7986, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match7987, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount7988, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark7989, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account7990, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner7991, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date7992, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher7993, "filter": { "type": "string" }, "header": "Diverse Buchung", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.FinancialVouchers.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.JournalEntryItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntryItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntryItemTable" };
  return new Lino.finan.JournalEntryItemTable.GridPanel(p);
});
Lino.finan.JournalEntryItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.BankStatementItemTable
Lino.finan.BankStatementItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/BankStatementItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 72,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Kontoausz\u00fcge",
  initComponent : function() {
    var ww = this.containing_window;
    var id7995 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno7996 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project7997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/project" }) }) });
    var match7998 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/match" }) }) });
    var amount7999 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8000 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8001 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/account" }) }) });
    var partner8002 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/partner" }) }) });
    var date8003 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher8004 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.BankStatements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/voucher" }) }) });
    this.before_row_edit = function(record) {
      match7998.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match7998.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher8004 !== 'undefined' && voucher8004.on('change',Lino.chooser_handler(match7998,'voucher'));
      typeof partner8002 !== 'undefined' && partner8002.on('change',Lino.chooser_handler(match7998,'partner'));
      Lino.finan.BankStatementItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7995, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7996, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7997, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match7998, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount7999, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8000, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8001, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8002, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date8003, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8004, "filter": { "type": "string" }, "header": "Kontoauszug", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.BankStatements.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.BankStatementItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatementItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatementItemTable" };
  return new Lino.finan.BankStatementItemTable.GridPanel(p);
});
Lino.finan.BankStatementItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.PaymentOrderItemTable
Lino.finan.PaymentOrderItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/PaymentOrderItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 73,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Zahlungsauftr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var id8006 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8007 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8008 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/project" }) }) });
    var match8009 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/match" }) }) });
    var amount8010 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8011 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8012 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/account" }) }) });
    var partner8013 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/partner" }) }) });
    var bank_account8014 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/bank_account" }) }) });
    var voucher8015 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Zahlungsauftrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.PaymentOrders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/voucher" }) }) });
    this.before_row_edit = function(record) {
      match8009.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match8009.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account8014.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account8014.setContextValue('project', record ? record.data['projectHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher8015 !== 'undefined' && voucher8015.on('change',Lino.chooser_handler(match8009,'voucher'));
      typeof partner8013 !== 'undefined' && partner8013.on('change',Lino.chooser_handler(match8009,'partner'));
      typeof partner8013 !== 'undefined' && partner8013.on('change',Lino.chooser_handler(bank_account8014,'partner'));
      typeof project8008 !== 'undefined' && project8008.on('change',Lino.chooser_handler(bank_account8014,'project'));
      Lino.finan.PaymentOrderItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8006, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8007, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8008, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match8009, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount8010, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8011, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8012, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8013, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "bank_account", "editable": true, "editor": bank_account8014, "filter": { "type": "string" }, "header": "Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8015, "filter": { "type": "string" }, "header": "Zahlungsauftrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.PaymentOrders.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.PaymentOrderItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrderItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrderItemTable" };
  return new Lino.finan.PaymentOrderItemTable.GridPanel(p);
});
Lino.finan.PaymentOrderItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class vatless.InvoiceItemTable
Lino.vatless.InvoiceItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/InvoiceItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "title" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 78,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Rechnungspositionen",
  initComponent : function() {
    var ww = this.containing_window;
    var id8017 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8018 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8019 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/project" }) }) });
    var account8020 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/account" }) }) });
    var voucher8021 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Rechnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "vatless.Invoices", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/voucher" }) }) });
    var title8022 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount8023 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account8020.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher8021 !== 'undefined' && voucher8021.on('change',Lino.chooser_handler(account8020,'voucher'));
      Lino.vatless.InvoiceItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8017, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8018, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8019, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account", "editable": true, "editor": account8020, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.account) ForeignKey pointing to the account (ledger.Account) that is to be moved.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "ForeignKey pointing to the account (ledger.Account) that is to be moved.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "voucher", "editable": true, "editor": voucher8021, "filter": { "type": "string" }, "header": "Rechnung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.vatless.Invoices.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "title", "editable": true, "editor": title8022, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.title) The title of this voucher.") }, "sortable": true, "tooltip": "The title of this voucher.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "amount", "editable": true, "editor": amount8023, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.vatless.InvoiceItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.InvoiceItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/InvoiceItemTable" };
  return new Lino.vatless.InvoiceItemTable.GridPanel(p);
});
Lino.vatless.InvoiceItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.PlacesByPlace
Lino.countries.PlacesByPlace.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlacesByPlace",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "type" }, 'typeHidden', { "name": "zip_code" }, { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "country" }, 'countryHidden', { "name": "show_type", "type": "boolean" }, { "name": "inscode" }, { "name": "parent" }, 'parentHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 3,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByPlace','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByPlace','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByPlace','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByPlace','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByPlace','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of countries.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Unterteilungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByPlace.detail;
    this.ls_insert_handler = Lino.countries.PlacesByPlace.insert;
    var ww = this.containing_window;
    var detail_link_disp2586 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var type2587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByPlace/type" }) }) });
    var zip_code2588 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true });
    var id2589 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name2590 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_fr2591 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_en2592 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var country2593 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByPlace/country" }) }) });
    var show_type2594 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var inscode2595 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(5), "hidden": true, "maxLength": 5, "selectOnFocus": true });
    var parent2596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByPlace/parent" }) }) });
    this.before_row_edit = function(record) {
      type2587.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country2593 !== 'undefined' && country2593.on('change',Lino.chooser_handler(type2587,'country'));
      Lino.countries.PlacesByPlace.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Ort", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.detail_link) ") }, "sortable": false, "tooltip": "(countries.PlacesByPlace.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type2587, "filter": { "type": "string" }, "header": "Ortsart", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.type) The type of this place (whether it's a city. a village, a province...)") }, "sortable": false, "tooltip": "The type of this place (whether it's a city. a village, a province...)", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "zip_code", "editable": true, "editor": zip_code2588, "filter": { "type": "string" }, "header": "zip code", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2589, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "name", "editable": true, "editor": name2590, "filter": { "type": "string" }, "header": "Bezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name_fr", "editable": true, "editor": name_fr2591, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "name_en", "editable": true, "editor": name_en2592, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "country", "editable": true, "editor": country2593, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.country) The country this place is in.") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The country this place is in.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "show_type", "editable": true, "filter": { "type": "boolean" }, "header": "Show type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.show_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "inscode", "editable": true, "editor": inscode2595, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.inscode) The official code for this place used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this place used by statbel.fgov.be", "width": Lino.chars2width(7) }, { "colIndex": 10, "dataIndex": "parent", "editable": true, "editor": parent2596, "filter": { "type": "string" }, "header": "Teil von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByPlace.parent) The superordinate geographic place of which this place is a part.") }, "renderer": Lino.fk_renderer('parentHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "The superordinate geographic place of which this place is a part.", "width": Lino.chars2width(21) } ];
    Lino.countries.PlacesByPlace.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByPlace.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByPlace.insertPanel = Ext.extend(Lino.countries.Places.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByPlace",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByPlace.detail;
    this.ls_insert_handler = Lino.countries.PlacesByPlace.insert;
    Lino.countries.PlacesByPlace.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByPlace.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/PlacesByPlace" };
  return new Lino.countries.PlacesByPlace.insertPanel(p);
});
Lino.countries.PlacesByPlace.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByPlace.detailPanel = Ext.extend(Lino.countries.Places.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByPlace",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByPlace.detail;
    this.ls_insert_handler = Lino.countries.PlacesByPlace.insert;
    Lino.countries.PlacesByPlace.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByPlace.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByPlace" };
  return new Lino.countries.PlacesByPlace.detailPanel(p);
});
Lino.countries.PlacesByPlace.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByPlace.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByPlace" };
  return new Lino.countries.PlacesByPlace.GridPanel(p);
});
Lino.countries.PlacesByPlace.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByPlace", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.PlacesByCountry
Lino.countries.PlacesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlacesByCountry",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "zip_code" }, { "name": "id", "type": "int" }, { "name": "parent" }, 'parentHidden', { "name": "show_type", "type": "boolean" }, { "name": "inscode" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 3,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of countries.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Orte",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    var ww = this.containing_window;
    var name2555 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr2556 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en2557 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type2558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/type" }) }) });
    var zip_code2559 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true });
    var id2560 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var parent2561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/parent" }) }) });
    var show_type2562 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var inscode2563 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(5), "hidden": true, "maxLength": 5, "selectOnFocus": true });
    var country2564 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      type2558.setContextValue('mk',bp['mk']);
      type2558.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country2564 !== 'undefined' && country2564.on('change',Lino.chooser_handler(type2558,'country'));
      Lino.countries.PlacesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name2555, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr2556, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en2557, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type2558, "filter": { "type": "string" }, "header": "Ortsart", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.type) The type of this place (whether it's a city. a village, a province...)") }, "sortable": false, "tooltip": "The type of this place (whether it's a city. a village, a province...)", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "zip_code", "editable": true, "editor": zip_code2559, "filter": { "type": "string" }, "header": "zip code", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2560, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "parent", "editable": true, "editor": parent2561, "filter": { "type": "string" }, "header": "Teil von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.parent) The superordinate geographic place of which this place is a part.") }, "renderer": Lino.fk_renderer('parentHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "The superordinate geographic place of which this place is a part.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "show_type", "editable": true, "filter": { "type": "boolean" }, "header": "Show type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.show_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "inscode", "editable": true, "editor": inscode2563, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.inscode) The official code for this place used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this place used by statbel.fgov.be", "width": Lino.chars2width(7) }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country2564, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.country) The country this place is in.") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The country this place is in.", "width": Lino.chars2width(21) } ];
    Lino.countries.PlacesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.insertPanel = Ext.extend(Lino.countries.Places.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.insertPanel(p);
});
Lino.countries.PlacesByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.detailPanel = Ext.extend(Lino.countries.Places.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.detailPanel(p);
});
Lino.countries.PlacesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.GridPanel(p);
});
Lino.countries.PlacesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCity
Lino.contacts.PartnersByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCity",
  ls_store_fields : [ { "name": "address_column" }, { "name": "name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    var ww = this.containing_window;
    var address_column_disp2619 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var name2620 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id2621 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email2622 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language2623 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url2624 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone2625 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm2626 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax2627 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified2628 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2629 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country2630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/country" }) }) });
    var zip_code2631 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region2632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/region" }) }) });
    var addr12633 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix2634 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street2635 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no2636 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box2637 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr22638 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix2639 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks2640 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete2641 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity2642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/activity" }) }) });
    var client_contact_type2643 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/client_contact_type" }) }) });
    var payment_term2644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/payment_term" }) }) });
    var city2645 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region2632.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city2645.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city2645.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country2630 !== 'undefined' && country2630.on('change',Lino.chooser_handler(region2632,'country'));
      typeof country2630 !== 'undefined' && country2630.on('change',Lino.chooser_handler(city2645,'country'));
      typeof region2632 !== 'undefined' && region2632.on('change',Lino.chooser_handler(city2645,'region'));
      Lino.contacts.PartnersByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.address_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name2620, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id2621, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email2622, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language2623, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url2624, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone2625, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm2626, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax2627, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country2630, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code2631, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "region", "editable": true, "editor": region2632, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "addr1", "editable": true, "editor": addr12633, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix2634, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street", "editable": true, "editor": street2635, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_no", "editable": true, "editor": street_no2636, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "street_box", "editable": true, "editor": street_box2637, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "addr2", "editable": true, "editor": addr22638, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix2639, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity2642, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type2643, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term2644, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "city", "editable": true, "editor": city2645, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCity.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    Lino.contacts.PartnersByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  return new Lino.contacts.PartnersByCity.detailPanel(p);
});
Lino.contacts.PartnersByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCity.GridPanel(p);
});
Lino.contacts.PartnersByCity.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCountry
Lino.contacts.PartnersByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCountry",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "name" }, { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    var ww = this.containing_window;
    var city8025 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/city" }) }) });
    var street8026 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8027 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var name8028 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var language8029 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var id8030 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8031 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8032 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8033 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8034 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8035 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8036 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8037 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8038 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/region" }) }) });
    var addr18040 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8041 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_box8042 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28043 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8044 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8045 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete8046 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8047 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/activity" }) }) });
    var client_contact_type8048 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/client_contact_type" }) }) });
    var payment_term8049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/payment_term" }) }) });
    var country8050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city8025.setContextValue('mk',bp['mk']);
      city8025.setContextValue('mt',bp['mt']);
      city8025.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      var bp = this.get_base_params();
      region8039.setContextValue('mk',bp['mk']);
      region8039.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country8050 !== 'undefined' && country8050.on('change',Lino.chooser_handler(city8025,'country'));
      typeof region8039 !== 'undefined' && region8039.on('change',Lino.chooser_handler(city8025,'region'));
      typeof country8050 !== 'undefined' && country8050.on('change',Lino.chooser_handler(region8039,'country'));
      Lino.contacts.PartnersByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8025, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8026, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8027, "filter": { "type": "string" }, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "name", "editable": true, "editor": name8028, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language8029, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8030, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email8031, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url8032, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "phone", "editable": true, "editor": phone8033, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "gsm", "editable": true, "editor": gsm8034, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "fax", "editable": true, "editor": fax8035, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code8038, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region8039, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr18040, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8041, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_box", "editable": true, "editor": street_box8042, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "addr2", "editable": true, "editor": addr28043, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "prefix", "editable": true, "editor": prefix8044, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "activity", "editable": true, "editor": activity8047, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8048, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "payment_term", "editable": true, "editor": payment_term8049, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "country", "editable": true, "editor": country8050, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCountry.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    Lino.contacts.PartnersByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  return new Lino.contacts.PartnersByCountry.detailPanel(p);
});
Lino.contacts.PartnersByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCountry.GridPanel(p);
});
Lino.contacts.PartnersByCountry.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.RolesByCompany
Lino.contacts.RolesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByCompany",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktpersonen",
  initComponent : function() {
    var ww = this.containing_window;
    var person4434 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/person" }) }) });
    var type4435 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/type" }) }) });
    var id4436 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company4437 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person4434, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type4435, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id4436, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company4437, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByCompany" };
  return new Lino.contacts.RolesByCompany.GridPanel(p);
});

// js_render_GridPanel_class contacts.RolesByPerson
Lino.contacts.RolesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktperson f\u00fcr",
  initComponent : function() {
    var ww = this.containing_window;
    var company2331 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/company" }) }) });
    var type2332 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/type" }) }) });
    var id2333 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person2334 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company2331, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type2332, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id2333, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person2334, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByPerson" };
  return new Lino.contacts.RolesByPerson.GridPanel(p);
});

// js_render_GridPanel_class properties.PropsByGroup
Lino.properties.PropsByGroup.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropsByGroup",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "group" }, 'groupHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByGroup','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByGroup','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByGroup','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByGroup','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByGroup','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of properties.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropsByGroup.detail;
    var ww = this.containing_window;
    var id3097 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name3098 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr3099 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en3100 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type3101 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropsByGroup/type" }) }) });
    var group3102 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropsByGroup/group" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3097, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByGroup.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name3098, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByGroup.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr3099, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByGroup.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en3100, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByGroup.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type3101, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByGroup.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.properties.PropTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "group", "editable": true, "editor": group3102, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByGroup.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.properties.PropsByGroup.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropsByGroup.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByGroup", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByGroup.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByGroup", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByGroup.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByGroup", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByGroup.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByGroup", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.properties.PropsByGroup.detailPanel = Ext.extend(Lino.properties.Properties.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/properties/PropsByGroup",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropsByGroup.detail;
    Lino.properties.PropsByGroup.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropsByGroup.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropsByGroup" };
  return new Lino.properties.PropsByGroup.detailPanel(p);
});
Lino.properties.PropsByGroup.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByGroup", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByGroup.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropsByGroup" };
  return new Lino.properties.PropsByGroup.GridPanel(p);
});
Lino.properties.PropsByGroup.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByGroup", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.PropsByType
Lino.properties.PropsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropsByType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "group" }, 'groupHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/PropsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of properties.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropsByType.detail;
    var ww = this.containing_window;
    var id3150 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name3151 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr3152 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en3153 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var group3154 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropsByType/group" }) }) });
    var type3155 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropsByType/type" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3150, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name3151, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByType.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr3152, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByType.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en3153, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByType.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group3154, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByType.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type3155, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.PropsByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.properties.PropTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.properties.PropsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.properties.PropsByType.detailPanel = Ext.extend(Lino.properties.Properties.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/properties/PropsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.properties.PropsByType.detail;
    Lino.properties.PropsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropsByType" };
  return new Lino.properties.PropsByType.detailPanel(p);
});
Lino.properties.PropsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropsByType" };
  return new Lino.properties.PropsByType.GridPanel(p);
});
Lino.properties.PropsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.ChoicesByType
Lino.properties.ChoicesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/ChoicesByType",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "text_fr" }, { "name": "text_en" }, { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswahlm\u00f6glichkeiten",
  initComponent : function() {
    var ww = this.containing_window;
    var value3142 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var text3143 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_fr3144 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_en3145 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id3146 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type3147 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/ChoicesByType/type" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": true, "editor": value3142, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": true, "editor": text3143, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text_fr", "editable": true, "editor": text_fr3144, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "text_en", "editable": true, "editor": text_en3145, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3146, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type3147, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.properties.PropTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.properties.ChoicesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.ChoicesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/ChoicesByType" };
  return new Lino.properties.ChoicesByType.GridPanel(p);
});

// js_render_GridPanel_class checkdata.ProblemsByChecker
Lino.checkdata.ProblemsByChecker.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/ProblemsByChecker",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "checker" }, 'checkerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByChecker.detail;
    var ww = this.containing_window;
    var user3757 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/user" }) }) });
    var owner_disp3758 = new Ext.form.DisplayField({ "disabled": true });
    var message3759 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var id3760 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type3761 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/owner_type" }) }) });
    var owner_id3762 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/owner_id" }) }) });
    var checker3763 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type3761 !== 'undefined' && owner_type3761.on('change',Lino.chooser_handler(owner_id3762,'owner_type'));
      Lino.checkdata.ProblemsByChecker.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user3757, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.user) The user responsible for fixing this\nproblem.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByChecker.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message3759, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id3760, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type3761, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id3762, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "checker", "editable": true, "editor": checker3763, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) } ];
    Lino.checkdata.ProblemsByChecker.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByChecker.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.ProblemsByChecker.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/ProblemsByChecker",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByChecker.detail;
    Lino.checkdata.ProblemsByChecker.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByChecker.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByChecker" };
  return new Lino.checkdata.ProblemsByChecker.detailPanel(p);
});
Lino.checkdata.ProblemsByChecker.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByChecker" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.ProblemsByChecker.GridPanel(p);
});
Lino.checkdata.ProblemsByChecker.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByPartner
Lino.addresses.AddressesByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByPartner",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "remark" }, { "name": "address_column" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    var ww = this.containing_window;
    var address_type6318 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark6319 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var address_column_disp6320 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary6321 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id6322 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country6323 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/country" }) }) });
    var city6324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/city" }) }) });
    var zip_code6325 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6326 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/region" }) }) });
    var addr16327 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6328 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6329 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6330 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6331 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26332 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source6333 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var partner6334 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      city6324.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6324.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6326.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6323 !== 'undefined' && country6323.on('change',Lino.chooser_handler(city6324,'country'));
      typeof region6326 !== 'undefined' && region6326.on('change',Lino.chooser_handler(city6324,'region'));
      typeof country6323 !== 'undefined' && country6323.on('change',Lino.chooser_handler(region6326,'country'));
      Lino.addresses.AddressesByPartner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type6318, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark6319, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByPartner.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6322, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "country", "editable": true, "editor": country6323, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "city", "editable": true, "editor": city6324, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code6325, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region6326, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr16327, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6328, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street", "editable": true, "editor": street6329, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "street_no", "editable": true, "editor": street_no6330, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "street_box", "editable": true, "editor": street_box6331, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "addr2", "editable": true, "editor": addr26332, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "colIndex": 16, "dataIndex": "partner", "editable": true, "editor": partner6334, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.insertPanel(p);
});
Lino.addresses.AddressesByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.detailPanel(p);
});
Lino.addresses.AddressesByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByPartner.GridPanel(p);
});
Lino.addresses.AddressesByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByCity
Lino.addresses.AddressesByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByCity",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "street" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    var ww = this.containing_window;
    var address_type8052 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var partner8053 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/partner" }) }) });
    var remark8054 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var street8055 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary8056 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8057 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country8058 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/country" }) }) });
    var zip_code8059 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/region" }) }) });
    var addr18061 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8062 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8063 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box8064 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28065 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source8066 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var city8067 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region8060.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8067.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8067.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8058 !== 'undefined' && country8058.on('change',Lino.chooser_handler(region8060,'country'));
      typeof country8058 !== 'undefined' && country8058.on('change',Lino.chooser_handler(city8067,'country'));
      typeof region8060 !== 'undefined' && region8060.on('change',Lino.chooser_handler(city8067,'region'));
      Lino.addresses.AddressesByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type8052, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner8053, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8054, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "street", "editable": true, "editor": street8055, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8057, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8058, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code8059, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region8060, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr18061, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8062, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street_no", "editable": true, "editor": street_no8063, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "street_box", "editable": true, "editor": street_box8064, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "addr2", "editable": true, "editor": addr28065, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "colIndex": 15, "dataIndex": "city", "editable": true, "editor": city8067, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.insertPanel(p);
});
Lino.addresses.AddressesByCity.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.detailPanel(p);
});
Lino.addresses.AddressesByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByCity.GridPanel(p);
});
Lino.addresses.AddressesByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByType
Lino.excerpts.ExcerptsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByType",
  ls_store_fields : [ { "name": "build_time" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    var ww = this.containing_window;
    var build_time2857 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var owner_disp2858 = new Ext.form.DisplayField({ "disabled": true });
    var project2859 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/project" }) }) });
    var user2860 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/user" }) }) });
    var id2861 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method2862 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type2863 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_type" }) }) });
    var owner_id2864 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_id" }) }) });
    var company2865 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/company" }) }) });
    var contact_person2866 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_person" }) }) });
    var contact_role2867 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_role" }) }) });
    var language2868 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var excerpt_type2869 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/excerpt_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id2864.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person2866.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      excerpt_type2869.setContextValue('owner', record ? record.data['owner'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type2863 !== 'undefined' && owner_type2863.on('change',Lino.chooser_handler(owner_id2864,'owner_type'));
      typeof company2865 !== 'undefined' && company2865.on('change',Lino.chooser_handler(contact_person2866,'company'));
      typeof owner_disp2858 !== 'undefined' && owner_disp2858.on('change',Lino.chooser_handler(excerpt_type2869,'owner'));
      Lino.excerpts.ExcerptsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project2859, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user2860, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2861, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method2862, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type2863, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id2864, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company2865, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person2866, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role2867, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language2868, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type2869, "filter": { "type": "string" }, "header": "Auszugsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "renderer": Lino.fk_renderer('excerpt_typeHidden','Lino.excerpts.ExcerptTypes.detail'), "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByType.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    Lino.excerpts.ExcerptsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  return new Lino.excerpts.ExcerptsByType.detailPanel(p);
});
Lino.excerpts.ExcerptsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByType.GridPanel(p);
});
Lino.excerpts.ExcerptsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByProject
Lino.excerpts.ExcerptsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByProject",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bestehende Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    var ww = this.containing_window;
    var build_time8069 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type8070 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/excerpt_type" }) }) });
    var user8071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/user" }) }) });
    var owner_disp8072 = new Ext.form.DisplayField({ "disabled": true });
    var id8073 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method8074 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_type" }) }) });
    var owner_id8076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_id" }) }) });
    var company8077 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/company" }) }) });
    var contact_person8078 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_person" }) }) });
    var contact_role8079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_role" }) }) });
    var language8080 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var project8081 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type8070.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id8076.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8078.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp8072 !== 'undefined' && owner_disp8072.on('change',Lino.chooser_handler(excerpt_type8070,'owner'));
      typeof owner_type8075 !== 'undefined' && owner_type8075.on('change',Lino.chooser_handler(owner_id8076,'owner_type'));
      typeof company8077 !== 'undefined' && company8077.on('change',Lino.chooser_handler(contact_person8078,'company'));
      Lino.excerpts.ExcerptsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type8070, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "renderer": Lino.fk_renderer('excerpt_typeHidden','Lino.excerpts.ExcerptTypes.detail'), "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8071, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8073, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method8074, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type8075, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id8076, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8077, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8078, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8079, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8080, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "project", "editable": true, "editor": project8081, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByProject.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    Lino.excerpts.ExcerptsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  return new Lino.excerpts.ExcerptsByProject.detailPanel(p);
});
Lino.excerpts.ExcerptsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByProject.GridPanel(p);
});
Lino.excerpts.ExcerptsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByType
Lino.uploads.UploadsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByType",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    var ww = this.containing_window;
    var user3533 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/user" }) }) });
    var project3534 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/project" }) }) });
    var type3535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/type" }) }) });
    var file3536 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date3537 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3538 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed3539 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp3540 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id3541 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype3542 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size3543 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type3544 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_type" }) }) });
    var owner_id3545 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_id" }) }) });
    var company3546 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/company" }) }) });
    var contact_person3547 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_person" }) }) });
    var contact_role3548 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_role" }) }) });
    var upload_area3549 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume3550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/volume" }) }) });
    var library_file3551 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/library_file" }) }) });
    var description3552 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark3553 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp3554 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type3535.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id3545.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person3547.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file3551.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area3549 !== 'undefined' && upload_area3549.on('change',Lino.chooser_handler(type3535,'upload_area'));
      typeof owner_type3544 !== 'undefined' && owner_type3544.on('change',Lino.chooser_handler(owner_id3545,'owner_type'));
      typeof company3546 !== 'undefined' && company3546.on('change',Lino.chooser_handler(contact_person3547,'company'));
      typeof volume3550 !== 'undefined' && volume3550.on('change',Lino.chooser_handler(library_file3551,'volume'));
      Lino.uploads.UploadsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user3533, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project3534, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type3535, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file3536, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date3537, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date3538, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id3541, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type3544, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id3545, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company3546, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person3547, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role3548, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area3549, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume3550, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file3551, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description3552, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark3553, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByType.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.insertPanel(p);
});
Lino.uploads.UploadsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.detailPanel(p);
});
Lino.uploads.UploadsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByType.GridPanel(p);
});
Lino.uploads.UploadsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByProject
Lino.uploads.UploadsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByProject",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    var ww = this.containing_window;
    var type8083 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/type" }) }) });
    var end_date8084 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed8085 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp8086 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/user" }) }) });
    var id8088 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8089 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var file8090 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype8091 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size8092 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type8093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_type" }) }) });
    var owner_id8094 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_id" }) }) });
    var company8095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/company" }) }) });
    var contact_person8096 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_person" }) }) });
    var contact_role8097 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_role" }) }) });
    var upload_area8098 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume8099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/volume" }) }) });
    var library_file8100 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/library_file" }) }) });
    var description8101 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark8102 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp8103 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      type8083.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id8094.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8096.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file8100.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area8098 !== 'undefined' && upload_area8098.on('change',Lino.chooser_handler(type8083,'upload_area'));
      typeof owner_type8093 !== 'undefined' && owner_type8093.on('change',Lino.chooser_handler(owner_id8094,'owner_type'));
      typeof company8095 !== 'undefined' && company8095.on('change',Lino.chooser_handler(contact_person8096,'company'));
      typeof volume8099 !== 'undefined' && volume8099.on('change',Lino.chooser_handler(library_file8100,'volume'));
      Lino.uploads.UploadsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type8083, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date8084, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user8087, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8088, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date8089, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file8090, "filter": { "type": "string" }, "header": "Datei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8093, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8094, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8095, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person8096, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role8097, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area8098, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume8099, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file8100, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description8101, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "remark", "editable": true, "editor": remark8102, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project8104, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.uploads.UploadsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.insertPanel(p);
});
Lino.uploads.UploadsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.detailPanel(p);
});
Lino.uploads.UploadsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByProject.GridPanel(p);
});
Lino.uploads.UploadsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.RecipientsByMail
Lino.outbox.RecipientsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientsByMail",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "address" }, { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 27,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Empf\u00e4nger",
  initComponent : function() {
    var ww = this.containing_window;
    var partner2055 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/partner" }) }) });
    var address2056 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var name2057 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type2058 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.outbox.RecipientTypes });
    var id2059 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mail2060 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner2055, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address", "editable": true, "editor": address2056, "filter": { "type": "string" }, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.address) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name2057, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type2058, "filter": { "options": [ "Empf\u00e4nger", "Kopie an", "Blindkopie an" ], "type": "list" }, "header": "Empf\u00e4ngerart", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2059, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "mail", "editable": true, "editor": mail2060, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.mail) ") }, "renderer": Lino.fk_renderer('mailHidden','Lino.outbox.Mails.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.RecipientsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientsByMail" };
  return new Lino.outbox.RecipientsByMail.GridPanel(p);
});

// js_render_GridPanel_class outbox.MyOutbox
Lino.outbox.MyOutbox.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MyOutbox",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "owner" }, { "name": "body" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mein E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    var ww = this.containing_window;
    var sent8106 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox8107 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject8108 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8109 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/project" }) }) });
    var owner_type8111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_type" }) }) });
    var owner_id8112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_id" }) }) });
    var date8113 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8114 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body8115 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var user8116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/user" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8107.refresh();
      owner_id8112.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8115.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8111 !== 'undefined' && owner_type8111.on('change',Lino.chooser_handler(owner_id8112,'owner_type'));
      Lino.outbox.MyOutbox.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.recipients) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject8108, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8109, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project8110, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8111, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8112, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "date", "editable": true, "editor": date8113, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 9, "dataIndex": "body", "editable": true, "editor": body8115, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8116, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MyOutbox.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.insertPanel(p);
});
Lino.outbox.MyOutbox.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.detailPanel(p);
});
Lino.outbox.MyOutbox.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MyOutbox.GridPanel(p);
});
Lino.outbox.MyOutbox.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByUser
Lino.outbox.MailsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByUser",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "recipients" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    var ww = this.containing_window;
    var sent8118 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8119 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8120 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    this.before_row_edit = function(record) {
      recipients_htmlbox8120.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8119, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByUser.recipients) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.MailsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.insertPanel(p);
});
Lino.outbox.MailsByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.detailPanel(p);
});
Lino.outbox.MailsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByUser.GridPanel(p);
});
Lino.outbox.MailsByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByProject
Lino.outbox.MailsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "subject" }, { "name": "recipients" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "body" }, { "name": "sent" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    var ww = this.containing_window;
    var date8122 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var subject8123 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8124 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var user8125 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/user" }) }) });
    var id8126 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_type" }) }) });
    var owner_id8128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_id" }) }) });
    var body8129 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var sent8130 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var owner_disp8131 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8124.refresh();
      owner_id8128.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8129.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8127 !== 'undefined' && owner_type8127.on('change',Lino.chooser_handler(owner_id8128,'owner_type'));
      Lino.outbox.MailsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8122, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8123, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8125, "filter": { "type": "string" }, "header": "Absender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8126, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8127, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8128, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "body", "editable": true, "editor": body8129, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "sent", "editable": false, "header": "sent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "project", "editable": true, "editor": project8132, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MailsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.insertPanel(p);
});
Lino.outbox.MailsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.detailPanel(p);
});
Lino.outbox.MailsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByProject.GridPanel(p);
});
Lino.outbox.MailsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.SentByPartner
Lino.outbox.SentByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/SentByPartner",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    var ww = this.containing_window;
    var sent8134 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8135 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8136 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/SentByPartner/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8135, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8136, "filter": { "type": "string" }, "header": "Absender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.outbox.SentByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.insertPanel(p);
});
Lino.outbox.SentByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.detailPanel(p);
});
Lino.outbox.SentByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.SentByPartner.GridPanel(p);
});
Lino.outbox.SentByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.AttachmentsByMail
Lino.outbox.AttachmentsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/AttachmentsByMail",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 29,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anh\u00e4nge",
  initComponent : function() {
    var ww = this.containing_window;
    var id8138 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var owner_type8139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_type" }) }) });
    var owner_id8140 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_id" }) }) });
    var owner_disp8141 = new Ext.form.DisplayField({ "disabled": true });
    var mail8142 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
      owner_id8140.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8139 !== 'undefined' && owner_type8139.on('change',Lino.chooser_handler(owner_id8140,'owner_type'));
      Lino.outbox.AttachmentsByMail.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8138, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "owner_type", "editable": true, "editor": owner_type8139, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner_id", "editable": true, "editor": owner_id8140, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByMail.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "mail", "editable": true, "editor": mail8142, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.mail) ") }, "renderer": Lino.fk_renderer('mailHidden','Lino.outbox.Mails.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.AttachmentsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.AttachmentsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/AttachmentsByMail" };
  return new Lino.outbox.AttachmentsByMail.GridPanel(p);
});

// js_render_GridPanel_class cal.SubscriptionsByUser
Lino.cal.SubscriptionsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByUser",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "calendar" }, 'calendarHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  initComponent : function() {
    var ww = this.containing_window;
    var id1239 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var calendar1240 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/calendar" }) }) });
    var is_hidden1241 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var user1242 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id1239, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "calendar", "editable": true, "editor": calendar1240, "filter": { "type": "string" }, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.calendar) The calendar you want to subscribe to.") }, "renderer": Lino.fk_renderer('calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user1242, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByUser" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByUser.GridPanel(p);
});

// js_render_GridPanel_class cal.SubscriptionsByCalendar
Lino.cal.SubscriptionsByCalendar.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByCalendar",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "calendar" }, 'calendarHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  initComponent : function() {
    var ww = this.containing_window;
    var id4365 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user4366 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/user" }) }) });
    var is_hidden4367 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var calendar4368 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/calendar" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id4365, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user4366, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "calendar", "editable": true, "editor": calendar4368, "filter": { "type": "string" }, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.calendar) The calendar you want to subscribe to.") }, "renderer": Lino.fk_renderer('calendarHidden','Lino.cal.Calendars.detail'), "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByCalendar.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByCalendar.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByCalendar" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByCalendar.GridPanel(p);
});

// js_render_GridPanel_class cal.TasksByUser
Lino.cal.TasksByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByUser",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "owner" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    var ww = this.containing_window;
    var priority1247 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date1248 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary1249 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp1250 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1251 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified1252 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1253 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project1254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/project" }) }) });
    var start_time1255 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type1256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_type" }) }) });
    var owner_id1257 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_id" }) }) });
    var description1258 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class1259 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence1260 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type1261 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date1262 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time1263 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent1264 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1265 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated1266 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp1267 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var user1268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/user" }) }) });
    this.before_row_edit = function(record) {
      owner_id1257.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type1256 !== 'undefined' && owner_type1256.on('change',Lino.chooser_handler(owner_id1257,'owner_type'));
      Lino.cal.TasksByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority1247, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date1248, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary1249, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1251, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project1254, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time1255, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type1256, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id1257, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "description", "editable": true, "editor": description1258, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "access_class", "editable": true, "editor": access_class1259, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 13, "dataIndex": "sequence", "editable": true, "editor": sequence1260, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "auto_type", "editable": true, "editor": auto_type1261, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "due_date", "editable": true, "editor": due_date1262, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "due_time", "editable": true, "editor": due_time1263, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 17, "dataIndex": "percent", "editable": true, "editor": percent1264, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "state", "editable": true, "editor": state1265, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 19, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "user", "editable": true, "editor": user1268, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.insertPanel(p);
});
Lino.cal.TasksByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.detailPanel(p);
});
Lino.cal.TasksByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByUser.GridPanel(p);
});
Lino.cal.TasksByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByProject
Lino.cal.TasksByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByProject",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "owner" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    var ww = this.containing_window;
    var priority2276 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date2277 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user2278 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/user" }) }) });
    var summary2279 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var owner_disp2280 = new Ext.form.DisplayField({ "disabled": true });
    var workflow_buttons_disp2281 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2282 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2283 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2284 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_time2285 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type2286 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_type" }) }) });
    var owner_id2287 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_id" }) }) });
    var description2288 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2289 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2290 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type2291 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date2292 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time2293 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent2294 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state2295 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated2296 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var project2297 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id2287.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type2286 !== 'undefined' && owner_type2286.on('change',Lino.chooser_handler(owner_id2287,'owner_type'));
      Lino.cal.TasksByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority2276, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date2277, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user2278, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary2279, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2282, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time2285, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type2286, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id2287, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description2288, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "access_class", "editable": true, "editor": access_class2289, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 14, "dataIndex": "sequence", "editable": true, "editor": sequence2290, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "auto_type", "editable": true, "editor": auto_type2291, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "due_date", "editable": true, "editor": due_date2292, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "due_time", "editable": true, "editor": due_time2293, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 18, "dataIndex": "percent", "editable": true, "editor": percent2294, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "state", "editable": true, "editor": state2295, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 20, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project2297, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.insertPanel(p);
});
Lino.cal.TasksByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.detailPanel(p);
});
Lino.cal.TasksByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByProject.GridPanel(p);
});
Lino.cal.TasksByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByEvent
Lino.cal.GuestsByEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByEvent",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "event" }, 'eventHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    var ww = this.containing_window;
    var partner1974 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/partner" }) }) });
    var role1975 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/role" }) }) });
    var workflow_buttons_disp1976 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark1977 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1978 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1979 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since1980 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since1981 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since1982 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var event1983 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/event" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner1974, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role1975, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1977, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1978, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state1979, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "event", "editable": true, "editor": event1983, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.insertPanel(p);
});
Lino.cal.GuestsByEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.detailPanel(p);
});
Lino.cal.GuestsByEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByEvent.GridPanel(p);
});
Lino.cal.GuestsByEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByRole
Lino.cal.GuestsByRole.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByRole",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    var ww = this.containing_window;
    var partner6416 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/partner" }) }) });
    var role6417 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/role" }) }) });
    var workflow_buttons_disp6418 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6419 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event6420 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/event" }) }) });
    var id6421 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state6422 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6423 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6424 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6425 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner6416, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6417, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6419, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event6420, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6421, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6422, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.GuestsByRole.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.insertPanel(p);
});
Lino.cal.GuestsByRole.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.detailPanel(p);
});
Lino.cal.GuestsByRole.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByRole.GridPanel(p);
});
Lino.cal.GuestsByRole.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByPartner
Lino.cal.GuestsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event_summary" }, { "name": "event__user" }, 'event__userHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    var ww = this.containing_window;
    var event__when_text_disp8144 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp8145 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__user8146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event__user" }) }), "value": null });
    var role8147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/role" }) }) });
    var workflow_buttons_disp8148 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8149 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event8150 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event" }) }) });
    var state8151 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark8152 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var waiting_since8153 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since8154 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since8155 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var partner8156 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp8144, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event_summary) ") }, "sortable": false, "tooltip": "(cal.GuestsByPartner.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user8146, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role8147, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.role) The role of this partner in this presence.") }, "renderer": Lino.fk_renderer('roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8149, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "event", "editable": true, "editor": event8150, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state8151, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark8152, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "partner", "editable": true, "editor": partner8156, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.insertPanel(p);
});
Lino.cal.GuestsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.detailPanel(p);
});
Lino.cal.GuestsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByPartner.GridPanel(p);
});
Lino.cal.GuestsByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByType
Lino.cal.EntriesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByType",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByType.detail;
    this.ls_insert_handler = Lino.cal.EntriesByType.insert;
    var ww = this.containing_window;
    var when_text_disp4092 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user4093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/user" }) }) });
    var summary4094 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type4095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/event_type" }) }) });
    var id4096 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified4097 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4098 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project4099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/project" }) }) });
    var start_date4100 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time4101 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date4102 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time4103 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time4104 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method4105 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to4106 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/assigned_to" }) }) });
    var owner_type4107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/owner_type" }) }) });
    var owner_id4108 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/owner_id" }) }) });
    var description4109 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class4110 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence4111 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type4112 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority4113 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent4114 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited4115 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room4116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByType/room" }) }) });
    var state4117 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before4118 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit4119 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified4120 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp4121 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id4108.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type4107 !== 'undefined' && owner_type4107.on('change',Lino.chooser_handler(owner_id4108,'owner_type'));
      Lino.cal.EntriesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user4093, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary4094, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type4095, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4096, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project4099, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date4100, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time4101, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4102, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time4103, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method4105, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to4106, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type4107, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id4108, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description4109, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class4110, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence4111, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type4112, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority4113, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room4116, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state4117, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before4118, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit4119, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByType.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByType.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByType.detail;
    this.ls_insert_handler = Lino.cal.EntriesByType.insert;
    Lino.cal.EntriesByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByType" };
  return new Lino.cal.EntriesByType.insertPanel(p);
});
Lino.cal.EntriesByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByType.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByType.detail;
    this.ls_insert_handler = Lino.cal.EntriesByType.insert;
    Lino.cal.EntriesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByType" };
  return new Lino.cal.EntriesByType.detailPanel(p);
});
Lino.cal.EntriesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByType" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByType.GridPanel(p);
});
Lino.cal.EntriesByType.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByType.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByType", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.ConflictingEvents
Lino.cal.ConflictingEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/ConflictingEvents",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "name": "end_time" }, { "name": "project" }, 'projectHidden', { "name": "room" }, 'roomHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "summary" }, { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/ConflictingEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ConflictingEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ConflictingEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ConflictingEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/ConflictingEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00a0\u2694\u00a0",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.ConflictingEvents.detail;
    this.ls_insert_handler = Lino.cal.ConflictingEvents.insert;
    var ww = this.containing_window;
    var start_date14918 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_time14919 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time14920 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project14921 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/project" }) }) });
    var room14922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/room" }) }) });
    var user14923 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/user" }) }) });
    var id14924 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified14925 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created14926 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var end_date14927 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time14928 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method14929 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to14930 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/assigned_to" }) }) });
    var owner_type14931 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/owner_type" }) }) });
    var owner_id14932 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/owner_id" }) }) });
    var summary14933 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description14934 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class14935 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence14936 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type14937 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority14938 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type14939 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/ConflictingEvents/event_type" }) }) });
    var transparent14940 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited14941 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var state14942 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before14943 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit14944 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified14945 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp14946 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id14932.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type14931 !== 'undefined' && owner_type14931.on('change',Lino.chooser_handler(owner_id14932,'owner_type'));
      Lino.cal.ConflictingEvents.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date14918, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "start_time", "editable": true, "editor": start_time14919, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "end_time", "editable": true, "editor": end_time14920, "header": "Endet um", "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project14921, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "room", "editable": true, "editor": room14922, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user14923, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id14924, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date14927, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "build_method", "editable": true, "editor": build_method14929, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 12, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to14930, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "owner_type", "editable": true, "editor": owner_type14931, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "owner_id", "editable": true, "editor": owner_id14932, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 15, "dataIndex": "summary", "editable": true, "editor": summary14933, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "description", "editable": true, "editor": description14934, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "access_class", "editable": true, "editor": access_class14935, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 18, "dataIndex": "sequence", "editable": true, "editor": sequence14936, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 19, "dataIndex": "auto_type", "editable": true, "editor": auto_type14937, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "priority", "editable": true, "editor": priority14938, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "event_type", "editable": true, "editor": event_type14939, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "state", "editable": true, "editor": state14942, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 25, "dataIndex": "notify_before", "editable": true, "editor": notify_before14943, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit14944, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.ConflictingEvents.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.ConflictingEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ConflictingEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.ConflictingEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/ConflictingEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.ConflictingEvents.detail;
    this.ls_insert_handler = Lino.cal.ConflictingEvents.insert;
    Lino.cal.ConflictingEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ConflictingEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/ConflictingEvents" };
  return new Lino.cal.ConflictingEvents.insertPanel(p);
});
Lino.cal.ConflictingEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.ConflictingEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/ConflictingEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.ConflictingEvents.detail;
    this.ls_insert_handler = Lino.cal.ConflictingEvents.insert;
    Lino.cal.ConflictingEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ConflictingEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/ConflictingEvents" };
  return new Lino.cal.ConflictingEvents.detailPanel(p);
});
Lino.cal.ConflictingEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/ConflictingEvents" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.ConflictingEvents.GridPanel(p);
});
Lino.cal.ConflictingEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ConflictingEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ConflictingEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByRoom
Lino.cal.EntriesByRoom.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByRoom",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "room" }, 'roomHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByRoom','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByRoom','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByRoom','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByRoom','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByRoom','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByRoom.detail;
    this.ls_insert_handler = Lino.cal.EntriesByRoom.insert;
    var ww = this.containing_window;
    var when_text_disp4186 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user4187 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/user" }) }) });
    var summary4188 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type4189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/event_type" }) }) });
    var id4190 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified4191 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4192 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project4193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/project" }) }) });
    var start_date4194 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time4195 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date4196 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time4197 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time4198 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method4199 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to4200 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/assigned_to" }) }) });
    var owner_type4201 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/owner_type" }) }) });
    var owner_id4202 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/owner_id" }) }) });
    var description4203 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class4204 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence4205 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type4206 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority4207 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent4208 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited4209 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var state4210 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before4211 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit4212 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified4213 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp4214 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var room4215 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByRoom/room" }) }) });
    this.before_row_edit = function(record) {
      owner_id4202.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type4201 !== 'undefined' && owner_type4201.on('change',Lino.chooser_handler(owner_id4202,'owner_type'));
      Lino.cal.EntriesByRoom.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user4187, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary4188, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type4189, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4190, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project4193, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date4194, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time4195, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4196, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time4197, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method4199, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to4200, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type4201, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id4202, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description4203, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class4204, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence4205, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type4206, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority4207, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "state", "editable": true, "editor": state4210, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 25, "dataIndex": "notify_before", "editable": true, "editor": notify_before4211, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit4212, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "room", "editable": true, "editor": room4215, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByRoom.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cal.EntriesByRoom.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByRoom.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByRoom.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByRoom",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByRoom.detail;
    this.ls_insert_handler = Lino.cal.EntriesByRoom.insert;
    Lino.cal.EntriesByRoom.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByRoom.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByRoom" };
  return new Lino.cal.EntriesByRoom.insertPanel(p);
});
Lino.cal.EntriesByRoom.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByRoom.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByRoom",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByRoom.detail;
    this.ls_insert_handler = Lino.cal.EntriesByRoom.insert;
    Lino.cal.EntriesByRoom.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByRoom.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByRoom" };
  return new Lino.cal.EntriesByRoom.detailPanel(p);
});
Lino.cal.EntriesByRoom.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByRoom" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByRoom.GridPanel(p);
});
Lino.cal.EntriesByRoom.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByRoom.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByRoom", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByProject
Lino.cal.EntriesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByProject",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    var ww = this.containing_window;
    var when_text_disp8158 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8159 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/user" }) }) });
    var summary8160 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8161 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8162 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified8163 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8164 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date8165 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8166 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8167 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8168 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time8169 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8170 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to8171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/assigned_to" }) }) });
    var owner_type8172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_type" }) }) });
    var owner_id8173 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_id" }) }) });
    var description8174 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class8175 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence8176 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type8177 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority8178 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type8179 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var transparent8180 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited8181 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room8182 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/room" }) }) });
    var state8183 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before8184 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit8185 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified8186 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8187 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8188 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id8173.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8172 !== 'undefined' && owner_type8172.on('change',Lino.chooser_handler(owner_id8173,'owner_type'));
      Lino.cal.EntriesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8159, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8160, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8162, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date8165, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time8166, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date8167, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time8168, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method8170, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to8171, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "owner_type", "editable": true, "editor": owner_type8172, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_id", "editable": true, "editor": owner_id8173, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "description", "editable": true, "editor": description8174, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "access_class", "editable": true, "editor": access_class8175, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 18, "dataIndex": "sequence", "editable": true, "editor": sequence8176, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 19, "dataIndex": "auto_type", "editable": true, "editor": auto_type8177, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "priority", "editable": true, "editor": priority8178, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "event_type", "editable": true, "editor": event_type8179, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room8182, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state8183, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before8184, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit8185, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 30, "dataIndex": "project", "editable": true, "editor": project8188, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.EntriesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.insertPanel = Ext.extend(Lino.cal.EntriesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.insertPanel(p);
});
Lino.cal.EntriesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.detailPanel(p);
});
Lino.cal.EntriesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByProject.GridPanel(p);
});
Lino.cal.EntriesByProject.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByGuest
Lino.cal.EntriesByGuest.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByGuest",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    var ww = this.containing_window;
    var when_text_disp8190 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8191 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/user" }) }) });
    var summary8192 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8193 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8191, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8192, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.cal.EntriesByGuest.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.insertPanel = Ext.extend(Lino.cal.EntriesByGuest.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.insertPanel(p);
});
Lino.cal.EntriesByGuest.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.detailPanel(p);
});
Lino.cal.EntriesByGuest.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByGuest.GridPanel(p);
});
Lino.cal.EntriesByGuest.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByClient
Lino.cal.EntriesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByClient",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    var ww = this.containing_window;
    var when_text_disp2229 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user2230 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/user" }) }) });
    var summary2231 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp2232 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2233 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2234 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2235 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project2236 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/project" }) }) });
    var start_date2237 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time2238 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date2239 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time2240 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time2241 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2242 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to2243 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/assigned_to" }) }) });
    var owner_type2244 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_type" }) }) });
    var owner_id2245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_id" }) }) });
    var description2246 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2247 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2248 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type2249 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority2250 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type2251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var transparent2252 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited2253 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room2254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/room" }) }) });
    var state2255 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before2256 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit2257 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified2258 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp2259 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id2245.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type2244 !== 'undefined' && owner_type2244.on('change',Lino.chooser_handler(owner_id2245,'owner_type'));
      Lino.cal.EntriesByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2230, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary2231, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2233, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project2236, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date2237, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time2238, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date2239, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time2240, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method2242, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to2243, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type2244, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id2245, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description2246, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class2247, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence2248, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type2249, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority2250, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type2251, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room2254, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state2255, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before2256, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit2257, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.insertPanel = Ext.extend(Lino.cal.EntriesByClient.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.insertPanel(p);
});
Lino.cal.EntriesByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.detailPanel(p);
});
Lino.cal.EntriesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByClient.GridPanel(p);
});
Lino.cal.EntriesByClient.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByClient
Lino.cal.TasksByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByClient",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "description" }, { "name": "notes" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    var ww = this.containing_window;
    var priority8195 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date8196 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date8197 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary8198 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description8199 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var notes_disp8200 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority8195, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8196, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "due_date", "editable": true, "editor": due_date8197, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary8198, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description8199, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "notes", "editable": false, "header": "Notes", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.notes) ") }, "sortable": false, "tooltip": "(cal.TasksByClient.notes) ", "width": Lino.chars2width(31) } ];
    Lino.cal.TasksByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.insertPanel(p);
});
Lino.cal.TasksByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.detailPanel(p);
});
Lino.cal.TasksByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByClient.GridPanel(p);
});
Lino.cal.TasksByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.AppointmentsByPartner
Lino.reception.AppointmentsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AppointmentsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event__user" }, 'event__userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termine",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var event__when_text_disp1140 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__user1141 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/AppointmentsByPartner/event__user" }) }), "value": null });
    var workflow_buttons_disp1142 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp1140, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event__user", "editable": true, "editor": event__user1141, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.AppointmentsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AppointmentsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AppointmentsByPartner" };
  return new Lino.reception.AppointmentsByPartner.GridPanel(p);
});
Lino.reception.AppointmentsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledgesByPerson
Lino.cv.LanguageKnowledgesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledgesByPerson",
  ls_store_fields : [ { "name": "language" }, 'languageHidden', { "name": "native", "type": "boolean" }, { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Sprachkenntnis) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    var ww = this.containing_window;
    var language8202 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native8203 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var spoken8204 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written8205 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var cef_level8206 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate8207 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8208 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var spoken_passively8209 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively8210 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var person8211 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "language", "editable": true, "editor": language8202, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "spoken", "editable": true, "editor": spoken8204, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "written", "editable": true, "editor": written8205, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "cef_level", "editable": true, "editor": cef_level8206, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 5, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8208, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively8209, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "written_passively", "editable": true, "editor": written_passively8210, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 9, "dataIndex": "person", "editable": true, "editor": person8211, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) } ];
    Lino.cv.LanguageKnowledgesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.LanguageKnowledgesByPerson.insertPanel = Ext.extend(Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/LanguageKnowledgesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    Lino.cv.LanguageKnowledgesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.insertPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.LanguageKnowledgesByPerson.detailPanel = Ext.extend(Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Sprachkenntnis) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/LanguageKnowledgesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    Lino.cv.LanguageKnowledgesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.detailPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.GridPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.KnowledgesByLanguage
Lino.cv.KnowledgesByLanguage.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/KnowledgesByLanguage",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "native", "type": "boolean" }, { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "cef_level" }, 'cef_levelHidden', { "name": "id", "type": "int" }, { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/KnowledgesByLanguage','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/KnowledgesByLanguage','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/KnowledgesByLanguage','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/KnowledgesByLanguage','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/KnowledgesByLanguage','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  initComponent : function() {
    var ww = this.containing_window;
    var person6251 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/KnowledgesByLanguage/person" }) }) });
    var native6252 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var spoken6253 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written6254 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var cef_level6255 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var id6256 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var spoken_passively6257 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively6258 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var has_certificate6259 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var language6260 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/KnowledgesByLanguage/language" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person6251, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "spoken", "editable": true, "editor": spoken6253, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "written", "editable": true, "editor": written6254, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "cef_level", "editable": true, "editor": cef_level6255, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6256, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively6257, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "written_passively", "editable": true, "editor": written_passively6258, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language6260, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.language) The language to which this entry applies.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) } ];
    Lino.cv.KnowledgesByLanguage.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.KnowledgesByLanguage.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/KnowledgesByLanguage" };
  return new Lino.cv.KnowledgesByLanguage.GridPanel(p);
});

// js_render_GridPanel_class cv.StudyTypesByLevel
Lino.cv.StudyTypesByLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudyTypesByLevel",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "is_study", "type": "boolean" }, { "name": "is_training", "type": "boolean" }, { "name": "education_level" }, 'education_levelHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 82,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypesByLevel','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypesByLevel','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypesByLevel','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypesByLevel','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudyTypesByLevel','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bildungsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bildungsarten",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudyTypesByLevel.detail;
    this.ls_insert_handler = Lino.cv.StudyTypesByLevel.insert;
    var ww = this.containing_window;
    var id6440 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var name6441 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr6442 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en6443 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var is_study6444 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var is_training6445 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var education_level6446 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypesByLevel/education_level" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6440, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name6441, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr6442, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en6443, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "is_study", "editable": true, "filter": { "type": "boolean" }, "header": "Studium", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.is_study) Whether education entries are considered a study entry.") }, "sortable": false, "tooltip": "Whether education entries are considered a study entry.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.is_training) Whether education entries are considered a training entry.") }, "sortable": false, "tooltip": "Whether education entries are considered a training entry.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "education_level", "editable": true, "editor": education_level6446, "filter": { "type": "string" }, "header": "Akademischer Grad", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudyTypesByLevel.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudyTypesByLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudyTypesByLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypesByLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypesByLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypesByLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudyTypesByLevel.insertPanel = Ext.extend(Lino.cv.StudyTypes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/StudyTypesByLevel",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudyTypesByLevel.detail;
    this.ls_insert_handler = Lino.cv.StudyTypesByLevel.insert;
    Lino.cv.StudyTypesByLevel.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudyTypesByLevel.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/StudyTypesByLevel" };
  return new Lino.cv.StudyTypesByLevel.insertPanel(p);
});
Lino.cv.StudyTypesByLevel.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudyTypesByLevel.detailPanel = Ext.extend(Lino.cv.StudyTypes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bildungsart) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudyTypesByLevel",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudyTypesByLevel.detail;
    this.ls_insert_handler = Lino.cv.StudyTypesByLevel.insert;
    Lino.cv.StudyTypesByLevel.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudyTypesByLevel.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudyTypesByLevel" };
  return new Lino.cv.StudyTypesByLevel.detailPanel(p);
});
Lino.cv.StudyTypesByLevel.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudyTypesByLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudyTypesByLevel" };
  return new Lino.cv.StudyTypesByLevel.GridPanel(p);
});
Lino.cv.StudyTypesByLevel.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudyTypesByLevel", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByCountry
Lino.cv.TrainingsByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByCountry",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 83,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    var ww = this.containing_window;
    var person8213 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/person" }) }) });
    var start_date8214 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8215 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text8216 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type8217 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/type" }) }) });
    var state8218 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector8219 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/sector" }) }) });
    var function8220 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/function" }) }) });
    var id8221 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city8222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/city" }) }) });
    var zip_code8223 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language8224 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/language" }) }) });
    var school8225 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8226 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content8227 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates8228 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var country8229 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      function8220.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      var bp = this.get_base_params();
      city8222.setContextValue('mk',bp['mk']);
      city8222.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof sector8219 !== 'undefined' && sector8219.on('change',Lino.chooser_handler(function8220,'sector'));
      typeof country8229 !== 'undefined' && country8229.on('change',Lino.chooser_handler(city8222,'country'));
      Lino.cv.TrainingsByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person8213, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8214, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8215, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text8216, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8217, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state8218, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector8219, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function8220, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8221, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city8222, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code8223, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8224, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "school", "editable": true, "editor": school8225, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks8226, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "content", "editable": true, "editor": content8227, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "certificates", "editable": true, "editor": certificates8228, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "country", "editable": true, "editor": country8229, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.TrainingsByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByCountry.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    Lino.cv.TrainingsByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  return new Lino.cv.TrainingsByCountry.insertPanel(p);
});
Lino.cv.TrainingsByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByCountry.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    Lino.cv.TrainingsByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  return new Lino.cv.TrainingsByCountry.detailPanel(p);
});
Lino.cv.TrainingsByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByCountry.GridPanel(p);
});
Lino.cv.TrainingsByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByType
Lino.cv.TrainingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByType",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 83,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    var ww = this.containing_window;
    var person5304 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/person" }) }) });
    var start_date5305 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5306 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text5307 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type5308 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/type" }) }) });
    var state5309 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector5310 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/sector" }) }) });
    var function5311 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/function" }) }) });
    var id5312 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country5313 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/country" }) }) });
    var city5314 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/city" }) }) });
    var zip_code5315 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language5316 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/language" }) }) });
    var school5317 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks5318 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content5319 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates5320 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5311.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city5314.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5310 !== 'undefined' && sector5310.on('change',Lino.chooser_handler(function5311,'sector'));
      typeof country5313 !== 'undefined' && country5313.on('change',Lino.chooser_handler(city5314,'country'));
      Lino.cv.TrainingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person5304, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5305, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date5306, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text5307, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type5308, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state5309, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector5310, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function5311, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id5312, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country5313, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city5314, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code5315, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language5316, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school5317, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks5318, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content5319, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates5320, "filter": { "type": "string" }, "header": "Diplome", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.TrainingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByType.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    Lino.cv.TrainingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  return new Lino.cv.TrainingsByType.insertPanel(p);
});
Lino.cv.TrainingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByType.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    Lino.cv.TrainingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  return new Lino.cv.TrainingsByType.detailPanel(p);
});
Lino.cv.TrainingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByType.GridPanel(p);
});
Lino.cv.TrainingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByPerson
Lino.cv.TrainingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remarks" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "school" }, { "name": "country" }, 'countryHidden', { "name": "state" }, 'stateHidden', { "name": "certificates" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "content" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 16,
  content_type : 83,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausbildungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    var ww = this.containing_window;
    var type1583 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/type" }) }) });
    var sector1584 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/sector" }) }) });
    var function1585 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/function" }) }) });
    var remarks1586 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var start_date1587 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1588 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text1589 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var school1590 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var country1591 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/country" }) }) });
    var state1592 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1593 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1594 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city1595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/city" }) }) });
    var zip_code1596 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language1597 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/language" }) }) });
    var content1598 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var person1599 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function1585.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1595.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector1584 !== 'undefined' && sector1584.on('change',Lino.chooser_handler(function1585,'sector'));
      typeof country1591 !== 'undefined' && country1591.on('change',Lino.chooser_handler(city1595,'country'));
      Lino.cv.TrainingsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1583, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sector", "editable": true, "editor": sector1584, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "function", "editable": true, "editor": function1585, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks1586, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date1587, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date1588, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "duration_text", "editable": true, "editor": duration_text1589, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "school", "editable": true, "editor": school1590, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "country", "editable": true, "editor": country1591, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state1592, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 10, "dataIndex": "certificates", "editable": true, "editor": certificates1593, "filter": { "type": "string" }, "header": "Diplome", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id1594, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city1595, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code1596, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language1597, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content1598, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "person", "editable": true, "editor": person1599, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.TrainingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByPerson.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    Lino.cv.TrainingsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  return new Lino.cv.TrainingsByPerson.insertPanel(p);
});
Lino.cv.TrainingsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByPerson.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ausbildung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    Lino.cv.TrainingsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  return new Lino.cv.TrainingsByPerson.detailPanel(p);
});
Lino.cv.TrainingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByPerson.GridPanel(p);
});
Lino.cv.TrainingsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByCountry
Lino.cv.StudiesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByCountry",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByCountry.detail;
    var ww = this.containing_window;
    var person2803 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/person" }) }) });
    var start_date2804 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date2805 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type2806 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/type" }) }) });
    var content2807 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level2808 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/education_level" }) }) });
    var state2809 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id2810 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city2811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/city" }) }) });
    var zip_code2812 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text2813 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language2814 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/language" }) }) });
    var school2815 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks2816 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var country2817 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city2811.setContextValue('mk',bp['mk']);
      city2811.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country2817 !== 'undefined' && country2817.on('change',Lino.chooser_handler(city2811,'country'));
      Lino.cv.StudiesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person2803, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date2804, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date2805, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type2806, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content2807, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level2808, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state2809, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id2810, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "city", "editable": true, "editor": city2811, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "zip_code", "editable": true, "editor": zip_code2812, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 10, "dataIndex": "duration_text", "editable": true, "editor": duration_text2813, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language2814, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "school", "editable": true, "editor": school2815, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks2816, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "country", "editable": true, "editor": country2817, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByCountry.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByCountry.detail;
    Lino.cv.StudiesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByCountry.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByCountry" };
  return new Lino.cv.StudiesByCountry.detailPanel(p);
});
Lino.cv.StudiesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByCountry" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByCountry.GridPanel(p);
});
Lino.cv.StudiesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByLevel
Lino.cv.StudiesByLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByLevel",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByLevel.detail;
    var ww = this.containing_window;
    var person6449 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/person" }) }) });
    var start_date6450 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6451 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type6452 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/type" }) }) });
    var content6453 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level6454 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/education_level" }) }) });
    var state6455 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id6456 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country6457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/country" }) }) });
    var city6458 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/city" }) }) });
    var zip_code6459 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text6460 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language6461 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/language" }) }) });
    var school6462 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6463 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city6458.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6457 !== 'undefined' && country6457.on('change',Lino.chooser_handler(city6458,'country'));
      Lino.cv.StudiesByLevel.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person6449, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date6450, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date6451, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type6452, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content6453, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level6454, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6455, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id6456, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "country", "editable": true, "editor": country6457, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city6458, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code6459, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "duration_text", "editable": true, "editor": duration_text6460, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language6461, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school6462, "filter": { "type": "string" }, "header": "Einrichtung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks6463, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) } ];
    Lino.cv.StudiesByLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByLevel.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByLevel",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByLevel.detail;
    Lino.cv.StudiesByLevel.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByLevel.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByLevel" };
  return new Lino.cv.StudiesByLevel.detailPanel(p);
});
Lino.cv.StudiesByLevel.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByLevel" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByLevel.GridPanel(p);
});
Lino.cv.StudiesByLevel.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByPlace
Lino.cv.StudiesByPlace.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByPlace",
  ls_store_fields : [ { "name": "school" }, { "name": "type" }, 'typeHidden', { "name": "person" }, 'personHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "education_level" }, 'education_levelHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPlace.detail;
    var ww = this.containing_window;
    var school2761 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type2762 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/type" }) }) });
    var person2763 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/person" }) }) });
    var content2764 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date2765 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date2766 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state2767 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var language2768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/language" }) }) });
    var remarks2769 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2770 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country2771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/country" }) }) });
    var zip_code2772 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text2773 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var education_level2774 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/education_level" }) }) });
    var city2775 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/city" }) }) });
    this.before_row_edit = function(record) {
      city2775.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country2771 !== 'undefined' && country2771.on('change',Lino.chooser_handler(city2775,'country'));
      Lino.cv.StudiesByPlace.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "school", "editable": true, "editor": school2761, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type2762, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person2763, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content2764, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date2765, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date2766, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state2767, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language2768, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remarks", "editable": true, "editor": remarks2769, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2770, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "country", "editable": true, "editor": country2771, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code2772, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "duration_text", "editable": true, "editor": duration_text2773, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "education_level", "editable": true, "editor": education_level2774, "filter": { "type": "string" }, "header": "Akademischer Grad", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "city", "editable": true, "editor": city2775, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByPlace.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPlace.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPlace.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPlace",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPlace.detail;
    Lino.cv.StudiesByPlace.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPlace.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPlace" };
  return new Lino.cv.StudiesByPlace.detailPanel(p);
});
Lino.cv.StudiesByPlace.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPlace" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByPlace.GridPanel(p);
});
Lino.cv.StudiesByPlace.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByType
Lino.cv.StudiesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByType",
  ls_store_fields : [ { "name": "school" }, { "name": "person" }, 'personHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "education_level" }, 'education_levelHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByType.detail;
    var ww = this.containing_window;
    var school5287 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var person5288 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/person" }) }) });
    var content5289 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date5290 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5291 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state5292 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var language5293 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/language" }) }) });
    var remarks5294 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id5295 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country5296 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/country" }) }) });
    var city5297 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/city" }) }) });
    var zip_code5298 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text5299 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var education_level5300 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/education_level" }) }) });
    var type5301 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/type" }) }) });
    this.before_row_edit = function(record) {
      city5297.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country5296 !== 'undefined' && country5296.on('change',Lino.chooser_handler(city5297,'country'));
      Lino.cv.StudiesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "school", "editable": true, "editor": school5287, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person5288, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "content", "editable": true, "editor": content5289, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date5290, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date5291, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state5292, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language5293, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remarks", "editable": true, "editor": remarks5294, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id5295, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country5296, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city5297, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code5298, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "duration_text", "editable": true, "editor": duration_text5299, "filter": { "type": "string" }, "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "education_level", "editable": true, "editor": education_level5300, "filter": { "type": "string" }, "header": "Akademischer Grad", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "type", "editable": true, "editor": type5301, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByType.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByType.detail;
    Lino.cv.StudiesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByType" };
  return new Lino.cv.StudiesByType.detailPanel(p);
});
Lino.cv.StudiesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByType" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByType.GridPanel(p);
});
Lino.cv.StudiesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByPerson
Lino.cv.StudiesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "school" }, { "name": "country" }, 'countryHidden', { "name": "state" }, 'stateHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 84,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Studium) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studien",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    var ww = this.containing_window;
    var type1527 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content1528 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date1529 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1530 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text1531 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var school1532 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var country1533 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/country" }) }) });
    var state1534 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var education_level1535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/education_level" }) }) });
    var id1536 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city1537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/city" }) }) });
    var zip_code1538 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language1539 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sprache ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/language" }) }) });
    var remarks1540 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var person1541 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      city1537.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country1533 !== 'undefined' && country1533.on('change',Lino.chooser_handler(city1537,'country'));
      Lino.cv.StudiesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1527, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "content", "editable": true, "editor": content1528, "filter": { "type": "string" }, "header": "Ausbildungsinhalt", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date1529, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date1530, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "duration_text", "editable": true, "editor": duration_text1531, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "school", "editable": true, "editor": school1532, "filter": { "type": "string" }, "header": "Einrichtung", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country1533, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state1534, "filter": { "options": [ "Erfolgreich abgeschlossen", "Abbruch", "in Gang" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(29) }, { "colIndex": 8, "dataIndex": "education_level", "editable": true, "editor": education_level1535, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.education_level) Pointer to EducationLevel.") }, "renderer": Lino.fk_renderer('education_levelHidden','Lino.cv.EducationLevels.detail'), "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id1536, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city1537, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code1538, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language1539, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.language) Foreign key to lino.modlib.languages.Language.") }, "renderer": Lino.fk_renderer('languageHidden','Lino.languages.Languages.detail'), "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks1540, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "person", "editable": true, "editor": person1541, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPerson.insertPanel = Ext.extend(Lino.cv.StudiesByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    Lino.cv.StudiesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  return new Lino.cv.StudiesByPerson.insertPanel(p);
});
Lino.cv.StudiesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPerson.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Studium) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    Lino.cv.StudiesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  return new Lino.cv.StudiesByPerson.detailPanel(p);
});
Lino.cv.StudiesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByPerson.GridPanel(p);
});
Lino.cv.StudiesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.FunctionsBySector
Lino.cv.FunctionsBySector.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/FunctionsBySector",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "sector" }, 'sectorHidden', { "name": "id", "type": "int" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/FunctionsBySector','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/FunctionsBySector','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/FunctionsBySector','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/FunctionsBySector','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/FunctionsBySector','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufsbezeichnungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.FunctionsBySector.detail;
    var ww = this.containing_window;
    var name5184 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr5185 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en5186 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector5187 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/FunctionsBySector/sector" }) }) });
    var id5188 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remark5189 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name5184, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.FunctionsBySector.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr5185, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(cv.FunctionsBySector.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en5186, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(cv.FunctionsBySector.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "sector", "editable": true, "editor": sector5187, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.FunctionsBySector.sector) ") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5188, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.FunctionsBySector.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark5189, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.FunctionsBySector.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cv.FunctionsBySector.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.FunctionsBySector.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/FunctionsBySector", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.FunctionsBySector.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/FunctionsBySector", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.FunctionsBySector.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/FunctionsBySector", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.FunctionsBySector.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/FunctionsBySector", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.FunctionsBySector.detailPanel = Ext.extend(Lino.cv.Functions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/FunctionsBySector",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.FunctionsBySector.detail;
    Lino.cv.FunctionsBySector.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.FunctionsBySector.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/FunctionsBySector" };
  return new Lino.cv.FunctionsBySector.detailPanel(p);
});
Lino.cv.FunctionsBySector.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/FunctionsBySector", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.FunctionsBySector.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/FunctionsBySector" };
  return new Lino.cv.FunctionsBySector.GridPanel(p);
});
Lino.cv.FunctionsBySector.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/FunctionsBySector", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesBySector
Lino.cv.ExperiencesBySector.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesBySector",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesBySector.detail;
    var ww = this.containing_window;
    var person5194 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/person" }) }) });
    var start_date5195 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5196 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text5197 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector5198 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/sector" }) }) });
    var function5199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/function" }) }) });
    var title5200 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company5201 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id5202 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country5203 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/country" }) }) });
    var city5204 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/city" }) }) });
    var zip_code5205 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status5206 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/status" }) }) });
    var duration5207 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/duration" }) }) });
    var regime5208 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/regime" }) }) });
    var is_training5209 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks5210 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason5211 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      function5199.setContextValue('mk',bp['mk']);
      function5199.setContextValue('mt',bp['mt']);
      city5204.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5198 !== 'undefined' && sector5198.on('change',Lino.chooser_handler(function5199,'sector'));
      typeof country5203 !== 'undefined' && country5203.on('change',Lino.chooser_handler(city5204,'country'));
      Lino.cv.ExperiencesBySector.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person5194, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5195, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date5196, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text5197, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector5198, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function5199, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title5200, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company5201, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id5202, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country5203, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city5204, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code5205, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status5206, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration5207, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.duration) ") }, "renderer": Lino.fk_renderer('durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime5208, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks5210, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason5211, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.ExperiencesBySector.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesBySector.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesBySector.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesBySector",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesBySector.detail;
    Lino.cv.ExperiencesBySector.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesBySector.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesBySector" };
  return new Lino.cv.ExperiencesBySector.detailPanel(p);
});
Lino.cv.ExperiencesBySector.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesBySector" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesBySector.GridPanel(p);
});
Lino.cv.ExperiencesBySector.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByFunction
Lino.cv.ExperiencesByFunction.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByFunction",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByFunction.detail;
    var ww = this.containing_window;
    var person5152 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/person" }) }) });
    var start_date5153 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5154 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text5155 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector5156 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/sector" }) }) });
    var function5157 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/function" }) }) });
    var title5158 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company5159 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id5160 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country5161 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/country" }) }) });
    var city5162 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/city" }) }) });
    var zip_code5163 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status5164 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/status" }) }) });
    var duration5165 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/duration" }) }) });
    var regime5166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/regime" }) }) });
    var is_training5167 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks5168 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason5169 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5157.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city5162.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5156 !== 'undefined' && sector5156.on('change',Lino.chooser_handler(function5157,'sector'));
      typeof country5161 !== 'undefined' && country5161.on('change',Lino.chooser_handler(city5162,'country'));
      Lino.cv.ExperiencesByFunction.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person5152, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5153, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date5154, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text5155, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector5156, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function5157, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title5158, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company5159, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id5160, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country5161, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city5162, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code5163, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status5164, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration5165, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.duration) ") }, "renderer": Lino.fk_renderer('durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime5166, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks5168, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason5169, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.ExperiencesByFunction.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByFunction.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByFunction.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByFunction",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByFunction.detail;
    Lino.cv.ExperiencesByFunction.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByFunction.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByFunction" };
  return new Lino.cv.ExperiencesByFunction.detailPanel(p);
});
Lino.cv.ExperiencesByFunction.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByFunction" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByFunction.GridPanel(p);
});
Lino.cv.ExperiencesByFunction.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByPerson
Lino.cv.ExperiencesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByPerson",
  ls_store_fields : [ { "name": "company" }, { "name": "country" }, 'countryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "function" }, 'functionHidden', { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "termination_reason" }, { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "sector" }, 'sectorHidden', { "name": "title" }, { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Berufserfahrung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    var ww = this.containing_window;
    var company1660 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country1661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/country" }) }) });
    var start_date1662 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1663 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text1664 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var function1665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var status1666 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/status" }) }) });
    var duration1667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/duration" }) }) });
    var termination_reason1668 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remarks1669 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id1670 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city1671 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/city" }) }) });
    var zip_code1672 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var sector1673 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/sector" }) }) });
    var title1674 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var regime1675 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/regime" }) }) });
    var is_training1676 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var person1677 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function1665.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1671.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector1673 !== 'undefined' && sector1673.on('change',Lino.chooser_handler(function1665,'sector'));
      typeof country1661 !== 'undefined' && country1661.on('change',Lino.chooser_handler(city1671,'country'));
      Lino.cv.ExperiencesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company1660, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "country", "editable": true, "editor": country1661, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date1662, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date1663, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "duration_text", "editable": true, "editor": duration_text1664, "filter": { "type": "string" }, "header": "Dauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function1665, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "status", "editable": true, "editor": status1666, "filter": { "type": "string" }, "header": "Status", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "duration", "editable": true, "editor": duration1667, "filter": { "type": "string" }, "header": "Vertragsdauer", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.duration) ") }, "renderer": Lino.fk_renderer('durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason1668, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "remarks", "editable": true, "editor": remarks1669, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id1670, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "city", "editable": true, "editor": city1671, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code1672, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "sector", "editable": true, "editor": sector1673, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "title", "editable": true, "editor": title1674, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "regime", "editable": true, "editor": regime1675, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Ausbildung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "person", "editable": true, "editor": person1677, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.ExperiencesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByPerson.insertPanel = Ext.extend(Lino.cv.ExperiencesByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    Lino.cv.ExperiencesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  return new Lino.cv.ExperiencesByPerson.insertPanel(p);
});
Lino.cv.ExperiencesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByPerson.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Berufserfahrung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    Lino.cv.ExperiencesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  return new Lino.cv.ExperiencesByPerson.detailPanel(p);
});
Lino.cv.ExperiencesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByPerson.GridPanel(p);
});
Lino.cv.ExperiencesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByStatus
Lino.cv.ExperiencesByStatus.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByStatus",
  ls_store_fields : [ { "name": "company" }, { "name": "country" }, 'countryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "regime" }, 'regimeHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByStatus','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByStatus','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByStatus','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByStatus','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByStatus','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByStatus.detail;
    var ww = this.containing_window;
    var company5717 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country5718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByStatus/country" }) }) });
    var start_date5719 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5720 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var title5721 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector5722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByStatus/sector" }) }) });
    var function5723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByStatus/function" }) }) });
    var regime5724 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByStatus/regime" }) }) });
    var remarks5725 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5723.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5722 !== 'undefined' && sector5722.on('change',Lino.chooser_handler(function5723,'sector'));
      Lino.cv.ExperiencesByStatus.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company5717, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "country", "editable": true, "editor": country5718, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date5719, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date5720, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "title", "editable": true, "editor": title5721, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "sector", "editable": true, "editor": sector5722, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "function", "editable": true, "editor": function5723, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "regime", "editable": true, "editor": regime5724, "filter": { "type": "string" }, "header": "Arbeitsregime", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remarks", "editable": true, "editor": remarks5725, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByStatus.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cv.ExperiencesByStatus.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByStatus.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByStatus", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByStatus.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByStatus", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByStatus.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByStatus", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByStatus.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByStatus", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByStatus.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByStatus",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByStatus.detail;
    Lino.cv.ExperiencesByStatus.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByStatus.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByStatus" };
  return new Lino.cv.ExperiencesByStatus.detailPanel(p);
});
Lino.cv.ExperiencesByStatus.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByStatus", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByStatus.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByStatus" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByStatus.GridPanel(p);
});
Lino.cv.ExperiencesByStatus.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByStatus", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByRegime
Lino.cv.ExperiencesByRegime.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByRegime",
  ls_store_fields : [ { "name": "company" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "country" }, 'countryHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByRegime','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByRegime','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByRegime','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByRegime','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByRegime','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByRegime.detail;
    var ww = this.containing_window;
    var company5493 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var start_date5494 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5495 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var title5496 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector5497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByRegime/sector" }) }) });
    var function5498 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByRegime/function" }) }) });
    var country5499 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByRegime/country" }) }) });
    var remarks5500 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5498.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5497 !== 'undefined' && sector5497.on('change',Lino.chooser_handler(function5498,'sector'));
      Lino.cv.ExperiencesByRegime.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company5493, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5494, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date5495, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "title", "editable": true, "editor": title5496, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector5497, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function5498, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country5499, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remarks", "editable": true, "editor": remarks5500, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByRegime.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cv.ExperiencesByRegime.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByRegime.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByRegime", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByRegime.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByRegime", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByRegime.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByRegime", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByRegime.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByRegime", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByRegime.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByRegime",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByRegime.detail;
    Lino.cv.ExperiencesByRegime.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByRegime.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByRegime" };
  return new Lino.cv.ExperiencesByRegime.detailPanel(p);
});
Lino.cv.ExperiencesByRegime.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByRegime", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByRegime.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByRegime" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByRegime.GridPanel(p);
});
Lino.cv.ExperiencesByRegime.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByRegime", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByDuration
Lino.cv.ExperiencesByDuration.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByDuration",
  ls_store_fields : [ { "name": "company" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "country" }, 'countryHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByDuration','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByDuration','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByDuration','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByDuration','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByDuration','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Berufserfahrungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByDuration.detail;
    var ww = this.containing_window;
    var company5359 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var start_date5360 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5361 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var title5362 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector5363 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByDuration/sector" }) }) });
    var function5364 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByDuration/function" }) }) });
    var country5365 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByDuration/country" }) }) });
    var remarks5366 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5364.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5363 !== 'undefined' && sector5363.on('change',Lino.chooser_handler(function5364,'sector'));
      Lino.cv.ExperiencesByDuration.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company5359, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5360, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date5361, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "title", "editable": true, "editor": title5362, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector5363, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function5364, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country5365, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remarks", "editable": true, "editor": remarks5366, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByDuration.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.cv.ExperiencesByDuration.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByDuration.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByDuration", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByDuration.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByDuration", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByDuration.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByDuration", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByDuration.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByDuration", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByDuration.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByDuration",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByDuration.detail;
    Lino.cv.ExperiencesByDuration.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByDuration.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByDuration" };
  return new Lino.cv.ExperiencesByDuration.detailPanel(p);
});
Lino.cv.ExperiencesByDuration.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByDuration", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByDuration.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByDuration" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByDuration.GridPanel(p);
});
Lino.cv.ExperiencesByDuration.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByDuration", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.PropsByPerson
Lino.cv.PropsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/PropsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/PropsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PropsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PropsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PropsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/PropsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    var ww = this.containing_window;
    var property8231 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/property" }) }) });
    var value8232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/value" }) }) });
    var remark8233 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8234 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group8235 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/group" }) }) });
    var person8236 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PropsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property8231.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value8232.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group8235 !== 'undefined' && group8235.on('change',Lino.chooser_handler(property8231,'group'));
      typeof property8231 !== 'undefined' && property8231.on('change',Lino.chooser_handler(value8232,'property'));
      Lino.cv.PropsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property8231, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value8232, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8233, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8234, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group8235, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person8236, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PropsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.PropsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.PropsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PropsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PropsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/PropsByPerson" };
  return new Lino.cv.PropsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.PersonPropsByProp
Lino.cv.PersonPropsByProp.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/PersonPropsByProp",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "property" }, 'propertyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/PersonPropsByProp','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PersonPropsByProp','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PersonPropsByProp','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/PersonPropsByProp','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/PersonPropsByProp','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eigenschaften",
  initComponent : function() {
    var ww = this.containing_window;
    var person3118 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonPropsByProp/person" }) }) });
    var value3119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonPropsByProp/value" }) }) });
    var remark3120 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id3121 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group3122 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonPropsByProp/group" }) }) });
    var property3123 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/PersonPropsByProp/property" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      value3119.setContextValue('mk',bp['mk']);
      value3119.setContextValue('mt',bp['mt']);
      property3123.setContextValue('group', record ? record.data['groupHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof property3123 !== 'undefined' && property3123.on('change',Lino.chooser_handler(value3119,'property'));
      typeof group3122 !== 'undefined' && group3122.on('change',Lino.chooser_handler(property3123,'group'));
      Lino.cv.PersonPropsByProp.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3118, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonPropsByProp.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value3119, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonPropsByProp.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark3120, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonPropsByProp.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id3121, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonPropsByProp.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group3122, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonPropsByProp.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "property", "editable": true, "editor": property3123, "filter": { "type": "string" }, "header": "Eigenschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.PersonPropsByProp.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.PersonPropsByProp.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.PersonPropsByProp.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonPropsByProp", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonPropsByProp.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonPropsByProp", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonPropsByProp.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonPropsByProp", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonPropsByProp.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonPropsByProp", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonPropsByProp.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/PersonPropsByProp", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.PersonPropsByProp.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/PersonPropsByProp" };
  return new Lino.cv.PersonPropsByProp.GridPanel(p);
});

// js_render_GridPanel_class cv.ConfiguredPropsByPerson
Lino.cv.ConfiguredPropsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ConfiguredPropsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ConfiguredPropsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ConfiguredPropsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ConfiguredPropsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ConfiguredPropsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ConfiguredPropsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ConfiguredPropsByPerson",
  initComponent : function() {
    var ww = this.containing_window;
    var property8238 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/property" }) }) });
    var value8239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/value" }) }) });
    var remark8240 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8241 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group8242 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/group" }) }) });
    var person8243 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ConfiguredPropsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property8238.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value8239.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group8242 !== 'undefined' && group8242.on('change',Lino.chooser_handler(property8238,'group'));
      typeof property8238 !== 'undefined' && property8238.on('change',Lino.chooser_handler(value8239,'property'));
      Lino.cv.ConfiguredPropsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property8238, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value8239, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8240, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8241, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group8242, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person8243, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ConfiguredPropsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.ConfiguredPropsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ConfiguredPropsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ConfiguredPropsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ConfiguredPropsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ConfiguredPropsByPerson" };
  return new Lino.cv.ConfiguredPropsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.SkillsByPerson
Lino.cv.SkillsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/SkillsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/SkillsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/SkillsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/SkillsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/SkillsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/SkillsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Fachkompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var property1768 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/property" }) }) });
    var value1769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/value" }) }) });
    var remark1770 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1771 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group1772 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/group" }) }) });
    var person1773 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property1768.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value1769.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group1772 !== 'undefined' && group1772.on('change',Lino.chooser_handler(property1768,'group'));
      typeof property1768 !== 'undefined' && property1768.on('change',Lino.chooser_handler(value1769,'property'));
      Lino.cv.SkillsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property1768, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value1769, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark1770, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1771, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group1772, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person1773, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.SkillsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.SkillsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/SkillsByPerson" };
  return new Lino.cv.SkillsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.SoftSkillsByPerson
Lino.cv.SoftSkillsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/SoftSkillsByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/SoftSkillsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/SoftSkillsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/SoftSkillsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/SoftSkillsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/SoftSkillsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sozialkompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var property1776 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/property" }) }) });
    var value1777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/value" }) }) });
    var remark1778 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1779 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group1780 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/group" }) }) });
    var person1781 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property1776.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value1777.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group1780 !== 'undefined' && group1780.on('change',Lino.chooser_handler(property1776,'group'));
      typeof property1776 !== 'undefined' && property1776.on('change',Lino.chooser_handler(value1777,'property'));
      Lino.cv.SoftSkillsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property1776, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value1777, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark1778, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1779, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group1780, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person1781, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.SoftSkillsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.SoftSkillsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/SoftSkillsByPerson" };
  return new Lino.cv.SoftSkillsByPerson.GridPanel(p);
});

// js_render_GridPanel_class cv.ObstaclesByPerson
Lino.cv.ObstaclesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ObstaclesByPerson",
  ls_store_fields : [ { "name": "property" }, 'propertyHidden', { "name": "value" }, 'valueHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "group" }, 'groupHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 91,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/ObstaclesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ObstaclesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ObstaclesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/ObstaclesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/ObstaclesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hindernisse",
  initComponent : function() {
    var ww = this.containing_window;
    var property1787 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschaft ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/property" }) }) });
    var value1788 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/value" }) }) });
    var remark1789 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1790 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var group1791 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/group" }) }) });
    var person1792 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      property1787.setContextValue('group', record ? record.data['groupHidden'] : undefined);
      value1788.setContextValue('property', record ? record.data['propertyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof group1791 !== 'undefined' && group1791.on('change',Lino.chooser_handler(property1787,'group'));
      typeof property1787 !== 'undefined' && property1787.on('change',Lino.chooser_handler(value1788,'property'));
      Lino.cv.ObstaclesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "property", "editable": true, "editor": property1787, "filter": { "type": "string" }, "header": "Eigenschaft", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.property) ") }, "renderer": Lino.fk_renderer('propertyHidden','Lino.properties.Properties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "value", "editable": true, "editor": value1788, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.value) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark1789, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1790, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "group", "editable": true, "editor": group1791, "filter": { "type": "string" }, "header": "Eigenschaftsgruppe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.group) ") }, "renderer": Lino.fk_renderer('groupHidden','Lino.properties.PropGroups.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person1792, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.ObstaclesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ObstaclesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ObstaclesByPerson" };
  return new Lino.cv.ObstaclesByPerson.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ClientsByNationality
Lino.pcsw.ClientsByNationality.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ClientsByNationality",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "name" }, { "name": "country" }, 'countryHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "has_esf", "type": "boolean" }, { "name": "age" }, { "name": "nationality" }, 'nationalityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    var ww = this.containing_window;
    var city8245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/city" }) }) });
    var street8246 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8247 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var street_box8248 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var addr28249 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name8250 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country8251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/country" }) }) });
    var language8252 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var id8253 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8254 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8255 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8257 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8258 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8259 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8260 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8261 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8262 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/region" }) }) });
    var addr18263 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8264 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8265 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8266 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete8267 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/activity" }) }) });
    var client_contact_type8269 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/client_contact_type" }) }) });
    var payment_term8270 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/payment_term" }) }) });
    var title8271 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name8272 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8273 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8274 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8275 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date8276 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state8277 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id8278 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_country8279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/birth_country" }) }) });
    var birth_place8280 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number8281 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from8282 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until8283 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type8284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer8285 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text8286 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition8287 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group8288 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/group" }) }) });
    var civil_state8289 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type8290 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since8291 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until8292 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since8293 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since8294 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit8295 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit8296 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until8297 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type8298 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/aid_type" }) }) });
    var declared_name8299 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking8300 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until8301 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why8302 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles8303 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills8304 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact8305 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/job_office_contact" }) }) });
    var refusal_reason8306 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks28307 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id8308 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id8309 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas8310 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior8311 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance8312 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/health_insurance" }) }) });
    var pharmacy8313 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/pharmacy" }) }) });
    var income_ag8314 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg8315 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg8316 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente8317 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc8318 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents8319 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var broker8320 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/broker" }) }) });
    var faculty8321 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/faculty" }) }) });
    var has_esf8322 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var age_disp8323 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp8323 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var nationality8324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/nationality" }) }) });
    this.before_row_edit = function(record) {
      city8245.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8245.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region8262.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8251 !== 'undefined' && country8251.on('change',Lino.chooser_handler(city8245,'country'));
      typeof region8262 !== 'undefined' && region8262.on('change',Lino.chooser_handler(city8245,'region'));
      typeof country8251 !== 'undefined' && country8251.on('change',Lino.chooser_handler(region8262,'country'));
      Lino.pcsw.ClientsByNationality.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8245, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8246, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8247, "filter": { "type": "string" }, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "street_box", "editable": true, "editor": street_box8248, "filter": { "type": "string" }, "header": "Box", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 4, "dataIndex": "addr2", "editable": true, "editor": addr28249, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name", "editable": true, "editor": name8250, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8251, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language8252, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8253, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "email", "editable": true, "editor": email8254, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "url", "editable": true, "editor": url8255, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "phone", "editable": true, "editor": phone8256, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "gsm", "editable": true, "editor": gsm8257, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "fax", "editable": true, "editor": fax8258, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 16, "dataIndex": "zip_code", "editable": true, "editor": zip_code8261, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "region", "editable": true, "editor": region8262, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "addr1", "editable": true, "editor": addr18263, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8264, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix8265, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity8268, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8269, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term8270, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "title", "editable": true, "editor": title8271, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "first_name", "editable": true, "editor": first_name8272, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "middle_name", "editable": true, "editor": middle_name8273, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "last_name", "editable": true, "editor": last_name8274, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "gender", "editable": true, "editor": gender8275, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 31, "dataIndex": "birth_date", "editable": true, "editor": birth_date8276, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 32, "dataIndex": "client_state", "editable": true, "editor": client_state8277, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 33, "dataIndex": "national_id", "editable": true, "editor": national_id8278, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 34, "dataIndex": "birth_country", "editable": true, "editor": birth_country8279, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_country) ") }, "renderer": Lino.fk_renderer('birth_countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 35, "dataIndex": "birth_place", "editable": true, "editor": birth_place8280, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "card_number", "editable": true, "editor": card_number8281, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from8282, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until8283, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 39, "dataIndex": "card_type", "editable": true, "editor": card_type8284, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 40, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer8285, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text8286, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 42, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition8287, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 43, "dataIndex": "group", "editable": true, "editor": group8288, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 44, "dataIndex": "civil_state", "editable": true, "editor": civil_state8289, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 45, "dataIndex": "residence_type", "editable": true, "editor": residence_type8290, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 46, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since8291, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 47, "dataIndex": "residence_until", "editable": true, "editor": residence_until8292, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 48, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since8293, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 49, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since8294, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 50, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 51, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 52, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until8297, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "aid_type", "editable": true, "editor": aid_type8298, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 54, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until8301, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why8302, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 58, "dataIndex": "obstacles", "editable": true, "editor": obstacles8303, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 59, "dataIndex": "skills", "editable": true, "editor": skills8304, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 60, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact8305, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 61, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason8306, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 62, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id8308, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 64, "dataIndex": "tim_id", "editable": true, "editor": tim_id8309, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 65, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 66, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 67, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance8312, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 68, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8313, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 69, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 72, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 73, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "job_agents", "editable": true, "editor": job_agents8319, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 75, "dataIndex": "broker", "editable": true, "editor": broker8320, "filter": { "type": "string" }, "header": "Vermittler", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 76, "dataIndex": "faculty", "editable": true, "editor": faculty8321, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.faculty) The Faculty this client has been attributed to.") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 77, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 79, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 80, "dataIndex": "nationality", "editable": true, "editor": nationality8324, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "renderer": Lino.fk_renderer('nationalityHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) } ];
    Lino.pcsw.ClientsByNationality.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.insertPanel(p);
});
Lino.pcsw.ClientsByNationality.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.detailPanel(p);
});
Lino.pcsw.ClientsByNationality.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.ClientsByNationality.GridPanel(p);
});
Lino.pcsw.ClientsByNationality.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.DispensesByClient
Lino.pcsw.DispensesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/DispensesByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "reason" }, 'reasonHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 52,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dispenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1498 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1499 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var reason1500 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Dispenzgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.DispenseReasons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/DispensesByClient/reason" }) }) });
    var remarks1501 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1498, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Dispenziert seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1499, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "reason", "editable": true, "editor": reason1500, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks1501, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.DispensesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.DispensesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/DispensesByClient" };
  return new Lino.pcsw.DispensesByClient.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ExclusionsByClient
Lino.pcsw.ExclusionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ExclusionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "excluded_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "excluded_until", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 54,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AG-Sperren",
  initComponent : function() {
    var ww = this.containing_window;
    var excluded_from1504 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var excluded_until1505 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type1506 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "AG-Sperrgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.ExclusionTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ExclusionsByClient/type" }) }) });
    var remark1507 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "excluded_from", "editable": true, "editor": excluded_from1504, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "AG-Sperre seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "excluded_until", "editable": true, "editor": excluded_until1505, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type1506, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1507, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.ExclusionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ExclusionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ExclusionsByClient" };
  return new Lino.pcsw.ExclusionsByClient.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ConvictionsByClient
Lino.pcsw.ConvictionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ConvictionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "designation" }, { "name": "prejudicial", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 55,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorstrafen",
  initComponent : function() {
    var ww = this.containing_window;
    var date8326 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var designation8327 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var prejudicial8328 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8326, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "designation", "editable": true, "editor": designation8327, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.designation) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "prejudicial", "editable": true, "filter": { "type": "boolean" }, "header": "Prejudicial", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.prejudicial) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.ConvictionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ConvictionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ConvictionsByClient" };
  return new Lino.pcsw.ConvictionsByClient.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByClient
Lino.coachings.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "primary", "type": "boolean" }, { "name": "type" }, 'typeHidden', { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1374 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1375 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user1376 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/user" }) }) });
    var primary1377 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var type1378 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/type" }) }) });
    var ending1379 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/ending" }) }) });
    var id1380 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      ending1379.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type1378 !== 'undefined' && type1378.on('change',Lino.chooser_handler(ending1379,'type'));
      Lino.coachings.CoachingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1374, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1375, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user1376, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type1378, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending1379, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.coachings.CoachingEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id1380, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByClient.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByEnding
Lino.coachings.CoachingsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByEnding','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByEnding','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByEnding','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var id3658 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date3659 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3660 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user3661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByEnding/user" }) }) });
    var client3662 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByEnding/client" }) }) });
    var type3663 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByEnding/type" }) }) });
    var primary3664 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var ending3665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      ending3665.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type3663 !== 'undefined' && type3663.on('change',Lino.chooser_handler(ending3665,'type'));
      Lino.coachings.CoachingsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3658, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date3659, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date3660, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user3661, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "client", "editable": true, "editor": client3662, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type3663, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "ending", "editable": true, "editor": ending3665, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByEnding.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.coachings.CoachingEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.coachings.CoachingsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByEnding" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByEnding.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByUser
Lino.coachings.CoachingsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByUser",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1326 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1327 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client1328 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/client" }) }) });
    var type1329 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/type" }) }) });
    var primary1330 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id1331 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1326, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1327, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client1328, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type1329, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1331, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByUser" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByUser.GridPanel(p);
});

// js_render_GridPanel_class coachings.MyCoachings
Lino.coachings.MyCoachings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/MyCoachings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Begleitungen",
  initComponent : function() {
    var ww = this.containing_window;
    var client8330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/client" }) }) });
    var start_date8331 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8332 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type8333 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/type" }) }) });
    var primary8334 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8335 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8330, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8331, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8332, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8333, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8335, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.MyCoachings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.MyCoachings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/MyCoachings" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.MyCoachings.GridPanel(p);
});

// js_render_GridPanel_class reception.AgentsByClient
Lino.reception.AgentsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AgentsByClient",
  ls_store_fields : [ { "name": "user" }, { "name": "coaching_type" }, { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin machen mit",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp8337 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var coaching_type_disp8338 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var actions_disp8339 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Sozi", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.user) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.user) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "coaching_type", "editable": false, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.coaching_type) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.coaching_type) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.AgentsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AgentsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AgentsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.AgentsByClient.GridPanel(p);
});

// js_render_GridPanel_class reception.CoachingsByClient
Lino.reception.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/CoachingsByClient",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin machen mit",
  initComponent : function() {
    var ww = this.containing_window;
    var user8341 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/user" }) }) });
    var type8342 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/type" }) }) });
    var actions_disp8343 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8341, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type8342, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.CoachingsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.CoachingsByClient.GridPanel(p);
});

// js_render_GridPanel_class boards.MembersByBoard
Lino.boards.MembersByBoard.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/boards/MembersByBoard",
  ls_store_fields : [ { "name": "role" }, 'roleHidden', { "name": "person" }, 'personHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 43,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/boards/MembersByBoard','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/boards/MembersByBoard','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/boards/MembersByBoard','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/boards/MembersByBoard','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/boards/MembersByBoard','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gremienmitglieder",
  initComponent : function() {
    var ww = this.containing_window;
    var role5479 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/boards/MembersByBoard/role" }) }) });
    var person5480 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/boards/MembersByBoard/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "role", "editable": true, "editor": role5479, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(boards.MembersByBoard.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person5480, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(boards.MembersByBoard.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.boards.MembersByBoard.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.boards.MembersByBoard.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/MembersByBoard", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.MembersByBoard.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/MembersByBoard", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.MembersByBoard.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/MembersByBoard", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.MembersByBoard.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/MembersByBoard", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.MembersByBoard.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/boards/MembersByBoard", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.boards.MembersByBoard.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/boards/MembersByBoard" };
  return new Lino.boards.MembersByBoard.GridPanel(p);
});

// js_render_GridPanel_class clients.PartnersByClientContactType
Lino.clients.PartnersByClientContactType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/PartnersByClientContactType",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of ledger.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    var ww = this.containing_window;
    var name4661 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id4662 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp4663 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email4664 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language4665 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url4666 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone4667 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm4668 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax4669 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified4670 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4671 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country4672 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/country" }) }) });
    var city4673 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/city" }) }) });
    var zip_code4674 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region4675 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/region" }) }) });
    var addr14676 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix4677 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street4678 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no4679 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box4680 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr24681 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix4682 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks4683 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete4684 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity4685 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/activity" }) }) });
    var payment_term4686 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/payment_term" }) }) });
    var client_contact_type4687 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city4673.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4673.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region4675.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country4672 !== 'undefined' && country4672.on('change',Lino.chooser_handler(city4673,'country'));
      typeof region4675 !== 'undefined' && region4675.on('change',Lino.chooser_handler(city4673,'region'));
      typeof country4672 !== 'undefined' && country4672.on('change',Lino.chooser_handler(region4675,'country'));
      Lino.clients.PartnersByClientContactType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name4661, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id4662, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email4664, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language4665, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url4666, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone4667, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm4668, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax4669, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country4672, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city4673, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code4674, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region4675, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr14676, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix4677, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street4678, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no4679, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box4680, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr24681, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix4682, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity4685, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term4686, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type4687, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.clients.PartnersByClientContactType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.clients.PartnersByClientContactType.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.contacts.Partners.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/clients/PartnersByClientContactType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    Lino.clients.PartnersByClientContactType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  return new Lino.clients.PartnersByClientContactType.detailPanel(p);
});
Lino.clients.PartnersByClientContactType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.clients.PartnersByClientContactType.GridPanel(p);
});
Lino.clients.PartnersByClientContactType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.HouseholdsByType
Lino.households.HouseholdsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/HouseholdsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.households.Households.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushalte",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    var ww = this.containing_window;
    var name4906 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type4907 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var address_column_disp4908 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4909 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email4910 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language4911 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url4912 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone4913 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm4914 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax4915 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified4916 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4917 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country4918 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/country" }) }) });
    var city4919 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/city" }) }) });
    var zip_code4920 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region4921 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/region" }) }) });
    var addr14922 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix4923 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street4924 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no4925 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box4926 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr24927 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix4928 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks4929 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete4930 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity4931 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/activity" }) }) });
    var client_contact_type4932 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/client_contact_type" }) }) });
    var payment_term4933 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/payment_term" }) }) });
    this.before_row_edit = function(record) {
      city4919.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4919.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region4921.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country4918 !== 'undefined' && country4918.on('change',Lino.chooser_handler(city4919,'country'));
      typeof region4921 !== 'undefined' && region4921.on('change',Lino.chooser_handler(city4919,'region'));
      typeof country4918 !== 'undefined' && country4918.on('change',Lino.chooser_handler(region4921,'country'));
      Lino.households.HouseholdsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name4906, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type4907, "filter": { "type": "string" }, "header": "Haushaltsart", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.type) The type of this household.  See household types") }, "renderer": Lino.fk_renderer('typeHidden','Lino.households.Types.detail'), "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.address_column) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4909, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email4910, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language4911, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url4912, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone4913, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm4914, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax4915, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country4918, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city4919, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code4920, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region4921, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr14922, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix4923, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street4924, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no4925, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box4926, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr24927, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix4928, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity4931, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type4932, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term4933, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) } ];
    Lino.households.HouseholdsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.insertPanel = Ext.extend(Lino.households.HouseholdsByType.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.insertPanel(p);
});
Lino.households.HouseholdsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.detailPanel = Ext.extend(Lino.households.HouseholdsByType.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.households.Households.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.detailPanel(p);
});
Lino.households.HouseholdsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.HouseholdsByType.GridPanel(p);
});
Lino.households.HouseholdsByType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByHousehold
Lino.households.MembersByHousehold.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByHousehold",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "primary", "type": "boolean" }, { "name": "household" }, 'householdHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitglieder",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp4955 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role4956 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency4957 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person4958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/person" }) }) });
    var first_name4959 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name4960 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date4961 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender4962 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id4963 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date4964 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date4965 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title4966 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name4967 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var primary4968 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var household4969 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/household" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role4956, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency4957, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person4958, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name4959, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name4960, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date4961, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender4962, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4963, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date4964, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4965, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title4966, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name4967, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "household", "editable": true, "editor": household4969, "filter": { "type": "string" }, "header": "Haushalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByHousehold.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByHousehold.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByHousehold" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByHousehold.GridPanel(p);
});
Lino.households.MembersByHousehold.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.SiblingsByPerson
Lino.households.SiblingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/SiblingsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "household" }, 'householdHidden', { "name": "primary", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltszusammensetzung",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp1153 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role1154 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency1155 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person1156 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/person" }) }) });
    var first_name1157 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name1158 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date1159 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender1160 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id1161 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date1162 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date1163 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title1164 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name1165 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var household1166 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/household" }) }) });
    var primary1167 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role1154, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency1155, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person1156, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name1157, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name1158, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date1159, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender1160, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id1161, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date1162, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date1163, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title1164, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name1165, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "household", "editable": true, "editor": household1166, "filter": { "type": "string" }, "header": "Haushalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.households.SiblingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.SiblingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/SiblingsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.SiblingsByPerson.GridPanel(p);
});
Lino.households.SiblingsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByPerson
Lino.households.MembersByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByPerson",
  ls_store_fields : [ { "name": "household" }, 'householdHidden', { "name": "role" }, 'roleHidden', { "name": "primary", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "dependency" }, 'dependencyHidden', { "name": "age" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Mitglied) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitgliedschaft in Haushalten",
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    var ww = this.containing_window;
    var household8345 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var role8346 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var primary8347 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var start_date8348 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8349 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8350 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title8351 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name8352 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8353 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8354 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8355 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date8356 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var dependency8357 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var age_disp8358 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp8358 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person8359 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "household", "editable": true, "editor": household8345, "filter": { "type": "string" }, "header": "Haushalt", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role8346, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8348, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8349, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8350, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title8351, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "first_name", "editable": true, "editor": first_name8352, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "middle_name", "editable": true, "editor": middle_name8353, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "last_name", "editable": true, "editor": last_name8354, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "gender", "editable": true, "editor": gender8355, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "birth_date", "editable": true, "editor": birth_date8356, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 12, "dataIndex": "dependency", "editable": true, "editor": dependency8357, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 13, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "person", "editable": true, "editor": person8359, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.MembersByPerson.insertPanel = Ext.extend(Lino.households.MembersByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/MembersByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    Lino.households.MembersByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  return new Lino.households.MembersByPerson.insertPanel(p);
});
Lino.households.MembersByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByPerson.GridPanel(p);
});
Lino.households.MembersByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.RefundsByPerson
Lino.households.RefundsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/RefundsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "gender" }, 'genderHidden', { "name": "person_info" }, { "name": "amount" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltszusammensetzung",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp8361 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var gender8362 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var person_info_disp8363 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount8364 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "gender", "editable": true, "editor": gender8362, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "person_info", "editable": false, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.person_info) ") }, "sortable": false, "tooltip": "(households.RefundsByPerson.person_info) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.amount) ") }, "sortable": true, "tooltip": "(households.RefundsByPerson.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.households.RefundsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.RefundsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/RefundsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.RefundsByPerson.GridPanel(p);
});
Lino.households.RefundsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.PartnersByContract
Lino.isip.PartnersByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/PartnersByContract",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "duties_company" }, { "name": "contract" }, 'contractHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vertragspartner",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    var ww = this.containing_window;
    var id1859 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var company1860 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/company" }) }) });
    var contact_person1861 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_person" }) }) });
    var contact_role1862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_role" }) }) });
    var duties_company1863 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var contract1864 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "VSE ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contract" }) }) });
    this.before_row_edit = function(record) {
      contact_person1861.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company1863.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company1860 !== 'undefined' && company1860.on('change',Lino.chooser_handler(contact_person1861,'company'));
      Lino.isip.PartnersByContract.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id1859, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company1860, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person1861, "filter": { "type": "string" }, "header": "Represented by", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "contact_role", "editable": true, "editor": contact_role1862, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "duties_company", "editable": true, "editor": duties_company1863, "filter": { "type": "string" }, "header": "Verpflichtungen Firma", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.duties_company) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "contract", "editable": true, "editor": contract1864, "filter": { "type": "string" }, "header": "VSE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.isip.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.PartnersByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.insertPanel = Ext.extend(Lino.isip.ContractPartners.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.insertPanel(p);
});
Lino.isip.PartnersByContract.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.detailPanel = Ext.extend(Lino.isip.ContractPartners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.detailPanel(p);
});
Lino.isip.PartnersByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.GridPanel(p);
});
Lino.isip.PartnersByContract.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByClient
Lino.isip.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "name": "study_type" }, 'study_typeHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from1799 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until1800 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type1801 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/type" }) }) });
    var user1802 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user" }) }) });
    var study_type1803 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/study_type" }) }) });
    var date_ended1804 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending1805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/ending" }) }) });
    var id1806 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer11807 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/signer1" }) }) });
    var signer21808 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/signer2" }) }) });
    var printed_by1809 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language1810 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided1811 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued1812 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd1813 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user_asd" }) }) });
    var exam_policy1814 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/exam_policy" }) }) });
    var stages1815 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals1816 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd1817 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe1818 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw1819 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person1820 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe1821 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user_dsbe" }) }) });
    var client1822 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      stages1815.refresh();
      goals1816.refresh();
      duties_asd1817.refresh();
      duties_dsbe1818.refresh();
      duties_pcsw1819.refresh();
      duties_person1820.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from1799, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until1800, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type1801, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user1802, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "study_type", "editable": true, "editor": study_type1803, "filter": { "type": "string" }, "header": "Bildungsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "date_ended", "editable": true, "editor": date_ended1804, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "ending", "editable": true, "editor": ending1805, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id1806, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer11807, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer21808, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language1810, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided1811, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued1812, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd1813, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy1814, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages1815, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals1816, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd1817, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe1818, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw1819, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person1820, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe1821, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "client", "editable": true, "editor": client1822, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByClient.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    Lino.isip.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  return new Lino.isip.ContractsByClient.insertPanel(p);
});
Lino.isip.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByClient.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    Lino.isip.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  return new Lino.isip.ContractsByClient.detailPanel(p);
});
Lino.isip.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByClient.GridPanel(p);
});
Lino.isip.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByPolicy
Lino.isip.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id5650 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from5651 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5652 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5653 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/client" }) }) });
    var user5654 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user" }) }) });
    var type5655 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/type" }) }) });
    var signer15656 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer1" }) }) });
    var signer25657 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer2" }) }) });
    var printed_by5658 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5659 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5660 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5661 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5662 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5663 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_asd" }) }) });
    var ending5664 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/ending" }) }) });
    var study_type5665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/study_type" }) }) });
    var stages5666 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals5667 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd5668 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe5669 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw5670 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person5671 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe5672 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_dsbe" }) }) });
    var exam_policy5673 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      stages5666.refresh();
      goals5667.refresh();
      duties_asd5668.refresh();
      duties_dsbe5669.refresh();
      duties_pcsw5670.refresh();
      duties_person5671.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5650, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from5651, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended5652, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client5653, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5654, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type5655, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer15656, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer25657, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language5659, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until5660, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided5661, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued5662, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd5663, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "ending", "editable": true, "editor": ending5664, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type5665, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages5666, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals5667, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd5668, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe5669, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw5670, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person5671, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe5672, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5673, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.insertPanel(p);
});
Lino.isip.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.detailPanel(p);
});
Lino.isip.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByPolicy.GridPanel(p);
});
Lino.isip.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByType
Lino.isip.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5442 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5443 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/client" }) }) });
    var user5444 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user" }) }) });
    var id5445 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until5446 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer15447 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer1" }) }) });
    var signer25448 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer2" }) }) });
    var printed_by5449 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5450 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided5451 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5452 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5453 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_asd" }) }) });
    var exam_policy5454 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/exam_policy" }) }) });
    var ending5455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/ending" }) }) });
    var date_ended5456 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var study_type5457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/study_type" }) }) });
    var stages5458 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals5459 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd5460 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe5461 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw5462 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person5463 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe5464 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_dsbe" }) }) });
    var type5465 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      stages5458.refresh();
      goals5459.refresh();
      duties_asd5460.refresh();
      duties_dsbe5461.refresh();
      duties_pcsw5462.refresh();
      duties_person5463.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5442, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5443, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user5444, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id5445, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until5446, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer15447, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer25448, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "language", "editable": true, "editor": language5450, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "date_decided", "editable": true, "editor": date_decided5451, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "date_issued", "editable": true, "editor": date_issued5452, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "user_asd", "editable": true, "editor": user_asd5453, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5454, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "ending", "editable": true, "editor": ending5455, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_ended", "editable": true, "editor": date_ended5456, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type5457, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages5458, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals5459, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd5460, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe5461, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw5462, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person5463, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe5464, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "type", "editable": true, "editor": type5465, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.insertPanel(p);
});
Lino.isip.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.detailPanel(p);
});
Lino.isip.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByType.GridPanel(p);
});
Lino.isip.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByEnding
Lino.isip.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id5860 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from5861 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5862 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5863 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/client" }) }) });
    var user5864 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user" }) }) });
    var type5865 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/type" }) }) });
    var signer15866 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer1" }) }) });
    var signer25867 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer2" }) }) });
    var printed_by5868 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5869 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5870 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5871 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5872 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5873 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_asd" }) }) });
    var exam_policy5874 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/exam_policy" }) }) });
    var study_type5875 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/study_type" }) }) });
    var stages5876 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals5877 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd5878 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe5879 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw5880 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person5881 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe5882 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_dsbe" }) }) });
    var ending5883 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      stages5876.refresh();
      goals5877.refresh();
      duties_asd5878.refresh();
      duties_dsbe5879.refresh();
      duties_pcsw5880.refresh();
      duties_person5881.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5860, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from5861, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended5862, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client5863, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5864, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type5865, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer15866, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer25867, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language5869, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until5870, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided5871, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued5872, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd5873, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5874, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type5875, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages5876, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals5877, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd5878, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe5879, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw5880, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person5881, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe5882, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "ending", "editable": true, "editor": ending5883, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.insertPanel(p);
});
Lino.isip.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.detailPanel(p);
});
Lino.isip.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByEnding.GridPanel(p);
});
Lino.isip.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByStudyType
Lino.isip.ContractsByStudyType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByStudyType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    var ww = this.containing_window;
    var id5323 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from5324 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5325 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5326 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/client" }) }) });
    var user5327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user" }) }) });
    var type5328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/type" }) }) });
    var signer15329 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer1" }) }) });
    var signer25330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer2" }) }) });
    var printed_by5331 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5332 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5333 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5334 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5335 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5336 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_asd" }) }) });
    var exam_policy5337 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/exam_policy" }) }) });
    var ending5338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/ending" }) }) });
    var stages5339 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals5340 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd5341 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe5342 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw5343 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person5344 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe5345 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_dsbe" }) }) });
    var study_type5346 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/study_type" }) }) });
    this.before_row_edit = function(record) {
      stages5339.refresh();
      goals5340.refresh();
      duties_asd5341.refresh();
      duties_dsbe5342.refresh();
      duties_pcsw5343.refresh();
      duties_person5344.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5323, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from5324, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended5325, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client5326, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5327, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type5328, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.isip.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer15329, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer25330, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language5332, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until5333, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided5334, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued5335, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd5336, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5337, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending5338, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages5339, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals5340, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd5341, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe5342, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw5343, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person5344, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe5345, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_dsbe) ") }, "renderer": Lino.fk_renderer('user_dsbeHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "study_type", "editable": true, "editor": study_type5346, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.study_type) ") }, "renderer": Lino.fk_renderer('study_typeHidden','Lino.cv.StudyTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByStudyType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.insertPanel(p);
});
Lino.isip.ContractsByStudyType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.detailPanel(p);
});
Lino.isip.ContractsByStudyType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByStudyType.GridPanel(p);
});
Lino.isip.ContractsByStudyType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByClient
Lino.jobs.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "job" }, 'jobHidden', { "name": "company" }, 'companyHidden', { "name": "user" }, 'userHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from2127 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until2128 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended2129 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration2130 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/duration" }) }), "value": null });
    var type2131 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/type" }) }) });
    var job2132 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/job" }) }) });
    var company2133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/company" }) }) });
    var user2134 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/user" }) }) });
    var remark2135 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2136 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer12137 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/signer1" }) }) });
    var signer22138 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/signer2" }) }) });
    var contact_person2139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/contact_person" }) }) });
    var contact_role2140 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/contact_role" }) }) });
    var printed_by2141 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language2142 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided2143 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued2144 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd2145 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/user_asd" }) }) });
    var exam_policy2146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/exam_policy" }) }) });
    var ending2147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/ending" }) }) });
    var reference_person2148 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2149 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var regime2150 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/regime" }) }) });
    var schedule2151 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/schedule" }) }) });
    var hourly_rate2152 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate2153 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/refund_rate" }) }) });
    var client2154 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      contact_person2139.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2149.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2133 !== 'undefined' && company2133.on('change',Lino.chooser_handler(contact_person2139,'company'));
      Lino.jobs.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from2127, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until2128, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended2129, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration2130, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type2131, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job2132, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company2133, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user2134, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark2135, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2136, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer12137, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer22138, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person2139, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role2140, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language2142, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided2143, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued2144, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd2145, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy2146, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending2147, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person2148, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2149, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime2150, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule2151, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2152, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate2153, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "client", "editable": true, "editor": client2154, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByClient.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    Lino.jobs.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  return new Lino.jobs.ContractsByClient.insertPanel(p);
});
Lino.jobs.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByClient.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    Lino.jobs.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  return new Lino.jobs.ContractsByClient.detailPanel(p);
});
Lino.jobs.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByClient.GridPanel(p);
});
Lino.jobs.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByProvider
Lino.jobs.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client4536 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/client" }) }) });
    var job4537 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/job" }) }) });
    var applies_from4538 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until4539 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user4540 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/user" }) }) });
    var type4541 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/type" }) }) });
    var id4542 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer14543 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/signer1" }) }) });
    var signer24544 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/signer2" }) }) });
    var contact_person4545 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/contact_person" }) }) });
    var contact_role4546 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/contact_role" }) }) });
    var printed_by4547 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4548 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided4549 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4550 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4551 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/user_asd" }) }) });
    var exam_policy4552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/exam_policy" }) }) });
    var ending4553 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/ending" }) }) });
    var date_ended4554 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration4555 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/duration" }) }), "value": null });
    var reference_person4556 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities4557 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark4558 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime4559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/regime" }) }) });
    var schedule4560 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/schedule" }) }) });
    var hourly_rate4561 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate4562 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/refund_rate" }) }) });
    var company4563 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person4545.setContextValue('mk',bp['mk']);
      contact_person4545.setContextValue('mt',bp['mt']);
      responsibilities4557.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company4563 !== 'undefined' && company4563.on('change',Lino.chooser_handler(contact_person4545,'company'));
      Lino.jobs.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client4536, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job4537, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "applies_from", "editable": true, "editor": applies_from4538, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "applies_until", "editable": true, "editor": applies_until4539, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user4540, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type4541, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id4542, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer14543, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer24544, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person4545, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role4546, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language4548, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided4549, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued4550, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd4551, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4552, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending4553, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended4554, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration4555, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person4556, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities4557, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark4558, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime4559, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule4560, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate4561, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate4562, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "company", "editable": true, "editor": company4563, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByProvider.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    Lino.jobs.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  return new Lino.jobs.ContractsByProvider.insertPanel(p);
});
Lino.jobs.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByProvider.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    Lino.jobs.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  return new Lino.jobs.ContractsByProvider.detailPanel(p);
});
Lino.jobs.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByProvider.GridPanel(p);
});
Lino.jobs.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByPolicy
Lino.jobs.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id5676 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client5677 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/client" }) }) });
    var client__national_id5678 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from5679 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5680 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job5681 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/job" }) }) });
    var user5682 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/user" }) }) });
    var type5683 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/type" }) }) });
    var signer15684 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/signer1" }) }) });
    var signer25685 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/signer2" }) }) });
    var company5686 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/company" }) }) });
    var contact_person5687 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/contact_person" }) }) });
    var contact_role5688 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/contact_role" }) }) });
    var printed_by5689 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5690 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5691 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5692 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5693 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/user_asd" }) }) });
    var ending5695 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/ending" }) }) });
    var duration5696 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/duration" }) }), "value": null });
    var reference_person5697 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5698 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5699 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime5700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/regime" }) }) });
    var schedule5701 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/schedule" }) }) });
    var hourly_rate5702 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5703 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/refund_rate" }) }) });
    var exam_policy5704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person5687.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5698.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5686 !== 'undefined' && company5686.on('change',Lino.chooser_handler(contact_person5687,'company'));
      Lino.jobs.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5676, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5677, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id5678, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from5679, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended5680, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job5681, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user5682, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type5683, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer15684, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer25685, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company5686, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person5687, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role5688, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language5690, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until5691, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided5692, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued5693, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd5694, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending5695, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration5696, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person5697, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5698, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark5699, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime5700, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule5701, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5702, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5703, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5704, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByPolicy.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    Lino.jobs.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  return new Lino.jobs.ContractsByPolicy.insertPanel(p);
});
Lino.jobs.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByPolicy.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    Lino.jobs.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  return new Lino.jobs.ContractsByPolicy.detailPanel(p);
});
Lino.jobs.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByPolicy.GridPanel(p);
});
Lino.jobs.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByType
Lino.jobs.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5240 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5241 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/client" }) }) });
    var job5242 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/job" }) }) });
    var user5243 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/user" }) }) });
    var id5244 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15245 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/signer1" }) }) });
    var signer25246 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/signer2" }) }) });
    var company5247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/company" }) }) });
    var contact_person5248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/contact_person" }) }) });
    var contact_role5249 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/contact_role" }) }) });
    var printed_by5250 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5251 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5252 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5253 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5254 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5255 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/user_asd" }) }) });
    var exam_policy5256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/exam_policy" }) }) });
    var ending5257 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/ending" }) }) });
    var date_ended5258 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5259 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/duration" }) }), "value": null });
    var reference_person5260 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5261 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5262 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime5263 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/regime" }) }) });
    var schedule5264 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/schedule" }) }) });
    var hourly_rate5265 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5266 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/refund_rate" }) }) });
    var type5267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person5248.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5261.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5247 !== 'undefined' && company5247.on('change',Lino.chooser_handler(contact_person5248,'company'));
      Lino.jobs.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5240, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5241, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job5242, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user5243, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5244, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer15245, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer25246, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company5247, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person5248, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role5249, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language5251, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "applies_until", "editable": true, "editor": applies_until5252, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided5253, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued5254, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd5255, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5256, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending5257, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended5258, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration5259, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person5260, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5261, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark5262, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime5263, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule5264, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5265, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5266, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "type", "editable": true, "editor": type5267, "filter": { "type": "string" }, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByType.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    Lino.jobs.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  return new Lino.jobs.ContractsByType.insertPanel(p);
});
Lino.jobs.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByType.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    Lino.jobs.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  return new Lino.jobs.ContractsByType.detailPanel(p);
});
Lino.jobs.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByType.GridPanel(p);
});
Lino.jobs.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByEnding
Lino.jobs.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id5886 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client5887 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/client" }) }) });
    var client__national_id5888 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from5889 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5890 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job5891 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/job" }) }) });
    var user5892 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/user" }) }) });
    var type5893 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/type" }) }) });
    var signer15894 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/signer1" }) }) });
    var signer25895 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/signer2" }) }) });
    var company5896 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/company" }) }) });
    var contact_person5897 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/contact_person" }) }) });
    var contact_role5898 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/contact_role" }) }) });
    var printed_by5899 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5900 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until5901 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5902 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5903 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5904 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/user_asd" }) }) });
    var exam_policy5905 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/exam_policy" }) }) });
    var duration5906 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/duration" }) }), "value": null });
    var reference_person5907 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5908 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5909 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime5910 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/regime" }) }) });
    var schedule5911 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/schedule" }) }) });
    var hourly_rate5912 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5913 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/refund_rate" }) }) });
    var ending5914 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person5897.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5908.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5896 !== 'undefined' && company5896.on('change',Lino.chooser_handler(contact_person5897,'company'));
      Lino.jobs.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5886, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5887, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id5888, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from5889, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended5890, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job5891, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user5892, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type5893, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer15894, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer25895, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company5896, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person5897, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role5898, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language5900, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until5901, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided5902, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued5903, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd5904, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5905, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration5906, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person5907, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5908, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark5909, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime5910, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule5911, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5912, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5913, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "ending", "editable": true, "editor": ending5914, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByEnding.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    Lino.jobs.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  return new Lino.jobs.ContractsByEnding.insertPanel(p);
});
Lino.jobs.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByEnding.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    Lino.jobs.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  return new Lino.jobs.ContractsByEnding.detailPanel(p);
});
Lino.jobs.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByEnding.GridPanel(p);
});
Lino.jobs.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByJob
Lino.jobs.ContractsByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByJob",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    var ww = this.containing_window;
    var client4488 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/client" }) }) });
    var applies_from4489 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until4490 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user4491 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/user" }) }) });
    var type4492 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/type" }) }) });
    var id4493 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer14494 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/signer1" }) }) });
    var signer24495 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/signer2" }) }) });
    var company4496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/company" }) }) });
    var contact_person4497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/contact_person" }) }) });
    var contact_role4498 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/contact_role" }) }) });
    var printed_by4499 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4500 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided4501 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4502 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/user_asd" }) }) });
    var exam_policy4504 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/exam_policy" }) }) });
    var ending4505 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/ending" }) }) });
    var date_ended4506 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration4507 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/duration" }) }), "value": null });
    var reference_person4508 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities4509 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark4510 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime4511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/regime" }) }) });
    var schedule4512 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/schedule" }) }) });
    var hourly_rate4513 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate4514 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/refund_rate" }) }) });
    var job4515 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/job" }) }) });
    this.before_row_edit = function(record) {
      contact_person4497.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities4509.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company4496 !== 'undefined' && company4496.on('change',Lino.chooser_handler(contact_person4497,'company'));
      Lino.jobs.ContractsByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client4488, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from4489, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until4490, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user4491, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type4492, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id4493, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer14494, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer24495, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company4496, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person4497, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role4498, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language4500, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided4501, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued4502, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd4503, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4504, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending4505, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended4506, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration4507, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person4508, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities4509, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark4510, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime4511, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule4512, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate4513, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate4514, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "job", "editable": true, "editor": job4515, "filter": { "type": "string" }, "header": "Stelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByJob.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByJob",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    Lino.jobs.ContractsByJob.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  return new Lino.jobs.ContractsByJob.insertPanel(p);
});
Lino.jobs.ContractsByJob.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByJob.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByJob",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    Lino.jobs.ContractsByJob.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  return new Lino.jobs.ContractsByJob.detailPanel(p);
});
Lino.jobs.ContractsByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByJob.GridPanel(p);
});
Lino.jobs.ContractsByJob.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByRegime
Lino.jobs.ContractsByRegime.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByRegime",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "client" }, 'clientHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "regime" }, 'regimeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    var ww = this.containing_window;
    var job5503 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/job" }) }) });
    var applies_from5504 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until5505 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user5506 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/user" }) }) });
    var type5507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/type" }) }) });
    var id5508 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15509 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/signer1" }) }) });
    var signer25510 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/signer2" }) }) });
    var company5511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/company" }) }) });
    var contact_person5512 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/contact_person" }) }) });
    var contact_role5513 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/contact_role" }) }) });
    var printed_by5514 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var client5515 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/client" }) }) });
    var language5516 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided5517 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5518 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/user_asd" }) }) });
    var exam_policy5520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/exam_policy" }) }) });
    var ending5521 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/ending" }) }) });
    var date_ended5522 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5523 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/duration" }) }), "value": null });
    var reference_person5524 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5525 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark5526 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var schedule5527 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/schedule" }) }) });
    var hourly_rate5528 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate5529 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/refund_rate" }) }) });
    var regime5530 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/regime" }) }) });
    this.before_row_edit = function(record) {
      contact_person5512.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5525.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5511 !== 'undefined' && company5511.on('change',Lino.chooser_handler(contact_person5512,'company'));
      Lino.jobs.ContractsByRegime.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job5503, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from5504, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until5505, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user5506, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type5507, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5508, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer15509, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer25510, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company5511, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person5512, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role5513, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "client", "editable": true, "editor": client5515, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language5516, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided5517, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued5518, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd5519, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5520, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending5521, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended5522, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration5523, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person5524, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5525, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark5526, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule5527, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5528, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate5529, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime5530, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByRegime.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByRegime.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByRegime",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    Lino.jobs.ContractsByRegime.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  return new Lino.jobs.ContractsByRegime.insertPanel(p);
});
Lino.jobs.ContractsByRegime.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByRegime.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByRegime",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    Lino.jobs.ContractsByRegime.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  return new Lino.jobs.ContractsByRegime.detailPanel(p);
});
Lino.jobs.ContractsByRegime.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByRegime.GridPanel(p);
});
Lino.jobs.ContractsByRegime.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsBySchedule
Lino.jobs.ContractsBySchedule.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsBySchedule",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "client" }, 'clientHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "schedule" }, 'scheduleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    var ww = this.containing_window;
    var job6493 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/job" }) }) });
    var applies_from6494 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6495 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user6496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/user" }) }) });
    var type6497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/type" }) }) });
    var id6498 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16499 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/signer1" }) }) });
    var signer26500 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/signer2" }) }) });
    var company6501 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/company" }) }) });
    var contact_person6502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/contact_person" }) }) });
    var contact_role6503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/contact_role" }) }) });
    var printed_by6504 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var client6505 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/client" }) }) });
    var language6506 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided6507 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6508 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6509 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/user_asd" }) }) });
    var exam_policy6510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/exam_policy" }) }) });
    var ending6511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/ending" }) }) });
    var date_ended6512 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration6513 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/duration" }) }), "value": null });
    var reference_person6514 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6515 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6516 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime6517 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/regime" }) }) });
    var hourly_rate6518 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate6519 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/refund_rate" }) }) });
    var schedule6520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/schedule" }) }) });
    this.before_row_edit = function(record) {
      contact_person6502.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6515.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6501 !== 'undefined' && company6501.on('change',Lino.chooser_handler(contact_person6502,'company'));
      Lino.jobs.ContractsBySchedule.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job6493, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6494, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until6495, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6496, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6497, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6498, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16499, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26500, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6501, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6502, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6503, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "client", "editable": true, "editor": client6505, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language6506, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided6507, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued6508, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd6509, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6510, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending6511, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended6512, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration6513, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person6514, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6515, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark6516, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime6517, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate6518, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate6519, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "schedule", "editable": true, "editor": schedule6520, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.schedule) ") }, "renderer": Lino.fk_renderer('scheduleHidden','Lino.jobs.Schedules.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsBySchedule.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsBySchedule.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsBySchedule",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    Lino.jobs.ContractsBySchedule.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  return new Lino.jobs.ContractsBySchedule.insertPanel(p);
});
Lino.jobs.ContractsBySchedule.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsBySchedule.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsBySchedule",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    Lino.jobs.ContractsBySchedule.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  return new Lino.jobs.ContractsBySchedule.detailPanel(p);
});
Lino.jobs.ContractsBySchedule.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsBySchedule.GridPanel(p);
});
Lino.jobs.ContractsBySchedule.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidaturesByPerson
Lino.jobs.CandidaturesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted2115 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job2116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/job" }) }) });
    var sector2117 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/sector" }) }) });
    var function2118 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/function" }) }) });
    var art602119 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var art612120 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var remark2121 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var state2122 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var id2123 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person2124 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function2118.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector2117 !== 'undefined' && sector2117.on('change',Lino.chooser_handler(function2118,'sector'));
      Lino.jobs.CandidaturesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted2115, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job2116, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector2117, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function2118, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark2121, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state2122, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2123, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "person", "editable": true, "editor": person2124, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByPerson" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByPerson.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesBySector
Lino.jobs.CandidaturesBySector.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesBySector",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "function" }, 'functionHidden', { "name": "person" }, 'personHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "sector" }, 'sectorHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesBySector','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesBySector','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesBySector','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesBySector','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesBySector','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted5214 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job5215 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesBySector/job" }) }) });
    var function5216 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesBySector/function" }) }) });
    var person5217 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesBySector/person" }) }) });
    var state5218 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var remark5219 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var art605220 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var art615221 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var id5222 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var sector5223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesBySector/sector" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      function5216.setContextValue('mk',bp['mk']);
      function5216.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof sector5223 !== 'undefined' && sector5223.on('change',Lino.chooser_handler(function5216,'sector'));
      Lino.jobs.CandidaturesBySector.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted5214, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job5215, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "function", "editable": true, "editor": function5216, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person5217, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "state", "editable": true, "editor": state5218, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark5219, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id5222, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "sector", "editable": true, "editor": sector5223, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesBySector.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesBySector.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesBySector.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesBySector", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesBySector.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesBySector", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesBySector.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesBySector", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesBySector.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesBySector", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesBySector.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesBySector", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesBySector.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesBySector" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesBySector.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesByFunction
Lino.jobs.CandidaturesByFunction.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByFunction",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "function" }, 'functionHidden', { "name": "person" }, 'personHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "remark" }, { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByFunction','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByFunction','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByFunction','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByFunction','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByFunction','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted5140 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job5141 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByFunction/job" }) }) });
    var function5142 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByFunction/function" }) }) });
    var person5143 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByFunction/person" }) }) });
    var state5144 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var sector5145 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByFunction/sector" }) }) });
    var remark5146 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var art605147 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var art615148 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var id5149 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function5142.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5145 !== 'undefined' && sector5145.on('change',Lino.chooser_handler(function5142,'sector'));
      Lino.jobs.CandidaturesByFunction.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted5140, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job5141, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "function", "editable": true, "editor": function5142, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person5143, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "state", "editable": true, "editor": state5144, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "colIndex": 5, "dataIndex": "sector", "editable": true, "editor": sector5145, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark5146, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id5149, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByFunction.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.CandidaturesByFunction.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByFunction.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByFunction", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByFunction.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByFunction", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByFunction.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByFunction", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByFunction.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByFunction", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByFunction.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByFunction", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByFunction.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByFunction" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByFunction.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesByJob
Lino.jobs.CandidaturesByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByJob",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remark" }, { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByJob','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByJob','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByJob','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByJob','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByJob','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted4474 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person4475 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/person" }) }) });
    var state4476 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var sector4477 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/sector" }) }) });
    var function4478 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/function" }) }) });
    var remark4479 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var art604480 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var art614481 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var id4482 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var job4483 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/job" }) }) });
    this.before_row_edit = function(record) {
      function4478.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector4477 !== 'undefined' && sector4477.on('change',Lino.chooser_handler(function4478,'sector'));
      Lino.jobs.CandidaturesByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted4474, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person4475, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state4476, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "colIndex": 3, "dataIndex": "sector", "editable": true, "editor": sector4477, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "function", "editable": true, "editor": function4478, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark4479, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4482, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "job", "editable": true, "editor": job4483, "filter": { "type": "string" }, "header": "Stelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByJob" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByJob.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesByOffer
Lino.jobs.CandidaturesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "job" }, 'jobHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 102,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidaten",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted6396 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person6397 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }) });
    var job6398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }) });
    var state6399 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted6396, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person6397, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job6398, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "state", "editable": true, "editor": state6399, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) } ];
    Lino.jobs.CandidaturesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByOffer" };
  p.params_panel = new Lino.jobs.CandidaturesByOffer.ParamsPanel({});
  return new Lino.jobs.CandidaturesByOffer.GridPanel(p);
});

// js_render_GridPanel_class jobs.ExperiencesByOffer
Lino.jobs.ExperiencesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ExperiencesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "company" }, { "name": "country" }, 'countryHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erfahrungen",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date6389 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6390 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var person6391 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/person" }) }) });
    var company6392 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country6393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/country" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date6389, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date6390, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person6391, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company6392, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "country", "editable": true, "editor": country6393, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ExperiencesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ExperiencesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ExperiencesByOffer" };
  p.params_panel = new Lino.jobs.ExperiencesByOffer.ParamsPanel({});
  return new Lino.jobs.ExperiencesByOffer.GridPanel(p);
});

// js_render_GridPanel_class jobs.JobsByProvider
Lino.jobs.JobsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsByProvider",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "type" }, 'typeHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    var ww = this.containing_window;
    var name4442 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider4443 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/provider" }) }) });
    var sector4444 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/sector" }) }) });
    var function4445 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/function" }) }) });
    var type4446 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/type" }) }) });
    var contract_type4447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/contract_type" }) }) });
    var hourly_rate4448 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity4449 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark4450 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id4451 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function4445.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector4444 !== 'undefined' && sector4444.on('change',Lino.chooser_handler(function4445,'sector'));
      Lino.jobs.JobsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name4442, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider4443, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector4444, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function4445, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type4446, "filter": { "type": "string" }, "header": "Stellenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.JobTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contract_type", "editable": true, "editor": contract_type4447, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.contract_type) ") }, "renderer": Lino.fk_renderer('contract_typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate4448, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "capacity", "editable": true, "editor": capacity4449, "filter": { "type": "numeric" }, "format": "0", "header": "Kapazit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark4450, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id4451, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.JobsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByProvider.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    Lino.jobs.JobsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.insertPanel(p);
});
Lino.jobs.JobsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByProvider.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    Lino.jobs.JobsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.detailPanel(p);
});
Lino.jobs.JobsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.GridPanel(p);
});
Lino.jobs.JobsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsByType
Lino.jobs.JobsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellen",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    var ww = this.containing_window;
    var name5099 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider5100 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/provider" }) }) });
    var sector5101 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/sector" }) }) });
    var function5102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/function" }) }) });
    var contract_type5103 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/contract_type" }) }) });
    var hourly_rate5104 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity5105 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark5106 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id5107 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type5108 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stellenart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/type" }) }) });
    this.before_row_edit = function(record) {
      function5102.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector5101 !== 'undefined' && sector5101.on('change',Lino.chooser_handler(function5102,'sector'));
      Lino.jobs.JobsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name5099, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider5100, "filter": { "type": "string" }, "header": "Stellenanbieter", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector5101, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.sector) Pointer to the Sector.") }, "renderer": Lino.fk_renderer('sectorHidden','Lino.cv.Sectors.detail'), "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function5102, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.function) Pointer to the Function.") }, "renderer": Lino.fk_renderer('functionHidden','Lino.cv.Functions.detail'), "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "contract_type", "editable": true, "editor": contract_type5103, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.contract_type) ") }, "renderer": Lino.fk_renderer('contract_typeHidden','Lino.jobs.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate5104, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "capacity", "editable": true, "editor": capacity5105, "filter": { "type": "numeric" }, "format": "0", "header": "Kapazit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark5106, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id5107, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type5108, "filter": { "type": "string" }, "header": "Stellenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.jobs.JobTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.JobsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByType.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    Lino.jobs.JobsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.insertPanel(p);
});
Lino.jobs.JobsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByType.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Stelle) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    Lino.jobs.JobsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.detailPanel(p);
});
Lino.jobs.JobsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.GridPanel(p);
});
Lino.jobs.JobsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsOverviewByType
Lino.jobs.JobsOverviewByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsOverviewByType",
  ls_store_fields : [ { "name": "job_desc" }, { "name": "working" }, { "name": "probation" }, { "name": "candidates" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00dcbersicht Art.60\u00a77-Konventionen",
  disabled_fields_index : 5,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverviewByType.detail;
    var ww = this.containing_window;
    var job_desc_disp8366 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var working_disp8367 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var probation_disp8368 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var candidates_disp8369 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job_desc", "editable": false, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.job_desc) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.job_desc) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "working", "editable": false, "header": "Arbeitet", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.working) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.working) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "probation", "editable": false, "header": "Probezeit", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.probation) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.probation) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "candidates", "editable": false, "header": "Kandidaten", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.candidates) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.candidates) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.JobsOverviewByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverviewByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsOverviewByType.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/jobs/JobsOverviewByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverviewByType.detail;
    Lino.jobs.JobsOverviewByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverviewByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverviewByType" };
  return new Lino.jobs.JobsOverviewByType.detailPanel(p);
});
Lino.jobs.JobsOverviewByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverviewByType" };
  p.params_panel = new Lino.jobs.JobsOverviewByType.ParamsPanel({});
  return new Lino.jobs.JobsOverviewByType.GridPanel(p);
});

// js_render_GridPanel_class ledger.MatchRulesByAccount
Lino.ledger.MatchRulesByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MatchRulesByAccount",
  ls_store_fields : [ { "name": "journal" }, 'journalHidden', { "name": "id", "type": "int" }, { "name": "account" }, 'accountHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 66,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByAccount','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByAccount','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByAccount','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleichungsregeln",
  initComponent : function() {
    var ww = this.containing_window;
    var journal14948 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Journal ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MatchRulesByAccount/journal" }) }) });
    var id14949 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var account14950 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MatchRulesByAccount/account" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "journal", "editable": true, "editor": journal14948, "filter": { "type": "string" }, "header": "Journal", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRulesByAccount.journal) ") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id14949, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRulesByAccount.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "account", "editable": true, "editor": account14950, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRulesByAccount.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.ledger.MatchRulesByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MatchRulesByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByAccount.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByAccount", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MatchRulesByAccount" };
  return new Lino.ledger.MatchRulesByAccount.GridPanel(p);
});

// js_render_GridPanel_class ledger.MatchRulesByJournal
Lino.ledger.MatchRulesByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MatchRulesByJournal",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "id", "type": "int" }, { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 66,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MatchRulesByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleichungsregeln",
  initComponent : function() {
    var ww = this.containing_window;
    var account6234 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MatchRulesByJournal/account" }) }) });
    var id6235 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var journal6236 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MatchRulesByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account6234, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRulesByJournal.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id6235, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRulesByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "journal", "editable": true, "editor": journal6236, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MatchRulesByJournal.journal) ") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.ledger.MatchRulesByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MatchRulesByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MatchRulesByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MatchRulesByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MatchRulesByJournal" };
  return new Lino.ledger.MatchRulesByJournal.GridPanel(p);
});

// js_render_GridPanel_class ledger.MovementsByVoucher
Lino.ledger.MovementsByVoucher.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MovementsByVoucher",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "project" }, 'projectHidden', { "name": "partner" }, 'partnerHidden', { "name": "debit" }, { "name": "credit" }, { "name": "match_link" }, { "name": "cleared", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "amount" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByVoucher','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByVoucher','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByVoucher','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByVoucher','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByVoucher','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  disabled_fields_index : 17,
  initComponent : function() {
    var ww = this.containing_window;
    var account14952 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByVoucher/account" }) }) });
    var project14953 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByVoucher/project" }) }) });
    var partner14954 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByVoucher/partner" }) }) });
    var debit14955 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit14956 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var match_link_disp14957 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var cleared14958 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id14959 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno14960 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var amount14961 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var match14962 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByVoucher/match" }) }) });
    var value_date14963 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var voucher14964 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByVoucher/voucher" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof partner14954 !== 'undefined' && partner14954.on('change',Lino.chooser_handler(match14962,'partner'));
      typeof account14952 !== 'undefined' && account14952.on('change',Lino.chooser_handler(match14962,'account'));
      Lino.ledger.MovementsByVoucher.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account14952, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project14953, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner14954, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "match_link", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.match_link) A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.") }, "sortable": true, "tooltip": "A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14959, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "seqno", "editable": true, "editor": seqno14960, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "amount", "editable": true, "editor": amount14961, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "match", "editable": true, "editor": match14962, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "value_date", "editable": true, "editor": value_date14963, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "voucher", "editable": true, "editor": voucher14964, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByVoucher.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) } ];
    Lino.ledger.MovementsByVoucher.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MovementsByVoucher.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByVoucher", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByVoucher.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByVoucher", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByVoucher.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByVoucher", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByVoucher.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByVoucher", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByVoucher.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MovementsByVoucher" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.MovementsByVoucher.GridPanel(p);
});

// js_render_GridPanel_class ledger.MovementsByPartner
Lino.ledger.MovementsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MovementsByPartner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher_link" }, { "name": "description" }, { "name": "debit" }, { "name": "credit" }, { "name": "match" }, { "name": "cleared", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "voucher" }, 'voucherHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  initComponent : function() {
    var ww = this.containing_window;
    var value_date14966 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher_link_disp14967 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description_disp14968 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var debit14969 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit14970 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var match14971 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByPartner/match" }) }) });
    var cleared14972 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id14973 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project14974 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByPartner/project" }) }) });
    var voucher14975 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByPartner/voucher" }) }) });
    var seqno14976 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var account14977 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByPartner/account" }) }) });
    var amount14978 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var partner14979 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      match14971.setContextValue('mk',bp['mk']);
      match14971.setContextValue('mt',bp['mt']);
      match14971.setContextValue('account', record ? record.data['accountHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof partner14979 !== 'undefined' && partner14979.on('change',Lino.chooser_handler(match14971,'partner'));
      typeof account14977 !== 'undefined' && account14977.on('change',Lino.chooser_handler(match14971,'account'));
      Lino.ledger.MovementsByPartner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value_date", "editable": true, "editor": value_date14966, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher_link", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.voucher_link) A virtual field which shows a link to the voucher.") }, "sortable": true, "tooltip": "A virtual field which shows a link to the voucher.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.description) ") }, "sortable": false, "tooltip": "(ledger.MovementsByPartner.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "match", "editable": true, "editor": match14971, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14973, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project14974, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher14975, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno14976, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "account", "editable": true, "editor": account14977, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 12, "dataIndex": "amount", "editable": true, "editor": amount14978, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "partner", "editable": true, "editor": partner14979, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByPartner.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) } ];
    Lino.ledger.MovementsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MovementsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MovementsByPartner" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.MovementsByPartner.GridPanel(p);
});

// js_render_GridPanel_class ledger.MovementsByProject
Lino.ledger.MovementsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MovementsByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher_link" }, { "name": "description" }, { "name": "debit" }, { "name": "credit" }, { "name": "match_link" }, { "name": "cleared", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "voucher" }, 'voucherHidden', { "name": "partner" }, 'partnerHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "match" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  disabled_fields_index : 19,
  initComponent : function() {
    var ww = this.containing_window;
    var value_date14981 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher_link_disp14982 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description_disp14983 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var debit14984 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit14985 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var match_link_disp14986 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var cleared14987 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id14988 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var voucher14989 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByProject/voucher" }) }) });
    var partner14990 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByProject/partner" }) }) });
    var seqno14991 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var account14992 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByProject/account" }) }) });
    var amount14993 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var match14994 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByProject/match" }) }) });
    var project14995 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByProject/project" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof partner14990 !== 'undefined' && partner14990.on('change',Lino.chooser_handler(match14994,'partner'));
      typeof account14992 !== 'undefined' && account14992.on('change',Lino.chooser_handler(match14994,'account'));
      Lino.ledger.MovementsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value_date", "editable": true, "editor": value_date14981, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher_link", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.voucher_link) A virtual field which shows a link to the voucher.") }, "sortable": true, "tooltip": "A virtual field which shows a link to the voucher.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.description) ") }, "sortable": false, "tooltip": "(ledger.MovementsByProject.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "match_link", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.match_link) A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.") }, "sortable": true, "tooltip": "A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id14988, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "voucher", "editable": true, "editor": voucher14989, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "partner", "editable": true, "editor": partner14990, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno14991, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "account", "editable": true, "editor": account14992, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 12, "dataIndex": "amount", "editable": true, "editor": amount14993, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "match", "editable": true, "editor": match14994, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) }, { "colIndex": 14, "dataIndex": "project", "editable": true, "editor": project14995, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByProject.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) } ];
    Lino.ledger.MovementsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MovementsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MovementsByProject" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.MovementsByProject.GridPanel(p);
});

// js_render_GridPanel_class ledger.MovementsByAccount
Lino.ledger.MovementsByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MovementsByAccount",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher_link" }, { "name": "description" }, { "name": "debit" }, { "name": "credit" }, { "name": "match_link" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "voucher" }, 'voucherHidden', { "name": "partner" }, 'partnerHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "amount" }, { "name": "match" }, { "name": "cleared", "type": "boolean" }, { "name": "account" }, 'accountHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByAccount','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByAccount','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByAccount','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  disabled_fields_index : 19,
  initComponent : function() {
    var ww = this.containing_window;
    var value_date14997 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher_link_disp14998 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description_disp14999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var debit15000 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit15001 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var match_link_disp15002 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id15003 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project15004 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByAccount/project" }) }) });
    var voucher15005 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByAccount/voucher" }) }) });
    var partner15006 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByAccount/partner" }) }) });
    var seqno15007 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var amount15008 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var match15009 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByAccount/match" }) }) });
    var cleared15010 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var account15011 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByAccount/account" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof partner15006 !== 'undefined' && partner15006.on('change',Lino.chooser_handler(match15009,'partner'));
      typeof account15011 !== 'undefined' && account15011.on('change',Lino.chooser_handler(match15009,'account'));
      Lino.ledger.MovementsByAccount.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value_date", "editable": true, "editor": value_date14997, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher_link", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.voucher_link) A virtual field which shows a link to the voucher.") }, "sortable": true, "tooltip": "A virtual field which shows a link to the voucher.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.description) ") }, "sortable": false, "tooltip": "(ledger.MovementsByAccount.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "match_link", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.match_link) A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.") }, "sortable": true, "tooltip": "A virtual field which shows a clickable variant of the match\nstring. Clicking it will open a table with all movements\nhaving that match.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id15003, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project15004, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "voucher", "editable": true, "editor": voucher15005, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "partner", "editable": true, "editor": partner15006, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno15007, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "amount", "editable": true, "editor": amount15008, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "match", "editable": true, "editor": match15009, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "account", "editable": true, "editor": account15011, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByAccount.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) } ];
    Lino.ledger.MovementsByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MovementsByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MovementsByAccount" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.MovementsByAccount.GridPanel(p);
});

// js_render_GridPanel_class ledger.MovementsByMatch
Lino.ledger.MovementsByMatch.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/MovementsByMatch",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "voucher_link" }, { "name": "description" }, { "name": "debit" }, { "name": "credit" }, { "name": "cleared", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "voucher" }, 'voucherHidden', { "name": "partner" }, 'partnerHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "match" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByMatch','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByMatch','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByMatch','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByMatch','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/MovementsByMatch','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bewegungen",
  disabled_fields_index : 18,
  initComponent : function() {
    var ww = this.containing_window;
    var value_date15013 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher_link_disp15014 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description_disp15015 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var debit15016 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var credit15017 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var cleared15018 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id15019 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project15020 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByMatch/project" }) }) });
    var voucher15021 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Beleg ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.AllVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByMatch/voucher" }) }) });
    var partner15022 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByMatch/partner" }) }) });
    var seqno15023 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var account15024 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByMatch/account" }) }) });
    var amount15025 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var match15026 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/MovementsByMatch/match" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof partner15022 !== 'undefined' && partner15022.on('change',Lino.chooser_handler(match15026,'partner'));
      typeof account15024 !== 'undefined' && account15024.on('change',Lino.chooser_handler(match15026,'account'));
      Lino.ledger.MovementsByMatch.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value_date", "editable": true, "editor": value_date15013, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.value_date) The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.") }, "sortable": true, "tooltip": "The date at which this movement is to be entered into the\nledger.  This is usually the voucher's entry_date, except\ne.g. for bank statements where each item can have its own\nvalue date.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher_link", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.voucher_link) A virtual field which shows a link to the voucher.") }, "sortable": true, "tooltip": "A virtual field which shows a link to the voucher.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.description) ") }, "sortable": false, "tooltip": "(ledger.MovementsByMatch.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "debit", "editable": false, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.debit) Virtual field showing amount if dc is DEBIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is DEBIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "credit", "editable": false, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.credit) Virtual field showing amount if dc is CREDIT.") }, "sortable": true, "tooltip": "Virtual field showing amount if dc is CREDIT.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "cleared", "editable": true, "filter": { "type": "boolean" }, "header": "Beglichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.cleared) Whether") }, "sortable": false, "tooltip": "Whether", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id15019, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project15020, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "voucher", "editable": true, "editor": voucher15021, "filter": { "type": "string" }, "header": "Beleg", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.voucher) Pointer to the ledger voucher that caused this movement.") }, "sortable": false, "tooltip": "Pointer to the ledger voucher that caused this movement.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "partner", "editable": true, "editor": partner15022, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.partner) Pointer to the partner involved in this movement.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the partner involved in this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno15023, "filter": { "type": "numeric" }, "format": "0", "header": "Seq.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.seqno) Sequential number within a voucher.") }, "sortable": true, "tooltip": "Sequential number within a voucher.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "account", "editable": true, "editor": account15024, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.account) Pointer to the Account that is being moved by this movement.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "Pointer to the Account that is being moved by this movement.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 12, "dataIndex": "amount", "editable": true, "editor": amount15025, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "match", "editable": true, "editor": match15026, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.MovementsByMatch.match) Pointer to the Movement that is being cleared by this\nmovement.") }, "sortable": false, "tooltip": "Pointer to the Movement that is being cleared by this\nmovement.", "width": Lino.chars2width(11) } ];
    Lino.ledger.MovementsByMatch.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.MovementsByMatch.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByMatch", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByMatch.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByMatch", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByMatch.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByMatch", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByMatch.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/MovementsByMatch", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.MovementsByMatch.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/MovementsByMatch" };
  p.params_panel = new Lino.ledger.Movements.ParamsPanel({});
  return new Lino.ledger.MovementsByMatch.GridPanel(p);
});

// js_render_GridPanel_class vatless.ItemsByInvoice
Lino.vatless.ItemsByInvoice.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/ItemsByInvoice",
  ls_store_fields : [ { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "title" }, { "name": "move_buttons" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 78,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByInvoice','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByInvoice','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByInvoice','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByInvoice','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByInvoice','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inhalt",
  initComponent : function() {
    var ww = this.containing_window;
    var project4275 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ItemsByInvoice/project" }) }) });
    var account4276 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ItemsByInvoice/account" }) }) });
    var amount4277 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var title4278 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp4279 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4280 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno4281 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var voucher4282 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Rechnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "vatless.Invoices", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ItemsByInvoice/voucher" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      account4276.setContextValue('mk',bp['mk']);
      account4276.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof voucher4282 !== 'undefined' && voucher4282.on('change',Lino.chooser_handler(account4276,'voucher'));
      Lino.vatless.ItemsByInvoice.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "project", "editable": true, "editor": project4275, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "account", "editable": true, "editor": account4276, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.account) ForeignKey pointing to the account (ledger.Account) that is to be moved.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "ForeignKey pointing to the account (ledger.Account) that is to be moved.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount4277, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "title", "editable": true, "editor": title4278, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.title) The title of this voucher.") }, "sortable": true, "tooltip": "The title of this voucher.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id4280, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "seqno", "editable": true, "editor": seqno4281, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "voucher", "editable": true, "editor": voucher4282, "filter": { "type": "string" }, "header": "Rechnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByInvoice.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.vatless.Invoices.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.vatless.ItemsByInvoice.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.ItemsByInvoice.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/ItemsByInvoice" };
  return new Lino.vatless.ItemsByInvoice.GridPanel(p);
});
Lino.vatless.ItemsByInvoice.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByInvoice.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByInvoice", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class vatless.ItemsByProjectInvoice
Lino.vatless.ItemsByProjectInvoice.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/ItemsByProjectInvoice",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "amount" }, { "name": "title" }, { "name": "move_buttons" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 78,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByProjectInvoice','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByProjectInvoice','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByProjectInvoice','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByProjectInvoice','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/ItemsByProjectInvoice','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inhalt",
  initComponent : function() {
    var ww = this.containing_window;
    var account4330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ItemsByProjectInvoice/account" }) }) });
    var amount4331 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var title4332 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp4333 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4334 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno4335 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project4336 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ItemsByProjectInvoice/project" }) }) });
    var voucher4337 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Rechnung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "vatless.Invoices", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ItemsByProjectInvoice/voucher" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      account4330.setContextValue('mk',bp['mk']);
      account4330.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof voucher4337 !== 'undefined' && voucher4337.on('change',Lino.chooser_handler(account4330,'voucher'));
      Lino.vatless.ItemsByProjectInvoice.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account4330, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.account) ForeignKey pointing to the account (ledger.Account) that is to be moved.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "ForeignKey pointing to the account (ledger.Account) that is to be moved.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": true, "editor": amount4331, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "title", "editable": true, "editor": title4332, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.title) The title of this voucher.") }, "sortable": true, "tooltip": "The title of this voucher.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4334, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "seqno", "editable": true, "editor": seqno4335, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project4336, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "voucher", "editable": true, "editor": voucher4337, "filter": { "type": "string" }, "header": "Rechnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ItemsByProjectInvoice.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.vatless.Invoices.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.vatless.ItemsByProjectInvoice.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.ItemsByProjectInvoice.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/ItemsByProjectInvoice" };
  return new Lino.vatless.ItemsByProjectInvoice.GridPanel(p);
});
Lino.vatless.ItemsByProjectInvoice.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ItemsByProjectInvoice.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ItemsByProjectInvoice", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class vatless.InvoicesByJournal
Lino.vatless.InvoicesByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/InvoicesByJournal",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "project" }, 'projectHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "your_ref" }, { "name": "match" }, { "name": "bank_account" }, 'bank_accountHidden', { "name": "state" }, 'stateHidden', { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoicesByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoicesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoicesByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoicesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoicesByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Rechnung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of vatless.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Rechnungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.InvoicesByJournal.detail;
    this.ls_insert_handler = Lino.vatless.InvoicesByJournal.insert;
    var ww = this.containing_window;
    var number_with_year_disp13027 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date13028 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var partner13029 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var amount13030 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var due_date13031 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user13032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/user" }) }) });
    var workflow_buttons_disp13033 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id13034 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var voucher_date13035 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var accounting_period13036 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/accounting_period" }) }) });
    var number13037 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var narration13038 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var project13039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/project" }) }) });
    var payment_term13040 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/payment_term" }) }) });
    var your_ref13041 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var match13042 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/match" }) }) });
    var bank_account13043 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/bank_account" }) }) });
    var state13044 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var journal13045 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      match13042.setContextValue('mk',bp['mk']);
      match13042.setContextValue('mt',bp['mt']);
      match13042.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account13043.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account13043.setContextValue('project', record ? record.data['projectHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof journal13045 !== 'undefined' && journal13045.on('change',Lino.chooser_handler(match13042,'journal'));
      typeof partner13029 !== 'undefined' && partner13029.on('change',Lino.chooser_handler(match13042,'partner'));
      typeof partner13029 !== 'undefined' && partner13029.on('change',Lino.chooser_handler(bank_account13043,'partner'));
      typeof project13039 !== 'undefined' && project13039.on('change',Lino.chooser_handler(bank_account13043,'project'));
      Lino.vatless.InvoicesByJournal.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date13028, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner13029, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount13030, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "due_date", "editable": true, "editor": due_date13031, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user13032, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13034, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date13035, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period13036, "filter": { "type": "string" }, "header": "Buchungsperiode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "number", "editable": true, "editor": number13037, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "narration", "editable": true, "editor": narration13038, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "project", "editable": true, "editor": project13039, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "payment_term", "editable": true, "editor": payment_term13040, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.payment_term) The payment terms to be used in this document.  A pointer to\nPaymentTerm.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The payment terms to be used in this document.  A pointer to\nPaymentTerm.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "your_ref", "editable": true, "editor": your_ref13041, "filter": { "type": "string" }, "header": "Ihr Zeichen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.your_ref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "match", "editable": true, "editor": match13042, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "bank_account", "editable": true, "editor": bank_account13043, "filter": { "type": "string" }, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "state", "editable": true, "editor": state13044, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 18, "dataIndex": "journal", "editable": true, "editor": journal13045, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoicesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) } ];
    Lino.vatless.InvoicesByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.InvoicesByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.vatless.InvoicesByJournal.insertPanel = Ext.extend(Lino.vatless.InvoicesByJournal.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/vatless/InvoicesByJournal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.InvoicesByJournal.detail;
    this.ls_insert_handler = Lino.vatless.InvoicesByJournal.insert;
    Lino.vatless.InvoicesByJournal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.InvoicesByJournal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/vatless/InvoicesByJournal" };
  return new Lino.vatless.InvoicesByJournal.insertPanel(p);
});
Lino.vatless.InvoicesByJournal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.vatless.InvoicesByJournal.detailPanel = Ext.extend(Lino.vatless.Invoices.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Rechnung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/vatless/InvoicesByJournal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.InvoicesByJournal.detail;
    this.ls_insert_handler = Lino.vatless.InvoicesByJournal.insert;
    Lino.vatless.InvoicesByJournal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.InvoicesByJournal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/InvoicesByJournal" };
  return new Lino.vatless.InvoicesByJournal.detailPanel(p);
});
Lino.vatless.InvoicesByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/InvoicesByJournal" };
  p.params_panel = new Lino.vatless.InvoicesByJournal.ParamsPanel({});
  return new Lino.vatless.InvoicesByJournal.GridPanel(p);
});
Lino.vatless.InvoicesByJournal.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoicesByJournal.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoicesByJournal", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class vatless.ProjectInvoicesByJournal
Lino.vatless.ProjectInvoicesByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/ProjectInvoicesByJournal",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "project" }, 'projectHidden', { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "payment_term" }, 'payment_termHidden', { "name": "your_ref" }, { "name": "match" }, { "name": "bank_account" }, 'bank_accountHidden', { "name": "state" }, 'stateHidden', { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/ProjectInvoicesByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ProjectInvoicesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ProjectInvoicesByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/ProjectInvoicesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/ProjectInvoicesByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Rechnung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of vatless.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Rechnungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.ProjectInvoicesByJournal.detail;
    this.ls_insert_handler = Lino.vatless.ProjectInvoicesByJournal.insert;
    var ww = this.containing_window;
    var number_with_year_disp13007 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date13008 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var project13009 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var partner13010 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var amount13011 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var due_date13012 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user13013 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/user" }) }) });
    var workflow_buttons_disp13014 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id13015 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var voucher_date13016 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var accounting_period13017 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/accounting_period" }) }) });
    var number13018 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var narration13019 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var payment_term13020 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/payment_term" }) }) });
    var your_ref13021 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var match13022 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/match" }) }) });
    var bank_account13023 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/bank_account" }) }) });
    var state13024 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var journal13025 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      match13022.setContextValue('mk',bp['mk']);
      match13022.setContextValue('mt',bp['mt']);
      match13022.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account13023.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account13023.setContextValue('project', record ? record.data['projectHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof journal13025 !== 'undefined' && journal13025.on('change',Lino.chooser_handler(match13022,'journal'));
      typeof partner13010 !== 'undefined' && partner13010.on('change',Lino.chooser_handler(match13022,'partner'));
      typeof partner13010 !== 'undefined' && partner13010.on('change',Lino.chooser_handler(bank_account13023,'partner'));
      typeof project13009 !== 'undefined' && project13009.on('change',Lino.chooser_handler(bank_account13023,'project'));
      Lino.vatless.ProjectInvoicesByJournal.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date13008, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project13009, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "partner", "editable": true, "editor": partner13010, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount13011, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "due_date", "editable": true, "editor": due_date13012, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user13013, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id13015, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date13016, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period13017, "filter": { "type": "string" }, "header": "Buchungsperiode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "number", "editable": true, "editor": number13018, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "narration", "editable": true, "editor": narration13019, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "payment_term", "editable": true, "editor": payment_term13020, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.payment_term) The payment terms to be used in this document.  A pointer to\nPaymentTerm.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The payment terms to be used in this document.  A pointer to\nPaymentTerm.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "your_ref", "editable": true, "editor": your_ref13021, "filter": { "type": "string" }, "header": "Ihr Zeichen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.your_ref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "match", "editable": true, "editor": match13022, "filter": { "type": "string" }, "header": "Match", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "bank_account", "editable": true, "editor": bank_account13023, "filter": { "type": "string" }, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "state", "editable": true, "editor": state13024, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 18, "dataIndex": "journal", "editable": true, "editor": journal13025, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.ProjectInvoicesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) } ];
    Lino.vatless.ProjectInvoicesByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.ProjectInvoicesByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.vatless.ProjectInvoicesByJournal.insertPanel = Ext.extend(Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/vatless/ProjectInvoicesByJournal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.ProjectInvoicesByJournal.detail;
    this.ls_insert_handler = Lino.vatless.ProjectInvoicesByJournal.insert;
    Lino.vatless.ProjectInvoicesByJournal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.ProjectInvoicesByJournal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/vatless/ProjectInvoicesByJournal" };
  return new Lino.vatless.ProjectInvoicesByJournal.insertPanel(p);
});
Lino.vatless.ProjectInvoicesByJournal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.vatless.ProjectInvoicesByJournal.detailPanel = Ext.extend(Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Rechnung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/vatless/ProjectInvoicesByJournal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.vatless.ProjectInvoicesByJournal.detail;
    this.ls_insert_handler = Lino.vatless.ProjectInvoicesByJournal.insert;
    Lino.vatless.ProjectInvoicesByJournal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.ProjectInvoicesByJournal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/ProjectInvoicesByJournal" };
  return new Lino.vatless.ProjectInvoicesByJournal.detailPanel(p);
});
Lino.vatless.ProjectInvoicesByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/ProjectInvoicesByJournal" };
  p.params_panel = new Lino.vatless.InvoicesByJournal.ParamsPanel({});
  return new Lino.vatless.ProjectInvoicesByJournal.GridPanel(p);
});
Lino.vatless.ProjectInvoicesByJournal.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.ProjectInvoicesByJournal.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/ProjectInvoicesByJournal", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class sepa.AccountsByPartner
Lino.sepa.AccountsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountsByPartner",
  ls_store_fields : [ { "name": "iban" }, { "name": "bic" }, { "name": "remark" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "account_type" }, 'account_typeHidden', { "name": "managed", "type": "boolean" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 67,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bankkonto) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByPartner.insert;
    var ww = this.containing_window;
    var iban2696 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic2697 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var remark2698 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary2699 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id2700 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var account_type2701 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var managed2702 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var partner2703 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/sepa/AccountsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "iban", "editable": true, "editor": iban2696, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "bic", "editable": true, "editor": bic2697, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark2698, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2700, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "account_type", "editable": true, "editor": account_type2701, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 6, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner2703, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.partner) Partner") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Partner", "width": Lino.chars2width(21) } ];
    Lino.sepa.AccountsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.sepa.AccountsByPartner.insertPanel = Ext.extend(Lino.sepa.AccountsByPartner.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/sepa/AccountsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByPartner.insert;
    Lino.sepa.AccountsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/sepa/AccountsByPartner" };
  return new Lino.sepa.AccountsByPartner.insertPanel(p);
});
Lino.sepa.AccountsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountsByPartner" };
  return new Lino.sepa.AccountsByPartner.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountsByClient
Lino.sepa.AccountsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountsByClient",
  ls_store_fields : [ { "name": "account_type" }, 'account_typeHidden', { "name": "iban" }, { "name": "bic" }, { "name": "primary", "type": "boolean" }, { "name": "managed", "type": "boolean" }, { "name": "statements" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 67,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bankkonto) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByClient.insert;
    var ww = this.containing_window;
    var account_type1412 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var iban1413 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic1414 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var primary1415 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var managed1416 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var statements_disp1417 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account_type", "editable": true, "editor": account_type1412, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 1, "dataIndex": "iban", "editable": true, "editor": iban1413, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "bic", "editable": true, "editor": bic1414, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "statements", "editable": false, "header": "Kontoausz\u00fcge", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.statements) ") }, "sortable": false, "tooltip": "A virtual field which displays the date of the last imported\nstatement for this account. Clicking on this date will open\nthe B2C account <lino_xl.lib.b2c.models.Account> with same\nIBAN number.", "width": Lino.chars2width(31) } ];
    Lino.sepa.AccountsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.sepa.AccountsByClient.insertPanel = Ext.extend(Lino.sepa.AccountsByPartner.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/sepa/AccountsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByClient.insert;
    Lino.sepa.AccountsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/sepa/AccountsByClient" };
  return new Lino.sepa.AccountsByClient.insertPanel(p);
});
Lino.sepa.AccountsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountsByClient" };
  return new Lino.sepa.AccountsByClient.GridPanel(p);
});

// js_render_GridPanel_class b2c.StatementsByAccount
Lino.b2c.StatementsByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/StatementsByAccount",
  ls_store_fields : [ { "name": "statement_number" }, { "name": "balance_start" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "balance_end" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "local_currency" }, { "name": "id", "type": "int" }, { "name": "account" }, 'accountHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.StatementsByAccount.detail;
    var ww = this.containing_window;
    var statement_number3329 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var balance_start3330 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date3331 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance_end3332 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var end_date3333 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var local_currency3334 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var id3335 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var account3336 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/StatementsByAccount/account" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "statement_number", "editable": true, "editor": statement_number3329, "filter": { "type": "string" }, "header": "Auszugsnummer", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "sortable": true, "tooltip": "Combination of the year and the legal sequential number of the paper statement.", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 1, "dataIndex": "balance_start", "editable": true, "editor": balance_start3330, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.balance_start) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date3331, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "balance_end", "editable": true, "editor": balance_end3332, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.balance_end) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date3333, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "local_currency", "editable": true, "editor": local_currency3334, "filter": { "type": "string" }, "header": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.local_currency) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id3335, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "account", "editable": true, "editor": account3336, "filter": { "type": "string" }, "header": "Importiertes  Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.b2c.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.b2c.StatementsByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.StatementsByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.StatementsByAccount.detailPanel = Ext.extend(Lino.b2c.Statements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/StatementsByAccount",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.StatementsByAccount.detail;
    Lino.b2c.StatementsByAccount.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.StatementsByAccount.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/StatementsByAccount" };
  return new Lino.b2c.StatementsByAccount.detailPanel(p);
});
Lino.b2c.StatementsByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/StatementsByAccount" };
  return new Lino.b2c.StatementsByAccount.GridPanel(p);
});

// js_render_GridPanel_class b2c.TransactionsByStatement
Lino.b2c.TransactionsByStatement.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/TransactionsByStatement",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "booking_date", "type": "date" }, { "name": "amount" }, { "name": "remote_html" }, { "name": "message_html" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "remote_account" }, { "name": "remote_bic" }, { "name": "message" }, { "name": "eref" }, { "name": "remote_owner" }, { "name": "remote_owner_address" }, { "name": "remote_owner_city" }, { "name": "remote_owner_postalcode" }, { "name": "remote_owner_country_code" }, { "name": "txcd" }, { "name": "txcd_issuer" }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "statement" }, 'statementHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 70,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of b2c.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Transaktionen",
  disabled_fields_index : 20,
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.TransactionsByStatement.detail;
    var ww = this.containing_window;
    var booking_date3363 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var amount3364 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remote_html_disp3365 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var message_html_disp3366 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id3367 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno3368 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var remote_account3369 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 64, "selectOnFocus": true });
    var remote_bic3370 = new Lino.UppercaseTextField({ "allowBlank": true, "hidden": true, "maxLength": 11, "selectOnFocus": true });
    var message3371 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var eref3372 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner3373 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner_address3374 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remote_owner_city3375 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var remote_owner_postalcode3376 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remote_owner_country_code3377 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var txcd3378 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var txcd_issuer3379 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 35, "selectOnFocus": true });
    var value_date3380 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var statement3381 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/TransactionsByStatement/statement" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "booking_date", "editable": true, "editor": booking_date3363, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.booking_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": true, "editor": amount3364, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "remote_html", "editable": false, "header": "Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_html) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.remote_html) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "message_html", "editable": false, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.message_html) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.message_html) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3367, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "seqno", "editable": true, "editor": seqno3368, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.seqno) The sequence number of this transaction in the statement.") }, "sortable": true, "tooltip": "The sequence number of this transaction in the statement.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "remote_account", "editable": true, "editor": remote_account3369, "filter": { "type": "string" }, "header": "IBAN", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_account) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "remote_bic", "editable": true, "editor": remote_bic3370, "filter": { "type": "string" }, "header": "BIC", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 8, "dataIndex": "message", "editable": true, "editor": message3371, "filter": { "type": "string" }, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.message) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "eref", "editable": true, "editor": eref3372, "filter": { "type": "string" }, "header": "End to end reference", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.eref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remote_owner", "editable": true, "editor": remote_owner3373, "filter": { "type": "string" }, "header": "Name Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "remote_owner_address", "editable": true, "editor": remote_owner_address3374, "filter": { "type": "string" }, "header": "Adresse Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_address) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "remote_owner_city", "editable": true, "editor": remote_owner_city3375, "filter": { "type": "string" }, "header": "Stadt Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_city) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remote_owner_postalcode", "editable": true, "editor": remote_owner_postalcode3376, "filter": { "type": "string" }, "header": "PLZ Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_postalcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remote_owner_country_code", "editable": true, "editor": remote_owner_country_code3377, "filter": { "type": "string" }, "header": "Land Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_country_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 15, "dataIndex": "txcd", "editable": true, "editor": txcd3378, "filter": { "type": "string" }, "header": "Transfer-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "txcd_issuer", "editable": true, "editor": txcd_issuer3379, "filter": { "type": "string" }, "header": "TxCd issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd_issuer) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "value_date", "editable": true, "editor": value_date3380, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.value_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "statement", "editable": true, "editor": statement3381, "filter": { "type": "string" }, "header": "Kontoauszug", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.statement) ") }, "renderer": Lino.fk_renderer('statementHidden','Lino.b2c.Statements.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.b2c.TransactionsByStatement.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.TransactionsByStatement.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.TransactionsByStatement.detailPanel = Ext.extend(Lino.b2c.Transactions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/TransactionsByStatement",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.TransactionsByStatement.detail;
    Lino.b2c.TransactionsByStatement.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.TransactionsByStatement.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/TransactionsByStatement" };
  return new Lino.b2c.TransactionsByStatement.detailPanel(p);
});
Lino.b2c.TransactionsByStatement.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/TransactionsByStatement" };
  return new Lino.b2c.TransactionsByStatement.GridPanel(p);
});

// js_render_GridPanel_class finan.PaymentOrdersByJournal
Lino.finan.PaymentOrdersByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/PaymentOrdersByJournal",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "total" }, { "dateFormat": "d.m.Y", "name": "execution_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrdersByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrdersByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrdersByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrdersByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrdersByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zahlungsauftr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.PaymentOrdersByJournal.detail;
    this.ls_insert_handler = Lino.finan.PaymentOrdersByJournal.insert;
    var ww = this.containing_window;
    var number_with_year_disp13064 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date13065 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration13066 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var total13067 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var execution_date13068 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var accounting_period13069 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/accounting_period" }) }) });
    var workflow_buttons_disp13070 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id13071 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user13072 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/user" }) }) });
    var voucher_date13073 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number13074 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by13075 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state13076 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account13077 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/item_account" }) }) });
    var item_remark13078 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var journal13079 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date13065, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration13066, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "total", "editable": true, "editor": total13067, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.total) The total amount. This is automatically computed when you register\nde voucher.") }, "sortable": true, "tooltip": "The total amount. This is automatically computed when you register\nde voucher.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "execution_date", "editable": true, "editor": execution_date13068, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "sortable": true, "tooltip": "The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period13069, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13071, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user13072, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date13073, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "number", "editable": true, "editor": number13074, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state13076, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 13, "dataIndex": "item_account", "editable": true, "editor": item_account13077, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "item_remark", "editable": true, "editor": item_remark13078, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "journal", "editable": true, "editor": journal13079, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrdersByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) } ];
    Lino.finan.PaymentOrdersByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrdersByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.PaymentOrdersByJournal.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/PaymentOrdersByJournal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.PaymentOrdersByJournal.detail;
    this.ls_insert_handler = Lino.finan.PaymentOrdersByJournal.insert;
    Lino.finan.PaymentOrdersByJournal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrdersByJournal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/PaymentOrdersByJournal" };
  return new Lino.finan.PaymentOrdersByJournal.insertPanel(p);
});
Lino.finan.PaymentOrdersByJournal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.PaymentOrdersByJournal.detailPanel = Ext.extend(Lino.finan.PaymentOrders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/PaymentOrdersByJournal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.PaymentOrdersByJournal.detail;
    this.ls_insert_handler = Lino.finan.PaymentOrdersByJournal.insert;
    Lino.finan.PaymentOrdersByJournal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrdersByJournal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrdersByJournal" };
  return new Lino.finan.PaymentOrdersByJournal.detailPanel(p);
});
Lino.finan.PaymentOrdersByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.write_xml = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "write_xml", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrdersByJournal" };
  p.params_panel = new Lino.finan.PaymentOrdersByJournal.ParamsPanel({});
  return new Lino.finan.PaymentOrdersByJournal.GridPanel(p);
});
Lino.finan.PaymentOrdersByJournal.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrdersByJournal.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrdersByJournal", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.JournalEntriesByJournal
Lino.finan.JournalEntriesByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/JournalEntriesByJournal",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "project" }, 'projectHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntriesByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntriesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntriesByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntriesByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntriesByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Diverse Buchungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.JournalEntriesByJournal.detail;
    this.ls_insert_handler = Lino.finan.JournalEntriesByJournal.insert;
    var ww = this.containing_window;
    var number_with_year_disp15028 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date15029 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration15030 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var accounting_period15031 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/accounting_period" }) }) });
    var workflow_buttons_disp15032 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id15033 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user15034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/user" }) }) });
    var voucher_date15035 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number15036 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by15037 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var project15038 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/project" }) }) });
    var state15039 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account15040 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/item_account" }) }) });
    var item_remark15041 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date15042 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var journal15043 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date15029, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration15030, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period15031, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id15033, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user15034, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date15035, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "number", "editable": true, "editor": number15036, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "project", "editable": true, "editor": project15038, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state15039, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 12, "dataIndex": "item_account", "editable": true, "editor": item_account15040, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "item_remark", "editable": true, "editor": item_remark15041, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date15042, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "journal", "editable": true, "editor": journal15043, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntriesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) } ];
    Lino.finan.JournalEntriesByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntriesByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.JournalEntriesByJournal.insertPanel = Ext.extend(Lino.finan.FinancialVouchers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/JournalEntriesByJournal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.JournalEntriesByJournal.detail;
    this.ls_insert_handler = Lino.finan.JournalEntriesByJournal.insert;
    Lino.finan.JournalEntriesByJournal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntriesByJournal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/JournalEntriesByJournal" };
  return new Lino.finan.JournalEntriesByJournal.insertPanel(p);
});
Lino.finan.JournalEntriesByJournal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.JournalEntriesByJournal.detailPanel = Ext.extend(Lino.finan.FinancialVouchers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Diverse Buchung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Diverse Buchung", "overflowText": "Diverse Buchung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/JournalEntriesByJournal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.JournalEntriesByJournal.detail;
    this.ls_insert_handler = Lino.finan.JournalEntriesByJournal.insert;
    Lino.finan.JournalEntriesByJournal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntriesByJournal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntriesByJournal" };
  return new Lino.finan.JournalEntriesByJournal.detailPanel(p);
});
Lino.finan.JournalEntriesByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntriesByJournal" };
  p.params_panel = new Lino.finan.JournalEntriesByJournal.ParamsPanel({});
  return new Lino.finan.JournalEntriesByJournal.GridPanel(p);
});
Lino.finan.JournalEntriesByJournal.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntriesByJournal.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntriesByJournal", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.BankStatementsByJournal
Lino.finan.BankStatementsByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/BankStatementsByJournal",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "balance1" }, { "name": "balance2" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "narration" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "dateFormat": "d.m.Y", "name": "last_item_date", "type": "date" }, { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementsByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementsByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementsByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementsByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementsByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontoauszug) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kontoauszug", "overflowText": "Kontoauszug", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.BankStatementsByJournal.detail;
    this.ls_insert_handler = Lino.finan.BankStatementsByJournal.insert;
    var ww = this.containing_window;
    var number_with_year_disp15045 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date15046 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance115047 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var balance215048 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var accounting_period15049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/accounting_period" }) }) });
    var workflow_buttons_disp15050 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id15051 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user15052 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/user" }) }) });
    var voucher_date15053 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number15054 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var narration15055 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var printed_by15056 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state15057 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account15058 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/item_account" }) }) });
    var item_remark15059 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_item_date15060 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var journal15061 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date15046, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "balance1", "editable": true, "editor": balance115047, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.balance1) The old (or start) balance.") }, "sortable": true, "tooltip": "The old (or start) balance.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "balance2", "editable": true, "editor": balance215048, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.balance2) The new (or end) balance.") }, "sortable": true, "tooltip": "The new (or end) balance.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period15049, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id15051, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user15052, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date15053, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "number", "editable": true, "editor": number15054, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "narration", "editable": true, "editor": narration15055, "filter": { "type": "string" }, "header": "Interne Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state15057, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 13, "dataIndex": "item_account", "editable": true, "editor": item_account15058, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "item_remark", "editable": true, "editor": item_remark15059, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "last_item_date", "editable": true, "editor": last_item_date15060, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "last item date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.last_item_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "journal", "editable": true, "editor": journal15061, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementsByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) } ];
    Lino.finan.BankStatementsByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatementsByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.BankStatementsByJournal.insertPanel = Ext.extend(Lino.finan.BankStatements.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/BankStatementsByJournal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.BankStatementsByJournal.detail;
    this.ls_insert_handler = Lino.finan.BankStatementsByJournal.insert;
    Lino.finan.BankStatementsByJournal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatementsByJournal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/BankStatementsByJournal" };
  return new Lino.finan.BankStatementsByJournal.insertPanel(p);
});
Lino.finan.BankStatementsByJournal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.BankStatementsByJournal.detailPanel = Ext.extend(Lino.finan.BankStatements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kontoauszug) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kontoauszug", "overflowText": "Kontoauszug", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/BankStatementsByJournal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.BankStatementsByJournal.detail;
    this.ls_insert_handler = Lino.finan.BankStatementsByJournal.insert;
    Lino.finan.BankStatementsByJournal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatementsByJournal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatementsByJournal" };
  return new Lino.finan.BankStatementsByJournal.detailPanel(p);
});
Lino.finan.BankStatementsByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatementsByJournal" };
  p.params_panel = new Lino.finan.BankStatementsByJournal.ParamsPanel({});
  return new Lino.finan.BankStatementsByJournal.GridPanel(p);
});
Lino.finan.BankStatementsByJournal.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementsByJournal.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementsByJournal", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.ItemsByJournalEntry
Lino.finan.ItemsByJournalEntry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/ItemsByJournalEntry",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "match" }, { "name": "account" }, 'accountHidden', { "name": "debit" }, { "name": "credit" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "amount" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 71,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByJournalEntry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByJournalEntry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByJournalEntry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByJournalEntry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByJournalEntry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inhalt",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno4019 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var date4020 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partner4021 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByJournalEntry/partner" }) }) });
    var match4022 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByJournalEntry/match" }) }) });
    var account4023 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByJournalEntry/account" }) }) });
    var debit4024 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var credit4025 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remark4026 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id4027 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project4028 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByJournalEntry/project" }) }) });
    var amount4029 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var voucher4030 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Diverse Buchung ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "finan.FinancialVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByJournalEntry/voucher" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      match4022.setContextValue('mk',bp['mk']);
      match4022.setContextValue('mt',bp['mt']);
      match4022.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher4030 !== 'undefined' && voucher4030.on('change',Lino.chooser_handler(match4022,'voucher'));
      typeof partner4021 !== 'undefined' && partner4021.on('change',Lino.chooser_handler(match4022,'partner'));
      Lino.finan.ItemsByJournalEntry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno4019, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "date", "editable": true, "editor": date4020, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner4021, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match4022, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "account", "editable": true, "editor": account4023, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(51) }, { "align": "right", "colIndex": 5, "dataIndex": "debit", "editable": true, "editor": debit4024, "format": "0.000,00/i", "header": "Debit", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.debit) ") }, "sortable": true, "tooltip": "(finan.ItemsByJournalEntry.debit) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "credit", "editable": true, "editor": credit4025, "format": "0.000,00/i", "header": "Kredit", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.credit) ") }, "sortable": true, "tooltip": "(finan.ItemsByJournalEntry.credit) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark4026, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4027, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "project", "editable": true, "editor": project4028, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "amount", "editable": true, "editor": amount4029, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "voucher", "editable": true, "editor": voucher4030, "filter": { "type": "string" }, "header": "Diverse Buchung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByJournalEntry.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.FinancialVouchers.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.ItemsByJournalEntry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.ItemsByJournalEntry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/ItemsByJournalEntry" };
  return new Lino.finan.ItemsByJournalEntry.GridPanel(p);
});
Lino.finan.ItemsByJournalEntry.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByJournalEntry.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByJournalEntry", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.ItemsByBankStatement
Lino.finan.ItemsByBankStatement.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/ItemsByBankStatement",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "account" }, 'accountHidden', { "name": "match" }, { "name": "remark" }, { "name": "expense" }, { "name": "income" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "amount" }, { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 72,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByBankStatement','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByBankStatement','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByBankStatement','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByBankStatement','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByBankStatement','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inhalt",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno3050 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var date3051 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partner3052 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByBankStatement/partner" }) }) });
    var account3053 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByBankStatement/account" }) }) });
    var match3054 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByBankStatement/match" }) }) });
    var remark3055 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var expense3056 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var income3057 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var workflow_buttons_disp3058 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id3059 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project3060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByBankStatement/project" }) }) });
    var amount3061 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var voucher3062 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "finan.BankStatements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByBankStatement/voucher" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      match3054.setContextValue('mk',bp['mk']);
      match3054.setContextValue('mt',bp['mt']);
      match3054.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof voucher3062 !== 'undefined' && voucher3062.on('change',Lino.chooser_handler(match3054,'voucher'));
      typeof partner3052 !== 'undefined' && partner3052.on('change',Lino.chooser_handler(match3054,'partner'));
      Lino.finan.ItemsByBankStatement.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno3050, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "date", "editable": true, "editor": date3051, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner3052, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account", "editable": true, "editor": account3053, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "match", "editable": true, "editor": match3054, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark3055, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "expense", "editable": true, "editor": expense3056, "format": "0.000,00/i", "header": "Ausgabe", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.expense) ") }, "sortable": true, "tooltip": "(finan.ItemsByBankStatement.expense) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "income", "editable": true, "editor": income3057, "format": "0.000,00/i", "header": "Eingang", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.income) ") }, "sortable": true, "tooltip": "(finan.ItemsByBankStatement.income) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id3059, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "project", "editable": true, "editor": project3060, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "amount", "editable": true, "editor": amount3061, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "voucher", "editable": true, "editor": voucher3062, "filter": { "type": "string" }, "header": "Kontoauszug", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByBankStatement.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.BankStatements.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.ItemsByBankStatement.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.ItemsByBankStatement.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/ItemsByBankStatement" };
  return new Lino.finan.ItemsByBankStatement.GridPanel(p);
});
Lino.finan.ItemsByBankStatement.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByBankStatement.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByBankStatement", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.ItemsByPaymentOrder
Lino.finan.ItemsByPaymentOrder.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/ItemsByPaymentOrder",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "partner" }, 'partnerHidden', { "name": "workflow_buttons" }, { "name": "bank_account" }, 'bank_accountHidden', { "name": "match" }, { "name": "to_pay" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "amount" }, { "name": "account" }, 'accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 73,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByPaymentOrder','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByPaymentOrder','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByPaymentOrder','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByPaymentOrder','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByPaymentOrder','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inhalt",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno3693 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project3694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByPaymentOrder/project" }) }) });
    var partner3695 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByPaymentOrder/partner" }) }) });
    var workflow_buttons_disp3696 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var bank_account3697 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByPaymentOrder/bank_account" }) }) });
    var match3698 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByPaymentOrder/match" }) }) });
    var to_pay3699 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remark3700 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id3701 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var amount3702 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var account3703 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByPaymentOrder/account" }) }) });
    var voucher3704 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Zahlungsauftrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "finan.PaymentOrders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByPaymentOrder/voucher" }) }) });
    this.before_row_edit = function(record) {
      bank_account3697.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account3697.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      var bp = this.get_base_params();
      match3698.setContextValue('mk',bp['mk']);
      match3698.setContextValue('mt',bp['mt']);
      match3698.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof partner3695 !== 'undefined' && partner3695.on('change',Lino.chooser_handler(bank_account3697,'partner'));
      typeof project3694 !== 'undefined' && project3694.on('change',Lino.chooser_handler(bank_account3697,'project'));
      typeof voucher3704 !== 'undefined' && voucher3704.on('change',Lino.chooser_handler(match3698,'voucher'));
      typeof partner3695 !== 'undefined' && partner3695.on('change',Lino.chooser_handler(match3698,'partner'));
      Lino.finan.ItemsByPaymentOrder.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno3693, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project3694, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner3695, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "bank_account", "editable": true, "editor": bank_account3697, "filter": { "type": "string" }, "header": "Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "match", "editable": true, "editor": match3698, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "to_pay", "editable": true, "editor": to_pay3699, "format": "0.000,00/i", "header": "To pay", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.to_pay) ") }, "sortable": true, "tooltip": "(finan.ItemsByPaymentOrder.to_pay) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark3700, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id3701, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 9, "dataIndex": "amount", "editable": true, "editor": amount3702, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "account", "editable": true, "editor": account3703, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "voucher", "editable": true, "editor": voucher3704, "filter": { "type": "string" }, "header": "Zahlungsauftrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByPaymentOrder.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.PaymentOrders.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.ItemsByPaymentOrder.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.ItemsByPaymentOrder.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/ItemsByPaymentOrder" };
  return new Lino.finan.ItemsByPaymentOrder.GridPanel(p);
});
Lino.finan.ItemsByPaymentOrder.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByPaymentOrder.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByPaymentOrder", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.ItemsByDisbursementOrder
Lino.finan.ItemsByDisbursementOrder.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/ItemsByDisbursementOrder",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "partner" }, 'partnerHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "workflow_buttons" }, { "name": "match" }, { "name": "to_pay" }, { "name": "id", "type": "int" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 73,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByDisbursementOrder','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByDisbursementOrder','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByDisbursementOrder','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByDisbursementOrder','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/ItemsByDisbursementOrder','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inhalt",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno3971 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project3972 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByDisbursementOrder/project" }) }) });
    var partner3973 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByDisbursementOrder/partner" }) }) });
    var bank_account3974 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByDisbursementOrder/bank_account" }) }) });
    var workflow_buttons_disp3975 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match3976 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByDisbursementOrder/match" }) }) });
    var to_pay3977 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var id3978 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var amount3979 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true, "value": 0 });
    var remark3980 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var account3981 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByDisbursementOrder/account" }) }) });
    var voucher3982 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Zahlungsauftrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "finan.PaymentOrders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/ItemsByDisbursementOrder/voucher" }) }) });
    this.before_row_edit = function(record) {
      bank_account3974.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account3974.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      var bp = this.get_base_params();
      match3976.setContextValue('mk',bp['mk']);
      match3976.setContextValue('mt',bp['mt']);
      match3976.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof partner3973 !== 'undefined' && partner3973.on('change',Lino.chooser_handler(bank_account3974,'partner'));
      typeof project3972 !== 'undefined' && project3972.on('change',Lino.chooser_handler(bank_account3974,'project'));
      typeof voucher3982 !== 'undefined' && voucher3982.on('change',Lino.chooser_handler(match3976,'voucher'));
      typeof partner3973 !== 'undefined' && partner3973.on('change',Lino.chooser_handler(match3976,'partner'));
      Lino.finan.ItemsByDisbursementOrder.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno3971, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project3972, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner3973, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "bank_account", "editable": true, "editor": bank_account3974, "filter": { "type": "string" }, "header": "Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "match", "editable": true, "editor": match3976, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "to_pay", "editable": true, "editor": to_pay3977, "format": "0.000,00/i", "header": "To pay", "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.to_pay) ") }, "sortable": true, "tooltip": "(finan.ItemsByDisbursementOrder.to_pay) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id3978, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "amount", "editable": true, "editor": amount3979, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "remark", "editable": true, "editor": remark3980, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "account", "editable": true, "editor": account3981, "filter": { "type": "string" }, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "voucher", "editable": true, "editor": voucher3982, "filter": { "type": "string" }, "header": "Zahlungsauftrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.ItemsByDisbursementOrder.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "renderer": Lino.fk_renderer('voucherHidden','Lino.finan.PaymentOrders.detail'), "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) } ];
    Lino.finan.ItemsByDisbursementOrder.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.ItemsByDisbursementOrder.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/ItemsByDisbursementOrder" };
  return new Lino.finan.ItemsByDisbursementOrder.GridPanel(p);
});
Lino.finan.ItemsByDisbursementOrder.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.ItemsByDisbursementOrder.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/ItemsByDisbursementOrder", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.DisbursementOrdersByJournal
Lino.finan.DisbursementOrdersByJournal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/DisbursementOrdersByJournal",
  ls_store_fields : [ { "name": "number_with_year" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "narration" }, { "name": "total" }, { "dateFormat": "d.m.Y", "name": "execution_date", "type": "date" }, { "name": "accounting_period" }, 'accounting_periodHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "voucher_date", "type": "date" }, { "name": "number", "type": "int", "useNull": true }, { "name": "printed_by" }, 'printed_byHidden', { "name": "state" }, 'stateHidden', { "name": "item_account" }, 'item_accountHidden', { "name": "item_remark" }, { "name": "journal" }, 'journalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 64,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrdersByJournal','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrdersByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrdersByJournal','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrdersByJournal','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/DisbursementOrdersByJournal','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of finan.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zahlungsauftr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.DisbursementOrdersByJournal.detail;
    this.ls_insert_handler = Lino.finan.DisbursementOrdersByJournal.insert;
    var ww = this.containing_window;
    var number_with_year_disp13047 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var entry_date13048 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var narration13049 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var total13050 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var execution_date13051 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var accounting_period13052 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/accounting_period" }) }) });
    var workflow_buttons_disp13053 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id13054 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user13055 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/user" }) }) });
    var voucher_date13056 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var number13057 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by13058 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var state13059 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var item_account13060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/item_account" }) }) });
    var item_remark13061 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var journal13062 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Journal ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/journal" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "number_with_year", "editable": false, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.number_with_year) A text like \"2019-12\".") }, "sortable": false, "tooltip": "A text like \"2019-12\".", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date13048, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "narration", "editable": true, "editor": narration13049, "filter": { "type": "string" }, "header": "Interne Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "sortable": true, "tooltip": "A short explanation which ascertains the subject matter of\nthis journal entry.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "total", "editable": true, "editor": total13050, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.total) The total amount. This is automatically computed when you register\nde voucher.") }, "sortable": true, "tooltip": "The total amount. This is automatically computed when you register\nde voucher.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "execution_date", "editable": true, "editor": execution_date13051, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "sortable": true, "tooltip": "The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "accounting_period", "editable": true, "editor": accounting_period13052, "filter": { "type": "string" }, "header": "Buchungsperiode", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "sortable": false, "tooltip": "The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id13054, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user13055, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher_date", "editable": true, "editor": voucher_date13056, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Belegdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "sortable": true, "tooltip": "The date on the voucher (i.e. when it has been issued by its\nemitter).", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "number", "editable": true, "editor": number13057, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.number) The sequence number of this voucher in the journal.") }, "sortable": true, "tooltip": "The sequence number of this voucher in the journal.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state13059, "filter": { "options": [ "Entwurf", "Registriert", "Unterschrieben", "Storniert" ], "type": "list" }, "header": "Belegzustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(18) }, { "colIndex": 13, "dataIndex": "item_account", "editable": true, "editor": item_account13060, "filter": { "type": "string" }, "header": "Standardwert Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "renderer": Lino.fk_renderer('item_accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "The default value to use when\nFinancialVoucherItem.account of an item is empty.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "item_remark", "editable": true, "editor": item_remark13061, "filter": { "type": "string" }, "header": "Externe Referenz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "sortable": true, "tooltip": "The default value to use when\nFinancialVoucherItem.remark of an item is empty.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "journal", "editable": true, "editor": journal13062, "filter": { "type": "string" }, "header": "Journal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.DisbursementOrdersByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "renderer": Lino.fk_renderer('journalHidden','Lino.ledger.Journals.detail'), "sortable": false, "tooltip": "The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.", "width": Lino.chars2width(21) } ];
    Lino.finan.DisbursementOrdersByJournal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.DisbursementOrdersByJournal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.DisbursementOrdersByJournal.insertPanel = Ext.extend(Lino.finan.DisbursementOrdersByJournal.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/finan/DisbursementOrdersByJournal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.DisbursementOrdersByJournal.detail;
    this.ls_insert_handler = Lino.finan.DisbursementOrdersByJournal.insert;
    Lino.finan.DisbursementOrdersByJournal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.DisbursementOrdersByJournal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/finan/DisbursementOrdersByJournal" };
  return new Lino.finan.DisbursementOrdersByJournal.insertPanel(p);
});
Lino.finan.DisbursementOrdersByJournal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.finan.DisbursementOrdersByJournal.detailPanel = Ext.extend(Lino.finan.DisbursementOrders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Zahlungsauftrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Zahlungsauftrag", "overflowText": "Zahlungsauftrag", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "write_xml", "menu_item_text": "XML", "overflowText": "XML", "panel_btn_handler": Lino.row_action_handler('write_xml','GET',null), "text": "XML", "tooltip": "Write the XML file for the SEPA payment initiation from this payment\norder.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "toggle_state", "menu_item_text": "Toggle state", "overflowText": "Toggle state", "panel_btn_handler": Lino.row_action_handler('toggle_state','GET',null), "text": " <font size=\"4\">\u21c5</font>", "tooltip": "Toggle between \"registered\" and \"draft\" state.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/finan/DisbursementOrdersByJournal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.finan.DisbursementOrdersByJournal.detail;
    this.ls_insert_handler = Lino.finan.DisbursementOrdersByJournal.insert;
    Lino.finan.DisbursementOrdersByJournal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.DisbursementOrdersByJournal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/DisbursementOrdersByJournal" };
  return new Lino.finan.DisbursementOrdersByJournal.detailPanel(p);
});
Lino.finan.DisbursementOrdersByJournal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.write_xml = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "write_xml", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.suggest = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "suggest", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/DisbursementOrdersByJournal" };
  p.params_panel = new Lino.finan.DisbursementOrdersByJournal.ParamsPanel({});
  return new Lino.finan.DisbursementOrdersByJournal.GridPanel(p);
});
Lino.finan.DisbursementOrdersByJournal.toggle_state = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "toggle_state", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.DisbursementOrdersByJournal.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/DisbursementOrdersByJournal", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.AuthoritiesGiven
Lino.users.AuthoritiesGiven.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesGiven",
  ls_store_fields : [ { "name": "authorized" }, 'authorizedHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erteilte Vollmachten",
  initComponent : function() {
    var ww = this.containing_window;
    var authorized1222 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesGiven/authorized" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      authorized1222.setContextValue('mk',bp['mk']);
      authorized1222.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "authorized", "editable": true, "editor": authorized1222, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesGiven.authorized) The user who gets the right to represent the author") }, "renderer": Lino.fk_renderer('authorizedHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user who gets the right to represent the author", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesGiven.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesGiven.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesGiven" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesGiven.GridPanel(p);
});

// js_render_GridPanel_class users.AuthoritiesTaken
Lino.users.AuthoritiesTaken.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesTaken",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erhaltene Vollmachten",
  initComponent : function() {
    var ww = this.containing_window;
    var user1227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesTaken/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user1227, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesTaken.user) The user who gives the right of representation. author of this\nauthority") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user who gives the right of representation. author of this\nauthority", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesTaken.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesTaken.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesTaken" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesTaken.GridPanel(p);
});

// js_render_GridPanel_class art61.ContractsByClient
Lino.art61.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "user" }, 'userHidden', { "name": "remark" }, { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 18,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments and activations",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from8371 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until8372 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended8373 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration8374 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true, "value": null });
    var type8375 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/type" }) }) });
    var company8376 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/company" }) }) });
    var contact_person8377 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/contact_person" }) }) });
    var user8378 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/user" }) }) });
    var remark8379 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var subsidize_108380 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_208381 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_308382 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_408383 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var subsidize_508384 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8385 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer18386 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/signer1" }) }) });
    var signer28387 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/signer2" }) }) });
    var contact_role8388 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/contact_role" }) }) });
    var printed_by8389 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8390 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided8391 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8392 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/user_asd" }) }) });
    var exam_policy8394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/exam_policy" }) }) });
    var ending8395 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/ending" }) }) });
    var reference_person8396 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8397 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var job_title8398 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/status" }) }) });
    var cv_duration8400 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/cv_duration" }) }) });
    var regime8401 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/regime" }) }) });
    var client8402 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      contact_person8377.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities8397.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8376 !== 'undefined' && company8376.on('change',Lino.chooser_handler(contact_person8377,'company'));
      Lino.art61.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from8371, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until8372, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended8373, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration8374, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8375, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "company", "editable": true, "editor": company8376, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person8377, "filter": { "type": "string" }, "header": "Represented by", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user8378, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark8379, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "id", "editable": true, "editor": id8385, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "signer1", "editable": true, "editor": signer18386, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "signer2", "editable": true, "editor": signer28387, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "contact_role", "editable": true, "editor": contact_role8388, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "language", "editable": true, "editor": language8390, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "date_decided", "editable": true, "editor": date_decided8391, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "date_issued", "editable": true, "editor": date_issued8392, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "user_asd", "editable": true, "editor": user_asd8393, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8394, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "ending", "editable": true, "editor": ending8395, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "reference_person", "editable": true, "editor": reference_person8396, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8397, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "job_title", "editable": true, "editor": job_title8398, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "status", "editable": true, "editor": status8399, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8400, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 30, "dataIndex": "regime", "editable": true, "editor": regime8401, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "client", "editable": true, "editor": client8402, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByClient.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    Lino.art61.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  return new Lino.art61.ContractsByClient.insertPanel(p);
});
Lino.art61.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByClient.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    Lino.art61.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  return new Lino.art61.ContractsByClient.detailPanel(p);
});
Lino.art61.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByClient.GridPanel(p);
});
Lino.art61.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByProvider
Lino.art61.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client8404 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/client" }) }) });
    var applies_from8405 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until8406 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8407 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/user" }) }) });
    var type8408 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/type" }) }) });
    var id8409 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer18410 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/signer1" }) }) });
    var signer28411 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/signer2" }) }) });
    var contact_person8412 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/contact_person" }) }) });
    var contact_role8413 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/contact_role" }) }) });
    var printed_by8414 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8415 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided8416 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8417 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/user_asd" }) }) });
    var exam_policy8419 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/exam_policy" }) }) });
    var ending8420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/ending" }) }) });
    var date_ended8421 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration8422 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person8423 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8424 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark8425 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title8426 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8427 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/status" }) }) });
    var cv_duration8428 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/cv_duration" }) }) });
    var regime8429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/regime" }) }) });
    var subsidize_108430 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_208431 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_308432 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_408433 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_508434 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var company8435 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person8412.setContextValue('mk',bp['mk']);
      contact_person8412.setContextValue('mt',bp['mt']);
      responsibilities8424.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8435 !== 'undefined' && company8435.on('change',Lino.chooser_handler(contact_person8412,'company'));
      Lino.art61.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8404, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from8405, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until8406, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8407, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8408, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8409, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer18410, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer28411, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8412, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8413, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8415, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided8416, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued8417, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd8418, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8419, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "ending", "editable": true, "editor": ending8420, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_ended", "editable": true, "editor": date_ended8421, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 18, "dataIndex": "duration", "editable": true, "editor": duration8422, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "reference_person", "editable": true, "editor": reference_person8423, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8424, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "remark", "editable": true, "editor": remark8425, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "job_title", "editable": true, "editor": job_title8426, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "status", "editable": true, "editor": status8427, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8428, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime8429, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 27, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "company", "editable": true, "editor": company8435, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByProvider.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    Lino.art61.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  return new Lino.art61.ContractsByProvider.insertPanel(p);
});
Lino.art61.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByProvider.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    Lino.art61.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  return new Lino.art61.ContractsByProvider.detailPanel(p);
});
Lino.art61.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByProvider.GridPanel(p);
});
Lino.art61.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByPolicy
Lino.art61.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id8437 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8438 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/client" }) }) });
    var client__national_id8439 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from8440 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended8441 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/user" }) }) });
    var type8443 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/type" }) }) });
    var signer18444 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/signer1" }) }) });
    var signer28445 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/signer2" }) }) });
    var company8446 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/company" }) }) });
    var contact_person8447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/contact_person" }) }) });
    var contact_role8448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/contact_role" }) }) });
    var printed_by8449 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8450 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until8451 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided8452 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8453 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8454 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/user_asd" }) }) });
    var ending8455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/ending" }) }) });
    var duration8456 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person8457 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8458 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark8459 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title8460 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8461 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/status" }) }) });
    var cv_duration8462 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/cv_duration" }) }) });
    var regime8463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/regime" }) }) });
    var subsidize_108464 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_208465 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_308466 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_408467 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_508468 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var exam_policy8469 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person8447.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities8458.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8446 !== 'undefined' && company8446.on('change',Lino.chooser_handler(contact_person8447,'company'));
      Lino.art61.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8437, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8438, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id8439, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from8440, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended8441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8442, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type8443, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer18444, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer28445, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8446, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person8447, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role8448, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8450, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "applies_until", "editable": true, "editor": applies_until8451, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided8452, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued8453, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd8454, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending8455, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration8456, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person8457, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8458, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark8459, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "job_title", "editable": true, "editor": job_title8460, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "status", "editable": true, "editor": status8461, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8462, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "regime", "editable": true, "editor": regime8463, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 32, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8469, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByPolicy.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    Lino.art61.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  return new Lino.art61.ContractsByPolicy.insertPanel(p);
});
Lino.art61.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByPolicy.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    Lino.art61.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  return new Lino.art61.ContractsByPolicy.detailPanel(p);
});
Lino.art61.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByPolicy.GridPanel(p);
});
Lino.art61.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByType
Lino.art61.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from6074 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client6075 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/client" }) }) });
    var user6076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/user" }) }) });
    var id6077 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16078 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/signer1" }) }) });
    var signer26079 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/signer2" }) }) });
    var company6080 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/company" }) }) });
    var contact_person6081 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/contact_person" }) }) });
    var contact_role6082 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/contact_role" }) }) });
    var printed_by6083 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6084 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until6085 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6086 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6087 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6088 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/user_asd" }) }) });
    var exam_policy6089 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/exam_policy" }) }) });
    var ending6090 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/ending" }) }) });
    var date_ended6091 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration6092 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person6093 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6094 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6095 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title6096 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status6097 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/status" }) }) });
    var cv_duration6098 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/cv_duration" }) }) });
    var regime6099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/regime" }) }) });
    var subsidize_106100 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_206101 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_306102 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_406103 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_506104 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var type6105 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person6081.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6094.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6080 !== 'undefined' && company6080.on('change',Lino.chooser_handler(contact_person6081,'company'));
      Lino.art61.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from6074, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client6075, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user6076, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6077, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer16078, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer26079, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company6080, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person6081, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role6082, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language6084, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "applies_until", "editable": true, "editor": applies_until6085, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided6086, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued6087, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd6088, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6089, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "ending", "editable": true, "editor": ending6090, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_ended", "editable": true, "editor": date_ended6091, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 18, "dataIndex": "duration", "editable": true, "editor": duration6092, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "reference_person", "editable": true, "editor": reference_person6093, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6094, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "remark", "editable": true, "editor": remark6095, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "job_title", "editable": true, "editor": job_title6096, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "status", "editable": true, "editor": status6097, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration6098, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime6099, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 27, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "type", "editable": true, "editor": type6105, "filter": { "type": "string" }, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByType.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    Lino.art61.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  return new Lino.art61.ContractsByType.insertPanel(p);
});
Lino.art61.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByType.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    Lino.art61.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  return new Lino.art61.ContractsByType.detailPanel(p);
});
Lino.art61.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByType.GridPanel(p);
});
Lino.art61.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByEnding
Lino.art61.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "subsidize_10", "type": "boolean" }, { "name": "subsidize_20", "type": "boolean" }, { "name": "subsidize_30", "type": "boolean" }, { "name": "subsidize_40", "type": "boolean" }, { "name": "subsidize_50", "type": "boolean" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 106,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.61-Konventionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id8471 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8472 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/client" }) }) });
    var client__national_id8473 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from8474 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended8475 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8476 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/user" }) }) });
    var type8477 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/type" }) }) });
    var signer18478 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/signer1" }) }) });
    var signer28479 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/signer2" }) }) });
    var company8480 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/company" }) }) });
    var contact_person8481 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/contact_person" }) }) });
    var contact_role8482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/contact_role" }) }) });
    var printed_by8483 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language8484 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until8485 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided8486 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued8487 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd8488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/user_asd" }) }) });
    var exam_policy8489 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/exam_policy" }) }) });
    var duration8490 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var reference_person8491 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities8492 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark8493 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title8494 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status8495 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Status ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/status" }) }) });
    var cv_duration8496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vertragsdauer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/cv_duration" }) }) });
    var regime8497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/regime" }) }) });
    var subsidize_108498 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_208499 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_308500 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_408501 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var subsidize_508502 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var ending8503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person8481.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities8492.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8480 !== 'undefined' && company8480.on('change',Lino.chooser_handler(contact_person8481,'company'));
      Lino.art61.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8471, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8472, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id8473, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from8474, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended8475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8476, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type8477, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.art61.ContractTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer18478, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer28479, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8480, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person8481, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role8482, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8484, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "applies_until", "editable": true, "editor": applies_until8485, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided8486, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued8487, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd8488, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.user_asd) ") }, "renderer": Lino.fk_renderer('user_asdHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy8489, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.exam_policy) ") }, "renderer": Lino.fk_renderer('exam_policyHidden','Lino.isip.ExamPolicies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration8490, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person8491, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities8492, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark8493, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "job_title", "editable": true, "editor": job_title8494, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "status", "editable": true, "editor": status8495, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.status) ") }, "renderer": Lino.fk_renderer('statusHidden','Lino.cv.Statuses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration8496, "filter": { "type": "string" }, "header": "Vertragsdauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.cv_duration) ") }, "renderer": Lino.fk_renderer('cv_durationHidden','Lino.cv.Durations.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "regime", "editable": true, "editor": regime8497, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.regime) ") }, "renderer": Lino.fk_renderer('regimeHidden','Lino.cv.Regimes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "subsidize_10", "editable": true, "filter": { "type": "boolean" }, "header": "Activa", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_10) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "subsidize_20", "editable": true, "filter": { "type": "boolean" }, "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_20) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "subsidize_30", "editable": true, "filter": { "type": "boolean" }, "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_30) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "subsidize_40", "editable": true, "filter": { "type": "boolean" }, "header": "SINE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_40) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 31, "dataIndex": "subsidize_50", "editable": true, "filter": { "type": "boolean" }, "header": "PTP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.subsidize_50) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 32, "dataIndex": "ending", "editable": true, "editor": ending8503, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.ending) ") }, "renderer": Lino.fk_renderer('endingHidden','Lino.isip.ContractEndings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByEnding.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    Lino.art61.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  return new Lino.art61.ContractsByEnding.insertPanel(p);
});
Lino.art61.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByEnding.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.61-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.61-Konvention", "overflowText": "Art.61-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    Lino.art61.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  return new Lino.art61.ContractsByEnding.detailPanel(p);
});
Lino.art61.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByEnding.GridPanel(p);
});
Lino.art61.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseOffersByProvider
Lino.xcourses.CourseOffersByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseOffersByProvider",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "title" }, { "name": "guest_role" }, 'guest_roleHidden', { "name": "content" }, 'contentHidden', { "name": "description" }, { "name": "provider" }, 'providerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByProvider','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByProvider','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByProvider','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByProvider.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByProvider.insert;
    var ww = this.containing_window;
    var id4750 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var title4751 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var guest_role4752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByProvider/guest_role" }) }) });
    var content4753 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByProvider/content" }) }) });
    var description4754 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var provider4755 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursanbieter ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByProvider/provider" }) }) });
    this.before_row_edit = function(record) {
      description4754.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id4750, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title4751, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "guest_role", "editable": true, "editor": guest_role4752, "filter": { "type": "string" }, "header": "Gastrolle", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.guest_role) Default guest role for particpants of events.") }, "renderer": Lino.fk_renderer('guest_roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "Default guest role for particpants of events.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content4753, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.content) ") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description4754, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "provider", "editable": true, "editor": provider4755, "filter": { "type": "string" }, "header": "Kursanbieter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByProvider.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.xcourses.CourseProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CourseOffersByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByProvider.insertPanel = Ext.extend(Lino.xcourses.CourseOffers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByProvider.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByProvider.insert;
    Lino.xcourses.CourseOffersByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseOffersByProvider" };
  return new Lino.xcourses.CourseOffersByProvider.insertPanel(p);
});
Lino.xcourses.CourseOffersByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByProvider.detailPanel = Ext.extend(Lino.xcourses.CourseOffers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByProvider.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByProvider.insert;
    Lino.xcourses.CourseOffersByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByProvider" };
  return new Lino.xcourses.CourseOffersByProvider.detailPanel(p);
});
Lino.xcourses.CourseOffersByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByProvider" };
  return new Lino.xcourses.CourseOffersByProvider.GridPanel(p);
});
Lino.xcourses.CourseOffersByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseOffersByContent
Lino.xcourses.CourseOffersByContent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseOffersByContent",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "title" }, { "name": "guest_role" }, 'guest_roleHidden', { "name": "provider" }, 'providerHidden', { "name": "description" }, { "name": "content" }, 'contentHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByContent','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByContent','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByContent','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByContent','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseOffersByContent','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursangebote",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByContent.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByContent.insert;
    var ww = this.containing_window;
    var id6269 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var title6270 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var guest_role6271 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByContent/guest_role" }) }) });
    var provider6272 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursanbieter ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByContent/provider" }) }) });
    var description6273 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var content6274 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffersByContent/content" }) }) });
    this.before_row_edit = function(record) {
      description6273.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6269, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title6270, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "guest_role", "editable": true, "editor": guest_role6271, "filter": { "type": "string" }, "header": "Gastrolle", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.guest_role) Default guest role for particpants of events.") }, "renderer": Lino.fk_renderer('guest_roleHidden','Lino.cal.GuestRoles.detail'), "sortable": false, "tooltip": "Default guest role for particpants of events.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "provider", "editable": true, "editor": provider6272, "filter": { "type": "string" }, "header": "Kursanbieter", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.xcourses.CourseProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description6273, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "content", "editable": true, "editor": content6274, "filter": { "type": "string" }, "header": "Kursinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseOffersByContent.content) ") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CourseOffersByContent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByContent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByContent.insertPanel = Ext.extend(Lino.xcourses.CourseOffers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByContent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByContent.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByContent.insert;
    Lino.xcourses.CourseOffersByContent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByContent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CourseOffersByContent" };
  return new Lino.xcourses.CourseOffersByContent.insertPanel(p);
});
Lino.xcourses.CourseOffersByContent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseOffersByContent.detailPanel = Ext.extend(Lino.xcourses.CourseOffers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kursangebot) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseOffersByContent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseOffersByContent.detail;
    this.ls_insert_handler = Lino.xcourses.CourseOffersByContent.insert;
    Lino.xcourses.CourseOffersByContent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseOffersByContent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByContent" };
  return new Lino.xcourses.CourseOffersByContent.detailPanel(p);
});
Lino.xcourses.CourseOffersByContent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseOffersByContent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseOffersByContent" };
  return new Lino.xcourses.CourseOffersByContent.GridPanel(p);
});
Lino.xcourses.CourseOffersByContent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseOffersByContent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CoursesByOffer
Lino.xcourses.CoursesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CoursesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "title" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "offer" }, 'offerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 110,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CoursesByOffer','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CoursesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CoursesByOffer','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CoursesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CoursesByOffer','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kurs) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_candidates", "menu_item_text": "Kandidatenliste", "overflowText": "Kandidatenliste", "panel_btn_handler": Lino.row_action_handler('print_candidates','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_participants", "menu_item_text": "Teilnehmerliste", "overflowText": "Teilnehmerliste", "panel_btn_handler": Lino.row_action_handler('print_participants','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kurse",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CoursesByOffer.detail;
    this.ls_insert_handler = Lino.xcourses.CoursesByOffer.insert;
    var ww = this.containing_window;
    var start_date4769 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var title4770 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark4771 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var id4772 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var offer4773 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CoursesByOffer/offer" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date4769, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title4770, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark4771, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4772, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "offer", "editable": true, "editor": offer4773, "filter": { "type": "string" }, "header": "Kursangebot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CoursesByOffer.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CoursesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CoursesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CoursesByOffer.insertPanel = Ext.extend(Lino.xcourses.Courses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/xcourses/CoursesByOffer",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CoursesByOffer.detail;
    this.ls_insert_handler = Lino.xcourses.CoursesByOffer.insert;
    Lino.xcourses.CoursesByOffer.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CoursesByOffer.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/xcourses/CoursesByOffer" };
  return new Lino.xcourses.CoursesByOffer.insertPanel(p);
});
Lino.xcourses.CoursesByOffer.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CoursesByOffer.detailPanel = Ext.extend(Lino.xcourses.Courses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kurs) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_candidates", "menu_item_text": "Kandidatenliste", "overflowText": "Kandidatenliste", "panel_btn_handler": Lino.row_action_handler('print_candidates','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "print_participants", "menu_item_text": "Teilnehmerliste", "overflowText": "Teilnehmerliste", "panel_btn_handler": Lino.row_action_handler('print_participants','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CoursesByOffer",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CoursesByOffer.detail;
    this.ls_insert_handler = Lino.xcourses.CoursesByOffer.insert;
    Lino.xcourses.CoursesByOffer.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CoursesByOffer.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CoursesByOffer" };
  return new Lino.xcourses.CoursesByOffer.detailPanel(p);
});
Lino.xcourses.CoursesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.print_candidates = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "print_candidates", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.print_participants = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "GET", pk, "print_participants", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CoursesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CoursesByOffer" };
  return new Lino.xcourses.CoursesByOffer.GridPanel(p);
});
Lino.xcourses.CoursesByOffer.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CoursesByOffer", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseRequestsByPerson
Lino.xcourses.CourseRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestsByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "content" }, 'contentHidden', { "name": "offer" }, 'offerHidden', { "name": "course" }, 'courseHidden', { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByPerson.detail;
    var ww = this.containing_window;
    var date_submitted1731 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var content1732 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/content" }) }) });
    var offer1733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/offer" }) }) });
    var course1734 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/course" }) }) });
    var urgent1735 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state1736 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended1737 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var remark1738 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id1739 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      offer1733.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content1732 !== 'undefined' && content1732.on('change',Lino.chooser_handler(offer1733,'content'));
      Lino.xcourses.CourseRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted1731, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "content", "editable": true, "editor": content1732, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.content) Der gew\u00fcnschte Kursinhalt.)") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(16) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer1733, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "course", "editable": true, "editor": course1734, "filter": { "type": "string" }, "header": "Kurs gefunden", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.course) The course which satisfies this request. Leave blank on open requests.") }, "renderer": Lino.fk_renderer('courseHidden','Lino.xcourses.Courses.detail'), "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state1736, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 6, "dataIndex": "date_ended", "editable": true, "editor": date_ended1737, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark1738, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id1739, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.xcourses.CourseRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseRequestsByPerson.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByPerson.detail;
    Lino.xcourses.CourseRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByPerson" };
  return new Lino.xcourses.CourseRequestsByPerson.detailPanel(p);
});
Lino.xcourses.CourseRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByPerson" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CourseRequestsByPerson.GridPanel(p);
});
Lino.xcourses.CourseRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CourseRequestsByContent
Lino.xcourses.CourseRequestsByContent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestsByContent",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "offer" }, 'offerHidden', { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "course" }, 'courseHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "content" }, 'contentHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByContent','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByContent','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByContent','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByContent','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByContent','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByContent.detail;
    var ww = this.containing_window;
    var id6277 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person6278 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/person" }) }) });
    var offer6279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/offer" }) }) });
    var date_submitted6280 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var urgent6281 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state6282 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var course6283 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/course" }) }) });
    var remark6284 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended6285 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var content6286 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByContent/content" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      offer6279.setContextValue('mk',bp['mk']);
      offer6279.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof content6286 !== 'undefined' && content6286.on('change',Lino.chooser_handler(offer6279,'content'));
      Lino.xcourses.CourseRequestsByContent.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6277, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person6278, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer6279, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted6280, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state6282, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 6, "dataIndex": "course", "editable": true, "editor": course6283, "filter": { "type": "string" }, "header": "Kurs gefunden", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.course) The course which satisfies this request. Leave blank on open requests.") }, "renderer": Lino.fk_renderer('courseHidden','Lino.xcourses.Courses.detail'), "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark6284, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "date_ended", "editable": true, "editor": date_ended6285, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "content", "editable": true, "editor": content6286, "filter": { "type": "string" }, "header": "Kursinhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByContent.content) Der gew\u00fcnschte Kursinhalt.)") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CourseRequestsByContent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByContent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseRequestsByContent.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseRequestsByContent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByContent.detail;
    Lino.xcourses.CourseRequestsByContent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByContent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByContent" };
  return new Lino.xcourses.CourseRequestsByContent.detailPanel(p);
});
Lino.xcourses.CourseRequestsByContent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByContent" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CourseRequestsByContent.GridPanel(p);
});
Lino.xcourses.CourseRequestsByContent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByContent.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByContent", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.RequestsByCourse
Lino.xcourses.RequestsByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/RequestsByCourse",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "offer" }, 'offerHidden', { "name": "content" }, 'contentHidden', { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "course" }, 'courseHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/RequestsByCourse','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/RequestsByCourse','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/RequestsByCourse','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/RequestsByCourse','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/RequestsByCourse','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.RequestsByCourse.detail;
    var ww = this.containing_window;
    var id8505 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person8506 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/person" }) }) });
    var offer8507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/offer" }) }) });
    var content8508 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/content" }) }) });
    var date_submitted8509 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var urgent8510 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state8511 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var remark8512 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended8513 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var course8514 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/RequestsByCourse/course" }) }) });
    this.before_row_edit = function(record) {
      offer8507.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content8508 !== 'undefined' && content8508.on('change',Lino.chooser_handler(offer8507,'content'));
      Lino.xcourses.RequestsByCourse.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8505, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8506, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer8507, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.offer) ") }, "renderer": Lino.fk_renderer('offerHidden','Lino.xcourses.CourseOffers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content8508, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.content) Der gew\u00fcnschte Kursinhalt.)") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted8509, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state8511, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark8512, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "date_ended", "editable": true, "editor": date_ended8513, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "course", "editable": true, "editor": course8514, "filter": { "type": "string" }, "header": "Kurs gefunden", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.RequestsByCourse.course) The course which satisfies this request. Leave blank on open requests.") }, "renderer": Lino.fk_renderer('courseHidden','Lino.xcourses.Courses.detail'), "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) } ];
    Lino.xcourses.RequestsByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.RequestsByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.RequestsByCourse.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/RequestsByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.RequestsByCourse.detail;
    Lino.xcourses.RequestsByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.RequestsByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/RequestsByCourse" };
  return new Lino.xcourses.RequestsByCourse.detailPanel(p);
});
Lino.xcourses.RequestsByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/RequestsByCourse" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.RequestsByCourse.GridPanel(p);
});
Lino.xcourses.RequestsByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.RequestsByCourse.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/RequestsByCourse", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.ParticipantsByCourse
Lino.xcourses.ParticipantsByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/ParticipantsByCourse",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/ParticipantsByCourse','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/ParticipantsByCourse','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/ParticipantsByCourse','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/ParticipantsByCourse','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/ParticipantsByCourse','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Teilnehmer",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.ParticipantsByCourse.detail;
    var ww = this.containing_window;
    var person4383 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/ParticipantsByCourse/person" }) }) });
    var remark4384 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_ended4385 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var workflow_buttons_disp4386 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person4383, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark4384, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended4385, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.ParticipantsByCourse.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(61) } ];
    Lino.xcourses.ParticipantsByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.ParticipantsByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.ParticipantsByCourse.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/ParticipantsByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.ParticipantsByCourse.detail;
    Lino.xcourses.ParticipantsByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.ParticipantsByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/ParticipantsByCourse" };
  return new Lino.xcourses.ParticipantsByCourse.detailPanel(p);
});
Lino.xcourses.ParticipantsByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/ParticipantsByCourse" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.ParticipantsByCourse.GridPanel(p);
});
Lino.xcourses.ParticipantsByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.ParticipantsByCourse.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/ParticipantsByCourse", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xcourses.CandidatesByCourse
Lino.xcourses.CandidatesByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CandidatesByCourse",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "remark" }, { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "workflow_buttons" }, { "name": "content" }, 'contentHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CandidatesByCourse','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CandidatesByCourse','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CandidatesByCourse','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CandidatesByCourse','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CandidatesByCourse','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of xcourses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidaten",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CandidatesByCourse.detail;
    var ww = this.containing_window;
    var person4389 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CandidatesByCourse/person" }) }) });
    var remark4390 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var date_submitted4391 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var workflow_buttons_disp4392 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var content4393 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CandidatesByCourse/content" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person4389, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.person) Le client qui d\u00e9sire suivre un cours.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Le client qui d\u00e9sire suivre un cours.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark4390, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted4391, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content4393, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CandidatesByCourse.content) Der gew\u00fcnschte Kursinhalt.)") }, "renderer": Lino.fk_renderer('contentHidden','Lino.xcourses.CourseContents.detail'), "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(21) } ];
    Lino.xcourses.CandidatesByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CandidatesByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CandidatesByCourse.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CandidatesByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CandidatesByCourse.detail;
    Lino.xcourses.CandidatesByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CandidatesByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CandidatesByCourse" };
  return new Lino.xcourses.CandidatesByCourse.detailPanel(p);
});
Lino.xcourses.CandidatesByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CandidatesByCourse" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CandidatesByCourse.GridPanel(p);
});
Lino.xcourses.CandidatesByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CandidatesByCourse.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CandidatesByCourse", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.CompetencesByUser
Lino.newcomers.CompetencesByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/CompetencesByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 114,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1313 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty1314 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/faculty" }) }) });
    var weight1315 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id1316 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user1317 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1313, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty1314, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.faculty) ") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight1315, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1316, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user1317, "filter": { "type": "string" }, "header": "Benutzer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.CompetencesByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.CompetencesByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/CompetencesByUser" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.CompetencesByUser.GridPanel(p);
});
Lino.newcomers.CompetencesByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.CompetencesByFaculty
Lino.newcomers.CompetencesByFaculty.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/CompetencesByFaculty",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 114,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByFaculty','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByFaculty','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByFaculty','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByFaculty','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByFaculty','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var user3170 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByFaculty/user" }) }) });
    var weight3171 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id3172 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno3173 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var faculty3174 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByFaculty/faculty" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user3170, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByFaculty.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "weight", "editable": true, "editor": weight3171, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByFaculty.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id3172, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByFaculty.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "seqno", "editable": true, "editor": seqno3173, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByFaculty.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "faculty", "editable": true, "editor": faculty3174, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByFaculty.faculty) ") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.newcomers.CompetencesByFaculty.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.CompetencesByFaculty.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/CompetencesByFaculty" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.CompetencesByFaculty.GridPanel(p);
});
Lino.newcomers.CompetencesByFaculty.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByFaculty.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByFaculty", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.MyCompetences
Lino.newcomers.MyCompetences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/MyCompetences",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 114,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Kompetenzen",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno8516 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty8517 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/faculty" }) }) });
    var weight8518 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id8519 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user8520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno8516, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty8517, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.faculty) ") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight8518, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8519, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user8520, "filter": { "type": "string" }, "header": "Benutzer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.MyCompetences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.MyCompetences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/MyCompetences" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.MyCompetences.GridPanel(p);
});
Lino.newcomers.MyCompetences.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.ClientsByFaculty
Lino.newcomers.ClientsByFaculty.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/ClientsByFaculty",
  ls_store_fields : [ { "name": "name_column" }, { "name": "broker" }, 'brokerHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "has_esf", "type": "boolean" }, { "name": "age" }, { "name": "faculty" }, 'facultyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    var ww = this.containing_window;
    var name_column_disp3177 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var broker3178 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/broker" }) }) });
    var address_column_disp3179 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id3180 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email3181 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language3182 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url3183 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone3184 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm3185 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax3186 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified3187 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created3188 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country3189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/country" }) }) });
    var city3190 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/city" }) }) });
    var zip_code3191 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region3192 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/region" }) }) });
    var addr13193 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix3194 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street3195 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no3196 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box3197 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr23198 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix3199 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name3200 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3201 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete3202 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity3203 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/activity" }) }) });
    var client_contact_type3204 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/client_contact_type" }) }) });
    var payment_term3205 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/payment_term" }) }) });
    var title3206 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name3207 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name3208 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name3209 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender3210 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date3211 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state3212 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id3213 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var nationality3214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/nationality" }) }) });
    var birth_country3215 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/birth_country" }) }) });
    var birth_place3216 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number3217 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from3218 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until3219 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type3220 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer3221 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text3222 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition3223 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group3224 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/group" }) }) });
    var civil_state3225 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type3226 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since3227 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until3228 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since3229 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since3230 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit3231 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit3232 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until3233 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type3234 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/aid_type" }) }) });
    var declared_name3235 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking3236 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until3237 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why3238 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles3239 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills3240 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact3241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/job_office_contact" }) }) });
    var refusal_reason3242 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks23243 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id3244 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id3245 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas3246 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior3247 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance3248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/health_insurance" }) }) });
    var pharmacy3249 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/pharmacy" }) }) });
    var income_ag3250 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg3251 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg3252 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente3253 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc3254 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents3255 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var has_esf3256 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var age_disp3257 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp3257 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var faculty3258 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/faculty" }) }) });
    this.before_row_edit = function(record) {
      city3190.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3190.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region3192.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3189 !== 'undefined' && country3189.on('change',Lino.chooser_handler(city3190,'country'));
      typeof region3192 !== 'undefined' && region3192.on('change',Lino.chooser_handler(city3190,'region'));
      typeof country3189 !== 'undefined' && country3189.on('change',Lino.chooser_handler(region3192,'country'));
      Lino.newcomers.ClientsByFaculty.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "broker", "editable": true, "editor": broker3178, "filter": { "type": "string" }, "header": "Vermittler", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.address_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id3180, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email3181, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language3182, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url3183, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone3184, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm3185, "filter": { "type": "string" }, "header": "Handy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax3186, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country3189, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.country) ") }, "renderer": Lino.fk_renderer('countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city3190, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "renderer": Lino.fk_renderer('cityHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code3191, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region3192, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.region) ") }, "renderer": Lino.fk_renderer('regionHidden','Lino.countries.Places.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr13193, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix3194, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street3195, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no3196, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box3197, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr23198, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix3199, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "name", "editable": true, "editor": name3200, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "activity", "editable": true, "editor": activity3203, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type3204, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_contact_type) ") }, "renderer": Lino.fk_renderer('client_contact_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "payment_term", "editable": true, "editor": payment_term3205, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.payment_term) The default payment term for sales invoices to this customer.") }, "renderer": Lino.fk_renderer('payment_termHidden','Lino.ledger.PaymentTerms.detail'), "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "title", "editable": true, "editor": title3206, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "first_name", "editable": true, "editor": first_name3207, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "middle_name", "editable": true, "editor": middle_name3208, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "last_name", "editable": true, "editor": last_name3209, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "gender", "editable": true, "editor": gender3210, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 34, "dataIndex": "birth_date", "editable": true, "editor": birth_date3211, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 35, "dataIndex": "client_state", "editable": true, "editor": client_state3212, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 36, "dataIndex": "national_id", "editable": true, "editor": national_id3213, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "nationality", "editable": true, "editor": nationality3214, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "renderer": Lino.fk_renderer('nationalityHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 38, "dataIndex": "birth_country", "editable": true, "editor": birth_country3215, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_country) ") }, "renderer": Lino.fk_renderer('birth_countryHidden','Lino.countries.Countries.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 39, "dataIndex": "birth_place", "editable": true, "editor": birth_place3216, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 40, "dataIndex": "card_number", "editable": true, "editor": card_number3217, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from3218, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 42, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until3219, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 43, "dataIndex": "card_type", "editable": true, "editor": card_type3220, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 44, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer3221, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 45, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text3222, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 46, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition3223, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 47, "dataIndex": "group", "editable": true, "editor": group3224, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 48, "dataIndex": "civil_state", "editable": true, "editor": civil_state3225, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 49, "dataIndex": "residence_type", "editable": true, "editor": residence_type3226, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 50, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since3227, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 51, "dataIndex": "residence_until", "editable": true, "editor": residence_until3228, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 52, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since3229, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since3230, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 54, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until3233, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "aid_type", "editable": true, "editor": aid_type3234, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 58, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 59, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 60, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until3237, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 61, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why3238, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 62, "dataIndex": "obstacles", "editable": true, "editor": obstacles3239, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "skills", "editable": true, "editor": skills3240, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 64, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact3241, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 65, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason3242, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 66, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 67, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id3244, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 68, "dataIndex": "tim_id", "editable": true, "editor": tim_id3245, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 69, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance3248, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 72, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy3249, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 73, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 75, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 76, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 77, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "job_agents", "editable": true, "editor": job_agents3255, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 79, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 80, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 81, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 82, "dataIndex": "faculty", "editable": true, "editor": faculty3258, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.faculty) The Faculty this client has been attributed to.") }, "renderer": Lino.fk_renderer('facultyHidden','Lino.newcomers.Faculties.detail'), "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.ClientsByFaculty.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.insertPanel(p);
});
Lino.newcomers.ClientsByFaculty.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-book_link", "itemId": "due", "menu_item_text": "Schulden", "overflowText": "Schulden", "panel_btn_handler": Lino.row_action_handler('due','GET',null), "tooltip": "Schulden", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.detailPanel(p);
});
Lino.newcomers.ClientsByFaculty.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.newcomers.ClientsByFaculty.GridPanel(p);
});
Lino.newcomers.ClientsByFaculty.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.AvailableCoachesByClient
Lino.newcomers.AvailableCoachesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/AvailableCoachesByClient",
  ls_store_fields : [ { "name": "name_column" }, { "name": "workflow_buttons" }, { "name": "primary_clients" }, { "name": "new_clients" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "current_weight" }, { "name": "added_weight" }, { "name": "score" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of newcomers.", "tooltipType": "title" }, { "auto_save": true, "itemId": "assign_coach", "menu_item_text": "Zuweisen", "overflowText": "Zuweisen", "panel_btn_handler": Lino.param_action_handler(Lino.newcomers.AvailableCoachesByClient.assign_coach), "text": "Zuweisen", "tooltip": "Mixin for notifying actions.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verf\u00fcgbare Begleiter",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoachesByClient.detail;
    var ww = this.containing_window;
    var name_column_disp1184 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var workflow_buttons_disp1185 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary_clients1186 = new Ext.form.NumberField({ "disabled": true });
    var new_clients1187 = new Ext.form.NumberField({ "disabled": true });
    var newcomer_quota1188 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var current_weight1189 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var added_weight1190 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var score1191 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.name_column) ") }, "sortable": false, "tooltip": "(newcomers.AvailableCoachesByClient.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 2, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Komplette Akten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.primary_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoachesByClient.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "new_clients", "editable": false, "format": "0", "header": "Neue Klienten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.new_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoachesByClient.new_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota1188, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "current_weight", "editable": false, "format": "0.000/i", "header": "Belastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.current_weight) Momentane Gesamtbelastung dieses Benutzers durch neue Klienten.\nSumme der Belastungspunkte pro neuem Klient.") }, "sortable": true, "tooltip": "Momentane Gesamtbelastung dieses Benutzers durch neue Klienten.\nSumme der Belastungspunkte pro neuem Klient.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "added_weight", "editable": false, "format": "0.000/i", "header": "Mehrbelastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.added_weight) Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.") }, "sortable": true, "tooltip": "Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "score", "editable": false, "format": "0.000,00/i", "header": "Mehrbelastung (%)", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.score) Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.") }, "sortable": true, "tooltip": "Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.", "width": Lino.chars2width(11), "xtype": "numbercolumn" } ];
    Lino.newcomers.AvailableCoachesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoachesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.AvailableCoachesByClient.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "assign_coach", "menu_item_text": "Zuweisen", "overflowText": "Zuweisen", "panel_btn_handler": Lino.param_action_handler(Lino.newcomers.AvailableCoachesByClient.assign_coach), "text": "Zuweisen", "tooltip": "Mixin for notifying actions.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  ls_url: "/newcomers/AvailableCoachesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoachesByClient.detail;
    Lino.newcomers.AvailableCoachesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoachesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoachesByClient" };
  return new Lino.newcomers.AvailableCoachesByClient.detailPanel(p);
});
Lino.newcomers.AvailableCoachesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoachesByClient" };
  p.params_panel = new Lino.newcomers.AvailableCoaches.ParamsPanel({});
  return new Lino.newcomers.AvailableCoachesByClient.GridPanel(p);
});
Lino.newcomers.AvailableCoachesByClient.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyRequestsByPerson
Lino.cbss.IdentifyRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "environment" }, { "name": "ticket" }, { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    var ww = this.containing_window;
    var user8522 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/user" }) }) });
    var sent8523 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8524 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var id8525 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8526 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var environment8527 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "hidden": true, "maxLength": 4 });
    var ticket8528 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 36 });
    var request_xml8529 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8530 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8531 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8532 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8533 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8534 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no8535 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8536 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8537 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8538 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8539 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8540 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance8541 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var person8542 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8522, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8525, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 6, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "national_id", "editable": true, "editor": national_id8533, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "birth_date", "editable": true, "editor": birth_date8534, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 13, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8535, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8536, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "first_name", "editable": true, "editor": first_name8537, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "last_name", "editable": true, "editor": last_name8538, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "middle_name", "editable": true, "editor": middle_name8539, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "gender", "editable": true, "editor": gender8540, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 19, "dataIndex": "tolerance", "editable": true, "editor": tolerance8541, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "person", "editable": true, "editor": person8542, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.insertPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.detailPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyRequestsByPerson.GridPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequestsByPerson
Lino.cbss.ManageAccessRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    var ww = this.containing_window;
    var user8544 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/user" }) }) });
    var person8545 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/person" }) }) });
    var environment8546 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8547 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8548 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8549 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8550 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8551 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8552 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8553 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8554 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8555 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8556 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8557 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no8558 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8559 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8560 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8561 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector8562 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose8563 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/purpose" }) }) });
    var start_date8564 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date8565 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action8566 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register8567 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose8563.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector8562 !== 'undefined' && sector8562.on('change',Lino.chooser_handler(purpose8563,'sector'));
      Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8544, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8545, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8556, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8557, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8558, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8559, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8560, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8561, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose8563, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date8564, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date8565, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action8566, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register8567, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) } ];
    Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.insertPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.detailPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequestsByPerson.GridPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequestsByPerson
Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 119,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    var ww = this.containing_window;
    var user8569 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/user" }) }) });
    var person8570 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/person" }) }) });
    var environment8571 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8572 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8573 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8574 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8575 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8576 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8577 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8578 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8579 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8580 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8581 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language8582 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history8583 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8569, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8570, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8575, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8581, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8582, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class humanlinks.LinksByHuman
Lino.humanlinks.LinksByHuman.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/humanlinks/LinksByHuman",
  ls_store_fields : [ { "name": "parent" }, 'parentHidden', { "name": "type_as_parent" }, { "name": "child" }, 'childHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 123,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Personsl Link) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of humanlinks.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beziehungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    var ww = this.containing_window;
    var parent8585 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/parent" }) }) });
    var type_as_parent_disp8586 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var child8587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/child" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "parent", "editable": true, "editor": parent8585, "filter": { "type": "string" }, "header": "Wer ist...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.parent) Pointer to the person who is \"parent\".") }, "renderer": Lino.fk_renderer('parentHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"parent\".", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type_as_parent", "editable": false, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.type_as_parent) Displays LinkTypes.as_parent() for this link.") }, "sortable": false, "tooltip": "Displays LinkTypes.as_parent() for this link.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "child", "editable": true, "editor": child8587, "filter": { "type": "string" }, "header": "Von wem...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.child) Pointer to the person who is \"child\".") }, "renderer": Lino.fk_renderer('childHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"child\".", "width": Lino.chars2width(21) } ];
    Lino.humanlinks.LinksByHuman.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.insertPanel = Ext.extend(Lino.humanlinks.Links.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.insertPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.detailPanel = Ext.extend(Lino.humanlinks.Links.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Personsl Link) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.detailPanel(p);
});
Lino.humanlinks.LinksByHuman.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.GridPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.AccountsByGroup
Lino.debts.AccountsByGroup.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AccountsByGroup",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "default_amount" }, { "name": "periods" }, { "name": "required_for_household", "type": "boolean" }, { "name": "required_for_person", "type": "boolean" }, { "name": "group" }, 'groupHidden', { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.debts.Accounts.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Konten",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    var ww = this.containing_window;
    var ref5778 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name5779 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr5780 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en5781 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var default_amount5782 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var periods5783 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var required_for_household5784 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var required_for_person5785 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var group5786 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontengruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AccountsByGroup/group" }) }) });
    var id5787 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno5788 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type5789 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref5778, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.ref) An optional unique name which can be used to reference a given\naccount.") }, "sortable": true, "tooltip": "An optional unique name which can be used to reference a given\naccount.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name5779, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name) The multilingual designation of this account, as the users see\nit.") }, "sortable": true, "tooltip": "The multilingual designation of this account, as the users see\nit.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr5780, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en5781, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "default_amount", "editable": true, "editor": default_amount5782, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.default_amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "periods", "editable": true, "editor": periods5783, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "sortable": true, "tooltip": "For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "required_for_household", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Haushalte", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_household) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "required_for_person", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Personen", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "group", "editable": true, "editor": group5786, "filter": { "type": "string" }, "header": "Kontengruppe", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "renderer": Lino.fk_renderer('groupHidden','Lino.debts.Groups.detail'), "sortable": false, "tooltip": "The account group to which this account belongs.  This must\npoint to an instance of Group.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id5787, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno5788, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.seqno) The sequence number of this account within its group.") }, "sortable": true, "tooltip": "The sequence number of this account within its group.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "type", "editable": true, "editor": type5789, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "sortable": false, "tooltip": "The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.", "width": Lino.chars2width(19) } ];
    Lino.debts.AccountsByGroup.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.insertPanel = Ext.extend(Lino.debts.Accounts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.insertPanel(p);
});
Lino.debts.AccountsByGroup.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.detailPanel = Ext.extend(Lino.debts.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-arrow_join", "itemId": "merge_row", "menu_item_text": "Fusionieren", "overflowText": "Fusionieren", "panel_btn_handler": Lino.param_action_handler(Lino.debts.Accounts.merge_row), "tooltip": "Fusionieren", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.detailPanel(p);
});
Lino.debts.AccountsByGroup.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.GridPanel(p);
});
Lino.debts.AccountsByGroup.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.ActorsByBudget
Lino.debts.ActorsByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ActorsByBudget",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "partner" }, 'partnerHidden', { "name": "header" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "budget" }, 'budgetHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Budget-Akteure",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno2370 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var partner2371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByBudget/partner" }) }) });
    var header2372 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var remark2373 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Bemerkung" });
    var id2374 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var budget2375 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByBudget/budget" }) }) });
    this.before_row_edit = function(record) {
      remark2373.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno2370, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner2371, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "header", "editable": true, "editor": header2372, "filter": { "type": "string" }, "header": "Kolonnen\u00fcberschrift", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.header) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark2373, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2374, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "budget", "editable": true, "editor": budget2375, "filter": { "type": "string" }, "header": "Budget", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.budget) ") }, "renderer": Lino.fk_renderer('budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.debts.ActorsByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ActorsByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ActorsByBudget" };
  return new Lino.debts.ActorsByBudget.GridPanel(p);
});
Lino.debts.ActorsByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.ActorsByPartner
Lino.debts.ActorsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ActorsByPartner",
  ls_store_fields : [ { "name": "budget" }, 'budgetHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "partner" }, 'partnerHidden', { "name": "header" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ist Akteur in folgenden Budgets:",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var budget2465 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByPartner/budget" }) }) });
    var seqno2466 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var partner2467 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByPartner/partner" }) }) });
    var header2468 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var remark2469 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Bemerkung" });
    var id2470 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      remark2469.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "budget", "editable": true, "editor": budget2465, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.budget) ") }, "renderer": Lino.fk_renderer('budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno2466, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner2467, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "header", "editable": true, "editor": header2468, "filter": { "type": "string" }, "header": "Kolonnen\u00fcberschrift", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.header) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark2469, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2470, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.ActorsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ActorsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ActorsByPartner" };
  return new Lino.debts.ActorsByPartner.GridPanel(p);
});
Lino.debts.ActorsByPartner.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.BudgetsByPartner
Lino.debts.BudgetsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/BudgetsByPartner",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "print_todos", "type": "boolean" }, { "name": "print_empty_rows", "type": "boolean" }, { "name": "include_yearly_incomes", "type": "boolean" }, { "name": "intro" }, { "name": "conclusion" }, { "name": "dist_amount" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ist Hauptpartner in folgenden Budgets:",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.BudgetsByPartner.detail;
    this.ls_insert_handler = Lino.debts.BudgetsByPartner.insert;
    var ww = this.containing_window;
    var id2348 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user2349 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/BudgetsByPartner/user" }) }) });
    var printed_by2350 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var date2351 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var print_todos2352 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var print_empty_rows2353 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var include_yearly_incomes2354 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var intro2355 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Einleitung" });
    var conclusion2356 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount2357 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 120 });
    var partner2358 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/BudgetsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      intro2355.refresh();
      conclusion2356.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2348, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2349, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date", "editable": true, "editor": date2351, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "print_todos", "editable": true, "filter": { "type": "boolean" }, "header": "To-do-Liste drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "sortable": false, "tooltip": "Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "print_empty_rows", "editable": true, "filter": { "type": "boolean" }, "header": "Auch leere Eintr\u00e4ge drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.print_empty_rows) Check this to print also empty rows for later completion.") }, "sortable": false, "tooltip": "Check this to print also empty rows for later completion.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "include_yearly_incomes", "editable": true, "filter": { "type": "boolean" }, "header": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "sortable": false, "tooltip": "Check this to include yearly incomes in the Debts Overview table of this Budget.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "intro", "editable": true, "editor": intro2355, "filter": { "type": "string" }, "header": "Einleitung", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.intro) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "conclusion", "editable": true, "editor": conclusion2356, "filter": { "type": "string" }, "header": "Schlussfolgerung", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.conclusion) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "dist_amount", "editable": true, "editor": dist_amount2357, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Verteilbarer Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "sortable": true, "tooltip": "Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "partner", "editable": true, "editor": partner2358, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.debts.BudgetsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.BudgetsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.BudgetsByPartner.insertPanel = Ext.extend(Lino.debts.Budgets.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/BudgetsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.BudgetsByPartner.detail;
    this.ls_insert_handler = Lino.debts.BudgetsByPartner.insert;
    Lino.debts.BudgetsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.BudgetsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/BudgetsByPartner" };
  return new Lino.debts.BudgetsByPartner.insertPanel(p);
});
Lino.debts.BudgetsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.BudgetsByPartner.detailPanel = Ext.extend(Lino.debts.Budgets.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/BudgetsByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.BudgetsByPartner.detail;
    this.ls_insert_handler = Lino.debts.BudgetsByPartner.insert;
    Lino.debts.BudgetsByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.BudgetsByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/BudgetsByPartner" };
  return new Lino.debts.BudgetsByPartner.detailPanel(p);
});
Lino.debts.BudgetsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/BudgetsByPartner" };
  p.params_panel = new Lino.debts.Budgets.ParamsPanel({});
  return new Lino.debts.BudgetsByPartner.GridPanel(p);
});
Lino.debts.BudgetsByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.EntriesByAccount
Lino.debts.EntriesByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/EntriesByAccount",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "budget" }, 'budgetHidden', { "name": "account_type" }, 'account_typeHidden', { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "circa", "type": "boolean" }, { "name": "distribute", "type": "boolean" }, { "name": "todo" }, { "name": "remark" }, { "name": "description" }, { "name": "periods" }, { "name": "monthly_rate" }, { "name": "bailiff" }, 'bailiffHidden', { "name": "account" }, 'accountHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByAccount','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByAccount','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByAccount','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eintr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var id5814 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno5815 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var budget5816 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByAccount/budget" }) }) });
    var account_type5817 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var partner5818 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByAccount/partner" }) }) });
    var amount5819 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor5820 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByAccount/actor" }) }) });
    var circa5821 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var distribute5822 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var todo5823 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark5824 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description5825 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var periods5826 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var monthly_rate5827 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var bailiff5828 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByAccount/bailiff" }) }) });
    var account5829 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByAccount/account" }) }) });
    this.before_row_edit = function(record) {
      actor5820.setContextValue('budget', record ? record.data['budgetHidden'] : undefined);
      account5829.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof budget5816 !== 'undefined' && budget5816.on('change',Lino.chooser_handler(actor5820,'budget'));
      typeof account_type5817 !== 'undefined' && account_type5817.on('change',Lino.chooser_handler(account5829,'account_type'));
      Lino.debts.EntriesByAccount.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5814, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno5815, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "budget", "editable": true, "editor": budget5816, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.budget) ") }, "renderer": Lino.fk_renderer('budgetHidden','Lino.debts.Budgets.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account_type", "editable": true, "editor": account_type5817, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 4, "dataIndex": "partner", "editable": true, "editor": partner5818, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "amount", "editable": true, "editor": amount5819, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "actor", "editable": true, "editor": actor5820, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "circa", "editable": true, "filter": { "type": "boolean" }, "header": "ca.", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.circa) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "distribute", "editable": true, "filter": { "type": "boolean" }, "header": "Verteilen", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.distribute) Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.") }, "sortable": false, "tooltip": "Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "todo", "editable": true, "editor": todo5823, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remark", "editable": true, "editor": remark5824, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "description", "editable": true, "editor": description5825, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.description) Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 12, "dataIndex": "periods", "editable": true, "editor": periods5826, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 13, "dataIndex": "monthly_rate", "editable": true, "editor": monthly_rate5827, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monatsrate", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.monthly_rate) \nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ") }, "sortable": true, "tooltip": "\nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 14, "dataIndex": "bailiff", "editable": true, "editor": bailiff5828, "filter": { "type": "string" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.bailiff) Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency") }, "renderer": Lino.fk_renderer('bailiffHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "account", "editable": true, "editor": account5829, "filter": { "type": "string" }, "header": "Konto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByAccount.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) } ];
    Lino.debts.EntriesByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.EntriesByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/EntriesByAccount" };
  return new Lino.debts.EntriesByAccount.GridPanel(p);
});
Lino.debts.EntriesByAccount.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByAccount.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByAccount", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.EntriesByBudget
Lino.debts.EntriesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/EntriesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "description" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "periods" }, { "name": "remark" }, { "name": "move_buttons" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eintr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var account15063 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByBudget/account" }) }) });
    var description15064 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount15065 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor15066 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByBudget/actor" }) }) });
    var periods15067 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var remark15068 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp15069 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var seqno15070 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var todo15071 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id15072 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account15063.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor15066.setContextValue('mk',bp['mk']);
      actor15066.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account15063, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "description", "editable": true, "editor": description15064, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.description) Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount15065, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor15066, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "periods", "editable": true, "editor": periods15067, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark15068, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno15070, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "todo", "editable": true, "editor": todo15071, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id15072, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.EntriesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.EntriesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/EntriesByBudget" };
  return new Lino.debts.EntriesByBudget.GridPanel(p);
});
Lino.debts.EntriesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.ExpensesByBudget
Lino.debts.ExpensesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ExpensesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "description" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "periods" }, { "name": "remark" }, { "name": "move_buttons" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausgaben",
  initComponent : function() {
    var ww = this.containing_window;
    var account2379 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ExpensesByBudget/account" }) }) });
    var description2380 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount2381 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor2382 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ExpensesByBudget/actor" }) }) });
    var periods2383 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var remark2384 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp2385 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var seqno2386 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var todo2387 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2388 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account2379.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor2382.setContextValue('mk',bp['mk']);
      actor2382.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account2379, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "description", "editable": true, "editor": description2380, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.description) Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount2381, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor2382, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "periods", "editable": true, "editor": periods2383, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark2384, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno2386, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "todo", "editable": true, "editor": todo2387, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2388, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.ExpensesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ExpensesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ExpensesByBudget" };
  return new Lino.debts.ExpensesByBudget.GridPanel(p);
});
Lino.debts.ExpensesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.IncomesByBudget
Lino.debts.IncomesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/IncomesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "description" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "periods" }, { "name": "remark" }, { "name": "move_buttons" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Incomes",
  initComponent : function() {
    var ww = this.containing_window;
    var account2391 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/IncomesByBudget/account" }) }) });
    var description2392 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount2393 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor2394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/IncomesByBudget/actor" }) }) });
    var periods2395 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var remark2396 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp2397 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var seqno2398 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var todo2399 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2400 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account2391.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor2394.setContextValue('mk',bp['mk']);
      actor2394.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account2391, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "description", "editable": true, "editor": description2392, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.description) Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung\nausgef\u00fcllt. Kann man aber manuell \u00e4ndern.\nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie\n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount2393, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor2394, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "periods", "editable": true, "editor": periods2395, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht.\nAlso bei monatlichen Ausgaben steht hier 1,\nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark2396, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno2398, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "todo", "editable": true, "editor": todo2399, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2400, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.IncomesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.IncomesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/IncomesByBudget" };
  return new Lino.debts.IncomesByBudget.GridPanel(p);
});
Lino.debts.IncomesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.LiabilitiesByBudget
Lino.debts.LiabilitiesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/LiabilitiesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "bailiff" }, 'bailiffHidden', { "name": "distribute", "type": "boolean" }, { "name": "monthly_rate" }, { "name": "move_buttons" }, { "name": "todo" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verpflichtungen",
  initComponent : function() {
    var ww = this.containing_window;
    var account2404 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/account" }) }) });
    var partner2405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/partner" }) }) });
    var remark2406 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount2407 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor2408 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/actor" }) }) });
    var bailiff2409 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/bailiff" }) }) });
    var distribute2410 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var monthly_rate2411 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var move_buttons_disp2412 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var todo2413 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var seqno2414 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var id2415 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account2404.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor2408.setContextValue('mk',bp['mk']);
      actor2408.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account2404, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner2405, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark2406, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount2407, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "actor", "editable": true, "editor": actor2408, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "bailiff", "editable": true, "editor": bailiff2409, "filter": { "type": "string" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.bailiff) Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency") }, "renderer": Lino.fk_renderer('bailiffHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "distribute", "editable": true, "filter": { "type": "boolean" }, "header": "Verteilen", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.distribute) Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.") }, "sortable": false, "tooltip": "Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "monthly_rate", "editable": true, "editor": monthly_rate2411, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monatsrate", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.monthly_rate) \nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ") }, "sortable": true, "tooltip": "\nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird.\nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 9, "dataIndex": "todo", "editable": true, "editor": todo2413, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno2414, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id2415, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.LiabilitiesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.LiabilitiesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/LiabilitiesByBudget" };
  return new Lino.debts.LiabilitiesByBudget.GridPanel(p);
});
Lino.debts.LiabilitiesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.AssetsByBudget
Lino.debts.AssetsByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AssetsByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "remark" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "move_buttons" }, { "name": "todo" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verm\u00f6gen",
  initComponent : function() {
    var ww = this.containing_window;
    var account2418 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AssetsByBudget/account" }) }) });
    var remark2419 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount2420 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor2421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AssetsByBudget/actor" }) }) });
    var move_buttons_disp2422 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var todo2423 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var seqno2424 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var id2425 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account2418.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor2421.setContextValue('mk',bp['mk']);
      actor2421.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account2418, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.account) The related Account.") }, "renderer": Lino.fk_renderer('accountHidden','Lino.debts.Accounts.detail'), "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark2419, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount2420, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor2421, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag\nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 5, "dataIndex": "todo", "editable": true, "editor": todo2423, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "seqno", "editable": true, "editor": seqno2424, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id2425, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.AssetsByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AssetsByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AssetsByBudget" };
  return new Lino.debts.AssetsByBudget.GridPanel(p);
});
Lino.debts.AssetsByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.DistByBudget
Lino.debts.DistByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/DistByBudget",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "description" }, { "name": "amount" }, { "name": "dist_perc" }, { "name": "dist_amount" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 128,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Schuldenverteilung",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var partner15074 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/DistByBudget/partner" }) }) });
    var description_disp15075 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount15076 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var dist_perc15077 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var dist_amount15078 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner15074, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.description) ") }, "sortable": false, "tooltip": "(debts.DistByBudget.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount15076, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "dist_perc", "editable": false, "format": "0.000,00/i", "header": "%", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.dist_perc) ") }, "sortable": true, "tooltip": "(debts.DistByBudget.dist_perc) ", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "dist_amount", "editable": false, "format": "0.000,00/i", "header": "Betrag der monatlichen R\u00fcckzahlung", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.dist_amount) ") }, "sortable": true, "tooltip": "(debts.DistByBudget.dist_amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.DistByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.DistByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/DistByBudget" };
  return new Lino.debts.DistByBudget.GridPanel(p);
});
Lino.debts.DistByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByType
Lino.notes.NotesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    var ww = this.containing_window;
    var date5569 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time5570 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type5571 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/event_type" }) }) });
    var subject5572 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user5573 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/user" }) }) });
    var id5574 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project5575 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/project" }) }) });
    var build_time5576 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method5577 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type5578 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_type" }) }) });
    var owner_id5579 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_id" }) }) });
    var company5580 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/company" }) }) });
    var contact_person5581 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_person" }) }) });
    var contact_role5582 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_role" }) }) });
    var body5583 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language5584 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important5585 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp5586 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var type5587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/type" }) }) });
    this.before_row_edit = function(record) {
      owner_id5579.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person5581.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body5583.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type5578 !== 'undefined' && owner_type5578.on('change',Lino.chooser_handler(owner_id5579,'owner_type'));
      typeof company5580 !== 'undefined' && company5580.on('change',Lino.chooser_handler(contact_person5581,'company'));
      Lino.notes.NotesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date5569, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time5570, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type5571, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject5572, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5573, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5574, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project5575, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method5577, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type5578, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id5579, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company5580, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person5581, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role5582, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body5583, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language5584, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "type", "editable": true, "editor": type5587, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.insertPanel(p);
});
Lino.notes.NotesByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.detailPanel(p);
});
Lino.notes.NotesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByType.GridPanel(p);
});
Lino.notes.NotesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByEventType
Lino.notes.NotesByEventType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByEventType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    var ww = this.containing_window;
    var date5942 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time5943 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var type5944 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/type" }) }) });
    var subject5945 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user5946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/user" }) }) });
    var id5947 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project5948 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/project" }) }) });
    var build_time5949 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method5950 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type5951 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_type" }) }) });
    var owner_id5952 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_id" }) }) });
    var company5953 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/company" }) }) });
    var contact_person5954 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_person" }) }) });
    var contact_role5955 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_role" }) }) });
    var body5956 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language5957 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important5958 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp5959 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var event_type5960 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/event_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id5952.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person5954.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body5956.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type5951 !== 'undefined' && owner_type5951.on('change',Lino.chooser_handler(owner_id5952,'owner_type'));
      typeof company5953 !== 'undefined' && company5953.on('change',Lino.chooser_handler(contact_person5954,'company'));
      Lino.notes.NotesByEventType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date5942, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time5943, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type5944, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject5945, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5946, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5947, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project5948, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method5950, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type5951, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id5952, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company5953, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person5954, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role5955, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body5956, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language5957, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByEventType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "event_type", "editable": true, "editor": event_type5960, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByEventType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.insertPanel(p);
});
Lino.notes.NotesByEventType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.detailPanel(p);
});
Lino.notes.NotesByEventType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByEventType.GridPanel(p);
});
Lino.notes.NotesByEventType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByProject
Lino.notes.NotesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    var ww = this.containing_window;
    var date8589 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8590 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8591 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/event_type" }) }) });
    var type8592 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/type" }) }) });
    var subject8593 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/user" }) }) });
    var id8595 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time8596 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8597 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8598 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_type" }) }) });
    var owner_id8599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_id" }) }) });
    var company8600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/company" }) }) });
    var contact_person8601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_person" }) }) });
    var contact_role8602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_role" }) }) });
    var body8603 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8604 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8605 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8606 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id8599.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8601.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body8603.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8598 !== 'undefined' && owner_type8598.on('change',Lino.chooser_handler(owner_id8599,'owner_type'));
      typeof company8600 !== 'undefined' && company8600.on('change',Lino.chooser_handler(contact_person8601,'company'));
      Lino.notes.NotesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8589, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8590, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8591, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8592, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8593, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(41) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8594, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8595, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method8597, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type8598, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id8599, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company8600, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person8601, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8602, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body8603, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8604, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "project", "editable": true, "editor": project8607, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.insertPanel(p);
});
Lino.notes.NotesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.detailPanel(p);
});
Lino.notes.NotesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByProject.GridPanel(p);
});
Lino.notes.NotesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByCompany
Lino.notes.NotesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByCompany",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    var ww = this.containing_window;
    var date8609 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8610 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project8611 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/project" }) }) });
    var event_type8612 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/event_type" }) }) });
    var type8613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/type" }) }) });
    var subject8614 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/user" }) }) });
    var id8616 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time8617 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8618 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8619 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_type" }) }) });
    var owner_id8620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_id" }) }) });
    var contact_person8621 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_person" }) }) });
    var contact_role8622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_role" }) }) });
    var body8623 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8624 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8625 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8626 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var company8627 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      owner_id8620.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person8621.setContextValue('mk',bp['mk']);
      contact_person8621.setContextValue('mt',bp['mt']);
      body8623.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8619 !== 'undefined' && owner_type8619.on('change',Lino.chooser_handler(owner_id8620,'owner_type'));
      typeof company8627 !== 'undefined' && company8627.on('change',Lino.chooser_handler(contact_person8621,'company'));
      Lino.notes.NotesByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8609, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8610, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8611, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type8612, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8613, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "subject", "editable": true, "editor": subject8614, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8615, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id8616, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8618, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8619, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8620, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person8621, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8622, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body8623, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8624, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByCompany.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "company", "editable": true, "editor": company8627, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.insertPanel(p);
});
Lino.notes.NotesByCompany.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.detailPanel(p);
});
Lino.notes.NotesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByCompany.GridPanel(p);
});
Lino.notes.NotesByCompany.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByPerson
Lino.notes.NotesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    var ww = this.containing_window;
    var date8629 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8630 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8631 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/event_type" }) }) });
    var type8632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/type" }) }) });
    var subject8633 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8634 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/user" }) }) });
    var id8635 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8636 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/project" }) }) });
    var build_time8637 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8638 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8639 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_type" }) }) });
    var owner_id8640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_id" }) }) });
    var company8641 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/company" }) }) });
    var contact_role8642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_role" }) }) });
    var body8643 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8644 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8645 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8646 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var contact_person8647 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      owner_id8640.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8643.refresh();
      contact_person8647.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8639 !== 'undefined' && owner_type8639.on('change',Lino.chooser_handler(owner_id8640,'owner_type'));
      typeof company8641 !== 'undefined' && company8641.on('change',Lino.chooser_handler(contact_person8647,'company'));
      Lino.notes.NotesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8629, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8630, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8631, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8632, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8633, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8634, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8635, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project8636, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8638, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8639, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8640, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8641, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8642, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body8643, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8644, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByPerson.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "contact_person", "editable": true, "editor": contact_person8647, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.insertPanel(p);
});
Lino.notes.NotesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.detailPanel(p);
});
Lino.notes.NotesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByPerson.GridPanel(p);
});
Lino.notes.NotesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByClient
Lino.aids.GrantingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByClient",
  ls_store_fields : [ { "name": "detail_link" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "signer" }, 'signerHidden', { "name": "workflow_buttons" }, { "name": "board" }, 'boardHidden', { "name": "custom_actions" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    var ww = this.containing_window;
    var detail_link_disp1428 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date1429 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date1430 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer1431 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/signer" }) }) });
    var workflow_buttons_disp1432 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var board1433 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var custom_actions_disp1434 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1435 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user1436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/user" }) }) });
    var decision_date1437 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1438 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var aid_type1439 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var category1440 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/category" }) }) });
    var request_date1441 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client1442 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      board1433.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date1437 !== 'undefined' && decision_date1437.on('change',Lino.chooser_handler(board1433,'decision_date'));
      Lino.aids.GrantingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date1429, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date1430, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "signer", "editable": true, "editor": signer1431, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board1433, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "custom_actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.custom_actions) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.custom_actions) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id1435, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user1436, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "decision_date", "editable": true, "editor": decision_date1437, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "state", "editable": true, "editor": state1438, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 11, "dataIndex": "aid_type", "editable": true, "editor": aid_type1439, "filter": { "type": "string" }, "header": "Hilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "renderer": Lino.fk_renderer('aid_typeHidden','Lino.aids.AidTypes.detail'), "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "category", "editable": true, "editor": category1440, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.category) Currently only used for printing an isip.Contract.") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "request_date", "editable": true, "editor": request_date1441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "client", "editable": true, "editor": client1442, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.insertPanel = Ext.extend(Lino.aids.GrantingsByClient.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.insertPanel(p);
});
Lino.aids.GrantingsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.detailPanel(p);
});
Lino.aids.GrantingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByClient.GridPanel(p);
});
Lino.aids.GrantingsByClient.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByType
Lino.aids.GrantingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByType",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    var ww = this.containing_window;
    var detail_link_disp2989 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client2990 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/client" }) }) });
    var start_date2991 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date2992 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id2993 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user2994 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/user" }) }) });
    var decision_date2995 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board2996 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/board" }) }) });
    var signer2997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/signer" }) }) });
    var state2998 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var category2999 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/category" }) }) });
    var request_date3000 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type3001 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/aid_type" }) }) });
    this.before_row_edit = function(record) {
      board2996.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date2995 !== 'undefined' && decision_date2995.on('change',Lino.chooser_handler(board2996,'decision_date'));
      Lino.aids.GrantingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client2990, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date2991, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date2992, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2993, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user2994, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "decision_date", "editable": true, "editor": decision_date2995, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "board", "editable": true, "editor": board2996, "filter": { "type": "string" }, "header": "Gremium", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "renderer": Lino.fk_renderer('boardHidden','Lino.boards.Boards.detail'), "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer", "editable": true, "editor": signer2997, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state2998, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category2999, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.category) Currently only used for printing an isip.Contract.") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date3000, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "aid_type", "editable": true, "editor": aid_type3001, "filter": { "type": "string" }, "header": "Hilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "renderer": Lino.fk_renderer('aid_typeHidden','Lino.aids.AidTypes.detail'), "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.insertPanel(p);
});
Lino.aids.GrantingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.detailPanel(p);
});
Lino.aids.GrantingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByType.GridPanel(p);
});
Lino.aids.GrantingsByType.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmationsByGranting
Lino.aids.SimpleConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einfache Bescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id8649 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8650 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/client" }) }) });
    var granting8651 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/granting" }) }) });
    var start_date8652 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8653 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created8654 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8655 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/user" }) }) });
    var company8656 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person8657 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var contact_role8658 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_role" }) }) });
    var printed_by8659 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/signer" }) }) });
    var state8661 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark8662 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8663 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
      contact_person8657.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8662.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8656 !== 'undefined' && company8656.on('change',Lino.chooser_handler(contact_person8657,'company'));
      Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8649, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8650, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting8651, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8652, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8653, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8655, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8656, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8657, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8658, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8660, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8661, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark8662, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language8663, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(16), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.insertPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einfache Bescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.detailPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmationsByGranting.GridPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByGranting
Lino.aids.IncomeConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "granting" }, 'grantingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einkommensbescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id8665 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8666 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var category8667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount8668 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date8669 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8670 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created8671 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8672 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/user" }) }) });
    var company8673 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person8674 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var contact_role8675 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_role" }) }) });
    var printed_by8676 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8677 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/signer" }) }) });
    var state8678 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark8679 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8680 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var granting8681 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    this.before_row_edit = function(record) {
      contact_person8674.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8679.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8673 !== 'undefined' && company8673.on('change',Lino.chooser_handler(contact_person8674,'company'));
      Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8665, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8666, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category8667, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.category) ") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount8668, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8669, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8670, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user8672, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8673, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8674, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8675, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "signer", "editable": true, "editor": signer8677, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state8678, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 14, "dataIndex": "remark", "editable": true, "editor": remark8679, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8680, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "granting", "editable": true, "editor": granting8681, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.insertPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einkommensbescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByGranting.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByCategory
Lino.aids.IncomeConfirmationsByCategory.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByCategory",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "amount" }, { "name": "category" }, 'categoryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    var ww = this.containing_window;
    var detail_link_disp2484 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created2485 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user2486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/user" }) }) });
    var printed_disp2487 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date2488 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date2489 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id2490 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company2491 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/company" }) }) });
    var contact_person2492 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_person" }) }) });
    var contact_role2493 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_role" }) }) });
    var printed_by2494 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer2495 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/signer" }) }) });
    var state2496 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client2497 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/client" }) }) });
    var granting2498 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/granting" }) }) });
    var remark2499 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language2500 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var amount2501 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var category2502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/category" }) }) });
    this.before_row_edit = function(record) {
      contact_person2492.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark2499.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2491 !== 'undefined' && company2491.on('change',Lino.chooser_handler(contact_person2492,'company'));
      Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einkommensbescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user2486, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date2488, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date2489, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2490, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company2491, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person2492, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role2493, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer2495, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state2496, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client2497, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting2498, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark2499, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language2500, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 17, "dataIndex": "amount", "editable": true, "editor": amount2501, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "category", "editable": true, "editor": category2502, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.category) ") }, "renderer": Lino.fk_renderer('categoryHidden','Lino.aids.Categories.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByCategory.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByCategory",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    Lino.aids.IncomeConfirmationsByCategory.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  return new Lino.aids.IncomeConfirmationsByCategory.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByCategory.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmationsByGranting
Lino.aids.RefundConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kosten\u00fcbernahmeschein) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id8683 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client8684 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/client" }) }) });
    var granting8685 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/granting" }) }) });
    var start_date8686 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8687 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created8688 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8689 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/user" }) }) });
    var company8690 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person8691 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var contact_role8692 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_role" }) }) });
    var printed_by8693 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/signer" }) }) });
    var state8695 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark8696 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8697 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type8698 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor8699 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy8700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person8691.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8696.refresh();
      doctor8699.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy8700.setContextValue('mk',bp['mk']);
      pharmacy8700.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof company8690 !== 'undefined' && company8690.on('change',Lino.chooser_handler(contact_person8691,'company'));
      typeof doctor_type8698 !== 'undefined' && doctor_type8698.on('change',Lino.chooser_handler(doctor8699,'doctor_type'));
      typeof granting8685 !== 'undefined' && granting8685.on('change',Lino.chooser_handler(pharmacy8700,'granting'));
      Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8683, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8684, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting8685, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8686, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8687, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8689, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8690, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8691, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8692, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8694, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8695, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark8696, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language8697, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type8698, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "renderer": Lino.fk_renderer('doctor_typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "doctor", "editable": true, "editor": doctor8699, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8700, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.RefundConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.insertPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kosten\u00fcbernahmeschein) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.detailPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmationsByGranting.GridPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.SummariesByClient
Lino.esf.SummariesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/SummariesByClient",
  ls_store_fields : [ { "name": "year", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.SummariesByClient.detail;
    var ww = this.containing_window;
    var year8702 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf108703 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf208704 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf218705 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf308706 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf408707 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf418708 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf428709 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf438710 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf448711 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf508712 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf608713 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf708714 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "year", "editable": true, "editor": year8702, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "esf10", "editable": true, "editor": esf108703, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 2, "dataIndex": "esf20", "editable": true, "editor": esf208704, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 3, "dataIndex": "esf21", "editable": true, "editor": esf218705, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 4, "dataIndex": "esf30", "editable": true, "editor": esf308706, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf40", "editable": true, "editor": esf408707, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf41", "editable": true, "editor": esf418708, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf42", "editable": true, "editor": esf428709, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf43", "editable": true, "editor": esf438710, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf44", "editable": true, "editor": esf448711, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf50", "editable": true, "editor": esf508712, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf60", "editable": true, "editor": esf608713, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf70", "editable": true, "editor": esf708714, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) } ];
    Lino.esf.SummariesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.SummariesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.SummariesByClient.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/esf/SummariesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.SummariesByClient.detail;
    Lino.esf.SummariesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.SummariesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/SummariesByClient" };
  return new Lino.esf.SummariesByClient.detailPanel(p);
});
Lino.esf.SummariesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/SummariesByClient" };
  return new Lino.esf.SummariesByClient.GridPanel(p);
});
Lino.esf.SummariesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.WidgetsByUser
Lino.dashboard.WidgetsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/WidgetsByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "move_buttons" }, { "name": "title" }, { "name": "visible", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "item_name" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 139,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dashboard",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1335 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var move_buttons_disp1336 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var title_disp1337 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var visible1338 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id1339 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var item_name1340 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/item_name" }) }) });
    var user1341 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/user" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      item_name1340.setContextValue('mk',bp['mk']);
      item_name1340.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof user1341 !== 'undefined' && user1341.on('change',Lino.chooser_handler(item_name1340,'user'));
      Lino.dashboard.WidgetsByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1335, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "title", "editable": false, "header": "Label", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.title) ") }, "sortable": false, "tooltip": "(dashboard.WidgetsByUser.title) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1339, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "item_name", "editable": true, "editor": item_name1340, "filter": { "type": "string" }, "header": "Resource", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user1341, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.dashboard.WidgetsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.WidgetsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/WidgetsByUser" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.WidgetsByUser.GridPanel(p);
});
Lino.dashboard.WidgetsByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dupable_clients.WordsByOwner
Lino.dupable_clients.WordsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/WordsByOwner",
  ls_store_fields : [ { "name": "word" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 140,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Phonetische W\u00f6rter",
  initComponent : function() {
    var ww = this.containing_window;
    var word8716 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "word", "editable": true, "editor": word8716, "filter": { "type": "string" }, "header": "word", "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.WordsByOwner.word) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.dupable_clients.WordsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.WordsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/WordsByOwner" };
  return new Lino.dupable_clients.WordsByOwner.GridPanel(p);
});

// js_render_GridPanel_class clients.ContactsByClient
Lino.clients.ContactsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ContactsByClient",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var type1365 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/type" }) }) });
    var company1366 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/company" }) }) });
    var contact_person1367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_person" }) }) });
    var remark1368 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id1369 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role1370 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_role" }) }) });
    var client1371 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      company1366.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person1367.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person1367.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type1365 !== 'undefined' && type1365.on('change',Lino.chooser_handler(company1366,'type'));
      typeof company1366 !== 'undefined' && company1366.on('change',Lino.chooser_handler(contact_person1367,'company'));
      typeof type1365 !== 'undefined' && type1365.on('change',Lino.chooser_handler(contact_person1367,'type'));
      Lino.clients.ContactsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1365, "filter": { "type": "string" }, "header": "Klientenkontaktart", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.type) The type of contact. Pointer to ClientContactType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company1366, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person1367, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1368, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1369, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role1370, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "client", "editable": true, "editor": client1371, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) } ];
    Lino.clients.ContactsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ContactsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ContactsByClient" };
  return new Lino.clients.ContactsByClient.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByType
Lino.clients.ClientContactsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByType",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var company4690 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/company" }) }) });
    var contact_person4691 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_person" }) }) });
    var client4692 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/client" }) }) });
    var remark4693 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id4694 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role4695 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_role" }) }) });
    var type4696 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/type" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      company4690.setContextValue('mk',bp['mk']);
      company4690.setContextValue('mt',bp['mt']);
      contact_person4691.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person4691.setContextValue('mk',bp['mk']);
      contact_person4691.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof type4696 !== 'undefined' && type4696.on('change',Lino.chooser_handler(company4690,'type'));
      typeof company4690 !== 'undefined' && company4690.on('change',Lino.chooser_handler(contact_person4691,'company'));
      typeof type4696 !== 'undefined' && type4696.on('change',Lino.chooser_handler(contact_person4691,'type'));
      Lino.clients.ClientContactsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company4690, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person4691, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client4692, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark4693, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4694, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role4695, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type4696, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.type) The type of contact. Pointer to ClientContactType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByType" };
  return new Lino.clients.ClientContactsByType.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByCompany
Lino.clients.ClientContactsByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByCompany",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var client8718 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/client" }) }) });
    var contact_person8719 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_person" }) }) });
    var remark8720 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8721 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role8722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_role" }) }) });
    var type8723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/type" }) }) });
    var company8724 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person8719.setContextValue('mk',bp['mk']);
      contact_person8719.setContextValue('mt',bp['mt']);
      contact_person8719.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      company8724.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company8724 !== 'undefined' && company8724.on('change',Lino.chooser_handler(contact_person8719,'company'));
      typeof type8723 !== 'undefined' && type8723.on('change',Lino.chooser_handler(contact_person8719,'type'));
      typeof type8723 !== 'undefined' && type8723.on('change',Lino.chooser_handler(company8724,'type'));
      Lino.clients.ClientContactsByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8718, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person8719, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8720, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8721, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role8722, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type8723, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.type) The type of contact. Pointer to ClientContactType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company8724, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByCompany" };
  return new Lino.clients.ClientContactsByCompany.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByPerson
Lino.clients.ClientContactsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 45,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  initComponent : function() {
    var ww = this.containing_window;
    var company8726 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/company" }) }) });
    var client8727 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/client" }) }) });
    var remark8728 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8729 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role8730 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_role" }) }) });
    var type8731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/type" }) }) });
    var contact_person8732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      company8726.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person8732.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person8732.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type8731 !== 'undefined' && type8731.on('change',Lino.chooser_handler(company8726,'type'));
      typeof company8726 !== 'undefined' && company8726.on('change',Lino.chooser_handler(contact_person8732,'company'));
      typeof type8731 !== 'undefined' && type8731.on('change',Lino.chooser_handler(contact_person8732,'type'));
      Lino.clients.ClientContactsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company8726, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client8727, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8728, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8729, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role8730, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type8731, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.type) The type of contact. Pointer to ClientContactType.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person8732, "filter": { "type": "string" }, "header": "Kontaktperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByPerson" };
  return new Lino.clients.ClientContactsByPerson.GridPanel(p);
});

// js_render_GridPanel_class gfks.HelpTextsByModel
Lino.gfks.HelpTextsByModel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/gfks/HelpTextsByModel",
  ls_store_fields : [ { "name": "field" }, { "name": "verbose_name" }, { "name": "help_text" }, { "name": "id", "type": "int" }, { "name": "content_type" }, 'content_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 13,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTextsByModel','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTextsByModel','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTextsByModel','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTextsByModel','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/gfks/HelpTextsByModel','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfetexte",
  initComponent : function() {
    var ww = this.containing_window;
    var field3634 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/gfks/HelpTextsByModel/field" }) }) });
    var verbose_name3635 = new Ext.form.TextField({ "disabled": true, "maxLength": 200 });
    var help_text3636 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id3637 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var content_type3638 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/gfks/HelpTextsByModel/content_type" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      field3634.setContextValue('mk',bp['mk']);
      field3634.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof content_type3638 !== 'undefined' && content_type3638.on('change',Lino.chooser_handler(field3634,'content_type'));
      Lino.gfks.HelpTextsByModel.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "field", "editable": true, "editor": field3634, "filter": { "type": "string" }, "header": "Feld", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTextsByModel.field) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "verbose_name", "editable": false, "header": "Feldbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTextsByModel.verbose_name) ") }, "sortable": true, "tooltip": "(gfks.HelpTextsByModel.verbose_name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "help_text", "editable": true, "editor": help_text3636, "filter": { "type": "string" }, "header": "Hilfetext", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTextsByModel.help_text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id3637, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTextsByModel.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "content_type", "editable": true, "editor": content_type3638, "filter": { "type": "string" }, "header": "Modell", "listeners": { "render": Lino.quicktip_renderer("","(gfks.HelpTextsByModel.content_type) ") }, "renderer": Lino.fk_renderer('content_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.gfks.HelpTextsByModel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.gfks.HelpTextsByModel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTextsByModel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTextsByModel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTextsByModel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTextsByModel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTextsByModel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTextsByModel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTextsByModel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTextsByModel.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/HelpTextsByModel", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.HelpTextsByModel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/gfks/HelpTextsByModel" };
  return new Lino.gfks.HelpTextsByModel.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangesByObject
Lino.changes.ChangesByObject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangesByObject",
  ls_store_fields : [ { "name": "time" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "changed_fields" }, { "name": "master" }, { "name": "master_type" }, 'master_typeHidden', { "name": "master_id" }, 'master_idHidden', { "name": "id", "type": "int" }, { "name": "object_type" }, 'object_typeHidden', { "name": "object_id" }, 'object_idHidden', { "name": "diff" }, { "name": "object" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 15,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByObject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByObject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByObject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByObject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByObject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of changes.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungen",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByObject.detail;
    var ww = this.containing_window;
    var time15080 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var user15081 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByObject/user" }) }) });
    var type15082 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var changed_fields15083 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var master_disp15084 = new Ext.form.DisplayField({ "disabled": true });
    var master_type15085 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByObject/master_type" }) }) });
    var master_id15086 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByObject/master_id" }) }) });
    var id15087 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var object_type15088 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByObject/object_type" }) }) });
    var object_id15089 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByObject/object_id" }) }) });
    var diff15090 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var object_disp15091 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof master_type15085 !== 'undefined' && master_type15085.on('change',Lino.chooser_handler(master_id15086,'master_type'));
      typeof object_type15088 !== 'undefined' && object_type15088.on('change',Lino.chooser_handler(object_id15089,'object_type'));
      Lino.changes.ChangesByObject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "time", "editable": true, "editor": time15080, "header": "time", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user15081, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.user) ") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type15082, "filter": { "options": [ "Erstellen", "Aktualisierung", "L\u00f6schen", "Remove child", "Add child", "Fusionieren" ], "type": "list" }, "header": "\u00c4nderungsart", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "changed_fields", "editable": true, "editor": changed_fields15083, "filter": { "type": "string" }, "header": "Felder", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.changed_fields) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "master", "editable": false, "header": "Stammdaten", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.master) The database object which acts as \"master\".") }, "sortable": false, "tooltip": "The database object which acts as \"master\".", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "master_type", "editable": true, "editor": master_type15085, "filter": { "type": "string" }, "header": "Master type", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.master_type) ") }, "renderer": Lino.fk_renderer('master_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "master_id", "editable": true, "editor": master_id15086, "filter": { "type": "string" }, "header": "master id", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.master_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id15087, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "object_type", "editable": true, "editor": object_type15088, "filter": { "type": "string" }, "header": "Object type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.object_type) ") }, "renderer": Lino.fk_renderer('object_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "object_id", "editable": true, "editor": object_id15089, "filter": { "type": "string" }, "header": "object id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.object_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "diff", "editable": false, "filter": { "type": "string" }, "header": "\u00c4nderungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.diff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "object", "editable": false, "header": "Object", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByObject.object) The database object which has been modified.") }, "sortable": false, "tooltip": "The database object which has been modified.", "width": Lino.chars2width(11) } ];
    Lino.changes.ChangesByObject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByObject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByObject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByObject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByObject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByObject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByObject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByObject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByObject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.changes.ChangesByObject.detailPanel = Ext.extend(Lino.changes.Changes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/changes/ChangesByObject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByObject.detail;
    Lino.changes.ChangesByObject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByObject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByObject" };
  return new Lino.changes.ChangesByObject.detailPanel(p);
});
Lino.changes.ChangesByObject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByObject" };
  p.params_panel = new Lino.changes.Changes.ParamsPanel({});
  return new Lino.changes.ChangesByObject.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangesByMaster
Lino.changes.ChangesByMaster.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangesByMaster",
  ls_store_fields : [ { "name": "time" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "changed_fields" }, { "name": "object" }, { "name": "id", "type": "int" }, { "name": "object_type" }, 'object_typeHidden', { "name": "object_id" }, 'object_idHidden', { "name": "master_type" }, 'master_typeHidden', { "name": "master_id" }, 'master_idHidden', { "name": "diff" }, { "name": "master" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 15,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of changes.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungen",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    var ww = this.containing_window;
    var time2721 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var user2722 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/user" }) }) });
    var type2723 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var changed_fields2724 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var object_disp2725 = new Ext.form.DisplayField({ "disabled": true });
    var id2726 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var object_type2727 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_type" }) }) });
    var object_id2728 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_id" }) }) });
    var master_type2729 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_type" }) }) });
    var master_id2730 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_id" }) }) });
    var diff2731 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var master_disp2732 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof object_type2727 !== 'undefined' && object_type2727.on('change',Lino.chooser_handler(object_id2728,'object_type'));
      typeof master_type2729 !== 'undefined' && master_type2729.on('change',Lino.chooser_handler(master_id2730,'master_type'));
      Lino.changes.ChangesByMaster.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "time", "editable": true, "editor": time2721, "header": "time", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2722, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.user) ") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type2723, "filter": { "options": [ "Erstellen", "Aktualisierung", "L\u00f6schen", "Remove child", "Add child", "Fusionieren" ], "type": "list" }, "header": "\u00c4nderungsart", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "changed_fields", "editable": true, "editor": changed_fields2724, "filter": { "type": "string" }, "header": "Felder", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.changed_fields) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "object", "editable": false, "header": "Object", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object) The database object which has been modified.") }, "sortable": false, "tooltip": "The database object which has been modified.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2726, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "object_type", "editable": true, "editor": object_type2727, "filter": { "type": "string" }, "header": "Object type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_type) ") }, "renderer": Lino.fk_renderer('object_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "object_id", "editable": true, "editor": object_id2728, "filter": { "type": "string" }, "header": "object id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "master_type", "editable": true, "editor": master_type2729, "filter": { "type": "string" }, "header": "Master type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_type) ") }, "renderer": Lino.fk_renderer('master_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "master_id", "editable": true, "editor": master_id2730, "filter": { "type": "string" }, "header": "master id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "diff", "editable": false, "filter": { "type": "string" }, "header": "\u00c4nderungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.diff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "master", "editable": false, "header": "Stammdaten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master) The database object which acts as \"master\".") }, "sortable": false, "tooltip": "The database object which acts as \"master\".", "width": Lino.chars2width(11) } ];
    Lino.changes.ChangesByMaster.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.changes.ChangesByMaster.detailPanel = Ext.extend(Lino.changes.Changes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/changes/ChangesByMaster",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    Lino.changes.ChangesByMaster.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  return new Lino.changes.ChangesByMaster.detailPanel(p);
});
Lino.changes.ChangesByMaster.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  p.params_panel = new Lino.changes.Changes.ParamsPanel({});
  return new Lino.changes.ChangesByMaster.GridPanel(p);
});

// js_render_GridPanel_class checkdata.ProblemsByOwner
Lino.checkdata.ProblemsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/ProblemsByOwner",
  ls_store_fields : [ { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByOwner.detail;
    var ww = this.containing_window;
    var message8734 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker8735 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var user8736 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/user" }) }) });
    var id8737 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/owner_type" }) }) });
    var owner_id8739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/owner_id" }) }) });
    var owner_disp8740 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type8738 !== 'undefined' && owner_type8738.on('change',Lino.chooser_handler(owner_id8739,'owner_type'));
      Lino.checkdata.ProblemsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "message", "editable": true, "editor": message8734, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 1, "dataIndex": "checker", "editable": true, "editor": checker8735, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8736, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.user) The user responsible for fixing this\nproblem.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8737, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type8738, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id8739, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.checkdata.ProblemsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.ProblemsByOwner.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/ProblemsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByOwner.detail;
    Lino.checkdata.ProblemsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByOwner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByOwner" };
  return new Lino.checkdata.ProblemsByOwner.detailPanel(p);
});
Lino.checkdata.ProblemsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByOwner" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.ProblemsByOwner.GridPanel(p);
});
Lino.checkdata.ProblemsByOwner.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByOwner
Lino.excerpts.ExcerptsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByOwner",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bestehende Ausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    var ww = this.containing_window;
    var build_time8742 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type8743 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/excerpt_type" }) }) });
    var user8744 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/user" }) }) });
    var project8745 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/project" }) }) });
    var id8746 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method8747 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8748 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_type" }) }) });
    var owner_id8749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_id" }) }) });
    var company8750 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/company" }) }) });
    var contact_person8751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_person" }) }) });
    var contact_role8752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_role" }) }) });
    var language8753 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var owner_disp8754 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      excerpt_type8743.setContextValue('mk',bp['mk']);
      excerpt_type8743.setContextValue('mt',bp['mt']);
      owner_id8749.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8751.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp8754 !== 'undefined' && owner_disp8754.on('change',Lino.chooser_handler(excerpt_type8743,'owner'));
      typeof owner_type8748 !== 'undefined' && owner_type8748.on('change',Lino.chooser_handler(owner_id8749,'owner_type'));
      typeof company8750 !== 'undefined' && company8750.on('change',Lino.chooser_handler(contact_person8751,'company'));
      Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type8743, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "renderer": Lino.fk_renderer('excerpt_typeHidden','Lino.excerpts.ExcerptTypes.detail'), "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8744, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project8745, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8746, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method8747, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type8748, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id8749, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8750, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8751, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8752, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8753, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByOwner.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    Lino.excerpts.ExcerptsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  return new Lino.excerpts.ExcerptsByOwner.detailPanel(p);
});
Lino.excerpts.ExcerptsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByOwner.GridPanel(p);
});
Lino.excerpts.ExcerptsByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByController
Lino.uploads.UploadsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByController",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    var ww = this.containing_window;
    var user8756 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/user" }) }) });
    var project8757 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/project" }) }) });
    var type8758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var file8759 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date8760 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8761 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed8762 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp8763 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8764 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype8765 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size8766 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type8767 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_type" }) }) });
    var owner_id8768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_id" }) }) });
    var company8769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/company" }) }) });
    var contact_person8770 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_person" }) }) });
    var contact_role8771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_role" }) }) });
    var upload_area8772 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume8773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/volume" }) }) });
    var library_file8774 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/library_file" }) }) });
    var description8775 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark8776 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp8777 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type8758.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id8768.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8770.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file8774.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area8772 !== 'undefined' && upload_area8772.on('change',Lino.chooser_handler(type8758,'upload_area'));
      typeof owner_type8767 !== 'undefined' && owner_type8767.on('change',Lino.chooser_handler(owner_id8768,'owner_type'));
      typeof company8769 !== 'undefined' && company8769.on('change',Lino.chooser_handler(contact_person8770,'company'));
      typeof volume8773 !== 'undefined' && volume8773.on('change',Lino.chooser_handler(library_file8774,'volume'));
      Lino.uploads.UploadsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8756, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project8757, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type8758, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.type) The type of this upload.") }, "renderer": Lino.fk_renderer('typeHidden','Lino.uploads.UploadTypes.detail'), "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file8759, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8760, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8761, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8764, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type8767, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id8768, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company8769, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person8770, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role8771, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area8772, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume8773, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.volume) A pointer to the library volume where this file is stored.") }, "renderer": Lino.fk_renderer('volumeHidden','Lino.uploads.Volumes.detail'), "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file8774, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description8775, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark8776, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.insertPanel = Ext.extend(Lino.uploads.UploadsByController.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.insertPanel(p);
});
Lino.uploads.UploadsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.detailPanel(p);
});
Lino.uploads.UploadsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByController.GridPanel(p);
});
Lino.uploads.UploadsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByController
Lino.outbox.MailsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByController",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "body" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausg\u00e4nge",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    var ww = this.containing_window;
    var sent2027 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox2028 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject2029 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2030 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project2031 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/project" }) }) });
    var user2032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/user" }) }) });
    var owner_type2033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_type" }) }) });
    var owner_id2034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_id" }) }) });
    var date2035 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var body2036 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var owner_disp2037 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      recipients_htmlbox2028.refresh();
      owner_id2034.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body2036.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2033 !== 'undefined' && owner_type2033.on('change',Lino.chooser_handler(owner_id2034,'owner_type'));
      Lino.outbox.MailsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject2029, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2030, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project2031, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user2032, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type2033, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id2034, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date2035, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "body", "editable": true, "editor": body2036, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.outbox.MailsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.insertPanel(p);
});
Lino.outbox.MailsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.detailPanel(p);
});
Lino.outbox.MailsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByController.GridPanel(p);
});
Lino.outbox.MailsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.AttachmentsByController
Lino.outbox.AttachmentsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/AttachmentsByController",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "mail" }, 'mailHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 29,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anh\u00e4nge",
  initComponent : function() {
    var ww = this.containing_window;
    var id15093 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var owner_type15094 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByController/owner_type" }) }) });
    var owner_id15095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByController/owner_id" }) }) });
    var mail15096 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByController/mail" }) }) });
    var owner_disp15097 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id15095.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type15094 !== 'undefined' && owner_type15094.on('change',Lino.chooser_handler(owner_id15095,'owner_type'));
      Lino.outbox.AttachmentsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id15093, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "owner_type", "editable": true, "editor": owner_type15094, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByController.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner_id", "editable": true, "editor": owner_id15095, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "mail", "editable": true, "editor": mail15096, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByController.mail) ") }, "renderer": Lino.fk_renderer('mailHidden','Lino.outbox.Mails.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByController.owner) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.outbox.AttachmentsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.AttachmentsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/AttachmentsByController" };
  return new Lino.outbox.AttachmentsByController.GridPanel(p);
});

// js_render_GridPanel_class cal.TasksByController
Lino.cal.TasksByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByController",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "delegated", "type": "boolean" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    var ww = this.containing_window;
    var start_date1883 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date1884 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary1885 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user1886 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated1887 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var workflow_buttons_disp1888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1889 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1883, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date1884, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary1885, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user1886, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id1889, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cal.TasksByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.insertPanel = Ext.extend(Lino.cal.TasksByController.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.insertPanel(p);
});
Lino.cal.TasksByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.detailPanel(p);
});
Lino.cal.TasksByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByController.GridPanel(p);
});
Lino.cal.TasksByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByController
Lino.cal.EntriesByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByController",
  ls_store_fields : [ { "name": "when_html" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "auto_type", "type": "int", "useNull": true }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    var ww = this.containing_window;
    var when_html_disp1905 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var summary1906 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user1907 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/user" }) }) });
    var auto_type1908 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var workflow_buttons_disp1909 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1910 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified1911 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1912 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project1913 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/project" }) }) });
    var start_date1914 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time1915 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date1916 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time1917 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time1918 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method1919 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to1920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/assigned_to" }) }) });
    var owner_type1921 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_type" }) }) });
    var owner_id1922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_id" }) }) });
    var description1923 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class1924 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence1925 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var priority1926 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type1927 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/event_type" }) }) });
    var transparent1928 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited1929 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room1930 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/room" }) }) });
    var state1931 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before1932 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit1933 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified1934 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp1935 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id1922.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type1921 !== 'undefined' && owner_type1921.on('change',Lino.chooser_handler(owner_id1922,'owner_type'));
      Lino.cal.EntriesByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.when_html) Shows the date and time of the calendar entry with a link that\nopens all entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the calendar entry with a link that\nopens all entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "summary", "editable": true, "editor": summary1906, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user1907, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.user) Der verantwortliche Benutzer.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "auto_type", "editable": true, "editor": auto_type1908, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1910, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project1913, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date1914, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "start_time", "editable": true, "editor": start_time1915, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "end_date", "editable": true, "editor": end_date1916, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_time", "editable": true, "editor": end_time1917, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 13, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 14, "dataIndex": "build_method", "editable": true, "editor": build_method1919, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to1920, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "renderer": Lino.fk_renderer('assigned_toHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type1921, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id1922, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description1923, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class1924, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence1925, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority1926, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type1927, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.event_type) The type of this calendar entry.") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.cal.EventTypes.detail'), "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room1930, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.room) ") }, "renderer": Lino.fk_renderer('roomHidden','Lino.cal.Rooms.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state1931, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before1932, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit1933, "filter": { "options": [ "Minuten", "Stunden", "Tage", "Wochen" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.insertPanel(p);
});
Lino.cal.EntriesByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.detailPanel(p);
});
Lino.cal.EntriesByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByController.GridPanel(p);
});
Lino.cal.EntriesByController.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.DelegatedTasksByContract
Lino.isip.DelegatedTasksByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/DelegatedTasksByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 41,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  initComponent : function() {
    var ww = this.containing_window;
    var summary8779 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var due_date8780 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary8779, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date8780, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.DelegatedTasksByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.DelegatedTasksByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/DelegatedTasksByContract" };
  p.params_panel = new Lino.isip.DelegatedTasksByContract.ParamsPanel({});
  return new Lino.isip.DelegatedTasksByContract.GridPanel(p);
});
Lino.isip.DelegatedTasksByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.EntriesByContract
Lino.isip.EntriesByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/EntriesByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_conflicting", "menu_item_text": "\u00a0\u2694\u00a0", "overflowText": "\u00a0\u2694\u00a0", "panel_btn_handler": Lino.row_action_handler('show_conflicting','GET',null), "text": "\u00a0\u2694\u00a0", "tooltip": "\u00dcberschneidende Termine anzeigen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  initComponent : function() {
    var ww = this.containing_window;
    var summary8782 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date8783 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary8782, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8783, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.EntriesByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.EntriesByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/EntriesByContract" };
  p.params_panel = new Lino.isip.EntriesByContract.ParamsPanel({});
  return new Lino.isip.EntriesByContract.GridPanel(p);
});
Lino.isip.EntriesByContract.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByOwner
Lino.notes.NotesByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByOwner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    var ww = this.containing_window;
    var date8785 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8786 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8787 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/event_type" }) }) });
    var type8788 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/type" }) }) });
    var subject8789 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8790 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/user" }) }) });
    var id8791 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/project" }) }) });
    var build_time8793 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8794 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_type" }) }) });
    var owner_id8796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_id" }) }) });
    var company8797 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/company" }) }) });
    var contact_person8798 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_person" }) }) });
    var contact_role8799 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_role" }) }) });
    var body8800 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language8801 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8802 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8803 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id8796.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8798.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body8800.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8795 !== 'undefined' && owner_type8795.on('change',Lino.chooser_handler(owner_id8796,'owner_type'));
      typeof company8797 !== 'undefined' && company8797.on('change',Lino.chooser_handler(contact_person8798,'company'));
      Lino.notes.NotesByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8785, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8786, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8787, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.event_type) ") }, "renderer": Lino.fk_renderer('event_typeHidden','Lino.notes.EventTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8788, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.type) ") }, "renderer": Lino.fk_renderer('typeHidden','Lino.notes.NoteTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8789, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8790, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8791, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project8792, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8794, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8795, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_type) ") }, "renderer": Lino.fk_renderer('owner_typeHidden','Lino.gfks.ContentTypes.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8796, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8797, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person8798, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role8799, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "body", "editable": true, "editor": body8800, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8801, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.NotesByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.insertPanel(p);
});
Lino.notes.NotesByOwner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "edit_template", "menu_item_text": "Vorlage bearbeiten", "overflowText": "Vorlage bearbeiten", "panel_btn_handler": Lino.row_action_handler('edit_template','GET',null), "text": "Vorlage bearbeiten", "tooltip": "Edit the print template, i.e. the file specified by\nPrintable.get_print_templates().", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.detailPanel(p);
});
Lino.notes.NotesByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByOwner.GridPanel(p);
});
Lino.notes.NotesByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class gfks.BrokenGFKs
Lino.gfks.BrokenGFKs.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/gfks/BrokenGFKs",
  ls_store_fields : [ { "name": "database_model" }, { "name": "database_object" }, { "name": "message" }, { "name": "todo" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKs','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKs','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKs','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKs','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKs','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Broken GFKs",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var database_model_disp15099 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var database_object_disp15100 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var message_disp15101 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var todo_disp15102 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "database_model", "editable": false, "header": "Datenbankmodell", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKs.database_model) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKs.database_model) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "database_object", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKs.database_object) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKs.database_object) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "message", "editable": false, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKs.message) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKs.message) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "todo", "editable": false, "header": "Aktion", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKs.todo) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKs.todo) ", "width": Lino.chars2width(31) } ];
    Lino.gfks.BrokenGFKs.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.gfks.BrokenGFKs.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKs", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKs.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKs", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKs.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKs", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKs.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKs", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKs.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/gfks/BrokenGFKs" };
  return new Lino.gfks.BrokenGFKs.GridPanel(p);
});

// js_render_GridPanel_class gfks.BrokenGFKsByModel
Lino.gfks.BrokenGFKsByModel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/gfks/BrokenGFKsByModel",
  ls_store_fields : [ { "name": "database_object" }, { "name": "message" }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKsByModel','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKsByModel','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKsByModel','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKsByModel','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/gfks/BrokenGFKsByModel','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Broken GFKs",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var database_object_disp3641 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var message_disp3642 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var todo_disp3643 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "database_object", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKsByModel.database_object) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKsByModel.database_object) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "message", "editable": false, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKsByModel.message) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKsByModel.message) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "todo", "editable": false, "header": "Aktion", "listeners": { "render": Lino.quicktip_renderer("","(gfks.BrokenGFKsByModel.todo) ") }, "sortable": false, "tooltip": "(gfks.BrokenGFKsByModel.todo) ", "width": Lino.chars2width(31) } ];
    Lino.gfks.BrokenGFKsByModel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.gfks.BrokenGFKsByModel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKsByModel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKsByModel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKsByModel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKsByModel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKsByModel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKsByModel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/gfks/BrokenGFKsByModel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.gfks.BrokenGFKsByModel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/gfks/BrokenGFKsByModel" };
  return new Lino.gfks.BrokenGFKsByModel.GridPanel(p);
});

// js_render_GridPanel_class reception.FindDateByClientTable
Lino.reception.FindDateByClientTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/FindDateByClientTable",
  ls_store_fields : [ { "name": "button" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin finden mit...",
  disabled_fields_index : 1,
  initComponent : function() {
    var ww = this.containing_window;
    var button_disp8805 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "button", "editable": false, "header": "Button", "listeners": { "render": Lino.quicktip_renderer("","(reception.FindDateByClientTable.button) ") }, "sortable": false, "tooltip": "(reception.FindDateByClientTable.button) ", "width": Lino.chars2width(31) } ];
    Lino.reception.FindDateByClientTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.FindDateByClientTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/FindDateByClientTable" };
  return new Lino.reception.FindDateByClientTable.GridPanel(p);
});

// js_render_GridPanel_class ledger.ExpectedMovements
Lino.ledger.ExpectedMovements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/ExpectedMovements",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "balance" }, { "name": "debts" }, { "name": "payments" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/ExpectedMovements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/ExpectedMovements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/ExpectedMovements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/ExpectedMovements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/ExpectedMovements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Schulden",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var due_date15104 = new Lino.DateField({ "disabled": true });
    var balance15105 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var debts_disp15106 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15107 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.ExpectedMovements.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(16), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.ExpectedMovements.balance) ") }, "sortable": true, "tooltip": "(ledger.ExpectedMovements.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(ledger.ExpectedMovements.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.ExpectedMovements.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) } ];
    Lino.ledger.ExpectedMovements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.ExpectedMovements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/ExpectedMovements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.ExpectedMovements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/ExpectedMovements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.ExpectedMovements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/ExpectedMovements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.ExpectedMovements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/ExpectedMovements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.ExpectedMovements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/ExpectedMovements" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.ledger.ExpectedMovements.GridPanel(p);
});

// js_render_GridPanel_class ledger.DebtsByAccount
Lino.ledger.DebtsByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/DebtsByAccount",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "balance" }, { "name": "debts" }, { "name": "payments" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByAccount','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByAccount','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByAccount','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Schulden",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var due_date15109 = new Lino.DateField({ "disabled": true });
    var balance15110 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var debts_disp15111 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15112 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByAccount.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(16), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByAccount.balance) ") }, "sortable": true, "tooltip": "(ledger.DebtsByAccount.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByAccount.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByAccount.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) } ];
    Lino.ledger.DebtsByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.DebtsByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/DebtsByAccount" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.ledger.DebtsByAccount.GridPanel(p);
});

// js_render_GridPanel_class ledger.DebtsByPartner
Lino.ledger.DebtsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/DebtsByPartner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "balance" }, { "name": "debts" }, { "name": "payments" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 65,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/DebtsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Schulden",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var due_date15114 = new Lino.DateField({ "disabled": true });
    var balance15115 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var debts_disp15116 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15117 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByPartner.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(16), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByPartner.balance) ") }, "sortable": true, "tooltip": "(ledger.DebtsByPartner.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByPartner.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DebtsByPartner.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) } ];
    Lino.ledger.DebtsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.DebtsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DebtsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DebtsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/DebtsByPartner" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.ledger.DebtsByPartner.GridPanel(p);
});

// js_render_GridPanel_class ledger.Debtors
Lino.ledger.Debtors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/Debtors",
  ls_store_fields : [ { "name": "age", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "partner_id", "type": "int", "useNull": true }, { "name": "balance" }, { "name": "vouchers" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/Debtors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Debtors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Debtors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Debtors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/Debtors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Schuldner",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var age15119 = new Ext.form.NumberField({ "disabled": true });
    var due_date15120 = new Lino.DateField({ "disabled": true });
    var partner15121 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var partner_id15122 = new Ext.form.NumberField({ "disabled": true });
    var balance15123 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var vouchers_disp15124 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "age", "editable": false, "format": "0", "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Debtors.age) ") }, "sortable": true, "tooltip": "(ledger.Debtors.age) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Debtors.due_date) ") }, "sortable": true, "tooltip": "(ledger.Debtors.due_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": false, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Debtors.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(ledger.Debtors.partner) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "partner_id", "editable": false, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Debtors.partner_id) ") }, "sortable": true, "tooltip": "(ledger.Debtors.partner_id) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Debtors.balance) ") }, "sortable": true, "tooltip": "(ledger.Debtors.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "vouchers", "editable": false, "header": "Belege", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Debtors.vouchers) ") }, "sortable": false, "tooltip": "(ledger.Debtors.vouchers) ", "width": Lino.chars2width(31) } ];
    Lino.ledger.Debtors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Debtors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Debtors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Debtors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Debtors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Debtors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Debtors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Debtors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Debtors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Debtors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Debtors" };
  p.params_panel = new Lino.ledger.Debtors.ParamsPanel({});
  return new Lino.ledger.Debtors.GridPanel(p);
});

// js_render_GridPanel_class ledger.Creditors
Lino.ledger.Creditors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/Creditors",
  ls_store_fields : [ { "name": "age", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "partner_id", "type": "int", "useNull": true }, { "name": "balance" }, { "name": "vouchers" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/Creditors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Creditors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Creditors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/Creditors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/Creditors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gl\u00e4ubiger",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var age15126 = new Ext.form.NumberField({ "disabled": true });
    var due_date15127 = new Lino.DateField({ "disabled": true });
    var partner15128 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var partner_id15129 = new Ext.form.NumberField({ "disabled": true });
    var balance15130 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var vouchers_disp15131 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "age", "editable": false, "format": "0", "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Creditors.age) ") }, "sortable": true, "tooltip": "(ledger.Creditors.age) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Creditors.due_date) ") }, "sortable": true, "tooltip": "(ledger.Creditors.due_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": false, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Creditors.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(ledger.Creditors.partner) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "partner_id", "editable": false, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Creditors.partner_id) ") }, "sortable": true, "tooltip": "(ledger.Creditors.partner_id) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Creditors.balance) ") }, "sortable": true, "tooltip": "(ledger.Creditors.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "vouchers", "editable": false, "header": "Belege", "listeners": { "render": Lino.quicktip_renderer("","(ledger.Creditors.vouchers) ") }, "sortable": false, "tooltip": "(ledger.Creditors.vouchers) ", "width": Lino.chars2width(31) } ];
    Lino.ledger.Creditors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.Creditors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Creditors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Creditors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Creditors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Creditors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Creditors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Creditors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/Creditors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.Creditors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/Creditors" };
  p.params_panel = new Lino.ledger.Creditors.ParamsPanel({});
  return new Lino.ledger.Creditors.GridPanel(p);
});

// js_render_GridPanel_class vatless.VouchersByPartner
Lino.vatless.VouchersByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/VouchersByPartner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "voucher" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/VouchersByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/VouchersByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/VouchersByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/VouchersByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/VouchersByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partnerbelege",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var entry_date15133 = new Lino.DateField({ "disabled": true });
    var voucher_disp15134 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount15135 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "entry_date", "editable": false, "format": "d.m.Y", "header": "Buchungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(vatless.VouchersByPartner.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "sortable": true, "tooltip": "The date of the journal entry, i.e. when this voucher is to\njournalized or booked.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "voucher", "editable": false, "header": "Beleg", "listeners": { "render": Lino.quicktip_renderer("","(vatless.VouchersByPartner.voucher) ") }, "sortable": false, "tooltip": "(vatless.VouchersByPartner.voucher) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.VouchersByPartner.amount) ") }, "sortable": true, "tooltip": "(vatless.VouchersByPartner.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.vatless.VouchersByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.VouchersByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/VouchersByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.VouchersByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/VouchersByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.VouchersByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/VouchersByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.VouchersByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/VouchersByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.VouchersByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/VouchersByPartner" };
  return new Lino.vatless.VouchersByPartner.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByVoucher
Lino.finan.SuggestionsByVoucher.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByVoucher",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucher','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucher','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucher','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucher','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucher','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucher','do_fill','POST',null), "tooltip": "Fill selected suggestions from a SuggestionsByVoucher table into a\nfinancial voucher.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15137 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15138 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15139 = new Lino.DateField({ "disabled": true });
    var debts_disp15140 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15141 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15142 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15143 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15144 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15145 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15146 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15147 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByVoucher.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucher.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucher.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByVoucher.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByVoucher.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucher", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucher.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucher", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucher.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucher", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucher.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucher", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucher.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucher", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucher.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByVoucher" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByVoucher.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByJournalEntry
Lino.finan.SuggestionsByJournalEntry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByJournalEntry",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByJournalEntry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByJournalEntry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByJournalEntry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByJournalEntry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByJournalEntry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByJournalEntry','do_fill','POST',null), "tooltip": "Fill selected suggestions from a SuggestionsByVoucher table into a\nfinancial voucher.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15149 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15150 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15151 = new Lino.DateField({ "disabled": true });
    var debts_disp15152 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15153 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15154 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15155 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15156 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15157 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15158 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15159 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByJournalEntry.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByJournalEntry.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByJournalEntry.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByJournalEntry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByJournalEntry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByJournalEntry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByJournalEntry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByJournalEntry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByJournalEntry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByJournalEntry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByJournalEntry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByJournalEntry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByJournalEntry.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByJournalEntry", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByJournalEntry.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByJournalEntry" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByJournalEntry.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByPaymentOrder
Lino.finan.SuggestionsByPaymentOrder.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByPaymentOrder",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrder','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrder','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrder','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrder','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrder','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrder','do_fill','POST',null), "tooltip": "Fill selected suggestions from a SuggestionsByVoucher table into a\nfinancial voucher.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15161 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15162 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15163 = new Lino.DateField({ "disabled": true });
    var debts_disp15164 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15165 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15166 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15167 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15168 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15169 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15170 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15171 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByPaymentOrder.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrder.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrder.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByPaymentOrder.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByPaymentOrder.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrder", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrder.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrder", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrder.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrder", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrder.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrder", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrder.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrder", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrder.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByPaymentOrder" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByPaymentOrder.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByBankStatement
Lino.finan.SuggestionsByBankStatement.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByBankStatement",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatement','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatement','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatement','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatement','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatement','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatement','do_fill','POST',null), "tooltip": "Fill selected suggestions from a SuggestionsByVoucher table into a\nfinancial voucher.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15173 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15174 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15175 = new Lino.DateField({ "disabled": true });
    var debts_disp15176 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15177 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15178 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15179 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15180 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15181 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15182 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15183 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByBankStatement.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatement.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatement.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByBankStatement.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByBankStatement.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatement", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatement.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatement", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatement.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatement", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatement.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatement", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatement.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatement", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatement.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByBankStatement" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByBankStatement.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByVoucherItem
Lino.finan.SuggestionsByVoucherItem.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByVoucherItem",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucherItem','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucherItem','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucherItem','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucherItem','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucherItem','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByVoucherItem','do_fill','POST',null), "tooltip": "Fill the selected suggestions as items to the voucher. The first\nselected suggestion does not create a new item but replaces the\nitem for which it was called.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15185 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15186 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15187 = new Lino.DateField({ "disabled": true });
    var debts_disp15188 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15189 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15190 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15191 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15192 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15193 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15194 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15195 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByVoucherItem.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByVoucherItem.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByVoucherItem.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByVoucherItem.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByVoucherItem.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucherItem", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucherItem.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucherItem", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucherItem.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucherItem", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucherItem.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucherItem", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucherItem.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByVoucherItem", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByVoucherItem.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByVoucherItem" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByVoucherItem.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByBankStatementItem
Lino.finan.SuggestionsByBankStatementItem.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByBankStatementItem",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatementItem','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatementItem','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatementItem','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatementItem','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatementItem','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByBankStatementItem','do_fill','POST',null), "tooltip": "Fill the selected suggestions as items to the voucher. The first\nselected suggestion does not create a new item but replaces the\nitem for which it was called.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15197 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15198 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15199 = new Lino.DateField({ "disabled": true });
    var debts_disp15200 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15201 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15202 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15203 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15204 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15205 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15206 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15207 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByBankStatementItem.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByBankStatementItem.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByBankStatementItem.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByBankStatementItem.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByBankStatementItem.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatementItem", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatementItem.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatementItem", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatementItem.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatementItem", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatementItem.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatementItem", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatementItem.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByBankStatementItem", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByBankStatementItem.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByBankStatementItem" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByBankStatementItem.GridPanel(p);
});

// js_render_GridPanel_class finan.SuggestionsByPaymentOrderItem
Lino.finan.SuggestionsByPaymentOrderItem.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/SuggestionsByPaymentOrderItem",
  ls_store_fields : [ { "name": "info" }, { "name": "match" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "debts" }, { "name": "payments" }, { "name": "balance" }, { "name": "detail_link" }, { "name": "partner" }, 'partnerHidden', { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 65,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrderItem','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrderItem','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrderItem','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrderItem','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrderItem','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "do_fill", "menu_item_text": "F\u00fcllen", "overflowText": "F\u00fcllen", "panel_btn_handler": Lino.list_action_handler('/finan/SuggestionsByPaymentOrderItem','do_fill','POST',null), "tooltip": "Fill the selected suggestions as items to the voucher. The first\nselected suggestion does not create a new item but replaces the\nitem for which it was called.", "tooltipType": "title" } ],
  row_height : 4,
  viewConfig : { "cellTpl": new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
'<div class="x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" style="height:44px" {attr}>{value}</div>',
'</td>'), "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorschl\u00e4ge",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var info_disp15209 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var match_disp15210 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var due_date15211 = new Lino.DateField({ "disabled": true });
    var debts_disp15212 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var payments_disp15213 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var balance15214 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var detail_link_disp15215 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner15216 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners" });
    var project15217 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var account15218 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    var bank_account15219 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "sepa.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.info) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.info) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "match", "editable": false, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.match) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.match) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "due_date", "editable": false, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.due_date) Due date of the eldest debt in this match group") }, "sortable": true, "tooltip": "Due date of the eldest debt in this match group", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "debts", "editable": false, "header": "Schulden", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.debts) List of invoices in this match group") }, "sortable": false, "tooltip": "List of invoices in this match group", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "payments", "editable": false, "header": "Zahlungen", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.payments) List of payments in this match group") }, "sortable": false, "tooltip": "List of payments in this match group", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "balance", "editable": false, "format": "0.000,00/i", "header": "Saldo", "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.balance) ") }, "sortable": true, "tooltip": "(finan.SuggestionsByPaymentOrderItem.balance) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.detail_link) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "partner", "editable": false, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.partner) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "project", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.project) ") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.project) ", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "account", "editable": false, "header": "Haushaltsartikel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.account) ", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "bank_account", "editable": false, "header": "Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.SuggestionsByPaymentOrderItem.bank_account) ") }, "sortable": false, "tooltip": "(finan.SuggestionsByPaymentOrderItem.bank_account) ", "width": Lino.chars2width(21) } ];
    Lino.finan.SuggestionsByPaymentOrderItem.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.SuggestionsByPaymentOrderItem.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrderItem", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrderItem.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrderItem", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrderItem.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrderItem", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrderItem.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrderItem", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrderItem.do_fill = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/SuggestionsByPaymentOrderItem", "POST", pk, "do_fill", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.SuggestionsByPaymentOrderItem.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": "90%" }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/SuggestionsByPaymentOrderItem" };
  p.params_panel = new Lino.ledger.ExpectedMovements.ParamsPanel({});
  return new Lino.finan.SuggestionsByPaymentOrderItem.GridPanel(p);
});

// js_render_GridPanel_class integ.UsersWithClients
Lino.integ.UsersWithClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/UsersWithClients",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "G1" }, { "name": "G2" }, { "name": "G4" }, { "name": "G4bis" }, { "name": "G9" }, { "name": "primary_clients" }, { "name": "active_clients" }, { "name": "row_total" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/UsersWithClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/UsersWithClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/UsersWithClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/UsersWithClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/UsersWithClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer und ihre Klienten",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var user8807 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var G18808 = new Ext.form.NumberField({ "disabled": true });
    var G28809 = new Ext.form.NumberField({ "disabled": true });
    var G48810 = new Ext.form.NumberField({ "disabled": true });
    var G4bis8811 = new Ext.form.NumberField({ "disabled": true });
    var G98812 = new Ext.form.NumberField({ "disabled": true });
    var primary_clients8813 = new Ext.form.NumberField({ "disabled": true });
    var active_clients8814 = new Ext.form.NumberField({ "disabled": true });
    var row_total8815 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 1, "dataIndex": "G1", "editable": false, "format": "0", "header": "Auswertung", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G1) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "G2", "editable": false, "format": "0", "header": "Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G2) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "G4", "editable": false, "format": "0", "header": "Suchen", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G4) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "G4bis", "editable": false, "format": "0", "header": "Arbeit", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G4bis) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G4bis) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "G9", "editable": false, "format": "0", "header": "Standby", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G9) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G9) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Komplette Akten", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.primary_clients) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "active_clients", "editable": false, "format": "0", "header": "Aktive Klienten", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.active_clients) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.active_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "row_total", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.row_total) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.row_total) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.UsersWithClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.UsersWithClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/UsersWithClients" };
  return new Lino.integ.UsersWithClients.GridPanel(p);
});

// js_render_GridPanel_class integ.CompareRequestsTable
Lino.integ.CompareRequestsTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompareRequestsTable",
  ls_store_fields : [ { "name": "description" }, { "name": "old_value" }, { "name": "new_value" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Allgemeine Entwicklung",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp8817 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var old_value8818 = new Ext.form.NumberField({ "disabled": true });
    var new_value8819 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.description) ") }, "sortable": false, "tooltip": "(integ.CompareRequestsTable.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "old_value", "editable": false, "format": "0", "header": "Anfangswert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.old_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.old_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "new_value", "editable": false, "format": "0", "header": "Endwert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.new_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.new_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompareRequestsTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompareRequestsTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompareRequestsTable" };
  return new Lino.integ.CompareRequestsTable.GridPanel(p);
});

// js_render_GridPanel_class integ.PeriodicNumbers
Lino.integ.PeriodicNumbers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/PeriodicNumbers",
  ls_store_fields : [ { "name": "description" }, { "name": "number" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aktivit\u00e4t",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp8821 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var number8822 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.description) ") }, "sortable": false, "tooltip": "(integ.PeriodicNumbers.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "number", "editable": false, "format": "0", "header": "Anzahl", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.number) ") }, "sortable": true, "tooltip": "(integ.PeriodicNumbers.number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.PeriodicNumbers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.PeriodicNumbers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/PeriodicNumbers" };
  return new Lino.integ.PeriodicNumbers.GridPanel(p);
});

// js_render_GridPanel_class integ.ContractsByType
Lino.integ.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/ContractsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ContractsByType",
  initComponent : function() {
    var ww = this.containing_window;
    var description8824 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc08825 = new Ext.form.NumberField({ "disabled": true });
    var vc18826 = new Ext.form.NumberField({ "disabled": true });
    var vc28827 = new Ext.form.NumberField({ "disabled": true });
    var vc38828 = new Ext.form.NumberField({ "disabled": true });
    var vc48829 = new Ext.form.NumberField({ "disabled": true });
    var vc58830 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.description) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc4) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc5) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractsByType" };
  return new Lino.integ.ContractsByType.GridPanel(p);
});

// js_render_GridPanel_class users.UserRoles
Lino.users.UserRoles.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UserRoles",
  ls_store_fields : [ { "name": "name" }, { "name": "ut000" }, { "name": "ut100" }, { "name": "ut110" }, { "name": "ut120" }, { "name": "ut200" }, { "name": "ut210" }, { "name": "ut220" }, { "name": "ut300" }, { "name": "ut400" }, { "name": "ut410" }, { "name": "ut420" }, { "name": "ut500" }, { "name": "ut510" }, { "name": "ut800" }, { "name": "ut900" }, { "name": "ut910" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/UserRoles','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UserRoles','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/UserRoles','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UserRoles','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/UserRoles','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzerrollen",
  disabled_fields_index : 17,
  initComponent : function() {
    var ww = this.containing_window;
    var name_disp15221 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut000_disp15222 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut100_disp15223 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut110_disp15224 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut120_disp15225 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut200_disp15226 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut210_disp15227 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut220_disp15228 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut300_disp15229 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut400_disp15230 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut410_disp15231 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut420_disp15232 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut500_disp15233 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut510_disp15234 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut800_disp15235 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut900_disp15236 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var ut910_disp15237 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.name) ") }, "sortable": false, "tooltip": "(users.UserRoles.name) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "ut000", "editable": false, "header": "000", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut000) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut000) ", "width": Lino.chars2width(4) }, { "colIndex": 2, "dataIndex": "ut100", "editable": false, "header": "100", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut100) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut100) ", "width": Lino.chars2width(4) }, { "colIndex": 3, "dataIndex": "ut110", "editable": false, "header": "110", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut110) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut110) ", "width": Lino.chars2width(4) }, { "colIndex": 4, "dataIndex": "ut120", "editable": false, "header": "120", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut120) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut120) ", "width": Lino.chars2width(4) }, { "colIndex": 5, "dataIndex": "ut200", "editable": false, "header": "200", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut200) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut200) ", "width": Lino.chars2width(4) }, { "colIndex": 6, "dataIndex": "ut210", "editable": false, "header": "210", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut210) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut210) ", "width": Lino.chars2width(4) }, { "colIndex": 7, "dataIndex": "ut220", "editable": false, "header": "220", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut220) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut220) ", "width": Lino.chars2width(4) }, { "colIndex": 8, "dataIndex": "ut300", "editable": false, "header": "300", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut300) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut300) ", "width": Lino.chars2width(4) }, { "colIndex": 9, "dataIndex": "ut400", "editable": false, "header": "400", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut400) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut400) ", "width": Lino.chars2width(4) }, { "colIndex": 10, "dataIndex": "ut410", "editable": false, "header": "410", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut410) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut410) ", "width": Lino.chars2width(4) }, { "colIndex": 11, "dataIndex": "ut420", "editable": false, "header": "420", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut420) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut420) ", "width": Lino.chars2width(4) }, { "colIndex": 12, "dataIndex": "ut500", "editable": false, "header": "500", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut500) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut500) ", "width": Lino.chars2width(4) }, { "colIndex": 13, "dataIndex": "ut510", "editable": false, "header": "510", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut510) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut510) ", "width": Lino.chars2width(4) }, { "colIndex": 14, "dataIndex": "ut800", "editable": false, "header": "800", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut800) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut800) ", "width": Lino.chars2width(4) }, { "colIndex": 15, "dataIndex": "ut900", "editable": false, "header": "900", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut900) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut900) ", "width": Lino.chars2width(4) }, { "colIndex": 16, "dataIndex": "ut910", "editable": false, "header": "910", "listeners": { "render": Lino.quicktip_renderer("","(users.UserRoles.ut910) ") }, "sortable": false, "tooltip": "(users.UserRoles.ut910) ", "width": Lino.chars2width(4) } ];
    Lino.users.UserRoles.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UserRoles.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserRoles", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserRoles.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserRoles", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserRoles.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserRoles", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserRoles.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserRoles", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserRoles.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UserRoles" };
  return new Lino.users.UserRoles.GridPanel(p);
});

// js_render_GridPanel_class cbss.IdentifyPersonResult
Lino.cbss.IdentifyPersonResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonResult",
  ls_store_fields : [ { "name": "national_id" }, { "name": "last_name" }, { "name": "first_name" }, { "name": "address" }, { "name": "birth_date" }, { "name": "birth_location" }, { "name": "civil_state" }, { "name": "detail_link" }, { "name": "gender" }, 'genderHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resultate",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var national_id_disp4625 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var last_name_disp4626 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var first_name_disp4627 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_disp4628 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_date_disp4629 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_location_disp4630 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var civil_state_disp4631 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var detail_link_disp4632 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var gender4633 = new Lino.ChoicesFieldElement({ "disabled": true, "hidden": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "national_id", "editable": false, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.national_id) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.national_id) ", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "last_name", "editable": false, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.last_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.last_name) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "first_name", "editable": false, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.first_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.first_name) ", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.address) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.address) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "birth_date", "editable": false, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_date) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_date) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "birth_location", "editable": false, "header": "Geburtsort", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_location) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_location) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "civil_state", "editable": false, "header": "Zivilstand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.civil_state) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.civil_state) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.detail_link) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "gender", "editable": false, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.gender) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.gender) ", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyPersonResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonResult" };
  return new Lino.cbss.IdentifyPersonResult.GridPanel(p);
});

// js_render_GridPanel_class cbss.RetrieveTIGroupsResult
Lino.cbss.RetrieveTIGroupsResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsResult",
  ls_store_fields : [ { "name": "group" }, { "name": "type" }, { "dateFormat": "d.m.Y", "name": "since", "type": "date" }, { "name": "info" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resultate",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var group_disp5390 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var type_disp5391 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var since5392 = new Lino.DateField({ "disabled": true });
    var info_disp5393 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "group", "editable": false, "header": "Gruppe", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.group) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.group) ", "width": Lino.chars2width(19) }, { "colIndex": 1, "dataIndex": "type", "editable": false, "header": "TI", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.type) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.type) ", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "since", "editable": false, "format": "d.m.Y", "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.since) ") }, "sortable": true, "tooltip": "(cbss.RetrieveTIGroupsResult.since) ", "width": Lino.chars2width(15), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.info) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.info) ", "width": Lino.chars2width(51) } ];
    Lino.cbss.RetrieveTIGroupsResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsResult" };
  return new Lino.cbss.RetrieveTIGroupsResult.GridPanel(p);
});

// js_render_GridPanel_class debts.SummaryTable
Lino.debts.SummaryTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/SummaryTable",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "SummaryTable",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp8832 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount8833 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.desc) ") }, "sortable": false, "tooltip": "(debts.SummaryTable.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.amount) ") }, "sortable": true, "tooltip": "(debts.SummaryTable.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.SummaryTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.SummaryTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/SummaryTable" };
  return new Lino.debts.SummaryTable.GridPanel(p);
});

// js_render_GridPanel_class debts.ResultByBudget
Lino.debts.ResultByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ResultByBudget",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einnahmen & Ausgaben",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp15239 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount15240 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ResultByBudget.desc) ") }, "sortable": false, "tooltip": "(debts.ResultByBudget.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.ResultByBudget.amount) ") }, "sortable": true, "tooltip": "(debts.ResultByBudget.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.ResultByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ResultByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ResultByBudget" };
  return new Lino.debts.ResultByBudget.GridPanel(p);
});

// js_render_GridPanel_class debts.DebtsByBudget
Lino.debts.DebtsByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/DebtsByBudget",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verpflichtungen",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp15242 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount15243 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.DebtsByBudget.desc) ") }, "sortable": false, "tooltip": "(debts.DebtsByBudget.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.DebtsByBudget.amount) ") }, "sortable": true, "tooltip": "(debts.DebtsByBudget.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.DebtsByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.DebtsByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/DebtsByBudget" };
  return new Lino.debts.DebtsByBudget.GridPanel(p);
});

// js_render_GridPanel_class debts.AssetsByBudgetSummary
Lino.debts.AssetsByBudgetSummary.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AssetsByBudgetSummary",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verm\u00f6gen",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp15245 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount15246 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudgetSummary.desc) ") }, "sortable": false, "tooltip": "(debts.AssetsByBudgetSummary.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudgetSummary.amount) ") }, "sortable": true, "tooltip": "(debts.AssetsByBudgetSummary.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.AssetsByBudgetSummary.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AssetsByBudgetSummary.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AssetsByBudgetSummary" };
  return new Lino.debts.AssetsByBudgetSummary.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationsByGranting
Lino.aids.ConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationsByGranting",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "signer" }, 'signerHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Drucken", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausgestellte Best\u00e4tigungen",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp1473 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created1474 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user1475 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var signer1476 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var printed_disp1477 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date1478 = new Lino.DateField({ "disabled": true });
    var end_date1479 = new Lino.DateField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Best\u00e4tigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "renderer": Lino.fk_renderer('userHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "signer", "editable": false, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.signer) ") }, "renderer": Lino.fk_renderer('signerHidden','Lino.users.AllUsers.detail'), "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.signer) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.printed) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.printed) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "start_date", "editable": false, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.start_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "end_date", "editable": false, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.end_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.ConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationsByGranting" };
  return new Lino.aids.ConfirmationsByGranting.GridPanel(p);
});

// js_render_GridPanel_class dupable_clients.SimilarClients
Lino.dupable_clients.SimilarClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/SimilarClients",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "similar_record" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4hnliche Klienten",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp8835 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var similar_record_disp8836 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.SimilarClients.detail_link) ") }, "sortable": false, "tooltip": "(dupable_clients.SimilarClients.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "similar_record", "editable": false, "header": "\u00c4hnlicher Datensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.SimilarClients.similar_record) ") }, "sortable": false, "tooltip": "(dupable_clients.SimilarClients.similar_record) ", "width": Lino.chars2width(31) } ];
    Lino.dupable_clients.SimilarClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.SimilarClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/SimilarClients" };
  return new Lino.dupable_clients.SimilarClients.GridPanel(p);
});

Lino.about.About.showPanel = Ext.extend(Lino.about.About.DetailFormPanel,{
  empty_title: "Info",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "sign_in", "menu_item_text": "Anmelden", "overflowText": "Anmelden", "panel_btn_handler": Lino.param_action_handler(Lino.about.About.sign_in), "text": "Anmelden", "tooltip": "Open a window which asks for username and password and which\nauthenticates as this user when submitted.", "tooltipType": "title" } ],
  ls_url: "/about/About",
  initComponent : function() {
    this.ls_detail_handler = Lino.about.About.show;
    Lino.about.About.showPanel.superclass.initComponent.call(this);
  }
});

Lino.about.About.show = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.showPanel(p);
});
Lino.extensible.CalendarPanel.grid = new Lino.WindowAction({  }, function(){
  return Lino.CalendarApp().get_main_panel();
});

Lino.jobs.JobsOverview.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "\u00dcbersicht Art.60\u00a77-Konventionen",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsOverview",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverview.show;
    Lino.jobs.JobsOverview.showPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverview.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverview" };
  p.params_panel = new Lino.jobs.JobsOverview.ParamsPanel({});
  return new Lino.jobs.JobsOverview.showPanel(p);
});
Lino.jobs.JobsOverview.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverview", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.ActivityReport.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "T\u00e4tigkeitsbericht",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" } ],
  ls_url: "/integ/ActivityReport",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ActivityReport.show;
    Lino.integ.ActivityReport.showPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ActivityReport.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ActivityReport" };
  p.params_panel = new Lino.integ.ActivityReport.ParamsPanel({});
  return new Lino.integ.ActivityReport.showPanel(p);
});
Lino.integ.ActivityReport.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ActivityReport", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class system.YesNo
Lino.system.YesNo.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/YesNo",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ja oder Nein",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8838 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8839 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8840 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8841 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8842 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8843 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8844 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.value) ") }, "sortable": true, "tooltip": "(system.YesNo.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.name) ") }, "sortable": true, "tooltip": "(system.YesNo.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.text) ") }, "sortable": true, "tooltip": "(system.YesNo.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.detail_link) ") }, "sortable": false, "tooltip": "(system.YesNo.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.button_text) ") }, "sortable": true, "tooltip": "(system.YesNo.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.remark) ") }, "sortable": false, "tooltip": "(system.YesNo.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.type) ") }, "sortable": false, "tooltip": "(system.YesNo.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.YesNo.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.YesNo.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/YesNo" };
  return new Lino.system.YesNo.GridPanel(p);
});

// js_render_GridPanel_class system.Genders
Lino.system.Genders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/Genders",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/Genders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/Genders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/Genders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/Genders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/Genders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Genders",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8846 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8847 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8848 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8849 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8850 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8851 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8852 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.value) ") }, "sortable": true, "tooltip": "(system.Genders.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.name) ") }, "sortable": true, "tooltip": "(system.Genders.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.text) ") }, "sortable": true, "tooltip": "(system.Genders.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.detail_link) ") }, "sortable": false, "tooltip": "(system.Genders.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.button_text) ") }, "sortable": true, "tooltip": "(system.Genders.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.remark) ") }, "sortable": false, "tooltip": "(system.Genders.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.type) ") }, "sortable": false, "tooltip": "(system.Genders.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.Genders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.Genders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/Genders" };
  return new Lino.system.Genders.GridPanel(p);
});

// js_render_GridPanel_class system.PeriodEvents
Lino.system.PeriodEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/PeriodEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8854 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8855 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8856 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8857 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8858 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8859 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8860 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.value) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.name) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.detail_link) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.button_text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.remark) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.type) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.PeriodEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.PeriodEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/PeriodEvents" };
  return new Lino.system.PeriodEvents.GridPanel(p);
});

// js_render_GridPanel_class system.DashboardLayouts
Lino.system.DashboardLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/DashboardLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/DashboardLayouts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/DashboardLayouts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/DashboardLayouts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/DashboardLayouts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/DashboardLayouts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DashboardLayouts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8862 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8863 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8864 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8865 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8866 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8867 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8868 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.value) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.name) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.text) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.detail_link) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.button_text) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.remark) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.type) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.DashboardLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.DashboardLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/DashboardLayouts" };
  return new Lino.system.DashboardLayouts.GridPanel(p);
});

// js_render_GridPanel_class checkdata.Checkers
Lino.checkdata.Checkers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/Checkers",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/Checkers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Checkers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Checkers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Checkers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/Checkers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datentests",
  disabled_fields_index : 2,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Checkers.detail;
    var ww = this.containing_window;
    var value15248 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15249 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Checkers.value) ") }, "sortable": true, "tooltip": "(checkdata.Checkers.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Checkers.text) ") }, "sortable": true, "tooltip": "(checkdata.Checkers.text) ", "width": Lino.chars2width(22) } ];
    Lino.checkdata.Checkers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Checkers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Checkers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Checkers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Checkers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Checkers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Checkers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Checkers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Checkers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.Checkers.detailPanel = Ext.extend(Lino.checkdata.Checkers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/checkdata/Checkers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Checkers.detail;
    Lino.checkdata.Checkers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Checkers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Checkers" };
  return new Lino.checkdata.Checkers.detailPanel(p);
});
Lino.checkdata.Checkers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Checkers" };
  return new Lino.checkdata.Checkers.GridPanel(p);
});

// js_render_GridPanel_class printing.BuildMethods
Lino.printing.BuildMethods.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/printing/BuildMethods",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "BuildMethods",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8870 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8871 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8872 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8873 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8874 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8875 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8876 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.value) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.name) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.detail_link) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.button_text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.remark) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.type) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.type) ", "width": Lino.chars2width(31) } ];
    Lino.printing.BuildMethods.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.printing.BuildMethods.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/printing/BuildMethods" };
  return new Lino.printing.BuildMethods.GridPanel(p);
});

// js_render_GridPanel_class users.UserTypes
Lino.users.UserTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UserTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/UserTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UserTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/UserTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UserTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/UserTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzerarten",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var value15251 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15252 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15253 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(users.UserTypes.value) ") }, "sortable": true, "tooltip": "(users.UserTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(users.UserTypes.name) ") }, "sortable": true, "tooltip": "(users.UserTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(users.UserTypes.text) ") }, "sortable": true, "tooltip": "(users.UserTypes.text) ", "width": Lino.chars2width(22) } ];
    Lino.users.UserTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UserTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UserTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UserTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UserTypes" };
  return new Lino.users.UserTypes.GridPanel(p);
});

// js_render_GridPanel_class about.TimeZones
Lino.about.TimeZones.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/TimeZones",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zeitzonen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8878 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8879 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8880 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8881 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8882 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8883 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8884 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.value) ") }, "sortable": true, "tooltip": "(about.TimeZones.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.name) ") }, "sortable": true, "tooltip": "(about.TimeZones.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.text) ") }, "sortable": true, "tooltip": "(about.TimeZones.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.detail_link) ") }, "sortable": false, "tooltip": "(about.TimeZones.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.button_text) ") }, "sortable": true, "tooltip": "(about.TimeZones.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.remark) ") }, "sortable": false, "tooltip": "(about.TimeZones.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.type) ") }, "sortable": false, "tooltip": "(about.TimeZones.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.TimeZones.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.TimeZones.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/TimeZones" };
  return new Lino.about.TimeZones.GridPanel(p);
});

// js_render_GridPanel_class about.DateFormats
Lino.about.DateFormats.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/DateFormats",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/about/DateFormats','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/about/DateFormats','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/about/DateFormats','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/about/DateFormats','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/about/DateFormats','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Date formats",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8886 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8887 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8888 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8889 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8890 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8891 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8892 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.value) ") }, "sortable": true, "tooltip": "(about.DateFormats.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.name) ") }, "sortable": true, "tooltip": "(about.DateFormats.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.text) ") }, "sortable": true, "tooltip": "(about.DateFormats.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.detail_link) ") }, "sortable": false, "tooltip": "(about.DateFormats.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.button_text) ") }, "sortable": true, "tooltip": "(about.DateFormats.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.remark) ") }, "sortable": false, "tooltip": "(about.DateFormats.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.type) ") }, "sortable": false, "tooltip": "(about.DateFormats.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.DateFormats.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.DateFormats.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/DateFormats" };
  return new Lino.about.DateFormats.GridPanel(p);
});

// js_render_GridPanel_class xl.Priorities
Lino.xl.Priorities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xl/Priorities",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Priorit\u00e4ten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8894 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8895 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8896 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8897 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8898 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8899 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8900 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.value) ") }, "sortable": true, "tooltip": "(xl.Priorities.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.name) ") }, "sortable": true, "tooltip": "(xl.Priorities.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.text) ") }, "sortable": true, "tooltip": "(xl.Priorities.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.detail_link) ") }, "sortable": false, "tooltip": "(xl.Priorities.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.button_text) ") }, "sortable": true, "tooltip": "(xl.Priorities.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.remark) ") }, "sortable": false, "tooltip": "(xl.Priorities.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.type) ") }, "sortable": false, "tooltip": "(xl.Priorities.type) ", "width": Lino.chars2width(31) } ];
    Lino.xl.Priorities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xl.Priorities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xl/Priorities" };
  return new Lino.xl.Priorities.GridPanel(p);
});

// js_render_GridPanel_class countries.PlaceTypes
Lino.countries.PlaceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlaceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "PlaceTypes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8902 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8903 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8904 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8905 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8906 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8907 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8908 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.value) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.name) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.detail_link) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.button_text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.remark) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.type) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.countries.PlaceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlaceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlaceTypes" };
  return new Lino.countries.PlaceTypes.GridPanel(p);
});

// js_render_GridPanel_class uploads.Shortcuts
Lino.uploads.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload shortcuts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8910 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8911 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8912 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8913 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8914 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8915 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8916 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.value) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.name) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.type) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.uploads.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Shortcuts" };
  return new Lino.uploads.Shortcuts.GridPanel(p);
});

// js_render_GridPanel_class uploads.UploadAreas
Lino.uploads.UploadAreas.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadAreas",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadAreas','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadAreas','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadAreas','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadAreas','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadAreas','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Bereiche",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15255 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15256 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15257 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15258 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15259 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15260 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15261 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.value) ") }, "sortable": true, "tooltip": "(uploads.UploadAreas.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.name) ") }, "sortable": true, "tooltip": "(uploads.UploadAreas.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.text) ") }, "sortable": true, "tooltip": "(uploads.UploadAreas.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.detail_link) ") }, "sortable": false, "tooltip": "(uploads.UploadAreas.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.button_text) ") }, "sortable": true, "tooltip": "(uploads.UploadAreas.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.remark) ") }, "sortable": false, "tooltip": "(uploads.UploadAreas.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadAreas.type) ") }, "sortable": false, "tooltip": "(uploads.UploadAreas.type) ", "width": Lino.chars2width(31) } ];
    Lino.uploads.UploadAreas.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadAreas.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadAreas", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadAreas.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadAreas", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadAreas.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadAreas", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadAreas.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadAreas", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadAreas.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadAreas" };
  return new Lino.uploads.UploadAreas.GridPanel(p);
});

// js_render_GridPanel_class ledger.DC
Lino.ledger.DC.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/DC",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/DC','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DC','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DC','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/DC','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/DC','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Buchungsrichtungen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15263 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15264 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15265 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15266 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15267 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15268 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15269 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.value) ") }, "sortable": true, "tooltip": "(ledger.DC.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.name) ") }, "sortable": true, "tooltip": "(ledger.DC.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.text) ") }, "sortable": true, "tooltip": "(ledger.DC.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.detail_link) ") }, "sortable": false, "tooltip": "(ledger.DC.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.button_text) ") }, "sortable": true, "tooltip": "(ledger.DC.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.remark) ") }, "sortable": false, "tooltip": "(ledger.DC.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.DC.type) ") }, "sortable": false, "tooltip": "(ledger.DC.type) ", "width": Lino.chars2width(31) } ];
    Lino.ledger.DC.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.DC.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DC", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DC.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DC", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DC.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DC", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DC.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/DC", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.DC.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/DC" };
  return new Lino.ledger.DC.GridPanel(p);
});

// js_render_GridPanel_class ledger.JournalGroups
Lino.ledger.JournalGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/JournalGroups",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalGroups','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalGroups','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalGroups','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalGroups','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/JournalGroups','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Journalgruppen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15271 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15272 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15273 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15274 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15275 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15276 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15277 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.value) ") }, "sortable": true, "tooltip": "(ledger.JournalGroups.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.name) ") }, "sortable": true, "tooltip": "(ledger.JournalGroups.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.text) ") }, "sortable": true, "tooltip": "(ledger.JournalGroups.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.detail_link) ") }, "sortable": false, "tooltip": "(ledger.JournalGroups.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.button_text) ") }, "sortable": true, "tooltip": "(ledger.JournalGroups.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.remark) ") }, "sortable": false, "tooltip": "(ledger.JournalGroups.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.JournalGroups.type) ") }, "sortable": false, "tooltip": "(ledger.JournalGroups.type) ", "width": Lino.chars2width(31) } ];
    Lino.ledger.JournalGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.JournalGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/JournalGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.JournalGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/JournalGroups" };
  return new Lino.ledger.JournalGroups.GridPanel(p);
});

// js_render_GridPanel_class ledger.PeriodStates
Lino.ledger.PeriodStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/PeriodStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value8918 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8919 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8920 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text8921 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.value) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.name) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.text) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.button_text) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.ledger.PeriodStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PeriodStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PeriodStates" };
  return new Lino.ledger.PeriodStates.GridPanel(p);
});

// js_render_GridPanel_class ledger.CommonAccounts
Lino.ledger.CommonAccounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/CommonAccounts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "clearable", "type": "boolean" }, { "name": "db_object" }, 'db_objectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/CommonAccounts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/CommonAccounts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/CommonAccounts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/CommonAccounts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/CommonAccounts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gemeinkonten",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var value15279 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15280 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15281 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var clearable_disp15282 = new Ext.form.DisplayField({ "disabled": true });
    var db_object15283 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.CommonAccounts.value) ") }, "sortable": true, "tooltip": "(ledger.CommonAccounts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.CommonAccounts.name) ") }, "sortable": true, "tooltip": "(ledger.CommonAccounts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.CommonAccounts.text) ") }, "sortable": true, "tooltip": "(ledger.CommonAccounts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "clearable", "editable": false, "header": "Auszugleichen", "listeners": { "render": Lino.quicktip_renderer("","(ledger.CommonAccounts.clearable) ") }, "sortable": false, "tooltip": "(ledger.CommonAccounts.clearable) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "db_object", "editable": false, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(ledger.CommonAccounts.db_object) ") }, "renderer": Lino.fk_renderer('db_objectHidden','Lino.ledger.Accounts.detail'), "sortable": false, "tooltip": "(ledger.CommonAccounts.db_object) ", "width": Lino.chars2width(21) } ];
    Lino.ledger.CommonAccounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.CommonAccounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/CommonAccounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.CommonAccounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/CommonAccounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.CommonAccounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/CommonAccounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.CommonAccounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/CommonAccounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.CommonAccounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/CommonAccounts" };
  return new Lino.ledger.CommonAccounts.GridPanel(p);
});

// js_render_GridPanel_class ledger.VoucherTypes
Lino.ledger.VoucherTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/VoucherTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "model_name" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegarten",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value15285 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15286 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15287 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var model_name_disp15288 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherTypes.value) ") }, "sortable": true, "tooltip": "(ledger.VoucherTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherTypes.name) ") }, "sortable": true, "tooltip": "(ledger.VoucherTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherTypes.text) ") }, "sortable": true, "tooltip": "(ledger.VoucherTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "model_name", "editable": false, "header": "Modell", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherTypes.model_name) ") }, "sortable": false, "tooltip": "(ledger.VoucherTypes.model_name) ", "width": Lino.chars2width(31) } ];
    Lino.ledger.VoucherTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.VoucherTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/VoucherTypes" };
  return new Lino.ledger.VoucherTypes.GridPanel(p);
});

// js_render_GridPanel_class ledger.TradeTypes
Lino.ledger.TradeTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/TradeTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "main_account" }, { "name": "base_account" }, { "name": "product_account_field" }, { "name": "invoice_account_field" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/TradeTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/TradeTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/TradeTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/TradeTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/TradeTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Handelsarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15290 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15291 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15292 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var main_account_disp15293 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var base_account_disp15294 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var product_account_field_disp15295 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var invoice_account_field_disp15296 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.value) ") }, "sortable": true, "tooltip": "(ledger.TradeTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.name) ") }, "sortable": true, "tooltip": "(ledger.TradeTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.text) ") }, "sortable": true, "tooltip": "(ledger.TradeTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "main_account", "editable": false, "header": "Hauptkonto", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.main_account) ") }, "sortable": false, "tooltip": "(ledger.TradeTypes.main_account) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "base_account", "editable": false, "header": "Basiskonto", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.base_account) ") }, "sortable": false, "tooltip": "(ledger.TradeTypes.base_account) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "product_account_field", "editable": false, "header": "Produktkontofeld", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.product_account_field) ") }, "sortable": false, "tooltip": "(ledger.TradeTypes.product_account_field) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "invoice_account_field", "editable": false, "header": "Invoice account field", "listeners": { "render": Lino.quicktip_renderer("","(ledger.TradeTypes.invoice_account_field) ") }, "sortable": false, "tooltip": "(ledger.TradeTypes.invoice_account_field) ", "width": Lino.chars2width(31) } ];
    Lino.ledger.TradeTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.TradeTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/TradeTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.TradeTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/TradeTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.TradeTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/TradeTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.TradeTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/TradeTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.TradeTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/TradeTypes" };
  return new Lino.ledger.TradeTypes.GridPanel(p);
});

// js_render_GridPanel_class ledger.VoucherStates
Lino.ledger.VoucherStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/VoucherStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "is_editable", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegzust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value8923 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8924 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8925 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var is_editable_disp8926 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.value) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.name) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.text) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "is_editable", "editable": false, "header": "Editierbar", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.is_editable) ") }, "sortable": false, "tooltip": "(ledger.VoucherStates.is_editable) ", "width": Lino.chars2width(21) } ];
    Lino.ledger.VoucherStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.VoucherStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/VoucherStates" };
  return new Lino.ledger.VoucherStates.GridPanel(p);
});

// js_render_GridPanel_class contacts.PartnerEvents
Lino.contacts.PartnerEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnerEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8928 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8929 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8930 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8931 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8932 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8933 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8934 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.value) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.name) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.detail_link) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.button_text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.remark) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.type) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.PartnerEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnerEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnerEvents" };
  return new Lino.contacts.PartnerEvents.GridPanel(p);
});

// js_render_GridPanel_class contacts.CivilStates
Lino.contacts.CivilStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/CivilStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/CivilStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/CivilStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/CivilStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/CivilStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/CivilStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zivilst\u00e4nde",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15298 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15299 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15300 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15301 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15302 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15303 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15304 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.value) ") }, "sortable": true, "tooltip": "(contacts.CivilStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.name) ") }, "sortable": true, "tooltip": "(contacts.CivilStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.text) ") }, "sortable": true, "tooltip": "(contacts.CivilStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.detail_link) ") }, "sortable": false, "tooltip": "(contacts.CivilStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.button_text) ") }, "sortable": true, "tooltip": "(contacts.CivilStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.remark) ") }, "sortable": false, "tooltip": "(contacts.CivilStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.CivilStates.type) ") }, "sortable": false, "tooltip": "(contacts.CivilStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.CivilStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.CivilStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CivilStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CivilStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CivilStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CivilStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CivilStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CivilStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/CivilStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.CivilStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/CivilStates" };
  return new Lino.contacts.CivilStates.GridPanel(p);
});

// js_render_GridPanel_class notify.MessageTypes
Lino.notify.MessageTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MessageTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Message Types",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8936 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8937 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8938 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8939 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8940 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8941 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8942 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.value) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.name) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.button_text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.remark) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.type) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MessageTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MessageTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MessageTypes" };
  return new Lino.notify.MessageTypes.GridPanel(p);
});

// js_render_GridPanel_class notify.MailModes
Lino.notify.MailModes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MailModes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungsmodi",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8944 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8945 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8946 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8947 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8948 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8949 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8950 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.value) ") }, "sortable": true, "tooltip": "(notify.MailModes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.name) ") }, "sortable": true, "tooltip": "(notify.MailModes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.text) ") }, "sortable": true, "tooltip": "(notify.MailModes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MailModes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.button_text) ") }, "sortable": true, "tooltip": "(notify.MailModes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.remark) ") }, "sortable": false, "tooltip": "(notify.MailModes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.type) ") }, "sortable": false, "tooltip": "(notify.MailModes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MailModes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MailModes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MailModes" };
  return new Lino.notify.MailModes.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangeTypes
Lino.changes.ChangeTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangeTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungsarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8952 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8953 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8954 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8955 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8956 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8957 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8958 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.value) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.name) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.detail_link) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.button_text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.remark) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.type) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.changes.ChangeTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangeTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangeTypes" };
  return new Lino.changes.ChangeTypes.GridPanel(p);
});

// js_render_GridPanel_class properties.DoYouLike
Lino.properties.DoYouLike.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/DoYouLike",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DoYouLike",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8960 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8961 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8962 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8963 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8964 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8965 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8966 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.value) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.name) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.text) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.detail_link) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.button_text) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.remark) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.type) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.type) ", "width": Lino.chars2width(31) } ];
    Lino.properties.DoYouLike.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.DoYouLike.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/DoYouLike" };
  return new Lino.properties.DoYouLike.GridPanel(p);
});

// js_render_GridPanel_class properties.HowWell
Lino.properties.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8968 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8969 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8970 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8971 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8972 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8973 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8974 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.value) ") }, "sortable": true, "tooltip": "(properties.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.name) ") }, "sortable": true, "tooltip": "(properties.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.text) ") }, "sortable": true, "tooltip": "(properties.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(properties.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.button_text) ") }, "sortable": true, "tooltip": "(properties.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.remark) ") }, "sortable": false, "tooltip": "(properties.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.type) ") }, "sortable": false, "tooltip": "(properties.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.properties.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/HowWell" };
  return new Lino.properties.HowWell.GridPanel(p);
});

// js_render_GridPanel_class addresses.AddressTypes
Lino.addresses.AddressTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressenarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15306 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15307 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15308 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15309 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15310 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15311 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15312 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.value) ") }, "sortable": true, "tooltip": "(addresses.AddressTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.name) ") }, "sortable": true, "tooltip": "(addresses.AddressTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.text) ") }, "sortable": true, "tooltip": "(addresses.AddressTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.detail_link) ") }, "sortable": false, "tooltip": "(addresses.AddressTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.button_text) ") }, "sortable": true, "tooltip": "(addresses.AddressTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.remark) ") }, "sortable": false, "tooltip": "(addresses.AddressTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressTypes.type) ") }, "sortable": false, "tooltip": "(addresses.AddressTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.addresses.AddressTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressTypes" };
  return new Lino.addresses.AddressTypes.GridPanel(p);
});

// js_render_GridPanel_class addresses.DataSources
Lino.addresses.DataSources.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/DataSources",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenquellen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8976 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8977 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8978 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8979 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8980 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8981 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8982 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.value) ") }, "sortable": true, "tooltip": "(addresses.DataSources.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.name) ") }, "sortable": true, "tooltip": "(addresses.DataSources.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.detail_link) ") }, "sortable": false, "tooltip": "(addresses.DataSources.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.button_text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.remark) ") }, "sortable": false, "tooltip": "(addresses.DataSources.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.type) ") }, "sortable": false, "tooltip": "(addresses.DataSources.type) ", "width": Lino.chars2width(31) } ];
    Lino.addresses.DataSources.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.DataSources.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/DataSources" };
  return new Lino.addresses.DataSources.GridPanel(p);
});

// js_render_GridPanel_class excerpts.Shortcuts
Lino.excerpts.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Excerpt shortcuts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8984 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8985 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8986 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8987 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8988 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8989 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8990 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.value) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.name) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.type) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.excerpts.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Shortcuts" };
  return new Lino.excerpts.Shortcuts.GridPanel(p);
});

// js_render_GridPanel_class cal.DisplayColors
Lino.cal.DisplayColors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/DisplayColors",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/DisplayColors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DisplayColors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DisplayColors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DisplayColors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/DisplayColors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Display colors",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15314 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15315 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15316 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15317 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15318 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15319 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15320 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.value) ") }, "sortable": true, "tooltip": "(cal.DisplayColors.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.name) ") }, "sortable": true, "tooltip": "(cal.DisplayColors.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.text) ") }, "sortable": true, "tooltip": "(cal.DisplayColors.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.detail_link) ") }, "sortable": false, "tooltip": "(cal.DisplayColors.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.button_text) ") }, "sortable": true, "tooltip": "(cal.DisplayColors.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.remark) ") }, "sortable": false, "tooltip": "(cal.DisplayColors.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DisplayColors.type) ") }, "sortable": false, "tooltip": "(cal.DisplayColors.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.DisplayColors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.DisplayColors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DisplayColors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DisplayColors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DisplayColors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DisplayColors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DisplayColors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DisplayColors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DisplayColors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DisplayColors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/DisplayColors" };
  return new Lino.cal.DisplayColors.GridPanel(p);
});

// js_render_GridPanel_class cal.Weekdays
Lino.cal.Weekdays.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Weekdays",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Weekdays",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value8992 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name8993 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text8994 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp8995 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text8996 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp8997 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp8998 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.value) ") }, "sortable": true, "tooltip": "(cal.Weekdays.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.name) ") }, "sortable": true, "tooltip": "(cal.Weekdays.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.detail_link) ") }, "sortable": false, "tooltip": "(cal.Weekdays.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.button_text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.remark) ") }, "sortable": false, "tooltip": "(cal.Weekdays.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.type) ") }, "sortable": false, "tooltip": "(cal.Weekdays.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Weekdays.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Weekdays.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Weekdays" };
  return new Lino.cal.Weekdays.GridPanel(p);
});

// js_render_GridPanel_class cal.YearMonths
Lino.cal.YearMonths.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/YearMonths",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "YearMonths",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9000 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9001 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9002 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9003 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9004 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9005 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9006 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.value) ") }, "sortable": true, "tooltip": "(cal.YearMonths.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.name) ") }, "sortable": true, "tooltip": "(cal.YearMonths.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.detail_link) ") }, "sortable": false, "tooltip": "(cal.YearMonths.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.button_text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.remark) ") }, "sortable": false, "tooltip": "(cal.YearMonths.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.type) ") }, "sortable": false, "tooltip": "(cal.YearMonths.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.YearMonths.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.YearMonths.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/YearMonths" };
  return new Lino.cal.YearMonths.GridPanel(p);
});

// js_render_GridPanel_class cal.DurationUnits
Lino.cal.DurationUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/DurationUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DurationUnits",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9008 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9009 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9010 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9011 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9012 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9013 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9014 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.value) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.name) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.remark) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.type) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.DurationUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.DurationUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/DurationUnits" };
  return new Lino.cal.DurationUnits.GridPanel(p);
});

// js_render_GridPanel_class cal.Recurrencies
Lino.cal.Recurrencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Recurrencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Recurrencies",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9016 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9017 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9018 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9019 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9020 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9021 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9022 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.value) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.name) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.detail_link) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.button_text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.remark) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.type) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Recurrencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Recurrencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Recurrencies" };
  return new Lino.cal.Recurrencies.GridPanel(p);
});

// js_render_GridPanel_class cal.AccessClasses
Lino.cal.AccessClasses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/AccessClasses",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/AccessClasses','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AccessClasses','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AccessClasses','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/AccessClasses','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/AccessClasses','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zugriffsklassen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15322 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15323 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15324 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15325 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15326 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15327 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15328 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.value) ") }, "sortable": true, "tooltip": "(cal.AccessClasses.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.name) ") }, "sortable": true, "tooltip": "(cal.AccessClasses.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.text) ") }, "sortable": true, "tooltip": "(cal.AccessClasses.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.detail_link) ") }, "sortable": false, "tooltip": "(cal.AccessClasses.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.button_text) ") }, "sortable": true, "tooltip": "(cal.AccessClasses.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.remark) ") }, "sortable": false, "tooltip": "(cal.AccessClasses.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.AccessClasses.type) ") }, "sortable": false, "tooltip": "(cal.AccessClasses.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.AccessClasses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.AccessClasses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AccessClasses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AccessClasses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AccessClasses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AccessClasses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AccessClasses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AccessClasses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/AccessClasses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.AccessClasses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/AccessClasses" };
  return new Lino.cal.AccessClasses.GridPanel(p);
});

// js_render_GridPanel_class cal.PlannerColumns
Lino.cal.PlannerColumns.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/PlannerColumns",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/PlannerColumns','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/PlannerColumns','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/PlannerColumns','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/PlannerColumns','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/PlannerColumns','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tagesplanerkolonnen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15330 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15331 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15332 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15333 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15334 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15335 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15336 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.value) ") }, "sortable": true, "tooltip": "(cal.PlannerColumns.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.name) ") }, "sortable": true, "tooltip": "(cal.PlannerColumns.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.text) ") }, "sortable": true, "tooltip": "(cal.PlannerColumns.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.detail_link) ") }, "sortable": false, "tooltip": "(cal.PlannerColumns.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.button_text) ") }, "sortable": true, "tooltip": "(cal.PlannerColumns.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.remark) ") }, "sortable": false, "tooltip": "(cal.PlannerColumns.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.PlannerColumns.type) ") }, "sortable": false, "tooltip": "(cal.PlannerColumns.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.PlannerColumns.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.PlannerColumns.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/PlannerColumns", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.PlannerColumns.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/PlannerColumns", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.PlannerColumns.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/PlannerColumns", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.PlannerColumns.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/PlannerColumns", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.PlannerColumns.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/PlannerColumns" };
  return new Lino.cal.PlannerColumns.GridPanel(p);
});

// js_render_GridPanel_class cal.TaskStates
Lino.cal.TaskStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TaskStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TaskStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TaskStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TaskStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TaskStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TaskStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben-Zust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value15338 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15339 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15340 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text15341 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.TaskStates.value) ") }, "sortable": true, "tooltip": "(cal.TaskStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.TaskStates.name) ") }, "sortable": true, "tooltip": "(cal.TaskStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.TaskStates.text) ") }, "sortable": true, "tooltip": "(cal.TaskStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.TaskStates.button_text) ") }, "sortable": true, "tooltip": "(cal.TaskStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cal.TaskStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TaskStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TaskStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TaskStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TaskStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TaskStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TaskStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TaskStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TaskStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TaskStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TaskStates" };
  return new Lino.cal.TaskStates.GridPanel(p);
});

// js_render_GridPanel_class cal.GuestStates
Lino.cal.GuestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "afterwards", "type": "boolean" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheits-Zust\u00e4nde",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var value15343 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15344 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var afterwards_disp15345 = new Ext.form.DisplayField({ "disabled": true });
    var text15346 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text15347 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestStates.value) ") }, "sortable": true, "tooltip": "(cal.GuestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestStates.name) ") }, "sortable": true, "tooltip": "(cal.GuestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "afterwards", "editable": false, "header": "Nachtr\u00e4glich", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestStates.afterwards) ") }, "sortable": false, "tooltip": "(cal.GuestStates.afterwards) ", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestStates.text) ") }, "sortable": true, "tooltip": "(cal.GuestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestStates.button_text) ") }, "sortable": true, "tooltip": "(cal.GuestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cal.GuestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestStates" };
  return new Lino.cal.GuestStates.GridPanel(p);
});

// js_render_GridPanel_class cal.EventEvents
Lino.cal.EventEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EventEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9024 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9025 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9026 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9027 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9028 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9029 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9030 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.value) ") }, "sortable": true, "tooltip": "(cal.EventEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.name) ") }, "sortable": true, "tooltip": "(cal.EventEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.detail_link) ") }, "sortable": false, "tooltip": "(cal.EventEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.button_text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.remark) ") }, "sortable": false, "tooltip": "(cal.EventEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.type) ") }, "sortable": false, "tooltip": "(cal.EventEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.EventEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventEvents" };
  return new Lino.cal.EventEvents.GridPanel(p);
});

// js_render_GridPanel_class cal.EntryStates
Lino.cal.EntryStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntryStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "fill_guests", "type": "boolean" }, { "name": "fixed", "type": "boolean" }, { "name": "transparent", "type": "boolean" }, { "name": "noauto", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntryStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntryStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntryStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntryStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntryStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintrag-Zust\u00e4nde",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var value15349 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15350 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15351 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text15352 = new Ext.form.TextField({ "disabled": true });
    var fill_guests_disp15353 = new Ext.form.DisplayField({ "disabled": true });
    var fixed_disp15354 = new Ext.form.DisplayField({ "disabled": true });
    var transparent_disp15355 = new Ext.form.DisplayField({ "disabled": true });
    var noauto_disp15356 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.value) ") }, "sortable": true, "tooltip": "(cal.EntryStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.name) ") }, "sortable": true, "tooltip": "(cal.EntryStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.text) ") }, "sortable": true, "tooltip": "(cal.EntryStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.button_text) ") }, "sortable": true, "tooltip": "(cal.EntryStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 4, "dataIndex": "fill_guests", "editable": false, "header": "G\u00e4ste ausf\u00fcllen", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.fill_guests) ") }, "sortable": false, "tooltip": "(cal.EntryStates.fill_guests) ", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "fixed", "editable": false, "header": "Stabil", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.fixed) ") }, "sortable": false, "tooltip": "(cal.EntryStates.fixed) ", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "transparent", "editable": false, "header": "nicht blockierend", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.transparent) ") }, "sortable": false, "tooltip": "(cal.EntryStates.transparent) ", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "noauto", "editable": false, "header": "No auto", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryStates.noauto) ") }, "sortable": false, "tooltip": "(cal.EntryStates.noauto) ", "width": Lino.chars2width(21) } ];
    Lino.cal.EntryStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntryStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntryStates" };
  return new Lino.cal.EntryStates.GridPanel(p);
});

// js_render_GridPanel_class cal.NotifyBeforeUnits
Lino.cal.NotifyBeforeUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/NotifyBeforeUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/NotifyBeforeUnits','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/NotifyBeforeUnits','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/NotifyBeforeUnits','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/NotifyBeforeUnits','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/NotifyBeforeUnits','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Notify Units",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9032 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9033 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9034 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9035 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9036 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9037 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9038 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.value) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.name) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.text) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.remark) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.type) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.NotifyBeforeUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.NotifyBeforeUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/NotifyBeforeUnits" };
  return new Lino.cal.NotifyBeforeUnits.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientEvents
Lino.clients.ClientEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9040 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9041 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9042 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9043 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9044 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9045 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9046 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.value) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.name) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.detail_link) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.button_text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.remark) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.type) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.clients.ClientEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientEvents" };
  return new Lino.clients.ClientEvents.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientStates
Lino.clients.ClientStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bearbeitungszust\u00e4nde Klienten",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value15358 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15359 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15360 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text15361 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientStates.value) ") }, "sortable": true, "tooltip": "(clients.ClientStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientStates.name) ") }, "sortable": true, "tooltip": "(clients.ClientStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientStates.text) ") }, "sortable": true, "tooltip": "(clients.ClientStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientStates.button_text) ") }, "sortable": true, "tooltip": "(clients.ClientStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.clients.ClientStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientStates" };
  return new Lino.clients.ClientStates.GridPanel(p);
});

// js_render_GridPanel_class clients.KnownContactTypes
Lino.clients.KnownContactTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/KnownContactTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "db_object" }, 'db_objectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/KnownContactTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/KnownContactTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/KnownContactTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/KnownContactTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/KnownContactTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Standard-Klientenkontaktarten",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var value15363 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15364 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15365 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var db_object15366 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(clients.KnownContactTypes.value) ") }, "sortable": true, "tooltip": "(clients.KnownContactTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(clients.KnownContactTypes.name) ") }, "sortable": true, "tooltip": "(clients.KnownContactTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(clients.KnownContactTypes.text) ") }, "sortable": true, "tooltip": "(clients.KnownContactTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "db_object", "editable": false, "header": "Klientenkontaktart", "listeners": { "render": Lino.quicktip_renderer("","(clients.KnownContactTypes.db_object) ") }, "renderer": Lino.fk_renderer('db_objectHidden','Lino.clients.ClientContactTypes.detail'), "sortable": false, "tooltip": "(clients.KnownContactTypes.db_object) ", "width": Lino.chars2width(21) } ];
    Lino.clients.KnownContactTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.KnownContactTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/KnownContactTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.KnownContactTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/KnownContactTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.KnownContactTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/KnownContactTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.KnownContactTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/KnownContactTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.KnownContactTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/KnownContactTypes" };
  return new Lino.clients.KnownContactTypes.GridPanel(p);
});

// js_render_GridPanel_class outbox.RecipientTypes
Lino.outbox.RecipientTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RecipientTypes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9048 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9049 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9050 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9051 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9052 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9053 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9054 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.value) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.name) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.detail_link) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.button_text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.remark) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.type) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.RecipientTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientTypes" };
  return new Lino.outbox.RecipientTypes.GridPanel(p);
});

// js_render_GridPanel_class cal.ReservationStates
Lino.cal.ReservationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/ReservationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9056 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9057 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9058 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9059 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.value) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.name) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.button_text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cal.ReservationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ReservationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/ReservationStates" };
  return new Lino.cal.ReservationStates.GridPanel(p);
});

// js_render_GridPanel_class notes.SpecialTypes
Lino.notes.SpecialTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/SpecialTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sondernotizarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9061 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9062 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9063 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9064 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9065 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9066 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9067 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.value) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.name) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.detail_link) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.button_text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.remark) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.type) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notes.SpecialTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.SpecialTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/SpecialTypes" };
  return new Lino.notes.SpecialTypes.GridPanel(p);
});

// js_render_GridPanel_class cv.EducationEntryStates
Lino.cv.EducationEntryStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/EducationEntryStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "EducationEntryStates",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9069 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9070 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9071 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9072 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9073 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9074 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9075 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.value) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.name) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.detail_link) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.button_text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.remark) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.type) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.EducationEntryStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.EducationEntryStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/EducationEntryStates" };
  return new Lino.cv.EducationEntryStates.GridPanel(p);
});

// js_render_GridPanel_class cv.HowWell
Lino.cv.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9077 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9078 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9079 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9080 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9081 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9082 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9083 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.value) ") }, "sortable": true, "tooltip": "(cv.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.name) ") }, "sortable": true, "tooltip": "(cv.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.text) ") }, "sortable": true, "tooltip": "(cv.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(cv.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.button_text) ") }, "sortable": true, "tooltip": "(cv.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.remark) ") }, "sortable": false, "tooltip": "(cv.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.type) ") }, "sortable": false, "tooltip": "(cv.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/HowWell" };
  return new Lino.cv.HowWell.GridPanel(p);
});

// js_render_GridPanel_class cv.CefLevel
Lino.cv.CefLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/CefLevel",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "CEF-Kategorien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9085 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9086 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9087 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9088 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9089 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9090 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9091 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.value) ") }, "sortable": true, "tooltip": "(cv.CefLevel.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.name) ") }, "sortable": true, "tooltip": "(cv.CefLevel.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.detail_link) ") }, "sortable": false, "tooltip": "(cv.CefLevel.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.button_text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.remark) ") }, "sortable": false, "tooltip": "(cv.CefLevel.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.type) ") }, "sortable": false, "tooltip": "(cv.CefLevel.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.CefLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.CefLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/CefLevel" };
  return new Lino.cv.CefLevel.GridPanel(p);
});

// js_render_GridPanel_class beid.ResidenceTypes
Lino.beid.ResidenceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/beid/ResidenceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einwohnerregister",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9093 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9094 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9095 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9096 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9097 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9098 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9099 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.value) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.name) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.detail_link) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.button_text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.remark) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.type) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.beid.ResidenceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.beid.ResidenceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/beid/ResidenceTypes" };
  return new Lino.beid.ResidenceTypes.GridPanel(p);
});

// js_render_GridPanel_class beid.BeIdCardTypes
Lino.beid.BeIdCardTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/beid/BeIdCardTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/beid/BeIdCardTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/beid/BeIdCardTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/beid/BeIdCardTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/beid/BeIdCardTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/beid/BeIdCardTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "eID-Kartenarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15368 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15369 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15370 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15371 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15372 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15373 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15374 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.value) ") }, "sortable": true, "tooltip": "(beid.BeIdCardTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.name) ") }, "sortable": true, "tooltip": "(beid.BeIdCardTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.text) ") }, "sortable": true, "tooltip": "(beid.BeIdCardTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.detail_link) ") }, "sortable": false, "tooltip": "(beid.BeIdCardTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.button_text) ") }, "sortable": true, "tooltip": "(beid.BeIdCardTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.remark) ") }, "sortable": false, "tooltip": "(beid.BeIdCardTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.BeIdCardTypes.type) ") }, "sortable": false, "tooltip": "(beid.BeIdCardTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.beid.BeIdCardTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.beid.BeIdCardTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/BeIdCardTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.BeIdCardTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/BeIdCardTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.BeIdCardTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/BeIdCardTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.BeIdCardTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/BeIdCardTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.BeIdCardTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/beid/BeIdCardTypes" };
  return new Lino.beid.BeIdCardTypes.GridPanel(p);
});

// js_render_GridPanel_class cbss.RequestStates
Lino.cbss.RequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde cbss request",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9101 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9102 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9103 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9104 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.value) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.name) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cbss.RequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestStates" };
  return new Lino.cbss.RequestStates.GridPanel(p);
});

// js_render_GridPanel_class cbss.ManageActions
Lino.cbss.ManageActions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageActions",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageActions",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9106 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9107 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9108 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9109 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9110 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9111 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9112 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.value) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.name) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.detail_link) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.button_text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.remark) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.type) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.ManageActions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageActions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageActions" };
  return new Lino.cbss.ManageActions.GridPanel(p);
});

// js_render_GridPanel_class cbss.QueryRegisters
Lino.cbss.QueryRegisters.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/QueryRegisters",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "QueryRegisters",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9114 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9115 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9116 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9117 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9118 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9119 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9120 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.value) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.name) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.detail_link) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.button_text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.remark) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.type) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.QueryRegisters.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.QueryRegisters.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/QueryRegisters" };
  return new Lino.cbss.QueryRegisters.GridPanel(p);
});

// js_render_GridPanel_class cbss.RequestLanguages
Lino.cbss.RequestLanguages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestLanguages",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RequestLanguages",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9122 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9123 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9124 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9125 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9126 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9127 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9128 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.value) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.name) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.detail_link) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.remark) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.type) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.RequestLanguages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestLanguages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestLanguages" };
  return new Lino.cbss.RequestLanguages.GridPanel(p);
});

// js_render_GridPanel_class pcsw.RefusalReasons
Lino.pcsw.RefusalReasons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/RefusalReasons",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ablehnungsgr\u00fcnde",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9130 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9131 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9132 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9133 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9134 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9135 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9136 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.value) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.name) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.detail_link) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.button_text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.remark) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.type) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.type) ", "width": Lino.chars2width(31) } ];
    Lino.pcsw.RefusalReasons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.RefusalReasons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/RefusalReasons" };
  return new Lino.pcsw.RefusalReasons.GridPanel(p);
});

// js_render_GridPanel_class households.MemberDependencies
Lino.households.MemberDependencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MemberDependencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltsmitgliedsabh\u00e4ngigkeiten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9138 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9139 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9140 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9141 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9142 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9143 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9144 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.value) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.name) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.detail_link) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.button_text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.remark) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.type) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.households.MemberDependencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MemberDependencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MemberDependencies" };
  return new Lino.households.MemberDependencies.GridPanel(p);
});

// js_render_GridPanel_class households.MemberRoles
Lino.households.MemberRoles.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MemberRoles",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MemberRoles','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberRoles','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberRoles','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberRoles','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MemberRoles','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltsmitgliedsrollen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value15376 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15377 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15378 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp15379 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text15380 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp15381 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp15382 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.value) ") }, "sortable": true, "tooltip": "(households.MemberRoles.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.name) ") }, "sortable": true, "tooltip": "(households.MemberRoles.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.text) ") }, "sortable": true, "tooltip": "(households.MemberRoles.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.detail_link) ") }, "sortable": false, "tooltip": "(households.MemberRoles.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.button_text) ") }, "sortable": true, "tooltip": "(households.MemberRoles.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.remark) ") }, "sortable": false, "tooltip": "(households.MemberRoles.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberRoles.type) ") }, "sortable": false, "tooltip": "(households.MemberRoles.type) ", "width": Lino.chars2width(31) } ];
    Lino.households.MemberRoles.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MemberRoles.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberRoles", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberRoles.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberRoles", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberRoles.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberRoles", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberRoles.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberRoles", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberRoles.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MemberRoles" };
  return new Lino.households.MemberRoles.GridPanel(p);
});

// js_render_GridPanel_class isip.ContractEvents
Lino.isip.ContractEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9146 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9147 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9148 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9149 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9150 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9151 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9152 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.value) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.name) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.detail_link) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.button_text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.remark) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.type) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.ContractEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractEvents" };
  return new Lino.isip.ContractEvents.GridPanel(p);
});

// js_render_GridPanel_class isip.OverlapGroups
Lino.isip.OverlapGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/OverlapGroups",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00dcberlappungsgruppen",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9154 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9155 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9156 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9157 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9158 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9159 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9160 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.value) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.name) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.detail_link) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.button_text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.remark) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.type) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.OverlapGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.OverlapGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/OverlapGroups" };
  return new Lino.isip.OverlapGroups.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidatureStates
Lino.jobs.CandidatureStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidatureStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidatur-Zust\u00e4nde",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9162 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9163 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9164 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9165 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9166 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9167 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9168 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.value) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.name) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.detail_link) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.button_text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.remark) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.type) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.CandidatureStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidatureStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidatureStates" };
  return new Lino.jobs.CandidatureStates.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountTypes
Lino.sepa.AccountTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoarten",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9170 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9171 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9172 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9173 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9174 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9175 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9176 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.value) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.name) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.text) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.detail_link) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.button_text) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.remark) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.type) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.sepa.AccountTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountTypes" };
  return new Lino.sepa.AccountTypes.GridPanel(p);
});

// js_render_GridPanel_class art61.Subsidizations
Lino.art61.Subsidizations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Subsidizations",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Subsidizations",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9178 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9179 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9180 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9181 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9182 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9183 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9184 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.value) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.name) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.detail_link) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.button_text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.remark) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.type) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.type) ", "width": Lino.chars2width(31) } ];
    Lino.art61.Subsidizations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Subsidizations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Subsidizations" };
  return new Lino.art61.Subsidizations.GridPanel(p);
});

// js_render_GridPanel_class xcourses.CourseRequestStates
Lino.xcourses.CourseRequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde Kursanfragen",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9186 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9187 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9188 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9189 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.value) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.name) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.text) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.button_text) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.xcourses.CourseRequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestStates" };
  return new Lino.xcourses.CourseRequestStates.GridPanel(p);
});

// js_render_GridPanel_class humanlinks.LinkTypes
Lino.humanlinks.LinkTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/humanlinks/LinkTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "mptext" }, { "name": "fptext" }, { "name": "mctext" }, { "name": "fctext" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinkTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinkTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinkTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinkTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinkTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verwandschaftsarten",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var value15384 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15385 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var mptext_disp15386 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var fptext_disp15387 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var mctext_disp15388 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var fctext_disp15389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinkTypes.value) ") }, "sortable": true, "tooltip": "(humanlinks.LinkTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinkTypes.name) ") }, "sortable": true, "tooltip": "(humanlinks.LinkTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "mptext", "editable": false, "header": "male parent text", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinkTypes.mptext) ") }, "sortable": false, "tooltip": "(humanlinks.LinkTypes.mptext) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "fptext", "editable": false, "header": "female parent text", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinkTypes.fptext) ") }, "sortable": false, "tooltip": "(humanlinks.LinkTypes.fptext) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "mctext", "editable": false, "header": "male child text", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinkTypes.mctext) ") }, "sortable": false, "tooltip": "(humanlinks.LinkTypes.mctext) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "fctext", "editable": false, "header": "female child text", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinkTypes.fctext) ") }, "sortable": false, "tooltip": "(humanlinks.LinkTypes.fctext) ", "width": Lino.chars2width(31) } ];
    Lino.humanlinks.LinkTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinkTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinkTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinkTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinkTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinkTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinkTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinkTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinkTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinkTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinkTypes" };
  return new Lino.humanlinks.LinkTypes.GridPanel(p);
});

// js_render_GridPanel_class debts.AccountTypes
Lino.debts.AccountTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AccountTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "dc" }, 'dcHidden', { "name": "sheet" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AccountTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AccountTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoarten",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var value15391 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name15392 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text15393 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var dc15394 = new Lino.ChoicesFieldElement({ "disabled": true, "store": [ [ "D", "Debit" ], [ "C", "Kredit" ] ] });
    var sheet15395 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountTypes.value) ") }, "sortable": true, "tooltip": "(debts.AccountTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountTypes.name) ") }, "sortable": true, "tooltip": "(debts.AccountTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountTypes.text) ") }, "sortable": true, "tooltip": "(debts.AccountTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "dc", "editable": false, "header": "D/C", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountTypes.dc) ") }, "sortable": false, "tooltip": "(debts.AccountTypes.dc) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "sheet", "editable": false, "header": "Sheet", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountTypes.sheet) ") }, "sortable": true, "tooltip": "(debts.AccountTypes.sheet) ", "width": Lino.chars2width(22) } ];
    Lino.debts.AccountTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountTypes" };
  return new Lino.debts.AccountTypes.GridPanel(p);
});

// js_render_GridPanel_class debts.TableLayouts
Lino.debts.TableLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/TableLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "columns_spec" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Table layouts",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var value9191 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9192 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var columns_spec9193 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.value) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.text) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "columns_spec", "editable": false, "header": "Columns", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.columns_spec) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.columns_spec) ", "width": Lino.chars2width(22) } ];
    Lino.debts.TableLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.TableLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/TableLayouts" };
  return new Lino.debts.TableLayouts.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationTypes
Lino.aids.ConfirmationTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "value" }, { "name": "text" }, { "name": "et_template" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebescheinigungsarten",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var name9195 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var value9196 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9197 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var et_template9198 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var detail_link_disp9199 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9200 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9201 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9202 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "et_template", "editable": false, "header": "Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.et_template) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.et_template) ", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 6, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.remark) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.type) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.ConfirmationTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationTypes" };
  return new Lino.aids.ConfirmationTypes.GridPanel(p);
});

// js_render_GridPanel_class aids.AidRegimes
Lino.aids.AidRegimes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AidRegimes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AidRegimes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9204 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9205 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9206 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9207 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9208 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9209 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9210 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.value) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.name) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.detail_link) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.button_text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.remark) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.type) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.AidRegimes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidRegimes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AidRegimes" };
  return new Lino.aids.AidRegimes.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationStates
Lino.aids.ConfirmationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebest\u00e4tigungszust\u00e4nde",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9212 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9213 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9214 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9215 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.aids.ConfirmationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationStates" };
  return new Lino.aids.ConfirmationStates.GridPanel(p);
});

// js_render_GridPanel_class esf.ParticipationCertificates
Lino.esf.ParticipationCertificates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/ParticipationCertificates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Participation Certificates",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9217 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9218 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9219 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9220 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9221 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9222 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9223 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.value) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.name) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.detail_link) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.button_text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.remark) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.type) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.type) ", "width": Lino.chars2width(31) } ];
    Lino.esf.ParticipationCertificates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.ParticipationCertificates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/ParticipationCertificates" };
  return new Lino.esf.ParticipationCertificates.GridPanel(p);
});

// js_render_GridPanel_class esf.StatisticalFields
Lino.esf.StatisticalFields.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/StatisticalFields",
  ls_store_fields : [ { "name": "value" }, { "name": "short_name" }, { "name": "text" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/StatisticalFields','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/StatisticalFields','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/StatisticalFields','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/StatisticalFields','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/StatisticalFields','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF fields",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value15397 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var short_name_disp15398 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var text15399 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var type_disp15400 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(esf.StatisticalFields.value) ") }, "sortable": true, "tooltip": "(esf.StatisticalFields.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "short_name", "editable": false, "header": "Short name", "listeners": { "render": Lino.quicktip_renderer("","(esf.StatisticalFields.short_name) ") }, "sortable": false, "tooltip": "(esf.StatisticalFields.short_name) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(esf.StatisticalFields.text) ") }, "sortable": true, "tooltip": "(esf.StatisticalFields.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "type", "editable": false, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(esf.StatisticalFields.type) ") }, "sortable": false, "tooltip": "(esf.StatisticalFields.type) ", "width": Lino.chars2width(31) } ];
    Lino.esf.StatisticalFields.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.StatisticalFields.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/StatisticalFields", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.StatisticalFields.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/StatisticalFields", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.StatisticalFields.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/StatisticalFields", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.StatisticalFields.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/StatisticalFields", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.StatisticalFields.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/StatisticalFields" };
  return new Lino.esf.StatisticalFields.GridPanel(p);
});
